Total Commander Help Index

Total Commander Hilfe-Index
1. Einführung
a. Was ist Total Commander?
b. Was ist Neu in dieser Version?
2. Allgemeine Informationen
a. Bestellen / Registrieren
b. Updates und Support
c. Lizenzvertrag/Copyright
d. Was ist Shareware
3. Bedienung
a. Benutzeroberfläche
b. Tastenbelegungen
c. Menüs
Dateien Markieren Befehle Netz Ansicht Konfigurieren Starter Hilfe
d. Dateioperationen
e. Umgang mit Archivdateien (ZIP etc.)
f. Lokale Menüs und Drag & Drop (Ziehen und Fallenlassen)
g. Der eingebaute FTP-Client
h. PORT-Verbindung via USB-Kabel oder via Parallelport zu anderem PC
i. Der integrierte Dateibetrachter (Aufruf mit F3)
j. Mehrfach-Umbenenn-Tool (Strg+M)
k. Oft gestellte Fragen (FAQ)
l. Plugins und weitere Sprachen
m. Ordner-Tabs (Register)
n. Reguläre Ausdrücke
4. Konfiguration und Parameter
a. Kommandozeilenparameter
b. Einstellungen: wincmd.ini (1: [Configuration] A-M, 2. N-Z, 3: Rest) und wcx_ftp.ini (für FTP)
c. Hauptmenü ändern
5. Credits
a. Wer ist Info-ZIP? - Source-code zum Entpacken von ZIP-Dateien
Total Commander ist Copyright © 1993-2022 by Christian Ghisler, Ghisler Software GmbH
Alle erwähnten Warenzeichen und Copyrights gehören ihren jeweiligen Besitzern.


Was ist Total Commander?
Total Commander (früher Wincmd) ist ein Dateimanager für Windows (TM) ähnlich wie der Windows-eigene Dateimanager Explorer. Total Commander ist jedoch in jeglicher Hinsicht einem bekannten DOS-Dateimanager nachempfunden, der recht große Verbreitung erlangt hat.
Hier einige Eigenschaften (Features) von Total Commander:
- Tastaturbelegung weitgehend wie beim DOS-Original.
- Unterstützt Drag & Drop (Ziehen und Fallenlassen) mit der Maus auch auf den Druckmanager.
- Erweitertes Kopieren, Verschieben, Umbenennen und Löschen ganzer Verzeichnisbäume auf einmal, mit Sicherheitsabfrage.
- Archivdateien werden wie Unterverzeichnisse angesprochen. Dateien lassen sich bequem in und aus Archivdateien kopieren, das entsprechende Packprogramm wird automatisch aufgerufen. Unterstützt werden PKZIP, ARJ, LHA, RAR, ACE und UC2.
- Starter-Menü (benutzerdefiniertes Menü) zum Einbinden ihrer bevorzugten Windows- und DOS-Anwendungen. Optional Übergabe der aktuell gewählten Datei an Ihr Programm.
- Kommandozeile zum einfachen und schnellen Starten von Programmen durch einfaches Eingeben des Programmnamens (eventuell mit Pfad). Falls die Kommandozeile ausgeblendet ist, wird sie beim Tippen von Buchstaben automatisch wieder eingeblendet.
- Stark ausgebaute Suchfunktion mit Volltextsuche in beliebigen Dateien, auch innerhalb von ZIP-, ARJ- LZH-, RAR, ACE und 7Z-Dateien. Innerhalb von UC2-Dateien kann leider nicht gesucht werden, da kein interner Entpacker existiert!
- Eingebauter Dateibetrachter (F3), der Dateien beliebiger Größe als Hex- oder Text darstellen kann, sowohl im ASCII- (DOS) als auch im ANSI- (Windows) Zeichensatz. Zeilenbreite und Schriftart können geändert werden.
- Internes Unzip von Info-Zip, das ein Entpacken von Zip-Dateien OHNE Aufruf eines externen Programms ermöglicht! Der Source-Code in Turbo-Pascal ist gratis bei mir erhältlich.
- Frei konfigurierbarer Buttonbar (Leiste mit Knöpfen direkt unterhalb des Menüs) zum Starten von externen Programmen und zum Aufruf von Menübefehlen.
- Frei definierbares Hauptmenü.
- Interner Entpacker für ARJ-, LZH-, GZ-, TAR-, CAB-, RAR-, ACE- und 7Z-Dateien!
- Interner ZIP-Packer, basierend auf ZLib von Jean-loup Gailly.


Was ist neu in dieser Version?
Siehe Datei history.txt für eine ausführliche Liste aller Erweiterungen und Korrekturen (Englisch).
Neue Funktionen und Korrekturen in Total Commander 10.52:
Allgemein:
- Kommandozeilenparameter: Option /O unterstützt jetzt einen Parameter, z.B. /O0, um auf keinen Fall eine neue Instanz öffnen
- Vergleich nach Inhalt: Mit F9 das zweizeilige Vergleichsfeld unten ein-/ausschalten
- Interne Verknüpfungen: Neuer Befehl **pfad\dateiname.bar öffnet die angegebene Buttonbar-Datei als Menü
- Der Buttonbar-Befehl LOADLIST0 lädt eine Liste von Dateien ohne Fehlermeldungen, wenn Dateien nicht gefunden werden können
- Die Befehlszeile unterstützt jetzt anstelle eines Pfades den Befehl LOADLIST:path\listfile.txt, um die angegebene Listendatei in ein Dateifenster zu laden
- Schnellsuche mit Suchdialog und Strg+S Schnellfilter: Neue Tastenkombination Strg+Z zum Löschen des Suchtexts
- Neue Methode zum Öffnen von virtuellen Ordnern via Button oder Kommandozeile, mit Befehl cd shell:Ordnername (z.B. cd shell:Fonts)
Interne Befehle:
- cm_UnloadPlugins: Parameter 16 (cm_UnloadPlugins 16) entlädt nun eine externe tcmatch dll
- cm_Exit unterstützt jetzt einen Parameter. Summe von 1: Total Commander schließen und neu starten, 2: Neu starten und zwischen 32-bit und 64-bit wechseln, 4: Pfade, Tabs und Anzeigeart speichern, selbst wenn in den Einstellungen deaktiviert, 8: Linkes und rechtes Verzeichnis sowie Datei(en) unter Cursor an neue Instanz übergeben, 16: Als Administrator neu starten
- cm_*ActivateTab* (z. B. cm_SrcActivateTab1) unterstützt jetzt numerische Parameter für Tabs. Negative Zahlen bedeuten, dass vom Ende her gezählt wird
- cm_50percent akzeptiert jetzt einen Parameter: Er addiert den Wert (in Prozent) zur Breite des aktiven Dateifensters
Neue Funktionen und Korrekturen in Total Commander 10.51:
- Button bar, Startmenü: Neuer Parameter %Q schaltet automatische Anführungszeichen um bestimmte Parameterkombinationen wie %P%N aus
- Verifiziere Prüfsummen: Unterstützt die Erweiterung .bk3 und die Überprüfung beliebiger Prüfsummenlängen für Blake3
- OneDrive-Ordner: Grünes Symbol-Overlay mit Häkchen für Dateien anzeigen, die als immer offline verfügbar gekennzeichnet sind
- Lister, Inhaltsvergleich: Unterstützt seitliches Scrollen durch Neigen des Mausrads nach links/rechts (wird nur von einigen Mäusen unterstützt)
- Mehrfach-Umbenenntool: Neuer Platzhalter [X] fügt Text aus der Zwischenablage ein
- Verzeichnisse synchronisieren: Gelben Fortschrittsbalken in der Taskleiste anzeigen, wenn der Vorgang abgeschlossen ist und der Vergleich länger als 10 Sekunden gedauert hat
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in Total Commander 10.50:
Allgemeines:
- Dateien - Erzeuge Prüfsummen: Unterstützung für den sehr schnellen BLAKE3-Hash-Algorithmus
- Neue Option "Aktuelle Datei noch zu Ende kopieren" beim Abbruch des Kopierens mitten in einer Datei
- Der neue Befehlszeilenparameter /P öffnet den übergeordneten Ordner des übergebenen Pfads und setzt den Cursor auf das letzte Verzeichnis
- Internes Inhaltsplugin (tc): Neue Felder aus id3v1/id3v2/ape/flac/wav/ogg/m4a Metadaten-Tags, wie Titel, Künstler usw.
- Entpacken Sie ZIP-Dateien mit Brotli-Komprimierung (von Google), die hauptsächlich in XPI-Dateien verwendet wird
- Verzeichnisse synchronisieren: Fortschritt beim Vergleichen nach Inhalt auch im Taskleistensymbol anzeigen
- FTPS/HTTPS: Unterstützung für OpenSSL 3.0
- wincmd.ini [Configuration] ExecUseContextMenu: auf 1 setzen, um Dateien so zu öffnen, als ob der Benutzer mit der rechten Maustaste darauf geklickt und auf das standardmäßige Kontextmenüelement geklickt hätte
- wincmd.ini [Configuration] AlwaysShowAppdata=0 versteckt Ordner Appdata wenn versteckte Dateien nicht angezeigt werden
- wincmd.ini [Configuration] FileTipWindowsOnIcon=1 zeigt Hinweisfenster nur an, wenn Cursor über Symbol steht (FileTipWindows muss auch aktiviert sein)
- wincmd.ini [Configuration] CountMarkedInDialog=0 schaltet die Speicherbedarfsermittlung im F5-Kopierdialog ab
Benutzeroberfläche:
- Option, Verzeichnisgrößen nach einem Verzeichniswechsel immer zu laden, entweder intern oder über das Tool 'Everything'
- Option zum Festlegen eines benutzerdefinierten Datums-/Zeitformats und von Trennzeichen (Konfigurieren - Einstellungen - Tabulatoren)
- Anzeigen der gesamten zu kopierenden Bytes, Dateien und Ordner bereits im F5-Kopierdialog
- Übertragungsgeschwindigkeit mit gemischten Einheiten anzeigen (z. B. x.xx b/M/G/T), konfiguriert über [Konfiguration] SizeTransfer, standardmäßig derselbe Wert wie bei der Fußzeile
- Zusätzlichen Platz um die Symbole der Laufwerksbuttons festlegen, via Konfigurieren - Einstellungen - Symbole (Icons)
- Dunkelmodus: Option zum Konfigurieren der Rahmenfarbe (Linien zwischen den Steuerelementen)
- Buttonbar: Das Feld "Tooltip" auf ein einzelnes Leerzeichen setzen, um den Tooltip zu deaktivieren
- Menü Dateien - Drucken - Dateiinhalt druckt jetzt alle ausgewählten Dateien (nach einer Warnung)
- Unter Windows 10 älter als 1709 (Herbst 2017) und älteren Windows-Versionen werden Miniaturansichten unterstützt, die höher als 240 Bildpunkte sind
- Verzeichnisliste (Strg+D): Für die Schaltflächen "Hinzufügen", "Entfernen" und "Konfigurieren" die Hotkeys +, - und * verwenden (konfigurierbar)
- Strg+Z auf ".." erlaubt das Setzen des Kommentars für das Verzeichnis selbst
Lister:
- Zusätzlicher Hauptmenüpunkt "Plugins", um direkt ein Lister-Plugin auszuwählen
- Schnellansicht: Verwendetes Plugin im Titel (normalerweise als Pfad verwendet) hinter dem Dateinamen anzeigen
- Befehlszeilenparameter /S=L zum Öffnen eines separaten Lister-Fensters: Neuer Unterparameter F zum Öffnen von Lister als Vollbild
Lister, interne Bildanzeige:
- Bilder mit Strg+Mausrad oder +/- auf dem Ziffernblock zoomen, oder per Klick auf Prozentwert im Menü
- Umsch+Pfeil links/rechts verwenden, um Bilder in kleineren Schritten zu scrollen als Pfeil links/rechts
Lister, interne Medienwiedergabe:
- Titelnamen und Künstler aus den Tags eines Titels anzeigen (id3v1, id3v2.2, id3v2.3/2.4, ape, flac, wav, ogg und m4a)
- Titelbild aus den Tags eines Tracks anzeigen, oder aus einer Datei namens cover.jpg, folder.jpg, cover.png oder folder.png im selben Ordner
- Schaltfläche zum Ein-/Ausblenden des Titelbilds
- Titelpositionen und -namen aus einer .cue-Datei mit demselben Namen wie die geöffnete Mediendatei laden, z.B. zum Suchen in langen Zusammenstellungen
- Einzelschritt funktioniert jetzt auch nur für Audio (1/10-Sekunden-Schritte)
- Neue Hotkeys im Multimedia-Modus: M=Stumm, E=Einzelschritt, C=Titelbild, Strg/Umschalt+Pfeiltasten zum Vor-/Zurückspulen
- DirectShow-Filter aus dem Unterverzeichnis filter32/64 bevorzugen, sofern vorhanden, auch wenn eine andere Version dieses Filters im System registriert ist. Deaktivieren über wincmd.ini [Lister] PreferFiltersFromFile=0
- Vorder- und Hintergrundfarbe der Lister-Media-Player-Steuerelemente festlegen, via Konfigurieren-Einstellungen-Farben
Dateiattribute ändern:
- Teile des Datum und/oder der Uhrzeit einstellen, indem Buchstaben anstelle der unveränderten Teile angegeben werden, z.B. 10:mm:ss, um nur die Stunden zu ändern. Die tatsächlichen Zeichen spielen keine Rolle, 10:xx:xx wird auch funktionieren.
Vergleich nach Inhalt:
- Neuer Hotkey F2 im Editiermodus springt zum nächsten Unterschied innerhalb einer Zeile, Umsch+F2 zum vorherigen Unterschied
- Übernehmen von einem oder zwei Dateinamen per Drag&Drop in die Pfadeingabefelder
- Schaltfläche "Sync", um die Methode zum erneuten Synchronisieren innerhalb einer Zeile auszuwählen, z.B. um nur nach einem Leerzeichen nach gleichen Zeichen zu suchen
Mehrfach-Umbenenntool:
- Option, Dateien auch beim Verschieben in Unterverzeichnisse automatisch umzubenennen, wenn eine Datei mit demselben Namen bereits im Zielverzeichnis existiert
- Neue Platzhalter [B0]..[B9] Eltern-, Großeltern-, Urgroßeltern-Ordner usw. aus dem Pfad einfügen
- Neue Platzhalter [B+0]..[B+9] Laufwerksbuchstabe, erster Ordner, zweiter Ordner usw. aus dem Pfad einfügen
- Das neue Feld [T4] verwendet das EXIF-Datum (Aufnahmedatum von Fotos) für alle Datumsfelder nach diesem Platzhalter
- Die Felder [T1] bis [T4] unterstützen jetzt einen Zeitversatz in der Form [T1+60m] oder [T1-10h]
Interne Befehle:
- cm_ReloadFileIcons zum Neuladen aller Symbole und Symbol-Overlays ohne erneutes Einlesen der Dateilisten
- cm_CloseDuplicateTabs, um alle doppelten Tabs im aktuellen Panel zu schließen
- cm_SwitchColorsByFileType, um Farben nach Dateityp ein-/auszuschalten
- cm_SwitchFileTipWindows zum Aktivieren/Deaktivieren der Anzeige von Tooltips (Hinweisen) für Dateien
- cm_CopyToArchive/cm_MoveToArchive zum Öffnen des Packdialogs mit deaktivierter/aktivierter Option "Verschieben"
- cm_CloseCurrentTab, cm_CloseAllTabs, cm_UnloadPlugins, cm_CopyFileDetailsToClip, cm_CopyHdrFileDetailsToClip usw. unterstützen jetzt Parameter, siehe Beschreibung
- Befehl cd "Pfad" kann jetzt mit internen Befehlen kombiniert werden, wobei der Pfad in doppelten Anführungszeichen stehen muss
- MULTIRENAME=<Einstellungen> beginnt sofort mit der Umbenennung mit den angegebenen gespeicherten Einstellungen, zwei Gleichheitszeichen schließen den Dialog danach
Neue Funktionen und Korrekturen in Total Commander 10.00:
Allgemeines:
- Von MacOS auf ExFAT-Flash-Laufwerken erstellte Verzeichnisse werden in Total Commander neu angezeigt. Dies ging bisher nicht, da sie das ungültige Attribut 8: Datenträgerbezeichnung hatten
- Das versteckte Verzeichnis "AppData" immer in c:\Users\<Benutzerprofil> anzeigen, auch wenn versteckte Dateien deaktiviert sind
- Schlüsseldatei per Doppelklick automatisch installieren.
- Einen Datenstrom "Zone Transfer" hinzufügen, wenn Dateien über anonymes FTP (Strg+F) oder HTTP (Strg+N) von außerhalb des Intranets heruntergeladen werden, z. B. Webbrowser
- Beim Entpacken von Dateien intern oder über Plugins den Datenstrom "Zone Transfer" vom Archiv auf die entpackten Dateien übertragen, genau wie im Explorer
- Die neue Zonenübertragungsoption kann über WantZoneData=0 deaktiviert werden
- Nach Schlüsseldateien immer auch in c:\totalcmd suchen, auch wenn Total Commander an anderer Stelle installiert ist
Benutzeroberfläche:
- Möglichkeit, "Windows Hello" unter Windows 10 zu benutzen, um das Hauptkennwort sicher zu speichern, bis TC geschlossen wird. Dazu können Fingerabdruck, Gesichterkennung oder Pincode verwendet werden
- Mausrad verwenden, um durch Verzeichnisregisterkarten (Tabs) zu scrollen (wie in Firefox), wenn keine mehrzeiligen Registerkarten verwendet werden
- Miniaturansichten mit Strg+Mausrad vergrößerm und verkleinern, zwischen 10% und 200% der unter Konfiguration - Optionen - Miniaturansichten konfigurierten Größe
- Miniaturansichten von EXIF-Daten (Vorschaubild) aus JPG und verschiedenen Kamera-RAW-Formaten laden: Canon RAW 1-3, DNG, Fuji, Nikon, Olympus, Panasonic, Pentax, Sony
- Neue Option "Zurück zum gesperrten Tab-Stammverzeichnis bei Tabwechsel" unter Konfiguration - Optionen - Ordner-Tabs (Register)
- "!"-Präfix anzeigen, wenn sich das aktuelle Verzeichnis vom gesperrten Verzeichnis auf Registerkarten unterscheidet, die mit der Option "Gesperrt aber Verzeichniswechsel erlaubt" gesperrt sind
- Neue Option, um die Befehlszeile nur dann auszuführen, wenn sie fokussiert ist (Konfigurieren - Optionen - Layout)
- Dem Benutzer beim Schließen von TC die ersten 3 Dateinamen und deren Herkunft anzeigen, wenn noch Dateien temporär zum Bearbeiten offen sind
- Beim Ablegen von Dateien von außerhalb (z. B. aus einem virtuellen Ordner im Explorer) auf ein Verzeichnis ohne Schreibrechte (z. B. c:\windows): Bessere Dialoge zum Überschreiben und Kopieren als Administrator
- Dialogfelder automatisch mit der ausgewählten Schriftart skalieren, wenn die Schriftart mehr Platz als die Standardschriftart benötigt
- Strg+L auf einer einzelnen Datei zeigt jetzt auch die Zone.Identifier-Stream-Daten für diese Datei an
- Angezeigte Dateitypen (z.B. *.txt) separat für jede Registerkarte speichern. Konfiguration - Optionen - Ordnerregisterkarten - Angezeigte Dateitypen für jede Registerkarte separat speichern
- Strg+U und Strg+Umschalt+U tauschen jetzt auch die angezeigten Dateitypen wenn DirTabFilters=1, da sie Teil des Tabs sind
- Verzeichnismenü (Strg+D): Option zum Ausblenden von Menüpunkten, die mit einem benutzerdefinierten Zeichen beginnen, standardmäßig ein Fragezeichen '?'
- Ansichtsmodi, Auto-Run-Befehle: Zeichen '-' am Anfang des Befehlsfelds setzen, um Befehle beim Tab-Wechsel nicht auszuführen, nur beim Verzeichniswechsel
- Bei gesperrten Ordnerregisterkarten mit zulässigen Verzeichnisänderungen sowohl das aktuelle Verzeichnis als auch das gesperrte Verzeichnis anzeigen, wenn sie unterschiedlich sind
Einstellungen speichern:
- Wenn der Benutzer keine Einstellungen speichern kann (z.B. im Konfigurationsmenü oder im Einstellungsdialog): Anbieten, die INI-Dateien in das Benutzerprofil zu kopieren
- Für Plugins in schreibgeschützten Verzeichnissen, Aufrufe von CreateFileA/W und allen INI-Funktionen abfangen und die Schreibaufrufe an %APPDATA%\GHISLER\ umleiten
- Deaktivieren der Umleitung von Plugins: 8192 zu RestrictInterface in wincmd.ini oder der Registrierung hinzufügen
- Einen anderen Ort für die Einstellungen bestimmter Plugins angeben: wincmd.ini [ReplaceIniLocation]
Lister:
- Neuer DirectShow Media Player im Lister, der den alten auf Basis von Video für Windows ersetzt (kann weiterhin über die Konfiguration ausgewählt werden)
- Unterstützt die Vollbildwiedergabe per Doppelklick oder Alt+Eingabetaste, Beenden auf die gleiche Weise oder mit ESC
- Audio- und Untertitel-Streams über das Kontextmenü ändern
- Bevorzugte DirectShow-Filter über die Lister-Konfiguration (3. Registerkarte) konfigurieren
- Kapitel als Häkchen unter der Suchleiste anzeigen und mit Strg+BildAb / Strg+BildAuf dorthin springen
- Tasten zum Zurück-/Vorwärtsspringen um x Sekunden (Standard 10s und 60s, konfigurierbar per Rechtsklick)
- DirectVobSub-Filter laden, wenn der Quellfilter einen Pin "Untertitel" hat.
- Die Verwendung von LAV-Filtern und ffdshow-Filtern laden, ohne sie zu installieren, indem man sie in das Unterverzeichnis filter32 bzw. filter64 kopiert
- Die letzte Wiedergabeposition der zuletzt gespielten Titel länger als 10 Minuten automatisch speichern
- Die Tonhöhe konstant halten, wenn Sie die Wiedergabegeschwindigkeit geändert wird. Dazu wird ein benutzerdefinierter DirectShow-Filter, der auf Open Source SoundTouch.dll basiert, benutzt
- Neue Optionen "Zusätzliche Multimedia-Dateitypen" und "Zusätzliche Irfanview/Xnview-Dateitypen"
Suche:
- Interne Bibliothek für reguläre Ausdrücke auf neueste Version aktualisiert (schneller, mehr Funktionen)
- Benutzer warnen, wenn er in "Text suchen" einen Text eingibt, der nicht in ANSI und/oder ASCII konvertiert werden kann (falls aktiviert)
Verzeichnisse synchronisieren:
- Verwendung regulärer Ausdrücke und gespeicherter Suchvorgänge, und über den Knopf [1x] festlegen, wo diese angewendet werden sollen, z.B. auf einer Seite, beiden Seiten usw.
- Neue Kontextmenüelemente zum Anzeigen des Dateikontextmenüs und der Dateieigenschaften sowie zum Bearbeiten der linken/rechten Datei
- Ausrufezeichen in der Schaltfläche "Einzelne" oder "Doppelte" anzeigen, wenn die Option beim Öffnen des Dialogfelds nicht deaktiviert ist
Vergleich nach Inhalt:
- Ein zusätzliches Listenfeld mit den beiden Zeilen ab der aktuellen Cursorposition anzeigen, um den Vergleich von Zeichen zu Zeichen zu vereinfachen
- Dialog zum Anzeigen des Fortschritts beim Einfügen eines großen Textpuffers anzeigen, falls der Vorgang länger als 2 Sekunden dauert. Dies ermöglicht das Abbrechen des Einfügens, setzt die Änderung jedoch nicht zurück
- Das untere Listenfeld direkt mit Strg+Tab fokussieren
- Das untere Listenfeld kann mit dem Cursor nach links / rechts, Seite hoch / runter, Home / Ende und dem Mausrad gescrollt werden
- Strg+Mausrad scrollt das untere Listenfeld, auch wenn die Maus nicht darauf ist. Strg+Alt+Mausrad scrollt immer noch seitenweise
FTPS/HTTPS:
- Unterstützung für OpenSSL 1.1 und neuer. Die Haupt-DLL muss libssl -*_*.DLL bzw. libssl-*_*- x64.dll heißen (mit *_* der Versionsnummer, z. B. 1_1), die libcrypto*.dll darf NICHT umbenannt werden!
Verifiziere Quersummen:
- Unterstützt aus einem Stream erstellte Prüfsumme, die als "<Prüfsumme> -" angezeigt wird (Prüfsumme gefolgt von zwei Leerzeichen und einem Bindestrich)
- In Prüfsummendateien, die von anderen Programmen erstellt wurden, werden weitere OpenSSL-Formattypen unterstützt: SHA224, SHA384, SHA3-224, SHA3-256, SHA3-384, SHA3-512
Interne Befehle:
- LOADLIST listfilename lädt eine Liste von Dateien/Ordnern aus einer Textdatei.
- cm_ZoomIn und cm_ZoomOut zum Zoomen von Miniaturansichten (wie Strg+Mausrad)
- cm_syncchangedir: Ein Verzeichnis beim Drücken von ENTER nicht öffnen, wenn es auf der anderen Seite nicht vorhanden ist. cm_syncchangedir wird nur dann deaktiviert, wenn der Benutzer es erneut versucht
- Unterstützung der Parameter 0 (oder keine)=Umschalten, 1=Setzen, 2 (oder -1)=Zurücksetzen für die folgenden internen Befehle: m_*Comments, cm_*DirBranch, cm_*DirBranchSel, cm_ToggleAutoViewModeSwitch, cm_SyncChangeDir, cm_SwitchLongNames, cm_SwitchHidSys, cm_SwitchHid, cm_SwitchSys, cm_Switch83Names, cm_FtpHiddenFiles, cm_SwitchDirSort, cm_SwitchOverlayIcons, cm_SwitchWatchDirs, cm_SwitchIgnoreList, cm_SwitchX64Redirection, cm_Vis*
- Befehl LOADSEARCH <gespeicherter Name> (z. B. auf Schaltfläche): Ein Gleichheitszeichen = vor den Namen setzen, um die Suche sofort zu starten, zwei ==, um die Listbox zu starten und nach der Suche anzuwenden (Resultat im Total Commander anzeigen)
- Verbesserter Befehl ZIPFROMLIST: Der Name der Dateiliste kann jetzt Unicode-Zeichen enthalten, und der Inhalt kann ANSI, UTF-16 (mit Byte-Reihenfolge-Markierung BOM) oder UTF-8 (mit oder ohne Byte-Reihenfolge-Markierung) sein, und der Archivname kann jetzt auch ins Parameterfeld eingegeben werden.
- Neue Befehle zum Schreiben der Dateiliste mit Details und Spaltenüberschriften in Datei/Zwischenablage
- Unterstützung für Parameter 0=wechseln, 1=setzen, 2(oder -1)=zurücksetzen auch für: cm_SrcQuickview, cm_LeftQuickview, cm_RightQuickview, cm_SrcQuickInternalOnly, cm_LeftQuickInternalOnly, cm_RightQuickInternalOnly, cm_SeparateQuickview, cm_SeparateQuickInternalOnly
- Neuer interner Befehl OPENATTRIBUTES <parameter> Attribute ändern: +f (Unterordner), +a/-a +r/-r +h/-h +s/-s +dDate +tTime +L +L2 Plugin_Einstellungen
Platzhalter für Befehle in Buttonleiste/Startmenü:
- Alle Platzhalter in Buttonleiste oder Startmenü wie %N, %P unterstützen nun Teilstringfelder in der Form :~start,end, z.B. %N:~2,5 (5 Zeichen vom zweiten) oder %N:~-8,5 (5 vom achtletzten)
- Platzhalter %S, %R, %P%S und %T%R unterstützen jetzt angehängten Text für jede Datei. Der Parameter muss in doppelten Anführungszeichen stehen, z.B. "%P%S.bak" würde .bak an jeden Namen anhängen
- Neuer Platzhalter %B für einen Teil des Pfads (einschließlich Pfade der Verzweigungsansicht): %B oder %B0 Elternordner, %B1 Großelternordner usw. %B-, %B-1, %B-2 gleich aber ohne Zweigansicht
- Neuer Platzhalter %Bt, %Bt1 usw: Eltern-, Großelternordner des Zielordners
- Neuer Platzhalter %B+ für einen Teil des Pfades (inklusive Zweigansichtspfade), Zählen von Anfang an: %B+ Laufwerk mit ":", %B+0 Laufwerk ohne ":", %B+1 erstes Unterverzeichnis, %B+ 2 zweites Unterverzeichnis usw.
Felder des Inhalts-Plugins:
- 3 neue interne Felder: tc->ZoneId, tc->HostUrl und tc->ReferrerUrl lesen diese Felder aus Zone.Identifier Stream-Daten. ZoneId wird auf 0 gesetzt, wenn nicht vorhanden
Installationsprogramm:
- Standardmäßig auf neuen Systemen nach c:\ Program Files\totalcmd installieren. Wenn der Benutzer keine Administratorrechte erhält, zu c:\totalcmd wechseln
- Wenn nicht nach "Program Files" installiert wird, kann man festlegen, dass der Ordner für authentifizierte Benutzer schreibgeschützt sind, und nur dem installierenden Benutzer Schreibrechte gegeben werden
- Neuer Parameter /W aktiviert den schreibgeschützten Zielordner: /W0 unverändert, /W1 gibt aktuellen Benutzern Schreibrechte, /W2 gibt nur erhöhten Benutzern Schreibrechte
- Der letzte Parameter kann ein Zielpfad sein, z.B. installername.exe /F "c: \ totalcmdnew"
Neue Funktionen und Korrekturen in 9.51 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.51 Release-Kandidat 6:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.51 Release-Kandidat 5:
- Ermöglicht die Installation / Deinstallation / Reparatur und Verwendung von Total Commander, auch wenn das aktuelle Benutzerprofilverzeichnis Zeichen aus einer anderen Codepage enthält (z.B. Kyrillisch auf deutschem Windows)
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.51 Release-Kandidat 4:
- Unterstützung für neue Windows 10-Option in Systemsteuerung - Region: "Beta: Unicode UTF-8 für die Unterstützung weltweiter Sprachen verwenden"
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.51 Release-Kandidat 3:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.51 Release-Kandidat 2:
- Versionsnummer auf 9.51 geändert, da der Test länger dauert, und es mehr Änderungen gibt als erwartet
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50a Release-Kandidat 1:
- Dunkelmodus: F1 öffnet Hilfedatei totalcmddark.chm (separater Download), falls diese im selben Ordner wie totalcmd.chm vorhanden ist
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 Release-Kandidat 2:
- Reduziertes Flackern des Hauptmenüs im Dunkelmodus
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 Release-Kandidat 1:
- Neuer Menüpunkt "Dunkel<->Normal" im Menü Konfigurieren
- Mauszeiger springt auf Standardknopf, falls diese Option in der Systemsteuerung unter "Maus" aktiviert ist
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 8-13:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 7:
- Anzeige von bis zu 3 angeschlossenen USB-Geräten ohne Laufwerksbuchstaben (z. B. Telefone, Tablets) auch im Laufwerksbuttonbar
- Im dunklen Modus immer Ränder um Dateilisten anzeigen
- Unterstützung von Teilzeichenfolgen von Umgebungsvariablen, z.B. %Variable:~2,3%
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 6:
- Hinweisfarben können jetzt konfiguriert werden, sowohl im normalen als auch im dunklen Modus
- Die Standard-Hintergrundfarbe im Dunkelmodus ist jetzt etwas heller
- Konfigurieren-Einstellungen-Farben: Vorschau (Beispielausgabe) auch für Lister, Vergleich nach Inhalt, Titelzeile Dateifenster, Tippfenster und Dunkelmodus anzeigen
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 5:
- Dunkler Modus: Rahmen um Dateifenster anzeigen, wenn die Option "Flache Benutzeroberfläche" nicht verwendet wird
- Von einem Archiv direkt auf FTP hochladen: Option zum Kopieren von Zeitstempeln
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 4:
- Suche: "F2 Suchen in gefundenen Dateien" durchsucht nun auch gefundene Ordner
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 3:
- Der Dunkelmodus ist nun standardmässig ab Window XP verfügbar
- Dunkelmodus: Scrollleisten werden nun dunkel angezeigt, solange nicht mit der Maus gescrollt wird
- Drei neue interne Befehle, um Dunkelmodus umzuschalten: cm_SwitchDarkmode: an/aus, cm_EnableDarkmode: an, cm_DisableDarkmode: aus
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 2:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.50 beta 1:
Benutzerinterface:
- Dunkelmodus ab Windows 10 Herbst 2018, inoffiziell auch bei älteren Versionen (ForceDarkModeOptions=1)
- Länge des Verzeichnisverlaufs auf 200 erhöht (über HistoryLenStored konfigurierbar)
- Verlauf: Nur Verzeichnisse anzeigen, in denen der Benutzer eine Operation ausgeführt hat (konfigurierbar). Alt+Umschalt+Abwärtspfeil zeigt den vollständigen Verlauf an
- Laufwerks-Liste, Laufwerks-Symbolleiste: Bei USB-Festplatten ein Symbol für Auswerfen des Laufwerks anzeigen.
- Beim Blättern durch Dateilisten mit der Tastatur einen Rand von 4 Zeilen über / unter der aktuellen Position anzeigen (konfigurierbar)
- Verzeichnisfenster: Anzeigen von <LINK> für Hardlinks / Softlinks zu Dateien anstelle der Größe 0
- Strg+Q-Schnellansicht: Inhalt des Link-Ziels anstelle des Inhalts der LNK-Datei anzeigen
- Konfigurieren - Einstellungen - Ansicht: Neue Option "\ anhängen", um Ordner als Ordner\ anstelle von [Ordner] anzuzeigen
- Interne Verknüpfungen: Optional: Zusätzliche Verben aus ALLEN übereinstimmenden Filtern hinzufügem. Die Standardoperation "Öffnen" nur von der ersten Übereinstimmung
- Das Untermenü "Neu" auch im Kontextmenü für den Eintrag [..] anzeigen, um eine neue Datei im aktuellen Verzeichnis zu erstellen
- Windows 10, Kontextmenü: Menüpunkt "Teilen" hat nichts gemacht -> intern behandeln
- Schnellsuchdialog: Suchtext mit Strg + Y löschen
- Rechtsklick auf die Registerkarte "Verzeichnis" -> "Kürzlich geschlossene Registerkarten" anzeigen
- Den Speicherort der Total Commander EXE-Datei in der Infobox anzeigen
Dateioperationen:
- Archive: Beim Entpacken Codierung der Dateinamen wählen, z.B. um Dateien mit kyrillischen Zeichen zu entpacken
- OneDrive-Ordner: Behandelt Ordner, die als Dateisystemverknüpfungen angezeigt werden
- F5-Kopierdialog: Lesezeichen anzeigen (Strg + D)
- CRC-Prüfsummen erstellen: Neue Optionen zur Verwendung des Unix-Formats und zur Verwendung von UTF-8
FTP / Dateisystem-Plugins:
- Transfer von FTP-Server zu FTP-Server mit F5: Option zum Kopieren über lokalen PC
- Übertragung von/zu FTP/FS-Plugins: Unterstützung von Kopierfiltern wie bei der lokalen Dateikopierfunktion, z.B. *.txt | ausschliessen\
- FTP, Upload/Download mit F5-F2 im Hintergrund: Unterstützung für Client-Zertifikat
- RestrictInterface=6144: Alle Plugins verbieten, oder 4096: Nur Plugins mit gültiger digitaler Unterschrift
Mehrfach-Umbenenntool:
- Neuer Platzhalter [c] = Anzahl der Dateien in der Liste
- Neuer Platzhalter [S] = Dateigröße
Alt+F10 Baum:
- Option zum Laden des Baums mit 'Everything'
- Combobox zum Wechseln des Laufwerks, öffnen mit Alt+F1 oder Alt+F2
Suche:
- Suchen mit 'Everything': Zeigt den Prozentsatz der Suchergebnisse an, die an Total Commander übertragen wurden
- Verbesserte Suche in Office-XML-Dateien (z.B. .docx, .ods usw.): Suchen nach Zeichen mit Akzenten
- Die Option 'Everything' automatisch aktivieren, wenn das Präfix "ev:" oder "ed:" im Suchfeld verwendet wird
- Option, nur in Suchergebnissen zu suchen
- Vorherige Suchergebnisse anzeigen
Lister (F3):
- Festlegen, welche Ansichtsmethode und welches Plugin beim Öffnen verwendet werden sollen, getrennt nach Dateityp, z.B. alle JPG-Dateien mit internem Bildbetrachter öffnen
- '8' drücken um die Vorschau wie im Explorer anzuzeigen (nutzt IPreviewHandler oder IThumbnailProvider, falls Ersterer nicht verfügbar ist)
- Unterstützt das Drucken von JPG/PNG/GIF im Lister mit dem internen Bildbetrachter
Vergleich nach Inhalt:
- Die Farbe für unterstrichene Suchergebnisse festlegen
Verzeichnisse synchronisieren:
- Verwenden von Strg+BildAuf/BildAb, um zum nächsten/vorherigen Verzeichnis zu springen
Interne Befehle:
- Neue interne Befehle mit Parametern: LOADSELECTION, SAVESELECTION, SAVEDETAILS plus ANSI/Unicode-Versionen
- cm_ModernShare Ermöglicht die direkte Verwendung des neuen Windows 10-Kontextmenüpunkts "Freigeben"
- cm_ChangeArchiveEncoding zum Öffnen des Popup-Menüs für die Archivkodierung
- cm_MoveTabLeft und cm_MoveTabRight zum manuellen Verschieben der aktuellen Registerkarte
Neue Funktionen und Korrekturen in 9.22a (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.22 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.22 Release-Kandidat 2:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.22 Release-Kandidat 1:
- Sicherheitslücke in unacev2.dll gepatcht
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.21a (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.21 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.21 Release-Kandidat 2-3:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.21 Release-Kandidat 1:
- Lister: Maximale Zeilenlänge für Text festlegen, wenn kein Zeilenumbruch verwendet wird, z.B. wincmd.ini [Lister] UnwrapWidth=2000
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 Release-Kandidat 2-3:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 Release-Kandidat 1:
- Mehrere Bildschirme: Benutzer können die Position separat auf jedem Bildschirm speichern. Position und Größe werden wiederhergestellt, wenn das Fenster mit Win+Umschalt+Cursor links/rechts zwischen den Bildschirmen verschoben wird. Nur die Größe wird wiederhergestellt, wenn man das Fenster mit der Maus auf einen anderen Bildschirm verschiebt.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 beta 6:
- F7/Umsch+F7: Option in wincmd.ini zum Deaktivieren der Positionierung des Dialogs über der aktiven Dateiliste (NewFolderOverPanel=0)
- Option in wincmd.ini zum Anzeigen/Verstecken der Übertragungsgeschwindigkeit im Hintergrund-Dialog (BackgroundSpeed=0/1/2)
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 beta 5:
- F7/Umsch+F7: Eingabedialog über dem Panel anzeigen, in dem das Verzeichnis erstellt wird
- Wenn man zum Hauptverzeichnis eines Laufwerks oder einer Freigabe wechselt, z.B. mit Strg+"<" oder dem "\"-Knopf, den Cursor auf das Verzeichnis setzen, das Teil des Pfades war. Beispiel: Beim Wechsel von c:\Windows\System32 ins Hauptverzeichnis -> den Cursor auf "Windows" setzen
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 beta 4:
- Neue Tastenkombination Umsch+F7, um Verzeichnis im Zielfenster anzulegen, mit dem Namen unter dem Cursor im aktiven Dateifenster als Vorgabe
- Sichere FTP-Verbindung: Über das Präfix kann neu angegeben werden, ob explizites ftps (ftpes://server) oder implizites ftps (ftpis://server) verwendet werden soll. Bei ersterer Methode wird erst eine unverschlüsselte FTP-Verbindung aufgebaut, und anschließend mit AUTH TLS auf Verschlüsselung umgeschaltet. Die letztere ist von Anfang an verschlüsselt.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 beta 3:
- Vergleich nach Inhalt: Alles markieren mit Strg+A
- Mehrfach-Umbenenntool: Option für Großschreibung wie in englischen Überschriften (gewisse Wörter wie a, the, of... klein)
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 beta 2:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.20 beta 1:
- Buttonbar, Befehlszeile: Unterstützungs von Shell-GUIDs, z.B. um zu den letzten Verzeichnissen des Explorers zu gelangen: cd ::{22877a6d-37a1-461a-91b0-dbda5aaebc99}
- Dateien - Attribute ändern: Schaltfläche zum Laden von Attributen aus der Datei unter dem Cursor im Zielfenster
- Symbol aus interner Verknüpfung hat Vorrang vor internem Packersymbol (z. B. für * .rar)
- wincmd.ini [Konfiguration] IgnoreDirErrors=1 erlaubt es in unzugängliche oder nicht existierende Verzeichnisse zu wechseln, zeigt stattdessen <Fehler beim Lesen!> in der Dateiliste an
- Buttonleiste: Buttongröße und kleine Symbolgröße können nun für jeden Bildschirmmaßstab (dpi) separat eingestellt werden
- FTP-Client: Unterstützung für Client-Zertifikate für ftps (ftp über ssl/tls) aus dem Windows-Zertifikatspeicher. Funktioniert nur mit der schannel-Library auf Vista oder neuer, nicht mit openssl
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.12 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.12 Release-Kandidat 3-4:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.12 Release-Kandidat 2:
- Umbenannt nach 9.12, aus offensichtlichen Gründen
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.11 Release-Kandidat 1:
- Windows 10 Fall Creators Update, OneDrive: Wolkensymbol (Overlay) bei Dateien anzeigen, die nicht lokal verfügbar sind
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.10 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.10 Release-Kandidat 1-3:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.10 beta 3:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.10 beta 2:
- Mehrfach-Umbenenn-Tool / neue Textdatei / neuer Ordner: Unterstützung für Platzhalter [%x%], wird ersetzt durch den Inhalt der Umgebungsvariable 'x'
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.10 beta 1:
- Unterstützung für mehrere Bildschirme mit verschiedenen Auflösungsdichten (DPI) pro Bildschirm unter Windows 10 (erfordert die neueste Version, "Creators Update" oder neuer).
- "Neuer Ordner" (F7) kann nun die gleichen Platzhalter wie das Mehrfach-Umbenenntool (z. B. Datum + Uhrzeit) verwenden, und mehrere Verzeichnisse in einem Schritt mit einem Zähler erstellen
- "Neue Textdatei" (Umsch+F4): Unterstützung der gleichen Platzhalter wie das Mehrfach-Umbenenntool
- "Neue Textdatei" (Umsch+F4) funktioniert nun auch in Archiven, auf FTP-Servern und mit Dateisystem-Plugins
- Möglichkeit, das neueste "Everything"-Tool in Alt+Umschalt+Enter / Leertaste zu verwenden (Speicherbedarf ermitteln)
- Unterstützung für Windows 10 Herbst-Creators Update, vor allem OneDrive (Unterstützung für nur-online-Dateien)
- Interner 7zip-Entpacker: Auspacken im Hintergrund
- Unterstützung für neue Pseudo-Umgebungsvariablen (hier beschrieben)
- Schriftqualität festlegen (z. B. Anti-Aliasing ein-/ausschalten)
- Lister: Unterstützung für Touch Screen Scrolling + Textauswahl
- Lister: Unterstützung von Unicode-Namen beim Laden von Bildern über Irfanview (benötigt neue Unicode-Version von Irfanview)
- Vergleich nach Inhalt: Breite im Binärmodus auf 8, 16, 24 oder 32 Bytes einstellen
- Mehrfach-Umbenenntool: Neue Platzhalter zum Einfügen des aktuellen Datums + der Zeit
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0a (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0a Release-Kandidat 3:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0a Release-Kandidat 2:
- Inhaltsplugins, Feld "Größe": Unterstützung von TBytes und 2 Stellen nach dem Dezimalpunkt
- Ersatz der Photo-App durch Windows Bildanzeige kann nun deaktiviert werden in Dateien - Verknüpfen.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0a Release-Kandidat 1:
- Suchfunktion: "Suchen nach", Präfix "ed:" sucht mit "Everything" mit seiner Syntax in allen unter "Suchen in" angegebenen Verzeichnissen
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 (Release-Version):
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 Release-Kandidat 6:
- Neue tcmdlzma.dll und tclzma64.dll Version 16.4.0.0, kompiliert mit offiziellem 7zip-Quellcode, benutzt für lzma-komprimierte ZIP-Dateien
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 Release-Kandidat 5:
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 Release-Kandidat 4:
- Suche mit "Everything": Datei-Details (Größe, Datum, Zeit, Attribute) direkt von Everything 1.4 oder neuer empfangen
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 Release-Kandidat 3:
- Hauptsymbol der 64-bit-Version: Text "64" auf dem 16x16-Symbol vergrössert, besser erkennbar
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 Release-Kandidat 2:
- Neue Icons für Hauptmenü und Buttonbar(s): Nun auch in 48x48 Pixel Auflösung
- Verzeichnisse synchronisieren: 2 Dateien auf verschiedenen Zeilen vergleichen: jede Zeile darf nur 1 Datei enhalten, je 1 links bzw. rechts
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 Release-Kandidat 1:
- Neue Icons für Hauptmenü und Buttonbar(s), wählbar beim ersten Start oder via Rechtsklick auf den Buttonbar
- Lister: Position der separaten Schnellansicht (Ctrl+Umsch+Q) separat speichern
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 17:
- Neue 7zip-Entpack-DLLs
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 16:
- cm_100percent akzeptiert nun einen Parameter: Falls >0 wird die Breite des aktiven Dateifensters gesetzt. Falls <0, wird die Breite des linken Dateifensters gesetzt (1..100%). Beispiel: cm_100percent 70
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 15:
- Neuer Platzhalter [u] im Mehrfach-Umbenenntool: Wandelt Unicode-Composite-Zeichen, z.B. separate a und ¨ um in precomposed-Zeichen (ä).
- Neue SSL/TLS-Implementierung: Unterstützung für TLSv1.1 und TLSv1.2, und das genutzte Protokoll im Verbindungslog anzeigen.
- Befehle für Ansichtsmodi definieren, wenn man von einem Modus weg zu einem anderen Modus wechselt. Muss hinter | (vertikaler Linie) angegeben werden, z.B. cm_100percent|cm_50percent.
- Die folgenden internen Befehle akzeptieren nun Parameter 0 (wechseln, Vorgabe), 1 (wahr), and 2 (falsch), ausser im Hauptmenü (* steht für LEFT, RIGHT, und SRC): CM_VERTICALPANELS, CM_*THUMBS, CM_*BYNAME, CM_*BYEXT, CM_*BYSIZE, CM_*BYDATETIME, CM_*UNSORTED, CM_*NEGORDER.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 14:
- Sichere Internetverbindungen über FTPS und HTTPS auch ohne installierte OpenSSL-DLLs aufbauen. Diese benutzen die sChannel-Funktionen von Windows (Crypto API).
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 13:
- Anstelle der Windows-Photo-App (Kacheloberfläche) wird der Windows Photo Viewer (Desktop-Programm) beim Doppelklick auf eine Bilddatei geöffnet. Deaktivierbar (ReplacePhotoApp=0).
- Hauptfenster beim Lesen von langen Verzeichnissen nicht deaktivieren, sondern weiter Windows-Meldungen abarbeiten, aber Benutzereingaben (ausser ESC) ignorieren.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 12:
- Möglichkeit, den 2. Fortschrittsbalken im Hintergrund-Transfermanager zu deaktivieren: CountMarkedBackground=0
- Auch das alte Archivsymbol zeigen, wenn "Zeige Standard Ordner-/Dateisymbole vom Explorer" deaktiviert ist
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 11:
- Wenn der Benutzer den Ansichtsmodus manuell ändert, während der automatische Ansichtsmoduswechsel aktiv ist, wird der Modus nun bei Verzeichniswechseln beibehalten, bis der Benutzer in ein anderes Verzeichnis mit anderer Ansichtsmodusregel>0 wechselt.
- Farben und Symbole von Ansichtsmodi im Hauptmenü und Tab-Kontextmenü anzeigen.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 10:
- Symbole für Laufwerke, Standard-Dateien und -Ordner, '!'-Symbol und gedimmte versteckte Dateien via Einstellungen ändern
- Erkennen, wenn ein Laufwerk mit Bitlocker verschlüsselt ist, und anbieten, es zu entschlüsseln
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 9:
- Mehrfach-Umbenenntool: Es können bis zu 20 Umbenennoperationen rückgängig gemacht werden (konfigurierbar)
- Auto Modus wechseln: Option "L" erlaubt nun die Angabe von einem oder mehreren Laufwerkstypen (z.B. 2=Wechsellaufwerk)
- Ansichtsmodus: Option, das Symbol prioritär zu behandeln, vor allen anderen Symbolen (z.B. aus desktop.ini)
- Versteckte und Systemdateien mit Ausrufezeichen-Overlay anzeigen
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 8:
- Installationsprogramm unterstüzt nun folgende Parameter: /AHLMGDUK A=Automatisch, H=Versteckt, L=Sprachnummer, M=Mehrsprachig, G=Gruppe anlegen, D=Desktopsymbol, U=Update falls Ziel existiert, K=Kopiere wincmd.key aus selbem Verzeichnis wie der Installer. Alle Optionen akzeptieren Parameter 1 oder 0, z.B. G0 oder G1. L akzeptiert Sprachnummer aus install.inf, z.B. L18=Rumänisch.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 7:
- Windows 10: Trennlinie zwischen Tabulatorenzeile und Dateiliste wieder eingefügt, weil sie im Windows-10-Thema fehlt
- Ansichtsmodus nicht zurücksetzen beim Laden von gesperrten Tabs (auch mit Verzeichniswechsel erlaubt)
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 6:
- Konfigurationsdialog: Beim Klick auf OK/Anwenden auf der Ansichtsmodusseite wird der gewählte Ansichtsmodus aktiviert, sofern der automatische Moduswechsel deaktiviert ist
- Farbe des aktuellen Tab manuell festlegen via [Colors] ActiveTabColor
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 5:
- Man kann nun ein Symbol für den Standard-Ansichtsmodus definieren
- Suchfuktion: Präfix "ev:" übergibt Suchtext unverändert an Everything
- Wenn beim Löschen in den Papierkorb eine Datei nur direkt gelöscht werden kann, wird neu ein Dialog angezeigt, wo man wählen kann, ob direkt gelöscht werden soll oder nicht.
- FTPS: Zertifikate immer verifizieren, selbst wenn keine wincmd.pem-Datei vorhanden ist, da nun die Root-Zertifikate des Internet Explorers verwendet werden.
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 4:
- Änderung der VistaDelete-Löschmethode für Papierkorb: Annehmen, dass die Angaben zum Papierkorb in der Registry stimmen, und dafür einen Fehler anzeigen, wenn die Funktion trotz Anforderung zum Löschen in den Papierkorb direkt löschen will.
- FTPS: SHA256-Hash statt SHA1 benutzen, um Zertifikate mit selbst signierter Zertifikat-Authorität zu erkennen.
- 24x24-Symbole für Strg+F FTP-Verbindungsdialog
- Ansichtsmodi via Rechtsklick auf Ordnertabs ändern, betrifft z.Zt. nur den aktuellen Tab
- Vertikaler Buttonbar: Freien Platz links+rechts symmetrisch anzeigen
- Vertikaler Buttonbar: Falls der Balken zu hoch ist, Überlaufbutton anzeigen, welcher den Rest als Popup-Fenster öffnet
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 3:
- "Everything" starten, wenn der Benutzer die entsprechende Option im Suchdialog ankreuzt, Everything nicht läuft, aber sich im Total Commander-Verzeichnis befindet, z.B. für portable Nutzung
- Netzwerkumgebung: Kontextmenü öffnen für virtuelle Ordner, die nicht eingelesen werden können, z.B. für DLNA-Server
- Update-Tester: Automatische Updates via "Jetzt nach Updates suchen" deaktivieren, falls keine Updates anstehen
- Update-Tester: DNS TXT-Eintrag für Versionschecks benutzen falls verfügbar
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 2:
- Befehle mit numerischen Parametern wie CM_SELECT unterstützen nun ? oder ?Nummer als Parameter -> Eingabedialog
- Mehrfach-Umbenenntool, Untermenü "#": Neuer Eintrag [?#-#] für Plugindialog, Auswahl von Zeichen für das gewählte Pluginfeld
- Unterstützung für Umgebungsvariablen wie %commander_path% in Verzeichnissen bei Ansichtsmodus automatisch wechseln
- Symbol aus der Datei zipfldr.dll für Archive verwenden, sofern verfügbar
- Fehlerkorrekturen
Neue Funktionen und Korrekturen in 9.0 beta 1:
Benutzerinterface:
- Ansichtsmodi, können manuell über das Menü "Anzeigen" oder automatisch durch benutzerdefinierte Regeln umgeschaltet werden
- Symbole auf den Tabs (Registerkarten) anzeigen, abhängig vom angezeigten Ordner
- Vertikale und horizontale Abstände bei Dateisymbolen einstellbar
- Vertikale Buttonleiste (kann über Konfigurieren - Einstellungen - Layout deaktiviert werden)
- Gummiband - Auswahlmodus bei Verwendung der Auswahlmethode "linke Maustaste", deaktivieren über Einstellungen
- Bis zu 3 externe Geräte ohne Laufwerksbuchstaben (z.B. Android oder Windows Phone) in Alt+F1/F2-Laufwerkliste anzeigen
- Hintergrund-Transfermanager (F5-F2): Zweiten Fortschrittsbalken mit Gesamtfortschritt anzeigen wenn verfügbar
- Textcursor mit aktuellem Windows-Thema zeigen; aktivieren/deaktivieren in Konfigurieren - Einstellungen - Farben
- System-Laufwerk- und -Ordner-Symbole (dynamisch geladen) verwenden anstelle von internen
- Gedimmte Symbole für versteckte Dateien / Ordner
- Kleinen grünen Pfeil als Overlay-Symbol anzeigen, wenn ein Ordner geöffnet ist, z.B. im Baum oder beim Öffnen sehr großer Ordner
- Klick auf Tab-Header bei Option "gesperrt, aber Verzeichnisänderungen erlaubt" -> ins Basisverzeichnis dieses Tabs zurückkehren
- Bessere Unterstützung für Bildschirme mit hoher Auflösung
- Skalierung der Dialogfelder (OverrideDPI) über Konfigurieren - Einstellungen - Schrift
- Option zum Anzeigen von Größen mit 1k = 1000 Bytes anstelle von 1k = 1024 Bytes
- Option zum Anzeigen von Zahlen in TBytes, mit 1 oder 2 Nachkommastellen
Dateioperationen:
- Unicode-Unterstützung für descript.ion-Dateien
- Umbenennen (Umsch+F6): Pfeil nach oben/Pfeil nach unten um zur vorherigen/nächsten Datei zu springen (konfigurierbar)
- F5 Kopieren/F6 Bewegen: Combobox mit allen geöffneten Tabs und allen Unterverzeichnissen im Zielfenster (Umsch: Quellfenster)
- F5 Kopieren: leere Verzeichnisse überspringen durch Anhängen von | **\ an die Zeile "nur Dateien dieses Typs"
- Zusätzliche Prüfsummentypen erzeugen und verifizieren: SHA224, SHA384, SHA3_224, SHA3_256, SHA3_384, SHA3_512
- Dateien direkt löschen (nicht in den Papierkorb): Bei Fehlern erst am Ende der gesamten Operation nachfragen
- Dateien direkt löschen: Neue Option "Alle überspringen", falls Dateien fehlen
- Threads für Löschen, Hints und ID-List wiederverwenden
- Überschreibbestätigung in Synchronisieren deaktivieren: wincmd.ini [Confirmation] SyncConfirmOverwrite=0
FTPS, HTTPS:
- Unterstützung von TLS 1.1 und 1.2 mit neuen OpenSSL-DLLs
- Windows-Zertifikatspeicher "ROOT" und "CA" verwenden, um gekaufte Serverzertifikate zu überprüfen
Packer:
- ZIP-Entpacker: Unterstützung für neue Entpackmethode XZ (Methode 95) mit neuer tcmdlzma.dll und tclzma64.dll
- Unterstützung für ungültige ZIP-Archive ohne CRC im lokalen Header und hinter der Zip-Datei, z.B. von ownCloud erzeugt
- Unterstützung für ungültige ZIP-Archive mit UTF-8-codierten Namen aber fehlendem UTF-8-Flag (erstellt von Dropbox)
Suchfunktion:
- "Everything"-Tool benutzen, um auf NTFS-Laufwerken viel schneller zu suchen, wenn möglich auch bei Netzwerklaufwerken
- Suche nach Text mit Inhaltsplugins auf der Haupt-Suchseite
- Suchen mit regulären Ausdrücke bei mehr Dateitypen: Unicode UTF-8+UTF-16, Office XML
- Neue Option "Älter als", funktioniert analog zu "Nicht älter als"
- Suche in separatem Prozess: Erlaubt Suche in Suchergebnissen (nach "Anwenden") und markierten Dateien
Vergleich nach Inhalt:
- Nur Unterschiede anzeigen, mit zusätzlichen Zeilen oberhalb/unterhalb der Unterschiede, einschließlich Bearbeiten
- Bearbeitungsmodus: Dreifachklick zum markieren der ganzen Zeile
Mehrfach-Umbenenntool:
- Neue Buttons zum Einfügen seltener benutzter Felder
- Verbesserter Dialog zur Auswahl von Namensbereichen
- Automatisches Umbenennen in "name (2).ext", "name (3).ext" anbieten, wenn es doppelte Namen gibt, oder Namen, die bereits vorhanden sind
Lister:
- Strg+Umsch+Q: Schnellansicht in einem separaten Lister-Fenster öffnen, Inhalt anpassen beim Wechsel zu anderen Dateien
- Dateien vom Typ RTF, BMP, JPG, PNG, GIF, ICO, HTML mit internen Viewern auch in geschützten Systemverzeichnissen anzeigen
- Größeren Puffer verwenden, um große Textblöcke ohne Zeilenumbrüche korrekt anzuzeigen
Andere Operationen:
- Doppelklick/ENTER: .url Dateien innerhalb von Total Commander folgen, wenn sie auf Verzeichnisse zeigen. Deaktivierbar über wincmd.ini
- Manuelle Update-Prüfung über Menü Hilfe - Jetzt nach Updates suchen, via DNS-Lookup
- Automatische Update-Prüfung (experimentell): wincmd.ini [Configuration] AutoUpdateCheck= (1: alle Updates, oder 2: keine Betaversionen)
- Strg+B in Suchresultat = Gehe zu Verzeichnis unter dem Cursor
- Virtuelle Ordner wie die Netzwerkumgebung asynchron einlesen (schnellere erste Antwort) und in Hintergrund-Thread
- Verzeichnisverlauf: Name unter Cursor und Position in Liste merken beim Verzeichniswechsel via Doppelklick/Enter
- Inhaltsplugins: Neuer Dialog zur Auswahl von Inhaltsplugin-Feldern (statt Menü). Zeigt außerdem Feld-Vorschau für Datei/Ordner unter Cursor
- Verzeichnisse Synchronisieren: Vergleichen mit mehrteiligem ZIP, unterstützt Vergleich nach Inhalt und Anzeigen
- Buttonbar, Startmenü: Neue Parameter %C1..%C9, %c1..%c9
Interne Befehle:
- zum Fokussieren bestimmter Dateifenster, inkl. Baum: cm_FocusSrc, cm_FocusTrg, cm_FocusLeftTree usw.
- zum Markieren/Entfernen der Markierung von einer oder mehrere Dateien: cm_Select, cm_Unselect, cm_Reverse
- zum Öffnen von Lister: cm_ListOnly, cm_ListMulti, cm_ListInternalMulti, cm_SeparateQuickView, cm_SeparateQuickInternalOnly
- zum Speichern von Tabs in eine spezifische Datei: SAVETABS, SAVETABSL, SAVETABSR, SAVETABS2, SAVETABS2L, SAVETABS2R
- cm_wait, Wartezeit in Millisekunden, z.B. cm_wait 1000. Kombinierbar, z.B. em_cmd1,cm_wait 1000,em_cmd2
- Neue Befehle zum Schreiben der Dateiliste mit Details und Spaltenüberschriften in Datei/Zwischenablage
Neue Funktionen und Korrekturen in älteren Total Commander-Versionen


Wie registrieren

Bestellen der registrierten Version von Total Commander
Vielen Dank für Ihr Interesse! Eine Einzellizenz kostet zum Zeitpunkt der Veröffentlichung dieser Version 37 Euro plus MWSt. Für die aktuellen Preise siehe unsere Homepage www.ghisler.com/dorder.htm . Für Firmen und Institutionen gibt es Zusatzlizenzen zu stark reduzierten Preisen.
Die Lizenz gilt für 64-bit- und 32-bit-Version gleichzeitig.
Bitte rufen Sie uns nicht an - verwenden Sie E-Mail oder unser Forum unter www.ghisler.ch für Supportfragen!
Update-Infos für registrierte Benutzer
Informationen für Wiederverkäufer (Reseller)
Bestellen weltweit Online via Internet
Wir bieten eine Online-Bestellmöglichkeit direkt über unsere Homepage www.ghisler.com/dorder.htm an. Unser Bestellservice bietet eine sichere Internet-Verbindung für Kreditkartenbestellungen und Paypal.
Bei Onlinebestellungen können Sie auch per Überweisung zahlen, neben Paypal und Kreditkarte. Wenn Sie Überweisung als Zahlungsart wählen, können Sie
in einem nächsten Schritt die Vorabrechnung als PDF herunterladen. Nach Eingang der Zahlung erhalten Sie dann den Schlüssel per e-mail zugeschickt, sowie die endgültige Rechnung. Die Vorabrechnung gilt auch als Angebot - wenn Sie diese nicht bezahlen, verfällt die Bestellung automatisch.


Updates&Support

Updates auf Total Commander 10.x von einer älteren Version
Wenn Sie Version 3.0 oder neuer einsetzen, so können Sie die neue Version einfach über die bestehende registrierte Version installieren, und die Registrierung bleibt aktiv. Besitzen Sie Commander 2.11 oder älter, so ist Ihr alter Schlüssel wincmd.key leider ungültig geworden. Der alte Schlüssel hat eine Größe von 128 Bytes, der neue 1024 Bytes. Wenn Sie registrierter Benutzer von Commander 2.11 (oder älter) sind, so können Sie gratis einen neuen Schlüssel erhalten, indem Sie mir Ihren Namen, Ihre Adresse sowie Ihre Registriernummer per E-Mail zuschicken. Sie finden diese Nummer auf der Originaldiskette/CD sowie auf der Registrierbestätigung. Schicken Sie mir diese Angaben an die E-Mail-Adresse auf folgender Webseite:
www.ghisler.com/dupdate.htm
Dort finden Sie auch genaue Instruktionen zum Update-Prozess. Das Update ist nur gratis, wenn Sie es sich via Download/E-Mail besorgen.
Updates von Commander 3.x/4.x/5.x/6.x/7.x/8.x/9.x auf spätere Versionen
Sobald Sie registriert sind, sind (bis auf weiteres) alle weiteren Updates gratis, vorausgesetzt Sie besorgen sich diese selbst via Internet. Installieren Sie einfach die neue (Shareware-) Version über die alte, dann bleibt Ihre Registrierung erhalten. Wichtig ist nur, dass die Datei wincmd.key von der Originaldiskette/CD im gleichen Verzeichnis wie totalcmd.exe ist. Sie finden die neueste Version auf unserer Internet-Homepage:
www.ghisler.com
Fehler melden
Haben Sie einen Fehler gefunden, so melden Sie mir diesen bitte bei einer der unten angegebenen Adressen. Sehr hilfreich sind folgende Informationen:
- genauer Fehlerhergang (wie reproduziert man den Fehler?)
- Version und Datum von Total Commander (siehe Hilfe - Über Total Commander)
- Version von Windows
- Die Datei wincmd.ini
- Bei GPF (allg. Schutzverletzung): Drücken Sie Strg+C im angezeigten Fehlerdialog, um die Fehlermeldung in die Zwischenablage zu kopieren. Von dort können Sie sie in Ihr Mailprogramm oder in unser Forum einfügen (Strg+V).
Support
Bitte lesen Sie zuerst die FAQ (oft gestellte Fragen) und besuchen Sie unsere WWW-Seite auf dem Internet:
www.ghisler.com
Sollten Sie immer noch wichtige Fragen haben, oder haben Sie einen Fehler in Total Commander gefunden, so erreichen Sie mich über folgende Adressen:
- für technische Fragen benutzen Sie die Mailadersse von www.ghisler.com/support.htm
- für Fragen zu Bestellung und Registrierung benutzen Sie die Mailadersse von www.ghisler.com/sales.htm.
- Leider können wir bei nicht funktionierenden Parallelportverbindungen keinen Support anbieten.
- Bitte rufen Sie mich nicht privat an! Verwenden Sie wenn immer möglich E-Mail!


Lizenzvertrag

Lizenzvertrag / Copyright
Lizenzvertrag
Lesen Sie die folgenden Zeilen sorgfältig durch, bevor Sie diese Software benutzen. Sollten Sie mit dem folgenden nicht einverstanden sein, so benutzen Sie dieses Programm nicht und löschen Sie es von Ihren Datenträgern.
Shareware-Version
Sie haben hiermit das Recht, dieses Programm und die damit verbundenen Dateien einen Monat lang eingehend zu testen. Sie dürfen das Programm mit den damit verbundenen Dateien beliebig weitergeben, solange Sie exakte Kopien ohne Veränderung anfertigen. Unter Veränderung verstehen wir das Weglassen von Dateien sowie das Verändern jeglicher Art. Sie dürfen dieses Programm und seine Dokumentation keinem kommerziellen Programm beilegen, außer mit unserer schriftlichen Erlaubnis. Shareware-Händler dürfen die Shareware-Version dieses Programms gegen eine geringe Gebühr (ca. Fr. 10.-) weiterverkaufen. Dem Kunden muss klar sein, dass er keine Vollversion erhält. Als "Beta" oder "Release Candidate" bezeichnete Versionen dürfen unter keinen Umständen verbreitet werden.
Benutzung über die Testphase hinaus verstößt gegen internationale Copyright-Bestimmungen!
Registrierung
Dieses Programm ist weder Freeware noch Public Domain. Eine Benutzung über die Testphase von 30 Tagen hinaus benötigt eine Registrierung.
Vollversion (Einzellizenz)
Die Vollversion dieses Programms (Einzellizenz) darf auf beliebig vielen Computern installiert werden, solange sie nur von einer Person gleichzeitig benutzt wird. Für eine Port-Verbindung zwischen 2 Rechnern reicht eine Lizenz. Die Nutzung durch mehrere Personen auf mehreren Computern gleichzeitig erfordert zusätzliche Lizenzen. Eine Einzellizenz kostet CHF 40.- inkl. Versand, eine Studentenlizenz CHF 30.- (nur mit Scan oder Foto des Studentenausweises). Die Studentenlizenz kann nur auf den vollen Namen des Studenten ausgestellt werden.
Zusatzlizenzen (Mehrfachlizenzen)
Zusätzliche Lizenzen erlaubten es dem Lizenznehmer, in seiner Institution, Firma oder Schule das Programm auf mehreren Rechnern und/oder Servern zu installieren und zu benutzen. Dabei darf pro Lizenz eine Person gleichzeitig auf beliebig vielen Rechnern (auch gleichzeitig) mit Total Commander arbeiten. Wenn z. B. 10 Mitarbeiter auf 20 Rechnern (PC/Laptop) gleichzeitig Total Commander laufen lassen, wird eine 10-Benutzerlizenz benötigt.
Die Lizenzen sind alle auf denselben Namen der Firma/Institution ausgestellt. Zusätzliche Lizenzen kosten CHF 20.- für die 2. bis 10. Lizenz, usw. (siehe Zusatzlizenzen für Details). Für größere Mengen als 1000 wenden Sie sich bitte direkt an den Autor. Jede Zusatzlizenz erlaubt es außerdem je einem Mitarbeiter der Firma, das Programm auch zu Hause einzusetzen (privat oder geschäftlich). Die Benutzung der Lizenzen einer Firma durch Dritte ist erlaubt, sofern dabei die gleichzeitige Anzahl Benutzer nicht überschritten wird (z.B. 10-Benutzerlizenz - max. 10 Nutzer gleichzeitig).
Haftung
Wir versuchen, unsere Software so fehlerfrei wie möglich zu halten. Aber es gilt allgemein (nach Murphy): Keine Software ist fehlerfrei, und die Anzahl der Fehler steigt mit der Komplexität des Programms. Deshalb können wir keine Gewähr dafür übernehmen, dass diese Software in jeder Umgebung, auf jedem Rechner, und mit jeglichen anderen Anwendungen zusammen fehlerfrei läuft. Jegliche Haftung für direkte wie indirekte Schäden wird hiermit ausgeschlossen, soweit dies gesetzlich zulässig ist. In jedem Fall jedoch ist die Haftung beschränkt auf die Registriergebühr.
Testen Sie dieses Programm mit unkritischen Daten, für Schäden an Daten wird keinerlei Haftung übernommen. Sollten Sie bis zur Registrierung Fehler entdecken, so akzeptieren Sie diese, sofern Sie sich trotzdem registrieren lassen. Jegliche Fehlerbeschreibung wird gerne entgegengenommen, jedoch können wir keine Garantie geben, dass alle Fehler behoben werden können.
Entstehung
Total Commander wurde mithilfe von Delphi 1.0 (16 bit) und 2.0 (32 bit) (© 1995-96 by Borland International) sowie mit Lazarus/Free Pascal (64 bit) geschrieben. Der Drag&Drop-Algorithmus, insbesondere der undokumentierte Teil, entstammt dem Buch "Undocumented Windows", Andrew Schulman, Addison Wesley 1991. Der DPMI-Zugriff zum Setzen des Volume-Namens wurde dem Buch "Turbo Pascal für Windows - Object Windows", A. Ertl/R. Machholz, Sybex 1992 entnommen. Es wurden nur Algorithmen übernommen und in Pascal neu ausformuliert. Das Bildschirmlayout wurde DCC (© 1991/93 Daniel Pantke) entlehnt (Original: Norton Commander ,© Symantec). Aus Copyright-Gründen wurden alle Routinen, die aus dem Heft WinDOS stammten, gelöscht und komplett neu geschrieben. Die Entpacker für ARJ und LZH wurden von Mart Heubels (WinCAT PRO) und mir von frei erhältlichen C-Sourcen nach Pascal übersetzt. Eine frei erhältliche DLL für alle 3 Entpacker ist in Vorbereitung. Der ZIP-Packer basiert auf C-Sourcen von ZLIB, geschrieben von Jean-loup Gailly. Die C-Sourcen sind auf dem Internet frei verfügbar, auf demselben Server wie ZIP-NT und Info-Zip. MD5 Implementation geschrieben von Greg Carter, CRYPTOCard Corporation. Der AES-Verschlüsslungscode im ZIP-Packer wurde von Dr. Brian Gladman entwickelt. Das LZMA-SDK (ZIP-Methode 14) wurde von Igor Pavlov geschrieben und als "public domain" freigegeben. Die AES256-Hashfunktion ist Copyright 2002-2007 Wolfgang Ehrhardt. Optimierte Teile von MD5, SHA1, SHA256 und SHA512 stammen von der DCPcrypt Cryptographic Component Library v2, Copyright (c) 1999-2003 David Barton. Der Blake3-Hashcode von https://github.com/BLAKE3-team/BLAKE3 ist unter Apache License 2.0 freigegeben.
Alle erwähnten Warenzeichen und Copyrights gehören ihren jeweiligen Besitzern.
Gerichtsstand ist Bern, Schweiz.
Christian Ghisler, Ghisler Software GmbH, CH-3065 Bolligen, Schweiz, 2022


Was ist Shareware?
Shareware erlaubt es, ein Programm vor dem Kauf während einer bestimmten Zeitspanne zu testen. Da Sie ein Shareware-Programm testen können, wissen Sie schon vor dem Kauf, ob es Ihren Anforderungen entspricht. Falls Sie dieses Programm länger als die angegebene Testperiode (30 Tage) verwenden, so wird erwartet, dass Sie das Programm registrieren. Eine lizenzierte Version dieses Produkts enthält das permanente Recht, dieses Programm für eine unbegrenzte Zeit zu verwenden. Die registrierte Version deaktiviert auch den Registrierhinweis beim Start des Programms.


Benutzeroberflaeche

Benutzeroberfläche
Klicken Sie auf den Ausschnitt, zu dem Sie Informationen erhalten möchten!
(Buttonbar)
(Laufwerksbuttons)
(Laufwerks-Auswahlliste)
(freier Speicher auf Laufwerk)
(Wechsel ins Quell-/Vaterverzeichnis)
(Ordner-Tabs)
(Aktuelles Verzeichnis)
(Verzeichnisliste und Verlauf)
(Sortierung)
(Dateifenster)
(Anzahl markierte Dateien)
(Kommandozeile)
(Funktionstastenleiste)


Tastaturbelegung
Taste Wirkung
F1 Hilfe aufrufen
F2 Quellverzeichnis neu einlesen
F3 Datei(en) anzeigen
F4 Datei editieren
F5 Datei(en) kopieren
F6 Datei(en) umbenennen/verschieben
F7 Verzeichnis erstellen
F8, ENTF Datei(en) löschen in Papierkorb/direkt - je nach Konfiguration
F9 Menü oberhalb des Quellverzeichnisses aktivieren (links bzw. rechts)
F10 Linkes Menü aktivieren bzw. Menü deaktivieren
ALT+F1 linkes Laufwerk wählen
ALT+F2 rechtes Laufwerk wählen
ALT+F3 umschalten zwischen externem/internem Dateibetrachter
ALT+Umsch+F3 Starte Lister mit interner Anzeige ohne Plugins oder Multimedia
ALT+F4 Beenden|Minimieren (mit Option MinimizeOnClose in wincmd.ini)
ALT+F5 Packen
ALT+Umsch+F5 Packen und anschließend löschen
ALT+F6 Mehrere Dateien aus Archiv unter Cursor entpacken
ALT+F7 Suchen
ALT+Umsch+F7 Suchen in separatem Prozess
ALT+F8 Klappt History-Liste der Kommandozeile auf
ALT+F9 Wie ALT+F6 (weil ALT+F6 unter Windows 95 nicht geht!)
ALT+Umsch+F9 Archive auf Integrität testen
ALT+F10 Öffnet ein Fenster mit dem Verzeichnisbaum
ALT+F11 Linke Verzeichnisleiste wählen (Brotkrumenleiste)
ALT+F12 Rechte Verzeichnisleiste wählen (Brotkrumenleiste)
ALT+Umsch+F11 Buttonbar fokussieren (zum Benutzen mit der Tastatur)
ALT+links/ Gehe zum vorherigen besuchten Verzeichnis (aus der Liste der zuletzt besuchten)
ALT+rechts Gehe zum nächsten besuchten Verzeichnis (aus der Liste der zuletzt besuchten)
ALT+ab Zeige Liste der bisher besuchten Verzeichnisse an
ALT+Umsch+ab Zeige Liste der bisher besuchten Verzeichnisse ohne Ausdünnen an
Umsch+F1 Menü "Benutzerdefinierte Spaltenansicht"
Umsch+F2 Verzeichnisse vergleichen
Umsch+F3 Nur Datei unter Cursor anzeigen, wenn mehrere markiert sind
Umsch+F4 Neue Textdatei anlegen und in Editor laden
Umsch+F5 Datei(en) im gleichen Verzeichnis kopieren (mit umbenennen)
Umsch+STRG+F5 Verknüpfungen im Zielverzeichnis erzeugen
Umsch+F6 Datei(en) im gleichen Verzeichnis umbenennen
Umsch+F7 Verzeichnis im Zielfenster erstellen
Umsch+F8 Datei(en) löschen, direkt/in Papierkorb - je nach Konfiguration
Umsch+F10 Lokales Menü anzeigen
Umsch+ESC Total Commander wird zum Symbol verkleinert
NUM + Markierung erweitern (konfigurierbar ob nur Dateien oder auch Verzeichnisse)
NUM - Markierung verkleinern (immer von Dateien und Verzeichnissen)
NUM * Markierung umkehren (auch mit Umsch, siehe Link)
NUM / Markierung wiederherstellen
STRG+NUM + Alles markieren (konfigurierbar ob nur Dateien oder auch Verzeichnisse)
STRG+UMSCH+NUM +
Wie STRG+NUM +, aber Dateien+Verzeichnisse, wenn STRG+NUM + nur alle Dateien markiert
STRG+NUM - Nichts markieren (immer Markierung von Dateien und Verzeichnissen entfernen)
STRG+UMSCH+NUM -
Markierung nur von Dateien entfernen (nicht von Verzeichnissen)
UMSCH+NUM + Wie NUM +, aber Dateien+Verzeichnisse, falls NUM + nur die Markierung von Dateien umkehrt
UMSCH+NUM - Entfernt Markierung nur von Dateien (immer!)
UMSCH+NUM * Wie NUM *, aber Dateien+Verzeichnisse, falls NUM * nur die Markierung von Dateien umkehrt
ALT+NUM + Dateien mit selber Erweiterung markieren
ALT+NUM - Markierung von Dateien mit selber Erweiterung entfernen
Backspace oder
STRG+BildAuf ins nächsthöhere Verzeichnis wechseln (entspricht cd ..)
STRG+BildAb Verzeichnis/Archiv öffnen (auch .EXE)
STRG+< Ins Hauptverzeichnis (Wurzelverzeichnis) wechseln
STRG+links/rechts
Öffnet Verzeichnis/Archiv unter dem Cursor und zeigt es im Zielfenster an. Falls sich der Cursor nicht auf einem Verzeichnis/Archiv befindet, oder im Zielfenster, wird stattdessen das aktuelle Verzeichnis angezeigt.
STRG+F1 Dateiansicht kurz
STRG+Umsch+F1
Miniaturansicht (Vorschaubilder)
STRG+F2 Dateiansicht lang
STRG+Umsch+F2
Kommentaransicht (Kommentare mit Strg+Z anlegen)
STRG+F3 Sortieren nach Name
STRG+F4 Sortieren nach Erweiterung
STRG+F5 Sortieren nach Datum/Zeit
STRG+F6 Sortieren nach Größe
STRG+F7 Unsortiert
STRG+F8 Verzeichnisbaum
STRG+Umsch+F8 Separater Verzeichnisbaum (durchschalten: einer, zwei, keiner)
STRG+F9 Drucke Datei via verknüpfte Anwendung
STRG+F10 Alle Dateien anzeigen
STRG+F11 Nur Programme anzeigen
STRG+F12 Benutzerdefiniert Dateien anzeigen
TAB zwischen linkem und rechtem Verzeichnisfenster wechseln
UMSCH+TAB zwischen Verzeichnisfenster und separatem Verzeichnisbaum wechseln (sofern aktiviert)
Buchstabe Eingabe in die Kommandozeile, Cursor wechselt in Kommandozeile
EINFÜGEN Datei oder Verzeichnis markieren
LEERTASTE Datei oder Verzeichnis markieren (wie EINF). Falls die LEERTASTE bei einem nicht markierten Verzeichnis unter dem Cursor gedrückt wird, so wird der Inhalt des Verzeichnisses aufsummiert und seine Größe anstelle von <DIR> angezeigt (Modus Ansicht - Lang). Dies kann via 'Konfigurieren' - 'Einstellungen' - 'Operation' - 'Markieren mit der Leertaste' abgeschaltet werden.
ENTER Verzeichnis wechseln/Programm starten/ Assoziiertes Programm aufrufen bzw. Kommandozeile ausführen, falls etwas drin steht. Sofern das Quellverzeichnis den Inhalt einer Archivdatei (gepackte Datei) anzeigt, werden weitere Informationen zur Datei unter dem Cursor angezeigt.
Umsch+ENTER 1. Kommandozeile bzw. Programm unter Cursor über Windows-Shell aufrufen und am Schluss Fenster nicht automatisch schließen (nützlich bei Umleitungen > oder <). Geht nur wenn NOCLOSE.EXE im Total Commander-Verzeichnis steht!
2. Bei ZIP-Dateien: Alternative Wahl aufrufen (wie Verz. behandeln <-> externe Packershell wie Winzip)
3. Innerhalb einer Archivdatei: Entpacke Datei unter Cursor in temporäres Verzeichnis und öffne sie als Archivdatei (Bearbeiten von zip in zip).
4. In der Liste der zuletzt benutzten Verzeichnisse (Verlauf, Strg+D) öffne das angewählte Verzeichnis in einem neuen Tab.
ALT+Umsch+ENTER
Inhalte aller Verzeichnisse aufsummieren. Die Größen werden in der Ansicht "lang" anstelle von <DIR> angezeigt. Abbrechen durch Gedrückt-halten der ESC-Taste.
ALT+ENTER Eigenschaften-Dialog anzeigen. Beim Angewenden auf [..] werden die Eigenschaften des aktuellen Verzeichnisses angezeigt.
STRG+A alles markieren
STRG+B Zeige Inhalt des aktuellen Verzeichnisses inkl. aller Unterverzeichnisse in einer Dateiliste (Zweigansicht)
STRG+Umsch+B Zeige alle markierten Dateien und alle in allen markierten Unterverzeichnissen (markierte Zweigansicht)
STRG+C In Zwischenablage kopieren
STRG+D Verzeichnismenü öffnen
STRG+F FTP-Verbindung aufnehmen
STRG+Umsch+F FTP-Verbindung, Portverbindung und gewisse Dateisystem-Plugin-Verbindungen trennen
STRG+I Ins Zielfenster wechseln
STRG+L Speicherbedarf (der markierten Dateien) ermitteln
STRG+M Mehrfach-Umbenenn-Tool
STRG+Umsch+M FTP-Transfermodus ändern
STRG+N Neue FTP-Verbindung (Eingabe der URL oder Host-Adresse)
STRG+P Aktuellen Pfad in Kommandozeile kopieren
STRG+Q Schnellansichtsfenster anstelle eines Dateifensters anzeigen
STRG+Umsch+Q Separates Schnellansichtsfenster (wie Lister, aber wird beim Bewegen in den Dateilisten jeweils angepasst)
STRG+R Quellverzeichnis neu einlesen
STRG+S Schnellfilterdialog öffnen und Filter aktivieren (Deaktivieren mit ESC oder STRG+F10)
STRG+Umsch+S Schnellfilterdialog öffnen und zuletzt aktiven Filter aktivieren
STRG+T Neuen Ordner-Tab erzeugen und aktivieren
STRG+Umsch+T Neuen Ordner-Tab erzeugen, aber nicht aktivieren
STRG+U Verzeichnisse vertauschen
STRG+Umsch+U Verzeichnisse und Ordner-Tabs vertauschen
STRG+V Dateien aus Zwischenablage einfügen
STRG+W Aktuellen Tab schließen
STRG+Umsch+W Alle offenen Tabs schließen
STRG+X In Zwischenablage verschieben
STRG+Z Kommentar einer Datei bearbeiten
STRG+Oben Datei unter Cursor in neuem Tab öffnen
STRG+Umsch+Oben
Datei unter Cursor in neuem Tab im Zielfenster öffnen
STRG+Tab Zum nächsten Ordner-Tab springen
STRG+Umsch+Tab
Zum vorherigen Ordner-Tab springen
ALTGR+Buchstabe(n) oder
STRG+ALT+Buchstabe(n)
Positioniere Cursor auf Datei oder Verzeichnis, die mit diesen Buchstaben beginnen. (Schnelle Suche nach Dateinamen im aktuellen Verzeichnis). Kann in ALT+Buchstabe(n) abgeändert werden.
(Unterstützt Tastenkombinationen Strg+C, Strg+X, Strg+V und Strg+A; Strg+S für Suchfilter ein/aus)
WEITERE TASTEN: Siehe Kommandozeile


Menü: Dateien
Dateiattribute ändern...
Packen...
Entpacken...
Teste Archive
Vergleich nach Inhalt...
Verknüpfen...
Interne Verknüpfungen (nur in Total Commander)...
Eigenschaften...
Speicherbedarf ermitteln...
Mehrfach-Umbenenn-Tool...
Kommentar bearbeiten...
Drucken (Untermenü)
Datei aufspalten...
Dateien zusammenfügen...
Datei codieren (MIME,UUE,XXE)...
Datei decodieren (MIME,UUE,XXE,BinHex)...
Erzeuge Prüfsummen (CRC32, MD5, SHA1)...
Verifiziere Prüfsummen (aus Prüfsummendateien)
Exit


Menü: Markieren
Markieren
Verzeichnisse vergleichen
Neue markieren, gleiche verstecken


Menü: Befehle
CD-Verzeichnisbaum
Suchen
Suchen in separatem Prozess
Datenträger benennen
System-Information
Verzeichnisse synchronisieren
Verzeichnisliste
Zurück
Kommandozeilenfenster öffnen
Zweigansicht (mit Unterverzeichnissen)
Öffne Desktop-Verzeichnis
Hintergrund-Transfermanager...
Fenster tauschen
Fenster angleichen


Menü: Netz
Netzlaufwerke verbinden
Netzlaufwerke trennen
Freigeben als
Freigabe beenden
Zeige administrative Freigaben
FTP-Befehle
Port-Verbindung zu anderem PC


Menü Ansicht
Kurz
Lang
Kommentare
Benutzerdefinierte Spalten
Benutzerdefinierte Ansichtsmodi
Verzeichnisbaum
Separater Verzeichnisbaum
Miniaturansicht
Schnellansicht
Vertikale Anordnung
Neuer Ordner-Tab
Alles
Programme
*.*
Benutzerdefiniert...
Nur markierte Dateien
Nach Name
Nach Erweiterung
Nach Datum/Zeit
Nach Größe
Unsortiert
Absteigend sortiert
Quelle neu einlesen


Menü: Konfigurieren
Einstellungen
Buttonbar ändern
Buttonbar 2 (vertikal) ändern
Einstellungsdateien direkt ändern
Dunkel<->Normal
Position speichern
Einstellungen speichern


Menü: Starter
In dieses Menü können Sie Ihre bevorzugten Applikationen platzieren, die Sie auch automatisch mit der gerade selektierten Datei aufrufen können. Siehe dazu auch:
Dialogbox Startermenü ändern
Auch das Hauptmenü können Sie ändern. Siehe dazu:
Aufbau der Menüdatei WCMD_DEU.MNU


Dateioperationen
Auswählen von Dateien
F2 Verzeichnis neu einlesen F3 Anzeigen
F4 Bearbeiten F5 Kopieren
Umsch+F4 neue Textdatei


Umgang mit gepackten Dateien

Umgang mit Archivdateien (ZIP, ARJ, LZH, RAR, UC2, CAB, ACE, 7Z)
Wichtiger Hinweis: Die meisten Packer unterstützen die langen Dateinamen nicht. Ausnahmen sind der interne Packer von Total Commander, Info-ZIP (Adresse im Internet: http://infozip.sourceforge.net/) und neueste Versionen von UC2, WinRAR, ACE und LHA. Verwenden Sie wenn immer möglich den internen ZIP-Packer! Nach dem Packen mit dem internen Packer wird die ZIP-Datei automatisch auf ihre Integrität getestet. Sie können dies abschalten: In der wincmd.ini unter [Packer] den Eintrag VerifyZip=0 machen.
Was sind Archivdateien?
Archivdateien (Gepackte Dateien) sind ganz normale Dateien, welche die Endungen .ZIP, .ARJ, .LZH, .RAR, .UC2, .TAR, .GZ, .CAB oder .ACE besitzen. Solche Dateien enthalten in komprimierter Form eine oder mehrere andere Dateien oder sogar Programme. Um auf die Dateien und Programme in der Archivdatei zugreifen zu können, müssen sie zuerst wieder ausgepackt werden. Der Vorteil liegt darin, dass die Dateien und Programme in gepacktem Zustand viel weniger Speicher benötigen als ungepackt. Dateien mit der Erweiterung .TAR kommen aus der UNIX-Welt, und sind meist als Ganzes in eine GZIP-Datei (Endung .GZ) gepackt. Das CAB-Format wird von Microsoft für Installationsprogramme verwendet. Total Commander kann CAB-Dateien nur entpacken (nicht packen). 7Z-Dateien können nur entpackt werden, ausser man installier ein 7zip-Plugin.
Selbstentpackende Archivdateien
Total Commander unterstützt auch selbstentpackende Archivdateien mit Dateierweiterung EXE oder COM. Stellen Sie den Cursor auf das Archiv, und drücken Sie STRG+SeiteAb, um die Datei zu öffnen. Um ein selbstentpackendes ZIP-Archiv anzulegen, benennen Sie eine ZIP-Datei in eine EXE-Datei um. Total Commander wird dann nachfragen, ob Sie eine selbstentpackende ZIP-Datei anlegen wollen.
Das mit Total Commander erstellte ZIP/SFX-Archiv unterstützt Befehlszeilenargumente. Mit jedem von ihnen beginnt das Auspacken automatisch, ohne vorherige Bestätigung durch den Benutzer.
Laufwerk:\Pfad Dateien werden in den angegebenen Pfad entpackt. Wenn die Dateien bereits vorhanden sind, wird eine Überschreibbestätigung angezeigt.
/S Dateien werden in das aktuelle Verzeichnis entpackt. Wenn die Dateien bereits vorhanden sind, wird eine Überschreibbestätigung angezeigt.
/O Dateien werden in das aktuelle Verzeichnis entpackt. Wenn die Dateien bereits vorhanden sind, werden sie ohne Rückfrage überschrieben!
Hinweis: /O kann mit Laufwerk:\Pfad kombiniert werden, wobei /O der erste Parameter sein muss.
Wie packt man Dateien?
Um Dateien zu packen und zu entpacken benötigt man spezielle Packprogramme wie pkzip.exe, pkunzip.exe, arj.exe, lha.exe, rar.exe, uc2.exe und ace.exe. Total Commander kann als Oberfläche für diese Packer dienen. Zusätzlich enthält Total Commander einen PKzip-kompatiblen internen Packer, welcher fast alle Funktionen von PKzip beherrscht, sogar packen auf mehrere Disketten! Nur die Verschlüsselung wird wegen der restriktiven schweizer Exportgesetze ("inspiriert" durch die früheren US-Exportgesetze) nicht unterstützt. Dieser Packer basiert auf Zlib von Jean-loup Gailly. Der Quellcode in C ist frei verfügbar erhältlich an der Internet-Adresse http://infozip.sourceforge.net/
.CAB-Dateien können von Total Commander nur entpackt, NICHT jedoch verändert werden.
Total Commander enthält ausserdem einen internen Packer für .TAR, .GZ und .TGZ-Dateien. .TGZ erzeugt direkt eine .TAR-Datei innerhalb einer .GZ-Datei.
Verwenden von Total Commander als Packer-Oberfläche
Total Commander zeigt den Inhalt von Archivdateien wie gewöhnliche Verzeichnisse an. Das heißt, Sie können auf eine Archivdatei wie auf ein Verzeichnis doppelklicken (oder ENTER drücken), worauf in diese Datei wie in ein Verzeichnis verzweigt wird. Die in der Archivdatei enthaltenen Dateien werden daraufhin wie normale Dateien angezeigt.
Falls die Archivdatei inklusive Pfad gepackt wurde, so werden die entsprechenden Verzeichnisse wie normale Verzeichnisse angezeigt. Sie können in diesen Verzeichnissen ganz normal herumnavigieren und beliebige Dateien entpacken. Wenn Sie Näheres zu einer eingepackten Datei wissen wollen, so doppelklicken Sie auf die Datei. Darauf werden in einer Dialogbox weitere Details angezeigt, u. a. voller Pfad, Kompressionsmethode und Kompressionsverhältnis.
Total Commander kann nun auch Archivdateien innerhalb von Archivdateien anzeigen! Um eine Archivdatei in ein temporäres Verzeichnis zu entpacken, drücken Sie einfach ENTER auf dieser Archivdatei. Wenn die Archivdatei eine ungewöhnliche Endung hat, oder ein selbstentpackendes Archiv ist, so müssen Sie stattdessen STRG+SeiteAb drücken. Beim Verlassen des temporären Archivs durch Wechsel ins Vaterverzeichnis oder Wechsel auf ein anderes Laufwerk wird es automatisch aus dem temporären Verzeichnis gelöscht.
Packen / Entpacken mit Total Commander
Entpacken
Öffnen Sie die Archivdatei in einem Dateifenster (wie oben beschrieben durch Doppelklick auf den Dateinamen). Wechseln Sie im anderen Dateifenster in das gewünschte Zielverzeichnis (wo die Dateien hin sollen). Wählen Sie im ersten Dateifenster die Dateien und Verzeichnisse, die Sie entpacken wollen. Wählen Sie F5 (Kopieren). Daraufhin erscheint eine Dialogbox zum Entpacken von Dateien. Total Commander besitzt eingebaute Entpacker für ZIP-, ARJ-, LZH-, TAR-, GZ, CAB, ACE, RAR und 7Z-Dateien.
Packen
Wählen Sie die zu packenden Dateien und Verzeichnisse aus. Anschließend wählen Sie Packen aus dem Menü Dateien. Eine Dialogbox erscheint, in der Sie diverse Optionen festlegen können. Geben Sie hier einen Dateinamen an. Vor dem Dateinamen muss unbedingt der Name eines der 6 Packer zip, arj, lha, rar, uc2 oder ace mit einem Doppelpunkt stehen, z. B. zip:c:\test.zip, ansonsten wird normal kopiert!!!
Daraufhin werden die Dateien in eine Datei dieses Namens gepackt.
Falls Sie den internen ZIP-Packer gewählt haben, so können Sie trotzdem noch den externen Packer verwenden: geben Sie vor dem Dateinamen statt ZIP: einfach EXT: (für extern) ein! Ebenso können Sie den internen ZIP-Packer benutzen, indem Sie INT: eingeben.
Hinzufügen von Dateien zu einer Archivdatei
Sofern Sie Dateien zu einer bestehenden Archivdatei hinzufügen wollen, gehen Sie analog zum Entpacken vor. Öffnen Sie die gewünschte Archivdatei im einen Dateifenster. Im anderen Dateifenster wählen Sie die Dateien, die hinzugefügt werden sollen. Drücken Sie F5 zum Packen der gewählten Dateien. Darauf erscheint wiederum die Dialogbox zum Packen der Dateien. Drücken von ENTER startet den entsprechenden Packer. Drücken von Umsch bewirkt wiederum das Verschieben der Dateien in die Archivdatei. TGZ-Archive können nicht verändert werden.
Einschränkung: Außer mit den internen ZIP-, TAR- und TGZ-Packern sowie mit den externen Packern RAR, UC2 sowie einigen Packer-Plugins können Sie keine Dateien in ein Unterverzeichnis eines Archivs packen. Sie können jedoch ganze Verzeichnisse mitsamt ihren Pfaden packen. Um mit dem internen ZIP-Packer oder UC2 in ein Unterverzeichnis zu packen, geben Sie das Unterverzeichnis hinter dem Archivnamen an, getrennt durch einen Bruchstrich /.
Beispiel: zip:c:\test.zip/Dies/ist/ein/Pfad
Löschen
Öffnen Sie die Archivdatei, aus der Dateien gelöscht werden sollen. Wählen Sie die zu löschenden Dateien aus und drücken Sie F8 zum Löschen der Dateien. Nach einer Sicherheitsfrage wird der entsprechende Packer aufgerufen und die Dateien gelöscht.
Anzeigen
Zum Anzeigen einer Datei, die sich in einem Archiv befindet, brauchen Sie nur F3 zu drücken. Nach einer Sicherheitsabfrage wird die Datei automatisch entpackt und angezeigt. Nach Schließen des Dateibetrachters wird die entpackte Datei wieder gelöscht (die Archivdatei selbst bleibt davon unberührt). Falls Sie die Datei mit einem Lister-Plugin geändert haben, erhalten Sie die Möglichkeit, diese wieder ins Archiv zurück zu packen.
Bearbeiten
Um die Datei unter dem Cursor mit dem für F4 gewählten Editor zu bearbeiten, brauchen Sie bloß F4 zu drücken. Die Datei wird dann automatisch entpackt und in den Editor geladen. Sie wird auch wieder eingepackt, falls sie geändert wurde (und der Benutzer die entsprechende Frage bejaht).
Entpacken und Starten von Programmen und Dateien
Um eine Datei mit dem mit ihr verknüpften Programm zu starten, drücken sie ENTER, und wählen Sie Entpacken und starten. Die Datei wird dann automatisch entpackt und ins verknüpfte Programm geladen. Sie wird wieder eingepackt, falls sie geändert wurde. Dies funktioniert NICHT mit TGZ und CAB-Archiven. Dafür wird eine veränderte Datei NICHT gelöscht, und kann im TEMP-Verzeichnis angesehen werden.
Im Schnellansichtsmodus können Sie sich Informationen aus Archiven anzeigen lassen, ohne die Archive selbst zu öffnen (unterstützt ZIP, ARJ, LZH, GZ). Total Commander versucht zunächst, den Inhalt von file_id.diz anzuzeigen. Wenn es keine solche Datei gibt, dann eine der read*.* Dateien (wie readme.txt), dann .NFO-Dateien und schließlich .TXT-Dateien. Wenn keine dieser Dateien vorhanden ist, wird das Archiv als binärer Inhalt angezeigt.


Lokale Menüs
Total Commander besitzt für diverse Fensterelemente lokale Menüs, welche durch einen Rechtsklick geöffnet werden können:
- In den Dateifenstern erreichen Sie die lokalen Menüs zusätzlich über die Tastenkombination Umsch+F10. Wenn die rechte Maustaste zum Markieren verwendet wird, können Sie durch längeres Drücken der rechten Maustaste trotzdem das lokale Menü erreichen.
Über die Befehle Kopieren und Ausschneiden können Dateien via Zwischenablage kopiert werden. Einfach im Zielverzeichnis Einfügen wählen.
Unter 64-bit-Windows erreichen Sie 64-Bit-Explorererweiterungen in einem speziellen Untermenü "X64". Sie können konfigurieren, welche Explorererweiterungen angezeigt werden sollen, etwa wenn es Probleme mit einer Erweiterung gibt, oder um das Laden des Menüs zu beschleunigen.
Auch der FTP-Zugang hat ein lokales Menü, mit welchem Sie z. B. Dateien in eine Liste für den späteren Download aufnehmen können.
- Der Buttonbar besitzt ebenfalls ein lokales Menü zum Bearbeiten und Löschen von einzelnen Knöpfen.
- Sie erhalten ein lokales Menü zum aktuellen Pfad durch Rechtsklick auf den Pfadnamen sowie ein Menü für das aktuelle Laufwerk durch Rechtsklick auf Laufwerkliste oder Laufwerkbuttons.


Drag & Drop

Drag & Drop (Ziehen und Fallenlassen)
Markieren Sie einige Dateien, klicken anschließend mit der linken Maustaste auf das Quellverzeichnis und halten sie die Maustaste gedrückt. Bewegen Sie den Mauszeiger anschließend mit gedrückter linker Maustaste auf das Zielverzeichnis oder auf eine andere Windows-Anwendung, die ebenfalls Drag & Drop beherrscht. Der Mauszeiger ändert dabei seine Form:
Ein Cursor mit durchgestrichenem Kreis bedeutet, dass die Anwendung unter dem Mauszeiger kein Fallenlassen von Dateien an dieser Stelle erlaubt, oder dass die angebotenen Dateien nicht akzeptiert werden.
Ein Pfeil mit drei angehängten Quadrätchen (sollen Dateien symbolisieren) bedeutet, dass die Anwendung bereit ist, die Dateien aufzunehmen. Lassen Sie nun die linke Maustaste los, werden die Dateien von der Anwendung übernommen.
Falls sich die Maus über einem Unterverzeichnis oder einer Archivdatei (gepackten Datei) befindet, wird darum ein Rahmen gezeichnet. Dies bedeutet, dass die Dateien dort hineinkopiert werden, falls Sie die linke Maustaste loslassen. Sollte das ganze Zielfenster voller Verzeichnisse sein, können Sie die Datei(en) auch etwas oberhalb oder unterhalb des Zielfensters fallenlassen, um sie ins Zielverzeichnis zu kopieren.
Die Buttons Anzeigen (F3), Bearbeiten (F4) sowie Löschen (F8) können ebenfalls Ziel einer Drag&Drop-Aktion sein. Die dabei ausgelösten Aktionen sind dieselben, wie wenn die Buttons direkt gedrückt wurden.
Auch auf den Buttonbar ist Drag&Drop möglich. Wird eine Datei auf ein Icon gezogen, so wird das zugehörige Programm mit dieser Datei (bzw. der ersten markierten Datei) gestartet. Wenn Sie eine Datei oder ein Programm auf eine Leerstelle ziehen oder während des Droppens die Umsch-Taste gedrückt halten, so wird die Datei/das Programm an dieser Stelle in den Buttonbar eingebaut!
Falls Sie im Total Commander den Modus zum Markieren mit der linken Maustaste eingeschaltet haben, so können Sie auch die rechte Maustaste für Drag&Drop verwenden. In diesem Fall erhalten Sie beim Fallenlassen der Dateien ein Menü, mit welchem Sie zwischen Kopieren, Verschieben und Verknüpfung anlegen wählen können. Beim Markiermodus "rechte Maustaste" müssen Sie VOR dem Start des Ziehens die UMSCH (Shift)-Taste gedrückt halten.
Beispiele für Drag & Drop:
- Ziehen Sie Dateien vom Quell- ins Zielfenster innerhalb des Total Commanders, so werden die Dateien anschließend kopiert. Vorher erscheint eine Sicherheitsabfrage.
- Ziehen Sie die Dateien auf ein Unterverzeichnis oder eine Archivdatei (gepackte Datei), um sie dorthin zu kopieren. Außerdem können Sie diese auf die Laufwerksliste, auf Laufwerksbuttons oder auf die Leiste mit dem aktuellen Verzeichnis ziehen. Warten Sie einen Moment über der Leiste, dann wird automatisch eine Liste mit den Unterverzeichnissen des Verzeichnisses unter dem Cursor aufgeklappt.
- Halten Sie bei obigen Aktionen die ALT- oder Umsch-Taste gedrückt, so werden die Dateien verschoben statt kopiert. Das Verschieben wird durch ein Minuszeichen (-) im Drag-Cursor angezeigt. Sie können auch vor dem Loslassen der linken Maustaste die rechte Taste drücken und danach zuerst die linke loslassen, dann werden die Dateien ebenfalls verschoben!
- Halten Sie bei obigen Aktionen die STRG - und Umsch-Taste gedrückt, so werden von den Dateien Verknüpfungen erzeugt. Das Verschieben wird durch einen Pfeil im Drag-Cursor angezeigt.
- Ziehen Sie die Dateien auf eine Archivdatei (gepackte Datei), um sie dazuzupacken.
- Sie können eine Datei drucken, indem Sie sie auf einen Drucker im Druckerordner ziehen. Wenn die Datei mit einem Programm zum Drucken verknüpft ist (z. B. *.txt mit dem EDITOR) so wird das entsprechende Programm geladen und die Datei automatisch gedruckt. Den Druckerordner öffnen Sie über das Windows-Startmenü (unter Einstellungen).
- Einige weitere Programme wie diverse Sharewareprogramme sowie Paintbrush, Write oder die Kartei unterstützen Drag & Drop. Probieren Sie's doch einfach mal aus!
- Auch beim Drag & Drop werden Archivdateien (gepackte Dateien) wie Verzeichnisse behandelt.
- Wenn Sie Dateien über einen separaten Verzeichnisbaum ziehen, können Sie die Leertaste drücken, um Unterverzeichnisse ein- und auszublenden. Total Commander blendet Unterverzeichnisse automatisch ein, wenn Sie den Mauszeiger eine Weile auf ein Verzeichnis zeigen lassen (wird durch Blinken des Mauszeigers angezeigt).
- Sie können mit der Maus auf den Taskbar am unteren Bildrand gehen. Dabei wird das entsprechende Fenster in den Vordergrund geholt, woraufhin Sie die Datei(en) auf dieses Fenster fallenlassen können.
- Ebenfalls können Sie Dateien auf den Fensterhintergrund ziehen und dadurch Verknüpfungen erzeugen.
- Ziehen Sie eine Datei auf die Kommandozeile, um den kurzen (DOS-)Dateinamen anzuhängen. Für den langen Namen drücken Sie stattdessen STRG+ENTER. Bei gedrückter Umschalttaste wird der Name mit komplettem Pfad hinzugefügt.


FTP
Total Commander enthält einen eingebauten FTP-Client. Mit diesem können Sie sich über das Internet oder Intranet mit bis zu 10 FTP-Servern gleichzeitig verbinden lassen. Der FTP-Client erlaubt nicht nur das Hochladen und Herunterladen von Dateien, sondern auch den direkten Transfer von einem entfernten Server auf einen anderen. Den FTP-Client bedienen Sie genau gleich wie Total Commander, also mit dem Funktionen kopieren (F5), umbenennen (Umsch+F6), löschen (F8), Verzeichnis anlegen (F7), kopieren im selben Verzeichnis (Umsch+F5). F5 - F2 kopiert im Hintergrund, ohne die Option "Hintergrund" zu verstellen. Dabei werden die Dateien zum zuletzt geöffneten Hintergrundtransfermanager hinzugefügt.
Hinweis: Total Commander unterstützt nur die wichtigsten Server-Typen, u.a. Unix, Windows NT, VMS und PC/TCP sowie teilweise OS9 und AS-400. Sollte nach der Verbindung mit einem Server kein Verzeichnis erscheinen, so wird der entsprechende Servertyp nicht unterstützt. Benutzen Sie in diesem Fall einen externen FTP-Client, wie z. B. WS_FTP oder CuteFTP.
Auch werden IPv6-Internetadressen unterstützt, z. B. in der Form [1234:56:789A:BC::DE]:21 (mit 21 dem Port) sowie via Namensauflösung. Dies muss in der wcx_ftp.ini eingeschaltet werden (PreferIPv6=).
FTP Verbinden Öffnet eine Dialogbox mit einer Liste aller gespeicherten Verbindungen. Sie können eine Verbindung einfach durch Doppelklick auf einen Eintrag aufnehmen. Kurztaste: STRG+F
FTP Neue Verbindung Geben Sie in dieser Dialogbox entweder einen Servernamen an, z. B. ftp.microsoft.com, oder eine URL (ftp, ftps, ftpes, ftpis, http, https), z. B. ftp://ftp.microsoft.com/windows/
Kurztaste: STRG+N
Wenn Sie die Verbindung trennen, so erhalten Sie die Möglichkeit, sie zu speichern, damit Sie sie beim nächsten Zugriff aus der Liste 'FTP Verbinden' auswählen können.
Wenn Sie eine Web-Adresse eingeben, wie z. B. http://www.someserver.com/somefile.htm, so versucht Total Commander, die Datei mit dem http-Protokoll herunterzuladen, welches für das WWW verwendet wird.
Benutzen Sie FTP über SSL/TLS, indem Sie die Adresse wie folgt angeben: ftps://ftp.servername.com
Hinweise: Sie können die openssl-dlls von www.ghisler.com/openssl/ installieren - erforderlich ist es nicht mehr. Zertifikate werden nun direkt aus den Windows-Zertifikatspeichern "ROOT", "CA", "MY" und "AuthRoot" von Windows ausgelesen. Weitere Zertifikate für Schlüsselherausgeber oder direkt für einzelne Server können in der Datei wincmd.pem im selben Verzeichnis wie der Datei wincmd.ini gespeichert werden, sofern die OpenSSL-Bibliothek installier ist..
FTP Verbindung trennen Trennt die aktuelle Verbindung. Kurztaste: STRG+UMSCH+F
FTP Versteckte Dateien anzeigen
Total Commander verwendet bei Wahl dieser Option den Befehl "LIST -la" zum Herunterladen der Verzeichnisliste. Dadurch werden auf Unix-Systemen versteckte Dateien (beginnend mit einem Punkt) mit angezeigt.
FTP Dateien aus Liste herunterladen
Lädt alle Dateien aus einer benutzerdefinierten Liste herunter. Die Listendatei muss eine Liste von URLs zu Dateien oder Pfaden enthalten, wie z. B. ftp://ftp.server.com/subdir/datei.zip . Sie können zusätzlich den Namen der Zieldatei angeben, abgetrennt durch einen Pfeil (ftp://ftp.server.com/subdir/datei.zip -> c:\lokal\datei.zip) Sie können eine Datei in die Liste aufnehmen, indem Sie während einer FTP-Verbindung auf eine Datei rechtsklicken und 'In Liste für Übertragung aufnehmen' wählen. Die Listendatei muss entweder als reiner Text (ANSI) oder als UTF-8 mit Byte-Reihenfolge-Marker (BOM) gespeichert werden. Wenn nur der Dateiname der Listendatei ohne Verzeichnis angegeben wird, wird die Datei im aktuellen Verzeichnis gesucht.
In der Liste unterstützte Befehle:
ftp://ftp.server.com/subdir/datei.zip Datei in Basisverzeichnis herunterladen
ftp://ftp.server.com/subdir/datei.zip -> c:\Ziel\datei.zip In benutzerdefinierten Ort herunterladen
put:c:\Quelle\datei.zip -> ftp://ftp.server.com/subdir/datei.zip Datei hochladen
copy:c:\Quelle\datei.zip -> c:\Ziel\datei.zip Datei kopieren
c:\Quelle\datei.zip -> c:\Ziel\datei.zip Datei kopieren
move:c:\Quelle\datei.zip -> c:\Ziel\datei.zip Datei verschieben
sleep: 1000 Die angegebene Zeit in Millisekunden warten
header: Referer: http://www.source.com Zusätzliche Header wie den Referer senden
copyflags: x Überschreiboptionen setzen (siehe F5-Dialog)
Wie kann ich
- Eine abgebrochene Übertragung (Herunterladen vom Server) fortsetzen?
Dazu müssen Sie die Datei auf dem Server markieren und F5 drücken (mit der teilweise heruntergeladenen Datei im anderen Fenster). Nach dem normalen Dialog zum Herunterladen der Datei erscheint eine Dialogbox, mit der Sie wählen können, ob Sie eine abgebrochene Übertragung fortzusetzen wünschen (oder die bestehende Datei überschreiben wollen). Total Commander wird zunächst die letzten paar Bytes der Teildatei übertragen, um zu überprüfen, ob die Datei inzwischen nicht geändert wurde. Falls nicht, wird danach der Rest der Datei übertragen. Leider unterstützen nicht alle FTP-Server diese Funktion.
- Eine abgebrochene Übertragung (Hochladen auf den Server) fortsetzen?
Dies wird nur für den binären Transfermodus unterstützt (oder den automatischen Modus beim Hochladen einer Binärdatei). Markieren Sie die Datei auf Ihrer Festplatte, und drücken Sie dann F5 (mit der teilweise hochgeladenen Datei im anderen Fenster). Wie beim Fortsetzen beim Herunterladen wird diese Funktion leider nicht von allen Servern unterstützt. Warnung: Es gibt keine Garantie, dass die hochgeladene Datei korrekt ist, deshalb sollten Sie sie nach dem Hochladen auf dem Server testen. Bei einigen Versionen des FTP-Servers WarFTPd scheint die Wiederaufnahme zu funktionieren, die hochgeladene Datei ist aber unbrauchbar!
- Dateien von einem Server auf einen anderen kopieren?
Stellen Sie einfach die Verbindung zu beiden Servern her, sodass Sie deren Dateilisten in den beiden Fenstern des Total Commander sehen. Danach wählen Sie die zu kopierenden Dateien, und drücken anschließend F5. Bitte beachten Sie, dass nicht alle Server diese Funktion unterstützen, und die Funktion auch nicht durch jeden Firewall hindurch funktioniert. Der linke FTP-Server erhält PORT-Befehle, der rechte PASV-Befehle. Falls ein Server in einem privaten Adressraum oder hinter einem Firewall steht, und der andere öffentlich ist, so muss der private Server im linken Fenster stehen.
- Kommandos direkt zum FTP-Server schicken?
Geben Sie das Kommando einfach in der Kommandozeile von Total Commander ein, und drücken anschließend ENTER. Dabei muss das aktive Fenster eine FTP-Verbindung enthalten. Die folgenden Kommandos werden von Total Commander abgefangen und direkt ausgeführt: GET, PUT, RETR, STOR. Eine Liste der unterstützten Befehle erhalten Sie durch das Kommando HELP.
- Eine Verzeichnisliste aktualisieren?
Da Total Commander alle während einer Verbindung vom Server heruntergeladenen Dateilisten in einem Zwischenspeicher (Cache) behält, müssen Sie eine Aktualisierung durch Drücken von F2 oder STRG+R erzwingen. Dies kann nötig werden, wenn ein anderer Benutzer oder ein Hintergrundprozess Dateien auf den FTP-Server hochlädt, während Sie mit ihm verbunden sind.
- Dateien herunterladen, und gleichzeitig mit Total Commander weiterarbeiten?
Sie können in der Dialogbox 'Herunterladen' bzw. 'Senden' die Option im Hintergrund aktivieren, dann wird die Übertragung in einem separaten Fenster geöffnet.
Wichtig: Für die Übertragung im Hintergrund muss eine zusätzliche Verbindung zum FTP-Server aufgebaut werden. Diese kann unter Umständen nicht zustande kommen, z. B. wenn bereits die maximale Anzahl Benutzer erreicht ist. Laden Sie die Datei in diesem Fall im Vordergrund herunter, und starten Sie Total Commander einfach ein zweites Mal.
- Den Transfermodus für die Übertragung festlegen?
Im FTP-Toolbar, der nach einem Verbindungsaufbau erscheint, können Sie den Transfermodus auf Binär, Text und Automatisch festlegen. Die Tastenkombination ist STRG+UMSCH+M. Im Modus 'Automatisch' wird anhand der Dateierweiterung festgelegt, in welchem Modus die Datei übertragen wird. Wichtig: Über einen HTTP-Proxykann man nicht selbst festlegen, ob eine Datei im Text- oder Binärmodus übertragen wird, das bestimmt der Proxy via MIME-Typen!
- zu einem Server mit sicherer OTP-Authentifizierung verbinden (MD4, MD5 oder SHA1)?
Geben Sie einfach das Passwort als normalen Text ein, Total Commander sendet dann automatisch die richtige Antwort.


PC-Direktverbindung via USB-Kabel

USB-Verbindung via Kabel zu anderem PC
Die USB-Verbindung erlaubt die Datenübertragung zwischen zwei Rechnern über ein spezielles USB-Kabel. Diese Kabel erhalten Sie Online-Shops unter dem Namen "Windows Easy Transfer Cable". Es wird eine Übertragungsrate von bis zu 20 Megabytes/Sekunde erreicht, abhängig von der Schnelligkeit der Computer (und der Virenscanner). Die Funktion kann nicht benutzt werden, um ein Netzwerk aufzubauen (dafür benötigen Sie Netzwerkkarten und die entsprechende Verkabelung), sondern bietet einen schnellen und einfachen Weg, um Dateien zwischen 2 Rechnern zu kopieren, verschieben, synchronisieren usw.
Wichtiger Sicherheitshinweis - bitte unbedingt lesen:
Sie brauchen ein spezielles Kabel für die Direktverbindung! Dieses hat ein kleines Gerät in der Mitte, welches die Daten entgegennimmt und an den anderen PC weitergibt. Normale USB-Verlängerungskabel dagegen funktionieren nicht und können den USB-Port der Rechner zerstören, wenn Sie die Rechner damit verbinden!
Inbetriebnahme der PORT-Verbindung
1. Starten Sie Total Commander auf beiden Rechnern. Sie benötigen dafür nur 1 Lizenz, sofern Sie der einzige Benutzer sind.
2. Wählen Sie auf beiden Rechnern 'Netz' - 'PORT-Verbindung zu anderem PC'
3. Ein Rechner wird als Server fungieren, auf dem anderen, dem Client, werden Sie arbeiten. Wählen Sie deshalb beim einen Rechner 'Server' und beim anderen 'Client'. Auf dem Server kann Total Commander bis zur Beendigung der Funktion nicht mehr verwendet werden.
4. Falls Ihr Rechner auch Parallelports hat, fragt Total Commander nach dem zu benutzenden Port. Wählen Sie in diesem Fall bitte USB!
5. Die Verbindung wird nun aufgebaut. Sie funktioniert ähnlich wie eine FTP-Verbindung, d.h. Sie können nun Dateien hochladen, herunterladen, löschen, umbenennen, ansehen und bearbeiten (jedoch nicht ausführen). Außerdem funktioniert die Funktion 'Verzeichnisse synchronisieren'.
6. Beenden Sie die Verbindung auf Client (Verb. trennen, Strg+Umsch+F) und Server (Abbrechen).
Sie können eine Port-Verbindung auch mit einem Befehl im Buttonbar, Startmenü oder Strg+D Menü aufbauen (nur Client):
Der Befehl lautet dabei
cd port://usb/c:/subdir1/subdir2
Wichtig: Unterverzeichnisse müssen durch Vorwärts-Slashes "/" abgetrennt werden! Dies liegt daran, dass Total Commander die FTP-Schnittstelle für den Verbindungsaufbau verwendet.
Damit Total Commander beim Einstecken des Kabels direkt erkannt wird, können Sie das Program TcUsbRun.exe starten (als Administrator unter Windows Vista und 7..11). Es installiert sich dann selbst als Empfänger von Einsteckmeldungen des Transferkabels, und erlaubt den Start von Total Commander als Client oder als Server.
Nur spezielle Kabel funktionieren!
Die Verbindung über Total Commander funktioniert nur mit ganz speziellen Kabeln, die unter dem Namen "Windows Easy Transfer Cable" angeboten werden. Kabel, die einfach nur einen einfachen "Easy" Transfer ohne Treiber versprechen, funktionieren NICHT! Diese Kabel benutzen proprietäre, undokumentierte Treiber, auf die Total Commander nicht zugreifen kann. Der Windows Easy Transfer Mode, für welche die 'guten' Kabel ursprünglich produziert wurden, ist dafür gedacht, von Windows XP nach Windows Vista oder Windows 7..11 zu wechseln. Er benutzt Kabel, für die Microsoft einen komplett dokumentierten und dem Benutzer zugänglichen Treiber anbietet (WinUSB).
Siehe www.ghisler.com/kabel für eine Liste unterstützter USB-Transferkabel und einen Download-Link für den Treiber.
Unterstützte Windows-Versionen
Die USB-Verbindung funktioniert mit jeder beliebigen Kombination von Windows XP, Windows Vista, Windows 7..11, sowohl in 32 bit als auch in 64 bit. Unter XP müssen Sie einen Treiber installieren (Hinweis: Die 32-bit-winusb.dll, die von der 32-bit-Version benötigt wird, wird unter XP64 nicht mit installiert, siehe obigen Link für mehr Informationen). Vista und neuer dagegen enthalten diesen bereits und das Kabel funktioniert direkt. Leider ist es unmöglich, ältere Windows-Versionen zu unterstützen, weil der Easy-Transfer-Treiber auf diesen nicht läuft.


PC-Direktverbindung via Parallelport

PORT-Verbindung (via Parallelport) zu anderem PC
Die Port-Verbindung erlaubt die Datenübertragung zwischen zwei Rechnern im selben Raum über ein spezielles Parallelkabel. Diese Kabel erhalten Sie in den meisten PC-Geschäften unter dem Namen "Interlink-Kabel parallel", "Kabel für PC-Direktverbindung parallel" oder "Null-Modem (parallel)". Es wird eine Übertragungsrate von ca. 50-80kB/Sekunde erreicht. Die Funktion eignet sich deshalb NICHT als Netzwerk, sondern ist nur für den Abgleich von 2 Rechnern (z. B. Desktop und Laptop) geeignet! Für die ständige Verbindung von 2 oder mehr Rechnern ist eine Ausrüstung mit Netzwerkkarten nötig.
Wichtige Sicherheitshinweise - bitte unbedingt lesen:
1. Sie brauchen ein spezielles Kabel für die Direktverbindung! Dieses hat überkreuzte Datenleitungen! Normale Verlängerungskabel dagegen können den Parallelport der Rechner zerstören, wenn Sie die Rechner damit verbinden! Sie brauchen ein 4 bit-Kabel, kein 8 bit. Siehe unten für die Kabelverbindung.
2. Verbinden Sie die Rechner nur im ausgeschalteten Zustand! Im Gegensatz zu USB ist der Parallelport nicht für Umstecken im laufenden Betrieb geeignet!
3. Es besteht immer die Gefahr der Zerstörung des Ports durch statische Elektrizität. Fassen Sie deshalb unbedingt das PC-Gehäuse an, bevor Sie das Kabel einstecken. Vermeiden Sie Gummisohlen auf Teppichböden.
4. Verbinden Sie nur 2 Parallelports, nicht einen parallelen und einen seriellen! Der Parallelport am PC ist 25-polig und hat Löcher (das Kabel hat entsprechend 2 Stecker mit je 25 Stiften).
5. Sie sollten die Parallelverbindung nicht mit anderen Geräten in Reihe betreiben, wie Dongle, ZIP-Drive (TM) oder externer Festplatte. Total Commander sperrt den Zugriff auf den Port während der ganzen Dauer der Verbindung!
6. Wir weisen ausdrücklich darauf hin, dass der Einsatz der Parallelverbindung auf eigene Gefahr erfolgt. Jegliche Haftung für Schäden, die durch Einsatz dieser Funktion auftreten können, ist ausgeschlossen.
Inbetriebnahme der PORT-Verbindung
1. Schalten Sie beide Rechner ab, verbinden Sie sie per Parallelkabel, und schalten Sie sie wieder ein.
2. Starten Sie Total Commander auf beiden Rechnern. Sie benötigen dafür nur 1 Lizenz, sofern Sie der einzige Benutzer sind.
3. Wählen Sie auf beiden Rechnern 'Netz' - 'PORT-Verbindung zu anderem PC'
4. Ein Rechner wird als Server fungieren, auf dem anderen, dem Client, werden Sie arbeiten. Wählen Sie deshalb beim einen Rechner 'Server', und beim anderen 'Client'. Auf dem Server kann Total Commander bis zur Beendigung der Funktion nicht mehr verwendet werden.
5. Falls Ihr Rechner mehrere Parallelports hat, fragt Total Commander nach dem zu benutzenden Port. Wählen Sie den Port, an dem das Parallelkabel angeschlossen ist!
6. Die Verbindung wird nun aufgebaut. Sie funktioniert ähnlich wie eine FTP-Verbindung, d.h. Sie können nun Dateien hochladen, herunterladen, löschen, umbenennen, ansehen und bearbeiten (jedoch nicht ausführen). Außerdem funktioniert die Funktion 'Verzeichnisse synchronisieren'.
7. Beenden Sie die Verbindung auf Client (Verb. trennen) und Server (Abbrechen).
Sie können eine Port-Verbindung auch mit einem Befehl im Buttonbar, Startmenü oder Strg+D Menü aufbauen (nur Client):
Der Befehl lautet dabei
cd port://lpt1/c:/subdir1/subdir2
Wichtig: Unterverzeichnisse müssen durch Vorwärts-Slashes "/" abgetrennt werden! Dies liegt daran, dass Total Commander die FTP-Schnittstelle für den Verbindungsaufbau verwendet.
Falls Sie Daten von einem Windows-Rechner auf einen Rechner ohne Windows (nur reinem DOS) übertragen möchten, z. B. um ein System zu kopieren, so können Sie den Standalone-Server für DOS verwenden. Diesen finden Sie auf unserer Homepage, www.ghisler.com , unter Zubehör. Obwohl der Server auch unter Windows 95/98 und Windows 3.1 in der DOS-Box läuft, sollten Sie ihn dort nicht verwenden, da er ohne Schutz direkt auf den Port zugreift. Außerdem ist er dadurch langsamer als der Zugriff via Treiber, und unterstützt keine langen Dateinamen.
Verwendung der Treiber für den Parallelport
Total Commander verwendet für die PORT-Verbindung unter Windows 95/98 den Treiber cglpt9x.vxd. Dieser wird beim Verbindungsaufbau automatisch geladen und bei Ende wieder entfernt. Unter Windows NT/2000/XP/Vista/7..11 wird der Treiber cglptnt.sys verwendet, bzw. cglpt64.sys unter 64-bit Windows XP/Vista/7..11. Damit dieser dynamisch geladen werden kann, benötigen Sie auf dem Rechner Administrator-Privilegien! Falls Sie diese nicht haben oder aus Sicherheitsgründen unter einem User-Account arbeiten (empfehlenswert!), so können Sie den Treiber automatisch beim Systemstart laden lassen. Dazu müssen Sie bzw. Ihr Administrator Total Commander von einem Administrator-Account wie folgt aufrufen:
Totalcmd.exe /installdriver
Um den Treiber wieder zu entfernen, verwenden Sie den Befehl
Totalcmd.exe /removedriver
Dies funktioniert nur unter Windows NT-basierten Systemen! Der Treiber implementiert einen sogenannten 'Parallel port class driver'. Dieser wurde von uns selbst entwickelt, und enthält einerseits Funktionen zum Sperren/Entsperren des Parallelports, anderseits Funktionen zum Senden/Empfangen einzelner Zeichen bzw. ganzer Blöcke. Er erlaubt anderen Usermode-Programmen lediglich den (exklusiven) Zugriff auf die entsprechenden Parallelports, nicht jedoch auf beliebige Ports.
Unter Windows 3.1 wird ohne einen Treiber auf den Port zugegriffen. Dies bedeutet, dass andere Anwendungen oder Treiber nicht davon abgehalten werden, auf denselben Port zuzugreifen! Versuchen Sie deshalb nicht, während der Parallelport-Verbindung über denselben Port zu drucken oder auf ein anderes Peripheriegerät zuzugreifen.
Fehlersuche
Sollte die Parallelverbindung fehlschlagen, so versuchen Sie den 'Test'-Modus. Um ihn zu verwenden, wählen Sie auf beiden Seiten 'Test' (statt 'Client' bzw. 'Server'). Total Commander sendet dann ein Testmuster über den Parallelport, welches von der Empfängerseite benutzt werden kann, um festzustellen, ob das Kabel in Ordnung ist oder nicht. Beide Seiten müssen melden, das Kabel sei OK, da jede Seite nur eine Richtung testen kann!
Sie können eines der folgenden Resultate erhalten:
1. Beide Seiten melden, das Kabel sei in Ordnung, trotzdem schlägt die Verbindung fehl. Lösung: Ihr Kabel ist wahrscheinlich zu lange oder zu schlecht abgeschirmt. Sie brauchen wahrscheinlich ein kürzeres oder besseres Kabel. Kabel bis zu 5-10 m Länge sollten OK sein.
2. Fehler 'Konnte Treiber nicht laden'. Lösung: Stellen Sie sicher, dass unter Win95/98 der Treiber cglpt9x.vxd im Total Commander-Verzeichnis vorhanden ist, bzw. dass Sie unter NT/Windows 2000/XP/Vista/7..11 den Treiber cglptnt.sys bzw. cglpt64.sys installiert haben. Ein anderer möglicher Grund: Sie haben versucht, eine Verknüpfung zu Totalcmd.exe auf dem Desktop zu erzeugen, aber haben stattdessen das Programm dorthin kopiert! Um dies zu korrigieren, löschen Sie die falsche Verknüpfung und erzeugen Sie eine neue mittels Rechtsklick auf den Desktop (Neu -> Verknüpfung).
3. Überhaupt keine Antwort. Dies kann mehrere Gründe haben: Falsches Kabel (nicht mit gekreuzten Leitungen, sondern 1:1-Verbindung), verbunden am falschen Port, oder ein nicht-Standard-Port. Lösung: Stellen Sie sicher, dass Sie das Kabel am richtigen Port angeschlossen haben (parallel, nicht seriell!), und Sie den richtigen ausgewählt haben (LPTx). Falls das nichts hilft, versuchen Sie es mit einem anderen Kabel.
4. Total Commander erkennt empfangene Daten, aber meldet einen Fehler. Grund: Falsches Kabel (falsche Leitungen verbunden), oder ein abgebrochener oder nicht verbundener Stift. Total Commander zeigt an, welche Verbindungen nicht funktionieren.
Leider können wir bei nicht funktionierenden Parallelportverbindungen keinen Support anbieten.
Das Kabel muss zumindest die folgenden Leitungen verbunden haben:
2 <----> 15
3 <----> 13
4 <----> 12
5 <----> 10
6 <----> 11
10 <----> 5
11 <----> 6
12 <----> 4
13 <----> 3
15 <----> 2
25 <----> 25 (Erde)


Der integrierte Dateibetrachter (Lister)

Der integrierte Dateibetrachter (Aufruf mit F3)
Der integrierte Dateibetrachter (Lister) erlaubt das Betrachten fast beliebig großer Dateien (max. 2^63 bytes = 8192 Petabytes) im Text-, Unicode-, HTML-, Binär- und Hexadezimalformat sowie von Bitmapgrafiken (bmp, jpg, gif, png). Dabei wird (außer bei Grafiken) jeweils nur ein kleiner Teil der Datei im Speicher behalten, der Rest wird beim Blättern durch die Datei automatisch nachgeladen.
Hinweis: Die Anzeige von WMF-Bildern wurde aus Sicherheitsgründen (Sicherheitslücke in Windows) deaktiviert. Reaktivierung über wincmd.ini [Configuration] WmfAllowed=3
Wenn Sie den Betrachter mit mehreren Dateien aufrufen (Siehe Konfiguration - Dateibetrachter / Editor), so können Sie mithilfe der Tasten n (nächste Datei) und p (vorhergehende Datei) von einer Datei zur nächsten wechseln. Alternativ dazu können Sie Alt+Pfeil links bzw. Alt+Pfeil rechts drücken, oder auf die Menübefehle << bzw. >> klicken.
Textmodus:
Mit Strg+A markieren Sie den ganzen Text. Mit den Pfeiltasten sowie den Tasten Home, End, SeiteAuf und SeiteAb (bzw. Leertaste) oder mit der Maus blättern Sie bequem im Text. Mit F6 lässt sich der Textcursor ein- und ausschalten. Mit diesem können Sie Text mit Umsch+Pfeiltasten markieren und mit Strg+C in die Zwischenablage kopieren. Mit Strg+Links/Rechts springt man bei aktivem Cursor von Wort zu Wort. Bei deaktiviertem Cursor verschiebt man den angezeigten Ausschnitt seitlich (Scrolling).
Bei der Anzeige von Unicode (UTF-16 oder UTF-8) oder von reinem Text mit Codierung Arabisch oder Hebräisch kann mit Strg+rechter Umsch-Taste auf rechts-ausgerichteten Text umgeschaltet werden. Strg+linke Umsch-Taste schaltet auf links-ausgerichteten Text zurück.
Unterstützung von berührungsempfindlichen Bildschirmen (Touch Screens):
1. Wenn kein Text markiert ist, kann durch Bewegen eines Fingers über den Bildschirm durch den Text geblättert werden.
2. Durch eine schnelle vertikale Ziehbewegung wird die automatische Blätterfunktion aktiviert. Dies kann durch erneutes Antippen angehalten werden.
3. Wenn Text markiert ist (z.B. durch doppeltes Tippen auf ein Wort), kann Text mit dem Finger markiert werden. Entfernen Sie die Markierung, indem Sie hinter den Text tippen.
Bildmodus:
Bilder können mit den Tasten +/- auf dem numerischen Tastenfeld oder mit Strg+Mausrad vergrößert bzw. verkleinert werden. Mit F werden Bilder an die Fenstergrösse angepasst, mit L nur Bilder grösser als das Fenster.
Multimedia-Modus:
Der eingebaute Mediaplayer verwendet die installierten Windows-Media-Codecs, um Musik und Videos abzuspielen. Es zeigt den Titel und den Künstlernamen in der Titelleiste an, wenn sie verfügbar sind, sowie das Albumcover-Bild.
Wenn Sie Multimedia-Dateien betrachten oder Musik hören, wechselt Lister am Ende eines Stücks automatisch zur nächsten Datei (Playlist-Funktion).
Der Media Player unterstützt die folgenden Hotkeys:
E=Einzelschritt
C=Titelbild anzeigen/ausblenden
M=Stumm
Pfeil nach oben/unten=Lautstärke in 1%-Schritten ändern
Strg/Umschalt+hoch/runter=Lautstärke in 10%-Schritten ändern
Der Dateibetrachter kann beliebig oft vom Total Commander aus gestartet werden. Beim Beenden des Total Commanders werden auch alle integrierten Dateibetrachter beendet. Mit F2 lesen Sie eine angezeigte Datei neu ein.
Beschreibung der einzelnen Menüpunkte:


Mehrfach-Umbenenn-Tool
Erlaubt das Umbenennen aller markierten Dateien mit leistungsfähigen Funktionen:
- Erzeugen einer nummerierten Dateiliste
- Umwandeln in Groß-/Kleinbuchstaben
- Ersetzen eines bestimmten Textes im Dateinamen durch einen anderen
- Einfügen des Datums/der Zeit der Datei
- Nur bestimmte Buchstaben des Dateinamens behalten
Das Resultat wird noch vor dem Umbenennen in der Liste unter den Optionen angezeigt.
Siehe Dialog Box - Mehrfach-Umbenenn-Tool für Details!


Oft gestellte Fragen
Dies ist eine verkürze Version der oft gestellten Fragen. Die komplette Version finden Sie auf unserer Homepage www.ghisler.com
F: Wo finde ich die jeweils neueste Version von Total Commander?
A: Im Internet finden Sie sie auf: www.ghisler.com Außerdem ist er immer wieder auf diversen Heft-CDs enthalten.
F: Wieso dauert das Starten von Total Commander manchmal sehr lange?
A: Dies kann passieren, wenn er versucht, zu einem nicht mehr verfügbaren Laufwerk im Netzwerk zu verbinden, oder Symbole aus Dateien zu laden, die im Netzwerk liegen. Mit dem Gratistool "process monitor" von www.sysinternals.com (mittlerweile ein Teil von Microsoft) lässt sich herausfinden, was vorgeht, während Total Commander hängt.
F: Sporadisch treten "Allgemeine Schutzverletzungen" in Totalcmd.exe auf. Die Bildschirmanzeige spinnt, der Mauszeiger friert ein etc. Was soll ich tun?
A: Oft liegt der Fehler nicht bei Total Commander selbst, sondern am Grafiktreiber. Dies ist ein Teil von Windows, welcher die Bildschirmausgabe steuert. Testen Sie, ob Sie die gleichen Probleme auch mit dem VGA-Treiber haben. Wenn nicht, so fragen Sie Ihren Händler nach neuen Treibern für Ihre Grafikkarte, oder suchen Sie auf CompuServe oder dem Internet beim jeweiligen Hersteller der Grafikkarte.
Treten trotzdem noch Fehler auf, so senden Sie mir eine Mitteilung mit der Version von Total Commander und Windows, der genauen Fehleradresse und dem Namen des Programmteils, wo der Fehler auftritt.
F: Total Commander kann gewisse Sonderzeichen in Dateinamen, z. B. ALT+255, nicht lesen. Was tun?
A: DOS und Windows verwenden andere Zeichensätze, ASCII und ANSI. Gewisse in ASCII enthaltene Zeichen wie z. B. die Grafikzeichen von DOS existieren nicht unter Windows! In einem solchen Fall müssen Sie eine DOS-Box starten und die Datei mit RENAME umbenennen.
F: Wie verhindere ich, dass Total Commander die Verzeichnisse bei jedem Wechsel zum Programm neu einliest? Gerade bei Netzlaufwerken dauert das sehr lange!
A: Tragen Sie unter Konfigurieren - Einstellungen - Neu Einlesen unter "Kein Neu-Einlesen für diese Laufwerke" die folgende Zeile ein
HIJ
Wobei HIJ Ihre Netzlaufwerke sind. Das Verzeichnis lässt sich trotzdem mit F2 oder Strg+R neu einlesen.
F: Wie kann ich den Inhalt von selbstentpackenden Archiven anzeigen?
A: Gehen Sie mit dem Cursor auf das Archiv und drücken Sie STRG+BildAb (CTRL+PageDown). Dies funktioniert übrigens mit allen Archiven und auch mit Verzeichnissen.
F: Wie kann ich schnell in ein oft benutztes Verzeichnis wechseln?
A: Richten Sie sich einen Button oder einen Menüpunkt im Startmenü ein! Für den Button genügt es, das gewünschte Verzeichnis bei gedrückter Umschalttaste auf die gewünschte Position zu ziehen. Für das Startmenü erzeugen Sie einen Eintrag mit dem Befehl
cd c:\verzeichnis (Bitte ganzen Pfad angeben!)
Oder benutzen Sie das Verzeichnismenü: Sie erreichen es mit Strg+D.
F: Gibt es eine einfache Möglichkeit, den Speicherbedarf aller Verzeichnisse im aktuellen Verzeichnis anzuzeigen?
A: Ja! Gehen Sie mit dem Cursor auf ein Verzeichnis und drücken Sie ALT+Umsch+ENTER. Anstatt <DIR> wird dann die Größe des Verzeichnisses angezeigt! Dies funktioniert natürlich nur in der Ansicht Lang (alle Datei-Details).
F: Wie erweitert man einfach den Buttonbar um ein Programm?
A: Das Programm markieren und mit der Maus bei gedrückter Umschalt- (SHIFT)-Taste auf die gewünschte Position ziehen.
F: Wie löscht oder ändert man einen Button im Buttonbar?
A: Mit der rechten Maustaste auf den Button klicken und aus dem Menü 'Ändern' oder 'Löschen' wählen.
F: Wie kann Total Commander zusätzliche Dateiformate im Lister (F3) anzeigen?
A: Dazu können Sie Lister-Plugins von unserer Homepage herunterladen (unter Zubehör). Die Installation ist sehr einfach: Sie müssen Total Commander starten, uns Verzeichnis mit dem heruntergeladenen Plugin (ZIP- oder RAR-Datei) wechseln, und auf die Plugindatei doppelklicken. Sie werden dann gefragt, ob das Plugin installiert werden soll.
F: Wie kann ich verhindern, dass die zuletzt eingegebenen Kommandozeilen gespeichert werden? Ich gebe oft Passwörter über die Kommandozeile ein.
A: Dies können Sie deaktivieren via Konfigurieren - Operation, Option "Alte Kommandozeilen". Vorhandene alte Kommandozeilen löschen Sie direkt in der Liste mit Umschalt+Entf.
F: Wieso verschwindet der Rahmen um die aktuelle Datei, wenn ich etwas in der Kommandozeile eingebe?
A: Windows erlaubt es nicht, dass die aktive Markierung (der Cursor) in zwei Fenstern gleichzeitig sitzt!
F: Wie kann ich einfach eine Datei umbenennen? Der Name der Datei sollte vorgegeben werden!
A: Drücken Sie Umsch+F6 (SHIFT+F6). Durch nochmaliges Drücken wird nur der Name ohne Erweiterung markiert.
F: Nach Ausführen eines Kommandozeilenbefehls wie z. B. dir wird das Fenster so schnell wieder geschlossen, dass die Ausgabe des Programms nicht lesbar ist!
A: Starten Sie das Programm anstatt mit ENTER mit UMSCH (SHIFT)+ENTER. Dies lässt das Fenster nach Beendigung des Befehls offen.
F: Wie kann ich Total Commander mit einem vorgegebenen Verzeichnis starten, oder sogar mit einer ZIP-Datei?
A: Total Commander unterstützt dazu Kommandozeilenparameter.
F: Gibt es eine Möglichkeit, für jeden Benutzer separate Einstellungen zu haben, z. B. verschiedenen Sprachen oder Menüs?
A: Erzeugen Sie für jeden Benutzer ein eigenes Total Commander-Icon im Startmenü/auf dem Desktop. Sie können dann über einen Kommandozeilenparameter angeben, in welcher Datei Total Commander seine Einstellungen speichern soll (totalcmd.exe /I=user5.ini). Verwenden Sie einfach pro Benutzer eine eigene INI-Datei!
F: Wie kann ich den Splashscreen beim Start des Programms verhindern?
A: Tragen Sie in der Datei wincmd.ini unter [Configuration] die folgende Zeile ein
StartupScreen=0
Dies funktioniert nur in der registrierten Version.
Q: Wie wäre es mit einer Linux-Version?
A: Leider mussten wir die Portierung auf Linux einstellen. Es gibt aber bereits mindestens 2 gute Commander-artige Programme für Linux:
mc (Midnight Commander) - ein Commander für die Kommandozeile, sehr mächtig
Krusader - der derzeit beste Commander-artige Dateimanager für das X-Window-System
Q: Wenn ich zum FTP-Server unserer Firma Verbindung aufnehme, erhalte ich die Meldung, dass er nicht unterstützt wird. Wieso?
A: Leider ist die Dateiliste, welche von FTP-Servern erzeugt wird, nicht standardisiert. Deshalb kann Total Commander nur die am meisten verbreiteten Server unterstützen. Zurzeit unterstützt er viele verschiedene Arten von Unix-, DOS-, Windows-, OS/2-, AS/400- und VMS-Servern. Falls Ihr Server nicht unterstützt wird, können Sie das Dateilisting des Servers trotzdem mit Alt+Enter anzeigen lassen. Total Commander erlaubt das Definieren eigener Servertypen, dafür gibt es eine Option in den Einstellungen der Verbindung.
Q: Wie speichere oder drucke ich eine Dateiliste?
A: Sie haben 2 Möglichkeiten:
1. Erzeugen Sie einen Knopf im Buttonbar mit dem Befehl cm_copyfullnamestoclip . Wenn Sie ihn betätigen, so werden alle markierten Dateinamen in die Zwischenablage kopiert, von wo Sie sie in jede Textverarbeitung einfügen können.
2. Laden Sie das diskdir-Plugin von der Zubehör-Seite von www.ghisler.com herunter. Es arbeitet wie ein Packer, erzeugt aber eine von Menschen lesbare und druckbare Liste aller markierten Dateien (mit Größe und Datum/Zeit), inklusive Unterverzeichnissen.
F: Wie entferne (deinstalliere) ich das Programm?
A: Seit Version 4.50 gibt es ein Programm zum Entfernen von Total Commander. Sie erreichen es via die Systemsteuerung, oder indem Sie direkt ins Total Commander-Verzeichnis wechseln und WCUNINST.EXE starten.
Ältere Versionen entfernen Sie, indem Sie einfach das Total Commander-Verzeichnis komplett löschen (normalerweise c:\totalcmd).
F: Wieso funktioniert Drag&Drop vom Desktop (Bildschirmhintergrund) oder Explorer nicht?
A: Das passiert, wenn Sie Total Commander mit höheren Rechten gestartet haben ("Als Administrator"). Windows verhindert dann aus Sicherheitsgründen die Kommunikation mit dem Desktop/Explorer, der mit normalen Rechten läuft.
Gehen Sie in die Eigenschaften des Links, über den Sie Total Commander öffnen (Rechtsklick - Eigenschaften). Dort müssen Sie an 2 Stellen "Als Administrator" überprüfen und wenn nötig deaktivieren:
1. Knopf "Erweitert..." - "Als Administrator ausführen"
2. Reiter "Kompatibilität" - "Programm als Administrator ausführen"
Keine der beiden Optionen darf aktiv sein!
F: Die Symbole im Buttonbar erscheinen unscharf und verzerrt.
A: Total Commander benutzt gewöhnliche 32x32 und 16x16 Pixel große Icons im Buttonbar. Damit mehr davon Platz haben, verkleinert er sie. Die Größe lässt sich im Dialog Konfigurieren - Buttonbar einstellen. Falls Ihnen das nicht gefällt, können sie die Größe auf 32 einstellen, oder 'kleine Icons' eingestellt lassen. In diesem Fall verwendet Total Commander 16x16 Pixel große Icons.
F: Wo finde ich ZIP-NT?
A: Sie finden Zip-NT/Info-ZIP an der WWW-Adresse http://infozip.sourceforge.net/ im Internet. Leider unterstützt Info-ZIP keine deutschen Umlaute! Verwenden Sie deshalb besser den internen ZIP-Packer, der damit keine Probleme hat! Info-ZIP benötigen Sie nur, wenn Sie spezielle Kommandozeilenargumente verwenden möchten, wie ZIP-Kommentare, 'freshen' oder 'update'.
F: Wie sortiere ich Verzeichnisse nach Datum?
A: Die Standardeinstellung ist, dass Verzeichnisse immer nach Namen sortiert werden. Dies lässt sich aber via Konfigurieren - Einstellungen - Ansicht - Wie Dateien abändern. Wenn Sie das öfter umstellen müssen, so erzeugen Sie einen Button im Butonbar mit dem Befehl cm_SwitchDirSort .
F: Wie kann ich Dateien numerisch sortieren, also Datei9 vor Datei10 einsortieren?
A: Unter Konfigurieren - Einstellungen - Ansicht - Sortiermethode stellen Sie die Sortierfunktion ein. Wählen Sie da die unterste:
Natürl. Sortierung: Alphabetisch und nach Nummern
F: Plötzlich funktionieren viele Tastenkombinationen nicht mehr! Was ist der Auslöser?
A: Dies passiert, wenn ein anderes Programm Tastenkombinationen Windows-weit für sich reserviert. Ein häufiger Schuldiger ist das Programm "Geforce Experience" von NVIDIA. Dieses reserviert gleich dutzende von Kombinationen für sich, darunter so wichtige wie Alt+F1 (linkes Laufwerk) oder Alt+F5 (Dateien packen)! Sie können diese aber leicht ändern oder entfernen: Drücken Sie Alt+Z, und klicken dann auf das Zahnradsymbol und auf Tastenkombinationen. Klicken Sie auf eine Kombination und drücken dann Entf, um sie zu entfernen, oder eine neue Kombination zum Ändern.
F: Total Commander stürzt beim Öffnen des Rechtsklickmenüs oder beim Drücken von Alt+Enter ab. Woran liegt das?
A: Das Problem bei Ihnen ist hoechstwahrscheinlich eine fehlerhafte Rechtsklickmenüweiterung. Erkärung: Das Rechtsklickmenü wird vom Explorer bereitgestellt, und da können sich viele Programme als zusätzliche Menüpunkte einklinken. Wenn nur eines davon Probleme macht, dann bleibt das Menü hängen oder es führt zum Absturz. Um es zu korrigieren, können Sie wie folgt vorgehen:
1. Laden Sie das Gratistool ShellExView herunter:
https://www.nirsoft.net/utils/shexview.html
2. Starten Sie es. Für Total Commander 32-bit unter 64-bit-Windows müssen Sie die Option "Show 32-bit extensions" in den ShellExView-Einstellungen aktivieren.
3. Klicken Sie auf die Spalte "Type", um nach Erweiterungstyp zu sortieren
4. Deaktivieren Sie alle Rechtsklickmenüerweiterungen ("Context menu extension", nur diese!!!) einzeln nacheinander. Sie können die von Microsoft Corporation" behalten, diese sind in der Regel OK.
5. Testen Sie im Total Commander, ob der Fehler weg ist, sonst deaktivieren Sie die nächste Erweiterung.
6. Haben Sie den Störenfried gefunden, so können Sie alle anderen Erweiterungen wieder aktivieren.


Plugins

Plugins und weitere Sprachen
Plugins sind Total Commander-Erweiterungen geschrieben von uns selbst oder Dritten. Plugins erweitern den Funktionsumfang von Total Commander. Dabei gibt es vier fundamentale Typen von Plugins:
1. Packer-Plugins
Diese werden benutzt zum Entpacken von bestimmten Dateitypen, normalerweise Archiven. Einige Packer-Plugins unterstützen auch das Erzeugen von neuen Archiven dieses Typs, und/oder Verändern von bestehenden Archiven. Beispiele sind:
Ein Plugin zum
- Packen/Entpacken von bzip2-Archiven, ein Format ähnlich dem eingebauten gzip
- Erzeugen einer Liste von Dateien in den markierten Verzeichnissen. Nützlich zum Erzeugen von Katalogen ganzer Disks
- Erzeugen einer Batchdatei für alle markierten Dateien, z. B. zum wiederholten Batch-Kopieren
2. Dateisystem-Plugins
Dateisystem-Plugins werden über die Netzwerkumgebung benutzt. Sie greifen in der Regel auf einen Teil ihres PC zu, welcher nicht via Laufwerkbuchstaben zu erreichen ist, oder auf ein entferntes System. Beispiele sind:
Ein Plugin zum Zugriff auf
- ein Windows CE- oder PocketPC-Gerät, das an Ihren PC angeschlossen ist
- entfernte Web-Server via HTTP, zum Herunterladen ganzer Dateilisten
- einen -e-Mail-Server
3. Lister-Plugins
Lister-Plugins zeigen bestimmte Dateitypen via den eingebauten Dateibetrachter Lister an sowie via das Schnellansichtsfenster (Strg+Q). Beispiele sind:
Ein Plugin zur Anzeige von
- DBF-Datenbanken
- PDF-Dateien (Adobes portables Dokumentenformat)
- Quelltexte für C, Pascal, Java usw. mit hervorgehobener Syntax
4. Inhaltsplugins
Inhaltsplugins haben mehrere Verwendungsmöglichkeiten: Suchen nach bestimmten Dateieigenschaften und -inhalten, Anzeigen dieser Eigenschaften in den Dateilisten sowie Benutzen im Mehrfach-Umbenenntool, um sie in den Dateinamen einzubauen. Beispiele sind:
- mp3 id-tags (Künstler, Titel, Album usw.)
- Digitalphoto-Informationen aus JPEG-Dateien im EXIF-Format (Blende, Belichtungszeit, Blitz aktiviert usw.)
- Dateiattribute wie Erstellungszeit, Programmversionsnummer etc.
5. Zusätzliche Sprachen
Zusätzliche Sprachen wie Arabisch, traditionelles Chinesisch usw. finden Sie ebenfalls auf unserer Homepage. Diese können wie Plugins per Doppelklick auf die Sprach-ZIP-Datei installiert werden.
Wo findet man Plugins?
Von uns getestete und genehmigte Plugins finden Sie auf unserer Website www.ghisler.com unter Zubehör - Plugins. Neue Plugins werden in der Regel in unserem Plugin-Forum getestet (erreichbar via unsere Homepage).
Wie installiert man Plugins?
Neuere Plugins lassen sich einfach durch Doppelklick auf die Plugin-Archivdatei installieren. Sie werden dann nach dem Installationsort gefragt, und Total Commander übernimmt den Rest.
Jedes Plugin enthält außerdem eine Readme-Datei mit Instruktionen. In der Regel werden Plugins wie folgt installiert: Zuerst das Plugin in ein Verzeichnis entpacken, z. B. c:\Totalcmd\Plugins. Danach das Plugin zu Total Commander hinzufügen:
- Konfigurieren - Einstellungen - Plugins öffnen, und dort auf den Knopf für das gewünschte Plugin klicken.
Wie schreibt man sein eigenes Plugin?
Der Abschnitt Plugins auf www.ghisler.com verweist auch auf Instruktionen zum Schreiben eigener Plugins - separat für jeden Plugin-Typ. Außerdem gibt es dort Beispiel-Plugins inklusive Quelltext, die meisten in C geschrieben, einige in Delphi.


Ordner-Tabs (Register)
Tabs erlauben das schnelle Umschalten zwischen mehreren verschiedenen Verzeichnissen, separat auf der linken und rechten Seite. Dabei werden Einstellungen wie Sortierreihenfolge, Anzeige Kurz/Lang sowie Markierungen beibehalten.
Öffnen eines neuen Tabs
Es gibt diverse Möglichkeiten, einen neuen Tab zu öffnen:
- Strg+T öffnet einen neuen Tab. Dabei wird das aktuelle Verzeichnis beibehalten.
- Strg+Pfeil nach oben öffnet das Verzeichnis oder Archiv unter dem Cursor in einem neuen Tab.
- Strg+Umsch+Pfeil nach oben öffnet das Verzeichnis oder Archiv in einem neuen Tab im ANDEREN Fenster.
- Umsch+Laufwerkswahl öffnet das Laufwerk in einem neuen Tab.
- Umsch gedrückt bei der Funktion "Verzeichnisliste" (Strg+D) öffnet dieses Verzeichnis ebenfalls in einem neuen Tab.
- Per Rechtsklick auf einen Tab kann man diesen verdoppeln oder ins gegenüberliegende Fenster kopieren.
- Ein Doppelklick oder Mittelklick auf den freien Platz in der Tabzeile öffnet einen neuen Tab.
- Ziehen Sie mehrere Verzeichnisse mit der Maus auf einen freien Platz in der Tabulatorzeile. Wenn dabei ein Mauszeiger mit kleinem Pfeil im Dateisymbol erscheint, werden die Verzeichnisse als zusätzliche Tabs hinzugefügt! Achtung: Auf Tabs kann so auch kopiert oder verschoben werden!
Wechseln zwischen Tabs
Zwischen verschiedenen Tabs kann entweder mit der Maus (klicken) oder mit Strg+Tab gewechselt werden. Strg+Umsch+Tab wechselt zum vorherigen Tab.
Symbole auf Tabs
Total Commander kann nun Symbole auf Tabs anzeigen. Dies lässt sich konfigurieren via Menü Konfigurieren - Einstellungen - Ordner-Tabs. Standardmässig werden Symbole für lokale Laufwerke, definiert via Ordner-Eigenschaften (desktop.ini), für virtuelle Ordner wie den Desktop, Dateisystem-Plugins, FTP-Verbindungen und benutzerdefinierte Ansichten angezeigt.
Tabs-Rechtsklickmenü
Ein Rechtsklick auf einen Tab öffnet ein Kontextmenü mit folgenden Befehlen:
- Diesen Tab verdoppeln Erzeugt einen neuen Tab mit demselben Verzeichnis wie dem aktuellen.
- Tab umbenennen/sperren Erlaubt das Umbenennen eines Tabs sowie ihn zu sperren.
- Diesen Tab sperren Sperrt den Tab. Keine Verzeichniswechsel mehr erlaubt!
- Gesperrt, aber Verzeichniswechsel erlaubt Sperrt einen Tab. Wechselt zum gespeicherten Verzeichnis zurück, wenn Sie auf einen anderen Tab und zurück wechseln, oder den Hauptverzeichnisknopf drücken, oder auf den Tab klicken, wenn dieser bereits aktiv ist. Nützlich etwa zum Speichern des Basisverzeichnisses eines Projekts.
- Tab in anderes Panel kopieren Erzeugt einen neuen Tab im anderen Panel mit dem aktuellen Verzeichnis.
- Tabs in Datei speichern Speichert Tabverzeichnisse, Namen usw. des aktiven Panels in eine Datei.
- Tabs auf beiden Seiten in Datei speichern Selber Befehl, jedoch für beide Panels.
- Tabs aus Datei laden, aktuelle behalten Lade Tabs (früher gespeichert) und hänge sie an die existierenden an.
- Tabs aus Datei laden, aktuelle ersetzen Lade Tabs, aber ersetze alle existierenden Tabs mit den geladenen.
- Diesen Tab schließen Rechtsgeklickten Tab schließen
- Alle Tabs schließen Schließt alle Tabs außer den gesperrten, behält aktuelles Verzeichnis bei
- Doppelte Tabs schließen Schließt alle Tabs, die auf identische Verzeichnisse zeigen, bis auf einen pro Verzeichnis.
- Kürzlich geschlossene Tabs Wird nur angezeigt, wenn seit dem Start von Total Commander Tabs geschlossen wurden. Erlaubt das erneute Öffnen dieser Tabs via ein Untermenü.
- Ansichtsmodus konfigurieren Öffnet die Einstellungen mit der Seite "Ansichtsmodus"
- Liste vorhandener Ansichtsmodi Ansichtsmodi, die via den obigen Befehl konfiguriert wurden, damit man schnell zu ihnen wechseln kann
Weitere Operationen
Es werden folgende weiteren Operationen unterstützt:
- Tab schließen: Strg+W, Klick mit der mittleren Maustaste (oder dem Rad) auf das Tab, Doppelklick, Strg+Klick
- Tabs umsortieren: Einfach per Drag&Drop an die gewünschte Position ziehen, auch im anderen Fenster!
- Tabs in Datei speichern oder aus Datei lesen: via das Rechtsklickmenü. Nützlich z. B. für projektbezogenes Arbeiten.
appendtabs tabfile.tab im Buttonbar fügt die gespeicherten Tabs per Knopfdruck hinzu
opentabs tabfile.tab im Buttonbar ersetzt die aktuellen Tabs durch die in der Datei tabfile.tab gespeicherten.
Hinweis: Um die Tabs in beiden Fenstern zu ersetzen, müssen Sie von Hand zwei Tab-Dateien zusammenfügen, und einen der Abschnitte [activetabs] umbenennen in [inactivetabs]. Oder verwenden Sie direkt die Rechtsklick-Menüoption "Tabs auf beiden Seiten in Datei speichern".
- Tabs umbenennen und/oder sperren (via Rechtsklickmenü): Erlaubt das Erzeugen von festen Tabs, die man nicht so einfach löschen kann, etwa für oft benutzte Verzeichnisse. Versucht man, innerhalb eines solchen Tabs in ein anderes Verzeichnis zu wechseln, wird automatisch ein neuer Tab angelegt!
- Das Verhalten der Tabs kann über den Konfigurieren-Dialog verändert werden.


Reguläre Ausdrücke
Reguläre Ausdrücke sind ein sehr mächtiges Suchwerkzeug. Sie erlauben die Suche nach komplexen Klassen von Wörtern. Reguläre Ausdrücke sind vor allem für Profis gedacht, können aber auch im Büroalltag zum Finden bestimmter Dokumente nützlich sein (siehe Beispiele unten).
Total Commander unterstützt reguläre Ausdrücke in folgenden Funktionen:
- Befehle - Suchen (im Dateinamen und im Dateiinhalt!)
- Im Lister
- Im Mehrfach-Umbenenntool
- Im Markieren-Dialog
Reguläre Ausdrücke bestehen aus normalen Zeichen und speziellen Zeichen, sogenannten Metazeichen. Folgende Zeichen sind Metazeichen oder der Anfang von Metazeichen:
. \ ( ) [ ] { } ^ $ + * ? (nur in Zeichenklassen: - )
Normale Zeichen:
test findet den Text "test" im durchsuchten Text. Hinweis: Das findet "test" irgendwo im Dateinamen bzw. Text.
Escape-Sequenzen:
Ein Backslash \ leitet eine Escape-Sequenz ein. Beispiele für Escape-Sequenzen:
\t Tabulatorzeichen
\xnn Zeichen mit dem Hexadezimalcode nn. Beispiel: \x20 ist ein Leerzeichen. Die Zeichentabelle charmap.exe (sofern installiert) zeigt den Zeichencode der meisten Spezialzeichen an. Mit dem Taschenrechner (calc.exe) von Windows können Sie den Dezimalcode in Hexadezimal umrechnen.
\x{nnnn}
Unicode-Zeichen mit dem Hexadezimalcode nnnn. Total Commander benutzt Unicode für Dateinamen. Deshalb müssen für Zeichen außerhalb der aktuellen Codeseite deren Unicode-Zeichenfolgen angegeben werden.
\[ Eckige Klammer auf: Weil die eckige Klammer ein Metazeichen ist, muss man \[ schreiben, wenn man die Klammer selbst finden will.
\\ Findet einen Backslash.
\. Findet einen Punkt ("." allein findet irgendein Zeichen, siehe unten).
Zeichenklassen:
Zeichen in eckigen Klammern bilden eine Zeichenklasse. Es wird genau ein Zeichen aus dieser Klasse gefunden. Mit einem Bindestrich werden Gruppen definiert, etwa [a-z]. Ein ^ am Anfang findet alle Zeichen außer den genannten.
Beispiele:
[aeiou] Findet genau einen dieser Vokale.
[^aeiou] Findet alles außer einem Vokal
M[ae][iy]er Findet Herrn Meier in allen möglichen Schreibweisen: Mayer, Meyer, Maier, Meier. Sehr nützlich, wenn man sich nicht mehr an die genaue Schreibweise erinnern kann!
Metazeichen
Hier eine Liste der wichtigsten Metazeichen:
^ Zeilenanfang
$ Zeilenende
. Ein beliebiges Zeichen
\w ein Buchstabe, eine Ziffer oder der Unterstrich
\W das Gegenteil von \w
\d eine Ziffer
\D keine Ziffer
\s ein Worttrennzeichen (Leerzeichen, Tabulator etc)
\S kein Worttrennzeichen
\b findet eine Wortgrenze (Kombination aus \s und \S)
\B Gegenteil von \b
Iteratoren
Iteratoren stehen für Wiederholungen des Zeichens links des Iterators.
? Zeichen kommt nicht oder einmal vor
* Zeichen kommt nicht oder mehrmals vor
+ Zeichen kommt mindestens einmal vor
{n} Zeichen kommt genau n-mal vor
{n,} Zeichen kommt mindestens n-mal vor
{n,m} Zeichen kommt mindestens n-mal, max. m-mal vor
All diese Operatoren sind "gierig", d.h. sie nehmen so viele Zeichen, wie sie bekommen können. Ein nachgestelltes Fragezeichen macht den Operator "genügsam", d.h. er nimmt nur so viele Zeichen wie nötig.
Beispiel: "b+" angewandt auf den Zielstring "abbbbc" findet "bbbb", "b+?" findet "b".
Alternativen
Alternativen stehen in runden Klammern, und werden durch einen senkrechten Strich getrennt.
Beispiel: (Hans|Fritz|Peter) findet einen der Namen Hans, Fritz oder Peter.
Vorausschauen/Zurückschauen
Eine Bedingung, dass dem Text ein anderer Text folgen oder vorangestellt werden muss, der dann nicht Teil des Ergebnisses ist.
Negativer Blick nach vorne: Sucht ein 'q', nicht gefolgt von einem 'u':
q(?!u) findet das 'q' in "Iraq" aber nicht in "Qual"
Positiver Blick nach vorne: Sucht ein 'q', gefolgt von einem 'u':
q(?=u) findet das 'q' in "Qual" aber nicht in "Iraq"
Negativer Blick nach hinten: Sucht ein 'u' ohne ein 'q' davor:
(?<!q)u findet das 'u' in "Iraq" aber nicht in "Qual"
Positiver Blick nach hinten: Sucht ein 'u' mit einem 'q' davor:
(?<=q)u findet das 'u' in "Qual" aber nicht in "Iraq"
Wichtiger Hinweis:
Die verwendete Regex-Bibliothek hat eine Einschränkung, dass der Blick nach vorne am Ende des regulären Ausdrucks und der Blick nach hinten am Anfang stehen muss. Andernfalls wird ein Fehler angezeigt.
Rückwärtsreferenzen
\1 Findet, was zuvor in den ersten Klammern () gefunden wurde.
\n Findet Teilausdruck n ein weiteres Mal im Suchresultat.
Beispiel 1: \s([0-9]+) \1\s findet eine Nummer gefolgt von einem Leerzeichen und derselben Nummer.
Beispiel 2: (.+)\1+ Findet z. B. abab (wobei das erste ab von .+ gefunden wird, das zweite von \1+
Unterroutinenaufrufe
(?n) Fügt den Unterausdruck Nummer n ein. Der Unterschied zu Rückwärtsreferenzen besteht darin, dass diese auf ein Ergebnis eines bereits verarbeiteten Unterausdrucks passen, während ein Unterroutinenaufruf den ursprünglichen Unterausdruck unverändert einfügt.
Beispiel: Versucht man die Zeichenfolge "abc_def" mit dem regulären Ausdruck "([a-z]+)_\1" zu finden, wird sie nicht gefunden, da der erste Teil "abc" sich nicht wiederholt - es hätte "abc_abc" sein sollen. Aber wenn man "([a-z]+)_(?1)" verwendet, wird dies effektiv zu "([a-z]+)_([a-z]+)" erweitert. Damit findet der erste Teil die Zeichenfolge "abc" und der zweite Teil "def".
(?&name) Ähnlich wie (?n), aber für benannte Unterausdrücke anstelle von nummerierten.
Teilausdrücke für Suchen und Ersetzen
Textteile in Klammern gelten als Teilausdrücke. Bis zu 89 Teilausdrücke werden nun unterstützt.
Beispiel: Wenn man in einer MP3-Datei Titel und Interpret vertauschen will, die durch einen Bindestrich und zwei Leerzeichen getrennt sind (Titel - Interpret.mp3), so kann man das so lösen:
Suchen nach: (.*) - (.*)\.mp3
Ersetzen durch: $2 - $1.mp3
Dabei steht $1 für den Text in der ersten Klammer, $2 für den in der 2. Klammer.
In "Ersetzen durch" können Parameter \U, \L, \F, \n verwendet werden, um ab diesem Punkt in Großbuchstaben, Kleinbuchstaben, ersten Buchstaben pro Wort groß, und zurück zu unverändert zu wechseln. Beispiel:
Suchen nach: (.*) - (.*)\.mp3
Ersetzen durch: \U$2 - \L$1.mp3
Teilausdrücke: spezielle Gruppen
(?>bc|c) Atomare Gruppierung: Findet bc, aber nicht nur c. Hinweis: Diese Option wird von 'Everything' nicht unterstützt!
Beispiel: a(?>bc|b)c findet "abcc" (bc vor dem |) aber nicht "abc" (b nach dem |)
(?:expr) Nicht erfassende Gruppen: Sucht den Ausdruck "expr", fügt jedoch den in () gefundenen Text nicht zum Index hinzu
Beispiel: (?:.*)_(.*) findet teil1_teil2, fügt aber nur teil2 zum Index hinzu, erreichbar über $1
(?P<name>expr) Wie ein normaler Teilausdruck, aber speichert Resultat in "name". Die Klammern <> müssen benutzt werden!
Beispiel: (?P<dateiname>[a-z]+) Speichert das Resultat in "dateiname", Zugriff darauf via (?P=dateiname)
(?'name'expr) Alternative Syntax für (?P<name>expr).
(?P=name) Zugriff auf den vorher definierten Teilausdruck mit dem angegebenen Namen
(?#comment text) Ein Kommentar, wird vom Parser ignoriert, kann jedoch verwendet werden, um zu erklären, was ein regulärer Ausdruck bewirkt.
(?R)? Rekursion: findet die gleiche Anzahl des Ausdrucks links wie rechts
Beispiel: a(?R)?z findet z.B. az oder aazz oder aaaaazzzzz
Modifikatoren
Schalten die Funktionsweise von regulären Ausdrücken um.
(?i) Ignoriere Groß-/Kleinschreibung. Ist in Total Commander standardmäßig aktiv für Dateinamen.
(?-i) Beachte Groß-/Kleinschreibung.
(?g) Schalte in den "gierig"-Modus (standardmäßig aktiv)
(?-g) Schalte in den "genügsam"-Modus, sodass "+" dasselbe bewirkt wie "+?"
Die anderen Modifikationen sind bei Total Commander nicht relevant, weil das Programm nur innerhalb einer Zeile suchen kann.
Total Commander verwendet die freie Delphi-Bibliothek TRegExpr von Andrey V. Sorokin, neu verfügbar unter https://regex.sorokin.engineer.
Einige der oben aufgeführten Erklärungen stammen aus der Hilfe zu dieser Bibliothek.


Kommandozeilenparameter
Total Commander kann mit einem oder zwei Verzeichnissen als Parameter aufgerufen werden. Die Dateifenster werden dabei auf diese Verzeichnisse eingestellt. Sie können sich so z. B. mehrere Total Commander-Icons anlegen, z.B. im Startmenü oder auf dem Desktop, welche Total Commander jeweils in einem anderen Verzeichnis oder sogar mit einer gepackten Datei starten. Außerdem kann der Name einer ini-Datei angegeben werden, in welcher Total Commander alle Einstellungen speichert. Dies ermöglicht, dass mehrere Benutzer auf demselben Computer verschiedene Einstellungen haben können.
Syntax:
totalcmd.exe [/o] [/n] [LW:\Verzeichnis1 [LW:\Verzeichnis2]] [/i=name.ini] [/F=ftpname.ini]
oder:
totalcmd.exe [/o] [/n] [/L=LW:\Verzeichnis1] [/R=LW:\Verzeichnis2] [/i=name.ini] [/F=ftpname.ini]
Parameter:
LW:\Verzeichnis Total Commander zeigt den Inhalt des ersten übergebenen Verzeichnisses im linken Dateifenster, den des zweiten im rechten Fenster. Verzeichnisse mit Leerzeichen müssen in doppelten Anführungszeichen stehen. Es muss immer der komplette Pfad inkl. Laufwerk angegeben werden!
Zum Öffnen einer gespeicherten FTP-Verbindung benutzen Sie FTPOPEN:gespeicherte_Verbindung als Pfad (funktioniert in der Demoversion leider nicht).
LOADLIST:pfad\Dateiname lädt eine Liste von Dateien/Verzeichnissen aus der angegebenen Textdatei, gleich wie der Buttonbar-Befehl LOADLIST0.
Akzeptiert auch Freigaben in der Form \\server\share\subdir oder smb://server/share/subdir, sowie virtuelle Ordner in der Form shell:Ordner oder ::{GUID des Ordners}
Anstelle eines Verzeichnisses können Sie auch eine .tab-Datei zum Laden von Ordner-Tabs angeben (ersetzt bestehende Tabs).
/O Falls Total Commander bereits läuft, aktivieren und Pfad(e) an dieses Programm übergeben (übergeht Einstellung im Konfigurationsdialog für mehrere Kopien von Total Commander gleichzeitig). Akzeptiert nun weitere Parameter:
0 Nie eine weitere Kopie öffnen. Falls kein Total Commander läuft, passiert nichts.
Nummer Gleich wie Wert von OnlyOnce= in wincmd.ini (positiver oder negativer Wert)
- Gleich wie -1
/N Öffne auf jeden Fall neues Total Commander-Fenster (übergeht Einstellung im Konfigurationsdialog für nur 1 Kopie von Total Commander gleichzeitig)
/L= Setze Pfad des linken Fensters
/R= Setze Pfad des rechten Fensters
/A Falls eine Archivdatei als Pfad übergeben wird, diese nicht als Archiv öffnen, sondern deren Verzeichnis, und die Archivdatei als aktive Datei setzen (Textcursor)
/P (ohne =) Öffnet Elternverzeichnis des übergebenen Pfades, und setzt Eingabezeile auf letzten Verzeichnisteil, z.B.
/P c:\Windows\System32 wechselt nach c:\Windows und setze Eingabezeile auf System32.
/S Interpretiert die übergebenen Verzeichnisse als Quelle/Ziel statt links/rechts (für Benutzung mit /O). Beispielsweise wird ein mit /R= übergebenes Verzeichnis als Zielverzeichnis verstanden.
/S=C Startet "Vergleich nach Inhalt" ohne das TC-Hauptfenster, z. B. totalcmd.exe /S=C c:\file1 d:\file2
/S=F Öffnet Dialog "Dateien suchen" ohne das TC-Hauptfenster, z. B. totalcmd.exe /S=F "c:\suchen in"
Akzeptiert weitere Parameter, getrennt durch einen Doppelpunkt, z. B. /S=F:S1Lname
S Sortiert Resultate nach: 1=Name, 2=Erweiterung, 3=Größe, 4=Datum/Zeit. Negative Werte=absteigend sortiert
L<x> Als LETZTER Parameter: Lade Suche mit Name <x>, z. B. "/S=F:Lmax 1 Tag alt"
L=<x> Als LETZTER Parameter: Gleich wie L<x>, aber Suche sofort starten
L==<x> Als LETZTER Parameter: Gleich wie L=<x>, aber Resultat nach Ende der Suche anwenden (in TC anzeigen)
/S=L Startet Lister direkt, übergibt Dateinamen zur Anzeige (erfordert kompletten Namen inkl. Pfad). Darf bei html-Dateien eine Sprungmarke enthalten, z. B. c:\test\test.html#sprungmarke
Akzeptiert weitere Parameter, getrennt durch einen Doppelpunkt, z. B. /S=L:AT1C1250
A ANSI/Windows-Text
S ASCII/DOS-Text
V Text variabler Breite
F Vollbild (wie Alt+Enter)
T1..T8 Anzeigemodus 1-8 (1: Text, 2: Binär, 3: Hex, 4: Multimedia, 5: HTML, 6:Unicode, 7: UTF-8, 8: Explorer-Vorschau)
C<nr> Codierung, z. B. C1251 für Kyrillisch
N Automatische Erkennung, aber ohne Multimedia oder Plugins
P<x> Als LETZTER Parameter: Plugin wählen, z. B. /S=L:Piclview für iclview-Plugin (wie im Lister-Titel angezeigt)
/S=P:PORT Startet einen Parallelport- oder USB-Server für die Direktverbindung via Kabel (benutzen Sie LPT1 bzw. USB als Portnamen)
/S=S Startet "Verzeichnisse Synchronisieren" direkt, akzeptiert 2 Pfade als Parameter, oder alternativ einen Einstellungsnamen in der Form /S=S:Einstellungsname
Beginnt der Parameter mit einem Gleichzeichen "=", z. B. /S=S:=Einstellungsname , so startet die Vergleichsfunktion sofort. Besteht der Parameter nur aus einem Gleichzeichen /S=S:= , startet der Vergleich mit den übergebenen Verzeichnissen und zuletzt benutzten Einstellungen.
/O=listname Nur zusammen mit /S=S: Übergibt Listendatei für Funktion "Nur markierte (im Hauptfenster), z. B. /O=%F
/T Öffnet die übergebenen Verzeichnisse in neuen Tabs. Funktioniert neu auch, wenn Totalcmd nicht offen war.
/B Ähnlich wie /T, aber öffnet das Verzeichnis im Hintergrund (Tab nicht aktiviert), falls in bereits laufendem Programm geöffnet.
/M= Setzt Optionen für Dunkelmodus: 0=hell, 1=auto (wie Windows 10-Apps), 2=dunkel
/P= Setzt aktives Panel beim Programmstart: /P=L links, /P=R rechts. Hat Vorrang vor wincmd.ini-Option ActiveRight=
/i=name.ini Benutze eine andere INI-Datei, um die Einstellungen von Total Commander zu speichern (Voreinstellung: wincmd.ini).
/F=ftpname.ini Benutze eine andere INI-Datei als wcx_ftp.ini, um die FTP-Einstellungen zu speichern.
/d=<x> Verzögert den Start von Total Commander um <x> Sekunden (gedacht für Autostart-Verzeichnis, wenn es Probleme mit anderen, gleichzeitig startenden Programmen gibt)
/INSTALLDRIVER (Windows NT-basierte Systeme) Installiert den Parallelport-Treiber - nur nötig, falls Sie die Parallelportverbindung als normaler Benutzer verwenden wollen, und nicht als Administrator. Muss als Administrator gestartet werden.
/INSTALLDRIVERQ Wie /INSTALLDRIVER, aber ohne Rückmeldung
/REMOVEDRIVER (Windows NT-basierte Systeme) Entfernt den Parallelport-Treiber, der via /INSTALLDRIVER installiert wurde.
/REMOVEDRIVERQ Wie /REMOVEDRIVER, aber ohne Rückmeldung
Die Großschreibung wird bei den Parametern nicht beachtet.
Beispiele:
totalcmd.exe c:\windows linkes Fenster zeigt c:\windows an
totalcmd.exe d:\daten c:\programme links d:\daten, rechts c:\programme
totalcmd.exe /R=d:\daten rechtes Fenster: d:\daten
totalcmd.exe "d:\Briefe an Herrn Müller" links: langer Name -> in Anführungszeichen!
totalcmd.exe /R="d:\Briefe von Meier" rechtes Fenster: langer Name
totalcmd.exe c:\daten\wichtig.zip Öffnet wichtig.zip im linken Fenster
totalcmd.exe /I=Meier.ini Benutze Meier.ini statt wincmd.ini für alle Einstellungen zu speichern
totalcmd.exe /O /L=c:\ /R="d:\doc" Aktiviere bereits laufenden Total Commander und setze links c:\, rechts d:\doc als aktuelles Verzeichnis
totalcmd.exe /O /S /R=c:\Verzeichnis Öffnet c:\Verzeichnis im aktuellen ZIEL-Panel des laufenden Programms. Erklärung: /S bewirkt, dass Total Commander /L als Quelle und /R als Ziel interpretiert statt als Links und Rechts.
totalcmd.exe /O /T /L=c:\Verzeichnis Öffnet ein neues Verzeichnis-Tab auf der linken Seite des bereits gestarteten Total Commanders, mit c:\Verzeichnis darin.


Ini-Datei Einstellungen - Übersicht

Aufbau der Datei wincmd.ini: Übersicht
Total Commander speichert die meisten Einstellungen in der Datei wincmd.ini. Die meisten Einträge in der Wincmd.ini lassen sich auch über Dialogboxen verstellen. Einige Einstellungen sind jedoch nur über die Ini-Datei erreichbar, da sie entweder nicht für die meisten Endanwender gedacht sind oder gewisse Systemprobleme umgehen. Einstellungen für den FTP-Client werden in der Datei wcx_ftp.ini gespeichert.
Hinweis: Der Ort der beiden INI-Dateien kann via Menü Hilfe - Über... ermittelt werden. Er kann via Parameter verändert werden. Außerdem kann der Ort der INI-Dateien via Registrierdatenbank (Registry) festgelegt werden. Dazu geben Sie deren Ort entweder bei der Installation an, oder mit dem separaten Programm inireloc.exe, verfügbar auf www.ghisler.com unter Zubehör. Falls sich die Datei wincmd.ini im Programmverzeichnis von Total Commander befindet, können Sie den Schlüssel UseIniInProgramDir setzen (siehe Teil 2).
Warnung: Windows-Funktionen unterstützen KEINE UTF-8-codierten INI-Dateien. Neuere Notepad-Versionen speichern manchmal INI-Dateien als UTF-8 ohne Byte Order Mark (BOM). Dies funktioniert nicht und führt zu verwürfelten Akzenten. Bitte speichern Sie INI-Dateien entweder als ANSI (reinen Text) oder als UTF-16 LE (Little Endian).
Neu in 0.50: Wenn beim Start keine wincmd.ini am konfigurierten Ort vorhanden ist, wird die Datei maintemplate.txt aus dem Programmverzeichnis nach wincmd.ini und ftptemplate.txt nach wcx_ftp.ini kopiert. Hinweis: Das Installationsprogramm erstellt eine wincmd.ini. Diese Funktion ist für automatische Bereitstellungen in Unternehmen gedacht.
Teil 1: Abschnitt [Configuration] A-M
Teil 2: Abschnitt [Configuration] N-Z
Teil 3: Alle anderen Abschnitte
Verwendung mehrerer INI-Dateien
Es gibt zwei Optionen, mit denen Sie einen oder mehrere Abschnitte der Datei wincmd.ini in andere Dateien umleiten können, z.B. um die Hauptdatei wincmd.ini schreibgeschützt zu machen. Es ist auch möglich, flüchtige Daten wie Verzeichnis- und Befehlszeilenverlauf schnell zu löschen, indem Sie sie in eine separate ini-Datei speichern, die dann regelmäßig gelöscht werden kann.
1. Globale Option im Abschnitt [Configuration]:
AlternateUserIni=<alternative-INI-Datei.ini>
Falls im Abschnitt [Configuration] vorhanden, leitet das Speichern von Einstellungen für vom Benutzer definierte Abschnitte in eine andere ini-Datei um, außer für die Abschnitte [Configuration], [Layout], [Packer], [Confirmation], [Extensions], [Associations], [Shortcuts], [ShortcutsWin], [PackerPlugins], [FileSystemPlugins], [ListerPlugins], [ContentPlugins].
2. Alle Abschnitte können auch separat umgeleitet werden:
Fügen Sie die Zeile beginnend mit
RedirectSection=
zu jedem Abschnitt hinzu, um den kompletten Inhalt dieses Abschnitts in eine andere ini-Datei umzulenken.
Mögliche Werte:
0: Keine Umleitung, auch wenn der Abschnitt von AlternateUserIni umgeleitet würde
1: Weiterleitung zur INI-Datei, die über AlternateUserIni=<alternative-INI-Datei.ini> definiert wurde
<ininame.ini>: Weiterleitung zu dieser bestimmten ini-Datei
Um einen Abschnitt (z. B. einen der Verläufe) zu deaktivieren, leiten Sie diesen Abschnitt in eine schreibgeschützte Datei um.
Hinweis:
Wenn RedirectSection in den Abschnitt [Configuration] eingefügt wird, werden alle Variablen dieses Abschnitts umgeleitet, mit Ausnahme von AlternateUserIni und UseIniInProgramDir, die immer aus der Haupt-INI-Datei gelesen werden.
3. Alle Umleitungen MÜSSEN in der HAUPT- (ersten) INI-Datei enthalten sein.
Umleitungen in sekundären INI-Dateien werden ebenso ignoriert wie Umleitungen in der Datei wcx_ftp.ini.


wcx_ftp INI settings

Aufbau der Datei wcx_ftp.ini
Hinweis: Diese Datei ist für die Einstellungen des FTP-Clients zuständig. Die meisten Einträge lassen sich auch über Dialogboxen einstellen. Alle übrigen Einstellungen von Total Commander stehen in der wincmd.ini.
[General] Allgemeine Einstellungen (in Klammern mögliche Werte)
AESVerify Wird benutzt, um zu überprüfen, ob der Benutzer das richtigen AES-Hauptpasswort für den Passwortmanager eingegeben hat.
Allowhook=2 Diese Option kontrolliert die Tastatureingabe im Hauptpassworteingabedialog:
0: Erlaubt keinen Tastaturhook, zeige Warnsymbol
1: Erlaubt Tastaturhook, und zeigt ein Symbol an, dass es funktioniert
2: Erlaubt Tastaturhook, und zeigt kein Symbol an
Erklärung: Total Commander liest die Tastendrucke über einen eigenen Tastaturhook und löscht die Tasten dann, damit einfache Keylogger die Tasten auf diese Weise nicht mitlesen können. Da einige Antivirenprogramme dabei einen Alarm anzeigen können, lässt sich die Funktion auch deaktivieren.
Ascii=*.txt *.htm* Dateierweiterungen, die als Textdateien erkannt werden sollen
AutoDisconnect=0 Definiert was passiert, wenn der Benutzer versucht, eine zweite Verbindung aufzubauen, während bereits eine im selben Fenster aktiv ist:
0: Benutzer fragen (Vorgabe)
1: vorherige Verbindung abbrechen
2: vorherige Verbindung behalten
AutoResume=30 Timeout in Sekunden bis Total Commander versucht, eine hängende Verbindung wieder aufzunehmen und den Transfer fortzusetzen. Auf -1 setzen zum deaktivieren.
ConnectRetries=10 Anzahl Verbindungsversuche bei anonymen FTP-Servern
DecodePercent=0 1: Decodiere %hex-Werte in Benutzer/Passwort in URLs in Text, z. B. %73 -> s
DataConnectTimeout=10 Verbindungs-Timeout für Datenverbindungen (Uploads/Downloads): Zeit in Sekunden bis der Server auf einen Datentransfer reagieren muß, in Sekunden. Maximaler Wert 300 Sekunden.
E-Mail=xyz@server.com E-Mail-Adresse, die bei anonymen Verbindungen als Passwort gesendet wird
ForceHTTP11=0 0: Benutze HTTP 1.0 für alle Transfers außer für wiederaufgenommene (resume)
1: Benutze HTTP 1.1 für alle Transfers.
Nachteil von HTTP 1.1: Viele Server senden dynamische Seiten dann im Modus "chunked" ohne Größenangabe. Dadurch ist keine Fortschrittsanzeige möglich.
Vorteil: Der Server kann die Seite bereits zu schicken beginnen, während er sie noch erzeugt.
FtpInBackground=0 Falls 1, werden FTP-Transfers immer im Hintergrund gestartet (separate Verbindung)
FtpOpenIn=0 Öffne FTP-Verbindungen standardmäßig im:
0: Aktiven Fenster
1: Linken Fenster
2: Rechten Fenster
3: Inaktiven (Ziel-)Fenster
FtpShowHidden=0 1: Die Option "FTP versteckte Dateien anzeigen" beim Aufstarten aktivieren (1/0)
GetModeFromLocalFile=0 1: Die Dateierweiterung der lokalen Datei legt fest, ob die Datei im automatischen Modus als Binär- oder Textdatei übertragen wird (Standard: Datei auf dem Server).
Httptimeout=30 xx Sekunden warten auf Reaktion des Web-Servers bei HTTP-Downloads
KeepAliveTransfer=0 1: Sendet keep alive auch während eines Transfers. Diese Funktion sendet lediglich neue Zeilen an die Kontrollverbindung, damit die Firewall/der Gateway die Verbindung nicht trennt. Kann auch bei individuellen Verbindungen gesetzt werden (geht nicht im Hintergrund-Transfermanager). Hinweis: Diese Option kann einige FTP-Server verwirren, bei anderen kann es der letzte Ausweg bei häufigen Verbindungsabbrüchen sein.
KeepMasterPassword=0 Behalte das Hauptpasswort im Speicher wenn:
1: das Programm minimiert wird
2: der Bildschirmschoner startet
3: in beiden Fällen
LogFile=c:\Path\Log.txt Schreibe eine Log-Datei mit dem angegebenen Namen
LogFile2=c:\Path\Log2.txt Schreibe Log-Datei mit nur den wichtigsten Infos (übertragene Dateien)
MDTM=3 Benutze den MDTM-Befehl zum setzen des Zeitstempels von hochgeladenen Dateien (wird zzt. nur von der Sync-Funktion unterstützt). Summe von:
1: Funktion ein/ausschalten
2: Sende Zeitstempel in Universalzeit (GMT). Die meisten Server erwarten das.
MLSD=-1 0: Benutze LIST-Befehl für Verzeichnislisten
1: Benutze MLSD-Befehl für Verzeichnislisten
-1: Benutze MLSD falls der Server dessen Unterstützung meldet, sonst LIST
Hinweis: Kann auch für jeden Server separat gesetzt werden
ModeZ= Komprimierte Übertragungen aktivieren/deaktivieren:
0 deaktiviert
1 aktiviert für das Internet (nicht im lokalen Netz)
2 aktiviert auch im lokalen Netz (LAN)
PortFrom= Startport für Portmodus
PortTo= Endport für Portmodus
PortIP= Externe IPv4-Adresse dieses Rechners für den PORT-Modus. Hier können Sie entweder eine fixe IP-Adresse, einen DNS-Namen (DynDNS) oder eine URL mit vorangestelltem http:// eintragen. Im letzteren Fall muss die Webseite die IP-Adresse als Text zurückmelden.
PortIPEnabled=0 Schaltet obige externe IP-Adresse ein/aus.
PreferIPv6=-1 -1 bevorzuge IPv4, benutze wsock32.dll (Voreinstellung, alle anderen benutzen wsock2_32.dll)
0 bevorzuge IPv4 (normale Internetadressen)
1 bevorzuge IPv6 für Server, welche IPv4 und IPv6 unterstützen
2 IPv4- und IPv6-Adressen in der Reihenfolge, wie sie der Nameserver meldet
-2 IPv6 abgeschaltet, nur erste IPv4-Adresse benutzen (wie TC <=7.5x)
PreferOpenSSL=1 1: OpenSSL-DLLs für HTTPS/FTPS benutzen, sofern installiert, ansonsten sChannel
0: sChannel-Functions (Windows Crypto-API) für sichere Verbindungen benutzen, falls möglich
-1: OpenSSL-DLLs benutzen, falls installiert, sonst sChannel nicht benutzen
PreventFEAT=0 1: Den Befehl FEAT (Server-Features) nicht an den FTP-Server senden. Einige FTP-Proxies scheinen bei diesem Befehl hängen zu bleiben.
ReturnToReUploadDir=0 Beim Bearbeiten von Dateien mit F4 und anschliessendem Speichern wird die Datei automatisch wieder zum Server hochgeladen. Mit dieser Option springt das aktuelle Verzeichnis zum Ort der Datei zurück
SaveNewConnection=1 Beim Trennen einer via Strg+N erzeugten neuen Verbindung nachfragen, ob sie gespeichert werden soll
SpecialFlags=0 Summe folgender Optionen:
1: Erzwinge implizites SSL (keine Klartextverbindungen)
2: Erzwinge explizites SSL
4: Erzwinge TLS-Authentifizierung
8: Erzwinge SSL23-Authentifizierung
16: Detailliertes Log auch für Hintergrundtransfers
32: Kein Test, ob Dateien komplett hochgeladen wurden (mit SIZE-Befehl)
64: Kein Test, ob Dateien komplett hochgeladen wurden (mit SIZE-Befehl) falls Dateigröße von der Größe via LIST/MLSD abweicht
128: FTP über SSL/TLS: Sessions nicht wiederverwenden (via SSL_copy_session_id)
256: Befehle aus dem Feld "Sende Befehle" NICHT im Hintergrund-Transfermanager senden
512: Sendet MLSD -la zum Anzeigen von versteckten Dateien (nicht unterstützt von den meisten Servern, da nicht Standard)
1024: Wandle lokale IP-Adresse, die vom PASV-Befehl zurückgemeldet wird, nicht in die Adresse des Servers um
2048: Alle Zeichen mit code #255 verdoppeln für Server, die Telnet-Escapezeichen erwarten
4096: MDTM zum Setzen des Dateidatums verwenden
8192: MFMT verwenden
12288: SITE UTIME verwenden (Summe von 4096 und 8192)
sslwarn=1 0: Schaltet Warnung bei ungültigem SSL-Zertifikat ab. TC zeigt dann immer noch ein rotes offenes Schloss als Warnung an
SyncAllowChangeLocalTime=1 Verzeichnisse synchronisieren: Aktiviert/deaktiviert Option zum Ändern der lokalen Zeitstempel von Dateien beim Upload, wenn der Server das Ändern von Zeitstempeln nicht unterstützt
TcpKeepAlive=0 1: Benutze TCP keep alive bei allen Verbindungen: Nützlich für gewisse Firewalls/Router, wenn die Verbindung oft abbricht.
TransferMode=I Transfermodus beim Aufstarten:
A=Text
I=Binär
X=Automatisch
UploadBlockSize=1 Größe des Uploadpuffers. Bei schnellen Netzwerken können größere Puffer mehr Geschwindigkeit bringen, etwa 1492 oder gar 8192 Bytes.
Falls =1, wird die Blockgröße dynamisch zwischen 512 Byte und 32kByte gewählt, je nach Upload-Geschwindigkeit.
UserAgent= Setzt das Feld "User agent" bei HTTP-Verbindungen.
Standard: "Mozilla/4.0 (compatible; Totalcmd; Windows x)" mit x der aktuellen Windows-Version
VerifyCerts=1 Kontrolliert Verifizierung von Zertifikaten bei FTPS (über SSL):
1: immer aktiviert
0 immer deaktiviert
-1 nur wenn Datei wincmd.pem existiert
-2 wie -1, aber Windows-Zertifikatsspeicher nicht benutzen (wie TC 8.5x oder älter)
WaitDelay=5 Wartezeit zwischen 2 Verbindungsversuchen
WarnWrongMode=1 1: Warnt beim Upload/Download von Binärdateien im Textmodus
0: Keine Warnung (wie bei Commander 3.5x)
ZlibRatioBin=3 0..9: Zlib-Kompressionsverhältnis für Uploads. 0=keine, 1=schnellste, 9=stärkste
ZlibRatioTxt=3 0..9: wie zlibratiobin, aber für Textdateien. Sollte u.U. auf höheren Wert gesetzt werden, da Textdateien sich besser komprimieren lassen. Achtung: Die Cisco PIX-Firewall mag Stärke 1 nicht, und bricht den upload ab!
[CertAlias] Speichert Server-Aliasnamen, wenn der Benutzer beschließt, einem ftps-Server (ftp über ssl) zu vertrauen (via Klick auf Schloss-Symbol)
server.com=hostcompany.com Beispiel: Benutzer verbindet zu server.com, aber das zurückgelieferte Server-Zertifikat gehört hostcompany.com
[default]
pasvmode=0 1: Immer den Passivmodus für neue Verbindungen verwenden
0: Immer den aktiven Modus verwenden
PreserveDates=0 Datum/Zeit von Dateien beim Herunterladen mit kopieren
PreserveDatesUpload=0 Datum/Zeit von Dateien beim Hochladen mit kopieren (sofern vom Server unterstützt)
LowercaseUpload=0 1: Dateinamen beim Upload in Kleinbuchstaben umwandeln
0: Dateinamen so hochladen, wie sie auf der Platte stehen
ViaLocalPC=0 1: Bei der Übertragung von Dateien von Server zu Server werden die Daten via lokalen PC gesendet
[firewall] Angaben zum Firewall oder Proxyserver
host=localhost:80 Name und Portnummer des Firewalls
password= Passwort (nicht bei allen Firewalls nötig)
username= Benutzername (nicht bei allen Firewalls nötig)
Method=1 Firewall-Methode (Reihenfolge wie in Dialogbox)
default=1 1: Immer den Firewall für neue Verbindungen verwenden
0: Den Firewall für neue Verbindungen NICHT verwenden
Diese Option wird bei jedem Speichern einer Verbindung automatisch geändert.
httphost= Diese 3 Angaben gelten für HTTP-Downloads.
Name und Portnummer des Firewalls
httpuser= Benutzername (http)
httppass= Passwort (http)
[connections] Liste der konfigurierten Verbindungen im Dialog Verbinden
1=Site1
2=Site2
default= Name (nicht Nummer) der zuletzt benutzten Verbindung
[OldConnections] Liste von früher gemachten Verbindungen mit dem Dialog Neue Verbindung
0=ftp://ftp.anysite.com/pub/subdir/
1=user@ftp.anyprovider.com
[Site1] Verbindungsdetails für eine der Verbindungen unter [connections]
anonymous=1 1: Anonyme Verbindung, 0: Verbindung mit Passwort
directory=/pub/subdir Verzeichnis auf dem Server, das nach der Verbindung gesetzt wird
localdir=c:\local Verzeichnis auf dem lokalen Rechner, das nach der Verbindung gesetzt wird
Encoding=-1 Codierung der Dateinamen: -1=automatisch, sonst Codeseite, wie in Funktion MultiByteToWideChar benutzt:
0=Standard ANSI, 1=Standard ASCII, 65001=UTF-8 usw.
firewall=1 1: Benutze den unter [Firewall] konfigurierten Server als Firewall/Proxy
host=ftp.site1.com:2121 Name des Servers, eventuell Port (durch Doppelpunkt getrennt)
password=00000000000000 Passwort, verschleiert (NICHT verschlüsselt, ist prinzipiell unmöglich!)
acct=00000000000000 Account-Passwort, muss manuell gesetzt werden (durch Kopieren von password)
pasvmode=0 0: Benutzt aktiven Modus (PORT-Befehl)
1: Benutzt passiven Modus (PASV-Befehl) - nützlich für gewisse Firewalls
username=test Benutzername für den Server
hosttype= Benutzerdefinierter Servertyp (Name)
InitCommands= Befehle, die gleich nach dem Einloggen zum Server gesendet werden sollen
keepalive= Wiederholrate zum Aufrechterhalten der Verbindung in Sekunden, gefolgt vom gesendeten Befehl, z. B. 90,NOOP
MLSD=-1 0: Benutze LIST-Befehl für Verzeichnislisten
1: Benutze MLSD-Befehl für Verzeichnislisten
-1: Benutze MLSD falls der Server dessen Unterstützung meldet, sonst LIST
CacheDirs=1 0: Verzeichnis bei jedem Besuch erneut einlesen
1: Inhalt von bereits besuchten Verzeichnissen zwischenspeichern
ClientCert= Seriennummer des Benutzerzertifikats aus dem Windows-Zertifikatsspeicher, gefolgt von einem Doppelpunkt und der SHA1-Prüfsumme des Zertifikats (erste Hälfte)
SpecialFlags=0 Siehe Abschnitt [General] Die Optionen pro Site haben Vorrang
[ServerType1] Benutzerdefinierter Servertyp
Template1= Serverdefinitionen, siehe Definiere Servertyp
Template2=
[TimeZone]
Site1= Speichert Zeitverschiebung separat per Server (für Verzeichnisse synchronisieren)
[|empty_folders|] Speichert die Namen aller leeren Ordner im Verbindungsdialog
[|FSPlugin|PluginName] Speichert verschlüsselte Passwörter des Dateisystem-Plugins "PluginName", wenn ein Hauptpasswort verwendet wird. Erlaubt das Ändern des Hauptpassworts.


Hauptmenü ändern

Aufbau der Menüdatei:
Die Menüdatei ist eine ganz normale Textdatei, welche das Hauptmenü beschreibt. Wenn Sie das Menü verändern wollen, sollten sie diese Datei unbedingt umbenennen, da sie sonst vom nächsten Update überschrieben wird!!!
- Jedes Untermenü wird durch den Befehl POPUP, gefolgt vom Titel des Untermenüs in doppelten Anführungszeichen eingeleitet. Popup-Menüs können beliebig verschachtelt werden. Ein Buchstabe mit einem & davor wird dabei unterstrichen und kann mit ALT+Buchstabe angesprungen werden. Beispiel:
POPUP "&Dateien"
- Ein Menüpunkt ist wie folgt aufgebaut: auf den Befehl MENUITEM folgt der Text des Menüpunktes in doppelten Anführungszeichen, danach ein Komma sowie der Bezeichner des Menübefehles. Eine Liste aller Bezeichner finden Sie in der Datei totalcmd.inc. Sie sollten diese Datei mit F4 in Notepad laden und ausdrucken lassen, wenn Sie das Hauptmenü abändern wollen. Der Text \t wird in einen Tabulator umgewandelt. Beispiel:
MENUITEM "&Packen...\tALT+F5", cm_PackFiles
- Mit dem Befehl MENUITEM SEPARATOR fügen Sie einen horizontalen Trennstrich ein.
- Jedes POPUP-Menü wird mit dem Befehl END_POPUP abgeschlossen. Beispiel:
POPUP "&Dateien"
MENUITEM "&Dateiattribute ändern...", cm_SetAttrib
MENUITEM "&Packen...\tALT+F5", cm_PackFiles
MENUITEM SEPARATOR
POPUP "&Weitere Befehle"
MENUITEM "Ver&knüpfen...", cm_associate
MENUITEM "Speicher&bedarf ermitteln...", cm_GetFileSpace
END_POPUP
END_POPUP
Spezielle Befehle
- Mit dem Befehl STARTMENU fügen Sie das Menü Starter an der aktuellen Position in der Hauptmenüleiste ein.
- Mit dem Befehl HELP_BREAK bewirken Sie, dass alle Menüpunkte hinter HELP_BREAK rechtsbündig angezeigt werden. Hinweis: STARTMENU kann nicht direkt hinter HELP_BREAK stehen!
Wissenswertes zu den Bezeichnern:
Alle Bezeichner beginnen mit cm_ (Abkürzung für Kommando) bzw. em_ (benutzerdefinierte Befehle). Bezeichner, die mit cm_src beginnen, wirken auf das aktuelle Quellverzeichnis. Entsprechend wirken Bezeichner mit cm_left auf das linke, mit cm_right auf das rechte Verzeichnis.
Es können nur Bezeichner verwendet werden, welche in der Datei totalcmd.inc enthalten sind (plus benutzerdefinierte em_befehle)! Außerdem können statt den Bezeichnern auch direkt die entsprechenden Zahlenwerte angegeben werden.


Wer ist Info-ZIP?
Info-ZIP ist eine Gruppe von C-Programmierern, die sich zum Ziel gesetzt haben, einen PKzip-kompatiblen Entpacker und Packer auf möglichst vielen Systemen gratis zur Verfügung zu stellen. Mit ihrer Erlaubnis habe ich den Unzip-Code von C nach Pascal übersetzt und in mein Programm eingebunden. Bedingung ist, dass für den Unzip-Teil kein zusätzliches Geld gefordert wird und der Source-Code frei erhältlich ist.
Haupt-Beitragender zum eigentlichen Unzip-Teil ist Mark Adler. Ihm gilt mein besonderer Dank.
Falls Sie Zugang zum Internet haben, können Sie auf
http://infozip.sourceforge.net/
oder auf diversen anderen Hosts (z. B. simtel.net-Mirrors) den Originalcode in C finden.
Der ZIP-Packer basiert auf der ZLIB-Bibliothek von Jean-loup Gailly von Info-ZIP. Diesen Code habe ich nicht nach Pascal übertragen, sondern in eine externe DLL wcmzip32.dll gestellt. ZLIB ist an derselben Internet-Stelle verfügbar wie Info-Zip Unzip.
Gratis Source-Code in Turbo Pascal
Wenn Sie Turbo-Pascal-Programmierer sind, so können Sie bei mir gratis den Source-code der Unzip-Unit inklusive Beispielprogramm erhalten. Gehen Sie dazu folgendermaßen vor:
Senden Sie uns eine e-mail an die Adresse auf unserer Homepage www.ghisler.com (unter Support), und wir schicken Ihnen den Quelltext per e-mail.
Dieses Angebot ist völlig unabhängig von Total Commander. Es besteht keinerlei Kaufzwang oder ähnliches!


Ueber Total Commander

Über Total Commander
Total Commander, Copyright © 1993-2022 by Christian Ghisler
Alle Rechte vorbehalten, insbesondere das Kopieren der
registrierten Version, Übersetzen in andere Sprachen
und die Dekompilierung. Dieses Programm ist Shareware,
bitte registrieren Sie es und ermöglichen Sie damit seine
Weiterentwicklung.


Button bar

Der Buttonbar
Mit dem Buttonbar lassen sich Menübefehle, externe Programme sowie weitere Buttonbars aufrufen. Lassen Sie den Mauscursor einen Moment auf einem Button stehen, so erscheint eine Erklärung.
Der Buttonbar lässt sich durch einfaches Drag&Drop (bei gedrückter Umsch-Taste) einfach erweitern. Mit der rechten Maustaste öffnen Sie ein lokales Menü, mit dessen Hilfe Sie einfach Buttons ändern bzw. löschen können. Für weitergehende Änderungen am Buttonbar empfiehlt sich die Verwendung der Dialogbox zum Ändern des ganzen Buttonbars.
Sie können den Buttonbar auch mit der Tastatur bedienen: Drücken Sie Alt+Umsch+F11 (oder definieren Sie eine Tastenkombination für cm_FocusButtonBar), und bedienen Sie ihn dann mit den Pfeiltasten und Enter/Escape.
Neu in TC9: Es gibt nun auch einen vertikalen Buttonbar. Dieser kann gleich wie der horizontale konfiguriert werden. Um ihn zu entfernen, klicken Sie mit der rechten Maustaste zwischen oder unter die Knöpfe, und wählen "Buttonbar ausblenden". Um ihn wieder anzuzeigen, können Sie auf die Trennlinie zwischen den beiden Dateifenstern rechtsklicken und "Vertikalen Buttonbar anzeigen" wählen.
Falls für den Standard-Buttonbar default.bar kein Ort festgelegt wurde, wird die Datei im Programmverzeichnis verwendet. Falls die Datei nicht beschreibbar ist, wird sie ins Verzeichnis der wincmd.ini kopiert, und anschließend von dort aus benutzt. Dies kann durch folgende Zeilen in der Datei default.bar verhindert werden:
[options]
redirect=0


Funktionstastenleiste
Durch Betätigen eines dieser Knöpfe oder durch Drücken einer der Funktionstasten F1 bis F8 aktivieren Sie die entsprechende Funktion. Für die Funktionen Hilfe (F1) und Verzeichnis neu lesen (F2) bestehen keine Knöpfe um die Oberfläche nicht zu überfüllen. Die Knöpfe F3, F4 und F8 wirken auch als Ziel für Drag & Drop (Ziehen und Fallenlassen).
Sie können auf den F8-Knopf rechtsklicken, um den Papierkorb zu öffnen.


Kommandozeile
Jegliche eingetippten Buchstaben und Zeichen werden in die Kommandozeile umgeleitet. Durch Drücken von ENTER wird die Kommandozeile ausgeführt. Unterstützt Umgebungsvariablen. Alte Kommandozeilen werden in einer History-Liste gespeichert. Durch Drücken von STRG+Pfeil nach unten kann die History-Liste geöffnet werden. Wählen Sie mit den Pfeiltasten auf/ab einen Eintrag. Betätigen sie eine der Pfeiltasten links oder rechts, um die History-Liste zu schließen. Nicht mehr erwünschte Einträge können Sie mit Umsch+Entf löschen.
Über Konfigurieren - Einstellungen - Diverses können Sie Alias-Befehle definieren, um oft benötigte Programme oder interne Befehle mit wenigen Buchstaben ausführen zu können - etwa ed für den Editor notepad.
Der Befehl "cd" wird intern ausgewertet, um das aktuelle Verzeichnis zu setzen (change directory). Falls Sie statt eines Verzeichnisses einen Dateinamen angeben, wird der Textcursor stattdessen auf diese Datei gestellt. Es werden Pfade in folgenden Formaten unterstützt:
c:\Windows
\\server\share\verzeichnis
file:///c|/Windows
file:///c:/Windows
file://localhost/c|/Windows
file://localhost/c:/Windows
file://server/share/verzeichnis
file://c:/Program%20Files
Ist die Kommandozeile ausgeblendet, so wird sie bei der Eingabe von Buchstaben automatisch eingeblendet.
Die maximale Länge der Kommandozeile ist unter Windows 2000 auf 2047 Zeichen begrenzt, unter Windows XP auf 8191 (der maximal unterstützten Länge dieser Betriebssysteme).
Für eine Liste der Funktionstasten siehe Kommandozeile: Tasten


Aktuelles Verzeichnis
Oberhalb des Dateifensters wird das jeweils aktuelle Verzeichnis (kompletter Pfad) angezeigt. Befinden Sie sich innerhalb einer Archivdatei (gepackten Datei), so wird auch diese und eventuelle Unterverzeichnisse innerhalb der Archivdatei hier angezeigt.
Durch Bewegen des Mauszeigers über den Pfad wird das Verzeichnis unter dem Cursor unterstrichen. Darunter wird ein Knopf mit einem Pfeilsymbol angezeigt (außer bei gedrückter STRG-Taste). Durch Klicken auf das unterstrichene Verzeichnis lässt sich direkt zu diesem Verzeichnis springen. Ein Klick auf den Knopf darunter öffnet eine Liste aller Unterverzeichnisse dieses Verzeichnisses. Dies erlaubt das direkte Springen zu einem bestimmten Unterverzeichnis. Außerdem können Sie den Cursor in dieser Liste nach Rechts verschieben, um die Unterverzeichnisse des Verzeichnisses unter dem Cursor anzuzeigen. Ein kleines Dreieck zeigt dabei an, ob es Unterverzeichnisse gibt oder nicht:
- kein Dreieck: Das Verzeichnis enthält kein Unterverzeichnis, oder es ist gerade keines erreichbar
- gefülltes Dreieck: Es gibt Unterverzeichnisse, die angezeigt werden können
- hohles Dreieck: Es wurde (noch) nicht geprüft, ob es Unterverzeichnisse gibt, z. B. weil es zu zeitaufwändig wäre
Das kleine Dreieck nach unten links von der Liste öffnet den Inhalt des Desktops, sodass sich auch andere Laufwerke durchsuchen lassen.
Die Verzeichnisleiste lässt sich auch mit der Tastatur benutzen:
- Alt+F11 bzw. Alt+F12 bringt den Cursor in die Liste
- Mit den Pfeiltasten links/rechts oder Tab lässt sich durch die Verzeichnisse springen
- Mit Enter oder Pfeil nach Unten lässt sich ein Verzeichnis öffnen bzw. dessen Unterverzeichnisse anzeigen
- Escape schließt ein Unterverzeichnis, bzw. verlässt die Verzeichnisleiste
Ein einzelner Klick außerhalb des Pfades macht die Zeile bearbeitbar, sodass Sie z. B. das Verzeichnis in die Zwischenablage kopieren oder ein anderes Verzeichnis einfügen können. Mit ENTER wechseln Sie zum neuen Verzeichnis (Eingabefeld bleibt offen, falls der Wechsel fehlschlägt). Das Eingabefeld unterstützt nun auch Auto-Vervollständigen - es schlägt Verzeichnisnamen vor, die mit dem bisher eingetippten Pfadnamen beginnen. Die Auswahl eines Eintrags aus der Liste schließt das Eingabefeld nicht.
Ein Doppelklick auf diese Zeile öffnet die Verzeichnisliste, welche einen schnellen Wechsel in oft benutze Verzeichnisse erlaubt. Ein Rechtsklick öffnet das Kontextmenü des aktuellen Verzeichnisses, und ein langer Rechtsklick (1 Sekunde) öffnet eine Liste bereits besuchter Verzeichnisse.


Laufwerks-Auswahlliste

Die Laufwerks-Auswahlliste
Durch Betätigen des Pfeils mit der Maus erscheint eine Liste der vorhandenen Laufwerke. Rechts von den Laufwerken werden die Volumen-Namen der Laufwerke, die Namen der Server und Netzverzeichnisse bei Netzlaufwerken angezeigt. Falls das Laufwerk noch nicht verbunden ist, wird ein (X) vor dem Netzwerkverzeichnis angezeigt. Die Volumen-Namen der Diskettenlaufwerke werden aus Geschwindigkeitsgründen nicht angezeigt. Sie können die Zeitverzögerung bis zur Anzeige der Laufwerksbeschreibungen ändern, indem Sie die Variable 'DriveTipDelay' in wincmd.ini setzen (Standard ist 0=sofort).
Außerdem werden hier auch "Computer" und ein Link zu "Eigene Dateien" angezeigt. Ersterer wird benötigt, um auf Geräte ohne Laufwerksbuchstaben wie z. B. neuere Android-Geräte zugreifen zu können.
Neu in TC9: Anzeige von bis zu 3 externen Geräten ohne Laufwerksbuchstaben, z.B. Smartphones.
In Terminal-Server-Umgebungen oder im XP-Modus von Windows 7 werden die Laufwerksbuchstaben des Hostrechners mit einem Backslash dahinter angezeigt (z. B. c\).
Durch Klicken auf das gewünschte Laufwerk oder Drücken von dessen Buchstaben wird dieses angewählt und sein Inhalt im Verzeichnisfenster angezeigt. Falls ein Laufwerksbuchstabe doppelt vorkommt (1x lokal und 1x vom Hostrechner), müssen Sie den Buchstaben zusammen mit Strg-Taste drücken, um das Hostlaufwerk auszuwählen.
Sie können auf das Laufwerk rechtsklicken, um das Kontextmenü anzuzeigen. Mit diesem können Sie u.a. Disketten kopieren, formatieren, den Eigenschaften-Dialog anzeigen, die ganze Disk im Netz freigeben etc. Neu funktioniert der Rechtsklick auch direkt in der geöffneten Liste, ohne dass das Laufwerk gesetzt werden muss.
Falls Sie mehrere Wechselplatten oder CD-ROM-Laufwerke besitzen, so können Sie ihnen individuelle Namen geben, indem Sie die Datei wincmd.ini direkt verändern. Erzeugen Sie einen neuen Abschnitt mit dem Titel [DriveHints] und fügen Sie eine Zeile pro Laufwerk an, etwa so:
[DriveHints]
E=ZIP-Laufwerk
F=MO-Wechselplatte
G=CD-Brenner
H=CD-ROM


Laufwerksbuttons
Laufwerkbuttons erlauben das schnelle Wechseln von Laufwerken durch einfachen Mausklick. Diese Buttonleiste ist anfänglich nicht eingeschaltet. Falls Sie sie einschalten möchten, so verwenden Sie Konfigurieren - Einstellungen. Sie können außerdem auf einen Laufwerksbutton rechts klicken, und erhalten so ein Kontextmenü. Mit diesem können Sie z. B. Disks kopieren oder formatieren, oder auch den Eigenschaftsdialog anzeigen lassen.
Weiter gibt es einen zusätzlichen Button mit einem Backslash (Rückwärts-Strich) als Laufwerksbuchstaben, welcher den Zugriff auf die Netzwerkumgebung ermöglicht.
FTP-Verbindungen werden durch die Ziffern 0 bis 9 dargestellt. Sie können bis zu 10 FTP-Verbindungen gleichzeitig offen halten.
Auch können Sie für jedes Dateifenster eine eigene Laufwerksleiste mit Laufwerksbuttons anzeigen lassen.
Falls Sie mehrere Wechselplatten oder CD-ROM-Laufwerke besitzen, so können Sie ihnen individuelle Namen geben, indem Sie die Datei wincmd.ini direkt verändern. Erzeugen Sie einen neuen Abschnitt mit dem Titel [DriveHints], und fügen Sie eine Zeile pro Laufwerk an, etwa so:
[DriveHints]
E=ZIP-Laufwerk
F=MO-Wechselplatte
G=CD-Brenner
H=CD-ROM


Dateifenster
In den Dateifenstern werden (falls lang im Menü Links bzw. Rechts gewählt ist) die Dateinamen, Größe, Datum und Zeit der Erstellung sowie die Attribute (r= nur lesen, a=archiv, h=versteckt, s=system, c=NTFS-komprimiert, e=NTFS-verschlüsselt) der Dateien im aktuellen Verzeichnis angezeigt. Alternativ (Option kurz) können auch nur die Dateinamen (dreispaltig) angezeigt werden. Verzeichnisse werden mit dem Text <DIR> angezeigt, während symbolische Links auf NTFS-Laufwerken mit <LNK> markiert werden. Markierte Dateien erscheinen rot hervorgehoben. Die jeweils aktuelle Datei ist von einem feinen Rechteck umgeben. Falls die entsprechende Option markiert ist, wird links vom Dateinamen je nach Dateityp ein Symbol angezeigt. Das Symbol zeigt den Dateityp an (Verzeichnis, Archivdatei) sowie eventuell eine Verknüpfung.


Dateimaske
Als Dateimaske kann z. B. *.neu angegeben werden. Dann werden alle Dateien während des Kopierens/Verschiebens zusätzlich noch umbenannt, z. B. datei.txt in datei.neu. Wird keine Maske angegeben, wird automatisch *.* angenommen.


Freier Speicherplatz

Freier und totaler Speicherplatz
In eckigen Klammern wird der Name des Datenträgers (Volume Label) angezeigt. Dahinter folgen der freie sowie der totale Speicherplatz des Datenträgers in Kilobyte (1024 Bytes).


Verzeichnisliste und Verlauf
Der linke Schaltknopfes bewirkt die Anzeige einer Liste, in welche Sie oft benutzte Verzeichnisse aufnehmen können. Der rechte Knopf mit dem Pfeil öffnet eine Liste der zuletzt besuchten Verzeichnisse.


Anzahl markierte Dateien
Unterhalb des Dateifensters wird angezeigt, wie viel Speicherplatz (in Kilobytes) die markierten Dateien benötigen. Dahinter wird der Speicherbedarf aller im Quellverzeichnis angezeigten Dateien angezeigt. Ebenfalls werden die Anzahl markierter sowie die totale Anzahl Dateien angezeigt.


Menüzeile

Die Menüzeile
Das gesamte Menü lässt sich vom Benutzer verändern. Dazu wählen Sie den Menüpunkt Hauptmenü ändern im Startermenü.
Mit den Menüs Ansicht, (bzw. Links und Rechts wenn altes Menü verwendet) lassen sich für das linke bzw. rechte Dateifenster gewisse Optionen wie Sortierreihenfolge und Typ der angezeigten Dateien wählen. Im Menü Dateien finden sich einige zusätzliche Dateibefehle. Im Menü Befehle führen Sie weitere Aktionen aus, die nicht über die Funktionstasten (F1 bis F8) erreichbar sind. Im Menü Netz erreichen Sie Funktionen für das lokale Netz sowie für das Internet (FTP). Das Menü Konfigurieren erlaubt das Anpassen von Total Commander an Ihr System.
Ins Menü Starter lassen sich beliebige Programme einbinden. Es ist dabei möglich, die momentan gewählte Datei als Parameter zu übergeben.
Das Menü Hilfe schließlich ermöglicht das Starten dieser Online-Hilfe.


Wechsel ins Stammverzeichnis

Wechsel ins Stamm-/übergeordnete Verzeichnis
Betätigung des linken Schaltknopfes wechselt ins Stammverzeichnis ( \ ) des Datenträgers. Mit dem Knopf daneben [..] wechseln Sie ein Verzeichnis nach oben.


Quellverzeichnis
Die beiden Listboxen des Total-Commanders zeigen je den Inhalt eines Verzeichnisses. Diejenige, die eingerahmt ist, zeigt den Inhalt des Quellverzeichnisses an. Diese Listbox reagiert auf Tastatureingaben wie die Cursortasten und ist bei Kopier- und Verschiebeaktionen stets das Ausgangsverzeichnis.


Tabulatorenzeile
Die Tabulatorenzeile erlaubt das Sortieren der Dateiliste nach Name, Erweiterung, Größe und Datum durch einfaches Klicken auf den entsprechenden Knopf. Ein zweiter Klick auf denselben Knopf dreht die Sortierung um. Ein kleiner Pfeil links vom Namen zeigt die Sortierungsrichtung an. Mit Strg+Klick oder Umsch+Klick auf einen Header kann dieser als zusätzliche Sortiermethode definiert werden. Falls die primäre Sortiermethode Gleichheit ergibt, wird die 2. Sortiermethode verwendet, dann die 3. etc. Beim Klick auf einen Header, der bereits für eine Sortierung benutzt wird, entscheidet die gleichzeitig gedrückte Taste darüber, was geschieht: Falls beim Klick Umsch gedrückt wird, so wird die Sortierung dieses Headers entfernt. Falls Strg gedrückt wird, so wird die Sortierrichtung umgekehrt.
Beispiel: Klick auf Größe, dann Umsch+Klick auf Datum -> Dateien werden nach Größe sortiert, diejenigen mit gleicher Größe zusätzlich nach Datum.
Die Tabulatorenzeile erlaubt außerdem das Verschieben der Tabulatorpositionen in der Dateiliste. Um die Änderung definitiv zu speichern, müssen Sie Konfigurieren - Position speichern wählen.
Ein Rechtsklick auf die Tabulatorzeile erlaubt die Auswahl einer anderen Ansicht (z. B. Lang, Kurz), inklusive benutzerdefinierter Ansichten. Falls ein Dateisystemplugin seine eigene benutzerdefinierte Ansicht unterstützt, so können Sie diese hier ebenfalls wählen.
Wenn der Inhalt eines Archivs angezeigt wird, können Sie bei Bedarf die Kodierung der Dateinamen ändern, z.B. Wenn Sie eine ZIP-Datei von jemandem mit einer anderen Sprachcodierung wie Kyrillisch erhalten haben. Klicken Sie mit der rechten Maustaste auf [Auto] und wählen Sie eine Kodierung.
Durch Doppelklicken auf eine Trennlinie in der vollständigen oder benutzerdefinierten Spaltenansicht wird die Spalte links von der Trennlinie auf die Mindestbreite angepasst, die zum Anzeigen des vollständigen Felds erforderlich ist. In der benutzerdefinierten Spaltenansicht werden nur die zum Zeitpunkt des Doppelklicks geladenen Felder verwendet.


Zielpfad
Pfad, nach dem kopiert/verschoben werden soll. Der von Ihnen spezifizierte Zielpfad wird automatisch angelegt, falls er noch nicht existiert. Als Zielpfad wird z. B. auch .. oder \ akzeptiert. Wird kein Zielpfad angegeben, wird das Quellverzeichnis angenommen (z. B. zum Umbenennen von Dateien).


Zusatzlizenzen
Zusätzliche Lizenzen erlauben es dem Lizenznehmer, in seiner Institution, Firma oder Schule das Programm auf mehreren Rechnern oder Servern zu installieren. Dabei gilt eine Lizenz pro gleichzeitigen Benutzer (concurrent use). Bei z.B. 25 Rechnern und 10 gleichzeitigen Benutzern benötigen Sie eine 10-Benutzerlizenz.
Die Zusatzlizenzen lauten dabei auf denselben Namen oder Firmennamen wie die Erstlizenz. Sie erhalten nur eine Schlüsseldatei. Deshalb sind auch nicht mehrere Namen bei einer Mehrfachlizenz möglich.
Beispiele für die Berechnung von Zusatzlizenzen, Preise zum Zeitpunkt des Release dieser Version:
Alle Preise ohne MWSt
Lizenz für 5 Benutzer: 37.-+4x18.50 = EUR 111.-
Lizenz für 10 Benutzer: 37.-+9x18.50 = EUR 203.50
Lizenz für 15 Benutzer: 37.-+9x18.50+5x13.87 = EUR 272.85
Lizenz für 25 Benutzer: 37.-+9x18.50+15x13.87 = EUR 411.55
Lizenz für 50 Benutzer: 37.-+9x18.50+15x13.87+25x11.10 = EUR 689.05
Lizenz für 100 Benutzer: 37.-+9x18.50+15x13.87+75x11.10 = EUR 1244.05
Lizenz für 250 Benutzer: 37.-+9x18.50+15x13.87+75x11.10+150x7.40 = EUR 2354.05
Für größere Mengen als 250 wenden Sie sich bitte direkt per E-Mail an die Adresse auf www.ghisler.com/sales.htm
Nachbestellen von Zusatzlizenzen zu einer bestehenden Lizenz:
Eine bestehende Lizenz kann jederzeit beliebig erweitert werden. Weitere Zusatzlizenzen kosten den Differenzbetrag zwischen alter und neuer Lizenz. Mindestbestellwert bei Nachbestellung von Zusatzlizenzen, falls Sie bereits mehr als 9 Lizenzen besitzen: EUR 37 (sonst EUR 19).
Wichtig: Bitte geben Sie die ursprüngliche Registriernummer an - Sie finden die Nummer auf der Originaldiskette/CD, dem Lizenzbrief, oder im Menü "Hilfe" - "Über Total Commander" im Programm selbst.
Für die Bestellung von Zusatzlizenzen wenden Sie sich bitte per E-Mail an die Adresse auf www.ghisler.com/sales.htm , und senden Sie uns Ihre bestehende Lizenznummer, sowie die Anzahl vorhandener Lizenzen und gewünschten Zusatzlizenzen. Wir schicken Ihnen dann einen speziellen Bestell-Link für die Bestellung der gewünschten Anzahl Zusatzlizenzen.


AES-Verschlüsselungsinformationen
Der für die Ver-/Entschlüsselung in ZIP-Dateien nach dem AES-Standard benutzte Code wurde von Dr. Brian Gladman entwickelt. Er kann an der folgenden Adresse aus dem Internet heruntergeladen werden:
https://www.ghisler.com/aescryptocode
Es ist derselbe Code, der auch von WinZIP verwendet wird, welches eine FIPS-197-Zertifizierung von der U.S.-Regierung erhalten hat. Bitte beachten Sie, dass Total Commander KEINE solche Zertifizierung besitzt.
Copyright
Copyright (c) 2002, Dr. Brian Gladman < >, Worcester, UK. All rights reserved.
LICENSE TERMS
The free distribution and use of this software in both source and binary form is allowed (with or without changes) provided that:
1. distributions of this source code include the above copyright notice, this list of conditions and the following disclaimer;
2. distributions in binary form include the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other associated materials;
3. the copyright holder's name is not used to endorse products built using this software without specific written permission.
ALTERNATIVELY, provided that this notice is retained in full, this product may be distributed under the terms of the GNU General Public License (GPL), in which case the provisions of the GPL apply INSTEAD OF those given above.
DISCLAIMER
This software is provided 'as is' with no explicit or implied warranties
in respect of its properties, including, but not limited to, correctness
and/or fitness for purpose.
---------------------------------------------------------------------------
Issue Date: 24/01/2003


Konfigurieren - Einstellungsdateien direkt ändern...
Öffnet die beiden Einstellungsdateien wincmd.ini und wcx_ftp.ini im Editor von Windows, um spezielle Einstellungen machen zu können. Total Commander muss nach der Änderung neu gestartet werden.


Neuer Ordner-Tab
Öffnet einen neuen Ordner-Tab (Karteireiter) im aktuellen Fenster.


Kommandozeile: Tasten
Wenn das Hauptprogramm des Total-Commanders aktiv ist, werden (fast) alle Tastatureingaben in die Kommandozeile umgelenkt, ähnlich wie bei der Kommandozeile eines bekannten Commanders für DOS.
Hier die Bedeutung einiger Tasten:
Taste Wirkung
ENTER Die Kommandozeile wird ausgeführt, falls sie mindestens ein Zeichen enthält (sonst wird das im Quellverzeichnis momentan markierte Programm gestartet). Ist der Befehl entweder cd, md oder rd, wird er intern direkt ausgeführt. Ist er ein anderer Kommandozeilenbefehl, wird cmd.exe gestartet. Sonst wird versucht, ein Programm des angegebenen Namens zu starten.
Umsch-ENTER Wie ENTER, nur via Windows-Shell. Das Fenster wird nach Programmende nicht automatisch geschlossen. Geht nur wenn NOCLOSE.EXE im Total Commander-Verzeichnis steht!
STRG-ENTER Die aktuell markierte Datei im Quellverzeichnis wird hinten an die Kommandozeile angehängt.
STRG-Umsch-ENTER Die aktuell markierte Datei inklusive Suchpfad wird an die Kommandozeile angehängt.
STRG-CURSORDOWN
oder ALT+F8 Eine Liste mit den zuletzt eingegebenen Befehlen (History-Liste) wird aufgeklappt. Durch wiederholtes Betätigen dieser Tastenkombination kann ein Befehl ausgewählt werden, der dann durch Betätigen der Pfeiltasten links und rechts bearbeitet werden kann. Dabei schließt automatisch die Liste.
TAB Wechselt den Cursor zurück ins Quellverzeichnis.
Cursortasten Cursor links und Cursor rechts bewegen den Cursor innerhalb der Kommandozeile, auch wenn er vorher im Quellverzeichnis stand. Wenn Kurz eingestellt ist (nur Dateinamen), so bewegen alle Pfeiltasten durch das Verzeichnisfenster. Für die Kommandozeile muss dann Umsch gedrückt werden.
Cursor auf und Cursor ab bewegen den Cursorbalken im Quellverzeichnis, auch wenn er vorher in der Eingabezeile stand.
ESC Löscht Kommandozeile, Cursor zurück ins Dateifenster
STRG+A Ganze Kommandozeile markieren
STRG+Y Löscht Kommandozeile, Cursor bleibt in Kommandozeile
STRG+C Markierten Text in Zwischenablage kopieren
STRG+X Markierten Text in Zwischenablage verschieben
STRG+V Text aus Zwischenablage einfügen
STRG+E Vorherigen Befehl in Kommandozeile kopieren
STRG+K Bis Zeilenende löschen
STRG+W Wort links vom Cursor löschen
STRG+T Wort rechts vom Cursor löschen


Vergleich nach Inhalt
Vergleicht zwei Dateien nach ihrem Inhalt. Die Unterschiede werden in einer doppelten Liste farbig angezeigt.
Die beiden Dateien werden wie folgt gewählt:
- Wenn mehr als eine Datei markiert ist, werden die ersten beiden markierten Dateien verglichen
- Wenn nur eine Datei markiert ist, wird sie mit der im Zielfenster markierten verglichen
- Wenn nur eine Datei markiert ist, und keine im Zielfenster, so wird sie mit der gleichnamigen Datei im Zielfenster verglichen (so vorhanden)
- Wenn keine Datei markiert ist, wird die Datei unter dem Cursor mit der gleichnamigen Datei im Zielfenster verglichen
Siehe auch Dialogbox Inhalte vergleichen


Context Sensitive Topics
[MAP]
#define dlg_search 100
#define dlg_usermenu 110
#define dlg_config 120
#define dlg_assotiate 130
#define dlg_attrib 140
#define dlg_pack 150
#define dlg_unpack 160
#define dlg_configpack 170
#define dlg_configfont 180
#define dlg_configcolor 190
#define registration 200
#define dlg_changetree 210
#define dlg_configconfirmation 220
#define dlg_sysinfo 230
#define dlg_network 240
#define dlg_configedit 250
#define dlg_configtabs 260
#define dlg_configbuttonbar 270
#define dlg_mainmenu 280
#define dlg_InternalZipconfig 290
#define dlg_config2 300
#define KEYBOARD 420


Dialogbox: Definiere Farben nach Dateityp

Definiere Farben nach Dateityp
Mit dieser Dialogbox können Sie für verschiedene Dateitypen unterschiedliche Farben festlegen, z. B. ZIP-Dateien in einer Farbe, Verzeichnisse in einer anderen. Dabei stehen Ihnen dieselben Möglichkeiten offen wie bei der Dateiauswahl ("+"-Taste auf numerischem Tastenblock). Diese Dialogbox erreichen Sie via Konfigurieren - Einstellungen - Farben - Definiere Farben nach Dateityp.
Feld Beschreibung
Dateitypen Diese Liste zeigt alle bereits definierten Dateitypen in ihrer jeweiligen Farbe an. Die Sortierung entscheidet dabei über die Priorität der einzelnen Filter. Wenn Sie z. B. für ZIP-Dateien eine Farbe und für Dateien mit Attribut 'nur lesen' eine andere Farbe festgelegt haben, so wird bei ZIP-Dateien mit Attribut 'nur lesen' jene Farbe genommen, deren Definition höher in der Liste steht.
Durch Doppelklick oder Drücken der Leertaste können Sie einen bereits definierten Dateityp sowie die zugeordnete Farbe ändern.
Dateitypen, die mit einem * beginnen, z.B. *.ext, können durch einen Klick auf den * deaktiviert werden (das ändert den * in einen -, so dass eine Datei namens -.ext weiterhin gefunden wird).
Hinzufügen... Erzeugt einen neuen Eintrag in der Liste. Dabei werden Sie erst nach dem Dateityp, dann nach der Farbe gefragt.
Bearbeiten... Erlaubt es, einen bestimmten Eintrag in der Liste abzuändern.
Löschen Löscht einen Eintrag aus der Liste.
Dunkel<->Normal Schaltet zwischen Dunkel- und Normalmodus um. Die im normalen Modus definierten Farben werden im dunklen Modus automatisch in geeignete Farben konvertiert, können aber vom Benutzer separat geändert werden.
OK Speichert die Änderungen und schließt die Dialogbox.
Abbrechen Schließt die Dialogbox, ohne die Änderungen zu behalten.


Server-Typ definieren

Definiere Servertyp
Diese Dialogbox erlaubt die Konfiguration von Servern, die von Total Commander nicht automatisch erkannt werden. Dies kann passieren, da das Dateilisting, das der Server zurückliefert, nicht standardisiert ist. Die meisten Server auf dem Internet benutzen ein Unix-artiges (ls -l) Dateilisting, aber viele Großrechner und Intranet-Server verwenden ihr eigenes proprietäres Format, das Total Commander nicht kennt.
Hinweis: Wenn der Befehl MLSD anstelle von LIST benutzt wird, wird diese Dialogbox nicht angezeigt, weil das Ausgabeformat von MLSD (machine list directory, Verzeichnislisting für Programme) im Standard strikt vorgegeben ist.
Definitions-String: Die Zeichen, die Sie hier angeben, werden benutzt, um das rohe Dateilisting des Servers zu interpretieren. Für jeden Feldtyp werden spezielle Zeichen verwendet, z. B. 'n' für den Dateinamen. Siehe unten für eine Definition aller Feldtypen.
Rohe Verzeichnisdaten vom Server:
Dies ist die Liste der Dateien für das aktuelle Verzeichnis, so wie sie vom FTP-Server zurückgeliefert werden. Falls das Verzeichnis keine brauchbaren Dateien enthält, sollten Sie die Verbindung beenden, und via Netz - FTP Verbinden ein anderes Startverzeichnis definieren.
Wenn die Verbindung via einen HTTP-Proxy aufgebaut wurde, so wird das Listing automatisch bearbeitet, um HTML-Zeichen und andere Daten zu entfernen, die eine Interpretation schwierig machen könnten.
Zusätzliche Definitionsstrings (optional, für sehr komplexe Server):
Falls der Server sehr unterschiedliche Zeilen zurückliefert, z. B. eine für Dateien und eine komplett andere für Verzeichnisse, so können Sie weitere Definitionsstrings festlegen. Total Commander verwendet dann jenen String, welcher am wenigsten Fehler ergibt.
Interpretierte Daten für markierte Zeile der Rohdaten:
Dieser Abschnitt erlaubt ihnen zu überprüfen, ob der Definitionsstring stimmt. Nachdem Sie einen definiert haben, sollten Sie den Cursor nacheinander auf alle Zeilen der Rohdaten stellen, um sicher zu gehen, dass alle Daten richtig interpretiert werden.
Lade existierenden Typ...
Falls Sie bereits einen speziellen Servertyp definiert haben, so können Sie seine Definitionsstrings hier laden. Sie können auch von anderen definierte Servertypen importieren. Dies erlaubt es System-Administratoren, eine selbst definierte Vorlage für den/die Server der eigenen Firma anzubieten. Um so eine Datei zu erzeugen, definieren Sie mit dieser Dialogbox einen Server, und kopieren Sie darauf die Server-Definition aus der Datei wcx_ftp.ini in eine separate ini-Datei. Diese können Sie dann den anderen Benutzern zur Verfügung stellen.
OK Verknüpft die aktuelle Verbindung mit dem gerade definierten Servertyp. Falls Sie den Definitionsstring verändert haben, so werden Sie nach einem Namen für den neuen String gefragt.
Abbrechen Schließt die Dialogbox, ohne zu speichern. Total Commander benutzt dann den automatischen Modus.
Liste der Definitionszeichen (Groß-/Kleinschreibung beachten!):
Namensspezifische Zeichen:
n Dateiname (nnnnnnnn bedeutet 8 Buchstaben Dateiname, n* siehe unten für Definition von *)
v VMS-Server-artiger Dateiname: name.erw;1 oder verzeichnisname.dir;1
. (Punkt) Entferne Leerzeichen am Ende des Namens, und hänge weitere Zeichen durch Punkt getrennt an (z. B. nnnnnnnn.nnn), siehe PC-NFSD Beispiel unten.
Zeichen zu Datum und Zeit:
D Tag
M Monat (in Zahlen)
TTT Drei Buchstaben Monatsname (Jan, Feb, Mar, ...), unterstützt Englisch, Deutsch und Französisch
TTT=12 Monatsnamen zu 3 Zeichen (Groß-/Kleinschreibung egal)
Erlaubt die Definition von fremdsprachigen Monatsnamen. Beispiel Polnisch:
TTT=stylutmarkwimajczelipsiewrzpa¥lisgru
UUUUU Unix-artiger Mix aus Jahr und Zeit, also z. B. entweder "2000 " oder "20:30" an der gleichen Position.
Y Jahr
h Stunden
H Vormittags-/Nachmittagsanzeige (a - Vormittag, p - Nachmittag), siehe Beispiel PC-NFSD.
m Minuten
s Sekunden
Zeichen für weitere Dateiattribute:
S Dateigröße
S=1024 Dateigröße, mit angegebenem Wert (hier 1024) multiplizieren. Nützlich, falls Server Größe in Blöcken zurückgibt.
p Unix-artige 'permissions' (z. B. -rwxrwxrwx, gibt Benutzerrechte an)
d Verzeichnisflag, Verzeichnis, falls dieser Buchstabe ein D oder d ist, z. B. Teil des Texts <DIR> oder [DIR]
d=x Verzeichnisflag, Verzeichnis, falls der beliebig definierbare Buchstabe x hinter dem = gefunden wurde (siehe VOS-Server Beispiel unten).
Diverse Zeichen:
* 1. Nach einem numerischen Feld, benutze alle Ziffern bis zum ersten nicht-numerischen Feld
2. Für Namensfeld mitten in der Zeile: benutze alle Zeichen bis zum ersten Leerzeichen
3. Für Namensfeld am Zeilenende: benutze alle Zeichen bis zum Ende der Zeile
! Überspringe alle Zeichen bis zum ersten Leerzeichen oder dem Ende der Zeile
$ Überspringe alle Leerzeichen/Tabulatoren bis zum nächsten anderen Zeichen oder dem Ende der Zeile
\ Daten werden auf nächster Zeile fortgesetzt (max. 2 Zeilen unterstützt)
<Leerzeichen> Ignoriere Zeichen. Ein Leerzeichen darf nicht am Anfang einer Zeile stehen, da eine Speicherung so nicht möglich ist (Windows löscht alle Leerzeichen am Anfang)!
- (Strich) Ignoriere Zeichen. Benutzen Sie dies statt eines Leerzeichens am Anfang einer Zeile!
x Genau ein Leerzeichen. Falls ein anderes Zeichen an dieser Position steht, wird die ganze Zeile ignoriert (z. B. zum Überspringen von Zeilen über oder unter der Dateiliste, die den freien Speicherplatz etc. anzeigen).
x=c Genau ein Zeichen (in diesem Beispiel ein 'c'). Falls ein anderes Zeichen an dieser Position steht, wird die ganze Zeile ignoriert (z. B. zum Benutzen von mehreren Definitionsstrings bei komplexen Serverlistings. Bewirkt, dass ein anderer Definitionsstring benutzt wird).
X Genau ein Zeichen, außer ein Leerzeichen. Falls ein Leerzeichen an dieser Position steht, wird die ganze Zeile ignoriert.
X=c Genau ein Zeichen außer dem angegebenen. Falls dieses Zeichen (in diesem Beispiel ein 'c') an dieser Position steht, wird die ganze Zeile ignoriert.
Beispiele für Definitionsstrings:
1. AIX Unix Server:
Beispiel-Listing:
-rwxrw-r-- 1 dso posgroup 2913 Mar 25 1999 .Xdefaults
drwxrw-r-- 1 dso posgroup 2913 Jan 25 13:30 subdir1
Definitionsstring:
pppppppppp SSSSSSS TTT DD UUUUU n*
Oder besser:
pppppppppp !S* TTT DD UUUUU n*
Bemerkungen: Die zweite Definition ist besser, da die Namen von Besitzer (dso) und Gruppe (posgroup) länger sein könnten, was die Größe nach rechts verschieben würde.
2. PC-NFSD:
Beispiel-Listing:
prog1 exe 2,563,136 06-10-99 10:00a
temp <dir> 01-27-97 3:41p
Definitionsstring:
nnnnnnnn.nnn dSSSSSSSSSSS MM DD YY hh mmH
Bemerkungen: Dieser String ergibt einen Fehler von 1 für alle Verzeichnisse, da diese kein Größenfeld haben, doch Fehler bis 2 werden von Total Commander ignoriert, falls Sie keinen zweiten Definitionsstring angegeben haben. Ansonsten wird der Definitionsstring verwendet, der den kleineren Fehler zurückliefert. Der Punkt im Definitionsstring entfernt übrigens die Leerzeichen zwischen prog1 und exe, und fügt einen Punkt ein. Die Kommas in numerischen Feldern werden automatisch erkannt.
3. VOS (Stratus):
Beispiel-Listing:
w 10 seq 99-04-20 11:15:42 abbreviations
m 4 99-07-02 10:11:25 arsffs32
Definitionsstrings:
- SSSSS YY MM DD hh mm ss n*
- d= SSSSS YY MM DD hh mm ss n*
Bemerkungen: Dieser Server hat unterschiedliche Zeilen für Verzeichnisse und Dateien, deshalb braucht es 2 Definitionsstrings.
4. Unisys Clearpath:
Beispiel-Listing:
UCF/CONFIG/SAMPLE/TSA SEQDATA 1428 09/22/1998 18:37
FF990628/BD/0009942/0009943/000PRINT
BACKUPPRINTER 7200 01/01/2000 04:22
Definitionsstrings:
nnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnnn SSSSSSSSS MM DD YYYY hh mm
n*\x SSSSSSSSS MM DD YYYY hh mm
Bemerkungen: Dies ist ein Beispiel für einen Server, der bei zu langen Dateinamen den Eintrag auf 2 Zeilen umbricht. Deshalb benötigt er 2 Definitionsstrings, wobei der zweite die zweizeilige Variante berücksichtigt.


Dialogbox: Codierung wählen
Mit dieser Dialogbox können Sie die Codierung der linken und rechten Datei einstellen, sofern sie nicht automatisch erkannt wurde. Das geht nur, solange die Datei noch nicht verändert wurde.
ANSI (reiner Text) Die Dateien enthalten reinen Text. Die gewählte Schriftart bestimmt die Codierung der Zeichen.
Unicode (UTF-16) Es handelt sich um eine Unicode-Datei im UTF-16-Format. Dieses Format benutzt 2 Bytes pro Zeichen, selten 4 Bytes. Normalerweise werden UTF-16-Dateien durch einen sogenannten Byte Order Mark (BOM) eingeleitet, was die automatische Erkennung von UTF-16 erlaubt. Der BOM lautet FF FE (hexadezimal).
Unicode (MacOS) MacOS benutzt eine andere Speicherung von UTF-16-Unicode, wobei die geraden und ungeraden Bytes vertauscht sind. Falls der BOM fehlt, kann hier manuell auf diese Codierung umgestellt werden. Der BOM lautet FE FF (hexadezimal).
UTF-8 Ebenfalls eine Unicode-Codierung, welche aber zwischen 1 und 5 Bytes pro Zeichen verwendet. Die Ziffern 0-9 und die großen und kleinen lateinischen Buchstaben (ohne Umlaute) belegen dabei nur jeweils 1 Byte. Auch UTF-8 kann meist anhand des BOM am Anfang erkannt werden. Der BOM lautet EF BB BF (hexadezimal). HTML-, XML- und CSS-Dateien mit uTF-8-Codierung werden anhand des Codierungsheaders automatisch erkannt.
OK Schließt die Dialogbox und schaltet auf die gewünschte Anzeige um.
Abbrechen Schließt die Dialogbox ohne Änderung.
Hilfe Öffnet die Hilfe mit dieser Seite


Dialogbox: UNIX-Attribute ändern
Mit dieser Dialogbox können Sie auf UNIX(TM)-FTP-Servern die Attribute der gewählten Dateien und Verzeichnisse ändern. Diese Dialogbox erscheint zwar bei allen FTP-Servern, doch funktioniert der Befehl (SITE chmod xyz datei.ext) leider nicht bei allen Servern.
Besitzer Hier ändern Sie die Attribute bezogen auf den Besitzer der Datei.
Gruppe Diese Attribute betreffen alle Benutzer, welche in derselben Gruppe sind wie der Besitzer der Datei.
Welt (anderer) Diese Attribute gelten für alle anderen Benutzer. Damit eine Datei auf einem WEB-Server für alle sichtbar wird, muss hier das Lesen-Attribut gesetzt werden. CGI-Scripte benötigen das Ausführen-Attribut.
Lesen Ermöglicht der entsprechenden Benutzerklasse das Lesen der Datei.
Schreiben Erlaubt die Veränderung der entsprechenden Datei. Dieses Attribut sollten Sie normalerweise nur bei 'Besitzer' vergeben.
Ausführen Erlaubt das Starten von Programmen (z. B. cgi-Scripts), bzw. das Öffnen von Unterverzeichnissen.
Setze UID/GID beim Start
Erlaubt das Ausführen von Programmen mit den Benutzerrechten des Besitzers (Owner, UID) oder der Gruppe (GID) des Programms. Dies wird benutzt, wenn das Ausführen eines Programms z. B. Rootrechte benötigt, es aber auch von "normalen" Benutzern ausgeführt werden soll. Das Programm gehört dann dem Benutzer "root" und hat das SetUID-Bit gesetzt.
Sticky-Bit Wird bei Verzeichnissen wie /tmp gesetzt: Dateien in solchen Verzeichnissen dürfen dann nur vom Besitzer der Datei, dem Besitzer des Verzeichnisses oder dem Administrator umbenannt oder gelöscht werden. Es soll z. B. verhindern, dass Benutzer sich gegenseitig temporäre Dateien löschen.
Hinweis: Das Attribut wird bei einem schwarzen Häkchen gesetzt, bei einem grauen unverändert gelassen, und bei fehlendem Häkchen entfernt.
OK Setzt bzw. löscht die gewählten Attribute und schließt die Dialogbox.
Abbrechen Kehrt ohne eine Änderung der Attribute zu Total Commander zurück.
Hilfe Startet die Windows-Hilfe mit dieser Seite.
Hinweis:
In den Dateilisten werden die UNIX-Attribute als dreistellige Zahl dargestellt.
- Die erste Ziffer steht für Besitzerrechte.
- Die zweite Ziffer steht für Gruppenrechte.
- Die dritte Ziffer steht für die Rechte aller übrigen Benutzer.
- Die Ziffern werden durch Addition der Rechte gebildet: 4=Lesen, 2=Schreiben, 1=Ausführen
- Beispiel: 754 bedeutet: Besitzer darf alles, Gruppe darf lesen und starten, Welt darf nur lesen.


Dialogbox: Benutzerdef. Spalten
Hier können Sie den Inhalt der Spalten einstellen.
Konfiguriere Ansicht Nr:
Es gibt 29 mögliche benutzerdefinierte Ansichten. Hier wird die gerade geänderte Ansicht angezeigt.
Name Der Name der benutzerdefinierten Ansicht, wird so im Menü angezeigt. Falls Sie nichts eintragen, wird die entsprechende Spaltenkonfiguration nicht im Menü angezeigt, kann aber trotzdem über den Buttonbar oder eine Tastenkombination aufgerufen werden, mit einem der internen Befehle cm_SrcCustomView1, cm_SrcCustomView2 usw.
Titel Der Name der Spalte, wie er in der Tabulatorenzeile über dem Dateifenster angezeigt werden soll.
Breite Breite der Spalte, in Dialogbox-Einheiten (abhängig vom Schriftmodus).
Ausricht. Ausrichtung der Daten, entweder links (z. B. für Texte) oder rechts, etwa für Zahlen wie die Dateigröße.
Feldinhalt Der Inhalt der Spalte. Ein Feld kann mehrere Werte enthalten sowie reinen Text. Um einen Feldwert hinzuzufügen, klicken Sie auf den [+]-Knopf und wählen Sie einen Wert. Sie können zusätzliche Inhaltsplugins von unserer Homepage installieren, etwa mp3 ID tags, EXIF-Digitalfotoinfos etc.
Syntax:
[=Pluginname.Feldname.Einheit]
Fügt Feld namens "Feldname" vom Inhaltsplugin namens "Pluginname" ein. "Einheit" kann eine optionale Maßeinheit sein (falls von diesem Feld unterstützt), oder eine Feldformatierung wie YMD für Datumsfelder, siehe unten unter Hinweise. Sie können den Knopf [+] benutzen, um Plugin-Felder einzufügen.
[=Pluginname.Feldname.Einheit:4-7]
Wie oben, aber für Teilstrings (hier: Buchstaben 4-7).
[="Präfix"Pluginname.Feldname.Einheit"Suffix"]
Die Texte Präfix und Suffix werden nur dann angezeigt, wenn "Feldname" im Plugin "Pluginname" existiert und einen gültigen Wert hat. Sie können dies beispielsweise benutzen, um eine Maßeinheit oder ein Leerzeichen nur dann anzuzeigen, wenn das Feld vorhanden ist - ansonsten wird nichts angezeigt.
[+] Erlaubt das einfache Hinzufügen von Pluginfeldern
Pfeil hoch/runter Erlaubt das manuelle Sortieren der Spalten. Stellen Sie den Cursor auf die zu verschiebende Spalte, daraufhin erscheinen hinter der Spalte zwei Pfeile. Drücken Sie nun einen der Pfeile so lange, bis die gewünschte Position erreicht ist.
Alternativ können Sie Strg+BildAuf/BildAb zum Umsortieren mit der Tastatur verwenden.
Spalte hinzufügen Dieser Knopf erlaubt das Hinzufügen einer weiteren Spalte am Ende.
Markierte Spalte löschen
Löscht die Spalte, in welcher sich der Cursor befindet.
Tabs an Fensterbreite anpassen
Selbe Option wie bei Konfigurieren - Tabulatoren: Die Namensspalte wird in der Breite verändert, wenn das Fenster vergrößert oder verkleinert wird.
Horizontaler Rollbalken
Legt fest, ob ein horizontaler Rollbalken angezeigt werden soll, wenn die angezeigten Felder mehr als den vorhanden Platz benötigen.
Beim Wechsel ins Plugin zu dieser Ansicht wechseln
(Nur angezeigt beim Ändern von benutzerdefinierten Spalten eines Dateisystem-Plugins.) Erlaubt den automatischen Wechsel zu einer bestimmten benutzerdefinierten Ansicht beim Wechsel zu einem Dateisystem-Plugin.
Hinweise:
Die Anzeige der Felder für Datum, Zeit und Datum/zeit kann mit folgenden Platzhaltern gesteuert werden:
Y 4 Ziffern Jahr
y 2 Ziffern Jahr
M 2 Ziffern Monat
D 2 Ziffern Tag
h 2 Ziffern Stunde (24-Studenformat)
m 2 Ziffern Minute
s 2 Ziffern Sekunde
a 2 Ziffern Stunde (12-Studenformat für am/pm)
P 2 Buchstaben "am" oder "pm", abhängig von der Tageszeit
p 1 Buchstaben "a" oder "p", abhängig von der Tageszeit


Verzeichnisliste
Die Verzeichnisliste erlaubt das schnelle Wechseln zwischen mehreren Verzeichnissen. Die Verzeichnisliste kann auf 3 Arten aufgerufen werden:
1. Via Menü Befehle.
2. Durch Doppelklick auf die Titelzeile der Dateifenster (Anzeige des Pfades).
3. Durch Drücken von STRG+D.
Das angezeigte Dateimenü enthält eine Liste der bisher abgespeicherten Verzeichnisse sowie zwei zusätzliche Menüeinträge:
- Aktuelles Verzeichnis hinzufügen/entfernen: Erlaubt es, das im Quellverzeichnisfenster dargestellte Verzeichnis zur Liste hinzuzufügen, bzw. wieder aus der Liste zu entfernen.
- Konfigurieren: Öffnet einen Konfigurationsdialog, mit dem die Menüeinträge sortiert sowie geändert, hinzugefügt und entfernt werden können. Die Dialogbox ist analog zum Dialog zum Ändern des Startmenüs aufgebaut.


Dialogbox: Suchen: Erweitert

Dateien suchen: Erweitert
(klicken Sie auf eine Seite)
Erweitert
Diese erweiterten Suchoptionen werden nur in speziellen Fällen benötigt, z. B. wenn nur das Datum eines Briefes bekannt ist, nicht jedoch der Dateiname.
Feld Bedeutung
Datum zwischen: Diese zwei Felder erlauben die Eingabe einer Zeitperiode, in welcher die Datei zuletzt geändert wurde. Es können nur eines oder auch beide Felder angegeben werden.
Nicht älter als: Erlaubt anzugeben wie alt eine Datei maximal sein darf.
Älter als: Erlaubt anzugeben wie alt eine Datei mindestens sein muss. Diese Option wird mit UND mit "älter als" kombiniert, z.B. älter als 7 Tage und jünger als 14 Tage.
Dateigröße: Mit dieser Option suchen Sie nach Dateien, die gleich, kleiner oder größer als eine bestimmte Größe sind. Unterstützt Größenangaben in Bytes, kBytes, MBytes und GBytes, wobei jede Angabe jeweils um den Faktor 1024 größer ist als die vorherige. Außerdem werden Nachkommastellen unterstützt, z. B. 0.1 GBytes.
Attribute: Suchen Sie nach Dateien mit speziellen Attributen, wie z. B. versteckt oder System, suchen nach Verzeichnissen, oder Finden von NTFS-verschlüsselten Dateien.
Suche nach doppelten Dateien
Sucht nach Dateien, welche denselben Namen, dieselbe Größe, denselben Inhalt oder dieselben Plugin-Eigenschaften haben, oder eine Kombination davon. In der Resultatliste werden die mehrfach vorkommenden Dateien zusammen gruppiert, und die Gruppen werden durch gestrichelte Linien abgetrennt. Die Gruppen sind nach dem ersten Suchkriterium sortiert (falls "gleicher Name" markiert ist, Sortierung nach Name, etc).
gleicher Name Falls markiert, werden nur Dateien mit gleichem Namen miteinander verglichen.
gleiche Größe Falls markiert, werden Dateien mit gleicher Größe als identisch angesehen.
gleicher Inhalt Falls markiert, werden Dateien auf gleichen Inhalt untersucht. Dies dauert zwar länger, stellt aber sicher, dass die Dateien wirklich 100% identisch sind.
gleiche Pluginfelder
Falls markiert, wird überprüft, ob die angegebenen Pluginfelder (z. B. Erweiterung, Zeitstempel usw.) übereinstimmen. Falls mehrere Pluginfelder angegeben werden, müssen alle davon übereinstimmen (UND-Verknüpfung). Unterstützt auch Wertbereiche, z. B. werden mit der Angabe [=tc.name:1-3] nur die ersten 3 Zeichen des Namens verglichen.
Hinweis: Eine Option "ODER-Verknüpfung, mindestens eine" ist leider nicht möglich: Damit könnten beim Vergleich von 3 Dateien die Dateien 1+2 aufgrund des ersten Felds identisch sein, 2+3 aufgrund des zweiten, 1+3 aber unterschiedlich.


Dialogbox: Verknüpfen
Erlaubt die Verknüpfung von Dateien mit bestimmten Endungen (z. B. .txt) mit Programmen.
Alle Dateien mit Dateinamenserweiterung:
Geben Sie hier die Erweiterung (ohne *) ein. Es spielt keine Rolle, ob sie den Punkt vor der Erweiterung angeben oder nicht. Besteht bereits eine Verknüpfung, so wird diese im Feld darunter angezeigt.
Verknüpfen mit:
Hier wählen Sie das Programm, mit dem die Erweiterung verknüpft werden soll. Unter Windows 3.1 können Sie aus einer Anzahl vordefinierter Dateitypen auswählen, die in der unter dem Eingabefeld liegenden Liste angeboten werden. Sollte das gewünschte Programm nicht in dieser Liste auftauchen, so können Sie auch direkt den Dateinamen angeben (inkl. Suchpfad, sofern dieser nicht in der PATH-Umgebungsvariable definiert wurde), oder mit Durchsuchen das Programm suchen.
Neu Startet eine weitere Dialogbox, mit deren Hilfe Sie ein Programm suchen und zuordnen können. Sollte das Programm eine andere Endung haben (z. B. .com), so tippen Sie in der Dialogbox *.com ENTER ein, worauf com-Dateien angezeigt werden.
Typ bearbeiten Erlaubt es, den gewählten Programmtyp in einer separaten Dialogbox zu bearbeiten. Hier können Sie zusätzliche Aktionen (Verben) zusätzlich zum 'Öffnen'-Verb definieren, um das Kontextmenü (Rechtsklickmenü) zu erweitern. Diese Option steht bei Verknüpfungen für externe Viewer (Vorgabe: Alt+F3) nicht zur Verfügung.
Öffnen mit: PhotoViewer.dll
Wird nur bei betroffenen Dateitypen wie jpg angezeigt: Wenn gesetzt, wird die Windows-Fotoanzeige (Desktop-Programm) anstelle der Fotos-App verwendet. Grund: Letztere erlaubt es nicht, durch alle Fotos in einem Verzeichnis zu schalten, wenn sie von einem anderen Program als dem Explorer gestartet wurde. Unser Fehlerbericht an Microsoft wurde leider ignoriert. Diese Option wird nur unter Windows 10 angezeigt, falls die Fotos-App installiert und als Anzeige für z.B. jpg eingestellt ist.
OK Speichert die gemachten Änderungen in der Windows-Registrierdatenbank und der Datei win.ini, bzw. wincmd.ini für den externen Viewer.
Abbrechen Verwirft die gemachten Änderungen und kehrt zum Total Commander zurück.
Hilfe Startet die Windows-Hilfe mit dieser Seite


Dialogbox: Attribute ändern
Mit dieser Dialogbox können Sie die Attribute der gewählten Dateien und Verzeichnisse ändern, sowie Datum und Zeit der Dateien (nicht jedoch der Verzeichnisse). Achtung: Versteckte- und Systemdateien werden nur angezeigt, wenn die entsprechende Option im Menü Konfigurieren - Einstellungen gewählt ist.
Auch Dateien in Unterverzeichnissen
Wenn Unterverzeichnisse markiert sind und Sie diese Option wählen, werden die Attribute aller Dateien in diesen Unterverzeichnissen ebenfalls verändert. Ansonsten werden nur die Attribute der Unterverzeichnisse selbst geändert.
Archivbit (a) Hier kann der Zustand des Archivbits geändert werden. Das Archivbit wird automatisch jedes Mal gesetzt, wenn eine Datei geändert wird.
Nur Lesen-Bit (r) Durch Setzen des Nur Lesen-Bits verhindern Sie das ungewollte Löschen der entsprechenden Dateien. Total Commander kann zwar Dateien löschen, bei denen dieses Bit gesetzt ist, fragt jedoch vorher nach.
Versteckt-Bit (h) Markiert eine Datei als versteckt, d.h. sie taucht in der normalen mit dir erzeugten Liste nicht auf. Total Commander kann auf Wunsch auch versteckte Dateien anzeigen.
System-Bit (s) Markiert eine Datei als Systemdatei. Die Dateien PAGEFILE.SYS und SWAPFILE.SYS im Hauptverzeichnis des Laufwerks sind Systemdateien. Systemdateien können von Komprimierprogrammen wie compress nicht verschoben werden.
Grau lässt das entsprechende Attribut so, wie es vor Aufruf der Funktion war.
Markiert setzt bei allen markierten Dateien das entsprechende Attribut
Nicht markiert löscht entsprechend das Attribut
Datum/Zeit ändern wählen Sie diesen Punkt, wenn Sie Datum und Zeit der Dateien ändern wollen.
Datum Geben Sie hier das gewünschte Datum an, und zwar im angezeigten Format! Mit TAB gelangen Sie ins Zeit-Feld. Wenn nur eine Datei gewählt ist, wird das Datum dieser Datei angezeigt. Sind mehrere Dateien markiert, so wird das zuletzt hier eingegebene Datum angezeigt, oder ein Platzhalter (dd.MM.YY). Wenn Sie das Feld leer lassen, wird das Originaldatum der Datei beibehalten.
Es ist auch möglich, ein Teildatum einzugeben. Beispiel: Wenn das Datumsformat YYYY.MM.dd ist, ändert die Eingabe von YYYY.05.dd nur den Monat auf 5 (Mai) und lässt die anderen Teile unverändert. Die Buchstaben selbst spielen keine Rolle, sie sind Platzhalter und können auch etwas wie aaaa.05.aa sein
Zeit Hier können Sie die gewünschte Zeit angeben. Die Sekunden brauchen Sie nicht anzugeben (dann werden sie auf 0 gesetzt). Wenn Sie hier nichts angeben, wird die ursprüngliche Zeit der Datei beibehalten.
Es ist auch möglich, eine Teilzeit einzugeben. Beispiel: hh:10:ss würde nur die Minuten ändern. Die Buchstaben und Trennzeichen spielen keine Rolle (ausser a und p, diese werden für am/pm=Vormittag/Nachmittag verwendet), so wird z.b. auch xy.10.xy funktionieren.
Aktuelles Trägt aktuelles Datum und aktuelle Zeit ein.
Pluginattribute ändern:
Plugin: Wählen Sie das Plugin, dessen Eigenschaften Sie ändern möchten. Nur neue Plugins unterstützen dies.
Eigenschaft: Wählen Sie die zu ändernde Eigenschaft. Nur Eigenschaften, die geändert werden können, werden gelistet.
Wert: Geben Sie den neuen Wert für die Eigenschaft ein.
+ Eigenschaften können aus anderen Plugins ausgelesen werden, z. B. um den Kommentar auf den kurzen Dateinamen zu setzen, oder das Dateidatum auf das EXIF-Datum (Datum, als Foto aufgenommen wurde).
F2 Lade/Speichere Einst.
Erlaubt das Laden und Speichern der Einstellungen des Abschnitts "Pluginattribute ändern".
Lade aus Datei unter Cursor
Vom aktiven Fenser (Quelle) (1)
Lädt die Attribute aus der Datei unter dem Cursor. Die Standardattribute (Archiv, Nur Lesen, Versteckt, System) werden dabei nur geladen, wenn KEINE Plugins eingestellt sind.
Vom Zielfenster (2) Lädt die Attribute aus der Datei unter dem Cursor im Zielfenster. Nur aktiv, wenn der Cursor im Zielfenster nicht auf [..] steht.
OK Setzt bzw. löscht die gewählten Attribute und schließt die Dialogbox
Abbrechen Kehrt ohne eine Änderung der Attribute zu Total Commander zurück
Hilfe Startet die Windows-Hilfe mit dieser Seite
Hinweis: Wenn Sie eines der Felder Datum oder Zeit leer lassen, wird das ursprüngliche Datum bzw. die ursprüngliche Zeit der Datei(en) beibehalten.


Dialogbox: Verzeichnisbaum
Mit dieser Dialogbox können Sie den Pfad wählen, wohin die markierten Dateien kopiert, verschoben, entpackt oder gepackt werden sollen.
Combobox mit aktuellem Laufwerk
Erlaubt die Auswahl des Laufwerks, dessen Verzeichnisbaum angezeigt werden soll. Öffnen mit Alt+F1 oder Alt+F2.
'Everything' Das externe Index-Tool 'Everything' verwenden, um den Baum zu laden. Viel schneller als das manuelle Scannen.
Listbox mit Verzeichnisbaum
Enthält den Verzeichnisbaum des gewählten Laufwerks. Mit den Cursortasten können Sie ein Zielverzeichnis auswählen. Mit ENTER, einem Doppelklick auf das gewünschte Verzeichnis oder Betätigen des OK-Knopfes übertragen Sie den Pfad in die aufrufende Dialogbox.
Schnelle Suche Wenn die Listbox mit dem Verzeichnisbaum aktiviert ist, können Sie die Anfangsbuchstaben des gewünschten Zielverzeichnisses tippen. Dies verschiebt den Cursor automatisch auf das erste mit diesen Buchstaben beginnende Verzeichnis. Unterstützt Platzhalterzeichen * und ? wie in der normalen Schnellsuche. Durch Drücken von STRG+ENTER oder STRG+Pfeil ab wechseln Sie auf den jeweils nächsten passenden Eintrag, bzw. mit STRG+Pfeil auf zum vorherigen.
Drucken... Öffnet eine Dialogbox zum Drucken des Verzeichnisbaums.
OK Schließt die Dialogbox und kopiert den gewählten Pfad in die Eingabezeile.
Abbrechen Schließt die Dialogbox ohne die Eingabezeile zu ändern.


Dialogbox: Befehl wählen
Mit dieser Dialogbox können Sie einen internen Befehl aus der Datei totalcmd.inc wählen, oder eigene Befehle definieren, welche in der Datei usercmd.ini oder wcmd_lng.ini gespeichert werden.
Feld Bedeutung
Kategorie: Kategorie des Befehls. Alle Befehle werden zudem in der Kategorie "Alle" aufgelistet.
Befehl: Name des Befehls
Nr: Numerischer Wert des Befehls
Beschreibung: Übersetzte Beschreibung des Befehls
Filter: Erlaubt es, nur Befehle anzuzeigen, welche ein bestimmtes Wort enthalten
Nur auf den Seiten usercmd.ini und wcmd_lng.ini:
Neu... Definiere einen neuen erweiterten Befehl em_xyz. Ein erweiterter Befehl kann verwendet werden, um ein externes Programm mit bestimmten Parametern aus dem Hauptmenü oder über eine Tastenkombination aufzurufen.
Bearbeiten... Einen existierenden benutzerdefinierten Befehl ändern.
Löschen Einen benutzerdefinierten Befehl löschen
Umbenennen/Kopieren
Erlaubt es, einen Befehl umzubenennen, oder eine Kopie des Befehls unter anderem Namen anzulegen
Hinweis: Ein Befehl kann mit Strg+C in der Liste der Befehle in die Zwischenablage kopiert werden. Strg+Umsch+C kopiert die gesamte Zeile inkl. Erklärung.
Liste der internen cm_x-Befehle, die einen Parameter unterstützen:
Hinweis: * steht für LEFT, RIGHT, oder SRC
CM_LIST,
CM_LISTONLY,
CM_LISTINTERNALONLY: Legt den Namen der Datei fest, die im Lister geöffnet werden soll. Unterstützt dieselben Parameter wie der Kommnandozeilenparameter /S=L:Parameter, muss am Anfang stehen und mit / anfangen (den S=L: Teil der Kommandozeilenparameter weglassen). z.B.
CM_LIST /T1V Dateiname für Textmodus, variable Breite
CM_LISTMULTI,
CM_LISTINTERNALMULTI Wie CM_LIST, unterstützt Parameter plus maximal 1 Dateinamen (optional)
CM_WAIT Setzt die Verzögerung in Millisekunden, die gewartet werden soll, bevor der nächste Befehl gestartet wird
CM_SELECT,
CM_UNSELECT,
CM_REVERSE Ändert die Auswahl der nächsten x-Dateien von der aktuellen Cursorposition
CM_GOTOFIRSTENTRY Geht von der ersten Datei/dem ersten Ordner zum angegebenen Eintrag, z.B. CM_GOTOFIRSTENTRY 1 wechselt zur zweiten Datei/zum zweiten Ordner
CM_GOTOFIRSTFILE Geht von der ersten Datei zum angegebenen Eintrag, z.B. CM_GOTOFIRSTFILE 1 wechselt zur zweiten Datei
CM_LEFTSWITCHTOTHISCUSTOMVIEW
CM_RIGHTSWITCHTOTHISCUSTOMVIEW
Wechselt zum angegebenen benutzerdefinierten Ansichtsmodus.
CM_SEARCHFORINCURDIR Sucht im angegebenen Laufwerksbuchstaben
CM_100PERCENT Relative Dateifenstergröße teilen, der angegebene Wert (z.B. 60 Prozent) wird auf das aktive Dateifenster angewendet
CM_50PERCENT Wie CM_100PERCENT, aber der angegebene Wert (in Prozent) wird zur Breite des aktiven Fensters addiert, z.B. CM_50PERCENT -10 (ergibt bei einer Breite von 50% neu 40%)
CM_*VIEWMODELIST Wechselt in den angegebenen Ansichtsmodus, nach Index:
0: wechselt zum Standard-Ansichtsmodus
>0: wechselt zum benutzerdefinierten Ansichtsmodus mit diesem Index
CM_REREADSOURCE 1: erzwingt eine Aktualisierung, selbst wenn sich in diesem Verzeichnis nichts geändert hat, z.B. zum erneuten Laden von Symbolen und Überlagerungen
2: wendet die automatische Änderung des Ansichtsmodus erneut auf das aktuelle Verzeichnis an
3: beides
CM_UNLOADPLUGINS 0: alle Plugintypen entladen (ausser tcmatch dll), oder Summe von:
1: Packerplugins
2: Dateisystemplugins
4: Listerplugins
8: Inhaltsplugins
16: Externe tcmatch dll
CM_*ACTIVATETAB* Numerischer Parameter x>0: Aktiviere Tab x, z.B. CM_SRCACTIVATETAB1 5
Numerischer Parameter x<0: Vom Ende her gezählt, z.B. letzten tab aktivieren: CM_SRCACTIVATETAB1 -1
CM_CLOSECURRENTTAB 1: gesperrten Tab ohne Bestätigung schließen
CM_CLOSEALLTABS 1: ungesperrte Tabs ohne Bestätigung schließen
2: auch gesperrte Tabs ohne Bestätigung schließen
3: auch gesperrte Tabs mit Bestätigung schließen
CM_COPYFILEDETAILSTOCLIP,
CM_COPYFPFILEDETAILSTOCLIP,
CM_COPYNETFILEDETAILSTOCLIP,
CM_COPYHDRFILEDETAILSTOCLIP,
CM_COPYHDRFPFILEDETAILSTOCLIP,
CM_COPYHDRNETFILEDETAILSTOCLIP
Kopieren von spezifischen Spalten:
1=Name+Erweiterung, 2=erste zusätzliche Spalte, 4=zweite zusätzliche Spalte, 8=dritte usw.
Hinweis: wegen Abwärtskompatibilität kopiert 1 allein die vollständige Liste mit Kopfzeilen
CM_*OPENDRIVES Laufwerksbuchstaben oder Laufwerksnummer: 65=A, 66=B, 67=C usw., oder
\=Hauptverzeichnis, .=ein Verzeichnis nach oben, [=Netzwerkumgebung
CM_ZOOMIN,
CM_ZOOMOUT Vergrösserungsfaktor für Minaturansicht direkt auf bestimmten Wert setzen, z.B. CM_ZOOMIN 150
CM_*BYNAME, CM_*BYEXT, CM_*BYSIZE, CM_*BYDATETIME
0 oder kein Parameter=umschalten, 1=aufsteigend, 2=absteigend
4: Wenn addiert, sortiere nach zusätzlicher Spalte, z.B. CM_SRCBYSIZE 5 sortiert zusätzlich nach Größe, aufsteigend
8: Letzte Sortierreihenfolge, auf/absteigend und zusätzliche Sortierreihenfolgen intern speichern
9: Letzte Sortierreihenfolge wiederherstellen (muss mit 8 gespeichert worden sein)
CM_*NEGORDER 0 oder kein Parameter=umschalten, 1=setzen, -1 oder 2=zurücksetzen
8: Letzte Sortierreihenfolge, auf/absteigend und zusätzliche Sortierreihenfolgen intern speichern
9: Letzte Sortierreihenfolge wiederherstellen (muss mit 8 gespeichert worden sein)
CM_*USERSPEC 8: Letzten Dateifilter merken (auch alle Dateien oder Programme)
9: Zuvor gemerkten Dateifilter wiederherstellen
CM_EXIT 0 oder kein Parameter: Nur beenden. Oder Summe von:
1: Total Commander beenden und neu starten
2: Beenden und neu starten, und zwischen 32-bit- und 64-bit-Version wechseln
4: Pfade, Tabs und Dateianzeige (kurz, lang usw.) speichern, auch wenn in Einstellungen deaktiviert
8: Linkes und rechtes Verzeichnis sowie Datei(en) unter Cursor an neue Instanz übergeben
16: Als Administrator neu starten
Die folgenden internen Befehle unterstützen 3 Zustände: 0 oder kein Parameter=Umschalten, 1=Setzen, -1 oder 2=Zurücksetzen.
CM_*COMMENTS
CM_DIRBRANCH, CM_LEFTDIRBRANCH, CM_RIGHTDIRBRANCH,
CM_DIRBRANCHSEL, CM_LEFTDIRBRANCHSEL, CM_RIGHTDIRBRANCHSEL,
CM_FTPHIDDENFILES
CM_*THUMBS,
CM_*QUICKVIEW, CM_*QUICKINTERNALONLY, CM_SEPARATEQUICK*
CM_SYNCCHANGEDIR,
CM_SWITCHLONGNAMES,
CM_SWITCHHIDSYS, CM_SWITCHHID, CM_SWITCHSYS,
CM_SWITCH83NAMES,
CM_SWITCHDIRSORT,
CM_SWITCHOVERLAYICONS,
CM_SWITCHWATCHDIRS,
CM_SWITCHIGNORELIST,
CM_SWITCHX64REDIRECTION,
CM_SWITCHFILETIPWINDOWS,
CM_SWITCHCOLORSBYFILETYPE,
CM_TOGGLEAUTOVIEWMODESWITCH,
CM_VERTICALPANELS,
CM_VIS*


Dialogbox: Plugineigenschaft wählen
Mit dieser Dialogbox können Sie eine Eigenschaft aus einem Inhaltsplugin wählen. Die linke Spalte zeigt alle installierten Inhaltsplugins an, die rechte die verfügbaren Eigenschaften des gewählen Plugins.
Feld Bedeutung
Plugins: Liste der installierten Inhaltsplugins.
Eigenschaften: Namen der Plugineigenschaften. Optional kann bei bestimmten Eigenschaften eine Anzeigeform gewählt werden.
Die Symbole zeigen den Plugintyp an:
Ab Text
# Numerisch
1.1.2000 Datum
12:35 Zeit
1/0 Boolean: Wahr/Falsch
1 2 3 Mehrfachauswahl
Filter: Erlaubt es, nur Eigenschaften anzuzeigen, welche ein bestimmtes Wort enthalten
<Vorschau> Hinter dem Filter wird eine Vorschau der Eigenschaft für die aktuelle Datei angezeigt.


Dialogbox: Inhalte vergleichen
Mit dieser Dialogbox können Sie zwei Text- oder Binärdateien miteinander vergleichen. Dazu gehen Sie bitte wie folgt vor:
1. Markieren Sie die beiden zu vergleichenden Dateien im Total Commander
2. Wählen Sie "Dateien"-"Vergleich nach Inhalt"
3. Mit "Nächster Unterschied" springen Sie jeweils zum nächsten Unterschied der Text- bzw. Binärdatei.
Wenn Sie die Dialogbox aufrufen, so führt Total Commander Schritt 3 automatisch mit den ersten beiden gewählten Dateien durch. Sie können aber jederzeit zwei andere Dateien für einen neuen Vergleich wählen (oder sie per Drag&Drop auf die Namensfelder fallen lassen), und mit dem Knopf "Vergleichen" einen neuen Dateivergleich durchführen.
Vergleichen Startet den Vergleich zwischen den beiden ausgewählten Dateien. Falls die beiden Dateien identisch sind, so wird dies lediglich in einer Dialogbox angezeigt, ansonsten werden die Unterschiede in den beiden Textfenstern aufgeführt. Binärdateien werden dabei im Hexadezimalmodus angezeigt, und Textdateien im Textmodus. Dateien bis 1 MB (konfigurierbar über MaxCompareSizeInMem) werden komplett in den Speicher geladen, sodass die Originale editierbar bleiben. Größere Dateien werden lediglich in den Speicher 'gemappt', d.h. sie bleiben während des Vergleichs gesperrt.
Nächster Unterschied
Springt zum nächsten gefundenen Unterschied. Dabei wird ein zusammenhängender Block von verschiedenen Zeilen als EIN Unterschied angesehen.
Vorheriger Unterschied
Springt zum vorherigen Unterschied (rückwärts). Diese Funktion ist die Umkehrung von obiger Funktion.
Schriftart Wählt die Schrift für die Vergleichsfenster.
Suche nach Text in beiden Dateien gleichzeitig
Suche fortsetzen
Zeige die beiden Fenster übereinander an, für sehr breite Texte
Öffnet den Speichern-Dialog zum speichern der geänderten Datei(en).
Editiermodus Erlaubt das direkte Bearbeiten der beiden Dateien. Unterstützt werden Text- und Unicode-Dateien. Die Anzeige der beiden Dateien wird dabei automatisch synchron gehalten. Neu eingefügte und geänderte Zeilen erhalten die Zeilennummer 0, die bisherigen Zeilen behalten ihre Zeilennummer. Beim Schließen oder erneuten Vergleichen werden Sie gefragt, ob Sie die veränderte(n) Datei(en) speichern möchten. Die Art der Zeilenumbrüche beim Speichern (Windows, Unix, Mac) wird bestimmt durch die Mehrzahl der Zeilenumbrüche in der Originaldatei, z. B. falls die Originaldatei Windows-Zeilenenden mit ein paar Unix-Zeilenenden enthielt, enthält die gespeicherte Datei nur Windows-Zeilenenden. Sie können mit F6 in den Editiermodus schalten.
Nur Unterschiede anzeigen, mit Extra-Zeilen:
Nur Zeilen anzeigen, die sich entweder zwischen den beiden Dateien unterscheiden, oder die mit dem internen Editor des Vergleichstools bearbeitet wurden. Die Funktion erlaubt die zusätzliche Anzeige von Zeilen oberhalb und unterhalb des Unterschieds, um den Kontext verstehen zu können. Die Option ist versteckt, wenn der Bearbeitungsmodus aktiv ist. Es ist möglich, den Bearbeitungsmodus temporär zu verlassen, um diese Option umzuschalten.
Sync: 1 Legt fest, wie bei eingefügtem Text innerhalb einer Zeile vorgegangen wird. In Total Commander 10 und älteren Versionen wurde bei einem Unterschied nach mindestens 3 übereinstimmenden Zeichen gesucht, und der Vergleich dort fortgesetzt, selbst in der Mitte eines Worts (Option 1). Neu kann der Vergleich erst bei einem Leerzeichen (2) oder einem benutzerdefinierten Trennzeichen (3) wieder aufgenommen werden, oder ganz auf eine Synchronisation verzichtet werden, z.B. für Tabellen (0).
Kopiere -> Kopiert den markierten Text vom linken ins rechte (bzw. oberen ins untere) Fenster, wobei die entsprechenden Zeilen im anderen Fenster ersetzt werden. Nützlich in Verbindung mit den Knöpfen "Nächster Unterschied" bzw. "Vorheriger Unterschied". Falls kein Text markiert ist, so wird die gesamte Zeile kopiert. Dieser Button ist versteckt, während der Bearbeitungsmuodus deaktiviert ist.
Kopiere <- Wie oben, aber in umgekehrter Richtung
Rückgängig Macht die jeweils letzte Änderung rückgängig. Es können alle Änderungen bis zum Originalzustand der beiden Dateien rückgängig gemacht werden. Dabei wird immer erst der Cursor auf die jeweils letzte Änderungsposition gesetzt, bevor eine Änderung durchgeführt wird.
Binär Vergleicht im Binärmodus, d.h. feste Zeilenbreite, Hexadezimalanzeige.
8/16/24/32 Bytes Nur im Binärmodus: Setzt die Anzahl Bytes pro Zeile.
ANSI<->ANSI Erlaubt die Auswahl der Textcodierung, z. B. links UTF-8 und rechts ANSI falls die Datei nicht automatisch korrekt erkannt wurde.
Groß/Kleinschreibung
Falls gewählt, werden zwei Texte, die sich nur in der Groß/Kleinschreibung unterscheiden, als verschieden angesehen. Dies ist nützlich für den Vergleich von C-Quelltexten.
Falls nicht gewählt, werden zwei Texte, die sich nur in der Groß/Kleinschreibung unterscheiden, als gleich angesehen. Dies ist nützlich für den Vergleich von Pascal- und Basic-Quelltexten.
Diese Option sowie die beiden direkt darunter haben keine Auswirkungen auf den Vergleich im Binärmodus!
Ignoriere wiederholte Leerzeichen
Falls die Option markiert ist, werden mehrere Leerzeichen hintereinander wie eines gezählt, und Leerzeichen am Anfang und Ende einer Zeile überhaupt nicht. Beispiel: "test1 test2 " und "test1 test2" werden als identisch erkannt.
Hinweis: Dies wird nur verwendet, um festzustellen, ob zwei Zeilen gleich sind oder nicht. Sobald ein Unterschied festgestellt oder eine Zeile verändert wird, wird diese Option nicht zum Vergleichen von Zeichen innerhalb einer Zeile verwendet.
Ignoriere oft vorkommende Zeilen
Wenn nach einem Unterschied wieder übereinstimmende Zeilen gesucht werden, dann werden mit dieser Option oft vorkommende Zeilen ignoriert, z. B. begin/end-Befehle einer Programmiersprache. Dies ergibt weitaus bessere Resultate, wenn ganze Abschnitte eingefügt oder gelöscht wurden.
Rechtsklickmenü Das Rechtsklickmenü enthält folgende Einträge:
Als Text kopieren Kopiert den markierten Text in die Zwischenablage
Hier einfügen Fügt Text aus der Zwischenablage ein. Nur im Editiermodus verfügbar.
Resynchronisiere Vergleich ab hier
Wenn die Vergleichsfunktion aus dem Takt kommt, etwa weil größere Paragrafen den Ort gewechselt haben, können Sie hier manuell 2 Zeilen auf die gleiche Höhe bringen. Dazu müssen die beiden Zeilen links und rechts markiert werden. Falls gewählt, nachdem eine Datei geändert wurde, ist "Rückgängig" nur noch bis zu diesem Punkt möglich.
Fenster tauschen Vertauscht den Inhalt der beiden Fenster
<2-zeilige Liste> Zeigt die aktuelle Zeile von der aktiven Seite zusammen mit der entsprechenden Zeile auf der anderen Seite an, um kleine Unterschiede wie hinzugefügte/entfernte Zeichen leichter erkennen zu können. Diese Liste kann via Cursortasten, BildAuf/BildAb, Pos1/Ende und mit dem Mausrad seitwärts gescrollt werden. Sie kann mit dem Symbol links in der Statuszeile ausgeblendet werden, oder mit Taste F9. Mit Strg+Tab kann direkt zu dieser Liste und zurück gesprungen werden.
Der Dialog kann via ESC, ALT+F4 oder den Schließen-Knopf in der Titelzeile geschlossen werden. Wie beim Lister können mehrere Vergleiche geöffnet werden, und Total Commander bleibt verfügbar!
Wichtiger Hinweis: Im Textvergleichmodus werden mehrere Leerzeichen oder Tabulatoren wie ein Leerzeichen behandelt, d.h. "a b" ist dasselbe wie "a b". Wenn Sie das nicht möchten, deaktivieren Sie obige Option "Ignoriere wiederholte Leerzeichen".
Die folgenden Tastenkombinationen funktionieren in diesem Fenster:
Strg+C, Strg+Einf Markierten Text kopieren
Strg+F Finde Text
Strg+U Fenster tauschen
Umsch+F10, Menütaste Kontextmenü anzeigen
Alt+Hoch/Runter Springt zum vorherigen/nächsten Unterschied
ESC Dialog schließen
F7 Suchen
F3 Weitersuchen
Strg+F3 Suchrichtung umkehren
Umsch+F3 Rückwärts suchen (nächstes F3 sucht vorwärts)
F6 Editiermodus ein-/ausschalten
F9 2-zeilige Liste ein-/ausblenden
Nur im Editiermodus:
Strg+V, Umsch+Einf Text aus Zwischenablage einfügen
Strg+Links/Rechts Springe zum nächsten/vorherigen Wort
Strg+S Zeige Speichern-Dialog.
Strg+Z Rückgängig
Alt+Rück Rückgängig
Linke/rechte Pfeiltaste Kopiert den markierten Text vom linken ins rechte bzw. rechten ins linke Fenster
Entf Markierung/Text rechts vom Cursor löschen
Rück Markierung/Text links vom Cursor löschen
Doppelklick Wort unter dem Mauszeiger markieren
Dreifachklick Gesamte Zeile markieren
F2/Umsch+F2 Zum nächsten/vorherigen Unterschied innerhalb einer Zeile springen
Nur im Modus "nur lesen":
Einf/Leertaste Zeile markieren
Linke/rechte Pfeiltaste Bildlauf um 1 Zeichen nach links/rechts
Alt+Links/Rechts Bildlauf um 30 Zeichen nach links/rechts


Dialogbox: Konfigurieren: Layout

Konfigurieren - Layout Zurück
Diese Seite erlaubt das gezielte Ein- und Ausblenden von Teilen der Total Commander-Oberfläche.
Feld Beschreibung
Anzeigen:
Buttonbar Knopfleiste zum Starten von Programmen und/oder Ausführen von internen Befehlen
Buttonbar 2 (vertikal) Zweite, vertikale Knopfleiste zum Starten von Programmen und/oder Ausführen von internen Befehlen
Laufwerksbuttons Knopfleiste mit Knöpfen für alle Laufwerke
Zwei Laufwerksbuttonbars (feste Breite, über Dateifenstern)
Für jedes Dateifenster wird ein eigener Laufwerksbuttonbar angezeigt, wobei beide gleich breit sind, und sich nicht der Breite des Dateifensters anpassen.
Flache Icons Benutze flachen Stil für Laufwerksbuttons
Laufwerksliste Zeigt die Laufwerke in einer herunterklappbaren Leiste an (Kombinationsliste)
Ordner-Tabs Zeigt eine Registerzeile an, um schnell zwischen mehreren Verzeichnissen wechseln zu können. Standardmäßig wird die Zeile nur angezeigt, sofern mehr als 1 Tab offen ist.
Aktuellen Pfad Fensterüberschrift mit dem aktuellen Pfad. Die Farbe zeigt außerdem das aktive Fenster an
Anklickbare Pfadteile ('Brotkrumenleiste')
Zeigt ein kleines Dreieck links vom Pfad an, und unterstreicht Pfadteile, wenn sich der Mauszeiger darüber befindet. Erlaubt den direkten Sprung zu einem Verzeichnis wenn das unterstrichene Verzeichnis angeklickt wird, oder öffnet ein Untermenü beim Anklicken des Knopfes unter dem Verzeichnis (konfigurierbar, siehe nächste Option).
Automatisch öffnen, wenn Maus darüber bewegt wird
Falls die Option gesetzt ist, öffnet sich das Untermenü direkt, wenn sich der Mauszeiger über dem Verzeichnis befindet (Standard-Verzögerung 250 ms), anstatt dass ein Knopf angezeigt wird.
Buttons für Verzeichnisliste und Verlauf
Hinter dem aktuellen Pfad werden zwei Buttons angezeigt, ein Stern und ein nach unten zeigendes Dreieck. Mit dem Stern wird die Liste der oft besuchten Verzeichnisse angezeigt (eine Art von Lesezeichen). Mit dem Dreieck zeigen Sie eine Liste der zuletzt besuchten Verzeichnisse an.
Tabulatorzeile Diese erlaubt zwei Dinge: Einstellung der Tabulatorpositionen und Sortierung
Statusinformationen Zeigt die totale Anzahl Dateien sowie die Anzahl markierte Dateien und die jeweiligen Größen
Kommandozeile Die Kommandozeile erlaubt die Eingabe von Kommandozeilenbefehlen und das Starten von Programmen. Ist die Kommandozeile ausgeblendet, so wird sie bei der Eingabe von Buchstaben automatisch eingeblendet.
Starte Kommandozeile nur wenn fokussiert
Beim ENTER-Drücken wird die Kommandozeile nur dann ausgeführt, wenn sich der Eingabefokus in dieser befindet, nicht wenn er sich in einer der Dateilisten befindet.
Funktionstastenknöpfe Die Funktionstastenknöpfe erlauben das Anzeigen, Bearbeiten, Kopieren, Verschieben, Umbenennen und Löschen von Dateien, das Erzeugen eines Verzeichnisses und das Beenden des Programms.
Flache Benutzeroberfläche
Zeigt alle Elemente der Benutzeroberfläche im flachen Stil, außer Buttonbar und Laufwerksbuttons (separat konfiguriert). Falls nicht gewählt, wird der 3d-Stil verwendet.
Windows XP Themen-Hintergrund (Menü+Buttonbars)
Zeige Themen-Hintergrund unter dem Hauptmenü, dem Buttonbar, Laufwerksbuttonbar und FTP-Toolbar. Lässt sich z. B. bei problematischen alternativen Themen abschalten.


Dialogbox: Konfigurieren: Operation

Konfigurieren - Operation Zurück
Feld Beschreibung
Hauptprogramm
Nur 1 Kopie von Total Commander gleichzeitig erlaubt
Total Commander kann nur einmal gestartet werden. Wird versucht, eine zweite Kopie zu starten (z. B. über den Desktop, das Startmenü oder die Taskleiste), so wird die erste Kopie aktiviert und in den Vordergrund gesetzt.
Bewege Symbol in Systembereich der Taskliste wenn Prog. minimiert
Beim Minimieren des Total Commander wird das Symbol aus der normalen Taskleiste von Windows entfernt. An seiner Stelle wird ein Symbol im Systembereich der Taskleiste neben der Uhr angezeigt. Ein Klick auf das Symbol bringt Total Commander wieder in den Vordergrund.
Wichtig: Sie können auch dann mit ALT+TAB zu Total Commander wechseln, wenn Total Commander im Systembereich angezeigt wird (was normalerweise unmöglich ist). Unter Windows NT-basierten Systemen müssen Sie nach dem Loslassen der TAB-Taste jedoch noch ENTER drücken, sonst wird Total Commander nicht wiederhergestellt.
Beim Laufwerkswechsel immer ins Hauptverzeichnis (Root) wechseln
Wenn diese Option nicht markiert ist, wechselt Total Commander beim Laufwerkswechsel ins zuletzt benutzte Verzeichnis. Falls sie markiert ist, wechselt Total Commander immer ins Hauptverzeichnis.
Dateien und Verzeichnisse mit einem einzelnen Klick öffnen
Erlaubt das Öffnen von Dateien und Verzeichnissen mit einem einzelnen Klick statt einem Doppelklick. Sollte nur von erfahrenen Benutzern eingestellt werden, da die Gefahr besteht, dass man aus Versehen die falsche Datei öffnet.
Beim Umbenennen nur den Dateinamen ohne Erweiterung markieren
Diese Option legt fest, welcher Teil des Dateinamens beim Drücken von Umsch+F6 markiert werden soll. Falls die Option markiert ist, wird nur der Namensteil ohne die Erweiterung markiert. Ansonsten wird der gesamte Dateiname markiert. Drücken Sie wiederholt Umsch+F6, um zwischen den beiden Markierungen hin und her zu wechseln.
Pfade auto-vervollständigen
Wenn ein kompletter Pfad (inkl. Laufwerksbuchstabe oder Servername) eingegeben wird, so sucht Total Commander nach Pfaden, die mit diesen Buchstaben anfangen, und bietet diese in einer herunterklappbaren Liste zur Auswahl an.
Namen automatisch anhängen
Wenn ein kompletter Pfad (inkl. Laufwerksbuchstabe oder Servername) eingegeben wird, so sucht Total Commander nach Pfaden, die mit diesen Buchstaben anfangen, und fügt den ersten gefundenen an die eingegebenen Buchstaben an. Sie können dann mit den Pfeiltasten nach oben/unten durch alle Vorschläge schalten, und mit Pfeil nach rechts einen auswählen. Falls eingeschaltet, können Sie auch mit Tab durch die Vorschläge springen, und mit Strg+Leertaste einen auswählen.
Verzeichnisverlauf ausdünnen
Verzeichnis nur dann im Verzeichnisverlauf (Alt+Pfeil ab) anzeigen, wenn es für mindestens x Sekunden angezeigt wurde, oder der Benutzer eine Dateioperation darin gestartet hat. Der ungefilterte Verlauf kann mit Alt+Umsch+Pfeil ab weiterhin angezeigt werden.
Extra-Zeilen unterhalb Cursor:
Zeigt beim Scrollen mit der Tastatur (Cursortasten, Seite auf/ab) zusätzliche Zeilen unterhalb (und auch oberhalb) des aktuellen Speicherortes an, damit die nächsten Dateien bereits angezeigt werden, bevor man dorthin gelangt. Standardmäßig 4 Zeilen. Kann separat über wincmd.ini für oberhalb und unterhalb konfiguriert werden:
[Configuration]
ScrollingTopMargin=4
ScrollingBottomMargin=4
Markieren mit der Maus
Hier wählen Sie aus, wie sich Total Commander beim Markieren von Dateien verhalten soll.
rechte Maustaste Zum Markieren von Dateien einfach die rechte Maustaste gedrückt halten und über die zu markierenden Dateien fahren. Mit der linken Maustaste positionieren Sie dagegen nur den Cursor oder starten Drag&Drop. Durch längeres Drücken der rechten Maustaste erhalten Sie ein lokales Kontextmenü.
linke Maustaste Die Maus wird ähnlich wie im Explorer benutzt: einmal anklicken markiert die aktuelle Datei. Zusätzlich kann mit der Umsch-Taste ein ganzer Bereich markiert werden, und mit Strg mehrere Einzeldateien.
Gummiband-Markierung
Falls ausgewählt, werden Dateien beim Klick HINTER den Dateinamen und Ziehen der Maus markiert: Dabei wird ein Rechteck erzeugt vom angeklickten Punkt bis zum Punkt, an den die Maus gezogen wurde, so als ob ein Gummiband um die Dateien gelegt wurde. Um Dateien per Drag&Drop zu ziehen, müssen Sie stattdessen auf den Namen klicken und ziehen, ähnlich wie im Explorer. Diese Option ist nur im Markiermodus "linke Maustaste" verfügbar.
Markieren durch Klick auf das Symbol
Ein Klick auf das Symbol (Icon) markiert die Datei, ein weiterer Klick entfernt die Markierung wieder
Nur auf einem Touchscreen
Die Markierung durch Klick auf das Symbol nur durchführen, wenn über einen berührungsabhängigen Bildschirm markiert wird, nicht mit der Maus.
Auswählen (mit NUM +)
nur Dateien markieren Beim Drücken von NUM +, STRG+NUM + und NUM * werden nur Dateien markiert, nicht jedoch Verzeichnisse.
auch Verzeichnisse Auch Verzeichnisse können markiert werden.
NTFS Sommerzeitkorrektur
Ignoriere 1 Stunde Zeitdifferenz
Mit dieser Option ignoriert Total Commander Zeitdifferenzen von genau 1 Stunde, in Funktionen wie "Verzeichnisse synchronisieren" und anderen Vergleichsfunktionen.
Grund: Bei der Benutzung von Windows NT, 2000 oder neuer können zwei verschiedene Dateisysteme verwendet werden, FAT32 und NTFS. Während FAT32 die Zeit von Dateien in Lokalzeit speichert, speichert NTFS in GMT (englischer Standardzeit). Beim Wechsel zwischen Sommer- und Winterzeit bleiben die Dateizeiten in Lokalzeit (auf FAT32) gleich, während die Zeiten auf NTFS-Laufwerken um 1 Stunde ändern, weil sich die Zeitzonendifferenz zu GMT um 1 Stunde geändert hat. Deshalb haben Dateien auf FAT32 und NTFS, die vorher identische Zeiten hatten, plötzlich verschiedene Zeitstempel, und werden als unterschiedlich erkannt. Dank dieser Funktion werden sie weiterhin als gleich erkannt.
Speichern beim Beenden
Verzeichnisse Beim Beenden von Total Commander sollen die im linken und rechten Panel angezeigten Verzeichnisse gespeichert werden. Wenn diese Option markiert ist, werden auch Ordner-Tabs beim Beenden gespeichert.
Dateianzeige (kurz/lang usw.)
Beim Beenden von Total Commander soll Art der Anzeige im linken und rechten Panel gespeichert werden. Es sind dies Kurz / Lang / Verzeichnisbaum, Alles / Programme /Benutzerdefiniert sowie die Sortierreihenfolge. Ist dieser Punkt nicht gewählt, so werden beim nächsten Start die Einstellungen von der letzten Speicherung genommen (bzw. die Standardsettings).
Alte Kommandozeilen
Speichert beim Beenden die Liste der in dieser Session verwendeten Kommandozeilen in der wincmd.ini ab. Deaktivieren Sie diese Option, wenn Sie Passworte u. Ä. über die Kommandozeile eingeben!
Verlauf Merken der zuletzt besuchten Verzeichnisse auch nach Beenden von Total Commander. Virtuelle Ordner wie der Papierkorb können nur gespeichert werden, wenn es einen String in der Form ::{Nummer} gibt, mit welchem sie eindeutig repräsentiert werden.
Win95/WinNT spezifisch
Lange Dateinamen verwenden (empfohlen)
Diese Option wurde auf die Seite Ansicht verschoben.
Ermittle Platzbedarf von Unterverzeichnissen
Beim Markieren mit der Leertaste
Diese Option bewirkt, dass beim Markieren von Verzeichnissen mit der Leertaste alle Dateien in diesem Verzeichnis aufsummiert werden. In der Darstellung "lang" wird die Summe anschließend anstelle von <DIR> angezeigt.
'Everything' Das Tool 'Everything' benutzen, um den Platzbedarf zu ermitteln. Dazu muss im Tool 'Everything' die Option 'Indexiere Ordnergröße' aktiviert sein. Diese gibt es nur bei neueren 'Everything'-Versionen ab 1.4.1.
vor dem Kopieren/Löschen
Die Größe aller markierten Dateien/Verzeichnisse wird vor dem Kopieren summiert, was einen zweiten Prozentbalken ermöglicht, welcher den totalen Kopierfortschritt anzeigt.
Dateikommentare
Bevorzugter Typ: Erlaubt die Wahl des bevorzugten Kommentartyps, descript.ion oder files.bbs. Erstere Datei hat den Vorteil, auch problemlos mit langen Dateinamen zu funktionieren, erlaubt mehrzeilige Kommentare aber nur dank einer Total Commander-spezifischen Erweiterung (die von den Machern von 4dos aber autorisiert wurde). Letztere arbeitet mit den kurzen DOS-Dateinamen, erlaubt dafür aber mehrzeilige Kommentare. Es ist zu empfehlen, das descript.ion-Format zu verwenden, außer wenn man eine BBS (bulletin board system) betreibt, welche files.bbs verwendet.
descript.ion:
Reiner Text Kompatibilitätsmodus, keine Unicode-Kommentardateien erzeugen
Unicode ??? Immer Unicode-Kommentare des angegebenen Typs erzeugen: UTF16 Windows, Mac, UTF8.
Reiner Text+??? Kommentare mit reinem Text erzeugen, Unicode nur falls Name/Kommentar enspr. Zeichen enthält.
files.bbs Kommentare als reinen Text im Format files.bbs erzeugen.
DOS-Zeichensatz Diese Einstellung betrifft nur die descript.ion-Dateien: Wenn markiert, verwendet Total Commander beim Speichern von Umlauten den DOS-Zeichensatz, ansonsten den Windows-Zeichensatz. Grund: Das descript.ion-Format wurde ursprünglich für das DOS-Programm 4dos entwickelt, das den DOS-Zeichensatz verwendet. Neuere Programme wie Acdsee ignorierten leider diesen Standard, und benutzten den Windows-Zeichensatz. Deshalb ist es empfehlenswert, ebenfalls diesen zu verwenden, außer wenn man selbst 4dos oder 4nt verwendet.
Kopiere Kommentare mit den Dateien
Kopiert eventuell vorhandene Kommentare mit, wenn man Dateien kopiert. Dies funktioniert auch mit Unterverzeichnissen. Wenn diese Option markiert ist, werden Kommentardateien selbst NICHT kopiert, falls im Zielverzeichnis schon eine Kommentardatei existiert.
Lese aus beiden Typen
Falls diese Option markiert ist und keine Kommentardatei des bevorzugten Typs existiert, sucht Total Commander zusätzlich noch in der Datei des anderen Typs. Dies ist praktisch, wenn man z. B. descript.ion als bevorzugten Typ verwendet, aber Kommentardateien im files.bbs-Format erhält. Wenn man eine so kommentierte Datei kopiert, wird der Kommentar automatisch ins bevorzugte Format umgewandelt und in der Kommentardatei vom bevorzugten Typ gespeichert.


Dialogbox: Konfigurieren: Auto Modus wechseln

Konfigurieren - Auto Modus wechseln Zurück
Ansichtsmodi können entweder manuell über das Menü gewechselt werden, oder automatisch über Regeln. Auf dieser Seite definieren Sie Regeln zum automatischen Moduswechsel, z.B. um bei FTP-Verbindungen automatisch eine andere Hintergrundfarbe anzuzeigen.
Bei Verzeichniswechsel automatisch Ansichtsmodus wechseln
Schaltet den automatischen Wechsel des Ansichtsmodus an oder aus.
Regeln Benutzerdefinierte Regeln für den Wechsel des Ansichtsmodus. Jede Regel kann aus mehreren Unterregeln bestehen, die mit & (UND) bzw. | (ODER) verknüpft werden können. & bedeutet, dass alle Regeln zutreffen müssen. Bei | muss nur eine der Regeln zutreffen.
Hinzufügen... Fügt eine neue Regel hinzu.
Löschen... Entfernt die in der Liste markierte Regel.
Pfeile Reihenfolge der Regeln ändern. Die Regeln werden bei einem Verzeichniswechsel von oben nach unten abgearbeitet, bis ein Treffer gefunden wurde.
Unterregeln der gewählten Regel:
Regel: Die gewählte Regel. Bei mehreren Regeln können diese mit & (UND) bzw. | (ODER), oder einer Kombination davon kombiniert werden. UND hat Vorrang vor ODER,
z.B. (Regel A UND Regel B) ODER (Regel C UND Regel D).
Verfügbare Regeln:
+ Das Verzeichnis und die angegebenen Dateitypen müssen übereinstimmen
- Das Verzeichnis muss übereinstimmen und die angegebenen Dateitypen dürfen nicht übereinstimmen
% Mindestens die Hälfte der Dateinamen müssen mit den angegebenen Dateitypen übereinstimmen, z.B. 50% Bilder
? Mindestens einer der Dateinamen muss mit den angegebenen Dateitypen übereinstimmen
Der Ordnertyp ist:
D ein Verzeichnis in der Form c:\Ordner oder \\Server\Share
L ein Verzeichnis mit Laufwerksbuchstaben in der Form c:\Ordner . Ein oder mehrere Laufwerkstypen können via Editbox festgelegt werden:
1=Wechselfestplatte, 2=USB-Stick, 3=fest installiert, 4=Netzwerk, 5=CD-ROM, 6=RAM-Disk.
U ein UNC-Pfad in der Form \\Server\Share
V ein virtueller Ordner wie der Desktop
F eine FTP-Verbindung (Strg+F oder Strg+N)
A eine Archivdatei, z.B. c:\Verzeichnis\Datei.zip
P ein Dateisystem-Plugin, z.B. \\Secure FTP\Verbindung
S ein Suchresultat (Befehle - Suchen - Anwenden)
Verzeichnis: Name des Verzeichnisses, der mit dem aktuellen übereinstimmen muss. Wird am Ende ein * angegeben, gilt die Regel auch für alle Unterverzeichnisse. Der Pfad darf auch sonst Wildcards enthalten.
Beispiele:
c:\Fotos\ Nur Ordner "Fotos"
c:\Fotos\* Ordner "Fotos" und alle Unterordner
c:\Fotos\*2016*\* Ordner unter "Fotos", welche die Zeichenfolge 2016 enthalten, und deren Unterordner
Dateitypen: Die Dateien im aktuellen Verzeichnis werden mit den angegebenen Dateitypen verglichen. Je nach Regel (+, - %, ?) müssen alle Dateien mit den angegebenen Dateitypen übereinstimmen, oder keine, oder mindestens die Hälfte, oder mindestens eine. Die Regeln erlauben die Angabe von mehreren Dateitypen, durch Leerzeichen getrennt, und den Ausschluss von Dateitypen (hinter |).
Beispiele:
*.doc *.docx *.xlsx Die angegebenen Office-Dateien finden.
*.* | *.bak *.org * .~* Alle Dateien außer den angegebenen Backup-Dateien finden
Mehr Unterregeln Fügt eine weitere Regel hinzu
Weniger Unterregeln Entfernt die unterste Regel
Diesen Modus setzen:
Sofern die Regel zutrifft, wird der angegebene Modus gesetzt.


Dialogbox: Konfigurieren: Buttonbar ändern

Dialogbox: Konfigurieren - Buttonbar ändern
Hinweis: Durch Drag&Drop einer Datei auf den Buttonbar bei gedrückter Umsch-Taste lassen sich einfach und schnell neue Buttons einbauen. Durch Drücken der rechten Maustaste auf einem Button erscheint ein lokales Menü, über welches sich der Button ändern bzw. löschen lässt. Die Ändern-Dialogbox ist dabei genau gleich aufgebaut wie der untere Teil der Box Buttonbar ändern.
Feld Bedeutung
Buttonbar: Hinter diesem Bezeichner wird der Dateiname der momentan gewählten Buttonbar-Datei angezeigt. Dahinter kann mit dem Knopf >> ein anderer Buttonbar gewählt werden, allerdings nur in der Hauptleiste. Wenn Sie eine Unter-Buttonleiste (ähnlich wie Untermenü) bearbeiten, können sie den Namen hier nicht ändern.
Unter diesem Eintrag wird der momentan gewählte Buttonbar angezeigt.
Hinweis: Mit Umsch+Pfeiltasten oder durch Drag&Drop mit der Maus können Sie Einträge beliebig verschieben!
Größe: Wählen Sie hier die Größe eines Buttons im Buttonbar. Eine Größe von 32 entspricht der normalen Icongröße. Neu ab TC 9.20 kann die Größe separat für jede Bildschirmskalierung (Punkte pro Zoll) gespeichert werden.
XP-Stil Benutzt das aktuelle Thema für die Anzeige der Buttons (Windows XP oder neuer)
Flache Icons Wenn diese Option gewählt ist, werden die Buttons ohne 3d-Effekt angezeigt.
Kleine Icons Falls gewählt, werden die Symbole in der angegebenen Größe angezeigt (Vorgabe: 16x16), sonst in der unter Größe angegebenen Symbolgröße.
Anfügen... Erzeugt einen neuen Eintrag im Buttonbar direkt HINTER der momentanen Position. Mit gedrückter Umsch-Taste verschieben Sie den Eintrag an eine andere Position.
Löschen Löscht den im Buttonbar angewählten Menüeintrag.
Kommando: Viele verschiedene Befehle können in dieses Feld eingegeben werden:
1. Der Programmname des zu startenden Programms inklusive Suchpfad (sofern nicht im path aufgeführt). Es können hier auch (fixe) Kommandozeilenparameter angegeben werden. Wichtig: bei .com und .bat-Dateien unbedingt die Erweiterung mit angeben, da Windows standardmäßig nur .exe-Dateien findet! Mit "Ändern >>" und "Datei einfügen" suchen Sie nach dem gewünschten Programm. Stellen Sie einen Stern '*' vor den Namen (komplett mit Pfad), um das Programm mit Administratorrechten zu starten, oder 2 Sterne '**' zum Start unter einem anderen Benutzernamen (Windows 7 oder neuer). Unterstützt Umgebungsvariablen.
Warnung: Als Administrator gestartete Programme erhalten immer das Programmverzeichnis als Startpfad, und erben keine Umgebungsvariablen (wie %COMMANDER_PATH%) von Total Commander, sondern nur die von Windows. Außerdem müssen Sie .bat und .cmd-Dateien mit vorangestelltem cmd.exe /c als Administrator starten.
2. Außerdem können Sie hier einen oder mehrere interne Menübefehle von Total Commander aufrufen. Wählen Sie dazu einen Befehl mit dem Lupensymbol aus der Dialogbox "Befehl wählen".
Kann kombiniert werden mit cd-Befehl (Verzeichniswechsel) mit dem Verzeichnis in doppelten Anführungszeichen.
Beispiel für mehrere Befehle: cd "c:\windows",cm_SelectAll,cm_Copy
cm_wait x erzeugt eine Verzögerung von x Millisekunden, z.B. cm_SelectAll,cm_wait 1000,cm_Copy
Sie können ein virtuelles Verzeichnis mit einem der folgenden Befehle öffnen:
cm_OpenDesktop, cm_OpenDrives, cm_OpenControls, cm_OpenFonts, cm_OpenNetwork, cm_OpenPrinters, cm_OpenRecycled
Anstelle des Befehlsnamens können Sie auch die in totalcmd.inc aufgeführte Befehlsnummer verwenden, z.B. 300 statt cm_SrcComments.
Zusätzlich können Sie Ihre eigenen Befehle mit dem Präfix em_ über "Befehl wählen" definieren und diese dann hier verwenden.
Viele interne Befehle unterstützen einen einzelnen Parameter. Eine Liste finden Sie unter "Befehl wählen".
3. Weiter können Sie einen Button zum Verzeichniswechsel einbauen, indem Sie cd Verzeichnisname als Kommando angeben. Dabei können Sie die angezeigten Dateien vorgeben, z. B. mit cd Verzeichnis\*.txt
Mit Parameter "/user:" (alles klein!) können Sie den Benutzer für die Verbindung zu einem Server angeben. Falls kein Name angegeben wurde, werden Sie nach Benutzernamen und Passwort gefragt.
Unterstützt auch virtuelle Ordner, z.B. cd shell:Fonts oder cd ::{GUID des Ordners}
Beispiel: cd \\server\share /user:username
4. Sie können auch eine FTP-Verbindung herstellen, entweder mit cd ftp://ftp.meinserver.com,
oder: FTPOPEN Verbindungsname, mit Verbindungsname dem in der Dialogbox Verbinden definierten Verbindungsnamen (Titel)
oder: FTPOPEN Verbindungsname|/Verzeichnis, stellt wenn nötig Verbindung her (im bevorzugten Dateifenster) und wechselt nach /Verzeichnis
oder: FTPOPEN Verbindungsname|*/Verzeichnis, wie oben, aber immer im aktiven Dateifenster, z.B. für Strg+D.
5. Mit dem Befehl ZIPFROMLIST können Sie eine ZIP-Datei erzeugen, anhand einer Liste von zu packenden Dateien. Das Feld 'Kommando' muss den Dateinamen der ZIP-Datei enthalten, und das Feld 'Parameter' den Namen der Listendatei. Alternativ dazu kann der Name der ZIP-Datei auch an den Anfang des Parameter-Felds gestellt werden. Falls er Leerzeichen enthält, muss er mit doppelten Anführungszeichen "" umgeben werden. Die Listendatei muss eine Liste der zu packenden Dateien enthalten, ein Dateiname pro Zeile (ANSI, UTF-16 oder UTF-8, mit Byteorder-Marker BOM). Für eine Liste der markierten Datei kann %F verwendet werden.
Unterstützt folgende Parameter (vor dem Dateinamen der ZIP-Datei, nur im Feld 'Kommando'): -m Verschieben, -o Überschreiben ohne Nachfrage, -0 .. -9 Packrate, -c0 Verschlüsseln (zip20), -c1 AES128, -c2 AES192, -c3 AES256, -c0pass .. -c3pass Verschlüsseln mit angegebenem Passwort
6. Als weitere Möglichkeit können Sie einen Button einfügen, der auf einen anderen Buttonbar umschaltet. Dazu klicken Sie auf den Button Bar einfügen. In der darauf erscheinenden Dialogbox wählen Sie einen bestehenden Buttonbar oder geben den Namen für einen neuen ein. Darauf erscheint eine weitere Dialogbox, in welcher Sie diesen Bar ändern können.
Hinweis: Wollen Sie einen Bar anderen Namens an diese Stelle einfügen, so müssen Sie den Namen des alten Bar löschen, bevor Sie Bar einfügen wählen!
Wichtig: Ein Buttonbar muss die Dateierweiterung .bar haben, sonst wird er nicht erkannt!
7. APPENDTABS tabfile.tab fügt die in der Datei tabfile.tab gespeicherten Ordner-Tabs zum Tab-Header hinzu.
Um die Tabs auf der linken bzw. rechten Seite zu laden, hängen Sie einen der Buchstaben L oder R an den Befehl an.
8. OPENTABS tabfile.tab wie oben, nur ersetzt es die aktuellen Tabs durch die angegebenen.
Um die Tabs auf der linken bzw. rechten Seite zu laden, hängen Sie einen der Buchstaben L oder R an den Befehl an.
9. SYNCOPEN alter_sync_name öffnet Verzeichnisse Synchronisieren mit gespeicherten Optionen. Beginnt der Parameter mit einem Gleichzeichen "=", startet die Vergleichsfunktion sofort. Besteht der Parameter nur aus einem Gleichzeichen, startet der Vergleich mit den aktuellen Verzeichnissen und zuletzt benutzten Einstellungen.
10. LOADSEARCH Suchparameter öffnet die Suchfunktion mit der gespeicherten Suche. Ein Gleichzeichen = vor dem Namen startet die Suche sofort. Zwei Gleichzeichen zeigen das Resultat direkt im Total Commander an.
11. OPENBAR gespeicherter_bar öffnet einen gespeicherten Buttonbar, z. B. default.bar.
12. MULTIRENAME Umbenennparameter öffnet den Umbenenndialog mit den angegebenen Einstellungen. Ein Gleichzeichen = vor dem Namen startet die Umbenennfunktion sofort, sofern die Einstellungen geladen werden konnten. Zwei Gleichzeichen schließen den Umbenenndialog, sofern die Operation erfolgreich war.
13. OPENCUSTOMVIEW Titel_der_Spaltenansicht wechselt zur ersten benutzerdefinierten Spaltenansicht mit dem angegebenen Namen (Klein-/Großschreibung beachten!). Um die Ansicht auf einer bestimmten Seite zu setzen, hängen Sie einen der Buchstaben L, R, S, T oder B an den Befehl an (links/rechts/Quelle/Ziel/beide), z. B. OPENCUSTOMVIEWL meine_Ansicht um die Ansicht im linken Dateifenster zu wechseln.
14. SELECTFILES Dateitypen markiert Dateien des angegebenen Typs, z. B. SELECTFILES *.txt *.doc
Unterstützte Modifikatoren: D=nur Ordner, B=beides, U=Markierung entfernen, L=linke Seite, R=rechte Seite, T=Zielfenster, S=Wenn während der Ausführung die Umschalttaste gedrückt wird, werden auch Ordner markiert. Diese können direkt ans Ende des Befehls gehängt werden, z.B. selectfilesD oder selectfilesDUT oder jede andere sinnvolle Kombination.
15. Ein Wert von -2 bei keinem Symbol erzeugt einen manuellen Zeilenumbruch im Buttonbar
16. SAVETABS, SAVETABSL, SAVETABSR, SAVETABS2, SAVETABS2L, SAVETABS2R: Speichert Tabs in angegebene Datei. Die ersten 3 speichern nur eine Seite (aktiv, links, rechts), die nächsten 3 speichern beide Seiten (aktiv zuerst, links zuerst, rechts zuerst).
17. SAVESELECTION, SAVESELECTIONA, SAVESELECTIONW: Speichert die Namen der maerkierten Dateien in die angegebene Datei. Mit Buchstabe A am Ende wird als ANSI gespeichert, mit W als Unicode UTF-16, sonst automatisch je nach Betriebssystem (NT-basierte Systeme verwenden Unicode).
18. SAVEDETAILS, SAVEDETAILSA, SAVEDETAILSW: Speichert die Namen und Details der maerkierten Dateien in die angegebene Datei. Mit Buchstabe A am Ende wird als ANSI gespeichert, mit W als Unicode UTF-16, sonst automatisch je nach Betriebssystem (NT-basierte Systeme verwenden Unicode). H nach DETAILS anfügen, um die Namen mit Spaltenüberschriften zu speichern.
19. LOADSELECTION: Lädt Dateimarkierung aus der angegebenen Datei. Unterstützt ANSI und Unicode UTF-16.
20. OPENLANGUAGEFILE: Lädt angegebene Sprachdatei, z.B. wcmd_deu.lng, aus dem language-Unterordner. Kein Parameter = interne englische Sprache.
21. LOADLIST: Lädt eine Liste von Dateien/Ordnern aus der angegebenen Textdatei. Es muss einen Name pro Zeile angegeben werden. Wenn kein Pfad angegeben ist, wird das aktuelle Verzeichnis angenommen. Dateidetails werden automatisch abgerufen. Es können auch Platzhalter verwendet werden, reguläre Ausdrücke werden jedoch nicht unterstützt.
22. LOADLIST0: Wie LOADLIST, aber keine Fehlermeldung anzeigen, wenn eine Datei nicht gefunden wurde.
23. OPENATTRIBUTES: Öffnet den Dialog zum Ändern von Dateiattributen mit spezifischen Optionen
Parameter: Hier können Kommandozeilenparameter angegeben werden. Diese sind nur wirksam, wenn hinter Kommando: ein externes Programm steht, z. B. notepad. Fixe Parameter müssen direkt hinter dem Dateinamen angegeben werden, da beim Drag&Drop stets nur die fallengelassene Datei als Parameter übergeben wird.
Hinweis: Alle Parameter unterstützen nun Teilstringfelder in der Form :~Start,Länge, z.B. %N:~2,5 oder %N:~-8,5 . Um eine Ziffer direkt hinter dem Längenwert anzugeben, muss dieser mit ~ beendet werden z.B. %N:~2,5~2. Negative Werte werden vom Ende des Strings gemessen. Beispiel: %P:~0,-1 schneidet den Rückstrich vom Pfad ab.
Der Startwert -0 ist speziell: %N:~-0,20 kopiert die ersten 20 Zeichen des Namens ohne Erweiterung, %N:~-0,-20 die der Erweiterung ohne Namen.
Spezielle Parameter:
? als erster Parameter bewirkt, dass eine Dialogbox mit den nachfolgenden Parametern aufgerufen wird. In dieser Dialogbox können die Parameter geändert, bzw. weitere Parameter hinzugefügt werden. Außerdem kann die Programmausführung noch verhindert werden.
%P als beliebig oft erlaubter Parameter bewirkt, dass der Pfad des Quellverzeichnisses in die Kommandozeile gestellt wird (inkl. \ am Ende).
%N als ebenfalls beliebig oft erlaubter Parameter bewirkt, dass der aktuelle Dateiname (umgeben von einer gestrichelten Box) dort in die Kommandozeile gestellt wird.
%T (Target) fügt den aktuellen Zielpfad ein. Nützlich z. B. bei Packprogrammen. Man gibt z. B. entpack %P%N %T an, um die gewählte Datei im Quellverzeichnis ins Zielverzeichnis zu entpacken.
%M fügt den im Zielverzeichnis gewählten Dateinamen ein.
%O fügt den aktuellen Dateinamen ohne Erweiterung in die Kommandozeile ein.
%E fügt die aktuelle Dateierweiterung (ohne Punkt) in die Kommandozeile ein.
%B, %B0..%B9
fügt einen Verzeichnisnamen aus dem Pfad ein (inkl. relativen Pfad aus Zweigansicht oder Suchergebnis).
%B oder %B0 = Elternverzeichnis, %B1 = Großelternverzeichnis usw.
%BT, %BT0..%BT9
fügt einen Verzeichnisnamen aus dem Pfad des Zielordners ein (ohne Zweigansicht)
%BT oder %BT0 = Elternverzeichnis, %BT1 = Großelternverzeichnis usw.
%B-, %B-0..%B-9
fügt einen Verzeichnisnamen aus dem Pfad ein (ohne relativen Pfad aus Zweigansicht, leer bei Suchergebnis).
%B- oder %B-0 = Elternverzeichnis, %B-1 = Großelternverzeichnis usw.
%B+, %B+0..%B+9
fügt einen Verzeichnisnamen aus dem Pfad ein (inkl. relativen Pfad aus Zweigansicht oder Suchergebnis), wobei die Zählung am Anfang beim Laufwerksbuchstaben bzw. Servernamen beginnt:
%B+ Laufwerk inkl. ":", %B+0 Laufwerk ohne ":", %B+1 erster Unterordner, %B+2 zweiter Unterordner usw.
%S fügt die Namen aller markierten Dateien in die Kommandozeile ein. Namen, die Leerzeichen enthalten, werden von doppelten Anführungszeichen umgeben. Bitte beachten Sie die maximal mögliche Länge der Kommandozeile: 32767 Zeichen.
%S10
fügt die Namen der ersten 10 markierten Dateien (maximal) in die Kommandozeile ein. Erlaubt es, die Anzahl der an das Programm übergebenen Dateien zu begrenzen. Beliebige Integerwerte>0 sind zulässig.
%R wie %S, aber mit den markierten Dateinamen aus dem Zielfenster
%C1 Wie erster Parameter von "Vergleich nach Inhalt": Erste markierte Datei oder Datei unter Cursor
%C2 Wie zweiter Paramter von "Vergleich nach Inhalt": Zweite markierte Datei, oder erste markierte im Zielfenster, oder gleichnamige im Zielfenster. Hinweis: Falls das rechte Fenster aktiv ist und weniger als 2 Dateien markiert sind, werden %C1 und %C2 vertauscht.
%C3..%C9
Markierte Dateien Nr. 3 bis 9 im Quellfenster, leer falls nicht genug markiert
%c1..%c9
Wie %C1..%C9, aber mit 8.3-Namen und -Pfaden
Hinweise: %N bzw. %M fügt den langen Dateinamen ein, %n bzw. %m den kurzen (8.3) DOS-Namen. %P und %T fügen den langen Pfadnamen ein, %p und %t den kurzen (dasselbe für %o, %e, %b und %s). %p/%t fügt bei FTP-Verbindungen die URL des Verzeichnisses ein.
Wenn Sie %P, %p, %T oder %t direkt vor %S bzw. %s schreiben, dann werden alle Dateinamen inkl. kompletten Pfads eingefügt. Beispiel: %P%S fügt alle langen Dateinamen inkl. langen Pfads ein.
%% Das Prozentzeichen (nur eines!)
%L, %l, %F, %f, %D, %d, %WL, %WF, %UL, %UF
erzeugt im TEMP-Verzeichnis einen Listendatei mit den Namen der markierten Dateien und Verzeichnisse, und fügt den Namen der Listendatei in die Kommandozeile ein. Die Liste wird nach Beendigung des Programms von Total Commander gelöscht. Nur eine Liste pro Kommandozeile wird unterstützt. Es können 10 verschiedene Arten von Listen erzeugt werden:
%L Lange Dateinamen inkl. kompletten Pfads, z. B. c:\Eigene Dateien\langer Name.txt
%l (kleines L) Kurze Dateinamen inkl. kompletten Pfads, z. B. C:\EIGENE~1\LANGER~1.TXT
%F Lange Dateinamen ohne Pfad, z. B. langer Name.txt
%f Kurze Dateinamen ohne Pfad, z. B. LANGER~1.TXT
%D Kurze Dateinamen inkl. kompletten Pfads, aber Umlaute im DOS-Zeichensatz
%d Kurze Dateinamen ohne Pfad, aber Umlaute im DOS-Zeichensatz
%Q Automatische Anführungszeichen (quotes) um bestimmte Platzhalter wie %P%N abschalten, wenn der Name Leerzeichen enthält. Der Benutzer muss diese dann selber setzen.
%UL, %UF
wie %L und %F, aber mit UTF-8-Unicode-Listendatei (mit Byteordermarker)
%WL, %WF
wie %L und %F, aber mit UTF-16-Unicode-Listendatei (mit Byteordermarker)
%v fügt bei Dateisystem-Plugins den virtuellen Dateinamen ein, z. B. bei Plugins wie "Virtual Panel", wo %N den Namen der Zieldatei (im Dateisystem) einfügt, auf welche dieser Eintrag zeigt.
%V Wie %v, aber mit komplettem Pfad (inkl. Pluginname)
%X Interpretiert die folgenden Parameter nach diesem Parameter als links/rechts statt Quelle/Ziel:
%P, %p (linker Pfad), %T, %t (rechter Pfad), %N, %n (linker Name), %M, %m (rechter Name),
%S, %s (linke markierte Dateien), %R, %r (rechte markierte Dateien)
Beispiel: %X%P %T sendet den linken und rechten Pfad z. B. an ein externes Synchronisierprogramm
%x Interpretiert die folgenden Parameter nach diesem Parameter wieder als Quelle/Ziel.
Beispiel: %X%P %x%P sendet den linken und den Quellpfad an das aufgerufene Programm
%Y irgendwo in den Parametern: Übergibt eine leere Liste bei Verwendung der Listenparameter wie %L oder bei Mehrdateiparametern wie %S, falls nichts markiert ist (sonst: Datei unter Cursor).
%Z irgendwo in den Parametern: Erlaubt die Übergabe von Archivnamen als Parameter via %P oder %T
Beispiel: %Z%P übergibt Archivnamen an Programm wenn das aktive Dateifenster ein Archiv anzeigt
Nur beim Definieren von Alias-Befehlen:
%A Fügt den Rest der Kommandozeile ein
%A1..%A9
Fügt den ersten bis neunten Parameter ein.
Beispiel: Alias op zeigt auf Befehl: totalcmd.exe Parameter: /L=%A1 /R=%A2
-> Kommandozeile op c:\dir1 d:\dir2 erzeugt Befehl totalcmd.exe /L=c:\dir1 /R=d:\dir2
Als Symbol: Programm wird als Symbol gestartet
Als Menü anzeigen:
Nur für .bar-Dateien: Zeigt angegebene Buttonbar-Datei als Popup-Menü an, statt zu diesem Buttonbar zu wechseln. Mit der Umsch-Taste können Sie die jeweils andere Option verwenden.
maximiert: Programm wird in voller Größe gestartet
Startpfad: Pfad, der vor dem Start des (externen) Programms eingestellt werden soll. Wird kein Pfad angegeben, so wird automatisch der Pfad des Quellverzeichnisses angenommen. Dieser Pfad hat keinen Einfluss auf interne Befehle von Total Commander!
Wichtig: Wenn der unter 'Kommando' angegebene Befehl cd Laufwerk:\Verzeichnis ist, so wird der unter Startpfad gegebene Pfad im Zielfenster gesetzt! Dies erlaubt das gleichzeitige Setzen von Quell- und Zielverzeichnis.
Icondatei: Datei, die das Symbol für die Buttonleiste enthält. Bei Windows-Programmen können Sie das Programm selbst hier angeben (z. B. notepad.exe). Für interne Befehle steht in wcmicons.dll einige Icons zur Auswahl. Wenn eine alternative Symbolbibliothek über Konfigurieren - Einstellungen - Symbole ausgewählt wurde, und Sie hier wcmicons.dll angeben (ohne Pfad!), ersetzt Total Commander diese automatisch durch die Liste der Symbole aus der konfigurierten Bibliotheksdatei.
Das Standardsymbol für eine Erweiterung .erw (z.B. für Windows Store-Apps) kann wie folgt angegeben werden: @name.erw
Icon: In dieser Liste werden alle in der Icondatei enthaltenen Icons angezeigt. Davor wird die Nummer des aktuell gewählten Icons gezeigt.
Tooltip: Inhalt des kleinen Textfensters, das beim Verweilen des Mauszeigers auf einem Button angezeigt wird. Ein vertikaler Strich | fügt einen manuellen Zeilenumbruch ein, zwei Striche || werden als einer angezeigt. Ein einzelnes Leerzeichen bewirkt, dass für diesen Button kein Tooltip angezeigt wird.
OK Speichert die Einstellungen für diesen Button bzw. für den bearbeiteten Buttonbar im der aktuellen Buttonbar-Datei (*.bar).
Abbrechen Verlässt die Dialogbox ohne zu speichern.
Hilfe Startet die Windows-Hilfe mit dieser Seite


Dialogbox: Konfigurieren: Farben

Konfigurieren - Farben Zurück
Mit dieser Option bestimmen Sie Text-, Hintergrund-, Markierungs- und Cursorfarbe für das Hauptfenster des Total Commander. Außerdem kann eingestellt werden, ob der Cursor als Rahmen oder invers dargestellt wird. Leider kann man die Farben der Linien und Knöpfe nicht separat ändern, da dies Standardeinstellungen von Windows sind (über die Systemsteuerung verstellbar). Ab Total Commander 9.50 kann zwischen normalem und dunklem Modus umgeschaltet werden.
Feld Beschreibung
Dunkelmodus: Zwischen Normal- und Dunkelmodus wechseln. Die Änderung wird sofort übernommen. Die dritte Option reagiert auf die Windows 10-Option "Standard-App-Modus auswählen", die über einen Rechtsklick auf den Desktop - Anpassen - Farben - Farbe auswählen erreicht werden kann.
Hinweis: Einige Farben können nur durch Schließen und erneutes Öffnen von Total Commander geändert werden, z.B. die meisten Kontextmenüs und Standard-Windows-Dialogfelder. Einige Elemente wie Kontextmenüs können nur unter Windows 10 Herbst 2018 (1809) und höher in dunkler Form angezeigt werden.
Textfarbe: Wählen Sie hier eine Farbe für den Text im Hauptfenster. Achtung: wenn Sie den falschen Rotton wählen, können Sie markierte Dateien nicht mehr unterscheiden!
Hintergrund: Wählen Sie hier eine passende Hintergrundfarbe. Nur die Verzeichnisfenster erscheinen in dieser Farbe, die umgebende Fensterhintergrundfarbe wird durch die Einstellungen in der Systemsteuerung bestimmt.
Hintergrund 2: Legen Sie eine andere Hintergrundfarbe für geradzahlige Zeilen fest. Empfehlenswert ist eine nur leicht von der normalen Hintergrundfarbe abweichende Farbe.
Markierung: Wählen Sie hier eine Farbe für die markierten Dateien. Achten Sie darauf, dass Sie nicht dieselbe Farbe wie bei Textfarbe wählen!
Cursorbalken: Wählen Sie hier eine Farbe für den Cursorbalken. Wenn Sie Vorgabe wählen, so wird der Cursor invers und gestrichelt dargestellt (Windows-Standard).
Cursor Text: Wählen Sie hier eine Farbe für den Text im Cursorbalken. Diese Option ist nur verfügbar, wenn der Cursor invers (als Balken) dargestellt wird.
Andere: Legt die Farben in diversen anderen Orten fest. Es wird teils eine eigene Vorschau angezeigt.
Für die Darstellung im Lister lassen sich einstellen:
- Farbe und Hintergrundfarbe für den Text,
- Farbe und Hintergrundfarbe für markierten Text,
- Farbe für HTML-Links. (nur für den Modus "HTML - Text")
Für die Darstellung in den Fenstern beim "Vergleich nach Inhalt" lassen sich einstellen:
- Textfarbe für Unterschiede bei Vergleich im Textmodus,
- Textfarbe für markierte Zeilen bei Vergleich im Textmodus,
- Textfarbe für Unterschiede bei Vergleich im Binärmodus,
- Textfarbe für markierte Zeilen bei Vergleich im Binärmodus.
- Textfarbe für Text ohne Unterschiede
- Hintergrundfarbe für Zeilen ohne Unterschiede
- Hintergrundfarbe für Zeilen mit Unterschieden
- Textfarbe für markierten Text ohne Unterschiede
- Hintergrundfarbe für markierten Text ohne Unterschiede
- Suchresultate (Unterstreichung)
Für die Titelzeile von Dateifenstern lassen sich einstellen
- Textfarbe für die aktive Seite
- Hintergrundfarbe für die aktive Seite
- Textfarbe für die inaktive Seite
- Hintergrundfarbe für die inaktive Seite
Für "Verzeichnisse synchronisieren" lässt sich einstellen:
- Hintergrundfarbe für markierte Zeilen
Für "Tippfenster" lassen sich einstellen:
- Textfarbe des Tipps
- Hintergrundfarbe des Tipps
- Farbe der Umrandung
Für den Dunkelmodus lassen sich einstellen:
- Textfarbe
- Hintergrundfarbe
- Hervorhebungen: aktive Tabs, permanent aktive Buttons; Hervorhebungen (2): Gedrückte Button, Rahmen
- Rand: Randfarbe von Listen, Optionsgruppen usw.
Benutze Windows-Thema für Cursor:
Der Cursorbalken wird mit dem aktuellen Windows-Thema angezeigt statt mit der vom Benutzer festgelegten Farbe.
Benutze invertierten Cursor:
Wenn diese Option gewählt ist, so wird die aktuelle Datei als invertiertes (gefülltes) Rechteck in der unter "Cursorbalken" gewählten Farbe dargestellt, ansonsten als feines nicht ausgefülltes Rechteck. Diese Option ist nur auf schnellen Rechnern ab 486er aufwärts zu empfehlen.
Benutze invertierte Markierung:
Zeigt die markierten Dateien als invertiertes (gefülltes) Rechteck in der unter Markierung gewählten Farbe. Kann nicht gleichzeitig wie die vorherige Option verwendet werden.
Definiere Farben nach Dateityp
Öffnet eine Dialogbox, mit deren Hilfe Sie verschiedene Farben je nach Dateityp festlegen können, z. B. alle ZIP-Dateien in einer bestimmten Farbe und alle Systemdateien in einer anderen.
Beispiel: Hier wird ein Beispieltext mit den gewählten Farben angezeigt.


Dialogbox: Konfigurieren: Diverses

Konfigurieren - Diverses Zurück
Feld Beschreibung
Bestätigung einholen vor
Hier bestimmen Sie, bei welchen Dateioperationen Total Commander eine Bestätigung einholen soll. Mehr Bestätigungen bedeutet mehr Sicherheit, bremst jedoch auch den Arbeitsfluss. Sie müssen selbst wissen, wie viel Sicherheit Sie benötigen. Als Standard ist maximale Sicherheit eingestellt.
Löschen von nicht leeren Verzeichnissen:
Haben Sie diese Option angekreuzt, dann werden Sie beim Löschen von nicht leeren Verzeichnissen gefragt, ob Sie das betreffende Verzeichnis wirklich löschen wollen.
Überschreiben von Dateien:
Wenn diese Option gewählt ist, werden Sie beim Kopieren und Verschieben von Dateien gefragt, ob bereits existierende Dateien überschrieben werden dürfen.
Überschreiben/Löschen von schreibgeschützten Dateien:
Bei schreibgeschützten Dateien werden Sie nochmals gefragt, ob die Datei wirklich gelöscht bzw. überschrieben werden soll. Dies ist eine zusätzliche Sicherheitsmaßnahme, um Ihre wertvollen Daten zu schützen. Diese Option sollte eigentlich nie deaktiviert werden.
Überschreiben/Löschen von versteckten und Systemdateien:
Bei versteckten und Systemdateien werden Sie nochmals gefragt, ob die Datei wirklich gelöscht bzw. überschrieben werden soll. Dies ist eine zusätzliche Sicherheitsmaßnahme, damit Sie nicht aus Versehen Dateien des Betriebssystem löschen.
Drag&Drop (Ziehen und Fallenlassen):
Sofern diese Option NICHT gewählt ist, werden die Dateien beim Kopieren und Verschieben mit der Maus beim Loslassen auf dem Ziellaufwerk sofort dorthin kopiert/verschoben, ohne dass vorher eine Box erscheint, die nach dem Zielpfad fragt. Dasselbe gilt für das Löschen von Dateien beim Drag auf den Löschen-Button.
Tastenkombinationen umdefinieren
Belegen Sie freie oder bereits belegte Tastenkombinationen mit anderen internen oder externen Befehlen (cm_befehl oder em_befehl), oder definieren Sie ein Alias für einen internen Befehl.
Tasten: Wählen Sie hier die gewünschte Tastenkombination. Dabei wird auch die Windows-Taste unterstützt, sofern die Tastenkombination nicht systemweit bereits benutzt wird (z. B. Win+E=Explorer). Klicken Sie 2x auf die Liste (1x um den Fokus zu setzen und erneut, um die Liste zu schließen) und drücken Sie anschließend die gewünschte Taste, um deren Tastencode auszuwählen.
Tastencodes, die mit OEM_ beginnen, hängen vom gewählten Tastaturlayout ab (OEM=original equipment manufacturer). Beispielsweise wird der Code OEM_US[{ durch die mit "[{" beschriftete Taste auf der U.S.-Tastatur erzeugt (daher der Name).
Bitte beachten Sie, dass gewisse Kombinationen wie Strg+Buchstabe nicht umdefiniert werden, während sich die Eingabe in der Kommandozeile befindet.
Zeigt eine Liste der zzt. definierten Tastenkombinationen. Wählen Sie eine, um sie zu ändern. Um eine Tastenkombination zu löschen, wählen Sie sie, und klicken Sie anschließend auf das Vergrößerungsglas, und wählen die oberste Option (Voreingestellter Befehl).
Alias: Geben Sie eine Zeichenfolge ein, über welche ein Befehl über die Kommandozeile gestartet werden soll, z. B. ed zum Starten des Editors.
Befehl: Ordnen Sie der Tastenkombination/dem Aliasnamen einen internen oder externen Befehl zu: Ein Klick auf das Lupensymbol öffnet die Dialogbox "Befehl wählen". Um eine Tastenkombination/einen Aliasnamen zu entfernen, wählen Sie bitte 'Voreingestellter Befehl (keine Änderung)'. Achtung: Es wird nicht angezeigt, ob die Tastenkombination bereits von Total Commander verwendet wird, da Total Commander intern eine effizientere Methode für die Tastenbelegung verwendet.
Bitte betätigen, um die Tastenkombination/den Aliasnamen zu definieren. Wenn Sie eine vorher definierte Tastenkombination aus der Liste wählen, wird hier ein rotes X zum Entfernen angezeigt.
Benutzerdefinierte Klänge
Erlaubt das Abspielen von WAV-Dateien beim Beenden gewisser Operationen, z. B. Kopieren, Packen
Konfigurieren Öffnet den Teil der Systemsteuerung, mit welchem die Klänge geändert werden können. Für Total Commander gibt es dafür einen separaten Abschnitt, meist am Ende der Liste.
Nur bei langen Operationen abspielen
Wenn Sie diese Option wählen, so spielt Total Commander die gewählten Klänge nur ab, wenn die entsprechende Operation eine gewisse Mindestzeit gedauert hat. So werden Sie nicht bei jeder kleinsten Kopieroperation gestört, aber z. B. über das Ende eines längeren Transfers informiert.
> xx s Geben Sie hier die gewünschte Mindestdauer der Operation in Sekunden an


Dialogbox: Konfigurieren: Kopieren/Löschen

Konfigurieren - Kopieren/Löschen Zurück
Erlaubt Feineinstellungen für die Kopier- und Löschfunktion.
Kopiermethode (nur für Experten)
Dieser Abschnitt erlaubt das Einstellen der Kopiermethode:
Standard-Kopiermethode benutzen (empfohlen)
Überlässt Total Commander die Wahl der Kopiermethode. Zurzeit ist das die interne Standardmethode via ReadFile/Writefile unter Windows 9x/ME, und die Funktion CopyFileEx unter Windows NT/2000/XP/Vista/7..11.
Nur Standardmethode benutzen
Die interne Standardmethode (via ReadFile/Writefile) ist relativ langsam, aber auch zuverlässig. Möglicherweise kann eine etwas größere Blockgröße das Kopieren beschleunigen. Beim Kopieren innerhalb desselben Laufwerks sollte eine größere Puffergröße gewählt werden als zwischen 2 Laufwerken, damit der Lesekopf nicht ständig zwischen Quell- und Zieldatei hin und her springen muss. Empfehlung: Beide Puffergrößen auf 32 k einstellen.
Auch Kopiermethode für große Dateien
Die Kopiermethode für große Dateien ist zum Kopieren von sehr großen Dateien wie Filmen oder CD-ROM-Abbildern gedacht. Dabei wird der Dateicache von Windows im Hauptspeicher umgangen. Dies funktioniert mit Festplatten sehr gut, kann aber das Kopieren auf spezielle Laufwerke stark ausbremsen (z. B. auf USB-Sticks). Empfehlung: Puffergröße innerhalb des Laufwerks auf mindestens 10240 k einstellen, zwischen 2 Laufwerken auf 32 k. Warnung: Gewisse von Geräteherstellern geschriebenen Treiber können Fehler enthalten, welche einen Betrieb in diesem Modus verhindern!
Folgende Laufwerksbuchstaben befinden sich auf derselben Festplatte (Beispiel: CDE,FGH ):
Falls Ihre Festplatte in mehrere Partitionen aufgeteilt ist, z. B. Laufwerk C, D und E, so muss das Kopieren zwischen Laufwerk C und D gleich behandelt werden wie innerhalb von Laufwerk C. Mit dieser Option können Sie Total Commander mitteilen, welche Laufwerke zur selben Festplatte gehören (bei mehreren Festplatten durch Kommas getrennt).
Beispiel: Falls Sie 2 Festplatten besitzen, eine mit Laufwerksbuchstaben C, D und E und eine mit F, G und H, so müssen Sie hier CDE,FGH angeben.
Kompatibilitätsmodus für folgende Laufwerke verwenden:
Der Kompatibilitätsmodus eignet sich für spezielle Laufwerke, die mit den Standardmethoden Probleme haben, z. B. USB-Speichersticks. Geben Sie hier einfach die gewünschten Laufwerksbuchstaben und/oder \ für die Netzwerkumgebung an, oder * für alle. Dieser Modus steht nicht unter Windows 9x/ME zur Verfügung. Er verwendet die Windows-Funktion CopyFileEx.
USB-Speichersticks Falls markiert, werden (als Super-Floppy formatierte) USB-Sticks automatisch erkannt, und der Kompatibilitätsmodus für diese verwendet. Grund: Ohne diese Option wäre das Kopieren von/zu USB-Sticks unter Windows XP extrem langsam, weil diese ohne Cachespeicher auskommen müssen!
Benutze Kopieren+Einfügen via Explorer (bei Problemen verwenden)
Diese Kopiermethode sollten Sie nur bei Problemen benutzen. Sie kopiert die Dateien via die Zwischenablage, also via den Explorer. Gewisse Virenscanner können die normalen Dateifunktionen so extrem ausbremsen, dass nur noch diese Kopiermethode hilft, weil die Scanner gewisse Ausnahmebehandlungen für den Explorer enthalten.
Achtung: Mit dieser Funktion können weder Dateikommentare kopiert werden, noch stehen die erweiterten Überschreib- und Umbenennoptionen von Total Commander zur Verfügung.
Generelle Kopier- und Löschoptionen
Kopiere Datum/Zeit von Verzeichnissen
Erlaubt das Kopieren des Verzeichnisdatums mit dem Verzeichnis. Betrifft auch das Entpacken von Verzeichnissen aus Archiven, sofern diese mit gepackt wurden (nicht nur die Dateien mit relativen Pfaden).
Achtung: Bei NTFS-formatierten Laufwerken ändert sich das Verzeichnisdatum oft, wenn man Dateien in diesem Verzeichnis ändert!
Verfizieren nach dem Kopieren (MD5-Prüfsumme)
Liest die kopierte Datei nach dem Kopiervorgang erneut ein, und vergleicht die MD5-Prüfsumme mit dem Original. Dabei wird der Disk-Cache umgangen. Da diese Funktion langsam ist, sollte sie nur verwendet werden, wenn es bekannte Probleme mit Datenträgern gibt. Diese Checkbox legt fest, ob Verifizieren beim Start von Total Commander aktiv ist. Die Funktion kann direkt im F5-Kopieren-Dialog geändert werden.
Benutze Explorer-Löschmethode
Löscht Dateien via den Explorer. Das geht zwar schneller, kann aber keine Dateikommentare mit löschen.
F8/DEL löscht in den Papierkorb (SHIFT=direkt)
Ist diese Option aktiviert, so löscht F8 bzw. DEL/ENTF oder Drag&Drop auf den F8-Button in den Papierkorb von Windows. Mit Umschalt+F8 kann trotzdem auch direkt gelöscht werden. Ist die Option nicht aktiv, so wird direkt gelöscht.
Hinweis: Diese Option ist nicht verfügbar, falls Benutze Explorer-Löschmethode aktiviert ist, weil diese Einstellungen dann im Explorer gemacht werden.


Dialogbox: Konfigurieren: Benutzerdef Spalten

Konfigurieren - Benutzerdef. Spalten Zurück
Hier können Sie den Inhalt der benutzerdefinierten Spalten festlegen sowie deren Reihenfolge ändern (Drag&Drop).
Konfiguriere Spalten für Dateisystem:
Dateisystem-Plugins können auch benutzerdefinierte Spalten unterstützen. Dafür ist u.U. ein Update des jeweiligen Plugins nötig. Diese Funktion ist nützlich etwa für ein Registry-Plugin, um den Inhalt von Schlüsseln anzuzeigen. Wählen Sie "Generell" für Spalten aus dem normalen Dateisystem.
Konfigurationen von benutzerdefinierten Spalten
Listet alle bereits konfigurierten benutzerdefinierten Spaltenansichten. Es können max. 29 verschiedene Spaltenansichten konfiguriert werden. Sie können die Spaltenansichten einfach per Drag&Drop umsortieren.
Neu Legt eine neue Spaltenansicht an, und öffnet den Konfigurationsdialog für diese Spaltenanschicht.
Bearbeiten Öffnet den Konfigurationsdialog für die gewählte Spaltenanschicht.
Löschen Löscht die gewählte Spaltenanschicht. Die Änderung wird erst nach Drücken von "Anwenden" oder "OK" gespeichert.
Kopieren Legt eine Kopie der gewählten Spaltenansicht an, und öffnet den Konfigurationsdialog für diese Spaltenanschicht.


Dialogbox: Konfigurieren: Dateibetrachter/Editor

Konfigurieren - Viewer/Editor Zurück
Erlaubt die Auswahl eines Dateibetrachters für F3 und eines Editors für F4.
Für F3 können Sie entweder den eingebauten Lister benutzen oder Sie wählen einen externen Dateibetrachter. Für den internen Lister stehen Ihnen 2 Möglichkeiten offen: Einerseits können Sie einstellen, dass beim Drücken von F3 die Datei angezeigt wird, auf der sich der Cursor befindet. Wählen Sie dazu internen Lister mit Datei unter Cursor starten. Andererseits können Sie den Lister mit allen markierten Dateien starten lassen, um anschließend bequem mit den Tasten n und p vor und zurück zu blättern. Wenn Sie eine der beiden Möglichkeiten gewählt haben, so können Sie trotzdem die andere benutzen: Drücken Sie einfach Umsch+F3 statt F3.
Als dritte Möglichkeit steht es Ihnen offen, einen oder mehrere externe Betrachter zu benutzen (z. B. IrfanView). Sie können jeder Dateierweiterung einen eigenen Betrachter zuordnen sowie einen weiteren für nicht verknüpfte Dateien angeben. Mit ALT+F3 schalten Sie zwischen internem und externem Dateibetrachter um. Falls die Dateierweiterung der zu betrachtenden Datei keinem Betrachter zugeordnet ist, wird die eingebaute Schnellansicht verwendet. Falls bei dieser für den gewünschten Dateityp kein Betrachter vorliegt, wird der Standard-Viewer verwendet.
Feld Beschreibung
Dateibetrachter Erlaubt die Wahl des Dateibetrachters (file viewer) für die Funktionstaste F3 und den Knopf F3 unter der Kommandozeile:
Internen Viewer konfigurieren
Hier rufen Sie den Konfigurationsdialog des eingebauten Dateilisters auf.
externer Viewer Wählen Sie hier den Dateibetrachter, der aufgerufen werden soll, wenn keine Verknüpfung besteht! Wenn Sie hier nichts angeben (oder none), wird der interne Betrachter gewählt.
Verknüpfungen Hier können Sie für jede Dateierweiterung einen eigenen Dateibetrachter wählen. Die Auswahl läuft analog zu der Dialogbox Verknüpfen. Die Verknüpfungen werden jedoch in der Wincmd.ini gespeichert.
Tastenkombinationen Legt die Standard-Tastenkombinationen für die Dateianzeige fest:
internen Viewer mit Datei unter Cursor starten
Tastenkombination wählen, mit welcher der Dateibetrachter mit der aktuell umrandeten Datei im Quellverzeichnis aufgerufen wird, nicht mit einer der markierten Dateien.
int. Viewer mit selektierten Dateien aufrufen
Tastenkombination, mit welcher der Dateibetrachter mit allen momentan gewählten Dateien im Quellverzeichnis aufgerufen wird. Mit n und p kann durch die Dateien geblättert werden.
externer Viewer Die Tastenkombination für den externen Viewer, der weiter oben konfiguriert wurde.
Editor für F4 Geben Sie hier einen Editor an, der mit F4 aufgerufen werden soll. Standardmäßig ist hier der Windows-Editor notepad.exe eingestellt. Dieser ist jedoch bei Windows 9x/ME auf ca. 48k große Dateien begrenzt. Es gibt aber gute Shareware-Editoren (z. B. Notetab Pro. Link über unsere Homepage), welche größere Dateien bearbeiten können.
>> Öffnet eine Dialogbox, mit deren Hilfe die gewünschte Datei aufgesucht werden kann.
Plugins/FTP: Geänderte Dateien automatisch wieder hochladen
Dies legt fest, wie mit temporären Dateien umgegangen werden soll, die mit F3 angesehen oder F4 bearbeitet werden:
Falls aktiviert, wird die Datei automatisch wieder hochgeladen, wenn sie im Editor gespeichert wurde, auch mehrfach.
Falls deaktiviert, wird die Datei nur nach dem Schließen des Editors hochgeladen, und nur, wenn der Benutzer den erneuten Upload bestätigt hat. Dies entspricht der Methode von Total Commander 8.0x und älter.


Dialogbox: Konfigurieren: Ordner-Tabs (Register)

Konfigurieren - Ordner-Tabs (Register) Zurück
Einstellungen für die Ordner-Tabs (Register) über den Dateifenstern:
Tab-Zeile auch anzeigen, falls nur ein einziger Tab vorhanden ist
Falls diese Option NICHT markiert ist, so werden die Ordner-Tabs nur angezeigt, sofern mindestens zwei Tabs offen sind. Neue Tabs lassen sich trotzdem mit Strg+T oder Strg+Pfeil nach oben öffnen.
Tabs auf mehreren Zeilen
Falls aktiviert, werden Tabs automatisch auf mehrere Zeilen umgebrochen, wenn sie nicht auf einer Zeile Platz finden. Ansonsten werden zwei kleine Knöpfe zum seitlichen Durchscrollen der Tabs angezeigt.
Alle Tabs haben dieselbe Breite
Zeigt Tabs ähnlich wie beim Mozilla mit fester Breite an.
Tab-Titellänge begrenzen auf:
Begrenzt die maximale Länge des Texts eines Tabs auf die angegebene Länge.
Bestätigen von 'Alle Tabs schließen'
Fragt nach, bevor via Rechtsklickmenü alle Tabs geschlossen werden.
Tab mit Doppelklick schließen
Erlaubt das Schließen von Tabs per Doppelklick (zusätzlich zum normalen Schließen per mittlere Maustaste).
Strg+Auf öffnet neuen Tab im Vordergrund
Normalerweise öffnet Strg+Pfeil nach oben einen neuen Tab mit dem Verzeichnis unter dem Cursor, bleibt aber auf dem aktuellen Tab stehen - so können schnell mehrere Unterverzeichnisse in einzelnen Tabs geöffnet werden. Mit dieser Option wird dagegen der neue Tab gleich aktiviert.
Neue Tabs neben aktuellem Tab öffnen
Wenn aktiviert, werden neue Tabs direkt rechts neben dem gerade aktiven Tab erzeugt. Wenn nicht, werden sie ans Ende der Tabs angefügt.
Gesperrte Tabs mit einem Stern * anzeigen
Gesperrte Tabs (das sind solche, die sich nicht löschen lassen) werden mit einem * gekennzeichnet. Sie können Tabs über das Rechtsklickmenü sperren und wieder entsperren sowie ihnen einen Namen zuweisen. So können Sie z. B. oft benutzte Verzeichnisse immer griffbereit halten.
Aktiviere Zielfenster beim Klick auf einen seiner Tabs
Diese Option legt fest, was passiert, wenn man ein Tab über dem nicht aktiven Dateifenster anklickt: Falls sie gewählt ist, wird das Fenster aktiviert, ansonsten bleibt das andere Fenster aktiv.
Immer Laufwerksbuchstaben im Tabtitel anzeigen
Laufwerksbuchstaben durch Doppelpunkt getrennt vor dem Verzeichnisnamen anzeigen, in der Form: c:windows. Bei FTP-Verbindungen wird die Verbindungsnummer angezeigt, etwa 0:tmp. Bei einer getrennten Verbindung (nach einem Neustart von Total Commander) wird ein # angezeigt.
Symbole auf Tabs anzeigen
Zeigt Symbole (Icons) in den Tabs an. Über >> kann man festlegen, für welche Ordnertypen Symbole angezeigt werden sollen. Standardmässig werden Symbole für lokale Laufwerke, definiert via Ordner-Eigenschaften (desktop.ini), für virtuelle Ordner wie den Desktop, Dateisystem-Plugins, FTP-Verbindungen und benutzerdefinierte Ansichten angezeigt.
Zurück zum gesperrten Tab-Stammverzeichnis beim Tab-Wechsel
Bei Verwendung der Option "Gesperrt, aber Verzeichniswechsel erlaubt" wird beim Umschalten zu einem anderen Tab zum gespeicherten gesperrten Verzeichnis zurückgewechselt. Falls diese Option nicht gewählt ist, muss man auf den bereits aktiven Tab oder den "\"-Knopf klicken, oder Strg+\ drücken, um zum gesperrten Verzeichnis zurückzukehren.
Wenn sich das aktuelle Verzeichnis vom gesperrten unterscheidet, wird ein Ausrufezeichen "!" vor dem Tab-Titel angezeigt.
Angezeigte Dateitypen separat pro Tab speichern
Falls aktiviert, werden via Menü Ansicht - Benutzerdefiniert ausgewählte Anzeigefilter separat für jeden Tab gespeichert. Ansonsten werden sie für das gesamte linke bzw. rechte Dateifenster festgelegt, wie bei Versionen von Total Commander vor Version 10.00.


Dialogbox: Konfigurieren: Schriftart

Konfigurieren - Schrift Zurück
Mit dieser Option wählen Sie eine Schriftart für den Total Commander. Bei gewissen Schriften mit festem Buchstabenabstand (z. B. Courier) passen die Zeilen unter Umständen nicht in die Dateifenster. Wählen Sie in einem solchen Fall eine andere Schrift (bevorzugt mit variablem Zeichenabstand), oder machen Sie das Fenster breiter, speichern die Position ab und ändern die Tabulatorstellungen in den Dateifenstern. Die gewählte Schriftart und -größe wird für jede Bildschirmauflösung separat gespeichert, was beim Wechsel zwischen verschiedenen Auflösungen praktisch ist. Beim Ändern der Schriftart wird die Größe des Total Commanders auf dem Bildschirm automatisch angepasst. Total Commander kann jedoch nicht größer als die Bildschirmgröße werden, weshalb er bei zu großen Schriftarten abgeschnitten wird.
Feld Beschreibung
Skalierung der Dialogboxen (skaliert das Hauptfenster nicht)
Vergrössert/Verkleinert die Dialogboxen von Total Commander auf den angegebenen Wert in Punkten pro Zoll (dots per inch). Vorgabe ist die Einstellung in der Windows-Systemsteuerung. Dies skaliert auch die Schrift in den Dialogboxen! Die Schrift in der Dateiliste und im Hauptfenster werden dadurch NICHT skaliert.
Dialogboxen automatisch an größere Schriften anpassen
Falls diese Option aktiv ist, und man unter "Schrift in den Dialogboxen" eine grössere Schrift als die Standardschrift einstellt, vergrößert Total Commander seine Dialogboxen automatisch, so dass die grösseren Texte genug Platz haben.
Schrift Dateiliste Wählen Sie hier eine Schriftart für die Dateiliste. Einige Schriften wie Script können nicht korrekt dargestellt werden und werden durch andere ersetzt. Taucht die gewünschte Schrift nicht in der Liste auf, so können Sie versuchen, den Schriftnamen von Hand einzugeben.
Schrift Hauptfenster Hier bestimmen Sie die Schrift für den Rest des Fensters (exklusive Dateilisten und Tabulatorleiste).
Schrift in den Dialogboxen
Bestimmt die Schrift für die Dialogboxen. Warnung: Die Größe der Dialogboxen wird nicht an die Schriftgröße angepasst, ausser wenn Sie Dialogboxen automatisch an größere Schriften anpassen verwenden. Sie sollten in diesem Fall nur eine 8- oder 10-Punkt-Schrift wählen. Diese Option ist für Sprachen bestimmt, bei welchen die Standardschrift (MS Sans Serif, 8) nicht die richtige Codeseite enthält, z. B. Japanisch.
Schrift ändern Öffnet einen Standard Windows-Dialog zur Schriftauswahl.
<Beispieltext> Hier wird ein Beispieltext mit der gewählten Schriftart und -größe angezeigt. Die Schriftgröße kann von der später von Total Commander angezeigten wegen Rundungsfehlern leicht abweichen.


Dialogbox: Konfigurieren: FTP

Konfigurieren - FTP Zurück
Einstellungen für den eingebauten FTP-Client:
Anzahl Verbindungsversuche, falls FTP-Server beschäftigt
Lässt Total Commander mehrmals eine Verbindung versuchen, falls der FTP-Server besetzt ist. Nützlich für überlaufene FTP-Server (anonyme und auch solche mit Username+Passwort). Auf 0 setzen, falls diese Funktion nicht gewünscht wird.
Verzögerung zwischen Versuchen (Sekunden)
Total Commander wartet die angegebene Anzahl Sekunden, bevor er einen weiteren Verbindungsversuch macht.
Standard-Transfermodus:
Bestimmt den Upload- und Downloadmodus für Dateien. Unter Unix werden Textdateien (txt, html etc.) anders gespeichert als unter DOS und Windows. Deshalb müssen sie in einem anderen Modus kopiert werden. Der Modus "automatisch" benutzt die Dateierweiterung, um zu bestimmen, welche Dateien Text und welche Binärdateien sind.
Neue Verbindungen öffnen:
Standardmäßig werden neue Verbindungen im gerade aktiven Dateifenster geöffnet. Mit dieser Option können sie stattdessen immer im linken oder immer im rechten Dateifenster geöffnet werden, oder auch im inkativen (Ziel-)Dateifenster.
Erzeuge eine Logdatei:
Schreibt alle im FTP-Fortschrittsfenster gezeigten Meldungen in eine Logdatei. Geben Sie hier den Namen der Datei an.
Alle Transfers im Hintergrund:
Standardmäßig werden alle Transfers in einem separaten Fenster (und Thread) gestartet.
Benutze standardmäßig den Passivmodus:
Benutzt für neue Verbindungen den Passivmodus. Dieser ist vor allem zum Passieren von Firewalls gedacht, wenn keine Verbindungen von außen erlaubt sind. Wenn man eine neue Verbindung konfiguriert, werden deren Einstellungen für den Passivmodus automatisch zum Standard.
PORT-Modus: nur Ports aus begrenztem Bereich:
Diese Option ist nützlich, wenn Sie Ihre Firewall für eine begrenzte Anzahl hereinkommende PORT-Verbindungen geöffnet haben, etwa weil der Server den Passivmodus nicht unterstützt. Sie sollten mindestens 100 Ports auf einem Computer benutzen, besser 1000.
Außerdem wird diese Option zusammen mit der folgenden (externe Adresse) benutzt.
PORT-Modus: externe Adresse (IP/DNS/http):
Diese Option ist nur nötig bei Routern, die keine automatische FTP-Unterstützung enthalten. Bei vielen Routern ist diese Option nicht nötig oder gar kontraproduktiv, weil der Router selbst die Umwandlung von der lokalen zur externen Adresse vornimmt.
Sollte Ihr Router den FTP-Portmodus nicht direkt unterstützen, müssen Sie auf dem Router eine Port-Weiterleitung einrichten, z. B. Ports 10000 bis 11000. Diese weitergeleiteten Ports müssen Sie mit der obigen Option "nur Ports aus begrenztem Bereich" Total Commander mitteilen.
Als externe Adresse können Sie hier eintragen:
1. Falls Sie eine fixe numerische IP-Adresse erhalten haben, können Sie diese direkt eintragen
2. Falls Sie den DynDNS-Service benutzen, können Sie hier Ihren DynDNS-Namen eintragen
3. Falls Sie Zugriff auf einen Webserver haben, z. B. bei Ihrem Zugangsprovider, dann legen Sie eine Skriptdatei auf dem Server an, welche Ihre IP-Adresse zurückmeldet. Die Adresse der Skriptdatei tragen Sie dann hier ein, etwa http://www.meinservername.com/verzeichnis/skriptdatei.php
Beispielscript in php: <?php print $_SERVER["REMOTE_ADDR"]; ?>
Komprimieren während des Transfers (MODE Z)
Komprimiert Dateien automatisch während des Transfers, sofern der Server das unterstützt. Benutzt eine ZIP-kompatible Packmethode.
Nicht im LAN Deaktiviert MODE Z für Server im selben Unternetzwerk, oder falls dieser eine private Adresse wie 192.168.*.* benutzt. Empfohlen innerhalb eines Firmennetzes, wo das packen weitaus langsamer ist als das ungepackte Versenden der Daten. Sie sollten diese Option deaktivieren, falls Sie als Fernarbeiter über eine langsame (Modem-)Verbindung auf das Firmennetz zugreifen.
Autom. Wiederaufnahme des Transfers falls keine Daten für:
Falls eine Verbindung für die angegebene Anzahl Sekunden hängt (keine Daten), trennt Total Commander automatisch die Verbindung und baut sie neu auf. Danach setzt er den Transfer fort.


Dialogbox: Konfigurieren: Symbole (Icons)

Konfigurieren - Symbole (Icons) Zurück
Mit dieser Seite wählen Sie Anzeigeoptionen für Symbole (Icons) im Total Commander. Die gewählte Symbolgröße wird für jede Bildschirmauflösung separat gespeichert, was beim Wechsel zwischen verschiedenen Auflösungen praktisch ist.
Feld Beschreibung
Symbole links vom Dateinamen anzeigen:
Alle verknüpften + EXE/LNK (langsam)
Diese Option extrahiert ein Symbol (Icon) aus jeder EXE und LNK-Datei. Wenn dies auf Ihrem Computer zu langsam sein sollte, so verwenden Sie stattdessen die nächste Option.
Alle Für Dateien, die mit einem Programm verknüpft sind, wird das Symbol des entsprechenden Programms angezeigt. Archivdateien (gepackte Dateien) haben ein Paket als Icon. Verzeichnisse haben die Form eines Ordners. Programme erscheinen als verkleinertes Abbild eines Windows-Programms. Nicht verknüpfte Dateien haben ein weißes Icon, Versteckte und Systemdateien haben zusätzlich ein Ausrufezeichen auf dem Icon.
Nur Standardsymbole Dateien haben alle ein weißes Icon, Verknüpfungen mit Programmen werden nicht angezeigt.
keine Symbole Es werden keine Symbole angezeigt.
EXE/LNK nicht auf Diskette
Wenn diese Option gewählt ist, so werden Icons für EXE und LNK-Dateien nicht aus der Datei selbst extrahiert, wenn die Datei auf einer Diskette ist (Laufwerk a: oder b:). Grund: Das Extrahieren verlangsamt den Zugriff auf Disketten beträchtlich.
EXE/LNK nicht im Netz
Wie oben, aber für Netzlaufwerke und die Netzwerkumgebung. Nützlich bei einer langsamen Netzwerkverbindung, z. B. über Modem oder Mobiltelefon.
Zeige Symbole für spezielle Ordner: Normales Dateisystem
Zeige Symbole für lokale Ordner, wie z. B. den Papierkorb
Zeige Symbole für spezielle Ordner: Virtuelle Ordner (z. B. Netz)
Zeige Symbole für virtuelle Ordner, wie etwa die Server in der Netzwerkumgebung.
Zeige Standard Ordner-/Dateisymbole vom Explorer
Zeige die selben Symbole für Dateien ohne Verknüpfung und Ordner ohne Spezialsymbol wie im Explorer.
Zeige Overlay-Symbole, z. B. für Verknüpfungen
Falls gewählt, zeigt Total Commander überlagerte Mini-Symbole über den normalen Symbolen an, wie z. B. den kleinen Pfeil bei LNK-Dateien. Es gibt auch einige Explorer-Erweiterungen, welche Overlays verwenden, z. B. einige Versionsverwaltungssysteme.
Zeige '!' auf Versteckt/System
Versteckte- und Systemdateien werden mit einem Ausrufezeichen auf dem Symbol markiert
Gedimmte versteckte Dateien
Versteckte Dateien werden mit einem helleren Symbol dargestellt (wie im Explorer)
Symbolgröße Wählen Sie hier eine passende Größe für die Symbole links vom Dateinamen. Ist die Darstellung der Symbole abgeschaltet, so bestimmt dieser Eintrag (sofern größer als die Schriftgröße) die Höhe einer Verzeichniszeile. Es stehen nur 16x16 und 32x32 zur Auswahl, da die neuen Icons sich nur schlecht skalieren lassen. Andere Größen können per Hand eingegeben werden.
Extra-Abstand: Horizontal:
Summe des Extra-Abstands (in Bildpunkten) links und rechts des Symbols. Beispiel: Ist es auf 2 gesetzt, wird links und rechts vom Symbol je ein Bildpunkt eingefügt.
Vertikal: Summe des Extra-Abstands (in Bildpunkten) oben und unten vom Symbol. Hinweis: Falls die Schrift grösser ist als das Symbol, wird der Abstand zur Schriftgrösse addiert.
Symbole im Hauptmenü
Zeige Symbole für Befehle im Hauptmenü
Zeige Symbole aus der Datei wcmicons.dll für interne Befehle im Hauptmenü. Die Größe kann zwischen 16x16 und 48x48 in festen Schritten eingestellt werden.
Zeige 3d-Rahmen um Symbole
Symbole werden wie Knöpfe dargestellt (ohne Windows XP-Thema).
Zeige markierte Menüpunkte als gedrückte Knöpfe statt Häkchen
Wenn diese Option gewählt ist, werden aktive Menüpunkte (z. B. die Sortierrichtung) durch einen gedrückten Knopf symbolisiert. Falls nicht, wird links neben dem Symbol ein Häkchen bzw. ein Punkt angezeigt.
Zeige Laufwerkssymbole des Explorers
Zeigt im Laufwerks-Buttonbar, der Laufwerksliste sowie auf Ordner-Tabs Laufwerkssymbole vom Explorer anstelle der internen Laufwerkssymbole an.
Extra-Laufwerkabstand: H:
Summe des Extra-Abstands (in Bildpunkten) links und rechts des Laufwerksymbols im Laufwerk-Buttonbar. Wird nur angezeigt, wenn der Laufwerk-Buttonbar via Layout eingeschaltet ist. Beispiel: Ist es auf 2 gesetzt, wird links und rechts vom Laufwerksymbol je ein Bildpunkt eingefügt.
V: Summe des Extra-Abstands (in Bildpunkten) oben und unten vom Laufwerksymbol. Hinweis: Falls die Schrift grösser ist als das Symbol, wird der Abstand zur Schriftgrösse addiert.
Standard-Symbolbibliothek wählen
Falls mehrere Symbolbibliotheken für Hauptmenü und Buttonbar installiert sind, kann hier die Standardbibliothek gewählt werden. Alle Knöpfe im Buttonbar, die mit der Bibliothek wcmicons.dll (ohne Pfad!) definiert wurden, werden stattdessen mit der hier gewählten Bibliothek angezeigt.


Dialogbox: Konfigurieren: Ignorierliste

Konfigurieren - Ignorierliste Zurück
Erlaubt das Ignorieren gewisser Dateien/Ordner: Diese werden weder angezeigt noch kopiert. Nur Dateien im Dateisystem können ignoriert werden. Dateien auf FTP-Servern, in Archiven, Plugins oder virtuellen Ordnern wie dem Desktop können nicht ignoriert werden.
Folgende Dateien und Verzeichnisse ignorieren (nicht anzeigen):
Hauptschalter, um die Option ein- und auszuschalten.
<Listbox> Listet Dateien und Ordner, welche Sie ignorieren wollen. Die folgenden Eintragstypen werden unterstützt:
1. Voller Pfad zur Datei. Beispiel: c:\pfad\dateiname.ext
2. Pfad relativ zum Hauptverzeichnis ALLER Laufwerke. Beispiel: \RECYCLER
3. Name, der in allen Verzeichnissen versteckt werden soll. Beispiel: descript.ion
Hinweise:
- Alle 3 obigen Optionen unterstützen auch die Platzhalterzeichen * und ?, z. B. *.br1
- Es können mehrere Namen mit Platzhaltern auf 1 Zeile angegeben werden, etwa *.bak *.old
- Suchwörter mit absolutem oder relativem Pfad müssen je auf eine eigene Zeile geschrieben werden
- Wenn ein Name mit einem Backslash \ endet, so wird er nur auf Verzeichnisse angewandt
- Achtung: Falls sowohl Leerzeichen als auch Platzhalterzeichen vorkommen, müssen diese wie folgt in doppelten Anführungszeichen geschrieben werden, z. B. \"System Volume*" oder c:\pfad\"langer name*"
Speichern in: Ort und Name, wo die Ignorierliste gespeichert werden soll. Standard ist tcignore.txt
Markierte Dateien mit Pfad einfügen
Nur wählbar, wenn im Hauptprogramm eine oder mehrere Dateien markiert sind. Erlaubt das Einfügen dieser Dateien/Verzeichnisse mit komplettem Pfad in obige Ignorierliste.
Markierte Dateien einfügen
Nur wählbar, wenn im Hauptprogramm eine oder mehrere Dateien markiert sind. Erlaubt das Einfügen dieser Dateien/Verzeichnisse ohne Pfad in obige Ignorierliste, was bedeutet, dass die Dateien in ALLEN Verzeichnissen versteckt werden.
Hinweis: Benutzen Sie den internen Befehl cm_SwitchIgnoreList , um die Ignorierliste über einen Button, Menüeintrag oder eine Tastenkombination ein- und auszuschalten.


Dialogbox: Konfigurieren: Sprache

Konfigurieren - Sprache Zurück
Mit dieser Option bestimmen Sie, in welcher Sprache die Menüs, Knöpfe, Dialoge und (Fehler-) Meldungen von Total Commander erscheinen sollen. Die Sprachinformationen sind dabei für Englisch in der Datei totalcmd.exe selbst gespeichert, für alle anderen Sprachen in externen Dateien, die mit WCMD_ beginnen (also z. B. WCMD_DEU.LNG und WCMD_DEU.MNU für die deutsche Sprache). Die Sprache der Hilfedatei kann nur bei einer Neuinstallation geändert werden! Nicht benötigte Sprachdateien können gelöscht werden, um Platz zu sparen.
Feld Beschreibung
Sprache wechseln Listet alle verfügbaren Sprachen auf. Wenn Sie eine Sprache wählen, wird die entsprechende Menüdatei automatisch gewählt. Weitere Sprachen (nicht im normalen Paket enthalten) finden Sie auf der Zubehörseite auf www.ghisler.com.
Menüdatei Zeigt die gewählte Menüdatei an. Wenn keine Menüdatei angegeben wird, verwendet Total Commander das eingebaute englische Menü.
>> Öffnet eine Dialogbox, um eine andere Menüdatei auszuwählen
Bearbeiten Lädt die gewählte Menüdatei in den Editor. Zum Schreiben eigener Menüdateien lesen Sie bitte die Beschreibung der Menüdatei.
Download Öffnet den Standard-Internetbrowser des Systems mit der Downloadseite für zusätzliche Sprachen


Dialogbox: Konfigurieren: Logdatei

Konfigurieren - Log-Datei Zurück
Logdatei und Optionen festlegen, um eine Logdatei der Dateioperationen anzulegen.
Erzeuge eine Logdatei Ort und Name der Logdatei. Standardverzeichnis, falls nur der Name angegeben wird, ist das TEMP-Verzeichnis..
Kopieren/Verschieben/Verknüpfungen anlegen
Diese Dateioperationen aufzeichnen, inkl. Umbenennen.
Löschen Löschen von Dateien aufzeichnen.
Verzeichnisse anlegen/löschen
Operationen mit Verzeichnissen aufzeichnen.
Packen/Entpacken/Archive testen
Archivoperationen aufzeichnen, inkl. Packer-Plugins, sowie "Verifiziere Prüfsummen". Fehler beim Entpacken von CAB-Dateien können leider nicht geloggt werden.
Dateisystem-Plugins Alle Operationen mit Dateisystem-Plugins aufzeichnen.
Hinweis: Die FTP-Logdatei wird separat auf der Seite FTP festgelegt.
Logdateirotation Legt fest, ob und wann Log-Dateien ausgetauscht werden sollen
Nie (immer in dieselbe Logdatei schreiben)
Die Option ist deaktiviert
Jeden Tag nach Mitternacht
Beim ersten Schreiben in die Logdatei nach Mitternacht wird die Datei von Logdateiname.ext in Logdateiname.Datum.ext umbenannt und mit einer neuen Logdatei angefangen.
Wenn die Logdatei größer ist als ___ kBytes
Würde die Logdatei die angegebene Größe überschreiten, benennt Total Commander diese von Logdateiname.ext in Logdateiname.1.ext um. Falls bereits eine Datei mit diesem Namen existiert, wird diese vorher in Logdateiname.2.ext umbenannt, etc.
Ein Maximum von ___ Logdateikopien behalten
Hier lässt sich die Anzahl der Logdateikopien beschränken. Wird die angegebene Anzahl erreicht, so wird die älteste Logdatei gelöscht.


Dialogbox: Konfigurieren: Packer

Konfigurieren - Packer Zurück
Mit dieser Seite passen Sie Total Commander für die Verwendung von Packern (ZIP, ARJ, LHA, RAR, UC2, ACE) an Ihr System an. Packer erlauben es, Programme und Daten zur Archivierung oder Datenfernübertragung auf eine viel kleinere Größe zu packen. Die Programme sind im gepackten Zustand allerdings nicht lauffähig und müssen vorher wieder entpackt werden. Der ZIP-Packer wird auf einer separaten Seite konfiguriert.
Siehe auch Umgang mit Archivdateien (ZIP, ARJ, LZH, RAR, UC2, ACE)
Feld Beschreibung
gepackte Dateien wie Verzeichnisse behandeln
Bewirkt, dass man auf Archivdateien (gepackte Dateien) wie auf ein normales Verzeichnis doppelklicken (oder ENTER drücken) kann, worauf der Inhalt der gepackten Datei erscheint. Falls die gespeicherten Dateinamen eine Pfadangabe enthalten, so werden die gespeicherten Pfade wie normale Verzeichnisse angezeigt, durch die Sie beliebig auf- und abwechseln können. Durch Doppelklick auf den Dateinamen werden der volle Pfad sowie weitere Angaben wie das Kompressionsverhältnis angezeigt.
ARJ-Packer Geben Sie hier den Dateinamen des ARJ-Packers (empfohlen: arj32.exe) inklusive kompletter Pfadangabe an.
Benutze wenn möglich internen ARJ-Entpacker
Total Commander besitzt einen eingebauten ARJ-Entpacker, der auch lange Dateinamen beherrscht. Der interne ARJ-Entpacker kann allerdings keine verschlüsselten Dateien entpacken, und Sie können keine Kommandozeilenoptionen verwenden.
Übergebe lange Dateinamen an ARJ (ARJ 2.55 oder neuer benötigt)
ARJ 2.55 oder neuer kann unter Windows 95/98/ME (NICHT NT/2000 oder neuer!) auch lange Dateinamen packen. In diesem Fall sollten Sie diese Option aktivieren.
LHA-Packer Geben Sie hier den Dateinamen des LHA-Packers (empfohlen: lha32.exe) inklusive kompletter Pfadangabe an. Dieser erzeugt Dateien mit der Endung '.lzh'.
Benutze wenn möglich internen LZH-Entpacker
Benutze den in Total Commander fest eingebauten LZH-Entpacker.
RAR-Packer Geben Sie hier den Dateinamen des RAR-Packers (empfohlen: winrar.exe) inklusive kompletter Pfadangabe an. Dieser erzeugt Dateien mit der Endung '.rar'.
Benutze wenn möglich internen RAR-Entpacker
Benutze die UnRAR.DLL (UnRAR64.DLL unter 64-bit Windows), welche Total Commander beiliegt.
UC2-Packer Geben Sie hier den Dateinamen des UC2-Packers (uc.exe) inklusive kompletter Pfadangabe an. Dieser erzeugt Dateien mit der Endung '.uc2'. Funktioniert nicht unter 64-bit Windows.
ACE (>= 1.2b) Geben Sie hier den Dateinamen des ACE-Packers (empfohlen: winace.exe) inklusive kompletter Pfadangabe an. Dieser erzeugt Dateien mit der Endung '.ace'. Sie benötigen ACE Version 1.2b oder neuer.
Benutze wenn möglich internen ACE-Entpacker
Benutze die UnACEv2.DLL, welche Total Commander beiliegt (z.Zt. nicht als 64-bit-Version verfügbar).
>> Öffnet eine Dialogbox, mit deren Hilfe die gewünschte Datei aufgesucht werden kann.
Erzeuge TAR-Archive für Linux (nicht markiert: für SunOS)
Der Unterschied zeigt sich nur bei sehr langen Dateinamen (>99 Zeichen). Diese werden bei Linux (GNU-TAR) und SunOS unterschiedlich gespeichert.
Packer-DLLs Hier können Sie weitere Packer/Entpacker hinzufügen. Weitere Packer finden Sie auf www.ghisler.com, z. B. einen Packer für das bzip2-Format. Dieses kann zwar nur einzelne Dateien packen, ist aber sehr effizient.


Dialogbox: Konfigurieren: Plugins

Konfigurieren - Plugins Zurück
Einstellungen für alle unterstützten Plugin-Typen
Neue Plugins von ghisler.com herunterladen
Verbindet zur Seite, auf welcher von uns getestete Plugins zum Herunterladen bereitstehen.
Packer-Plugins Erlaubt das Umkonfigurieren von Packer-Plugins. Benutzung: Dateien - packen.
Dateisystem-Plugins Erlaubt das Umkonfigurieren von Dateisystem-Plugins. Diese erlauben den Zugriff auf Dateisysteme oder ähnlich aufgebaute Geräte oder Systeme, wie z. B. auf PocketPCs, auf Linux-Partitionen oder entfernte Rechner. Installierte Dateisystem-Plugins erscheinen in der Netzwerk-Umgebung als eigene Unterverzeichnisse.
Lister-Plugins Erlaubt das Umkonfigurieren von Lister-Plugins. Benutzung: F3 auf unterstützte Datei.
Inhaltsplugins Erlaubt das Umkonfigurieren von Inhalts-Plugins. Benutzung: Ansicht - Benutzerdefinierte Spalten, Mehrfach-Umbenenntool, Suchfunktion.


Dialogbox: Konfigurieren: Schnellsuche

Konfigurieren - Schnellsuche Zurück
Feld Beschreibung
Schnelle Dateisuche im aktuellen Verzeichnis
mit STRG+ALT Die Schnellsuche wird über STRG+ALT+Buchstabe aktiviert. Wie in anderen Windows-Programmen üblich aktiviert ALT+Buchstabe den Menüpunkt, bei welchem der entsprechende Buchstabe unterstrichen ist.
mit ALT ALT+Buchstabe aktiviert das Fenster zur Schnellsuche. Das Menü kann über F9, F10 oder ALT - ALT loslassen - Buchstabe aktiviert werden.
Nur Buchstaben Wie beim Dateimanager von Windows springt der Cursor beim Tippen eines Buchstabens zu jener Datei, welche mit diesem Buchstaben beginnt.
Buchstaben - mit Suchen-Dialog
Wie "Nur Buchstaben", doch wird das Fenster zur Schnellsuche angezeigt. Durch Tippen eines * (nicht auf dem numerischen Tastenfeld!) können Sie nach dem Text an beliebiger Stelle im Namen suchen.
Deaktiviert Schaltet alle obigen Methoden zum Aufruf der Schellsuche ab. Nützlich zusammen mit dem internen Befehl cm_ShowQuickSearch, z. B. über eine Tastenkombination.
Hinweis: Wenn Sie eine der Suchoptionen mit Suchen-Dialog verwenden, wird ein Knopf angezeigt, mit dem Sie alle Dateien herausfiltern können, die NICHT dem Suchfilter entsprechen. Dieser Filter bleibt auch nach dem Schließen des Schnellsuchdialogs aktiv. Er kann entfernt werden, indem in ein anderes Verzeichnis gewechselt oder ESC gedrückt wird, oder durch Neu-Einlesen des Verzeichnisses mit F2 oder Strg+R. Ein aktiver Filter wird durch ein Filtersymbol in der Statuszeile angezeigt. Der Suchfilterdialog kann auch mit Strg+S geöffnet werden. Bei offenem Dialog wird damit der Filter an- und ausgeschaltet. Mit Strg+Umsch+S kann der zuletzt benutzte Filter reaktiviert werden. Strg+Y oder Strg+Z im Dialog löscht den aktiven Suchtext, Strg+W das Wort links des Cursors.
Hinweis 2: Die Suche mit Suchen-Dialog kann abstürzen, wenn eine ältere Version des Plugins "Quick search extended" installiert ist. Bitte installieren Sie in diesem Fall eine neuere Version des Plugins.
Exakte Namensübereinstimmung
am Anfang (Name muss mit erstem angegebenen Zeichen beginnen)
Falls markiert, muss der Name mit den eingetippten Buchstaben beginnen, ansonsten können diese irgendwo im Namen beginnen (Voranstellen eines *).
Beispiel: Suchstring "est"
- Option gesetzt: "est" findet nur Namen, die mit "est" beginnen, nicht aber "Test.txt"
- Option nicht gesetzt: "est" findet auch "Test.txt"
am Ende (letztes Zeichen vor dem Punkt muss übereinstimmen)
Falls markiert, und ein Punkt eingetippt wird, muss der bis dahin eingegebene Name exakt übereinstimmen. Ist diese Option nicht gewählt, wird der Punkt automatisch durch *. ersetzt.
Beispiel: Suchstring "Te.tx"
- Option gesetzt: "Te.tx" findet "Te.txt", nicht aber "Test.txt"
- Option nicht gesetzt: "Te.tx" findet auch "Test.txt" (Name stimmt vor dem Punkt nicht überein)


Dialogbox: Konfigurieren: Neu Einlesen

Konfigurieren - Neu Einlesen (Refresh) Zurück
Feld Beschreibung
Automatisches Neu-Einlesen beim Aktivieren des Programms
Normalerweise liest Total Commander seine Dateilisten neu ein, wenn Sie zu einem anderen Programm wechseln und zurück, oder wenn Sie das Programm schließen und neu starten. Auf diese Weise werden z. B. in der Zwischenzeit neu angelegte Dateien angezeigt. In diesem Abschnitt können Sie dieses Verhalten für bestimmte Laufwerke deaktivieren.
Kein Neu-Einlesen für diese Laufwerke
Hier können Sie die Laufwerke angeben, welche nicht automatisch neu eingelesen werden sollen. Geben Sie einen Backslash \ an, um Auto-Refresh für alle UNC-Pfade in der Form \\Server\Share abzuschalten, einen Vorwärts-Slash / für Dateisystem-Plugins und einen Doppelpunkt : für virtuelle Ordner.
Diese Laufwerke beim Beenden nicht speichern
Hier können Sie festlegen, welche Laufwerke beim Beenden nicht gespeichert werden sollen. Nützlich z. B. bei langsamen Netzwerklaufwerken, oder bei Laufwerken, die nicht immer erreichbar sind.
Automatisches Neu-Einlesen wenn sich das Dateisystem ändert
Wenn Sie diese Option einschalten, überwacht Total Commander das Dateisystem in den beiden angezeigten Verzeichnissen permanent auf Änderungen, und zeigt diese mit einer kurzen Verzögerung von 1 Sekunde fast sofort an.
Hinweis: Die automatische Hintergrundaktualisierung wird für virtuelle Ordner nicht unterstützt.
Refresh beim Erzeugen, Löschen und Umbenennen von Dateien
Dies schaltet die Überwachungsfunktion komplett ein und aus. Falls nur diese Option markiert ist, reagiert Total Commander nur auf größere Änderungen: Erzeugen, Löschen und Umbenennen von Dateien.
Auch bei Änderungen der Größe, des Datums und der Attribute
Auch auf kleinere Änderungen reagieren, z. B. wenn sich die Größe einer Datei während eines Downloads ändert.
Neue Dateien am ENDE der Dateiliste einfügen (Vorgabe: Einsortieren)
Normalerweise werden Dateien gemäß der aktuellen Sortierreihenfolge direkt richtig eingeordnet. Falls diese Option markiert ist, werden die Dateien ans Ende der Dateiliste gestellt, ähnlich wie im Explorer.
Im Hintergrund nicht auf Änderungen reagieren
Schaltet die Dateiüberwachung ab, während sich Total Commander im Hintergrund befindet, etwa wenn Sie gerade mit einem anderen Programm arbeiten.
Fußzeile anpassen (totale Anzahl Dateien)
Wenn sich eine Datei ändert, so wird Total Commander auch die totale Größe und die Anzahl der Dateien anpassen. Kann in gewissen Situationen langsam sein.
Kopfzeile anpassen (freier Speicherplatz)
Wenn sich eine Datei ändert, so wird Total Commander auch den totalen und freien Speicherplatz auf dem aktuellen Laufwerk anpassen. Kann mit einigen Laufwerken recht langsam sein.
Kein Neu-Einlesen für diese Laufwerke:
Erlaubt die Angabe von Laufwerken, auf welchen die Laufwerksüberwachung abgeschaltet ist, z. B. für langsame Netzwerke.


Dialogbox: Konfigurieren: Tabulatoren

Konfigurieren - Tabulatoren Zurück
Hinweis: Sie können die Tabulatoren auch mit der Tabulatorleiste direkt über den Dateifenstern ändern. Sie müssen dann allerdings Konfigurieren - Position speichern wählen, sonst gehen die Einstellungen beim Beenden von Total Commander verloren.
Feld Beschreibung
Dateierweiterung Wählen Sie eine Darstellungsart für die Dateierweiterung (3 Buchstaben hinter Dateinamen).
direkt hinter Dateinamen
Die Dateierweiterung wird, durch einen Punkt getrennt, an den Dateinamen angehängt (wie im Dateimanager).
ausgerichtet (mit TAB) Alle Dateierweiterungen werden linksbündig untereinander dargestellt.
Tabulatoren Setzen Sie hier die einzelnen Tabulatoren für E rweiterung, G röße, D atum/Zeit und A ttribute. Die Einstellung für die Erweiterung können Sie nur verstellen, wenn Sie oben ausgerichtet gewählt haben. Mit der Maus können Sie bequem die Rollbalken hinter den Zahlen benutzen, um die Tabulatorpositionen zu verändern.
Trennzeichen Wählen Sie hier die Trennzeichen für Datum, Zeit, Tausender und Dezimalstellen. Standardmässig werden die Werte aus der Systemsteuerung (Windows-Einstellungen) benutzt.
Tabs an Fensterbreite anpassen
Falls gewählt, verändert Total Commander die Breite der Namenspalte, wenn Sie die Größe des Fensters verändern. Die Namenspalte wird so angepasst, dass die anderen Spalten (Größe, Datum und Attribute) rechtsbündig dargestellt werden.
Zeige Jahrhundert an Zeigt das Datum mit vierstelligem Jahr an (sonst 2-stellig)
Benutze 12 Stunden-Format (AM/PM)
Zeigt die Zeit im 12 Stunden-Format mit a für AM (Vormittag) und p für PM (Nachmittag) an (sonst 24 Stunden-Format).
Zeige Anzahl Verzeichnisse in Fußzeile
Zeigt die Anzahl markierter und die totale Anzahl Verzeichnisse an, z. B. 5 / 7 Verzeichnis(sen)
Größenanzeige Bestimmt wie die Dateigröße in den beiden Hauptdateilisten angezeigt werden soll. Sie können wählen zwischen
Bytes Die Größe wird in Bytes angezeigt (Voreinstellung)
kBytes Größe wird in kBytes angezeigt. 1 kByte = 1024 Bytes! (SizeStyle1000 zum Ändern)
Dynamisch (x k/M/G) Abhängig von der Dateigröße wird diese in Bytes, kBytes, MBytes oder GBytes angezeigt.
Dynamisch (x.x k/M/G) Wie oben, aber mit einer Ziffer nach dem Komma für mehr Details.
Dynamisch (x k/M) Abhängig von der Dateigröße wird diese in Bytes, kBytes, oder MBytes angezeigt.
Dynamisch (x.x k/M) Wie oben, aber mit einer Ziffer nach dem Komma für mehr Details.
Dynamisch (x k/M/G/T) Die Dateigröße wird in Bytes/kBytes/MBytes/GBytes/TBytes angezeigt.
Dynamisch (x.x k/M/G/T) Wie oben, aber mit einer Ziffer nach dem Komma für mehr Details.
Dynamisch (x.xx k/M/G) Zwei Ziffern nach dem Komma, in Bytes/kBytes/MBytes/GBytes.
Dynamisch (x.xx k/M/G/T) Zwei Ziffern nach dem Komma, in Bytes/kBytes/MBytes/GBytes/TBytes.
Kopf-/Fußzeile Selbe Einstellungen wie bei Größenanzeige, aber für die beiden Kopf- und Fußzeilen oberhalb von/unter den Dateifenstern (Total der markierten und aller Dateien). Diese Option betrifft auch die Kopfzeile mit dem freien und totalen Speicherplatz des aktuellen Laufwerks.
Datumsformat Wählen Sie hier das Datumsformat, entweder den Monat zuerst (z. B. USA), den Tag zuerst (z. B. im größten Teil Europas) oder das Jahr zuerst (ISO-Format, wird in vielen asiatischen Ländern verwendet). Standardmäßig werden die Werte aus der Systemsteuerung (Windows-Einstellungen) verwendet.
Default Setzt die Einstellungen auf die Werte, die beim erstmaligen Starten von Total Commander eingestellt waren.


Dialogbox: Konfigurieren: Miniaturansicht

Konfigurieren - Miniaturansicht Zurück
Ändern der Einstellungen für die Miniaturansicht (Bildvorschau).
Ort der Datenbank Ort der Vorschaudatenbank. Diese speichert die Vorschaubilder in der eingestellten Vorschaugröße. Sie sollten die Datenbank nicht mit anderen Benutzern teilen, weil immer nur 1 Benutzer gleichzeitig darauf zugreifen kann. Voreingestellter Ort:
Windows 9x/ME: Totalcmd-Verzeichnis
Windows NT/2000/XP/Vista/7..11: %$LOCAL_APPDATA%\GHISLER
Kopieren/Löschen von Vorschaubildern mit den Dateien
Beim Kopieren/Löschen von Dateien aktualisiert Total Commander die Vorschaudatenbank falls die kopierte/gelöschte Datei ein Vorschaubild besitzt .Da dies in einem Hintergrund-Thread geschieht, sollte es die Arbeitsgeschwindigkeit nicht allzu stark beeinträchtigen.
Zeige benutzerdefinierte Felder unter den Bildern
Hier können Sie zusätzliche Textzeilen unterhalb des Dateinamens definieren, z. B. die Dateigröße. Falls Sie eine Digitalkamera besitzen, so sollten Sie das EXIF-Inhaltsplugin installieren. Damit können Sie Bildinfos wie die Belichtungszeit anzeigen lassen.
Siehe die Dialogbox Benutzerdef. Spalten für eine Beschreibung der Syntax.
Mehrere Zeilen sind möglich. Benutzen Sie \n als Zeilentrenner, kann mit "Anfügen" ausgewählt werden.
Felder nach Typ Hier können Sie für verschiedene Dateitypen verschiedene Inhalte anzeigen lassen. So können Sie beispielsweise für JPEG-Dateien mit dem EXIF-Plugin Bildattribute wie Größe und Belichtungszeit anzeigen lassen, für Filme dagegen den verwendeten Codec. Dazu müssen Sie erst die Dateimaske angeben, etwa *.jpg *.jpeg , danach die anzuzeigenden Felder auswählen. Dabei sind mehrere Zeilen möglich!
Vorschaubildgröße Größe der Vorschaubilder, in Bildpunkten. Aus Geschwindigkeitsgründen wird ein Vielfaches von 16 empfohlen. Zwei verschiedene Bildformate sind empfehlenswert:
1. In den meisten Fällen ist ein quadratisches Bild von 96x96 oder 128x128 die beste Wahl.
2. Falls die meisten Bilder Digitalfotos sind, empfiehlt sich 4:3, z. B. 96x72 oder 128x96
Vorschaubilder können zwischen 10% und 200% in 10%-Schritten skaliert werden, Strg+Mausrad, sowie mit den internen Befehlen cm_ZoomIn und cm_ZoomOut.
Laden von Vorschaubildern
Konfiguration, wie Vorschaubilder geladen werden. Die Methoden werden in derselben Reihenfolge durchprobiert, wie sie in diesem Abschnitt erscheinen. Bei jeder Methode können Sie außerdem Dateitypen angeben wie bei der Suchfunktion, mit Ein- und Ausschlüssen. Alles nach der vertikalen Linie | wird als Ausschluss gewertet. Beispiele:
*.bmp *.gif *.jpg Bitmap-, Jpeg- und Gif-Bilder
*.* | *.htm *.html Alles außer Html-Dateien.
Interne Vorschaubilder aus Bildern:
Lädt Miniaturansichten aus EXIF-Metadaten, die direkt in den Bildern gespeichert sind. Sehr schnell, aber die Vorschau kann in Bildern älterer Kameras sehr klein sein, z.B. 160x120 Bildpunkte. Unterstützt JPG sowie die folgenden RAW-Formate:
Canon CRW, CR2, CR3, Fuji RAF, Nikon NEF, Olympus ORF, Panasonic RW2, Pentax PEF, Sony ARW, und Adobe Digitalnegative DNG.
Laden via Lister-Plugins für:
Diese Methode stützt sich auf spezielle Lister-Plugins, welche eine neue Vorschaubild-Extraktionsfunktion unterstützen. Um diese Funktion nutzen zu können, müssen Sie u.U. eine neuere Version der existierenden Lister-Plugins installieren.
Benutze Explorer-Methode (OLE2) für:
Diese Methode benutzt dieselben Funktionen wie der Explorer. Leider scheint sie unter Windows 9x nicht korrekt mit mehreren großen Bildern zu funktionieren, weshalb Sie es vorziehen sollten, sie zu deaktivieren.
Laden via Irfan-/Xnview für:
Diese Methode nutzt einen installierten (und als Filter im Lister konfigurierten) Irfanview oder Xnview zum Laden der Bilder. Das Bild wird als Ganzes geladen, an Total Commander über die Zwischenablage übergeben, und auf Vorschaubildgröße verkleinert. Hinweis: Diese Methode löscht die Zwischenablage beim Laden von Bildern!
Textvorschau für: Diese Methode zeigt die ersten paar Zeilen der Datei als Text an.
Vorschaubild-Datenbank packen
Erlaubt das Optimieren der Vorschaudatenbank sowie das Entfernen nicht länger benutzter Vorschaubilder. Es ist empfehlenswert, diese Funktion hin und wieder zu verwenden, um Speicherplatz zu sparen und die Anzeige schneller zu machen.
Entferne Vorschaubilder für gelöschte Dateien
Entfernt Vorschaubilder von Dateien, die nicht länger existieren. Entfernt NICHT Vorschaubilder, bei denen Total Commander nicht auf das Laufwerk zugreifen kann, wie unerreichbare Netzwerklaufwerke oder CDs. Für diese gibt es separate Optionen.
Entferne Vorschaubilder für nicht eingelegte CDs
Entfernt Vorschaubilder für Dateien auf CDs.
Entferne Vorschaubilder für unerreichbare Laufwerke
Entfernt Vorschaubilder für Dateien auf Netzlaufwerken oder USB-Sticks.
Start Startet das Packen und Optimieren der Vorschaudatenbank.


Dialogbox: Konfigurieren: Ansichtsmodus

Konfigurieren - Ansichtsmodus Zurück
Definiert einen oder mehrere Ansichtsmodi. <Vorgabe> ist der Standardmodus, der eingestellt wird, wenn bei "Auto Modus Wechseln" keine der Regeln zutrifft.
Ansichtmodi: Benutzerdefinierte Ansichtsmodi. Benutzen Sie die Buttons rechts, um einen neuen Modus hinzuzufügen, einen bestehenden zu löschen, oder den Modustitel zu ändern.
Hinzufügen... Fügt einen neuen Modus hinzu. Geben Sie einen sinnvollen Namen an, der den Eigenschaften des Modus entspricht, z.B. "Fotos" oder "Rot".
Löschen... Entfernt den in der Liste markierten Modus.
Umbenennen... Erlaubt die Angabe eines anderen Namens für den markierten Modus.
Pfeile Reihenfolge der Ansichtsmodi ändern.
Details des jeweiligen Modus:
Spaltenansicht: Die gewünschte Spaltenansicht. Sofern Sie unter "Benutzerdef. Spalten" eigene Ansichten definiert haben, werden diese hier auch angeboten.
Sortierreihenfolge: Legt die Sortierreihenfolge fest, z.B. nach Dateinamen.
Absteigend: Absteigende Sortierung, also z.B. neueste bzw. grösste Dateien zuerst.
Zusätzliche Sortierreihenfolgen
Hier kann nach zusätzlichen Spalten sortiert werden, z.B. erst nach Erweiterung, dann nach Größe
Tab-Farbe und Symbol:
Sofern Sie mit Ordner-Tabs arbeiten (Strg+T), können Sie hier eine Farbe und ein Symbol festlegen
Priorität: Gibt dem Ansichtsmodus-Symbol Priorität vor Symbolen, die auf andere Art geladen wurden, z.B. aus desktop.ini oder Laufwerkssymbol im Hauptverzeichnis.
Hintergrund: Hintergrundfarbe des Dateifensters. Es ist z.B. praktisch, eine andere Hintergrundfarbe für FTP-Verbindungen oder Plugins festzulegen, damit man sofort erkennt, wenn ein Dateifenster einen solchen Ort anzeigt. Es wird empfohlen, nur eine leicht abweichende Farbe zu verwenden, etwa ein sehr helles Blau bei normalerweise weissem Hintergrund.
Hintergrund 2: Hintergrundfarbe des Dateifensters für ungerade Zeilen.
Hinweis: Die Farben können separat für den Normal- und den Dunkelmodus festgelegt werden.
Befehle auto-starten: Befehle, die beim Wechsel zu diesem Modus ausgeführt werden sollen. Unterstützt werden interne Befehle cm_xx und benutzerdefinierte Befehle em_xx.
Ein Minuszeichen '-' vor den Befehlen bewirkt, dass die Befehle beim Wechsel zwischen 2 Tabs nicht ausgeführt werden.
Ein * vor den Befehlen bewirkt, dass die Befehle bei jedem Verzeichniswechsel zu oder innerhalb dieses Ansichtsmodus ausgeführt werden. Ohne * wird der Befehl nur beim Wechsel von einem anderen Ansichtsmodus zu diesem Ansichtsmodus ausgeführt. Benutzen Sie ein Komma, um mehrere Befehle anzugeben.
Um Befehle beim Verlassen eines Ansichtsmodus auszuführen, müssen diese hinter | (vertikale Linie) angegeben werden.
Beispiel: cm_100percent|cm_50percent
Erweitert das aktive Panel auf volle Fensterbeite beim Aktivieren eines bestimmten Modus (z.B. Miniaturansicht), und kehrt beim Verlassen des Modus zur 50:50-Ansicht zurück.


Dialogbox: Verbinden
Mit dieser Dialogbox können Sie eine Verbindung mit einem FTP-Server herstellen. Wählen Sie eine gespeicherte Verbindung aus der Liste, oder legen Sie eine neue Verbindung an. Der Cursor wird auf die zuletzt benutzte Verbindung gestellt.
Verbinden mit Enthält eine Liste aller früher gespeicherten Verbindungen. Total Commander zeigt unterschiedliche Symbole für normale FTP-Verbindungen (Ein Blatt Papier mit einem Globus darauf) und für sichere FTP-Verbindungen (ein Blatt Papier mit einem Schloss). Bei Verbindungen, wo das Passwort mit einem Hauptpasswort geschützt wurde, werden mit einem zusätzlichen Schloss in der oberen linken Ecke angezeigt.
Verbinden Startet den Verbindungsvorgang.
Neue Verbindung Öffnet eine Dialogbox, mit der Sie eine neue Verbindung anlegen können. Die Verbindungen werden alphabetisch sortiert gespeichert
Neue URL In dieser Dialogbox können Sie entweder einen Servernamen angeben, z. B. ftp.microsoft.com, oder eine URL, z. B. ftp://user@ftp.microsoft.com/windows/
Eintrag verdoppeln Erzeugt einen neuen Verbindungseintrag in der Liste, wobei die Einstellungen des Eintrags unter dem Cursor übernommen werden.
Neuer Ordner Erzeugt einen neuen Unterordner, in welchen Sie Verbindungen gruppieren können.
Bearbeiten Öffnet eine Dialogbox mit den Daten der Verbindung unter dem Cursor.
Löschen Löscht die Verbindung unter dem Cursor. Die Änderung wird sofort gespeichert.
Verschlüsseln Erlaubt es, alle oder nur die markierten Verbindungen mit einem Hauptpasswort zu schützen, oder ein existierendes Hauptpasswort zu ändern. Verbindungen, bei denen das Passwort verschlüsselt ist, werden mit einem speziellen Symbol angezeigt (Schloss in der oberen linken Ecke). Total Commander merkt sich das Passwort, bis Sie ihn minimieren, oder bis der Bildschirmschoner startet.
Wir empfehlen dringend die Benutzung eines Hauptpassworts. Wenn Sie kein Hauptpasswort angeben, könnte ein Virus oder Wurm dieses auszulesen versuchen, und Ihre Internetseite verändern!
Abbrechen Schließt die Dialogbox, ohne eine Verbindung aufzunehmen.


Dialogbox: Verbindungsdetails
Mit dieser Dialogbox können Sie die Einzelheiten für eine Verbindung (FTP) festlegen.
Titel: Geben Sie hier der Verbindung einen beliebigen Namen, z. B. Microsoft FTP-Server.
Servername: Dieses Feld nimmt den Internetnamen oder die IP-Adresse des FTP-Servers auf, z. B. ftp.microsoft.com
Eine andere Portnummer geben Sie durch Doppelpunkt getrennt an, z. B. ftp.firma.com:1021
Um explizites SSL (AUTH TLS) zu erzwingen, geben Sie das Präfix ftpes:// an.
Um implizites SSL (Verschlüsselung von Anfang an) zu erzwingen, geben Sie das Präfix ftpis:// an.
SSL/TLS Benutze eine verschlüsselte Verbindung über SSL oder TLS. Benötigt nun nicht mehr die Installation der OpenSSL-Bibliotheken libssl.dll (oft mit Namen ssleay.dll) und libeay.dll von www.ghisler.com/openssl/ auf neueren Windows-Versionen als XP. Trotzdem kann die OpenSSL-Bibliothekt auch weiterhin benutzt werden. Root-Zertifikate können dann in der Datei wincmd.pem im selben Verzeichnis wie die wincmd.ini gespeichert werden. Bei der neuen Methode ohne OpenSSL werden die Zertifikate in den Zertifikat-Stores von Windows gesucht.
Neu in 10.50: OpenSSL3 wird jetzt unterstützt! Die Dateien libssl-3.dll und libcrypto-3.dll (libssl-3-x64.dll und libcrypto-3-x64.dll für 64-Bit) müssen im Programmverzeichnis abgelegt werden (nicht im 64-Unterverzeichnis!).
Um die Verschlüsselung der Datenverbindungen zu verhindern, schreiben Sie den Befehl PROT C ins Feld Sende Befehle.
Anonyme Verbindung
Drücken Sie auf diesen Knopf, um Total Commander für eine anonyme Verbindung zu konfigurieren. Das bedeutet, dass anonymous als Benutzername und Ihre e-mail-Adresse als Passwort an den Server gesendet werden. Total Commander fragt bei jedem Betätigen dieses Knopfes nach Ihrer e-mail-Adresse.
Benutzername: Geben Sie hier Ihren Benutzernamen an (anonymous, falls Sie keinen privaten Zugang zum Server haben).
Passwort: Hier können Sie das Passwort angeben. Geben Sie das Passwort nur an, falls Ihr PC absolut sicher ist! Es ist keine gute Idee, das Passwort auf einem Computer zu speichern, welcher anderen Benutzern zugänglich ist. Total Commander fragt bei Nichtangabe des Passworts bei jeder Verbindung nach.
Passwort ändern Dieser Knopf wird angezeigt, wenn das Passwort mit einem Hauptpasswort geschützt ist und das Hauptpasswort noch nicht eingegeben wurde. Klicken Sie auf diesen Knopf und dann auf Abbrechen, um die Option zur Verwendung des Hauptpassworts deaktivieren zu können.
Benutze Hauptpasswort, um das Passwort zu schützen
Ermöglicht Ihnen, das Passwort mit einem Hauptpasswort zu schützen. Dies ist nützlich, da Sie sich nur ein Passwort merken müssen und Ihre Passwörter mit der starken AES256-Verschlüsselung geschützt sind. Stellen Sie sicher, dass Sie ein ausreichend langes Hauptpasswort verwenden, das sowohl Groß- als auch Kleinbuchstaben, Ziffern und Satzzeichen enthält. Die geschätzte Stärke des verwendeten Passworts wird ebenfalls angezeigt. Bitte beachten Sie, dass dies nicht nach vorhandenen Wörtern sucht - wenn Sie ein vorhandenes Wort aus einem Wörterbuch verwenden, ist die Stärke VIEL geringer!
Die Option ist ausgegraut, wenn Sie das zuvor gesetzte Haputpasswort noch nicht eingegeben haben. Dann gibt es 3 Möglichkeiten, wie Sie den Schutz mit Hauptpasswort dennoch aufheben können:
1. Klicken Sie auf den Knopf "Passwort ändern" und geben Sie das Hauptpasswort ein. Das Kontrollkästchen ist nicht mehr ausgegraut, sodass Sie es ändern können.
2. Klicken Sie auf den Knopf "Passwort ändern" und dann auf Abbrechen. Das Kontrollkästchen ist nicht mehr ausgegraut, aber wenn Sie es deaktivieren, müssen Sie das Passwort für die Verbindung erneut eingeben. Wenn Sie auf OK klicken, ohne das Passwort einzugeben, geht Ihr Passwort verloren.
3. Klicken Sie auf OK oder Abbrechen, um den Dialog zu schließen. Klicken Sie dann in der Hauptdialogbox FTP-Verbindung auf die Schaltfläche Verschlüsseln und dann auf die Schaltfläche Verschlüsselung entfernen.
Entferntes Verz.: Wenn Sie hier ein Verzeichnis angeben, so versucht Total Commander, nach dem Verbindungsaufbau in dieses Verzeichnis zu wechseln. WICHTIG: Die einzelnen Bestandteile des Pfades sind normalerweise durch Vorwärtsstriche '/' getrennt.
Lokales Verz.: Total Commander wechselt nach der Verbindung in dieses lokale Verzeichnis, und zwar im anderen Dateifenster. Die einzelnen Bestandteile des Pfades sind durch Rückwärtsstriche '\' getrennt.
Passiven Modus für Transfers verwenden (wie WWW-Browser)
Jede Dateiübertragung (Herunterladen oder Hochladen) erfordert eine zusätzliche Verbindung für den Datenstrom. Normalerweise (im aktiven Modus) stellt der Server diese Verbindung her. Im passiven Modus erzeugt hingegen der Client die Verbindung. Dies kann bei einem Transfer durch gewisse Firewall-Server nötig sein, wenn diese keine Verbindungen von außerhalb erlauben.
Benutze Firewall-Server (Proxy)
Wenn Sie das Internet über ein Firmennetz (Intranet) erreichen, so müssen Sie hier möglicherweise einen Firewall-Server angeben. Dazu öffnet diese Option eine eigene Dialogbox.
Sende Befehle: Sende die angegebenen Befehle direkt nach Aufbau der Verbindung an den FTP-Server. Mehrere Befehle können durch einen Strichpunkt voneinander getrennt angegeben werden.
Strichpunkte innerhalb eines Befehls können durch Duplizieren gesendet werden, z.B. e.g. CWD /test/a;;b;;c;PWD sendet Befehle
CWD /test/a;b;c
und
PWD
Server-Typ: Die meisten öffentlichen Server im Internet werden von Total Commander mit dem Modus 'Automatische Erkennung' unterstützt. Viele Großrechner oder Intranet-Server verwenden jedoch ihr eigenes proprietäres Dateilisting, das von Total Commander nicht verstanden wird. Diese Option erlaubt die Benutzung solcher Server. Um einen solchen Server zu konfigurieren, wählen Sie 'Definiere neuen Server' und verbinden Sie anschließend zu diesem Server, wenn möglich in einem Verzeichnis mit vielen Dateien und Verzeichnissen. Sie erhalten dann eine Dialogbox, in welcher Sie die Einstellungen für diesen Server vornehmen können. Sie können auch von anderen definierte Servertypen importieren, indem Sie 'Aus Datei importieren' wählen. Eine solche Datei erzeugen Sie selbst, indem Sie via 'definiere neuen Server' einen Servertyp definieren und speichern, und ihn anschließend aus der Datei wcx_ftp.ini in eine eigene Datei kopieren. Der Eintrag sieht z. B. so aus:
[Unix1]
Template1=pppppppppp !S* TTT DD UUUUU n*
Hinweis: Wenn der Befehl MLSD anstelle von LIST benutzt wird, hat diese Einstellung keine Auswirkungen, weil das Ausgabeformat von MLSD (machine list directory, Verzeichnislisting für Programme) im Standard strikt vorgegeben ist.
Sende Befehl zum Aufrechterhalten der Verbindung
Erlaubt es, alle xx Sekunden einen benutzerdefinierten Befehl zum Aufrechterhalten der Verbindung zu senden. Dies ist nützlich für FTP-Server mit einem sehr kurzen Timeout, z. B. ein paar Minuten. Keepalive wird für max. eine Stunde gesendet, damit auch noch andere Benutzer auf den Server zugreifen können.
Codierung der Dateinamen
Legt fest, wie Dateinamen vom Server gemeldet werden. Normalerweise senden Server Dateinamen mit der lokalen Codierung des Servers, üblicherweise eine Windows/ANSI-Codeseite. Einige neuere Server unterstützen außerdem die UTF-8-Codierung, was Unicode-Dateinamen erlaubt. Falls Sie diese Option auf automatisch stellen, sendet TC den Befehl
OPTS UTF8 ON
um zu ermitteln, ob der Server Unicode unterstützt. TC wechselt zurück auf ANSI (gleiche Codeseite wie der Rechner, auf dem TC läuft), falls der Server obigen Befehl nicht bestätigt. TC überprüft außerdem den SYST-Befehl auf die benutzte Codierung, z. B. UNIX Type: L8 , CP:1252.
Falls Dateinamen mit Umlauten oder Akzenten nicht korrekt angezeigt werden, können Sie die Codeseite auch manuell aus der Liste wählen oder eine numerische Codeseite eintragen.
MLSD-Befehl für Listings benutzen (grau=automatisch erkennen)
Der Befehl MLSD (Machine LiSt Directory) wird von neueren FTP-Servern unterstützt, um die Liste der Dateien in einem Verzeichnis/Ordner in einem standardisierten Format zu liefern, welches leicht von Programmen gelesen werden kann. Der normale LIST-Befehl dagegen ist in erster Linie zum Lesen durch Menschen gedacht.
Ein großer Vorteil des MLSD-Standards ist die Meldung des Dateidatums in UTC-Zeit (Universalzeit, britische Zeitzone) anstelle der Lokalzeit des Servers. Das macht es möglich, die Zeitstempel der Dateien in den Listen in Lokalzeit des lokalen PCs anzuzeigen statt in Lokalzeit des Servers. Dadurch werden Datumsvergleiche leicht möglich. Deshalb sollte der MLSD-Befehl wenn immer möglich verwendet werden.
Es gibt 3 Möglichkeiten:
1: Ausgegraute oder gefüllte Box: Automatisch via FEAT-Befehl erkennen, ob der Server MLSD unterstützt
2: Markiert: MLSD verwenden, auch wenn der Server es nicht meldet oder der FEAT-Befehl deaktiviert wurde
3: Nicht markiert: Den LIST-Befehl statt MLSD verwenden, um die Listen zu lesen (wie bei alten TC-Versionen)
Client-Zertifikat: Erlaubt es, ein Zertifikat aus dem Windows-Zertifikatsspeicher für die Authentifizierung beim Server auszuwählen. Das Zertifikat muss dazu via
Systemsteuerung - Internetoptionen - Inhalt - Zertifikate
geladen werden. Ein Zertifikat kann mit OpenSSL wie folgt ins Internet-Explorer-Format umgewandelt werden:
openssl pkcs12 -export -inkey MyClient1.key -in MyClient1.pem -out MyClient1.p12
Diese Option funktioniert nur mit sChannel (ab Windows Vista), nicht mit den OpenSSL-DLLs.


Kontextmenüerweiterungen konfigurieren
In dieser Dialogbox können Sie festlegen, welche 64-bit-Kontextmenüerweiterungen angezeigt werden sollen. Je weniger Erweiterungen hier eingestellt werden, desto schneller lädt das 64-bit-Menü. Sollte sich das 64-bit-Menü wegen einer fehlerhaften Explorererweiterung gar nicht erst öffnen lassen, dann halten Sie die Umschalttaste gedrückt, während Sie das 64-bit-Menü öffnen. Es wird dann nur der Menüpunkt "Konfigurieren" angezeigt, über den Sie alle Erweiterungen deaktivieren und nach und nach wieder aktivieren können.
Vorhandene Kontextmenüerweiterungen
Listet die zur Verfügung stehenden Erweiterungen auf, die nicht von der Anzeige ausgeschlossen wurden.
Ausschließen Verschiebt oben markierte Kontextmenüerweiterungen in die untere Liste. Dadurch werden diese nicht mehr im Kontextmenü angezeigt.
Einschließen Verschiebt unten markierte Kontextmenüerweiterungen in die obere Liste. Dadurch werden diese wieder im Kontextmenü angezeigt.
Folgende Erweiterungen vom Menü ausschließen:
Die hier aufgelisteten Kontextmenüerweiterungen werden nicht im X64-Menü angezeigt.
OK Änderungen speichern
Abbrechen Änderungen verwerfen
Hilfe Diese Hilfeseite anzeigen


Erzeuge Quersummen (CRC32, MD5, SHA1)...

Erzeuge Prüfsummen (CRC32, MD5, SHA1)...
Mit dieser Funktion können Sie Prüfsummendateien erzeugen, um sicherzustellen, dass eine Datei intakt kopiert wurde, z. B. über ein Netz oder mit einer Wechseldisk. Sie können entweder eine einzelne SFV-Datei für alle markierten Dateien erzeugen oder je eine pro markierte Datei. Prüfsummen können sogar rekursiv für alle Dateien in allen markieren Verzeichnissen erzeugt werden.
Auf dem Zielrechner können Sie die CRC-Prüfsummen mit der Funktion Verifiziere Prüfsummen (aus Prüfsummendateien) oder einem anderen SFV-Programm überprüfen.
CRC-Dateien speichern unter
Hier können Sie Zielpfad und Dateinamen angeben. Falls Sie eine SFV-Datei pro markierte Datei erzeugen, muss der Dateiname Wildcards (*) enthalten. Wenn Sie zwei Sterne eingeben, z. B. *.*.sfv, wird die Prüfsummen-Dateiendung an den kompletten Namen der Datei angehängt.
Erzeuge separate Prüfsummendateien für jede Datei:
Erlaubt das Anlegen einer separaten Prüfsummendatei für jede markierte Datei. Dies ist nützlich, wenn Sie die Dateien an unterschiedliche Empfänger schicken wollen.
Erzeuge separate Prüfsummendateien für jedes Verzeichnis:
Erlaubt das Anlegen einer separaten Prüfsummendatei für jedes Untervezeichnis.
Hinweis: Der Zielpfad wird bei dieser Option ignoriert. Die Dateien werden am selben Speicherort wie das überprüfte Verzeichnis erstellt.
Immer UTF-8 in Namen verwenden
UTF-8 wird normalerweise nur verwendet, falls einer der Dateienamen Zeichen aus einer fremden Codeseite enthält, z.B. Kyrillisch oder Chinesisch.
Unix-Format: Zeilenumbrüche, '/' in Namen
Normalerweise wird die Prüfsummendatei im Windows-Format gespeichert: Zeilenumbrüche bestehen aus 2 Zeichen <cr><lf>, und Unterverzeichnisse werden durch Backslashes getrennt, z.B. Verzeichnis\Datei
Mit dieser Option wird das Unix-Format verwendet: Zeilenumbrüche bestehen aus nur einem Zeichen <lf>, und Unterverzeichnisse werden durch Vorwärts-Schrägstriche getrennt, z.B. Verzeichnis/Datei
Prüfsummenmethode:
CRC32 (SFV) Erzeugt CRC32-Prüfsummen im SFV-Format. Sehr schnell, aber nur bei kleineren Dateien sicher genug.
MD5 Erzeugt MD5-Prüfsummen. Diese sind sicherer als CRC-Prüfsummen, da sie länger sind und einen ausgefeilteren Algorithmus verwenden. MD5-Prüfsummen werden in Kleinbuchstaben gespeichert.
SHA1 Erzeugt SHA1-Prüfsummen. Diese sind sogar noch sicherer als MD5, aber noch nicht so weit verbreitet.
BLAKE3 Ein sehr schneller Algorithmus, der schnellste kryptografisch sichere Algorithmus zum Zeitpunkt des Schreibens dieses Texts.
SHA* Erzeugt SHA2-Prüfsummen mit der angegebenen Länge, z.B. SHA256 = 256 bit Länge.
SHA3_* Erzeugt SHA3-Prüfsummen mit der angegebenen Länge, z.B. SHA3_256 = 256 bit Länge.


Verzeichnismenü ändern

Dialogbox Verzeichnismenü ändern
Das Verzeichnismenü wird mit STRG+D oder einem Doppelklick auf die Titelzeile mit dem aktuellen Pfad geöffnet.
Zum Verschieben von Menüeinträgen setzen Sie den Cursorbalken auf den Eintrag, der verschoben werden soll. Mit gedrückter Umsch-Taste lässt sich der Menüeintrag nun mit den Cursortasten an jede beliebige Position verschieben. Außerdem können Sie die Menüeinträge auch mit der Maus verschieben.
Feld Bedeutung
Verzeichnismenü: Enthält die bereits bestehenden Einträge im Verzeichnismenü. Wählen Sie einen Eintrag mit der Maus oder den Cursortasten an, so erscheint der zugehörige Zielpfad im unteren Teil der Dialogbox.
Hinzufügen... Erzeugt einen neuen Eintrag im Verzeichnismenü. Fordert dazu zuerst den Titel (die Menüzeile) an. Geben Sie einen einzelnen Strich an, um eine durchgezogene Linie zu erzeugen.
Untermenü... Erzeugt ein neues Untermenü. Fordert dazu zuerst den Titel an. Untermenüs werden mit einem Strich vor dem Namen angezeigt. Das Ende des Untermenüs wird durch zwei kurze Striche angezeigt.
Titel ändern... Erlaubt das Ändern des Titels eines Menüeintrags. Wenn Sie ein kaufmännisches UND-Zeichen "&" einfügen, so wird der Buchstabe hinter dem & unterstrichen. Sie können dann durch Drücken der entsprechenden Buchstabentaste dieses Kommando ausführen.
Löschen Löscht den im Verzeichnismenü angewählten Menüeintrag.
Kommando: In dieser Box wird der Befehl zum Verzeichniswechsel gegeben. Er lautet wie folgt:
cd Laufwerk:\Verzeichnis
Zusätzlich können Sie auch einen der internen Befehle von Total Commander aus dem Kombinationsfeld auswählen (Knopf mit Pfeil nach unten), z. B. cm_OpenDesktop um zum Desktop zu wechseln.
Zielpfad: Der unter Zielpfad gegebene Pfad wird im Zielfenster gesetzt! Dies erlaubt das gleichzeitige Setzen von Quell- und Zielverzeichnis. In diesem Feld können Sie entweder nur den Pfad angeben oder den Befehl
cd Laufwerk:\Zielverzeichnis
Verstecke Menüeinträge, die mit folgendem Zeichen beginnen::
Wenn diese Option aktiviert ist, können bestimmte Menüelemente oder sogar ganze Untermenüs ausgeblendet werden, indem am Anfang des Titels ein vom Benutzer konfigurierbares Zeichen eingefügt wird. Sie können das Zeichen über das Textfeld hinter dieser Option selbst auswählen (alle ausser dem Bindestrich '-'). Die Standardeinstellung ist ein Fragezeichen '?'. Sie könnn auf einen Menüpunkt doppelklicken, um das gewählte Zeichen hinzuzufügen/zu entfernen, um ihn auszublenden/anzuzeigen.
OK Speichert die unter Verzeichnismenü aufgeführten Menüeinträge in der Datei wincmd.ini.
Abbrechen Verlässt die Dialogbox ohne zu speichern.
Hilfe Startet die Windows-Hilfe mit dieser Seite


Dialogbox: Konfigurieren: Ansicht

Konfigurieren - Ansicht Zurück
Feld Beschreibung
Hauptprogramm Dieser Abschnitt wurde auf die Seite Operation verschoben
Dateianzeige
Versteckte Dateien anzeigen
Die frühere Option "Verstecke und Systemdateien anzeigen" wurde auf 2 separate Optionen aufgeteilt:
Diese Option erlaubt das Anzeigen/Verstecken von Dateien und Verzeichnissen mit dem Attribut "versteckt".
Systemdateien anzeigen
Diese Option erlaubt das Anzeigen/Verstecken von Dateien und Verzeichnissen mit dem Attribut "System". Es kann sinnvoll sein, diese Option einzuschalten, um bestimmte Systemordner sehen zu können.
Lange Dateinamen verwenden (empfohlen)
Mit diesem Schalter können Sie wählen, ob die langen Dateinamen verwendet werden sollen oder nicht. Diese Option sollte nur bei Problemen (z. B. mit Netzlaufwerken) deaktiviert werden. Während ein Hintergrundtransfer aktiv ist, kann diese Option nicht geändert werden.
Alte 8.3-Dateinamen in Kleinbuchstaben umwandeln (wie beim Explorer)
Wenn diese Option gewählt ist, so werden alle DOS-Dateinamen von Großbuchstaben (wie sie gespeichert sind) in Kleinbuchstaben umgewandelt, außer dem ersten Buchstaben. Dies sieht viel besser aus, aber kann mit Unix-Netzwerklaufwerken zu Problemen führen. Wenn kein solches Netzwerk verwendet wird, sollten Sie diese Option markiert lassen.
Zeige Vaterverzeichnis [..] auch im Wurzelverzeichnis des Laufwerks
Falls gewählt, kann man im Root jedes Laufwerks eine Ebene nach oben gehen zum "Arbeitsplatz", das ist eine Liste aller Laufwerke.
Zeige eckige Klammern [ ] um Verzeichnisse
Falls gewählt, zeigt Total Commander alle Verzeichnisse in der Form [Verzeichnis], sodass sie sehr leicht von Dateien unterschieden werden können.
\ anhängen Hängt einen Backslash (Rückwärts-Schrägstrich) an den Verzeichnisnamen an, anstatt eckige Klammern einzufügen.
Beispiel: Verzeichnis\
Es ist möglich, Verzeichnisse sowohl mit eckigen Klammern als auch Backslash anzuzeigen, indem man zuerst "\ anhängen" ankreuzt.
Begrenze Spaltenbreite der Ansicht 'Kurz' auf:
Normalerweise benutzt eine Spalte in der Ansicht 'Kurz' so viel Platz, dass der längste Dateiname Platz hat, nur begrenzt durch die aktuelle Panelbreite. Diese Option erlaubt es, die maximale Spaltenbreite individuell festzulegen.
Sortiermethode: Legt fest, wie Dateilisten im Total Commander sortiert werden:
Alphabetisch, inkl. Akzente
Dateien werden nach Alphabet sortiert, mit der Vergleichsfunktion des Betriebssystems für die aktuelle Sprache. Dies berücksichtigt sprachspezifische Akzente und Umlaute.
Strikt nach numerischem Zeichencode
Dateien werden nach ihrem numerischen Zeichencode (Großbuchstaben) sortiert. Da Akzente und Umlaute nach den Buchstaben des Alphabets kommen, werden solche Zeichen am Ende einsortiert.
Natürl. Sortierung: Nach Zeichencode und Nummern
Diese Methode sortiert nach numerischem Zeichencode (Kleinbuchstaben), plus nach Nummern, falls welche gefunden werden. So wird beispielsweise Datei5.txt vor Datei10.txt einsortiert, obwohl 1 vor 5 kommt - weil 10 größer ist als 5.
Natürl. Sortierung: Alphabetisch und nach Nummern
Wie oben, aber berücksichtigt zusätzlich Akzente und Umlaute. Benötigt einen installierten Internet Explorer >=6.x auf dem System, da eine Funktion des IE6 für die Sortierung benutzt wird.
Baum
Immer vollständigen Verzeichnisbaum laden
Ist diese Option nicht gewählt, so werden bei der Anzeige des Verzeichnisbaumes zunächst nur die Verzeichnisse im Hauptverzeichnis (root) angezeigt. Ist sie gewählt, so werden immer alle Verzeichnisse angezeigt. In diesem Fall werden im Baum keine speziellen Ordnersymbole angezeigt, und der Baum beginnt mit dem Hauptverzeichnis des aktuellen Laufwerks.
Hinweis: Diese Option hat keinen Einfluss auf die zusätzlich einblendbaren separaten Verzeichnisbäume, nur auf Bäume, die in einem der Hauptfenster eingeblendet werden!
Baum: Enter drücken, um Verzeichnis im anderen Fenster zu öffnen
Ist diese Option nicht gewählt, so wird das Verzeichnis unter dem Cursor (in der Baumansicht) automatisch im anderen Fenster geöffnet.
Sortieren von Verzeichnissen
Immer nach Name In den Dateifenstern werden die Verzeichnisse immer aufsteigend nach Namen sortiert, egal, wie die Dateien sortiert sind.
Wie Dateien (auch Datum)
Die Verzeichnisse werden auf dieselbe Art sortiert wie die Dateien, also z. B. auch nach Datum und in absteigender Reihenfolge.
Hilfstexte
Hilfstexte zu Knöpfen in Buttonbar anzeigen
Wird die Maus ca. 1/2 Sekunde über einen Knopf des Buttonbar gehalten, so erscheint in einem kleinen Fenster unter dem Button ein Hilfstext, wenn diese Option gewählt wurde. Die Verzögerung lässt sich in der Wincmd.ini einstellen.
Datenträgernamen zu Laufwerken anzeigen
Nach Öffnen der Laufwerksauswahlbox werden neben den Laufwerksbuchstaben die zugehörigen Volumen-Namen bzw. Netzwerkpfade angezeigt. (Nur wenn diese Option gewählt wurde.)
Zeige vollen Dateinamen als Hilfstext falls abgeschnitten
Falls ein Dateiname in der Dateiliste nicht vollständig in den zur Verfügung stehenden Platz passt, so wird beim Zeigen mit der Maus auf den teilweise sichtbaren Namen nach ca. 1 Sekunde der volle Name angezeigt. Beim Klicken oder Doppelklicken auf den Namen wird der Hilfstext entfernt.
Win32-artige Tipps mit Dateikommentaren (falls verfügbar)
Zeigt den Tipp rechts unterhalb des Mauszeigers, und zeigt dabei Zusatzfelder wie NTFS-Dateikommentare, MS-Office-Kommentare, Kommentare von files.bbs und descript.ion, usw. falls verfügbar. Der Tipp wird versteckt, sobald eine Taste gedrückt wird.
Kommentare aus descript.ion/files.bbs
Zeigt Kommentare aus den Dateien descript.ion und files.bbs. Total Commander kann solche Kommentare mit Strg+Z anlegen, und sie via Ansicht - Kommentare anzeigen.
Kommentare vom Explorer (OLE2)
Zeigt Kommentare an, welche via Alt+Enter (Eigenschaften) im Explorer und auch im Total Commander angelegt werden können. Diese werden in zusätzlichen NTFS-Streams gespeichert. Es gibt auch einige Programme wie Mp3ext, welche in solchen Kommentaren nützliche Informationen zur Datei anzeigen.
Benutzerdefiniert: [+] Erlaubt die Definition von Tipps pro Dateityp, z. B. spezielle Tipps für *.jpg Dateien und andere für *.mp3.


Dialogbox: Doppelte Dateien markieren
Mit dieser Dialogbox können Sie mit Num-"+" Dateien markieren, welche via Befehle - Suchen - Erweitert - Suche nach doppelten Dateien gefunden wurden, und mit "Anwenden" im Hauptprogramm angezeigt werden.
Tab: Dateien Markiert Dateien aufgrund ihrer Namen und Attribute
Markieren nach Name/Erweiterung:
Dies ist wie im normalen Markierdialog. Beispiele:
*.doc *.xls Markieren von Dateien mit dem angegebenen Markiermuster
*.* | *.doc *.xls Markieren von Dateien, die dem Markiermuster nicht entsprechen (alles hinter | ausschließen)
<a.*b Markieren von Dateien mit dem angegebenen regulären Ausdruck
>Alte Suche Gespeicherte Suche verwenden, wählen mit >>-Knopf.
Markierung entfernen nach Name/Erweiterung:
Dies wird nach Markieren nach Name/Erweiterung angewandt. Die Optionen sind dieselben, nur dass die Markierung von den vom Markiermuster gefundenen Dateien entfernt wird.
Markieren nach Datum/Zeit:
Erlaubt die Markierung von Dateien nach Datum/Zeit innerhalb ihrer Gruppe übereinstimmender Dateien:
Alle älteren Dateien Markiert alle Dateien, die älter sind als die neueste(n) Datei(en) in der Gruppe
Alle neueren Dateien Markiert alle Dateien, die neuer sind als die älteste(n) Datei(en) in der Gruppe
Nur die älteste Datei Markiert nur die älteste Datei in jeder Gruppe, oder mehrere falls mehrere dasselbe Datum haben sollten.
Nur die neueste Datei Markiert nur die neueste Datei in jeder Gruppe, oder mehrere falls mehrere dasselbe Datum haben sollten.
Markieren nach Dateigröße:
Erlaubt die Markierung von Dateien Größe innerhalb ihrer Gruppe übereinstimmender Dateien:
Alle größer als die kleinste Datei Markiert alle Dateien, die größer sind als die kleinste Datei in der Gruppe
Alle kleiner als die größte Datei Markiert alle Dateien, die kleiner sind als die größte Datei in der Gruppe
Nur die größte Datei Markiert nur die größte Datei in jeder Gruppe (können mehrere sein)
Nur die kleinste Datei Markiert nur die kleinste Datei in jeder Gruppe (können mehrere sein)
Tab: Markieren nach Ordner
Markiert Dateien nach Ihrem Ort auf der Disk. Das kann nützlich sein, wenn sich die zu markierenden Dateien an einem anderen Ort befinden, z. B. in einem Backup-Ordner.
Ordner wählen, in denen Dateien markiert werden können:
Benutzen Sie Umsch+Klick oder Strg+Klick, um mehrere Dateien zu markieren, oder die Leertaste.
Auch alle Unterordner markieren (manuell und mit Muster)
Falls gewählt, werden automatisch alle Unterordner markiert, wenn Sie einen Ordner markieren. Funktioniert auch beim Entfernen der Markierung.
Ordner mit Muster markieren:
Geben Sie ein Suchmuster ein (nur einen Teilstring oder mit Platzhalter * oder ?), und klicken Sie dann auf Markieren oder Entfernen, um das Muster auf die Ordner anzuwenden.
Dieses Muster nur auf das direkte Vaterverzeichnis anwenden
Falls aktiv, wird das Muster nur auf den letzten Ordnernamen im Pfad angewandt, ansonsten auf den kompletten Pfad. Beispiel: Wenn der Pfad "c:\Windows\System32" und das Muster "Windows" lauten, findet das Muster den Pfad nur, wenn diese Option nicht gewählt ist - das direkte Vaterverzeichnis "System32" würde nicht gefunden.
Markieren Markiert die Ordner, welche dem obigen Muster entsprechen
Entfernen Entfernt die Markierung von den Ordnern, welche dem obigen Muster entsprechen
Alle Markiert alle Ordner
Keine Entfernt die Markierung von allen Ordnern
Umkehren Markiert die gerade nicht markierten Ordner, und entfernt die Markierung von allen markierten
Mindestens eine Datei pro Gruppe nicht markieren:
Diese Option ist nützlich, wenn Sie doppelte Dateien löschen möchten, aber mindestens eine Datei pro Gruppe behalten wollen. Dabei wird zuerst die Methode unter "1" verwendet. Falls diese nichts findet, wird die Methode unter "2" verwendet, und schließlich die unter "3". Dateien können aufgrund ihres Datums, ihrer Größe sowie der Position in der Liste gewählt werden.
OK Schließt dem Dialog, und wendet die gewählten Markiermethoden an.
Abbrechen Schließt dem Dialog, ohne die Markierungen zu ändern.
Hilfe Öffnet diese Hilfeseite.
Anwenden Wendet die Markiermethoden an, ohne den Dialog zu schließen.


Dialogbox: Aktion bearbeiten
Hier können Sie eine Aktion (Verb) für einen Dateityp definieren oder abändern.
Aktion (Verb) Name der Aktion, z. B. 'open' oder 'print'.
Aktions-Beschreibung
Text, welcher im Kontextmenü (Rechtsklickmenü) für diese Aktion angezeigt wird. Auf nicht englischsprachigen Systemen (z. B. Deutsch) wird hier die entsprechende Übersetzung des Verbs angezeigt, also 'Öffnen' bzw. 'Drucken'.
Befehl Befehl, der ausgeführt wird, wenn die in diesem Dialog definierte Aktion im Kontextmenü gewählt wird. Um die verknüpfte Datei ans gestartete Programm zu übergeben, müssen Sie entweder einen Kommandozeilenparameter anhängen (%1 oder "%1") oder DDE verwenden.
Die folgenden DDE-Optionen stehen nur bei Systemverknüpfungen zur Verfügung:
DDE verwenden Windows soll DDE verwenden, um den Dateinamen der verknüpften Datei ans gestartete Programm zu übergeben. Dies erlaubt es, mehrere Dateien in einem Programm zu öffnen, wie z. B. bei WinWord.
DDE Befehl DDE-Befehl, der an das Programm geschickt wird, um die Datei zu öffnen. Der Befehl wird üblicherweise in eckigen Klammern übergeben. Beispiel: [DateiÖffnen("%1")]
DDE-Programmname
Name des Programms, das für die DDE-Verbindung verwendet wird, z. B. WinWord.
DDE-Befehl wenn Programm nicht läuft
Einige Programme benutzen einen anderen Befehl, wenn das Programm noch nicht läuft, als wenn es bereits läuft, wenn der Befehl geschickt wird.
Beispiel: Wenn Sie bei Excel-Dateien 'Drucken' wählen, so ist der Befehl bei nicht laufendem Excel der folgende: [open("%1")][print()][quit()]. Dies bewirkt, dass Excel nach dem Drucken wieder geschlossen wird.
Falls Excel bereits läuft, so lautet der Befehl [open("%1")][print()][close()], was nur das Dokument schließt, Excel aber offen lässt.
DDE-Thema Das DDE-Thema für die DDE-Verbindung. Bei den meisten Programmen lautet es 'System'.
OK Speichert die aktuellen Einstellungen für diese Aktion in der Registrierdatenbank, und schließt den Dialog.
Abbrechen Schließt die Dialogbox, ohne die Änderungen zu speichern.
Hilfe Öffnet die Hilfe mit dieser Seite.


Dialogbox - Kommentar bearbeiten
Diese Dialogbox erlaubt das Setzen bzw. Ändern eines Kommentars für eine Datei. Sie erreichen die Dialogbox entweder über das Menü Dateien oder mit Strg+Z.
Kommentar bearbeiten für:
Zeigt den Namen der Datei, dessen Kommentar Sie bearbeiten können.
<Bearbeitungsfeld>
Hier können Sie den Kommentar eingeben. Wenn Sie descript.ion-Dateien verwenden, so ist der Kommentar auf (neu) 4095 Zeichen begrenzt. Bitte beachten Sie, dass einige Programme nur Kommentare bis max. 511 Zeichen Länge unterstützen. Sie erhalten einen Warnton und die Anzahl Zeichen wird in Fettschrift angezeigt, wenn sie 511 Zeichen überschreitet.
Der Kommentar kann mehrere Zeilen enthalten, auch bei descript.ion-Dateien. Der Kommentar wird beim Speichern automatisch ins richtige Format umgewandelt. Das bevorzugte Format legen Sie via Konfigurieren - Operation fest. Falls nur eine Datei des nicht bevorzugten Typs gefunden wird, so ändert diese Funktion den Kommentar in dieser anderen Datei.
Neu in TC9: Unterstützung für Unicode-Kommentare im Format UTF-16 oder UTF-8. Standardmässig werden Kommentare als reiner Text (ANSI) gespeichert, außer wenn der Dateiname und/oder der Kommentar Unicode von einer anderen Codeseite enthält.
Benutze OEM(DOS)-Schrift
Benutze eine DOS-Schrift wie z. B. Terminal zum Bearbeiten der Kommentare. Nützlich z. B. für Files.bbs-Dateien, welche in DOS-Schrift gespeichert werden. Spezielle Zeichen wie Linien oder andere Ascii-Grafiken können nur mit der DOS-Schrift angezeigt und geändert werden.
F2 OK Drücken Sie diesen Knopf oder auf F2, um den Kommentar zu speichern.
Abbrechen Schließt den Dialog und ignoriert die Änderungen. Taste: ESC
Hilfe Öffnet diese Hilfeseite.


Dialogbox: Dateityp bearbeiten
Mit dieser Dialogbox können Sie einen existierenden Dateityp ändern, z. B. neue Aktionen (Verben) hinzufügen, oder existierende Aktionen abändern oder löschen.
Symbol ändern Bestimmen Sie das Symbol, welches im Total Commander und Explorer links von der verknüpften Datei erscheint.
Typname Name des Dateityps, wie er in der Registrierdatenbank definiert ist. Kann mit diesem Dialog nicht verändert werden.
Beschreibung des Typs
Beschreibung des Dateityps, wie sie z. B. im 'Öffnen mit'-Dialog angezeigt wird.
Aktionen Hier können Sie neue Dateiaktionen definieren, oder bestehende ändern. Die Standardoption ist jene, die beim Doppelklick auf die entsprechende verknüpfte Datei ausgeführt wird. Normalerweise ist 'open' (öffnen) die Standardaktion.
Öffnen (open) Programm, das für die Öffnen-Aktion verwendet wird. Falls 'Öffnen' in Fettschrift angezeigt wird, so ist es die Standardaktion. Falls DDE nicht gewählt ist, müssen Sie %1 oder "%1" hinter dem Programmnamen angeben, damit die verknüpfte Datei als Parameter übergeben wird.
DDE Falls gewählt, verwendet Windows das DDE-Protokoll, um die verknüpfte Datei ins zugehörige Programm zu laden. Dies hat den Vorteil, dass mehrere Dokumente im selben Programm geladen werden können, z. B. Word. Voraussetzung ist, dass dieses Programm DDE unterstützt. Wenn Sie diese Option wählen, so öffnet sich eine Dialogbox, mit welcher Sie die DDE-Optionen für die Aktion festlegen können.
<Listbox> Die Listbox zeigt alle anderen Aktionen (Verben) an, die für diesen Dateityp definiert sind. Sie können sie mit den Knöpfen unter der Liste abändern.
Neu... Erzeugt eine neue Aktion für den gegebenen Dateityp. Die Einstellungen können in einer Dialogbox festgelegt werden.
Bearbeiten... Erlaubt das Ändern der Einstellungen für die gewählte Aktion in einer Dialogbox.
Löschen Löscht die gewählte Aktion.
Standard setzen Definiert die gewählte Aktion als Standardaktion, welche beim Doppelklick (oder Drücken von ENTER) auf eine Datei dieses Typs gestartet wird.
OK Speichert die aktuellen Einstellungen und schließt den Dialog. Geänderte Aktionen werden bereits gespeichert, wenn Sie die Dialogbox für diese Aktion schließen!
Abbrechen Schließt den Dialog, ohne die Änderungen zu speichern, welche Sie in diesem Dialog gemacht haben.
Hilfe Öffnet die Hilfe mit dieser Seite.


Dialogbox: Dateityp bearbeiten (interne Verknüpfungen)
Mit dieser Dialogbox können Sie einen existierenden Dateityp definieren oder ändern, z. B. neue Aktionen (Verben) hinzufügen, oder existierende Aktionen abändern oder löschen. Interne Verknüpfungen funktionieren nur innerhalb von Total Commander. Benutzen Sie Dateien - Verknüpfen, um systemweite Verknüpfungen festzulegen.
Symbol ändern Bestimmen Sie das Symbol, welches im Total Commander links von der verknüpften Datei erscheint. Geben Sie als Symbolnamen %1 an, um das Standardsymbol des Systems für diesen Dateityp anzuzeigen.
Typname Dateityp, z. B. *.txt für alle Textdateien oder eine gespeicherte Suche für komplexere Dateitypen. Sie können den >>-Knopf benutzen, um den Dateityp zu ändern.
Beschreibung des Typs
Wird für interne Verknüpfungen nicht benutzt.
Aktionen Hier können Sie neue Dateiaktionen definieren oder bestehende ändern. 'Öffnen' ist bei internen Verknüpfungen immer die Standardaktion. Sie wird beim Doppelklick auf die entsprechende verknüpfte Datei ausgeführt.
Öffnen Progamm, das für die Öffnen-Aktion verwendet wird. Dies ist die Standardaktion für interne Verknüpfungen. Sie müssen %1, "%1" oder %2 hinter dem Programmnamen angeben, damit die verknüpfte Datei als Parameter übergeben wird. Der Unterschied zwischen %1 und %2 zeigt sich nur, wenn Sie bei mehreren markierten Dateien das Rechtsklick-Kontextmenü benutzen: Bei Verknüpfungen mit %1 startet Total Commander für jede Datei ein eigenes verknüpftes Programm. Bei %2 dagegen werden alle markierten Dateien an dasselbe Programm übergeben, was natürlich nur funktioniert, wenn ein Programm mehrere Dateien als Parameter akzeptiert.
Für interne Verknüpfungen gibt es einige Spezialkommandos:
* Ein einzelner Stern öffnet beim Drücken von ENTER ein Kontextmenü mit allen anderen internen Befehlen
** Ein doppelter Stern öffnet die Datei mit der Standardverknüpfung des Systems
*verb Ein Stern gefolgt von einem Verbnamen (z. B. open) öffnet die Datei mit dem angegebenen Systemverb
**erw Packer-Plugin (oder internen Entpacker) benutzen, welches für Dateierweiterung "erw" definiert wurde, um Dateiinhalt anzuzeigen
**internal_erw Internen Entpacker wie zip benutzen, um Dateiinhalt anzuzeigen
**internal_sha Funktion "Verifiziere Prüfsummen" für diesen Dateityp verwenden, z.B. für ungewöhnliche Endungen wie *.sha256sum
**pfad\datei.bar Öffnet die angegebene Buttonbar-Datei als Menü. Funktioniert nur, wenn mindestens ein Buttonbar angezeigt wird (horizontal oder vertikal). Mit Parametern wie %P%N kann die geöffnete Datei an den Button-Befehl übergeben.
<Listbox> Die Listbox zeigt alle anderen Aktionen (Verben) an, die für diesen Dateityp definiert sind. Sie können sie mit den Knöpfen unter der Liste abändern.
Neu... Erzeugt eine neue Aktion für den gegebenen Dateityp. Die Einstellungen können in einer Dialogbox festgelegt werden.
Bearbeiten... Erlaubt das Ändern der Einstellungen für die gewählte Aktion in einer Dialogbox.
Löschen Löscht die gewählte Aktion.
OK Speichert die aktuellen Einstellungen und schließt den Dialog. Geänderte Aktionen werden bereits gespeichert, wenn Sie die Dialogbox für diese Aktion schließen!
Abbrechen Schließt den Dialog, ohne die Änderungen zu speichern.
Hilfe Öffnet die Hilfe mit dieser Seite.


Dateien zusammenfügen
Diese Funktion erlaubt das Zusammenfügen von mehreren Dateien zu einer großen Datei. Dabei kann Total Commander nicht nur mit der Funktion Datei aufspalten erzeugte Dateien zusammenfügen, sondern auch z. B. mit dem Unix-Befehl split -b erzeugte Teildateien. Stellen Sie einfach den Cursor auf die erste Teildatei und wählen Sie 'Dateien zusammenfügen'. Die Dateinamen müssen aufsteigend nummeriert sein, oder mit aufsteigenden Buchstaben versehen sein. Total Commander erkennt damit datei.001, datei.002, datei.003, aber auch dateiaa, dateiab, dateiac sowie dateiname.00000.zip.part.
Falls eine Datei mit Endung .crc im selben Verzeichnis wie eine der Teildateien gefunden wird, welche denselben Dateinamen (ohne Erweiterung) hat wie eine der Teildateien, so benutzt Total Commander diese Datei, um die zusammengesetzte Datei auf Fehler zu überprüfen. Außerdem wird der in der crc-Datei gespeicherte Dateiname für die Zieldatei verwendet.
Nach dem Zusammenfügen wird die Anzahl gefundener Teile im Titel der Dialogbox angezeigt.
Füge XXX und alle Dateien mit aufsteigenden Dateinamen zusammen, im Verzeichnis:
Hier können Sie den Zielpfad angeben. Lassen Sie das Feld leer, um die Datei im aktuellen Verzeichnis zusammenzufügen.


Datei decodieren (MIME/UUE/XXE/BinHex)

Datei decodieren (MIME, UUE, XXE, BinHex)
Diese Funktion erlaubt das Decodieren einer oder mehrerer Dateien zu einer Datei. Total Commander unterstützt die Formate MIME, UUEncode, XXEncode, BinHex (Version 4.0) sowie yEnc. Stellen Sie einfach den Cursor auf die zu decodierende Datei, bzw. auf die erste Teildatei und wählen Sie 'Dateien decodieren'. Bei einer mehrteiligen codierten Datei müssen die Dateinamen aufsteigend nummeriert sein, oder mit aufsteigenden Buchstaben versehen sein. Total Commander erkennt damit datei001.uue, datei002.uue, datei003.uue, aber auch dateiaa, dateiab, dateac.
Ungültige Zeichen im Zielnamen werden durch Unterstriche "_" ersetzt. Im Fall von doppelten Namen können Sie "kopierte automatisch umbenennen" wählen, um Namen in der Form name(2), name(3) etc. zu erhalten.
Decodiere die Datei XXX in Verzeichnis:
Hier können Sie den Zielpfad angeben. Der Dateiname der Zieldatei wird aus der codierten Datei herausgelesen. Lassen Sie das Feld leer, um die Datei im aktuellen Verzeichnis zu decodieren.


Datei codieren (MIME/UUE/XXE)

Datei codieren (MIME,UUE,XXE)
Mit dieser Funktion können Sie Binärdateien wie z. B. Programme oder Archivdateien in reinen Text umwandeln, z. B. für den Versand über das Internet per e-mail. Die Textdaten werden dabei entweder in eine große Datei geschrieben oder auf mehrere Teildateien aufgetrennt.
Die Textdatei können Sie am Zielort entweder mit Total Commander (Kommando Datei decodieren) wieder in das Original zurückverwandeln oder z. B. mit dem Programm Wincode, das weit verbreitet ist.
Codiere die Datei 'xxx' ins Verzeichnis
Hier können Sie den Zielpfad angeben. Der Dateiname wird von Total Commander selbst wie folgt gewählt: Der Name wird beibehalten und die Endung wird in .B64 (MIME), .UUE (UUEncode) bzw. .XXE (XXEncode) geändert. Lassen Sie das Feld leer, um die Datei im aktuellen Verzeichnis zu codieren.
Codieren als Geben Sie hier die gewünschte Codiermethode an. MIME ist ein Internet-Mailformat. UUE ist ein relativ altes, aber vor allem bei Mailboxen weit verbreitetes Format, das allerdings nicht überall durchkommt (z. B. bei bestimmten Internet-Servern). XXE vermeidet die Nachteile von UUE, ist aber nicht so verbreitet.
Zeilen pro Datei Bestimmt, wie viele Code-Zeilen pro Datei ausgegeben werden sollen. Wenn dieses Feld leer gelassen wird, sind beliebig viele Zeilen erlaubt. Die Anzahl der Kopfzeilen (Header), welche u.a. den Dateinamen der Originaldatei enthalten, ist dabei nicht mitgerechnet.
Bytes pro Datei Bestimmt die Größe der Teildateien in Zeichen (Bytes). Die Größe der Kopfzeilen (Header), welche u.a. den Dateinamen der Originaldatei enthalten, ist dabei nicht mitgerechnet. Die erzeugten Teildateien sind deshalb leicht größer als die angegebene Zahl.


Datei aufspalten
Diese Funktion erlaubt das Aufspalten einer (großen) Datei in mehrere i. Allg. gleich große kleinere Dateien, z. B. für den Transport über Internet oder auf Diskette. Die Einzeldateien können dabei entweder direkt auf Diskette geschrieben werden oder in ein Verzeichnis auf der Festplatte.
Die Teildateien können am Zielort entweder mit Total Commander (Kommando Dateien zusammenfügen) zusammengesetzt werden oder z. B. mit dem Kommandozeilenbefehl copy. Die Kommandozeile lautet dabei:
copy /b teil.001 + teil.002 + teil.003 + teil.004 original.dat
Dies setzt die Teile 1 bis 4 zur Datei original.dat zusammen.
Nach dem Aufspalten erzeugt Total Commander eine Datei mit der Endung .crc. Diese Datei enthält u.a. den Namen und die Größe der Originaldatei sowie eine Prüfsumme (CRC-Checksumme). Zum Zusammensetzen mit einem anderen Programm (z. B. copy) ist diese Datei nicht notwendig! Total Commander kann mit dieser Datei jedoch testen, ob die Originaldatei korrekt wiederhergestellt wurde.
Spalte die Datei 'xxx' in folgendes Verzeichnis auf
Hier können Sie den Zielpfad angeben. Die Dateinamen werden von Total Commander selbst wie folgt gewählt: Der Name wird beibehalten, und die Endungen werden in .001, .002 usw. geändert. Dadurch sind maximal 999 Teildateien möglich. Lassen Sie das Feld leer, dann wird ins aktuelle Verzeichnis aufgespalten.
Bytes pro Datei Geben Sie hier die gewünschte Dateigröße in Zeichen (Bytes) an (von Hand eintippen) oder wählen Sie eine der vorgegebenen Größen aus der Liste. Wenn Sie 'Automatisch' wählen, so nutzt Total Commander bei Wechselmedien den gesamten freien Speicherplatz auf dem Medium. Beim Aufsplitten auf die Festplatte werden 1.44 MB (3 1/2 " Diskette) verwendet. Für größere Dateien können Sie auch die Einheiten k, M und G verwenden. Diese stehen für kBytes, MBytes und GBytes, gemessen in Computereinheiten (1k=1024 Bytes, 1M=1024 k, 1G=1024 M).
Lösche Dateien auf Zieldisk (nur wechselbare Disks)
Wenn diese Option aktiviert ist, so werden alle Dateien im Zielverzeichnis und darunter gelöscht. Vor dem Löschen fragt Total Commander zur Sicherheit nach, und zeigt dabei eine Liste der zu löschenden Dateien an.


Dialogbox: Firewall-Einstellungen
Mit dieser Dialogbox können Sie den Firewall (Übergangsserver vom Firmennetz ins Internet) konfigurieren. Diese Einstellungen sind für alle Verbindungen dieselben. Sie erhalten sie in der Regel vom Administrator Ihres Firmennetzes. Um den Firewall mit der Funktion 'Neue Verbindung' zu benutzen, müssen Sie mindestens eine Verbindung im Verbindungsdialog für Firewall-Betrieb konfigurieren.
Verbindungsmethode
Wählen Sie die von Ihrem Server unterstützte Verbindungsmethode.
Sende Kommando USER Benutzer@Maschinenname
Sendet dem Proxy das Kommando USER Benutzer@Maschinenname. Diese Methode wird z. B. vom Programm Wingate verwendet. Die Felder 'Benutzername' und 'Passwort' müssen leer gelassen werden.
Sende Kommando SITE (mit logon)
Sendet dem Proxy zuerst Benutzername und Passwort (sofern angegeben), danach das Kommando 'SITE Maschinenname'. Die Felder 'Benutzername' und 'Passwort' müssen in der Regel angegeben werden.
Sende Kommando OPEN
Sendet dem Proxy zuerst Benutzername und Passwort (sofern angegeben), danach das Kommando 'OPEN Maschinenname'. Die Felder 'Benutzername' und 'Passwort' sind für diesen Proxy-Typ oft nicht nötig.
USER user@firewalluser@hostname / PASS pass@firewallpass
Benutze diese 2 Befehle für die Verbindung.
Transparent Sendet erst die Befehle USER und PASS mit Benutzernamen und Passwort des Firewalls, danach mit denen des Zielrechners.
HTTP Proxy mit FTP-Unterstützung
Benutzt dieselbe Methode wie Netscape und Internet Explorer. Dies funktioniert nicht mit allen Proxy-Servern, da die zurückgegebene HTML-Seite keinem Standard folgt. Die wichtigsten Proxies werden jedoch unterstützt. Wichtig: Über einen HTTP-Proxy kann man nicht selbst festlegen, ob eine Datei im Text- oder Binärmodus übertragen wird, das bestimmt der Proxy via MIME-Typen!
SOCKS4 Benutze einen SOCKS4-Proxy. Dieser Proxy benötigt üblicherweise einen Benutzernamen oder eine Benutzerid, aber kein Passwort. Eventuell müssen Sie einen Identd-Service auf Ihrem Rechner laufen lassen. Sie finden einen (gratis) auf www.tucows.com. Falls Sie Domainnamen eingeben wollen, muss Ihr Netz DNS unterstützen, d.h. einen Nameserver haben.
SOCKS5 (basic authentication)
Benutze einen SOCKS5-Proxy. Benötigt i. Allg. Benutzernamen und Passwort. Die GSSAPI-Authentifizierung wird wegen der Schweizer Kryptoexportgesetze nicht unterstützt.
USER user@hostname firewalluser PASS pass ACCT firewallpass
Benutze diese 3 Befehle für die Verbindung.
HTTP CONNECT Diese Option öffnet einen FTP-Tunnel auf einem HTTP-Proxy, welcher den CONNECT-Befehl unterstützt (benötigt HTTP 1.1). Nicht alle HTTP-Proxies unterstützen diesen Befehl. Bitte beachten: Diesem Modus sollte der Vorzug gegeben werden vor HTTP Proxy mit FTP-Unterstützung, weil er alle FTP-Befehle unterstützt, inkl. Löschen und Anlegen neuer Verzeichnisse. Bei diesem Proxytyp ist nur der Passivmodus möglich.
Firewall-Infos Geben Sie hier die Details zu Ihrem Firewall-Server an.
Servername Geben Sie hier die Internet-Adresse oder den Namen des Firewalls an. Eine andere Portnummer geben Sie durch Doppelpunkt getrennt an, z. B. firewall.meinfirma.com:1021
Benutzername Geben Sie hier Ihren Benutzernamen auf dem Firewall-Server an. Viele Firewalls verlangen keine Angabe von Benutzernamen und Passwort.
Passwort Hier können Sie das Firewall-Passwort angeben (sofern benötigt). Geben Sie das Passwort nur an, falls Ihr PC absolut sicher ist! Total Commander fragt bei Nichtangabe des Passworts bei Bedarf nach.


Dialogbox: Konfigurieren: ZIP-Packer

Konfigurieren - ZIP-Packer Zurück
Feld Beschreibung
ZIP-Packer Geben Sie hier den Dateinamen des ZIP-Packers (pkzip.exe) inklusive kompletter Pfadangabe an.
Benutze internen ZIP-Packer
Benutze den in Total Commander fest eingebauten ZIP-Packer. Nach dem Packen wird die ZIP-Datei automatisch auf Fehler untersucht. Die Überprüfung kann jederzeit abgebrochen werden, ohne dass die ZIP-Datei gelöscht würde. Sie kann auch ganz übersprungen werden, durch den Eintrag von VerifyZip=0 in wincmd.ini, Abschnitt [Packer].
Benutze ZIP-NT 2.0.1 (lange Dateinamen!)
Der angegebene Packer ist Info-Zip (auch Zip-NT genannt) für Windows NT. Die Version 2.0.1 von Info-ZIP muss verändert (gepatcht) werden, damit sie mit Total Commander funktioniert. Ansonsten werden Dateien, deren Namen Leerzeichen enthalten, nicht gepackt! Total Commander führt diese Veränderung (nach Rückfrage) automatisch durch, wenn er eine ungepatchte Version von Info-ZIP 2.0.1 entdeckt. Übrigens, Sie finden Info-ZIP an der WWW-Adresse http://infozip.sourceforge.net/ im Internet.
Falls Sie eine neuere Version als 2.0.1 besitzen, ist keine Abänderung nötig. Sie können also die Frage, ob Sie den Packer trotzdem verwenden wollen, mit 'Ja' beantworten. Allerdings sollten Sie zum Test ein Archiv mit Dateien erzeugen, die lange Dateinamen mit Leerzeichen enthalten.
ZIP-Entpacker Tragen Sie hier den ZIP-Entpacker (pkunzip.exe), inkl. Pfad ein. Unzip.exe wird nicht unterstützt.
Benutze wenn möglich internen Entpacker
Total Commander besitzt ein eingebautes Unzip von Info-ZIP, das ein Entpacken ohne PKunzip ermöglicht. Um es zu benutzen, müssen Sie diese Option wählen. In einigen seltenen Fällen muss jedoch das externe PKunzip verwendet werden: Wenn die Datei verschlüsselt ist, oder wenn Sie im Entpackdialog hinter dem Zielverzeichnis spezielle Parameter angeben.
Die folgenden Optionen betreffen nur den internen ZIP-Packer:
Kompressionsrate Wählen Sie hier die Kompressionsrate (Stärke der Kompression). Die Kompressionsrate reicht von 1 (schnellste Kompression) bis 9 (beste aber langsamste Kompression). Außerdem ist 0 (keine Kompression) möglich. Da 9 sehr langsam ist und nur wenige Promille besser als die normale Kompression 6, ist letztere bei Total Commander voreingestellt.
Verzeichnis für temporäre Dateien (interner ZIP)
Bestimmt, wo Total Commander beim Packen temporäre Dateien anlegt (nur nötig beim Packen auf Wechselmedien wie Disketten):
Standard Total Commander verwendet die Umgebungsvariable temp. Mehr Infos zu Umgebungsvariablen finden Sie hier.
anderes: Hier können Sie ein anderes Verzeichnis angeben, damit Total Commander nicht das normale temp-Verzeichnis verwendet. Das Verzeichnis muss existieren!
Weitere Einstellungen:
Benutze 8.3-Dateinamen
Bei Dateien mit langen Dateinamen wird der kurze Aliasname mit 8 Zeichen und 3 Zeichen Dateierweiterung in die ZIP-Datei geschrieben. Dies erlaubt das Entpacken dieser Dateien auch unter DOS.
ZIP-Datum=das der neuesten Datei
Nach dem Packen wird das Datum der ZIP-Datei auf das Datum der jüngsten Datei in dieser ZIP-Datei gesetzt.
Öffne partielle ZIP-Dateien
Erlaubt das Öffnen von nur teilweise heruntergeladenen ZIP-Dateien, sogar noch während des Downloads. Damit können die darin enthaltenen Dateien schon eingesehen werden, bevor der Download beendet ist. Praktisch bei sehr großen ZIP-Dateien.
Behalte defekte Dateien (CRC-Fehler)
Normalerweise werden beim Entpacken Dateien mit falscher Prüfsumme automatisch gelöscht. Falls die Prüfsumme falsch ist oder die Datei sehr wichtige Daten enthält, kann es sinnvoll sein, die wahrscheinlich fehlerhafte Datei trotzdem zu behalten. Sie sollten die Datei aber unbedingt überprüfen, wenn Sie eine Fehlermeldung erhalten.
Packe Unicode-Namen:
Legt fest, wie Zeichen behandelt werden sollen, die sich außerhalb des Zeichensatzes des ZIP-Standards befinden
Jedes Mal fragen, wenn ein Unicode-Name auftritt
Eine Dialogbox wird angezeigt, die den Benutzer fragt, wie die Dateinamen gespeichert werden sollen
Speichere Unicode-Namen als UTF-8 (Pkzip 4.5/Winzip 11.2-Methode)
Die Unicode-Namen werden gemäß dem UTF-8-Standard gespeichert. Diese Methode ist nicht kompatibel mit älteren ZIP-Packern wie dem Windows Explorer oder älteren Total Commander-Versionen, aber die Dateien können trotzdem noch entpackt werden. Die Unicode-Zeichen erscheinen jedoch als mehrere Zeichen mit Akzenten.
Alle als UTF-8, falls mindestens einer Unicode enthält
Falls mindestens eine Datei mit Unicode-Zeichen gefunden wird, werden alle Dateien (auch solche mit normalen Akzenten und Umlauten) als UTF-8 codiert. Falls die Datei dagegen nur englische Namen und Akzente/Umlaute von derselben Codeseite enthält, werden sie mit der alten kompatiblen Methode gespeichert.
Alle als UTF-8, falls mindestens einer nicht englische Zeichen enthält
Wie oben, aber alle Namen mit nicht-englischen Zeichen werden in UTF-8 codiert. Diese Methode ist nützlich, wenn Sie Dateien mit Akzenten/Umlauten an jemanden mit einer unterschiedlichen Schrift schicken möchten, etwa Namen mit deutschen Umlauten an jemanden, der kyrillische (russische) Zeichen benutzt.
Speichere Unicode-Name in Extra-Feld (Info-Zip-Methode)
Diese Methode ist nützlich, falls Sie Dateien an jemanden mit einem Unix/Linux-System schicken möchten. Info-zip speichert die Unicode-Namen in einem Extrafeld, und verändert den Originalnamen nicht. Vorteil: Umlaute aus derselben Codeseite können auch mit älteren Packern entpackt werden.
Speichere alle Namen mit nicht-englischen Zeichen in Extra-Feld
Wie oben, aber alle Namen mit nicht-englischen Zeichen erhalten dieses Extrafeld. Diese Methode ist nützlich, wenn Sie Dateien mit Akzenten/Umlauten an jemanden mit einer unterschiedlichen Schrift schicken möchten, etwa Namen mit deutschen Umlauten an jemanden, der kyrillische (russische) Zeichen benutzt.
Speichere Unicode-Zeichen als '?'
Dies ist die alte Methode von Total Commander 7.0x und älter. Beim Entpacken werden die Fragezeichen durch Unterstriche '_' ersetzt. Diese Methode ist nützlich, falls die gepackten Namen nur sehr wenige Unicode-Zeichen enthalten, und Sie das Archiv an jemanden mit einem alten ZIP-Packer ohne Unicode-Unterstützung senden möchten.


Lister: Dialogbox: Konfigurieren

Dialogbox Lister konfigurieren
Tab: Allgemeines
Anzeige beim Aufstarten:
Wählen Sie hier, ob der Lister beim Drücken von F3 in Total Commander die Datei als Text, Binär (fixe Breite) oder Hexadezimal anzeigen soll. Lister kann in begrenztem Maße selbst zwischen Text- und Binärdateien unterscheiden, wenn automatisch gewählt wird.
Schriftart beim Aufstarten:
Wählen Sie, ob Lister zunächst im ANSI- (Windows), ASCII- (DOS) oder variablen Zeichensatz (Windows, Text) anzeigen soll. Im Modus Automatisch wählt Lister selbst zwischen ANSI und ASCII.
Schriftart: Wählen Sie hier eine Schriftart für den jeweiligen Darstellungsmodus. Achtung: Bei der Auswahl der ASCII-Schrift werden leider auch ANSI-Schriften mit angezeigt!
Anzeigebreite: Wählen Sie die Breite einer Zeile in Zeichen für den Text- und Binärmodus.
Suchergebnis: Legt fest, wie viele Zeilen vom oberen Fensterrand gefundener Text angezeigt werden soll
Tab: Multimedia
Multimedia-Anzeige
Diverse Einstellungen zur Anzeige von Multimedia (Bilder, Musik, Videos...)
Benutze Plugins und lade Bitmaps als Grafik beim Aufstarten
Bestimmt, ob Bilder beim Starten des Listers als Grafik oder Text angezeigt werden sollen.
Multimedia Diese Option bewirkt, dass Lister Sound- und Videodateien lädt und abspielt. Falls diese Option nicht markiert ist, können Sie die Datei trotzdem abspielen, indem Sie im Lister "Bild" wählen.
RTF Diese Option zeigt RTF-Dateien (rich text format) via das Microsoft RTF-Control an, welches auch von Wordpad benutzt wird. Bilder und andere eingebettete Objekte werden nicht angezeigt.
Benutze Irfanview/Xnview, für andere Grafiken als BMP
Mit dieser Option kann der Grafikviewer Irfanview als Filter benutzt werden, um andere Formate als BMP in Total Commander zu importieren. Diese Funktion braucht bei großen Bildern sehr viel Hauptspeicher.
Sie finden Irfanview im Internet via die Seite Zubehör-Tools auf unserer Homepage, www.ghisler.com. Sie benötigen mindestens Version 2.90 von Irfanview!
Als Alternative können Sie XNView ab Version 1.14 verwenden (www.xnview.com). Dieses gibt es auch in einer Version für Windows 3.1!
Zeige HTML als Text mit Links
Sie können hier festlegen, ob HTML-Dateien als interpretierter Text mit Links oder als HTML-Quelltext angezeigt werden sollen.
Zeige Links in HTML in Klammern {}
Ebenfalls können festlegen, ob geschweifte Klammern um Links angezeigt werden sollen oder nicht.
LS-Plugins Dieser Knopf erlaubt das Installieren/Entfernen von Lister-Plugins. Die Plugins werden in der Reihenfolge aufgerufen, in welcher sie in der Liste stehen - das erste für einen Dateityp zuständige Plugin wird geladen. Mit Umsch+Pfeiltasten lässt sich die Liste umsortieren. Im Lister kann durch Drücken der Taste '4' bei der Anzeige durch alle passenden Plugins gewechselt werden.
Plugins finden Sie auf www.ghisler.com unter Zubehör.
Vorschau-Handler vom Explorer benutzen
Schaltet Methode 8, "Explorer-Vorschau" ein und aus. Bei dieser werden Funktionen verwendet, die auch der Explorer für seine Schnellansicht verwendet. Damit können auch Funktionen von Drittherstellern verwendet werden.
Miniaturbildanbieter benutzen
Dabei werden Funktionen verwendet, die der Explorer zum Anzeigen von Miniaturbildern (Thumnails) verwendet. Bei diesen kann man die gewünschte Größe mit angeben, so dass sie meist auch brauchbare Bilder on vollder Grösse liefern.
Ansichtsmethode nach Dateityp definieren
Erlaubt es, für vom Benutzer festgelegte Dateitypen bevorzugte Ansichtsmethoden zu wählen. Das ist besonders dann nützlich, wenn für einen Dateityp mehrere Methoden existieren, z.B. Anzeige von Symbolen in Programmdateien bzw. Anzeige von vorhandenen Funktionen. Normalerweise wird dies durch die Reihenfolge der Lister-Plugins festgelegt, doch hat man mit dieser Funktion mehr Möglichkeiten, je nach Dateityp andere Plugins zu bevorzugen.
Falls Sie für eine Erweiterung 2 oder mehr Ansichtsmethoden definiert haben, wechselt das mehrfache Drücken von '4' nur durch diese Methoden. Falls Sie nur eine Ansichtsmethode angegeben haben, öffnet F3 Lister mit dieser Methode. Danach wechselt das mehrfache Drücken von '4' durch alle vorhandenen Lister-Plugins, sofern diese den Dateityp unterstützen.
Zusätzliche Irfanview/Xnview-Dateitypen:
Zusätzliche Dateitypen, die an Irfanview/Xnview zur Umwandlung geschickt werden sollen
Beispiel: *.xyz *.abc
Es ist auch möglich, intern erkannte Dateitypen zu verbieten. Um z.B. jpg-Dateien einzuschließen, aber tga- und tiff-Dateien auszuschließen, benutzt man:
*.jpg | *.tga *.tif *.tiff
Zusätzliche Multimedia-Dateitypen:
Zusätzliche Dateitypen, die mit der internen Medienwiedergabe abgespielt werden sollen.
Beispiel: *.mkv *.wmv
Erlaubt es auch, intern erkannte Dateitypen auszuschließen. Um z.B. mkv- und wmv-Dateien einzuschließen, aber mp3- und mp4-Dateien auszuschließen, muss man folgendes angeben:
*.mkv *.wmv | *.mp3 *.mp4
Tab: Wiedergabe
Interne Medienwiedergabe
Diverse Einstellungen zum internen Abspielen von Musik und Videos.
Benutze Standard-Systemfilter
Die Auswahl der Decodierfilter wird Windows überlassen. Leider unterstützen die Systemfilter nur wenige Formate
Empfohlene Filter (LAV, ffdshow)
Falls die LAV-Video- und LAV-Audiofilter installiert sind, werden diese bevorzugt verwendet. Diese Filter unterstützen eine grosse Anzahl Dateiformate. Falls die LAV-Filter nicht vorhanden sind, wird stattdessen nach den ffdshow-Filtern gesucht, und schliesslich werden Standardfilter verwendet. Die LAV- und ffdshow-Filter sowie DirectVobSub können auch ohne Installations ins Unterverzeichnis filter32 bzw. filter64 kopiert werden.
Alte Video für Windows-Wiedergabe
Die alte Wiedergabemethode von Total Commander 9.51 und älter verwenden.
Benutzerdefiniert:
Wählen Sie Ihre bevorzugten Wiedergabefilter. Falls das Laden einer Datei mit diesen Filtern fehlschlägt, werden stattdessen Systemfilter verwendet.
Filter herunterladen...
Öffnet eine Seite auf unserer Homepage mit einer Liste empfohlener Filter
Quellfilter Filter zum Öffnen von Dateien. Emfehlenswert sind "LAV Filter Source" und "Haali Media Splitter".
Alternativ kann hier eine mit "Graphedit" oder "Graph Studio" erzeugte grf-Datei ausgewählt werden (Filtergraph)
Hinzufügen Zeigt eine Liste verfügbarer Quellfilter an. "*.grf (Graphedit)" zeigt einen Dialog zum Laden einer grf-Datei an.
Wichtig: Als Ausgabefilter muss ein Filter verwendet werden, der fensterlose Wiedergabe unterstützt.
Entfernen Entfernt den markierten Filter, oder die markierte Filtergraph-Datei.
Decodierfilter (Audio/Video):
Liste von Filtern, die Lister bevorzugt verwenden soll. Lister lädt diese Filter in den Filtergraph und ruft dann die Funktion zum Darstellen der Datei auf. Dabei schaut Windows zunächst, ob einer oder mehrere der bereits geladenen Filter verwendet werden kann. Falls nicht, wird nach anderen passenden Filtern im System gesucht.
Hinzufügen Zeigt eine Liste verfügbarer Decodierfilter an.
Entfernen Entfernt den markierten Filter.


Dialogbox - Mehrfach-Umbenenn-Tool
Mit dieser Dialogbox können Sie eine Liste von in Total Commander markierten Dateien umbenennen. Anstelle von * und ? werden Platzhalter in eckigen Klammern [ ] verwendet. Die neuen Namen werden sofort in der Resultatliste angezeigt, aber die Dateien werden nicht wirklich umbenannt, bevor nicht der Start!-Knopf gedrückt wird.
Neu in TC9: Falls es beim Umbenennen zu Namenskollisionen kommt, z.B. weil die Umbenennmaske mehrmals denselben Namen ergibt, oder vorhandene Dateien den selben Namen hatten, wird neu angeboten, die Dateien automatisch umzubenennen in "name (2).erw", "name (3).erw" etc. Dies wird nicht in der Vorschau angezeigt!
Feld Beschreibung
Umbenennmaske: Dateiname
In diesem Feld können Sie eine Definition für den neuen Dateinamen eingeben. Die Knöpfe darunter erlauben das Einfügen von Platzhaltern für den alten Namen, Teile davon, einen Zähler, Dateidatum/-zeit oder Plugineigenschaften. Die Knöpfe + und # erlauben das Einfügen von seltener benutzten Platzhaltern wie z.B. das Vaterverzeichnis. Platzhalter stehen immer in eckigen Klammern [ ], während alle anderen Zeichen (ohne eckigen Klammern) in den neuen Namen ohne Änderung übernommen werden. Siehe unten für eine Beschreibung aller verfügbaren Platzhalter! Nicht mehr erwünschte Einträge können Sie mit Umsch+Entf aus der Liste löschen (auch bei Suchen+Ersetzen). Dateien können nun auch verschoben werden, indem Verzeichnistrennzeichen "\" (Backslash) im Namen angegeben werden. Nicht vorhandene Unterverzeichnisse werden dabei automatisch neu angelegt.
Erweiterung Definition für die Erweiterung. Im Prinzip können alle Platzhalter zu jeder der beiden Definitionsboxen hinzugefügt werden. Das Umbenenntool erzeugt den Umbenennstring wie folgt: Maske für Dateiname + "." + Maske für Erweiterung. Der Grund für zwei separate Felder ist, dass man nicht aus Versehen die Dateierweiterungen entfernt, was die Verknüpfung mit einem bestimmten Programm ebenfalls entfernen würde.
Suchen & Ersetzen Der Text im Feld 'Suchen nach' wird ersetzt durch den Text in 'Ersetzen durch'. Die Groß-/Kleinschreibung im Feld 'Suchen nach' wird nicht beachtet. In beiden Fällen sind die Platzhalterzeichen (Wildcards) * und ? erlaubt. Ein * bedeutet beliebig viele Zeichen, ein ? genau ein Zeichen.
Diese Funktion wird NACH der Umbenennmaske angewandt!
Sie können mehrere Texte auf einmal suchen und ersetzen! Die Texte müssen durch die vertikale Linie | (Alt+124) getrennt sein.
Beispiel: Ersetze Umlaute und Akzente:
Suchen nach: ä|ö|ü|é|è|ê|à Ersetzen durch: ae|oe|ue|e|e|e|a
^ Groß-/Kleinschreibung berücksichtigen.
Beispiel: Ersetze Umlaute und Akzente, unter Berücksichtigung der Groß-/Kleinschreibung:
Suchen nach: ä|ö|ü|é|è|ê|à|Ä|Ö|Ü|É|È|Ê|À Ersetzen durch: ae|oe|ue|e|e|e|a|AE|OE|UE|E|E|E|A
1x Nur das erste Auftreten des Suchtexts ersetzen, falls er mehrfach im Dateinamen auftaucht
[E] Den Suchtext auch in der Dateierweiterung ersetzen.
Regeln für den Fall, dass diese Option NICHT markiert ist:
1. Wenn die Umbenennmaske benutzt wird, wird nur der Teil aus "Dateiname" durch Suchen & Ersetzen verändert
2. Wenn die Dateinamen aus einer externen Textdatei geladen wurden, wird der Text ab dem letzten Punkt nicht verändert
Beispiel: Diese Option nicht aktivieren, wenn Sie alle Punkte im Namen außer der Trennung zwischen Namen und Erweterung ersetzen möchten.
RegEx Mit dieser Option werden reguläre Ausdrücke unterstützt.
Subst. Substitution: Der komplette Dateiname wird durch die Zeichen im Feld "Ersetzen" ersetzt. Falls diese Option nicht markiert ist, wird nur der gefundene Ausdruck ersetzt. In beiden Fällen kann mit Teilausdrücken gearbeitet werden, siehe das Beispiel in reguläre Ausdrücke.
Groß-/Kleinschreibung
Wandelt den ganzen Namen in Großschreibung/Kleinschreibung bzw. Ersten Buchstaben groß, den Rest klein um. Diese Funktion wird NACH der Umbenennmaske und nach Suchen&Ersetzen angewandt! Benutzen Sie die Platzhalter [U], [L], [F] und [n], um nur bestimmte Teile des Namens in Groß-/Kleinschreibung umzuwandeln!
Erster pro Wort groß (English) schließt die folgenden Wörter von der Großschreibung aus, ausser am Anfang und Ende:
a,an,the,at,by,for,in,of,on,to,from,up,and,as,but,or,nor,yet,so,vs
Öffnet ein Kontextmenü mit folgenden Optionen:
Namen aus Datei laden: Geben Sie eine Textdatei an, aus welcher die Namen geladen werden sollen.
Namen bearbeiten: Speichert aktuelle Zielnamen in Textdatei zum Bearbeiten und Zurückladen.
Editor konfigurieren: Wählen Sie einen anderen Editor. Dieser muss als reinen Text speichern!
Das Menü kann mit F10 geöffnet werden.
Definiere Zähler [C] Definiert den Zähler für den Platzhalter [C].
Starten bei: Nummer der ersten Datei. Die Dateien werden immer in der Reihenfolge nummeriert, wie sie in der Resultatliste angezeigt werden. Sie können die Resultatliste wie im Hauptfenster von Total Commander sortieren. Zusätzlich können Sie einzelne Dateien mit Drag&Drop oder Umsch+Pfeiltasten umsortieren.
Schrittweite: Der Zähler wird um diesen Wert erhöht/verringert.
Anz. Stellen: Breite des Zählerfeldes. Falls Anzahl Stellen >1 ist, fügt das Umbenenntool führende Nullen ein, um ein Nummernfeld fester Breite zu erhalten. Die Option "a" bestimmt die Anzahl Stellen automatisch anhand der Anzahl Dateien/Ordner.
F2 Lade/Speichere Einst.
Erlaubt das Laden und Speichern der Einstellungen des Mehrfach-Umbenenntools.
<Voreinstellung>
Stellt die Voreinstellungen ein, d.h. keine Änderung der Namen
Einstellungen speichern
Erlaubt das Speichern der aktuellen Einstellungen
Eintrag löschen Löscht den zuletzt gewählten Eintrag aus der Liste
Eintragsnamen Lädt früher gespeicherte Optionen
<Dateilisten-Kopfzeile>
Erlaubt die Sortierung nach Name, Erweiterung, Größe und Datum/Zeit.
<Dateiliste> Zeigt eine Liste mit allen Dateien, die umbenannt werden sollen. Die geänderten Namen werden in der Spalte Neuer Name angezeigt. Alle Änderungen an den obigen Feldern werden sofort in dieser Spalte angezeigt, aber die Dateien werden nicht wirklich umbenannt, bevor nicht der Start!-Knopf gedrückt wurde. Falls die Umbenennmaske einen Fehler enthält, wird <Fehler!> angezeigt.
Einzelne Namen können per Drag&Drop oder mit Umsch+Pfeiltasten verschoben werden. Dies ist nützlich, um die Reihenfolge der Dateien für die Zählerfunktion zu ändern. Sie können Dateien auch mit Entf aus der Liste entfernen, wenn Sie sie nicht umbenennen möchten.
(nächster Schritt) Lädt die Umbenennresultate für den nächsten Schritt. Nützlich falls Sie mehrere Umbenennregeln auf dieselben Dateien anwenden möchten. Taste: F5.
Start! Startet mit dem Umbenennen der Dateien. Im Falle von Namenskonflikten wird eine Warnungsmeldung angezeigt.
Rückgängig Macht die letzte Umbenenn-Aktion rückgängig, und zwar in umgekehrter Reihenfolge (letzte umbenannte Datei zuerst). Dies funktioniert auch NACH dem Schließen dieser Dialogbox! Öffnen Sie sie einfach nochmals mit irgendeiner Datei.
Resultatliste Erzeugt ein Protokoll der umbenannten Dateien (Quelle und Ziel).
Schließen Schließt die Dialogbox ohne weitere Aktionen.
Hier ist eine Beschreibung aller verfügbaren Platzhalter. WICHTIG: Auf Groß-/Kleinschreibung achten!
[N] Alter Dateiname, OHNE Erweiterung (Dateityp)!
[N1] Das erste Zeichen des alten Dateinamens einfügen
[N2-5] Zeichen 2 bis 5 des alten Namens (Total 4 Buchstaben).
Hinweis: Zwei Byte Zeichen (z. B. Chinesisch, Japanisch) werden als ein Zeichen gezählt!
[N2,5] 5 Zeichen beginnend bei Zeichen Nummer 2
[N2-] Alle Zeichen beginnend ab dem zweiten.
[N02-9] Zeichen 2 bis 9, von links her mit Nullen auffüllen falls kürzer als verlangt (8 in diesem Beispiel): "abc" -> "000000bc"
[N 2-9] Zeichen 2 bis 9, von links her mit Leerzeichen auffüllen falls kürzer als verlangt (8 in diesem Beispiel): "abc" -> " bc"
[N-8,5] 5 Zeichen beginnend beim 8.-letzten Zeichen (gezählt vom Ende des Namens)
[N-8-5] Zeichen vom 8.-letzten zum 5.-letzten Zeichen
[N2--5] Alle Zeichen vom zweiten bis zum 5.-letzten Zeichen
[N-5-] Alle Zeichen vom 5.-letzten Zeichen bis zum Ende des Namens
[A] Alter Dateiname, MIT Erweiterung (Alle Zeichen des Namens)
[2-5] Zeichen 2 bis 5 von Name INKLUSIVE Pfad und Erweiterung (andere Kombinationsmöglichkeiten analog Definition von [N]).
[P] Name des Vaterverzeichnisses einfügen (Parent dir), also c:\verzeichnis\datei.txt -> fügt "verzeichnis" ein.
Ebenso gehen [P2-5], [P2,5], [P-8,5], [P-8-5] und [P2-], siehe Beschreibung von [N]
[G] Großvaterverzeichnis (Benutzung siehe [P]).
[B0]..[B9] Teilverzeichnis des Pfades einfügen: [B0]=[P],[B1]=[G],[B2]=Urgroßvaterverzeichnis usw.
Für Teilbereiche kann folgende Syntax verwendet werden: [B2_2-5] Zeichen 2 bis 5 aus dem Urgroßvaterverzeichnis.
[B+0]..[B+9]
Teilverzeichnis des Pfades einfügen, beginnend von links: [B+0]=Laufwerksbuchstabe, [B+1]=erstes Verzeichnis usw.
Für Teilbereiche kann folgende Syntax verwendet werden: [B+1_2-5] Zeichen 2 bis 5 aus dem ersten Verzeichnis.
[E] Erweiterung
[E1-2] Zeichen 1-2 der Erweiterung (andere Kombinationsmöglichkeiten analog Definition von [N])
[C] Füge Zähler ein, wie er im Feld Definiere Zähler definiert ist
[C10+5:3] Füge Zähler ein, definiere Zählereinstellungen direkt. In diesem Beispiel Start bei 10, Schrittweite 5, Ziffernbreite 3.
Teildefinitionen wie [C10] oder [C+5] oder [C:3] sind auch erlaubt.
Hinweis: Wenn Sie die Einstellungen hier eingeben, werden die Felder unter Definiere Zähler ignoriert.
[C+1/100] Bruchzahl: Zähler einfügen, aber nur alle n Dateien (im Beispiel: 100) um 1 erhöhen.
Kann benutzt werden, um eine bestimmte Anzahl Dateien in ein Unterverzeichnis zu verschieben: [C+1/100]\[N]
[Caa+1] Füge Zähler ein, definiere Zählereinstellungen direkt. In diesem Beispiel Start mit aa, Schrittweite 1 Buchstabe, 2 Buchstaben breit (definiert durch Breite von 'aa').
[C:a] Füge Zähler ein, Ziffernbreite automatisch, abhängig von der Anzahl umzubenennender Dateien. Auch eine Konbination wie [C10+10:a] ist erlaubt.
[c1] or [c] Anzahl Dateien/Ordner in der Liste
[c2] Wie [c] aber mit der im Feld Definiere Zähler definierten Anzahl Stellen
[c3] Letzter Wert des Zählers gemäss der im Feld Definiere Zähler definierten Werte
[S] Füge Größe in Bytes ein
[T1] Ab diesem Punkt Datum/Zeit der letzten Änderung der Datei verwenden
Hinweis: Dies sind bloß Umschalter! Sie müssen zusammen mit anderen Zeit-Platzhaltern verwendet werden, z.B. [T1][YMD] [hms]
[T2] Ab diesem Punkt aktuelles Datum/Zeit verwenden (als der Umbenenndialog geöffnet wurde)
[T3] Ab diesem Punkt aktuelles Datum/Zeit verwenden (als die Umbenennparameter zuletzt geändert wurden)
[T4] Ab diesem Punkt EXIF-Datum/Zeit von Bildern verwenden, sonst Datei überspringen
[T1+60m] Zeitbetrag zu Datum/zeit hinzufügen/davon abziehen: Vorzeichen + oder -, Wert, Einheit: s=Sekunden, m=Minutem, h=Stunden, D=Tage, M=Monate, Y=Jahre
[d] Füge Datum der Datei ein, wie in den Ländereinstellungen definiert. / wird durch einen Strich ersetzt, da in Dateinamen nicht erlaubt.
[Y] Füge Jahr mit 4 Ziffern ein
[y] Füge Jahr mit 2 Ziffern ein
[M] Füge Monat ein, immer 2 Ziffern
[D] Füge Tag ein, immer 2 Ziffern
[t] Füge Zeit ein, wie in den Ländereinstellungen definiert. : wird durch einen Punkt ersetzt.
[h] Füge Stunden ein, im 24 h-Format, mit 2 Ziffern, 0-23
[H] Füge Stunden ein, im 12 h-Format, mit 2 Ziffern, 1-12
[i] am/pm-Indikator auf Englisch, z.B. für Zeitformat 10.30pm. [i1] fügt nur a oder p ein, z.B. 10.30p.
[m] Füge Minuten ein, immer 2 Ziffern
[s] Füge Sekunden ein, immer 2 Ziffern
[u] Wandle Unicode-Composite-Zeichen, z.B. separate a und ¨ um in precomposed-Zeichen (ä). Muss am Anfang des Befehls stehen.
[U] Alle Buchstaben nach diesem Platzhalter in Großbuchstaben umwandeln
[L] Alle Buchstaben nach diesem Platzhalter in Kleinbuchstaben umwandeln
[F] Nach diesem Platzhalter: Erster Buchstabe jedes Worts groß, alle anderen klein
[f] Wie [F], aber ausgewählte englische Wörter wie "a", "the" klein. Konfigurierbar über LowercaseStrings
[n] Alle Buchstaben nach diesem Platzhalter wie im Originalnamen (Groß-/Kleinschreibung unverändert)
[%x%] Fügt Umgebungsvariable "x" ein. Unterstützt auch Teile wie z.B. [%x%1-5]
[%x%\] Wie [%x%], aber nur den letzten Teil eines Pfades nach dem "\". (Beispiel: c:\temp -> temp)
[%x%_] Wie [%x%], aber alle Backslashes durch das angegebene Zeichen ersetzen (hier: "_") und den ":" entfernen
[X] Text aus Zwischenablage einfügen. Ersetzt verbotene Zeichen *?:|"<> durch Unterstriche _. Der Wert wird zwischengespeichert und nur beim Ändern des Namensfeldes oder beim Klick auf einen der Knöpfe + oder # neu eingelesen.
[[] Eckige Klammer auf einfügen
[]] Eckige Klammer zu einfügen (kann nicht mit anderen Befehlen innerhalb der Klammer kombiniert werden!)
[=Pluginname.Feldname.Einheit]
Fügt Feld namens "Feldname" vom Inhaltsplugin namens "Pluginname" ein. "Einheit" kann eine optionale Maßeinheit sein (falls von diesem Feld unterstützt), oder eine Feldformatierung wie YMD für Datumsfelder. Sie können den Knopf [=?] Plugin benutzen, um Plugin-Felder einzufügen.
[=Pluginname.Feldname.Einheit:4-7]
Wie oben, aber für Teilstrings (hier: Buchstaben 4-7).
Unterstützt dieselben Bereiche wie das [N]-Feld (siehe oben), inklusive Leerzeichen oder Nullen am Anfang.
[="Präfix"Pluginname.Feldname.Einheit"Suffix"]
Die Texte Präfix und Suffix werden nur dann eingefügt, wenn "Feldname" im Plugin "Pluginname" existiert und einen gültigen Wert hat. Sie können dies beispielsweise benutzen, um eine Maßeinheit oder ein Leerzeichen nur dann einzufügen, wenn das Feld vorhanden ist - ansonsten wird nichts eingefügt.
[=Pluginname.Feldname._Format]
Für numerische Felder: Zahlen ausgeben als dezimal (Vorgabe), hexadezimal, oktal oder binär.
Der Formatstring beginnt mit einem Unterstrich und dem numerischen Typ, gefolgt von optionalen Teilen für Zahlengruppen:
Numerischer Typ:
d=dezimal
x=hexadezimal Kleinbuchstaben
X=hexadezimal Großbuchstaben
o=oktal
b=binär
Optionale Zahlengruppen:
0 am Anfang = Nullen am Anfang behalten
1 Ziffer = Gruppenlänge
1 Zeichen = optionales Gruppierungszeichen (Vorgabe dezimal=Trennzeichen aus Systemsteuerung, Rest: Leerzeichen)
Beispiele: Resultat:
[=Pluginname.Feldname._x2] 01 FF AB CE
[=Pluginname.Feldname._x04] 0000 0000 01FF ABCE
[=Pluginname.Feldname._d3,] 1,234,567


Dialogbox: System-Information: Netzwerk

System-Information: Netzwerk
Netzwerk
Auf dieser Seite der Dialogbox werden Daten zum installierten Netzwerk angezeigt. Falls das Netzwerk von Windows nicht direkt unterstützt wird, so wird hier "Kein Netzwerk installiert" angezeigt (z. B. TCP/IP-Netz).
Netzwerk 1/2 Typ des Netzwerkes. Nur direkt von Windows unterstützte Netzwerke werden angezeigt (z. B. Novell)
Windows für Workgroups oder kompatibel
Benutzername Diese Einstellungen werden nur angezeigt, wenn ein Microsoft-Netz installiert ist
Computername
Arbeitsgruppe
Bemerkung
Novell-Netz Falls ein Novell-Netz installiert ist, werden hier Zusatzinformationen angezeigt. Diese Anzeige funktioniert nur, wenn die Datei nwnetapi.dll im Windows- oder Systemverzeichnis vorhanden ist. Unter Windows NT wird hier nichts angezeigt.
Verbindungs-Nr. Netzwerk-Verbindungsnummer
Netzwerk-Nr. Netzwerk-Nummer
Stationsadresse Adresse des lokalen Computers


Neue Verbindung

Dialogbox: Neue Verbindung
Mit dieser Dialogbox können Sie eine neue Verbindung mit einem FTP-Server herstellen. Wählen Sie eine gespeicherte Verbindung aus der herunterklappbaren Liste, oder geben Sie einen Servernamen bzw. eine URL an (siehe unten).
Verbinden mit Geben Sie hier den Namen des Servers an, z. B. ftp.microsoft.com, oder eine komplette URL (ftp, ftps, ftpes, ftpis, http, https), in der Form ftp://Benutzername:Passwort@Servername:Portnummer/Pfad. Die einzelnen Teile der URL (außer Servername) können auch weggelassen werden. Beispiele:
ftp://ftp.cdrom.com/pub/simtelnet/win95/diskutl
https://www.google.com
myself@myserver.com:1021
Wenn Sie eine Web-Adresse eingeben, wie z. B. http://www.someserver.com/somefile.htm, so versucht Total Commander, die Datei mit dem http- bzw. https-Protokoll herunterzuladen.
Anonyme Verbindung
Sofern Sie keinen Benutzernamen in der URL angegeben haben, nimmt Total Commander an, dass Sie anonymous als Benutzernamen und Ihre e-mail-Adresse als Passwort verwenden möchten. Wenn diese Option nicht markiert ist, so fragt Total Commander bei der Verbindung nach Benutzername und Passwort.
Falls in der Verbinden-Zeile ein @-Zeichen erscheint, wird diese Option automatisch abgewählt.
Benutze Firewall-Server(Proxy)
Wenn Sie das Internet über ein Firmennetz (Intranet) erreichen, so müssen Sie hier möglicherweise einen Firewall-Server angeben. Dazu öffnet diese Option eine eigene Dialogbox.
OK Startet den Verbindungsvorgang und trägt die URL/den Servernamen in die herunterklappbare Liste ein. Auch wenn Sie in der URL ein Passwort angegeben haben, so wird dieses NICHT in der Liste gespeichert.
Abbrechen Schließt die Dialogbox, ohne eine Verbindung aufzunehmen.


Dialogbox: Überschreiben
Dieser Dialog wird angezeigt, wenn eine Datei im Zielverzeichnis bereits existiert. Sie können wählen, ob die Datei überschrieben oder übersprungen werden soll, ob nur ältere Dateien überschrieben werden sollen, oder ob alle bereits existierenden Dateien überschrieben oder übersprungen werden sollen.
Feld Beschreibung
Überschreibe: Zeigt Details zur überschreibenden Zieldatei an
Mit Datei: Zeigt Details der Quelldatei an
Vorschaubilder Erlaubt die Anzeige von Vorschaubildern für die beiden Dateien. Dabei werden die gleichen Bilder wie in der Miniaturansicht angezeigt. Die Bilder/Symbole unterstützen zudem das normale Rechtsklickmenü.
Benutzerdef. Felder Erlaubt die Anzeige von benutzerdefinierten Feldern zu den Dateien. Diese können über den "+"-Knopf festgelegt werden. Dabei können auch Inhaltsplugins benutzt werden
Überschreiben Überschreibt nur diese eine Datei
Alle Überschreiben Überschreibt alle Dateien. Je nach Einstellungen wird bei Dateien mit Attribut "nur lesen" oder "Versteckt/System" nochmals nachgefragt
Überspringen Überspringt nur diese eine Datei und fährt mit der nächsten fort
Abbrechen Bricht die Operation komplett ab
Alle älteren überschr. Überschreibt alle älteren Dateien, kopiert/verschiebt also nur neuere. Dabei wird zuerst eine in der Datei vorhandene Versionsnummer ausgewertet (bei Programmen, DLLs usw.) und anschließend das Datum der letzten Änderung.
Alle Überspringen Überspringt alle bereits vorhandenen Dateien
Umbenennen Erlaubt es, die kopierte Datei von Hand umzubenennen
Anhängen Hängt die Quelldatei an die Zieldatei an
Mehr Optionen >> Öffnet ein Untermenü mit folgenden weiteren Optionen:
Vergleichen Vergleicht Quell- und Zieldatei nach Inhalt
Bestehende Zieldatei umbenennen
Erlaubt es, die Zieldatei manuell umzubenennen, bevor die Quelldatei kopiert/verschoben wird
Kopierte automatisch umbenennen
Bei einer Namenskollision werden die kopierten/verschobenen Dateien automatisch umbenannt, in der Form Dateiname(1).ext, Dateiname(2).ext etc.
Zieldateien automatisch umbenennen
Bei einer Namenskollision werden die im Zielverzeichnis bereits vorhandenen Dateien automatisch umbenannt, in der Form Dateiname(1).ext, Dateiname(2).ext etc.
Alle älteren und gleich alten überschreiben
Wie "Alle älteren überschr.", doch werden zusätzlich auch alle gleich alten kopiert/verschoben
Alle größeren kopieren (kleinere überschreiben)
Es werden nur Dateien kopiert/verschoben, die größer sind als die bereits vorhandenen Zieldateien.
Alle kleineren kopieren (größere überschreiben)
Es werden nur Dateien kopiert/verschoben, die kleiner sind als die bereits vorhandenen Zieldateien.
Der Überschreibdialog unterstützt mehrere Tastenkombinationen:
- Alt+unterstrichener Buchstabe für die Knöpfe
- F3 zum Anzeigen der oberen (Ziel-)Datei
- Umsch+F3 zum Anzeigen der unteren (Quell-)Datei
- Alt+F3/Alt+Umsch+F3 zum Anzeigen der Dateien ohne Plugins
- Strg+F3 zum Vergleichen der beiden Dateien nach Inhalt
- Strg+Umsch+F3 zum Aufruf des internen Vergleichstools, falls ein externes via wincmd.ini eingestellt ist


Dialogbox: Packen
Mit dieser Dialogbox können Sie Einstellungen zum Packen von Dateien machen. Die Dateien werden anschließend extern durch einen der Packer pkZIP, ARJ, LHA, RAR, UC2 und ACE gepackt. Total Commander enthält einen eingebauten ZIP-Packer. Dieser unterstützt fast alle Funktionen von PKzip. Nach dem Packen mit dem internen ZIP-Packer wird die ZIP-Datei automatisch auf Fehler untersucht. Die Überprüfung kann jederzeit abgebrochen werden, ohne dass die ZIP-Datei gelöscht würde. Sie kann auch ganz übersprungen werden, durch den Eintrag von VerifyZip=0 in wincmd.ini, Abschnitt [Packer].
Wichtig: Vor dem Dateinamen MUSS unbedingt der zugehörige Packer (zip, arj, lha, rar, uc2 oder ace) mit einem Doppelpunkt stehen, sonst wird normal kopiert/verschoben!!!
Packen von n Datei(en) in Datei
Geben Sie hier den Dateinamen der Archivdatei an, in welche die markierten Dateien gepackt werden sollen. Beim Erscheinen der Dialogbox wird ein Dateiname vorgeschlagen, der aus dem Zielpfad und dem Quellverzeichnis zusammengesetzt ist. Sie können jedoch einen beliebigen Dateinamen verwenden. Wird vor dem Dateinamen kein Packer angegeben, so wird normal kopiert/verschoben!
Wenn Sie Info-ZIP verwenden, und dem Archiv einen langen Dateinamen mit Leerzeichen darin geben wollen, so MÜSSEN Sie den Archivnamen in doppelten Anführungszeichen schreiben, z. B.
zip:"c:\Langer Name.zip"
Sie können sogar in ein Unterverzeichnis einer Archivdatei packen, allerdings nur mit dem internen ZIP- und TAR-Packer, sowie mit RAR und UC2. Dazu müssen Sie das Unterverzeichnis an den Archivnamen anhängen, getrennt durch einen Bruchstrich /, nicht durch einen Backslash!
Beispiel: zip:c:\test.zip/Dies/ist/ein/Pfad
Hinweis: Wenn Sie STRG drücken während Sie Dateien - Packen aus dem Menü wählen, so wird ins Quell- statt ins Zielverzeichnis gepackt.
Pfadnamen der Dateien mit speichern
Sofern Sie Unterverzeichnisse zum Packen markiert haben, werden die Dateien in diesen Verzeichnissen zusammen mit dem relativen Pfad gespeichert. Beispiel: Sie haben das Verzeichnis '[test]' markiert, das die Datei 'dokument.txt' enthält. In der Archivdatei wird das Dokument als 'test\dokument.txt' gespeichert. Ist diese Option nicht markiert, werden alle Dateien ohne Pfad gespeichert.
Unterverzeichnisse rekursiv speichern
Haben Sie Unterverzeichnisse zum Packen markiert und diese Option aktiviert, so werden die markierten Verzeichnisse nach Unterverzeichnissen durchsucht, die dann ebenfalls gespeichert werden. Beispiel: haben sie das Verzeichnis '[windows]' markiert, so wird auch 'windows\system' gespeichert.
Archiv auf mehreren Datenträgern (nur ZIP, ARJ, RAR, ACE)
Ermöglicht es, Archive anzulegen, die über mehrere Datenträger reichen. Dies ist dann nützlich, wenn sehr große Dateien von Computer zu Computer transportiert werden sollen. Diese Option wird nur bei den Packern ZIP, ARJ, RAR und ACE unterstützt, Info-ZIP (extern) und die anderen Packer unterstützen dies nicht! Sie sollten wenn möglich ZIP verwenden, weil zip das Verzeichnis aller Dateien auf der letzten Disk speichert. Dadurch können Sie mit Total Commander bequem die Dateien wählen, die sie auspacken wollen, und diese dann in einem Rutsch zurückkopieren. Bei ARJ ist das nicht möglich. In diesem Fall können Sie entweder mit ARJ selbst entpacken (extern über Joker (*.*) mittels der Menüfunktion Entpacken - ALT+F9) oder einzelne Dateien aus jedem Teilarchiv entpacken. In diesem Fall fragt Total Commander automatisch nach der nächsten Disk, wenn eine Datei über mehrere Disks geht.
Erzeuge selbstentpackendes Archiv
Markieren Sie diese Option, um eine Programmdatei (EXE-Datei) zu erzeugen, welche beim Start die darin enthaltenen Dateien entpackt. Unterstützt werden ZIP, RAR, ACE und ARJ. Ein Entpacker für ZIP ist enthalten: Mit diesem gepackte Dateien werden standardmäßig ins gleiche Verzeichnis wie die EXE-Datei entpackt, doch kann das Verzeichnis vor dem Entpacken noch geändert werden. Der Entpacker ist nun ein 32 bit Programm, doch funktioniert er auch unter Windows 3.1, sofern Win32s installiert ist. Die Weitergabe von selbstentpackenden Archiven ist lizenzfrei.
Erzeuge separate Archive, eines pro gewählte Datei
Erzeugt pro Datei ein eigenes Archiv. Nützlich z. B. zum Packen mehreren Dateien mit Archivformaten, welche nur eine Datei pro Archiv unterstützen, z. B. GZ. Falls kein Zielverzeichnis angegeben wird, so wird das Archiv im Verzeichnis der gepackten Datei angelegt.
Beim Packen von Ordnern das Basisverzeichnis weglassen
Diese Option gehört zur Option direkt darüber:
Falls nicht gewählt, wird beim Packen eines Ordners "Testordner" dieser mit seinem Namen in die Archivdatei gepackt.
Falls gewählt, wird nur der Inhalt von "Testordner" (Dateien und Unterordner) gepackt, ohne den Ordner selbst.
Verschlüsseln Erlaubt das Verschlüsseln von Dateien. Benötigt entweder den internen ZIP-Packer, externe Packer (RAR, ARJ) oder ein Packer-Plugin, welches Verschlüsselung unterstützt (z. B. SQX).
Wichtiger Hinweis: Die ursprüngliche ZIP2.0-Verschlüsselung ist nicht besonders stark. Sie lässt sich leicht umgehen, wenn Teile der unverschlüsselten Dateien bekannt sind, z. B. eine readme-Datei, welche mit demselben Passwort verschlüsselt ist wie der Rest des Archivs. Die viel sicherere AES-Verschlüsselung mit 128, 192 bzw. 256 bit Schlüssellänge kann nicht mit allen Entpackern entschlüsselt werden. Sie wird jedoch von neueren WinZIP- und PkZip-Versionen unterstützt.
Packer Hier wählen Sie den gewünschten Packer (ZIP, ARJ, LHA, RAR, UC2, ACE). Sollten das entsprechende Packprogramm nicht im Suchpfad liegen, so müssen Sie unter Konfigurieren - Einstellungen - Packer... den Ort des Packers (inkl. Dateiname) angeben. Falls Sie den internen ZIP-Packer konfiguriert hatten, so können Sie trotzdem noch den externen Packer verwenden: Geben Sie vor dem Dateinamen statt ZIP: einfach EXT: (für extern) ein! Ebenso können Sie den internen ZIP-Packer benutzen, indem Sie INT: eingeben.
Konfigurieren Öffnet den Dialog Konfigurieren - Packer
Ok Schließt die Dialogbox und startet den gewählten Packer
Abbrechen Schließt die Dialogbox ohne die Dateien zu packen.
Hinweis: Dateien können nicht direkt in ein Unterverzeichnis einer Archivdatei gepackt werden! Sie können jedoch komplette Verzeichnisse packen und ihre Pfade mit speichern lassen.
Siehe auch:
- Umgang mit Archivdateien
- Dialogbox zum Entpacken


Dialogbox: Druckoptionen (Lister)

Dialogbox: Druckoptionen
Mit dieser Dialogbox können Sie die Schriftart und Seitenränder für den Druck im Lister auswählen.
Drucker Hier bestimmen Sie den Drucker, der für die Ausdrucke verwendet werden soll. Der ausgewählte Drucker bestimmt die zur Verfügung stehenden Schriftarten.
Schriftart Wählen Sie hier die Schriftart zum Ausdruck im Textmodus. Fixe Breite bestimmt die Schrift für die Darstellungsarten ANSI und ASCII, und variabel für den Ansichtmodus 'Variabel'. Im Modus ASCII werden alle Zeichen vor dem Ausdruck vom ASCII- in den ANSI-Zeichensatz umgewandelt. Die angebotenen Schriftarten richten sich nach dem ausgewählten Drucker.
Ränder Hier können Sie die Seitenränder für den Ausdruck einstellen. Falls der eingestellte Rand kleiner als der minimal mögliche Rand des Druckers ist, so wird dies von Lister automatisch korrigiert.


Dialogbox: Schnelle Suche nach Dateinamen
Durch Drücken von STRG+ALT+Buchstabe erscheint eine kleine Dialogbox unterhalb des aktiven Dateifensters, welche die schnelle Suche nach Dateinamen ermöglicht. Sobald die Dialogbox erschienen ist, können Sie STRG+ALT loslassen und die weiteren Buchstaben normal eingeben. Der Cursor springt dabei jeweils auf den nächsten Dateinamen, welcher mit den eingegebenen Buchstaben beginnt. Durch Drücken von Pfeil nach unten und Pfeil nach oben springen Sie jeweils zur nächsten bzw. vorherigen Übereinstimmung. Drücken Sie ESC, um die Dialogbox zu schließen. Die Dialogbox wird außerdem automatisch geschlossen, wenn Sie eine andere Aktion starten.
Auf den meisten europäischen Tastaturen gibt es zusätzlich die Taste AltGr, welche wie eine Kombination von STRG+ALT wirkt.
In Konfigurieren-Schnellsuche kann die Tastenkombination in ALT+Buchstabe(n), nur Buchstaben oder Buchstaben mit Suchen-Dialog abgeändert oder ganz abgeschaltet werden.
Wenn die schnelle Suche im separaten Verzeichnisbaum benutzt wird, dann öffnet ENTER das Verzeichnis, ESC springt zum vorher aktiven zurück, und EINF öffnet es nur, wenn automatisches Öffnen vorkonfiguriert ist


Dialogbox: Suchen: Allgemeines

Dateien suchen: Allgemeines
(klicken Sie auf eine Seite)
Allgemeines
Feld Bedeutung
Suchen nach: Geben Sie hier eine oder mehrere Suchmasken für die zu findenden Dateien an. Ein Fragezeichen ? steht für genau ein beliebiges Zeichen, und ein Stern * für eine beliebige Anzahl Zeichen. Mehrere Suchmasken können durch ein Leerzeichen getrennt eingegeben werden (siehe Beispiele unten). Alle Suchmasken hinter dem Pipe-Zeichen | werden als Ausschlussmasken behandelt.
Hinweis: Namen mit Leerzeichen müssen nicht mehr unbedingt in doppelten Anführungszeichen geschrieben werden, also z. B. Brief an Meier wegen Bestellung.doc. Total Commander sucht nun sowohl nach den einzelnen Namensbestandteilen, als auch nach dem kompletten Namen. Falls jedoch das Pipe-Zeichen | für eine Ausschlussmaske benutzt wird, müssen Namen mit Leerzeichen in "" geschrieben werden.
Enthält ein Suchstring einen Punkt, wird nach der EXAKTEN Übereinstimmung gesucht.
Nicht mehr erwünschte Einträge können Sie mit Umsch+Entf aus dem Suchverlauf löschen.
Ein-/Ausschließen bestimmter Verzeichnisse von der Suche: Die Platzhalter * und ? können benutzt werden, und die Namen müssen mit einem Backslash \ enden. Verzeichnisse können überall oder relativ zum Suchstartverzeichnis gefunden werden:
1. Relativ zum Suchstartverzeichnis: \subdir1\ oder \subdir1\subdir2\ oder \
2. Relativ zu einem beliebigen Unterverzeichnis: subdir1\ oder subdir1\subdir2\ (kein Backslash am Anfang).
Wenn Sie ein Verzeichnis ausschließen, werden auch alle seine Unterverzeichnisse ausgeschlossen.
Geben Sie vor dem Speichern ein '>'-Zeichen als Suchtext an, damit beim Laden der Suchtext NICHT geladen und ersetzt wird.
Beispiele:
*.ini findet z. B. wincmd.ini
meier findet z. B. Brief an Meier wegen Bestellung.doc
*.bak *.sik *.old findet alle Sicherheitskopien mit diesen Erweiterungen
*n.ini findet nur Namen, die ein 'n' vor dem Punkt haben
*wof*.doc findet Dateinamen, die "wof" im Namen enthalten, und ".doc" als Endung haben
w*.*|*.bak *.old findet Dateien, die mit w beginnen und nicht mit .bak oder .old enden
*.ini | windows\ findet alle ini-Dateien außer in Verzeichnissen mit Namen "Windows" und deren Unterverzeichnissen.
*.htm? | _vti*\ findet alle html-Dateien, außer in Unterverzeichnissen beginnend mit _vti (Frontpage)
windows\ system32\ *.ini findet nur ini-Dateien in den Verzeichnissen windows und system32 (ohne Unterverzeichnisse!)
Geben Sie vor dem Suchtext "ev:" an, dann wird der Suchtext unverändert an Everything übergeben. Sie müssen dann die Suchsyntax von Everything benutzen, siehe www.voidtools.com.
Geben Sie vor dem Suchtext "ed:" an: Wie "ev:", aber nur in den unter "Suchen in" angegebenen Verzeichnissen suchen. Unterstützt auch die Option "Unterverzeichnisse durchsuchen". Dies wird erreicht, indem vor dem Suchtext path:c:\path und optional parents:<nr übergeben wird.
Suchen in: Geben Sie hier einen oder mehrere Anfangspfade für die Suche an, getrennt durch ";". Sie können den Anfangspfad alternativ auch in Suchen nach angeben. Start der Suche auch innerhalb eines Archivs möglich.
Geben Sie vor dem Speichern ein '>'-Zeichen als Suchort an, damit beim Laden der Suchort NICHT geladen und ersetzt wird (nützlich um nach einem bestimmten Dateinamen im aktuellen Verzeichnis zu suchen).
Sie können auch den Namen einer Textdatei (ANSI; UTF-8 oder UTF-16, letztere 2 mit BOM) mit einer Liste der zu durchsuchenden Dateien und Verzeichnisse angeben, in der Form @c:\Pfad\Dateiname.txt. Die Textdatei muss einen Datei-/Verzeichnisnamen pro Zeile enthalten, entweder als absoluten Pfad, oder relativ zum Verzeichnis der Listendatei. In der Listendatei dürfen nun auch die Platzhalter * und ? verwendet werden.
Wichtig:
Wenn beim Suchen in einer Listendatei "Unterverzeichnisse durchsuchen" auf "1 Ebene(n)" oder höher gesetzt ist:
* In Verzeichnissen in der Listendatei wird gesucht, die Verzeichnisse selbst erscheinen nicht im Resultat
* Das Feld "Suchen nach" wird ignoriert, wenn Dateinamen oder Wildcards in der Suchzeile angegeben wurden
Wenn beim Suchen in einer Listendatei "Unterverzeichnisse durchsuchen" auf "Nur aktuelles Verzeichnis" gesetzt ist:
* Es funktioniert wie das Laden einer Liste von Dateien/Verzeichnissen aus einer Datei: Nur die Dateien und Verzeichnisse in der Liste können gefunden werden, keine Dateien in den angegebenen Verzeichnissen. Zeilen in der Listendatei, die Wildcards oder reguläre Ausdrücke enthalten, werden ignoriert.
* Das Feld "Suchen nach" wird ignoriert
Beispielliste: Beschreibung
c:\testdir\dateiname.txt Sucht nur nach "dateiname.txt" in "c:\testdir" (Suchtiefe hat keinen Effekt)
c:\testdir\ Sucht in "c:\testdir" nach Dateien definiert in "Suchen nach" (Suchtiefe >= 1)
Sucht nur nach "c:\testdir" selbst, ignoriert Suchsting in "Suchen nach" (Nur aktuelles Verzeichnis)
c:\testdir\*.txt *.doc Sucht in "c:\testdir" nach txt- und doc-Dateien (Suchtiefe >= 1)
c:\testdir\<RegEx Sucht in "c:\testdir" mit dem regulären Ausdruck (Suchtiefe >= 1)
>> Wählen Sie ein Startverzeichnis für die Suche.
Laufwerk(e): Erlaubt es, eines oder mehrere Laufwerke zu wählen, auf denen gesucht werden soll. Mehrere Laufwerke wählen Sie entweder mit der Maus (STRG-Taste gedrückt halten) oder der Tastatur (Umschalt-Taste gedrückt, nur zusammenhängende Bereiche markierbar)
RegEx Suche mit Regulären Ausdrücken (regular expressions) in Dateinamen.
Nur in markierten Verzeichnissen/Dateien suchen
Nur in Verzeichnissen und Dateien suchen, welche in Total Commanders aktivem Dateifenster markiert sind. Dies erlaubt, bestimmte Dateien und Verzeichnisse in die Suche einzubeziehen bzw. von ihr auszuschließen. Hinweis: bei Suche in separatem Prozess (Alt+Umsch+F7) wird diese Option deaktiviert, wenn man vom Suchdialog zu einem anderen Fenster wechselt (weil sich dadurch die Markierung ändern könnte).
Everything Benutzt das Programm 'Everything' zum Durchsuchen von NTFS-formatierten Laufwerken. Das Tool greift auf den internen Index (Master File Table, MFT) von NTFS-formatierten Disks zu. Deshalb kommt es ohne aufwändige eigene Indizierung der Namen aus. Die MFT enthält allerdings nur Dateinamen. Die Suche nach Grösse und Datum wird nur beschleunigt, wenn Everything 1.4 oder neuer installiert ist, welches diese Werte zusätzlich zwischenspeichert. Die Suche nach weiteren Dateieigenschaften wie Attributen, Inhaltspluginfeldern oder nach dem Dateiinhalt wird dadurch nicht beschleunigt.
Archive durchsuchen
Erlaubt es, Archivdateien mit den Endungen ZIP, ARJ, LZH, RAR, TAR, GZ, CAB, ACE und 7Z zu durchsuchen. Es kann sogar nach Text in Archivdateien gesucht werden! In UC2-Dateien kann überhaupt nicht gesucht werden.
Unterverzeichnisse durchsuchen
Hier lässt sich festlegen, ob in allen Unterverzeichnissen, nur im aktuellen Verzeichnis oder bis zu einer bestimmten Verzeichnistiefe gesucht werden soll.
Text suchen: Geben Sie hier die zu suchende Zeichenkette ein. Mit \t finden Sie Tabulatoren, mit \n harte Zeilenumbrüche (ENTER) in Texten. Um den Backslash \ zu suchen, müssen Sie ihn doppelt angeben, also \\ .
Sie erhalten eine Warnung, wenn der Suchtext nicht in eine der ausgewählten Zeichencodierungen umgewandelt werden kann. Konfigürierbar über WarnSearchText in wincmd.ini.
nur ganze Wörter Vor und hinter dem Suchtext dürfen keine Buchstaben stehen.
Beispiel:
arbeitet findet "er arbeitet hart", nicht jedoch "er verarbeitet Metall"
Groß-/Kleinschreibung beachten
Die Groß-/Kleinschreibung des Textes soll beachtet werden.
Beispiel:
Windows findet nur "Windows", nicht jedoch "WINDOWS"
Reg. Ausdruck (RegEx 2)
Suche mit Regulären Ausdrücken (regular expressions) im Inhalt der Dateien.
Hex Suche nach hexadezimalen Zeichen, z. B. 00 FF 12, oder gemischt, wie z. B. "PK"0102.
Hinweis: Wenn Groß/Klein nicht markiert ist, dann werden auch Zeichen mit unterschiedlicher Schreibung gefunden. Bsp: 6B findet nicht nur 'k', sondern auch 'K' (Hex. 4B). Aber nur, wenn man die Codes für die kleingeschriebenen Zeichen angibt!
Finde Dateien die den Text NICHT enthalten
Suche nach Dateien, welche den angegebenen Text nicht enthalten, aber alle anderen Suchkriterien erfüllen. Anwendung: Mehrere Dateien müssen angepasst werden -> nur die anzeigen, welche noch nicht angepasst wurden.
Zeichencodierungen: Es ist nun möglich, mehrere der folgenden Optionen gleichzeitig zu wählen:
Windows-Zeichensatz
Benutzt den Windows-Zeichensatz mit der Standardcodierung des Systems
DOS-Zeichensatz Eingegebene Sonderzeichen wie ä,ö,ü,ß werden in ihre DOS-Äquivalente übersetzt. Dies ist besonders nützlich, wenn Texte von DOS-Anwendungen nach bestimmten Inhalten durchsucht werden sollen.
Unicode UTF16 Suche in Unicode-Dateien: Bei diesen ist jeder Buchstabe durch 2 Bytes codiert.
UTF8 Suche in UTF-8-codierten Unicode-Dateien: Bei diesen ist jeder Buchstabe durch 1 bis zu 4 Bytes codiert.
Office-xml (docx, xlsx, odt usw.)+EPUB
Sucht in Microsoft-Office-, OpenOffice-, LibreOffice- und EPUB-Dateien. Diese sind nur umbenannte ZIP-Dateien mit Text im XML- oder HTML-Format. Es ist nicht notwendig, die Option "Archive durchsuchen" zu verwenden.
Plugins: ... Suche in den angegebenen Inhaltsplugins nach dem in "Text suchen" angegebenen Text. Durch Klick auf "+" können die gewünschten Plugins gewählt werden. Nützlich z.B. zur Suche nach Kommentaren oder PDF-Text.
Knöpfe < und > Springe zum vorherigen/nächsten Suchresultat (Verlauf bisheriger Suchergebnisse)
F2 Suchen in gefundenen Dateien
Falls angekreuzt, erfolgt die nächste Suche nur in den angezeigten Dateien und Verzeichnissen
Wenn "Unterverzeichnisse durchsuchen" auf "1 Ebene(n)" oder höher gesetzt ist:
* In Verzeichnissen in den Suchresultaten wird gesucht, die Verzeichnisse selbst erscheinen nicht im Resultat
Wenn "Unterverzeichnisse durchsuchen" auf "Nur aktuelles Verzeichnis" gesetzt ist:
* Nur die Dateien und Verzeichnisse in den Suchresultaten können gefunden werden, keine Dateien in den gefundenen Verzeichnissen
<Resultatliste> Zeigt alle bei der aktuellen Suche gefundenen Dateien an. Die Details (Datum, Zeit, Größe) werden aus Platzgründen in der Fußzeile angezeigt. Per Doppelklick wechseln Sie ins Verzeichnis dieser Datei. Mit Strg+C können Sie die Namen aller gefundenen Dateien in die Zwischenablage kopieren.
<Statuszeile> In der Statuszeile (Fußzeile) wird während der Suche das aktuell durchsuchte Verzeichnis angezeigt. Nach Ende der Suche werden die Dateidetails angezeigt. Durch Klick auf ein Verzeichnis während der Suche kann dieses Verzeichnis - nach Bestäigung - übersprungen werden.
Anzeigen Lädt die aktuell gewählte Datei in den internen Dateibetrachter (Lister).
neue Suche Schließt den unteren Teil der Dialogbox für eine neue Suche.
gehe zu Wenn Sie eine Datei des Suchergebnisses markiert haben, wird mit dieser Schaltfläche ins Verzeichnis gewechselt, wo diese Datei steht. Wenn Sie die Umschalttaste gedrückt halten, wird ein neuer Tab geöffnet. Mit F2 oder Strg+R gelangen Sie wieder zur normalen Dateiansicht.
Anwenden Transferiert die gefundenen Dateien ins Quellverzeichnisfenster, sodass sie normal kopiert, verschoben oder gelöscht werden können. Wenn Sie die Umschalttaste gedrückt halten, wird das Suchergebnis auf einem neuen Tab geöffnet. Mit F2 oder Strg+R kehren Sie zur normalen Anzeige zurück.
Wenn in Archivdateien gesucht wurde, gibt es 2 mögliche Ergebnisse: Wurden Dateien aus nur einem Archiv gefunden, werden diese direkt ins Fenster übertragen. Andernfalls werden die Archive selbst im Quelldateifenster angezeigt.
Suche starten: Startet den Suchvorgang. Er kann jederzeit durch Drücken von ESC oder Betätigen des Knopfes Abbruch abgebrochen werden.
Abbrechen Unterbricht den Suchvorgang bzw. schließt die Dialogbox. Die Position der Dialogbox wird beim Schließen automatisch gespeichert.


Dialogbox: Suchen: Plugins

Dateien suchen: Plugins
(klicken Sie auf eine Seite)
Plugins
Diese Seite erlaubt die Suche mithilfe von Inhaltsplugins, z. B. nach speziellen Attributen oder Inhalten. Sie finden weitere Inhaltsplugins auf unserer Homepage. Hinweis: Inhaltsplugins funktionieren nur mit dem normalen Dateisystem (Dateien und Verzeichnisse), jedoch nicht mit virtuellen Ordnern wie dem Desktop, FTP-Verbindungen, Dateien in Archiven, oder Dateisystemplugins.
Feld Bedeutung
Suchen in Plugins Hier können Sie die Suche in Plugins aktivieren/deaktivieren, ohne die gesamte .Liste löschen oder neu anlegen zu müssen.
Kombinieren mit: Falls Sie mehrere Pluginregeln definiert haben, können Sie wählen, wie sie kombiniert werden sollen.
UND (alle Regeln) Alle Regeln müssen für einen Treffer erfüllt sein.
Beispiel: Sie suchen alle Dateien, die größer sind als 1 MB, aber kleiner als 2 MB. Sie können nun 2 Regeln definieren, eine >1MB und eine <2MB, und beide müssen erfüllt sein.
ODER (min. eine) Es reicht, falls eine der angegebenen Regeln zutrifft.
Beispiel: Sie suchen Dateien, bei welchen entweder das Attribut "versteckt" oder "System" gesetzt ist.
Plugin Name des Plugins, welches die Eigenschaften enthält. tc bedeutet Total Commanders interne Eigenschaften, z. B. Dateigröße, Datum, Zeit etc. Zusätzliche Plugins können auf unserer Homepage gefunden werden.
Eigenschaft Die von diesem Plugin zur Verfügung gestellten Eigenschaften.
OP Eine der folgenden Vergleichsoperationen:
= gleich
!= ungleich
=(groß/klein) gleich, Groß-/Kleinschreibung beachten
!=(groß/klein) ungleich, Groß-/Kleinschreibung beachten
> größer
< kleiner
>= größer oder gleich
<= kleiner oder gleich
enthält String enthält angegebenen Text
!enthält String enthält angegebenen Text nicht
enthält(groß/klein) String enthält angegebenen Text, Groß-/Kleinschreibung beachten
!enthält(groß/klein) String enthält angegebenen Text nicht, Groß-/Kleinschreibung beachten
regex Regulärer Ausdruck
Wert Der Wert, nach welchem Sie suchen möchten. Benutzen Sie für Datum und Zeit das Format, welches in den Dateilisten von Total Commander angezeigt wird. Für einige numerische Felder wie die Größe können Sie auch eine Einheit wählen, z. B. bytes oder kbytes.
Mehr Regeln Fügt eine weitere Regel hinzu.
Weniger Regeln Löscht die letzte Regel.


Dialogbox: Suchen: Laden/Speichern

Dateien suchen: Laden/Speichern
(klicken Sie auf eine Seite)
Laden/Speichern
Feld Bedeutung
Gespeicherte Suchparameter:
Listet alle früher gespeicherten Suchen auf. Um eine Suche zu wiederholen, klicken Sie auf die Suche und anschließend auf Laden.
Laden: Lädt die gewählten Suchparameter und wechselt auf die Seite Allgemeines.
Speichern: Speichert die aktuellen Suchparameter unter einem frei wählbaren Namen.
Geben Sie vor dem Speichern ein '>'-Zeichen als Suchtext bzw. Suchort an, damit beim Laden der Suchtext bzw. Suchort NICHT geladen und ersetzt wird.
Löschen: Löscht die gewählte Suche.


Dialogbox: Synchronisieren
Hier starten Sie den eigentlichen Synchronisationsvorgang. Dabei können Sie für die linken und rechten Dateien je ein Zielverzeichnis angeben. Wenn Sie dem Pfad 'zip:' voranstellen, so werden die Dateien in die angegebene ZIP-Datei gepackt.
Links nach Rechts Geben Sie hier den Pfad für die links stehenden Dateien an. Als Vorgabe ist der rechte Pfad angegeben, d.h. ältere Dateien rechts werden überschrieben.
Rechts nach Links Analog zu "Links nach Rechts".
Rechts: xxx Datei(en) löschen
Asymmetrischer Modus: Erlaubt das Löschen der markierten (mit x) Dateien auf der rechten (Ziel-)Seite, welche nicht länger auf der linken (Quell-)Seite existieren.
Rechts: Ale leeren Verzeichnisse löschen
Asymmetrischer Modus: Erlaubt das Löschen aller leeren Verzeichnisse auf der rechten Seite. Dies löscht (rechts) auch diejenigen leeren Verzeichnisse, welche auf der linken Seite noch existieren.
Überschreiben bestätigen
Wenn markiert, fragt Total Commander nach, bevor er Dateien im Zielverzeichnis überschreibt.
Kopiere NTFS-Permissions (braucht u.U. Administratorenrechte)
Kopiert die Dateirechte des NTFS-Dateisystems.
OK Startet die gewählten Operationen. Halten Sie die Umschalttaste gedrückt, um bei aktivem Papierkorb trotzdem direkt zu löschen.
Siehe auch: Dialogbox Verzeichnisse synchronisieren


Dialogbox: Verzeichnisse synchronisieren
Mit dieser Dialogbox können Sie zwei Verzeichnisse inkl. Unterverzeichnissen miteinander vergleichen, und die unterschiedlichen Dateien danach in das andere Verzeichnis bzw. ein beliebiges anderes Verzeichnis kopieren. Dazu gehen Sie bitte wie folgt vor:
1. Wählen Sie die beiden zu vergleichenden Verzeichnisse sowie (falls nötig) die zu vergleichenden Dateitypen mithilfe der mittleren Combobox. Siehe Dateien wählen für eine Erklärung, wie man Dateien mit Wildcards ein-/ausschließt. Vordefinierte Filter werden zurzeit nicht unterstützt.
2. Wählen Sie die Vergleichsoptionen "Unterverzeichnisse", "nach Inhalt" und/oder "Datum ignorieren"
3. Drücken Sie auf "Vergleichen"
4. Unter "Anzeigen" wählen Sie die anzuzeigenden Dateien
5. Wählen Sie die Dateien aus, die kopiert werden sollen. Dies geschieht durch Klick auf die Checkbox zwischen den beiden Vergleichsseiten, oder durch Rechtsklick auf eine oder mehrere markierte Dateien. Standardmäßig wählt die Funktion alle neueren Dateien zum Kopieren aus.
6. Klicken Sie auf "Synchronisieren". Dies öffnet eine Dialogbox zum Kopieren der markierten Dateien. Dabei werden nur angezeigte Dateien auch kopiert!
Hinweis: Sie können folgende Kombinationen synchronisieren:
- Zwei Verzeichnisse
- Ein Verzeichnis mit einer Archivdatei
- Zwei Archivdateien (nicht alle Typen nach Inhalt)
- Ein lokales Verzeichnis mit einem auf einem FTP-Server
- Ein lokales Verzeichnis mit einem per Parallelportverbindung
- Ein lokales Verzeichnis mit einem Dateisystem-Plugin
Hier eine Beschreibung der einzelnen Dialogelemente:
Speichert Verzeichnisse und Einstellungen (optional) in der Datei wincmd.ini. Die erzeugte Liste ist nach Namen sortiert. Kann keine FTP-Verbindungen speichern. "Nur markierte" wird in eine separate Listendatei gespeichert, nach deren Namen Sie gefragt werden. Kann mit F2 geöffnet werden.
*.* Filter zum Einschließen/Ausschließen bestimmter Dateitypen. Siehe Dateien wählen für eine Erklärung, wie man Dateien mit Wildcards ein-/ausschließt. Vordefinierte Filter werden über den Knopf hinter dieser Box unterstützt.
1x/2x usw. Knopf zur Auswahl des Vergleichsmodus bei Verwendung regulärer Ausdrücke oder gespeicherter Suchfilter, bei denen die Ergebnisse links und rechts unterschiedlich sein können. Beispielsweise könnte ein Filter "maxium 14 Tage alt" mit der Datei auf der linken Seite übereinstimmen, nicht jedoch mit der Datei auf der rechten Seite, wenn eine alte Datei auf der linken Seite bearbeitet wurde, auf der rechten Seite jedoch unverändert blieb.
Bedeutung der verschiedenen Optionen:
1x: Dateien anzeigen, wenn der Filter auf mindestens einer Seite übereinstimmt.
2x: Wenn der Filter auf beiden Seiten übereinstimmt (doppelte) oder nur eine Datei (einzelne) vorhanden ist.
<-: Der Filter muss mit der Datei auf der linken Seite übereinstimmen. Zeigt keine Dateien an, die nur rechts vorhanden sind.
<+: Der Filter muss mit der Datei auf der linken Seite übereinstimmen. Wenn sich nur rechts eine Datei befindet, muss der Filter mit dieser Datei übereinstimmen.
->: Der Filter muss mit der Datei auf der rechten Seite übereinstimmen. Zeigt keine Dateien an, die nur links vorhanden sind.
+>: Der Filter muss mit der Datei auf der rechten Seite übereinstimmen. Wenn sich nur links eine Datei befindet, muss der Filter mit dieser Datei übereinstimmen.
! vor einer der obigen Optionen: Die Option ist invertiert. KEINE Dateien anzeigen, die dem Filter entsprechen.
Vergleichen Startet den Vergleich zwischen den beiden ausgewählten Verzeichnissen.
Nur markierte (im Hauptfenster)
Vergleicht nur die Verzeichnisse und Dateien, die in Total Commander selbst vor dem Aufruf dieser Funktion markiert wurden. Dabei genügt es, die gewünschten Verzeichnisse und Dateien in einem der beiden Fenster zu markieren.
Falls Sie diese Option speichern, werden Sie nach dem Namen einer Datei gefragt, in der die Liste der markierten Dateien gespeichert werden kann. Beim Laden dieser Einstellungen wird der Name der Listendatei anstelle von "(im Hauptfenster)" angezeigt.
Leere Verzeichnisse
Nicht nur Dateien, sondern auch Verzeichnisse synchronisieren:
1. Normaler Modus: Fehlt ein Verzeichnis auf einer Seite, wird es von der anderen kopiert.
2. Asymmetrischer Modus: Fehlt ein Verzeichnis links, wird es rechts gelöscht. Fehlt es rechts, wird es von der linken Seite kopiert.
Asymmetrisch Wenn diese Option markiert ist, wird angenommen, dass rechts eine Kopie des linken Verzeichnisses angelegt werden soll. Dateien, die links nicht vorhanden sind, werden rechts zum Löschen markiert. Dies ist sinnvoll für Backups. Verwenden Sie diese Option nicht, wenn Sie Ihre Daten z. B. mit einem Notebook abgleichen wollen.
Unterverzeichnisse Vergleicht auch die Unterverzeichnisse der gewählten Verzeichnisse miteinander. Ein Ändern dieser Option macht einen neuen Vergleich notwendig.
nach Inhalt Vergleicht bei Dateien mit gleicher Größe und gleichem Datum, ob die Dateien denselben Inhalt enthalten. Ein Ändern dieser Option macht einen neuen Vergleich notwendig.
Ein Vergleich nach Inhalt über FTP ist nur möglich, wenn der Server einen der folgenden Befehle unterstützt (und dies über den FEAT-Befehl bekannt gibt): XCRC, XMD5, MD5 oder XSHA1. Total Commander berechnet dann den gleichen Prüfsummentyp wie den, welchen der Server unterstützt, und vergleicht die beiden Prüfsummen.
Beim Vergleich von Dateien aus dem Dateisystem (nicht bei FTP oder Archiven) erscheint ein Knopf, über den Plugins für den Vergleich ausgewählt werden können:
[++] Der Plugin-Vergleichsmodus ist aktiviert
[>>] Der Plugin-Vergleichsmodus ist nicht aktiv, kann aber aktiviert werden
Der interne Vergleichsmodus [=tc.Als Text vergleichen] vergleicht zwei Dateien als Text wie bei "Vergleich nach Inhalt". Dabei werden unterschiedliche Zeilenumbrüche (Windows, Unix, MacOS) ignoriert.
Es können mehrere Vergleichsmethoden angegeben werden, z.B. [=Plugin1.Funktion1][=Plugin2.Funktion2]. Sie können entweder mit UND (alle müssen übereinstimmen, Standard) oder mit ODER (mindestens einer muss übereinstimmen, Suchstring muss mit | beginnen) verknüpft werden.
Datum ignorieren Wenn diese Option gewählt ist, so werden Dateien mit gleicher Größe und gleichem Namen als identisch angesehen. Wenn zusätzlich die Option "nach Inhalt" gewählt ist, werden Dateien mit gleicher Größe zusätzlich nach Inhalt verglichen. Das Resultat eines solchen Vergleichs führt nur zur Aussage 'gleich' bzw. 'ungleich'. Die Kopierrichtung muss vom Benutzer gewählt werden. Ein Ändern dieser Option macht einen neuen Vergleich notwendig.
Anzeigen Optionen zur Dateianzeige: Diese Optionen sind direkt wirksam, ohne dass eine erneute Suche nötig wäre. Falls Dateien ausgeblendet werden, wird rechts in der Statuszeile ein Filtersymbol und die Anzahl versteckter Dateien angezeigt.
Zeigt nur Dateien, die gemäß Vergleich von links nach rechts kopiert werden sollen.
Zeigt nur Dateien, die gemäß Vergleich von rechts nach links kopiert werden sollen, bzw. gelöscht werden sollen (asymmetrischer Modus).
Zeigt Dateien, die unter den gegebenen Vergleichsbedingungen als identisch erkannt werden
Zeigt Dateien, die als unterschiedlich erkannt werden, denen aber keine Kopierrichtung zugeordnet ist (z. B. gleiches Datum/Zeit, oder Datum/Zeit ignoriert).
Obige Symbole erscheinen auch in der Dateiliste, zwischen den verglichenen Dateien. Die folgenden 3 Symbole können zusätzlich in der Dateiliste erscheinen:
Erscheint beim Vergleich zwischen einem FTP-Server und lokalen Verzeichnis, oder bei Verwendung von Plugins. Das Symbol bedeutet, dass die Dateien dann gleich sind, wenn die entfernte Datei eine Textdatei auf einem Unix-Server ist. Siehe dazu Verzeichnisse synchronisieren und FTP-Server.
Erscheint nur, wenn nach Inhalt verglichen wird, und die entsprechenden Dateien noch nicht verglichen wurden.
Der durchgestrichene Kreis wird angezeigt, wenn Dateien vom Synchronisieren ausgeschlossen sind, z. B. bei Dateien, die sich nur in der Groß-/Kleinschreibung unterscheiden wie aa.txt und AA.txt.
doppelte Zeigt Dateien, die auf beiden Seiten vorkommen. Ein Ausrufezeichen wird angezeigt, wenn die Schaltfläche beim Öffnen von Verzeichnisse synchroniseren nicht gedrückt ist, um zu warnen, dass auf beiden Seiten vorhandene Dateien ausgeblendet werden.
einzelne Zeigt Dateien, die nur auf einer Seite vorkommen. Ein Ausrufezeichen wird angezeigt, wenn die Schaltfläche beim Öffnen von Verzeichnisse synchroniseren nicht gedrückt ist, um zu warnen, dass nur auf einer Seite vorhandene Dateien ausgeblendet werden.
Hinweis: Wenn beim Schließen des Dialogs beide Schaltflächen nicht gedrückt sind (=keine Ergebnisse werden angezeigt), sind sie beim nächsten Öffnen des Dialogs beide gedrückt.
FTP Zeitdifferenz dt=..h
Dieses Feld erscheint nur, wenn ein lokales Verzeichnis mit einem Verzeichnis im Netz verglichen werden soll.
Es erlaubt das Setzen des Zeitzonenunterschieds zwischen Ihrer Position und der Position des FTP-Servers. Verwenden Sie Zahlen >0, falls der Server westlich von Ihnen steht, bzw. <0, falls er östlich steht.
Die Differenz wird per Server-Name gespeichert, sodass Sie sie nur einmal definieren müssen, auch wenn Sie mehrere Verbindungen zum selben Server konfiguriert haben.
Achtung: Wird der Befehl MLSD zum Lesen des Verzeichnisses verwendet, so melden die meisten Server Datum und Zeit in UTC (Standardzeit), welche zeitzonenunabhängig ist. In diesem Fall muss die Zeitzonendifferenz auf 0 gesetzt werden!
mdtm Benutze den Befehl MDTM <Dateidatum> zum setzen der Zeit der letzten Änderung von hochgeladenen Dateien. Nicht alle Server unterstützen diesen Befehl. Falls verfügbar wird einer der neueren Befehl MFMT oder SITE UTIME benutzt.
utc Sendet Dateidatum/-zeit in utc (Universalzeit=Greenwich mean time). Die meisten Server erwarten die Zeit in UTC, einige aber auch in Lokalzeit.
Synchronisieren Öffnet eine Dialogbox, mit welcher die markierten Dateien auf die andere Seite bzw. in ein beliebiges anderes Verzeichnis kopiert werden können.
Schließen Schließt die Dialogbox.
Name, Größe, Datum
Klicken Sie auf die entsprechende Kopfzeile, um nach Name, Größe oder Datum zu sortieren. Ist auf der gewählten Seite keine Datei vorhanden, wird nach der Datei auf der anderen Seite sortiert.
<Dateiliste> Hier werden die verglichenen Verzeichnisse angezeigt, je nachdem auch mit Unterverzeichnissen. Jedes Unterverzeichnis ist durch einen grauen Balken abgetrennt. Das Symbol in der Mitte gibt die vom Benutzer wählbare Kopierrichtung an. Die Färbung der Zeilen gibt die Kopierrichtung gemäß Vergleich an:
Grün: Kopieren von links nach rechts
Blau: Kopieren von rechts nach links, bzw. rechts löschen (asymmetrischer Modus -dann wird dazwischen das Kreuz-Symbol [image] angezeigt)
Rot: Dateien sind nach den gegebenen Kriterien verschieden (keine Kopierrichtung)
Schwarz: Dateien sind gleich (keine Kopierrichtung)
Die Kopierrichtung kann für mehrere Dateien gleichzeitig via Rechtsklickmenü gewählt werden. Außerdem können mit dem Rechtsklickmenü Dateien angezeigt, gelöscht sowie einzeln nach Inhalt verglichen werden. Um zwei nicht zusammengehörende Dateien zu vergleichen (eine einzelne Datei links und eine rechts), wählen Sie sie aus und wählen dann im Kontextmenü die Option "Links und rechts vergleichen".
Bei FTP-Verbindungen gibt es zusätzlich den Befehl 'Setze lokales Dateidatum auf entferntes Datum'. Dies bewirkt, dass Dateien mit gleicher Größe auch als gleich erkannt werden. Lesen Sie zur Datumsproblematik bei FTP-Verbindungen unbedingt den Absatz wichtiger Hinweis unter Menüpunkt Verzeichnisse synchronisieren
Dateien können direkt umbenannt werden, entweder durch 2 Klicks (kein Doppelklick) auf den Dateinamen, oder per Hotkey F6 (linke Datei) bzw. Umsch+F6 (rechte Datei)
Bei normalen Dateien gibt es den Befehl "Kopiere Dateieigenschaften". Damit können Sie spezifische Eigenschaften wie Datum/Zeit, Attribute und NTFS-Permissions kopieren, ohne die Datei selbst kopieren zu müssen.
Mit Strg+Bild Ab(Auf) kann zum nächsten (bzw. vorherigen) Unterverzeichnis gesprungen werden.


Dialogbox: System-Information: Hardware

System-Information: Hardware
Hardware
In dieser Dialogbox werden Daten zu Ihrem Computer angezeigt. Links finden Sie Daten zu Ihrer Hardware (Gerät), rechts zu Ihrer Software (Programme). Unter Windows NT können hier falsche Angaben erscheinen, da NT den Zugriff aufs BIOS nicht mehr unterstützt!
CPU-Typ Typ des Mikroprozessors.
BIOS-Version Datum des System-BIOS (zuständig für Zugriffe auf Disketten, Bildschirm usw). Bei einigen Computern kann dieses Datum nicht ermittelt werden. In diesen Fällen werden stattdessen generelle BIOS-Informationen angezeigt.
Grafikkarte (Modus) Eingestellter Grafiktreiber. Wenn der Standard-VGA-Treiber benutzt wird, kann die Grafikkarte nicht ermittelt werden.
Bildschirmauflösung Breite und Höhe des Bildschirmes in Bildpunkten, gefolgt von der Anzahl darstellbarer Farben.
Aktiver Drucker Momentan gewählter Drucker.
COM/LPT-Ports Anzahl serielle, bzw. parallele Schnittstellen. Erstere werden meistens zum Anschluss von Mäusen und Modems verwendet, letztere üblicherweise für Drucker.
Installiertes RAM Hauptspeicher des Computers. Die erste Zahl gibt den von DOS erreichbaren Speicher an, die zweite den erweiterten Speicher (extended Memory), der auch von Windows zugänglich ist.


Dialogbox: System-Information: Software

System-Information: Software
Software
Windows-Version Version von Microsoft Windows
Windows-Modus Zeigt nun die interne Versionsnummer und Build-Nummer an
ProductId (nur Windows 10): Der Produkt-ID-Code und (falls bekannt) der Produktname, z.B. 1709, Fall Creators 2017
Swap-Datei Auf Festplatte simulierter Hauptspeicher. Es wird die maximale Größe der temporären Datei angezeigt.
Freier Speicher Speicher (inklusive auf Festplatte simuliertem), der Windows momentan noch zur Verfügung steht. Diese Zahl ist unter neueren Windows-Versionen immer gleich dem totalen Speicher und damit bedeutungslos!
Freie Ressourcen Freie Systemressourcen von Windows in %. Wenn dieser Wert zu niedrig wird, können Sie keine zusätzlichen Programme starten.
Zeit seit Win. Start Zeitspanne, die seit dem Start von Windows vergangen ist. Unter Windows XP oder älter wird der Zähler leider alle 50 Tage erneut auf 0 gesetzt
Temp. Verzeichnis Verzeichnis, wo Programme ihre temporären Daten ablegen. Wird durch die Umgebungsvariable temp festgelegt.


Dialogbox: Entpacken
Mit dieser Dialogbox können Sie Einstellungen zum Entpacken von Dateien machen. Die Dateien werden anschließend extern durch einen der Packer PKunZIP, ARJ, LHA, RAR, UC2 oder ACE entpackt (oder mit dem entsprechenden internen Entpacker, so vorhanden). Es gibt interne Entpacker für ZIP, ARJ, LZH, RAR, ACE, TAR, GZ, CAB und 7Z.
Entpacken von n Datei(en) nach
Geben Sie hier den Zielpfad an, in welchen die markierten Dateien entpackt werden sollen. Beim Erscheinen der Dialogbox wird der Pfad des Zielverzeichnisses hier angezeigt. Sie können jedoch einen beliebigen Pfad angeben. Wenn Sie das Feld leerlassen, werden die Dateien ins Verzeichnis des Archivs entpackt.
Zu entpackende Dateien
Diese Option erscheint nur, wenn über ALT+F9 entpackt wird. In diesem Fall können Sie hier über die Jokerzeichen (wildcards) * und ? mehrere Dateien zum Entpacken wählen. *.bmp *.pcx entpackt z. B. alle Pixelbilder. Wenn Sie einen Dateinamen mit Leerzeichen eingeben wollen, so müssen Sie diesen in doppelte Anführungszeichen setzen, z. B. "Brief an Herrn Meier.doc".
Kodierung der Namen
Ändern Sie wenn nötig die Kodierung der Dateinamen, z.B. wenn Sie eine ZIP-Datei von jemandem mit einer anderen Sprachcodierung wie Kyrillisch erhalten haben.
Pfade mit entpacken
Wenn Sie Verzeichnisse innerhalb eines Archivs zum Entpacken markiert haben, so werden mit dieser Option alle Dateien in diesen Verzeichnissen mit ihren Pfaden entpackt.
bestehende Dateien überschreiben
Ist diese Option aktiviert und existiert bereits eine gleichnamige Datei im Zielverzeichnis, so wird diese überschrieben. Ansonsten fragt das Entpackprogramm bei jeder Datei nach, ob sie überschrieben werden darf.
Jedes Archiv in separates Verzeichnis (Name des Archivs) entpacken
Nützlich zum Entpacken von mehreren markierten Archiven auf einmal. Jedes wird in ein eigenes Verzeichnis entpackt, dessen Name wie folgt erzeugt wird: "dateiname.zip" -> "dateiname".
OK Schließt die Dialogbox und startet den gewählten Entpacker
Abbrechen Schließt die Dialogbox ohne die Dateien zu entpacken.
Siehe auch:
- Umgang mit Archivdateien
- Dialogbox zum Packen


Dialogbox: Benutzermenü ändern

Dialogbox Startermenü ändern
Zum Verschieben von Menüeinträgen setzen Sie den Cursorbalken auf den Eintrag, der verschoben werden soll. Mit gedrückter Umsch-Taste lässt sich der Menüeintrag nun mit den Cursortasten an jede beliebige Position verschieben. Außerdem können Sie die Menüeinträge auch mit der Maus verschieben.
Feld Bedeutung
Startermenü: Enthält die bereits bestehenden Einträge im Startermenü. Wählen Sie einen Eintrag mit der Maus oder den Cursortasten an, so erscheinen das zugehörige Programm und seine Aufrufparameter im unteren Teil der Dialogbox.
Hinzufügen... Erzeugt einen neuen Eintrag im Startermenü. Fordert dazu zuerst den Titel (die Menüzeile) an. Geben Sie einen einzelnen Strich an, um eine durchgezogene Linie zu erzeugen.
Untermenü... Erzeugt ein neues Untermenü. Fordert dazu zuerst den Titel an. Untermenüs werden mit einem Strich vor dem Namen angezeigt. Das Ende des Untermenüs wird durch zwei kurze Striche angezeigt.
Titel ändern... Erlaubt das Ändern des Titels eines Menüeintrags. Wenn Sie ein kaufmännisches UND-Zeichen "&" einfügen, so wird der Buchstabe hinter dem & unterstrichen. Sie können dann durch Drücken der entsprechenden Buchstabentaste dieses Kommando ausführen.
Löschen Löscht den im Startermenü angewählten Menüeintrag.
Kommando: In dieser Box wird der Programmname des zu startenden Programms inklusive Suchpfad (sofern nicht im Suchpfad path aufgeführt) angegeben. Unterstützt Umgebungsvariablen. Es können hier auch (fixe) Kommandozeilenparameter angegeben werden. Wichtig: bei .com und .bat-Dateien unbedingt die Erweiterung mit angeben, da Windows standardmäßig nur .exe-Dateien findet!
Weiterhin können Sie auch einen der internen Befehle von Total Commander durch Klick auf das Lupensymbol auswählen. Dies öffnet die Dialogbox "Befehl wählen".
Siehe Buttonbar ändern für alle möglichen Befehlstypen (außer Buttonbar wechseln).
>> Öffnet eine Dialogbox, mit deren Hilfe die gewünschte Datei aufgesucht werden kann.
Startpfad: Vor dem Ausführen des Programms in dieses Verzeichnis wechseln.
Wichtig: Wenn der unter 'Kommando' angegebene Befehl cd Laufwerk:\Verzeichnis ist, so wird der unter Startpfad gegebene Pfad im Zielfenster gesetzt! Dies erlaubt das gleichzeitige Setzen von Quell- und Zielverzeichnis.
Tastenkürzel: Hier können Sie dem Menübefehl ein Tastenkürzel zuordnen.
Als Symbol starten: Programm wird als Symbol gestartet
volle Bildschirmgröße
Programm wird in voller Größe (maximiert) gestartet
OK Speichert die unter Startermenü aufgeführten Menüeinträge in der Datei wincmd.ini.
Abbrechen Verlässt die Dialogbox ohne zu speichern.
Hilfe Startet die Windows-Hilfe mit dieser Seite
Parameter: Hier können Kommandozeilenparameter angegeben werden.
Hinweis: Alle Parameter unterstützen nun Teilstringfelder in der Form :~Start,Länge, z.B. %N:~2,5 oder %N:~-8,5 . Um eine Ziffer direkt hinter dem Längenwert anzugeben, muss dieser mit ~ beendet werden z.B. %N:~2,5~2 . Negative Werte werden vom Ende des Strings gemessen. Beispiel: %P:~0,-1 schneidet den Rückstrich vom Pfad ab.
Der Startwert -0 ist speziell: %N:~-0,20 kopiert die ersten 20 Zeichen des Namens ohne Erweiterung, %N:~-0,-20 die der Erweiterung ohne Namen.
Spezielle Parameter:
? als erster Parameter bewirkt, dass eine Dialogbox mit den nachfolgenden Parametern aufgerufen wird. In dieser Dialogbox können die Parameter geändert, bzw. weitere Parameter hinzugefügt werden. Außerdem kann die Programmausführung noch verhindert werden.
%P als beliebig oft erlaubter Parameter bewirkt, dass der Pfad des Quellverzeichnisses in die Kommandozeile gestellt wird (inkl. \ am Ende).
%N als ebenfalls beliebig oft erlaubter Parameter bewirkt, dass der aktuelle Dateiname (umgeben von einer gestrichelten Box) dort in die Kommandozeile gestellt wird.
%T (Target) fügt den aktuellen Zielpfad ein. Nützlich z. B. bei Packprogrammen. Man gibt z. B. entpack %P%N %T an, um die gewählte Datei im Quellverzeichnis ins Zielverzeichnis zu entpacken.
%M fügt den im Zielverzeichnis gewählten Dateinamen ein.
%O fügt den aktuellen Dateinamen ohne Erweiterung in die Kommandozeile ein.
%E fügt die aktuelle Dateierweiterung (ohne Punkt) in die Kommandozeile ein.
%B, %B0..%B9
fügt einen Verzeichnisnamen aus dem Pfad ein (inkl. relativen Pfad aus Zweigansicht oder Suchergebnis).
%B oder %B0 = Elternverzeichnis, %B1 = Großelternverzeichnis usw.
%BT, %BT0..%BT9
fügt einen Verzeichnisnamen aus dem Pfad des Zielordners ein (ohne Zweigansicht)
%BT oder %BT0 = Elternverzeichnis, %BT1 = Großelternverzeichnis usw.
%B-, %B-0..%B-9
fügt einen Verzeichnisnamen aus dem Pfad ein (ohne relativen Pfad aus Zweigansicht, leer bei Suchergebnis).
%B- oder %B-0 = Elternverzeichnis, %B-1 = Großelternverzeichnis usw.
%B+, %B+0..%B+9
fügt einen Verzeichnisnamen aus dem Pfad ein (inkl. relativen Pfad aus Zweigansicht oder Suchergebnis), wobei die Zählung am Anfang beim Laufwerksbuchstaben bzw. Servernamen beginnt:
%B+ Laufwerk inkl. ":", %B+0 Laufwerk ohne ":", %B+1 erster Unterordner, %B+2 zweiter Unterordner usw.
%S fügt die Namen aller markierten Dateien in die Kommandozeile ein. Namen, die Leerzeichen enthalten, werden von doppelten Anführungszeichen umgeben. Bitte beachten Sie die maximal mögliche Länge der Kommandozeile: 32767 Zeichen.
%S10
fügt die Namen der ersten 10 markierten Dateien (maximal) in die Kommandozeile ein. Erlaubt es, die Anzahl der an das Programm übergebenen Dateien zu begrenzen. Beliebige Integerwerte>0 sind zulässig.
%R wie %S, aber mit den markierten Dateinamen aus dem Zielfenster
%C1 Wie erster Parameter von "Vergleich nach Inhalt": Erste markierte Datei oder Datei unter Cursor
%C2 Wie zweiter Paramter von "Vergleich nach Inhalt": Zweite markierte Datei, oder erste markierte im Zielfenster, oder gleichnamige im Zielfenster. Hinweis: Falls das rechte Fenster aktiv ist und weniger als 2 Dateien markiert sind, werden %C1 und %C2 vertauscht.
%C3..%C9
Markierte Dateien Nr. 3 bis 9 im Quellfenster, leer falls nicht genug markiert
%c1..%c9
Wie %C1..%C9, aber mit 8.3-Namen und -Pfaden
Hinweise: %N bzw. %M fügt den langen Dateinamen ein, %n bzw. %m den kurzen (8.3) DOS-Namen. %P und %T fügen den langen Pfadnamen ein, %p und %t den kurzen (dasselbe für %o, %e, %b und %s). %p/%t fügt bei FTP-Verbindungen die URL des Verzeichnisses ein.
Wenn Sie %P, %p, %T oder %t direkt vor %S bzw. %s schreiben, dann werden alle Dateinamen inkl. kompletten Pfads eingefügt. Beispiel: %P%S fügt alle langen Dateinamen inkl. langen Pfads ein.
%% Das Prozentzeichen (nur eines!)
%L, %l, %F, %f, %D, %d, %WL, %WF, %UL, %UF
erzeugt im TEMP-Verzeichnis einen Listendatei mit den Namen der markierten Dateien und Verzeichnisse, und fügt den Namen der Listendatei in die Kommandozeile ein. Die Liste wird nach Beendigung des Programms von Total Commander gelöscht. Nur eine Liste pro Kommandozeile wird unterstützt. Es können 10 verschiedene Arten von Listen erzeugt werden:
%L Lange Dateinamen inkl. kompletten Pfads, z. B. c:\Eigene Dateien\langer Name.txt
%l (kleines L) Kurze Dateinamen inkl. kompletten Pfads, z. B. C:\EIGENE~1\LANGER~1.TXT
%F Lange Dateinamen ohne Pfad, z. B. langer Name.txt
%f Kurze Dateinamen ohne Pfad, z. B. LANGER~1.TXT
%D Kurze Dateinamen inkl. kompletten Pfads, aber Umlaute im DOS-Zeichensatz
%d Kurze Dateinamen ohne Pfad, aber Umlaute im DOS-Zeichensatz
%Q Automatische Anführungszeichen (quotes) um bestimmte Platzhalter wie %P%N abschalten, wenn der Name Leerzeichen enthält. Der Benutzer muss diese dann selber setzen.
%UL, %UF
wie %L und %F, aber mit UTF-8-Unicode-Listendatei (mit Byteordermarker)
%WL, %WF
wie %L und %F, aber mit UTF-16-Unicode-Listendatei (mit Byteordermarker)
%v fügt bei Dateisystem-Plugins den virtuellen Dateinamen ein, z. B. bei Plugins wie "Virtual Panel", wo %N den Namen der Zieldatei (im Dateisystem) einfügt, auf welche dieser Eintrag zeigt.
%V Wie %v, aber mit komplettem Pfad (inkl. Pluginname)
%X Interpretiert die folgenden Parameter nach diesem Parameter als links/rechts statt Quelle/Ziel:
%P, %p (linker Pfad), %T, %t (rechter Pfad), %N, %n (linker Name), %M, %m (rechter Name),
%S, %s (linke markierte Dateien), %R, %r (rechte markierte Dateien)
Beispiel: %X%P %T sendet den linken und rechten Pfad z. B. an ein externes Synchronisierprogramm
%x Interpretiert die folgenden Parameter nach diesem Parameter wieder als Quelle/Ziel.
Beispiel: %X%P %x%P sendet den linken und den Quellpfad an das aufgerufene Programm
%Y irgendwo in den Parametern: Übergibt eine leere Liste bei Verwendung der Listenparameter wie %L oder bei Mehrdateiparametern wie %S, falls nichts markiert ist (sonst: Datei unter Cursor).
%Z irgendwo in den Parametern: Erlaubt die Übergabe von Archivnamen als Parameter via %P oder %T
Beispiel: %Z%P übergibt Archivnamen an Programm wenn das aktive Dateifenster ein Archiv anzeigt


Verifiziere Quersummen (aus Quersummendateien)

Verifiziere Prüfsummen (aus Prüfsummendateien)
Mit dieser Funktion können Sie Prüfsummen überprüfen, welche in SFV-Dateien gespeichert sind, um sicherzustellen, dass eine Datei intakt kopiert wurde, z. B. über ein Netz oder mit einer Wechseldisk. Sie können SFV-Dateien mit der Funktion Erzeuge Prüfsummen (CRC32, MD5, SHA1)... erzeugen. Die Funktion läuft im Hintergrund, Sie können derweil zu Total Commander zurückschalten und weiter arbeiten. Total Commander kann Prüfsummen im Format CRC32, MD5, SHA1, SHA2, SHA3 und BLAKE3 verifizieren.
Dateien, deren Prüfsumme nicht in Ordnung ist, werden in der aktiven Dateiliste markiert. Mit den Pfeilknöpfen unten links und mit Strg+Pfeil auf/ab können Sie zu allen Fundstellen springen.
Die Funktion unterstützt CRC-Dateien im ANSI-, UTF-8- und UTF-16-Unicodeformat.
Sie können die Prüfsumme direkt für die Datei unter dem Cursor (bzw. der einzigen markierten Datei, so vorhanden) überprüfen, indem Sie die Prüfsumme in die Zwischenablage kopieren (z. B. von der Homepage, wo Sie die Datei heruntergeladen haben), und anschließend diese Funktion aufrufen.


Dunkel<->Normal
Erlaubt das schnelle Umschalten zwischen Dunkel- und Normalmodus. Im Dunkelmodus benutzt Total Commander dunkle Farben, die sich unter
Konfigurieren - Einstellungen - Farben - Andere - Dunkelmodus
ändern lassen. Im normalen Modus benutzt er dagegen die Farben des normalen Windows-Themas.
Der Dunkelmodus ist ab Windows XP freigeschaltet. Nur Windows 10 1809 und neuer unterstützen ihn direkt. Bei älteren Windows-Versionen wird er simuliert.
Um den Dunkelmodus bei Windows 95, 98, ME und 2000 freizuschalten, müssen Sie in der wincmd.ini unter [Configuration] die folgene Zeile eintragen:
ForceDarkModeOptions=1


Kommentar bearbeiten...
Erlaubt das Setzen oder Ändern eines Dateikommentars, der in einer Datei descript.ion oder files.bbs gespeichert ist. Kommentare können via Ansicht - Kommentare (Strg+Umsch+F2) innerhalb der Dateilisten angezeigt werden, oder durch Bewegen des Mauszeigers über den Dateinamen. Für Letzteres müssen Sie die Anzeige von Win32-artigen Tipps in Konfigurieren - Ansicht aktivieren.
Achtung: Kommentare funktionieren nur mit normalen Dateien, nicht mit Dateien in Archiven (zip etc.), auf FTP-Servern oder in Plugins.
Siehe Dialogbox - Kommentar bearbeiten für Details!


Umgebungsvariablen
Umgebungsvariablen können an den meisten Stellen verwendet werden, an denen Verzeichnisse verwendet werden, z. B. inm Buttonbar, im Startermenü oder in der Befehlszeile.
Neu: Es ist jetzt möglich, partielle Umgebungsvariablen zu verwenden. Die Syntax ist dieselbe wie im Befehlsprozessor cmd.exe:
%Variablenname:~5,7% überspringt 5 Zeichen und verwendet die folgenden 7. Negative Zahlen werden ab dem Ende der Umgebungsvariablen gezählt.
Total Commander unterstützt 5 Arten von Umgebungsvariablen:
1. Die regulären Umgebungsvariablen von Windows, z.B. %TEMP% oder %USERNAME%. Sie können diese auf Ihrem System definierten Umgebungsvariablen anzeigen, indem Sie "Befehle" - "Kommandozeilenfenster öffnen" auswählen und den Befehl set eingeben.
Wie Sie die Umgebungsvariablen ändern können, hängt von Ihrer Windows-Version ab:
- In Win9x/ME werden die Variablen in der Datei autoexec.bat folgendermaßen festgelegt: set temp=c:\temp
- Unter Windows NT/2000/XP gehen Sie in die Systemsteuerung, öffnen die Seite Erweitert und klicken Sie auf die Schaltfläche Umgebungsvariablen.
- Unter Windows Vista oder neuer gehen Sie in die Systemsteuerung - System, klicken in der linken Spalte auf Erweiterte Systemeinstellungen, öffnen die Seite Erweitert und klicken auf die Schaltfläche Umgebungsvariablen.
- Unter Windows 10: Start -> Einstellungen (Zahnrad) -> System -> Info -> Systeminfo (rechts) und danach genau wie im vorherigen Element.
2. Interne Total Commander-Variablen:
%COMMANDER_DRIVE% Laufwerk, auf dem Total Commander installiert ist
%COMMANDER_EXE% Total Commander-Dateiname inkl. Pfad
%COMMANDER_INI% Total Commander-Einstellungsdatei inkl. Pfad
%COMMANDER_INSTANCE% Instanznummer, wie in der Titelzeile angezeigt (erste Instanz=1)
%COMMANDER_PATH% Das Verzeichnis von Total Commander
3. Pseudo-Umgebungsvariablen aus Variablen der Funktion ShGetSpecialFolderLocation. Syntax: %$NAME%
Die folgenden Variablen werden unterstützt (mindestens der erste Buchstabe muss groß geschrieben sein):
APPDATA,
DESKTOP,
PERSONAL,
PROGRAMS,
STARTMENU,
STARTUP,
FONTS,
MYPICTURES,
LOCAL_APPDATA,
COMMON_APPDATA,
COMMON_DESKTOPDIRECTORY,
COMMON_DOCUMENTS,
COMMON_PROGRAMS,
COMMON_STARTMENU,
COMMON_STARTUP,
COMMON_PICTURES,
MYVIDEO,
MYMUSIC
4. Pseudo-Umgebungsvariablen aus Variablen der Funktion SHGetKnownFolderPath. Syntax: %$Name%
Die folgenden Variablen werden unterstützt:
AccountPictures,
AdminTools,
CameraRoll,
CDBurning,
CommonAdminTools,
CommonOEMLinks,
CommonPrograms,
CommonStartMenu,
CommonStartup,
CommonTemplates,
Contacts,
Cookies,
Desktop,
DeviceMetadataStore,
Documents,
Downloads,
Favorites,
GameTasks,
History,
ImplicitAppShortcuts,
InternetCache,
Libraries,
Links,
LocalAppData,
LocalAppDataLow,
LocalizedResourcesDir,
Music,
NetHood,
OriginalImages,
PhotoAlbums,
Pictures,
Playlists,
PrintHood,
Profile,
ProgramData,
ProgramFiles,
ProgramFilesX64,
ProgramFilesX86,
ProgramFilesCommon,
ProgramFilesCommonX64,
ProgramFilesCommonX86,
Public,
PublicDesktop,
PublicDocuments,
PublicDownloads,
PublicGameTasks,
PublicLibraries,
PublicMusic,
PublicPictures,
PublicRingtones,
PublicUserTiles,
PublicVideos,
QuickLaunch,
Recent,
ResourceDir,
Ringtones,
RoamingAppData,
RoamedTileImages,
RoamingTiles,
SampleMusic,
SamplePictures,
SamplePlaylists,
SampleVideos,
SavedGames,
SavedPictures,
SavedSearches,
Screenshots,
SearchHistory,
SearchTemplates,
SendTo,
SidebarDefaultParts,
SidebarParts,
SkyDrive,
SkyDriveCameraRoll,
SkyDriveDocuments,
SkyDrivePictures,
System,
SystemX86,
Templates,
UserPinned,
UserProfiles,
UserProgramFiles,
UserProgramFilesCommon,
Videos,
Windows
5. Direkte Übergabe von GUIDs an die Funktion SHGetKnownFolderPath. Syntax: %${GUID}%
Beispiel:
%${374DE290-123F-4565-9164-39C4925E467B}% -> Download-Ordner, gleich wie %$Downloads%


Zurück
Wechselt ins zuvor aktive Verzeichnis. Total Commander merkt sich die letzten 50 besuchten Verzeichnisse (getrennt nach linkem und rechtem Fenster). Mit diesem Befehl können Sie bis zu 50 Schritte zurückgehen.
Mit den Tastenkombinationen ALT+Pfeil links (zurück) bzw. ALT+Pfeil rechts (vorwärts) können Sie sich wie in einem WWW-Browser durch die bereits besuchten Verzeichnisse bewegen. Mit Alt+Pfeil nach unten (oder 1 Sekunde Rechtsklick auf den aktuellen Pfad) öffnen Sie eine Liste der bisher besuchten Verzeichnisse.


Ini-Datei Einstellungen - Teil 1: Configuration A-M

wincmd.ini - Teil 1: Configuration A-M
Zu Teil 2: [Configuration] N-Z
Zu Teil 3: Restliche Abschnitte
[Configuration] Allgemeine Einstellungen (in Klammern mögliche Werte)
1hourdif=0 1: Ignoriere Zeitdifferenz von genau 1 Stunde beim Dateivergleich, nützlich beim Vergleich zwischen NTFS- und FAT-Laufwerken (Sommerzeitumstellung!)
AccessTime=0 1: Lässt TC die Zeit des letzten Zugriffs statt der letzten Veränderung benutzen und anzeigen. Verwenden Sie besser benutzerdef. Spalten!
ActiveRight=0 1: Die rechte Listbox ist aktiv wenn TC startet
AdminShares=0 1: Administrative Freigaben (wie C$) immer anzeigen (nicht Win9x)
AdminTimeout=180 Legt fest, nach wie vielen Sekunden Inaktivität das Programm tcmadmin.exe (benutzt zum Kopieren/Löschen usw. als Administrator) beendet werden soll. Spezialwerte:
0: kein Timeout
-1: Kopieren als Admin deaktivieren.
Aligned Extension=1 Dateierweiterung wird ausgerichtet angezeigt
AlignNumberFix=1 Korrigiert falsch ausgerichtete Ziffern in Größe/Datum/Zeit in den Dateilisten bei Verwendung von gewissen OpenType-Schriften wie Segoe UI unter Windows 8 (0 schaltet den Fix aus - Vorgabe unter Linux)
AllHiddenNetNames=1 0: Zeige nur versteckte Laufwerke C$ bei der Wahl von "Zeige administrative Freigaben"
1: Zeige alle versteckten Freigaben
Allowed= Erlaubte Laufwerke -> Zugriff einschränken!
\ steht für die 'Netzwerkumgebung'.
AllowSetCursorPos=1 Verhalten beim Anzeigen von Unterordnern in der Baumansicht (mit der Maus), z. B. durch Klick auf das [+]-Symbol:
1: Der Mauszeiger wird bewegt, sodass er auf dem geöffneten Ordner bleibt
0: Der Mauszeiger wird nicht bewegt
AlternateUserIni=<Dateiname> Diverse Abschnitte in andere ini-Datei umleiten, siehe Übersicht
AltSearch=0 Suche mit 0=STRG+ALT, 1=ALT, 2=Buchstaben, 3=Buchstaben mit Suchdialog, 4=Deaktiviert
AlwaysAsAdmin=0 1: Operationen immer als Admin nach erster Bestätigung
AlwaysCopyInBackground=0 1: Immer im Hintergrund kopieren
2: Immer im Hintergrund-Transfermanager
AlwaysPackInBackground=0 1: zip im Hintergrund
2: zip+externe Packer im Hintergrund
3: wie 2, aber startet externe Packer minimiert
AlwaysRequestAgain=0 Hauptpasswort bei jeder Verbindung erneut anfordern
AlwaysShowAppdata=1 Falls 1, wird das Verzeichnis c:\users\<Benutzername>\Appdata immer angezeigt, auch wenn es das Attribut "versteckt" hat und die Anzeige von versteckten Dateien deaktiviert ist
AlwaysToRoot=0 1: beim Laufwerkwechsel immer ins Hauptverzeichnis wechseln
AlwaysUnpackInBackground=0 1: unzip im Hintergrund
2: unzip+externe Entpacker im Hintergrund
3: wie 2, aber startet externe Entpacker minimiert
AppendLnk=2 Verknüpfungen (Softlinks, *.lnk) werden wie folgt erzeugt:
0: file.ext -> file.lnk
1: file.ext -> file.ext.lnk
2: wie 0 für Dateien, 1 für Verzeichnisse
AppendWarning=1 Wenn=0 zeigt TC keine Warnung vor dem Anhängen von Daten an eine Datei
AssociationMultiVerbs=1 Interne Verknüpfungen: Aktiviert mehrere Befehle für alle passenden Dateitypen
AutoComplete=3 Eine Kombination (Summe) der folgenden Optionen:
1: Zeige Auto-Vervollständigen-Liste
2: Vorgeschlagenen Namen automatisch anhängen
AutoCompleteTab=0 0: Tab wechselt zur aktiven Dateiliste
1: Wähle nächsten Namen aus Auto-Vervollständigen-Liste, wie '0' falls keiner vorhanden
2: Wie 1, ignorieren falls keiner vorhanden
AutoInstallPlugins=1 0: automatische Installation von Plugins beim Öffnen von Plugin-Archiven deaktivieren
AutoRenameMode=3 Legt fest, wie Dateien beim Kopieren oder im Mehrfach-Umbenenntool automatisch umbenannt werden. Summe von:
1: Nummer (x) getrennt durch ein Leerzeichen anhängen: name (2).txt oder name(2).txt
2: Numerierung bei (2) beginnen statt mit (1), also name.txt, name (2).txt usw.
AutoReUpload=1 Methode, wie mit temporären Dateien aus Dateisystem-Plugins und ftp umgegangen wird:
0: Alte Methode: Die Datei wird neu hochgeladen, wenn der Editor geschloßen wurde, und der Benutzer den Upload bestätigt hat
1: Beim ersten Wieder-Hochladen fragen, ob er die neue Methode benutzen will
2: Neue Methode: Datei automatisch hochladen, wenn sie gespeichert wird. Der Editor muss dafür nicht mehr geschloßen werden
AutoSizeDialogs=1 Dialoge mit Schrift skalieren
Autotreechange=1 1: einfacher Klick im Baum wechselt Verzeichnis im anderen Fenster
AutoUpdateCheck=0 1: Auf Updates überprüfen, Release- und Betaversionen
2: wie 1, nur Releaseversionen
AutoUpdateCheckBeta=0 Falls diese Option und AutoUpdateCheck beide auf 1 gesetzt sind, werden Betaversionen auch dann gemeldet, wenn man eine Releaseversion benutzt. Falls diese=0 und AutoUpdateCheck=1 sind, werden Betaversionen nur gemeldet, wenn man eine Betaversion benutzt
AutoUpdateCheckDate= Nächstes Datum, wenn nach neuen Versionen gesucht werden soll. Format: YYYYMMDDHH (Jahr, Monat, Tag, Stunde)
AutoUpdateInformedVersion= Zuletzt an den Benutzer gemeldete Version. Verhindert Mehrfachmeldungen.
BackgroundCopyFlags=1 Kontrolliert Überschreibverhalten des Hintergrund-Transfermanagers:
0: Wenn der Benutzer eine Überschreiboption wählt, z. B. "Alle überschreiben", dann bleibt diese aktiv, auch wenn später weitere Dateien in die Liste aufgenommen werden (Verhalten von TC 8.01 und älter)
1: Überschreiboption zurücksetzen, wenn das Ende der Liste erreicht wird
2: "" bei jedem Hinzufügen von Dateien zurücksetzen (immer neu fragen)
Siehe auch: CopyOverwriteDefault. Falls nicht gesetzt (oder 1), werden die Überschreiboptionen bei jedem Hinzufügen von Dateien via F5 erneut gesetzt. Falls 0, bleiben sie unverändert.
BackgroundSpeed=2 Infos im Hintegrund-Kopierdialog: 0=Name, 1=Geschwindigkeit, 2=abwechselnd
BitlockerAlwaysDecrypt=0 1: Immer ohne Rückfrage versuchen, ein Bitlocker-verschlüsseltes Laufwerk zu entschlüsseln, wenn der Benutzer zu diesem wechselt.
-1: Nur einen Fehler melden (wie Total Commander 8.x)
BreadcrumbDelayButton=250 Zeit in Millisekunden, die der Mauszeiger über dem Verzeichnispfad stehen muss, bis der Knopf angezeigt wird, mit dem man die Liste der Unterverzeichnisse öffnen kann. Bei negativen Werten wird die Liste der Unterverzeichnisse sofort angezeigt, kein Knopf
BreadcrumbDelayDir=250 Zeit in ms, die der Mauszeiger in der Unterordnerzone verweilen muss, bis sich der Unterordner als Untermenü öffnet
BreadcrumbDelayFtp=500 Wie oben, aber für FTP-Verbindungen
BreadcrumbDelayPlugin=500 Wie oben, aber für Dateisystem-Plugins
BreadcrumbDelayVirtual=500 Wie oben, aber für virtuelle Ordner wie den Desktop
BreadCrumbMaxWidth=-1 Begrenzt die Breite der Liste der Unterverzeichnisse der Brotkrumenleiste, in Pixel.
-1 bedeutet halbe Bildschirmbreite.
Min: 100, Max: aktuelle Schirmbreite
BreadcrumbSeparator=-3 Legt den Anfang der Zone fest, in die man den Mauszeiger bewegen muss, um Unterverzeichnisse zu öffnen:
0..100: Wert in Prozent, wo die Zone beginnt. 0=die gesamte Breite wird benutzt
-1,-2 usw.: Absolutwert der Zonenbreite, von rechts her gemessen, in Mehrfachen der Zeilenhöhe
BriefViewWidthLimit= Setzt eine max. Breitengrenze (in Bildpunkten) für eine Spalte in Ansicht "Kurz".
BrushForCursor=0 Auf 1 setzen, wenn TC beim Bewegen des Cursors (markierte Datei) einen Rahmen um die nicht markierten Dateien hinterlässt (Bug in Grafikkarte).
CdCloseDoor=1 CD-Schublade schließen wenn Wechsel auf CD-Laufwerk fehlschlägt
CDlabel=1 Zeige Label von CDs (& Wechselmedien) in Alt+F1/F2
ChecksumExtraTypes= Fügt Extra-Muster zum Erkennen von Prüfsummendateien hinzu, für Dateien - Verifiziere Prüfsummen, z.B. *.sum *.crc32
CheckUsbHdd=1 USB-Disks mit anderem Icon anzeigen
ClearListBackground=1 0: Reduziert Flackern beim Verzeichniswechsel (Hintergrund wird nicht vorher gelöscht)
1: Hintergrund wird gelöscht (Standard)
CmdUpDown=0 Bewege Cursor im Dateifenster auf/ab, auch wenn das aktive Fenster die Kommandozeile ist
CmtOemFont=0 Benutze den OEM (DOS)-Zeichensatz in descript.ion Dateien (nur empfohlen falls Sie das Tool 4dos oder 4nt einsetzen).
ColorFilters=1 Aktivieren/Deaktivieren von Farben nach Dateityp
CommentPreferredFormat=4 0: Reiner Text (ANSI/OEM)
1: Unicode UTF-16 LE (Windows)
2: Unicode UTF-16 BE (Mac)
3: Unicode UTF-8
4: Reiner Text wenn möglich, sonst UTF-16 LE (wegen Zeichen von anderer Codeseiten)
5: Wie 4, sonst UTF-16 BE
6: Wie 4, sonst UTF-8
CompareAlwaysSaveWithBom=0 1: Editor in Vergleich nach Inhalt speichert UTF-8/16-Unicode-Dateien immer mit Byte-Reihenfolge (BOM)
0: Die BOM wird nur gespeichert, falls die Datei von Anfang an eine enthielt
CompareBytesPerLine=8 Vergleich nach Inhalt, Binärmodus: Bytes pro Zeile: 8, 16, 24, 32
CompareCaseSensitive=0 1: Vergleich nach Inhalt berücksichtigt Groß-/Klein
0: Ignorieren (a == A)
CompareDeleteBak=0 1: Beim Schließen des Vergleichs .bak-Dateien löschen
CompareExtraLines=2 Anzahl Zeilen, die unter/über Unterschieden angezeigt werden
CompareF2Mode=1 Steuert, wie F2 in "Vergleich nach Inhalt" Unterschiede findet:
0: nur innerhalb der aktuellen Zeile
1: nach der letzten Fundstelle zur nächsten Zeile wechseln (Vorgabe)
2: wechseln zur ersten Fundstelle in der aktuellen Zeile nach der letzten Fundstelle
CompareIgnoreRepeatedLines=1 1: Vergleich nach Inhalt ignoriert Zeilen, die sich oft wiederholen (z. B. begin/end), z.B. zum Vergleichen von Quellcode.
0: Funktion deaktiviert. Nützlich wenn sich relevante Zeilen oft wiederholen.
CompareIgnoreRepSpace=1 1: Ignoriere wiederholte Leerzeichen, also "a b" ist dasselbe wie "a b"
0: Unterschiedliche Anzahl Leerzeichen als unterschiedlich erkennen
CompareResync=1 Legt fest, wie Unterschiede innerhalb einer Zeile bei "Vergleich nach Inhalt" verglichen werden:
0: ohne erneutes Synchronisieren auf eingefügte/entfernte Zeichen (z. B. für Tabellen)
1: mit Neusynchronisation mitten im Wort (wie TC 10 und ältere Versionen)
2: mit Re-Synchronisation nur bei Leerzeichen, nicht mitten im Wort
3: bei benutzerdefinierten Trennzeichen, gespeichert in CompareResyncSeparators
CompareResyncSeparators=., ;:_+-*/\?!()[]{}"'@
Trennzeichen für CompareResync=3 (Vorgabe enthält auch ein Leerzeichen)
CompareSaveOriginal=1 1: Beim Speichern wird die Datei nach Dateiname.bak kopiert, und dann in Dateiname geschrieben. Vorteil: zusätzliche Streams, Spezialattribute etc. bleiben erhalten.
0: Beim Speichern wird in Dateiname.tmp gespeichert, dann in Dateiname.bak umbenannt, dann Dateiname.tmp in Dateiname. Vorteil: Datei muss nur 1x geschrieben werden, und bleibt im Falle eines Schreibfehlers intakt.
Comparetool= Setzt externes Vergleichstool für "Vergleich nach Inhalt", z. B. WinMerge
CompareTwoLineList=1 2-Zeilen-Fenster unten im Vergleichstool
CompareUtf8Detect=1 Erkennung von UTF-8 im Vergleichstool:
0: Nur mit BOM
1: Nach Inhalt (Multibyte-Zeichen oder HTML-Header)
2: Alle Texte, falls keine ungültige UTF-8-Sequenz (z. B. ANSI-Umlaute) enthalten
CompareVertical=0 1: Vergleichsfenster übereinander anzeigen
0: Nebeneinander
ContextProgress=1 Forschrittsbalken anzeigen beim Rechtsklick zur Anzeige des Kontextmenüs
CopyAllTimes=0 0: Nur Datum/Zeit der letzten Änderung kopieren
1: Auch Erstelldatum/-zeit und Datum/Zeit des letzten Zugriffs kopieren
CopyComments=6 Summe der folgenden Optionen:
1: Standard-Kommentartyp ist files.bbs
2: Standard-Kommentartyp ist descript.ion
4: Lese Kommentare aus beiden Typen
8: Kopiere Kommentare zu Dateien. Die Kommentardateien selbst überspringen.
16: Benutze DOS-Zeichensatz für descript.ion (files.bbs benutzt diesem immer)
Hinweis: Falls sowohl 1 als auch 2 gesetzt sind, hat 2 Vorrang.
CopyCompatDrives= Laufwerke, von/zu welchen im Kompatibilitätsmodus kopiert werden soll (CopyFileEx).
Empfohlen für USB-Sticks und exotische Laufwerkstypen. \ = Netzwerkumgebung, *=Alle Laufwerke. Dieser Modus funktioniert nicht unter Windows 9x/ME.
CopyCompatUsbSticks=1 Kompatibilitätsmodus für USB-Sticks verwenden
CopyDefaultMethod=1 Immer Standardmethode auf NT-basierten Systemen benutzen (zzt. ist das der Kompatibilitätsmodus)
CopyDirsAsAdmin=1 Wenn ein Verzeichnis nicht kopiert werden kann:
0: Überspringen
1: Nachfragen
2: Immer mit Admin-Funktionen versuchen
CopyDirTimeStamp=0 Kopiere Verzeichnisdatum in normaler Kopierfunktion (F5)
CopyLinks=0 Kopiere Dateisystem-Links (Junctions) als Links und nicht als Verzeichnisse.
0: Links wie Verzeichnisse behandeln oder ignorieren (falls IgnoreLinks gesetzt)
1: Links kopieren, ohne den Zielpfad des Links zu ändern
2: Links kopieren, und den Zielpfad auf das Ziellaufwerk ändern, falls der Link auf dasselbe Laufwerk zeigt, auf dem der Link selbst liegt.
Beispiel:
c:\path1\link, zeigt auf c:\path1\path2\linktarget
Kopiert nach d:\trgpath1\trgpath2\link
-> Link zeigt neu auf d:\trgpath1\trgpath2\path2\linktarget
Hinweis: Die Funktion testet nicht, ob das Zielverzeichnis des Links existiert oder nicht.
CopyOverwriteDefault=1 1..8: Standard für Optionen-Knopf in F5 Kopieren (nur aktiv wenn aufgeklappt). Entspricht dem Wert, der in der Combobox angezeigt wird.
0: Wie 1, aber Überschreiboptionen nicht zurücksetzen, wenn neue Dateien zum Hintergrund-Transfermanager hinzugefügt werden.
CopyToDirWarn=1 1: F5 kopieren: Den Benutzer warnen, wenn er als Zielnamen für eine Datei einen bereits existierenden Verzeichnisnamen angibt
CopyStreams=1 1: NTFS-Streams werden kopiert
0: NTFS-Streams werden ignoriert
Hinweis: Streams werden immer kopiert, wenn die Standard-Kopiermethode verwendet wird.
CopyBlockSize=32 Setzt die Blockgröße für die Kopierfunktion (in kBytes=1024 Bytes). Voreinstellung und Minimum ist 32 (=32768 Bytes).
CopyHugeBlockSize= Setzt die Blockgröße beim Kopieren von sehr großen Dateien. Die Dateien werden dann direkt unter Umgehung des Diskcache gelesen und geschrieben. Minimum ist 10 MB. Nur Dateien größer als dieser Wert werden auf diese Weise kopiert, bei kleineren Dateien wird CopyBlockSize verwendet. Ohne Eintrag in der INI-Datei ist diese Funktion abgeschaltet.
CopyBlockSizeOther=32 Setzt die Blockgröße beim Kopieren zwischen verschiedenen Laufwerken. Es ist von Vorteil, beim Kopieren zwischen verschiedenen Laufwerken eine kleinere Blockgröße zu verwenden als innerhalb desselben Laufwerks, da beide Laufwerke gleichzeitig Daten lesen bzw. schreiben können. Eine einzelne Platte muss dagegen immer zwischen Quelle und Ziel hin- und herspringen, weshalb eine große Blockgröße besser ist.
CopyHugeBlockSizeOther= Setzt die Blockgröße beim Kopieren von sehr großen Dateien, beim Kopieren auf ein anderes Laufwerk. Minimum: 256 kB.
Empfohlene Werte (selber ausprobieren):
CopyBlockSize=1024
CopyHugeBlockSize=10240
CopyBlockSizeOther=32
CopyHugeBlockSizeOther=32
SamePartitions=drives,drives Erlaubt es festzulegen, welche logischen Laufwerke (Partitionen) zur selben Festplatte gehören. Beispiel. Sie haben 2 Festplatten, eine mit Laufwerken C,E und F, und die andere mit D, G und H. Der Eintrag lautet dann SamePartitions=CEF,DGH
Beim Kopieren zwischen E und F (selbe Platte) werden dann die oberen (i. Allg. größeren) Werte genommen, zwischen C und D (andere Platte) dagegen die Werte mit 'Other' im Namen.
CountMarked=1 1: Zähle Dateien in Unterverzeichnissen vor dem Kopieren/Löschen für zweiten Prozentbalken
0: Dateien nicht zählen (schneller)
CountMarkedBackground=1 1: Zähle Dateien in Unterverzeichnissen vor dem Kopieren/Löschen im Hintergrund-Transfermanager
0: Dateien nicht zählen (schneller)
Hinweis: Wenn CountMarked gesetzt ist und CountMarkedBackground nicht, wird der Wert von CountMarked benutzt.
CountMarkedInDialog=1 Zähle Dateien in Unterverzeichnissen vor dem Kopieren/Löschen direkt im F5-Kopierdialog.
Hinweis: Wenn CountMarked gesetzt ist und CountMarkedInDialog nicht, wird der Wert von CountMarked benutzt.
CountSpace=1 1: Zähle Dateien in Unterverzeichnissen beim Markieren mit der Leertaste
0: Dateien nicht zählen (schneller)
CrcAppendExt=1 Dialogbox "Erzeuge Prüfsummen": Hat nur dann Auswirkungen, wenn CrcAppendExt=1 oder CrcSeparateFolders=1
0: Endung der Datei wird durch Endung der Prüfsumme ersetzt, z. B. test.txt -> test.sfv
1: Endung der Prüfsumme wird angehängt, z. B. test.txt -> test.txt.sfv
CrcForceUtf8=0 Option "Immer UTF-8 in Namen verwenden" im Dialog "Erzeuge Prüfsummen"
CrcForwardSlashes=0 Option "Unix-Format"
CrcSeparateFiles=0 Dialogbox "Erzeuge Prüfsummen":
0: Alle Summen in einer Datei speichern (oder siehe CrcSeparateFolders)
1: Erzeuge separate Prüfsummendateien, eine pro getestete Datei
CrcSeparateFolders=0 Dialogbox "Erzeuge Prüfsummen":
0: Alle Prüfsummen in einer Datei speichern (oder siehe CrcSeparateFiles)
1: Erzeuge separate Prüfsummendateien für jedes Verzeichnis, in dem Prüfsummen ermittelt werden
CtrlArrow=1 1: Benutze interne Strg+Pfeil-Bewegungsmethode in Editboxen wie der Kommandozeile
0: Benutze Standard-Windowsmethode
CtrlArrowOpenArchive=5 Kontrolliert, ob Strg+Pfeil Links/Rechts Archive als Ordner öffnet:
0: nie
1: falls ENTER das Archiv intern als Ordner öffnen würde
2: immer, außer wenn [Packer] ZIPlikeDirectory=0
3: immer
4: (dazuaddiert) Cursor auf Datei stellen, falls diese nicht als Archiv geöffnet wurde
Hat keinen Einfluss auf den Modus Suchen - Anwenden
CustomDateFormat=-1 Datumsformat systemunabhängig einstellen:
-1: Standard (von der Systemsteuerung)
0: M-D-Y
1: D-M-Y
2: Y-M-D
Hinweise: Verwenden Sie das Feld CustomSeparators für das Trennzeichen
CustomFieldsInDlg=0 Zeige benutzerdef. Felder (z. B. [tc.Kommentar]) im Überschreiben-Dialog
CustomSeparators=0000 Leget Datumstrennzeichen, Zeittrennzeichen, Tausendertrennzeichen und Dezimaltrennzeichen fest (nur ein Zeichen pro Trennzeichen).
0= Standard aus der Systemsteuerung verwenden.
DarkMode=0 Dunkelmodus: 0=aus, 1=wie Apps, 2=ein
DeleteDelay=0 Zeit (in ms) nach jedem Löschen einer Datei in den Papierkorb warten. Für Probleme z. B. mit CleanSweep.
DeviceChange=1 1= reagiere auf wm_devicechange-Meldungen (entdeckt Diskwechsel) 0= ignorieren
DirBrackets=1 1: Eckige Klammern um Verzeichnisse. 2: \ anhängen, z.B. Windows\, 3: beides
DirMenuHotkeys=1 1: +, - und * als Tasten für Hinzufügen/Entfernen/Konfigurieren verwenden statt altem Standard
0: Tastenkombinationen von den aktuellen (übersetzen) Menübefehlen verwenden
DirsInFooter=1 Markierte/totale Anzahl Verzeichnisse in Fußzeile
DirTabFilters=1 Angezeigte Dateitypen pro Tab speichern
DirTabIcons=255 Symbole auf Ordner-Tabs anzeigen. Summe von:
1: Symbole sind aktiviert
2: Laufwerksymbole im Hauptverzeichnis von Nicht-Netzwerklaufwerken
4: Ordner, die desktop.ini enthalten (nur mit Attribut "nur lesen" oder "System")
8: Virtuelle Ordner wie der Desktop
16: Dateisystem-Plugins
32: FTP-Verbindungen
64: Symbole von Ansichtsmodi
128: Reserviert für zukünftige Optionen
DirTabLimit=32 Max. Anzahl Zeichen, die in einem Ordner-Tab angezeigt werden sollen.
DirTabOptions=824 Summe der folgenden Optionen:
1: Tabzeile immer sichtbar
2: Tabs auf mehreren Zeilen
4: Alle Tabs haben dieselbe Breite
8: Tab-Titellänge begrenzt (siehe DirTabLimit)
16: Bestätigen von "Alle Tabs schließen"
32: Tabs mit Doppelklick schließen
64: Neue Tabs im Vordergrund öffnen
128: Neue Tabs neben aktuellem Tab öffnen
256: Gesperrte Tabs mit einem Stern * anzeigen
512: Aktiviere Zielfenster beim Klick auf einen anderen Tab
1024: Immer Laufwerksbuchstaben im Tabtitel anzeigen
DirTabRevert=1 Zurück zum gesperrten Ordner bei Tabwechsel
DisconnectOnSuspend=0 Summe von:
1: Trennt alle FTP-Verbindungen beim Aktivieren des Schlafmodus
2: Trennt alle Dateisystem-Plugins, die eine "Disconnect"-Funktion haben
DllLoad=0 DLL-Lademethode:
-1: Nie aus aktuellem Verzeichnis (am sichersten)
0: Nur im Kontextmenü (z. B. für Outlook 2003)
1: Immer
DpiPerScreen=1 0: Windows 10 das Skalieren auf verschiedene Bildschirmauflösungen zu überlassen
DriveBarHide= Versteckt Teile des Laufwerks-Buttonbars:
A-Z=Laufwerke
0-9=ftp-Verbindungen
\ =Netzwerkumgebung
. =Vater-/Hauptverzeichnis
- =Datenträgername und freier/totaler Speicherplatz
; =USB-Geräte (z.B. Handy)
Anders als bei Allowed= bleiben die Laufwerke erreichbar, z. B. via Laufwerksliste (Alt+F1/F2), den "cd"-Befehl usw.
Um Terminal-Server-Laufwerke zu verstecken, diese hinter einem $-Zeichen angegeben:
DriveBarHide=A$CDE versteckt das lokale Laufwerk A und die Host-Laufwerke CDE.
DriveisCD=FGH Definiert die Laufwerke F, G und H als CD-ROM. Beim Kopieren von diesen wird das "nur lesen" Attribut nicht mit kopiert. Nützlich für CD-ROM-Laufwerke im Netzwerk, die nicht automatisch erkannt wurden.
DriveLib= Lade die Symbole für den Laufwerksbuttonbar aus der angegebenen Datei.
DriveLib.bak= Backup der benutzerdefinierten Laufwerksymbole der Option DriveLib=. Wird hierher verschoben, wenn der Benutzer die Option "Zeige Laufwerksymbole des Explorers" aktiviert.
DrivesExportUpcase=-1 1: Exportiere Laufwerksbuchstaben in Großschreibung bei Funktionen wie cm_CopyFullNamesToClip, oder beim Starten von Programmen (im Programmnamen und aktuellen Verzeichnis). <=0: In Kleinschreibung exportieren.
Hinweis: Wenn DrivesShowUpcase gesetzt ist und DrivesExportUpcase nicht, wird der Wert von Ersterem übernommen
DrivesShowUpcase=-1 1: Zeige Laufwerke in Großbuchstaben u.a. in Laufwerksbuttonbar, Laufwerksliste und akt. Pfad.
0: In Kleinschreibung anzeigen.
-1: Nicht festgelegt, die Laufwerke werden u.U. unverändert angezeigt
DriveTipDelay=0 Zeitverzögerung in Millisekunden, bis Laufwerkstipps neben der Laufwerkauswahlbox angezeigt werden
DropExtensions=1 Erlaube Drag&Drop-Shellerweiterungen für ziehen+fallenlassen mit rechter Maustaste
EditNewName= Den angebenen Namen verwenden bei Umsch+F4, wenn Cursor auf Ordner steht
Editor=notepad.exe Voreingestellter Editor für F4
EditWaitTime=2 Timeout-Wert beim Bearbeiten von Dateien aus Archiven oder von FTP-Servern: Falls sich ein Editor innerhalb dieser Anzahl Sekunden schließt, wird ein Mehrdokumenteeditor angenommen. Daraufhin wird ein Dialog angezeigt, mit welchem der Benutzer bestätigen kann, wenn die Datei fertig bearbeitet wurde. 0: deaktivieren. -1: diesen Dialog nie anzeigen (z. B. falls die Datei via DDE an das Programm übergeben wurde).
EncodeLinesPerFile=0 Max. Anzahl Zeilen pro Datei (0=unbegrenzt) in Dateien - Datei codieren
EncodeMethod=0 Zuletzt benutzte Codiermethode in Dateien - Datei codieren: 0=MIME, 1=UUE, 2=XXE
ESCcheck=1 Teste vor dem Kopieren, ob ESC-Taste stecken geblieben ist (könnte die Kopieraktion unterbrechen)
Everything=Everything.exe -startup Ort für Everything.exe festlegen, um das Programm zu starten, falls es beim Suchen nicht läuft. Ohne Angabe wird Everything.exe im Totalcmd-Verzeichnis gesucht. Hinweis: Geben Sie bei Parametern wie -config den Namen inkl. Verzeichnis an, sonst findet Everything die Datei nicht.
Everythingforsize=0 1: Das Programm Everything benutzen, um den Speicherbedarf von Verzeichnissen beim Drücken der Leertaste oder Alt+Umsch+Enter zu berechnen.
EverythingForTree=0 Das Programm Everything für Baum benutzen (Alt+F10)
ExecCmdLineFocused=0 1: Befehl nur ausführen, falls Kommandozeile den Fokus hat
ExecUseContextMenu=0 1: Öffnet Dateien, als ob der Benutzer mit der rechten Maustaste darauf geklickt und auf das standardmäßige Kontextmenüelement geklickt hätte
ExplorerForCopy=0 Benutze eingebaute Kopierfunktion (flexibler), oder Explorer (copy+paste) für F5 und F6
FileTipWindows=0 Hintfenster für Dateien, die zu lang sind, um komplett angezeigt zu werden
FileTipWindowsOnIcon=0 Hintfenster für Dateien nur anzeigen, wenn sich der Mauszeiger über dem Symbol (Icon) befindet, oder dort wo dieses wäre bei abgeschalteten Symbolen. Hat keinen Einfluss im Modus Miniaturansicht. FileTipWindows darf nicht 0 sein.
FirstFTPSync=1 Synchronisieren mit FTP wurde nie aufgerufen -> Warnseite in der Hilfe
Firstmnu= Test, ob die ini-Datei verändert werden kann (wie Test=, aber ohne Fehlermeldung)
FirstMLSDsync=1 Synchronisieren per FTP mit MLSD-Befehl statt LIST wurde noch nie benutzt -> Zeige Warnseite in der Hilfe an
FirstTime=1 Total Commander wird zum 1. Mal gestartet
FirstTimeIconLib=1 Erster Start (neuere Version mit mehreren Symbolbibliotheken) -> Symbole für Hauptmenü+Buttonbar wählen
FirstTimeUnpack=1 Erstes Mal "Alles entpacken" -> Hinweis
FirstTimeZIP=1 Erstes Mal packen/entpacken ->Hinweis
FixEmptyPanel=0 Auf 1 setzen, falls TC mit komplett leeren Dateifenstern startet
FontPreview=0 1:Explorer-Vorschau für Schriften erlauben
2:Nur Windows 10 >=1607
FontQuality=0 Erlaubt die Schriftqualität manuell zu setzen, z.B. Antialiasing/ClearType, auch wenn global in Windows deaktiviert:
0:DEFAULT (Vorgabe, wie unter Windows konfiguriert),
3:NONANTIALIASED,
4:ANTIALIASED,
5:CLEARTYPE,
6:CLEARTYPE_NATURAL
FontQualityMenu=0 Wie FontQuality aber für das Hauptmenü (nur 64-bit)
FontSampleText= Schrift-Beispieltext für Konfigurieren - Einstellungen - Schrift (leer=Vorgabe)
ForceDarkModeOptions= 1:Dunkelmodus auf älteren Windows-Versionen erlauben
2:Alle Funktionen intern ausser Titelzeile
3:Auch Titelzeile nicht dunkel
4:Menüs nicht modifizieren
5:3+4 kombiniert
0:Aus
Hinweis: Werte größer als 1 haben negative Auswirkungen auf das Aussehen unter Windows 10 1809 (der ersten Version mit voller Unterstützung des Dunkelmodus) und neuer, deshalb sollten Werte >1 nur im Fall von Problemen benutzt werden.
GetDirSize=0 Verzeichnisgrößen für die angezeigten Unterordner abrufen:
0: nur manuell (Alt+Umsch+Enter)
1: Automatisch, nur lokale Laufwerke (verwendet 'Everything', wenn aktiviert, andernfalls manuelles Zählen)
2: Automatisch, auch im Netzwerk
3: Automatisch, nur mit 'Everything' (tut nichts, wenn 'Everything' nicht installiert ist oder die Ordnergrößen auf dem angegebenen Laufwerk nicht indiziert)
GetTextMode=0 Formatierung für Bildschirmleser. Trennzeichen:
0=leer
1=tab
2=<cr>
3=<cr><lf>
4=wie 2
5=wie 3
4&5: Zeigt Felder mit Spaltenüberschriften an
HebrewListerFix=0 1: Koordinatenkorrektur im Lister für englische Texte unter Hebräischem Windows (nur bei inaktivem Uniscribe).
HideRemovableNoMedia=0 Wechsellaufwerke wie USB-Kartenleser nur dann anzeigen, wenn sie ein Medium enthalten. CD/DVD-ROM- und Diskettenlaufwerke werden immer angezeigt. Summe von:
1: Laufwerks-Buttonbar
2: Laufwerksliste
4: Suchen - Laufwerke
Hinweis: Kann bei bestimmten Laufwerken bremsen -> ausschalten, falls TC langsamer wird.
HintMultiFilters=0 1: Zeige Tooltips von allen passenden Filtern
HistoryAppend=1 1: Hängt Verzeichnis, das man aus der Verlauf-Liste (ALT+Pfeil ab) wählt, ans Ende des Verlaufs dran (Voreinstellung)
0: Verschiebt die aktuelle Position im Verzeichnisverlauf auf den gewählten Eintrag
HistoryCut=1 1: Verlauf abschneiden, wenn bei Verzeichniswechsel nicht am Ende des Verlaufs
HistoryLen=26 Max. Anzahl Einträge im Verzeichnisverlauf (Alt+Pfeil ab). Maximum: 200
HistoryLenStored= Max. Anzahl Einträge im Verlauf, die in der wincmd.ini gespeichert werden. NT: 200, 9x/ME: gleich wie HistoryLen
HistoryThinning=1 Verzeichnis nur zum dann Verlauf hinzufügen, wenn man x Sekunden dort geblieben ist, oder dort eine Dateioperation gestartet hat
HistoryThinningDelta=5000 Anzahl Millisekunden, die man in einem Verzeichnis verbleiben muss, damit es im Verlauf bleibt. 0=nur bei Dateioperationen hinzufügen.
IconClickSelection=1 1: Markieren von Dateien/Ordnern per Linksklick auf ihr Symbol
2: Wie 1, aber nur wenn die Markierung auf einem Touchscreen erfolgt, nicht mit einer Maus
IconLib=c:\totalcmd\wcicolib.icl Lädt alle Standardsymbole für die Dateilisten aus der angegebenen DLL. Siehe unsere Homepage für eine Beispiel-ICL.
IconLib.bak= Backup der benutzerdefinierten Standardsymbole der Option IconLib=. Wird hierher verschoben, wenn der Benutzer die Option "Zeige Standard Ordner-/Dateisymbole vom Explorer" aktiviert.
IconsInDriveList=1 Zeige Laufwerksymbole in der Laufwerksliste (Alt+F1/F2) und im Dialog "Laufwerk nicht gefunden"
IconsInMenus=17 Anzeige von Symbolen aus der Datei wcmicons.dll bzw. wciconex.dll im Hauptmenü. Summe von:
1: Symbole im Hauptmenü einschalten
2: Symbole umgeben von einem Rahmen anzeigen
4: Symbole mit 24x24 Bildpunkten statt 16x16 verwenden
8: Symbole mit 32x32 Bildpunkten verwenden
beides: 4+8: Zeige Symbole mit 48x48 Bildpunkten (für sehr hochauflösende Bildschirme)
16: Gewählte Optionen als gedrückten Knopf anzeigen statt mit Häkchen
IconsInThread=1 Lade Icons von EXE/LNK-Dateien in einem eigenen Thread
IconsOnNet=1 Lade Icons von EXE/LNK-Dateien auch bei Netzwerklaufwerken
IconsOnNetReadOnly=0 1: Lade Icons von Verzeichnissen auf Netzwerkfreigaben auch bei gesetztem Nu-Lesen-Attribut. Achtung: Sehr langsam bei freigegebenem CD- oder DVD-Laufwerk!
IconOverlays=0 Zeigt überlagerte Symbole, z. B. den kleinen Pfeil bei Links
IconOverlaysOneDrive=3 Zeigt überlagerte Symbole für OneDrive. Summe von:
1: Dateien, die nicht Offline vorhanden sind (Wolke)
2: Dateien, die als immer offline verfügbar gekennzeichnet sind (grüner Kreis mit Häkchen)
4: Zusätzlich zu 2: Auch in Verzeichnissen von OneDrive für Business anzeigen
IconsSpecialFolders=3 Anzeige spezieller Verzeichnisicons (0=keine, 1=lokales Dateisystem, 2=virtuelle Ordner und in Netzumgebung, 3=beide)
IgnoreDirErrors=0 1: Erlaubt es, in nicht unzugängliche oder existierende Verzeichnisse zu wechseln. Zeigt <Fehler beim Lesen!> an.
0: Zeigt <Fehler beim Lesen!> beim Start von Total Commander an, sofern das unerreichbare Verzeichnis auf einem gesperrten Tab liegt
-1: Zeigt nie <Fehler beim Lesen!> an, wechselt immer weg von unerreichbaren Verzeichnissen
IgnoreLinks=0 Erlaubt es, Dateisystem-Links (Junctions, Reparse Points) zu Verzeichnissen in diversen Funktionen zu ignorieren. Für die Funktion "Verzeichnisse synchronisieren" gibt es eine separate Option "SyncIgnoreJunctions". Die Option CopyLinks hat Vorrang vor IgnoreLinks.
Entweder 0 oder die Summe, bei denen diese speziellen Links ignoriert werden:
1: beim Kopieren/Verschieben/Speicherbedarf ermitteln
2: im internen Packer (zip, tar)
4: in der Zweigansicht (Strg+B)
8: beim Dateien suchen (ausser bei Suche mit Everything), Baum neu einlesen
16: Links auch dann ignorieren, wenn sie markiert sind. Sonst werden nur Links ignoriert, die sich in markierten Unterverzeichnissen befinden.
IgnoreListFile= Zeigt auf eine Textdatei (Pfad+Dateiname), welche eine Liste von Namen enthält, die von Total Commander ignoriert werden sollen (nicht anzeigen, kopieren, löschen etc). Unterstützt Platzhalterzeichen * und ? in den Dateinamen sowie Namen mit oder ohne Pfad (mit und ohne Laufwerk). Die Zeilen können die folgenden Formen annehmen:
Dateiname.ext Verstecke Dateiname.ext in allen Unterverzeichnissen
c:\test\Dateiname.ext " Dateiname.ext nur in c:\test
\System volume information " dieses Verzeichnis auf allen Laufwerken
*.bak *.~* " diese Dateitypen in allen Unterverzeichnissen
c:\test\*.bak *.~* " diese Dateitypen nur in c:\test
\test\*.bak *.~* " diese Dateitypen in \test auf allen Laufwerken
c:\test\"abc def.*" *.~* Namen mit Leerzeichen müssen in "" stehen,
sofern sie Platzhalterzeichen enthalten (* oder ?)
IgnoreListFileEnabled=1 Unter IgnoreListFile= angegebene Liste aktivieren. Der interne Befehl cm_SwitchIgnoreList schaltet diese Option ein und aus.
IgnoreWheel=0 Maus-Rad ignorieren
InactiveFocus=0 Auf 1 oder RGB-Wert setzen, um Textcursor im Zielfenster anzuzeigen. Akzepiert hex: $BBGGRR.
Addieren: $1000000=Punkte,$2000000=Striche/Punkte,$3000000=Linie.
InactiveFocusDark= Wie InactiveFocus, aber für den Dunkelmodus. Falls nicht gesetzt wird der Wert von InactiveFocus benutzt.
InheritCaseSensitiveDir=1 Wenn für einen Ordner die Option "Groß-/Kleinschreibung beachten" festgelegt ist, wird diese auf neue Ordner angewendet:
0=aus
1=nur wenn keine Administratorrechte benötigt werden (tcmadmin)
2=immer an
InplaceOkButton=1 Umbenennen: Button zum Bestätigen 1=rechts vom Namen, 2=links, 0=aus
InplaceRename=1 Umbenennen im Fenster bei zweifach-Klick
InplaceRenamePath=1 Ändern des aktuellen Verzeichnisses durch Klick auf dieses. Voreinstellung: Wert von InplaceRename, sonst 1.
2: Deaktivieren, aber Verzeichniswechsel mit einfachem Klick auf den Pfad-Teil (ohne Shift zu drücken)
InplaceRenameSync=1 Umbenennen im Sync-Dialog
InstallDir= Letztes Installationsverzeichnis von TC (gleich wie in der Registry)
KeyboardID=0 Tastaturbelegung ändern, wenn TC aktiviert wird oder Umbenennen endet:
0: deaktiviert, Tastaturbelegung nicht ändern
1: auf standard-Lokale ändern, z. B. deutsches Layout bei deutscher Spracheinstellung
Andere Werte (Beispiele):
$0409: Englische Tastatur (QWERTY)
$0407: Deutsche Tastatur (QWERTZ)
$0807: Schweizerdeutsche Tastatur
$040C: Französische Tastatur (AZERTY)
$0408: Hellenische (Griechische) Tastatur
$0419: Russische Tastatur (kyrillisch)
$e00e0804: Chinesisch mit Microsoft PinYin IME
$e0010411: Japanisch mit Standard-IME
Das $-Zeichen bedeutet eine Hexadezimalzahl. Sprachidentifikationsnummern können an folgender Adresse gefunden werden (erste Spalte):
www.ghisler.com/languageid
KeyPath= Pfad zum Registrierschlüssel (OHNE Dateinamen!). Voreinstellung: Total Commander-Verzeichnis.
Mit KeyPath=$ sucht TC in der Registrierdatenbank nach dem Schlüssel (Binärwert "key" im Schlüssel "Software/Ghisler/Total Commander").
LanguageINI= Sprach-Datei (WCMD_DEU.LNG etc.)
Lastmd5=0 Letzte Option bei Erzeuge CRC-Prüfsummen:
0: CRC32
1: MD5
2: SHA1
3: SHA256
4: SHA512
5: SHA224
6: SHA384
7: SHA3_256
8: SHA3_512
9: SHA3_224
10: SHA3_384
11: BLAKE3
Lastrunas= Letzter Benutzername, der in der Funktion cm_OpenAsUser benutzt wurde
LastSearchOptions=0 Zuletzt benutze Suchoptionen, Summe von:
1: nur ganze Wörter
2: Groß-/Kleinschreibung beachten
4: Reg. Ausdruck (RegEx 2)
8: Hex
16: Finde Dateien, die den Text NICHT enthalten
32: Windows-Zeichensatz (ANSI)
64: DOS-Zeichensatz (ASCII)
128: Unicode UTF-16
256: UTF-8
512: Office xml
1024: Archive durchsuchen
2048: Suche nach Text in Plugins
ListName= Letzter Listendateiname, der in "Später herunterladen" und "FTP aus Liste herunterladen" benutzt wurde.
LoadDriveIconsInBackground=1 1: Explorer-Laufwerksymbole in Hintergrund-Thread laden. Auf Wert über 500 setzen, um Verzögerung in Millisekunden einzustellen (Vorgabe 500).
LockedGoToDriveRoot=0 0: Klick auf [ \ ] wechselt in Basisverzeichnis des gesperrten Ordner-Tabs
1: Klick auf [ \ ] wechselt in Hauptverzeichnis (Wurzel) des Laufwerks
LockedTabChange=1 Was soll beim Verzeichniswechsel bei einem gesperrten Ordner-Tab geschehen:
0: Immer einen neuen Tab erzeugen
1: Tab mit selbem Verzeichnis wiederverwenden
2: Ersten nicht gesperrten Tab verwenden
3: Letzten nicht gesperrten Tab verwenden
LogFile= Name der Logdatei, um Dateioperationen aufzuzeichnen
LogKeepCount=30 Max. Anzahl Kopien von Logdateien, die behalten werden sollen, wenn die Logdateirotation benutzt wird
LogOptions=7198 Legt fest, welche Operationen geloggt werden sollen. Eine Summe von:
1 Eingeschaltet
2 Kopieren, Löschen, Verknüpfungen
4 Dateien löschen
8 Verzeichnisse anlegen/löschen
16 Pack-/Entpackfunktionen/Verifizieren
32 zzt. unbenutzt
64 Operationen mit Dateisystem-Plugins
1024 Die Operation war erfolgreich
2048 Die Operation ist fehlgeschlagen
4096 Die Operation wurde gestartet, aber die Datei übersprungen
LogRotateLimit=0 Falls auf -1 gesetzt, neue Logdatei jeden Tag nach Mitternacht beginnen.
Falls auf einen Wert v>0 gesetzt, eine neue Logdatei immer dann beginnen, wenn die aktuelle Logdatei größer als v kBytes wird.
LongNameCopy=0 Warnen bei Dateioperationen, falls Zielname länger als 259 Zeichen:
0=immer
1=nie
2=falls Quellname max 259 Zeichen lang
3=lange Namen verbieten
LongInStatus=0 Zeige langen Dateinamen in Statuszeile im Modus Ansicht-Lang
LongNamesToDos=0 Übergebe kurze/lange Dateinamen an eine DOS-Box bei Umsch+Enter (0/1).
LowercaseStrings=Englisch:a,an,the,at,by,for,in,of,on,to,from,up,and,as,but,or,nor,yet,so,vs
Für das Mehrfach-Umbenenntool, Funktion "Erster pro Wort groß (English)", Wörter, die nicht groß geschrieben werden sollen
Hinweis: In englischen Titeln werden das erste und das letzte Wort immer mit einem großen Anfangsbuchstaben geschrieben. Um nur Kleinbuchstaben im letzten Wort zuzulassen, beenden Sie die Beschreibung mit einem Ausrufezeichen, z.B.:
LowercaseStrings=Englisch!:a,an,usw.
Mainmenu= Enthält benutzerdef. Ort+Namen des Hauptmenüs
MarkDirectories=1 Verzeichnisse markieren (mit +)
MaxCompareSizeInMem=1048576 Vergleich nach Inhalt: Größenbeschränkung für Dateien, die zum Vergleich vollständig in den Speicher geladen werden. Größere Dateien werden in den Speicher eingeblendet.
MaxItemsInComboBox=20 Max. Anzahl Einträge in Comboboxen: F7 Neuer Ordner (Verlauf), alte Suchparameter, Mehrfach-Umbenenntool, neue Verbindungen etc. (max 500)
MinimizeOnClose=0 Minimiert (statt schließt) Hauptfenster. Summe von:
1: Beim Klick auf [X]
2: Tastenkombination Alt+F4
4: Button "Alt+F4 Exit"
Hinweis: Umsch-Taste erzwingt Schließen
MediaRemote=0 1: Benutze Mediacenter-Fernbedienung im TC
<- Lösch, i Verzeichnisliste, >| Tab, |< Strg+Tab, Play: Menü, Stop: ESC/Markieren
plus Browser-Buttons auf erweiterten Tastaturen
0: Nur die Browser-Buttons Zurück, Vorwärts, Neu laden, Stopp, Favoriten
-1: Alle Mediatasten inkl. Browser-Buttons ignorieren
MenuHideChar= Verzeichnisliste: Versteckt Einträge, die mit dem Zeichen beginnen
- vor dem Zeichen=deaktiviert
MftAllowed=0 0: Blockiert Zugriff auf Laufwerk:\$MFT, verhindert Windows-Absturz. Sollte nicht auf 1 gesetzt werden, ausser die Zugriffsrechte auf $MFT wurden geändert
MinIconWidth=-2 Minimale Breite (in Pixel) von Symbolen in dem Dateilisten, sofern >0 ist. Falls negativ, wird der Absolutwert zur normalen Symbolbreite addiert. Beispiel: MinIconWidth=-2, Symbolbreite=16 -> 18.
MinLineHeight=-1 Minimale Zeilenhöhe (in Pixel) in dem Dateilisten, sofern >0 ist. Falls negativ, wird der Absolutwert zur normalen Zeilenhöhe addiert, z.B. MinLineHeight=-2, Zeilenhöhe=16 -> 18.
MoveToDirWarn=1 1: F6 verschieben, Umsch+F6: Den Benutzer warnen, wenn er als Zielnamen für eine Datei einen bereits existierenden Verzeichnisnamen angibt
MrtReplacePluginChars=1 0: Schaltet die automatische Ersetzung von ungültigen Zeichen von Inhaltsplugins im Mehrfach-Umbenenntool ab (z. B. ':' -> '.') -> der Benutzer muss sich selber darum kümmern
MultiRenameEdit= Editor, mit welchem die Zieldateinamen manuell bearbeitet werden sollen
MultiRenameLoadSettings= Einstellungen des Umbenenntools beim Start:
(leer lassen): Zuletzt benutzte Einstellungen
Name: Lädt Einstellungen, die unter dem angegebenen Namen gespeichert wurden
Unbekannter Name: Startet mit Standardeinstellungen
MultiRenameUndoHistoryLen=20 Anzahl Umbenennoperationen, die rückgängig gemacht werden können. 0=deaktivert
Zu Teil 2: [Configuration] N-Z
Zu Teil 3: Restliche Abschnitte


Ini-Datei Einstellungen - Teil 2: Configuration N-Z

wincmd.ini - Teil 2: Configuration N-Z
Zu Teil 1: [Configuration] A-M
Zu Teil 3: Restliche Abschnitte
[Configuration] Allgemeine Einstellungen (in Klammern mögliche Werte)
NetHoodInThread=1 Lade Netzwerkumgebung in Hintergrundthread
NetHoodReadInfo= Bestimmt die zu benutzenden Netzwerkfunktionen.
Summe von: 1: GetAttributesOf, 2: SHGetDataFromIDList
NetHoodStyle=1 Stil der Netzwerkumgebung:
0: Windows-Vorgabe, 1: Zusätzlich XP-artig, 2: Nur XP
NetwareBugfix=0 1: Dateien auf Netzlaufwerk nicht direkt umbenennen!
NewFolderOverPanel=1 0: Dialog für neuen Ordner (F7/Umsch+F7) zentriert über Hauptfentster
1: Dialog zentriert über Dateiliste, wo Ordner angelegt wird
NewStyleProgress= 1: Fortschrittsbalken des Betriebssystems (Standard für Windows >=XP)
0: TCs eigener Fortschrittsbalken (Standard für ältere Windows-Versionen)
2: Wie 1, aber mit durchgehendem Balken (classic-Thema)
NewTimeZoneMethod= 1: Win7-Zeitanzeigemethode (Standard für Windows 7)
0: Alte Methode
NoReread=AB\ Diese Laufwerke nicht neu einlesen (A..Z, \ steht für die 'Netzwerkumgebung', / für Plugins (betrifft nur das Aufstarten), ein Doppelpunkt : für virtuelle Ordner wie den Desktop)
NoReread2=AB\ Diese Laufwerke nicht neu einlesen beim Schließen und Neustart. Falls Option fehlt, wird der Inhalt von NoReread= benutzt, was dem Verhalten von TC-Versionen älter als 6.52 entspricht. Beispiel:
NoReread=ABC\ und NoReread2=AB\ : Disketten, Laufwerk C und die Netzwerkumgebung nicht automatisch neu einlesen, jedoch Verzeichnisse auf Laufwerk C beim Beenden merken.
OldCmdLineCount=20 Anzahl alter Kommandozeilen, die unter [Command Line History] gespeichert werden sollen
OldDriveIcons=0 1: Benutze alte Laufwerkssymbole von TC 6.5x für Laufwerks-Buttonbar
2: Symbole von TC 7.x/8.x
0: Symbole vom Explorer (Windows XP oder neuer)
Hinweis: Wird ignoriert, wenn Option DriveLib gesetzt ist.
OldListIcons=0 1: Benutze alte Ordner-/Dateisymbole von TC 7.x/8.x
0: Benutze Ordner-/Dateisymbole vom Explorer
Hinweis: Wird ignoriert, wenn Option IconLib gesetzt ist.
OldStyleDir=0 Benutze SetCurDir zum Testen, ob Verzeichnis existiert / Benutze direkt FindFirstFile
OldStyleTree=0 Nur für Verzeichnisbäume in einem der normalen Dateifenster:
0: Lade explorerartigen Verzeichnisbaum für alle Laufwerke
1: Lade immer den gesamten Verzeichnisbaum eines Laufwerks
2: Lade Verzeichnisbaum nur für aktuelles Laufwerk
OleComments=1 Lade Kommentare von:
0: Nur aus Kommentardateien descript.ion und files.bbs
1: Explorer (aus NTFS-Streams und Word-Dokumenten) und Kommentardateien
2: Nur-Explorer-Kommentare
3: Keine von beiden (nur aus Plugins, falls definiert)
OnlyOnce=0 1: Nur 1 Kopie von Total Commander startbar pro Benutzer (z. B. Start via RunAs)
-1: Nur 1 Kopie von Total Commander startbar für alle Benutzer dieses Rechners
x>0: Wie 1, aber mehrere Kopien pro Benutzer
x<0: Wie -1, aber mehrere Kopien (für alle Benutzer zusammen)
OpenInThread=1 Dateien/Programme aus Hintergrundthread öffnen
OpenOnSameMonitor=1 1: Beim Starten von Programmen wird Windows angewiesen, das Fenster auf demselben Monitor zu öffnen, auf dem sich Total Commander befindet. Kann vom aufgerufenen Programm ignoriert werden.
0: Keine Vorgabe - Programm startet in der Regel auf dem Hauptmonitor
OpenUrls=1 .url-Dateien intern öffnen, falls Sie auf Verzeichnisse im Dateisystem verweisen
OverrideDPI= Skalierung von Dialogboxen ändern
OverrideDPI96= Wie OverrideDPI, aber spezifisch für Bildschirm mit 96 DPI. Erlaubt das Setzen der Skalierung separat pro Bildschirmskalierung, z.B. OverrideDPI96=120, OverrideDPI120=150
PanelsVertical=0 Dateifenster nebeneinander (0) oder übereinander (1)
PathExtraHeight=-100 Zusätzliche/reduzierte Höhe für Verzeichnisfeld (für 96dpi, skaliert)
PluginBaseDir= Verzeichnis, unter welchem Plugins automatisch installiert werden. TC hängt an diesen Pfad den Plugintyp sowie das Standard-Pluginverzeichnis an, wenn er ein neues Plugin installiert.
Beispiel: pluginbasedir=%COMMANDER_PATH%\plugins
Vorgeschlagener Pfad für Packer Plugin sample_packer:
%COMMANDER_PATH%\plugins\wcx\sample_packer\
PopupDelay=500 Modus: Markierung mit der rechten Maustaste: Verzögerung in ms bis das Kontextmenü geöffnet wird. Kurzere Klicks oder Klicken+Ziehen markiert die Datei(en) nur.
PortInDriver=1 1: transferiert ganze Blöcke im Treiber (Voreinstellung) -> schneller
0: Transfer im Benutzermodus -> langsamer, aber besseres Multitasking
Diese Einstellung betrifft nur Win95/98/ME. Unter WinNT/2000 und neuer müssen alle Transfers im Treiber ablaufen.
PreferOpenTypes=+ Dateitypen, die per Doppelklick bevorzugt per Explorer statt als Archiv geöffnet werden sollten. Standardmäßig werden die gängigsten Office-XML-Dateitypen wie *.docx verwendet.
Beginnt die Zeile mit "+", werden die angegebenen Typen hinzugefügt, z.B. PreferOpenTypes=+*.ext1 *.ext2
Ohne "+" werden nur die angegebenen Typen verwendet, z.B. PreferOpenTypes=*.docx *.xlsx
Oder Typen hinter Pipe-Symbol | angeben, die auf jeden Fall als Archiv geöffnet werden sollen, , z.B. PreferOpenTypes=*.docx *.xlsx | *.pptx zum Öffnen von pptx-Dateien als Archive.
PreloadThumbnails=1 1: Lädt Vorschaubilder schon beim Öffnen des Verzeichnisses, nicht erst beim Blättern
2: Wie 1, aber auch im Modus "Zweigansicht"
3: Nur die nächsten 2 nicht sichtbaren Zeilen im Voraus laden
0: Vorschaubilder erst laden, wenn sie ins Sichtfeld kommen
PreventScrollbarCrash= Absturz von Lister verhindern (Win81), siehe unser Forum
PromptForUser=0 0: Beim Verbinden eines Netzlaufwerks nur Parameter CONNECT_INTERACTIVE benutzen
1: Auch Parameter CONNECT_PROMPT setzen, damit immer nach dem Namen gefragt wird
QuickSearchAllowNoMatch=0 1: Erlaubt die Eingabe/das Einfügen von Text, der zu einer leeren Ergebnisliste führt
QuickSearchAutoFilter=0 0: Schnellsuchfilter (Strg+S) deaktiviert beim Start
1: Schnellsuchfilter (Strg+S) aktiviert
-1:Wie 0, aber den Status beim Beenden von TC nicht speichern (deaktiviert)
2: Wie 1, aber den Status ebenfalls nicht speichern (aktivert)
QuickSearchExactMatch=0 0: Eingabe eines Punktes wird wie *. gelesen, win.i findet auch wincmd.ini
1: Exakte Übereinstimmung: win.i findet nur win.ini, nicht wincmd.ini
QuickSearchMatchBeginning=1 0: Eingabe eines Suchstrings xyz wird als *xyz gelesen
1: Exakte Übereinstimmung am Anfang: wi findet nur win.ini, nicht otherwin.ini
QuickViewFollowLinks=1 Zeige Inhalt vom Ziel von lnk-Dateien mit Strg+Q:
1=Bei Netzwerkpfaden nur, wenn lnk auch im Netz,
2=Immer,
0=Nie
QuickViewUnzipReadMe=1 Readme-Dateien in Archiven mit Strg+Q auf Archiv anzeigen:
1: Immer
-1: Nur bei Archiven mit Archiv-Erweiterung, z.B. .zip, nicht .epub
0. Nie
RedirectSection= Einzelnen Abschnitt in andere ini-Datei umleiten, siehe Übersicht
RelativePathCopy=2 Kontrolliert Option "Relative Pfade beibehalten" im Dialog F5/F6. Summe von:
1: Beim Start aktiv
2: Letzte Einstellung merken, während TC läuft
4: Einstellung auch beim Beenden von TC merken
-1: Option verstecken (nicht als Summe verwenden)
RememberTransferManagerPos=0 0: Hintergrund-Transfermanager (F5-F2) wird am oberen Bildschirmrand angezeigt, linke Seite anders bei jedem Start
1: Hintergrund-Transfermanager-Position und -Größe werden gespeichert (kann via Systemmenü gesetzt werden)
RenameEditUnicode=0 Einstellungen für Mehrfach-Umbenenntool: Namen bearbeiten
0: Textdatei als ANSI-Text speichern, außer wenn markierte Namen Unicode-Zeichen von anderen Codeseiten enthalten (z. B. Kyrillisch).
1: Textdatei immer als Unicode-Text speichern.
RenameSelOnlyName=0 Umbenennfunktion (Umsch+F6): nur Namen, nicht Erweiterung markieren (1), oder Name+Erw. (0)
Auch beim Kopieren im selben Verzeichnis (Umsch+F5)
RenameUpDown=1 Beim Umbenennen: Pfeiltasten nach oben/unten verwenden, um zur vorherigen/nächsten Datei zu springen (aktuelle umbenennen falls Name unterschiedlich)
ReplacePhotoApp=1 Ersetzt die Windows-Photo-App (Kacheloberfläche) durch den Windows Photo Viewer (Desktop-Programm) beim Doppelklick auf eine Bilddatei.
ResolutionSpecific=1 0: Auflösungsspezifische Daten wie Schriftstil und -größe in einem einzigen Abschnitt namens [AllResolutions] speichern
1: Daten werden in Abschnitten namens [1024x768 (10x20)] gespeichert
RestoreSize=7 Versucht die in der wincmd.ini gespeicherte Fenstergröße wiederherzustellen. Summe von:
1: Beim WM_DISPLAYCHANGE (z.B. Benutzer ändert Auflösung)
2: Beim WM_DPICHANGED (z.B. Benutzer zieht Fenster auf anderen Schirm)
4: WM_MOVE (Win+Umsch+Pfeil)
RestrictInterface= Deaktiviert Teile von Total Commander. Summe von:
1=Startmenü
2=Kommandozeile
4=Buttonbar ändern
8=Laufwerks-Rechtsklickmenü
16=Datei-Rechtsklickmenü
32=Liste oft benutzter Verzeichnisse ändern
64=FTP (STRG+N, STRG+F)
128=ENTER-Taste (Programme starten, Dokumente öffnen)
256=Dateisystem-Plugins
512=Port-Verbindung (via USB oder LPT)
1024=Suche nach Updates deaktivieren (manuell oder automatisch)
2048: Plugins nicht zulassen, außer von uns signierte (ghisler)
4096: Plugins nicht zulassen, außer signierte
6144: Keine Plugins zulassen
8192: Plugin-ini-Dateien nicht in Profil umleiten
ReverseHistory=0 1: Verlauf in umgekehrter Reihenfolge anzeigen (letztes zuoberst)
SameScreenAsTC=1 Dialogboxen bei mehreren Bildschirmen auf selbem Schirm wie TC. Summe von:
1: Modale Dialoge
2: Lister
4: Vergleich
SaveCommands=1 Kommandozeilen speichern beim Beenden?
SaveHistory=1 Liste zuletzt besuchter Verzeichnisse (Alt+Pfeil ab) speichern in [LeftHistory] bzw. [RightHistory]
Savepath=1 Aktuelle Pfade beim Beenden speichern
Savepanels=1 Einstellungen beim Beenden speichern
ScrollingTopMargin=4 Oberer Rand beim Blättern durch Dateilisten mit der Tastatur
ScrollingBottomMargin=4 Unterer Rand
ScrollingMarginFlags=3 1: Vertikal rollen, 2: Horizontal (Ansicht 'Kurz')
SearchInFiles= Zusätzliche Erweiterungen von Archiven, in welchen gesucht werden soll. Bsp: SearchInFiles=*.EXE *.JAR
SearchKeepLast=1 Letztes Suchresultat beim Schließen des Suchen-Dialogs behalten, außer bei "Anwenden"
SelectionFocus=0 Datei im Fokus mit Rahmen umgeben, falls Dateien markiert sind. Wie InactiveFocus.
$4000000 addieren->nur auf nicht markierten Dateien anzeigen
SelectionFocusDark= Wie SelectionFocus, aber für den Dunkelmodus. Falls nicht gesetzt, wird der Wert von SelectionFocus benutzt
SelectionMarker= Rückgabe dieser Zeichen bei LB_GETTEXT (für Screenreader)
SeparateTree=0 Zeige keinen (0), einen (1) oder zwei (2) sep. Verzeichnisbäume
SeparateTreeWidth=160 Breite der separaten Verzeichnisbaumanzeigen
SetArchiveBitOnRename=1 Beim Umbenennen wird das Archivbit gesetzt. '0' verhindert das.
SetEncoding=äö.do.not.remove Verhindert, dass der Editor notepad.exe die Datei beim Bearbeiten automatisch als UTF-8 speichert. Windows unterstützt kein UTF-8 in ini-Dateien.
ShellExtIcons=1 1=Zeigt Icons von Shellerweiterungen (verschiedene Icons pro Datei), 0=nicht anzeigen
ShowAMPM=0 Zeige Zeit im 12-Stundenformat mit AM/PM (USA)
ShowCentury=1 Zeige Jahrhundert des Datums an in den Dateilisten
ShowCopyOptions=0 1: Die zusätzlichen Optionen im F5-Kopierdialog werden immer angezeigt (festgepinnt)
ShowEXEandLNKicons=2 Zeige Icons für EXE- und LNK-Dateien (langsam)
ShowExtraDrives=7 Zeige Extra-Einträge in der Laufwerksauswahlbox. Summe von:
1: Computer
2: Eigene Dateien
4: Externe Geräte ohne Laufwerksbuchstaben, z.B. Smartphones
ShowHiddenDimmed=1 Versteckte Dateien und Ordner mit gedimmter (sehr heller) Farbe anzeigen
ShowHiddenSystemOverlay=1 Versteckte und Systemdateien mit Ausrufezeichen-Overlay anzeigen
ShowHiddenSystem=0 0: Keine von beiden anzeigen
1: Versteckte+Systemdateien anzeigen
2: Nur versteckte anzeigen
3: Nur Systemdateien anzeigen
Showicons=2 Icons: 0=keine, 1=Voreinstellung, 2=alle
ShowInstanceNr=1 Nummeriere Total Commander im Titel, wenn mehr als einer offen
ShowParentDirInRoot=0 Zeigt Vaterverzeichnis [..] auch im Quellverzeichnis (c:\ usw.) an.
ShowWarningIcons=1 Erlaubt das Abschalten der Warnsymbole (Ausrufezeichen) links von vom Benutzer aktivierten Optionen, z. B. im Kopieren-Dialog (Zweigansicht), beim Packen, Entpacken und im Suchen-Dialog
SimulateUpdate=0 Auf 1 setzen, um die Verfügbarkeit eines Updates zu simulieren
SingleClickStart=0 0= Doppelklick startet Programme
1= Ein einzelner Klick startet Programme und öffnet Dateien
2= Ein einzelner Klick öffnet nur Ordner, für Dateien ist ein Doppelklick erforderlich
4 addieren: der Textcursor folgt nicht mehr automatisch dem Mauszeiger
SizeCheck=1 Vor dem Kopieren testen, ob genug Platz vorhanden ist.
SizeFooter=1 Stil der Größenanzeige in Kopf- und Fußzeile:
0=Bytes, 1=kBytes, 2=dynamisch, 3=dynamisch mit 1 Nachkommastelle, 4/5= wie 2 bzw. 3, aber ohne GBytes (Dateien in GByte-Größe werden in MBytes angezeigt), 6/7= wie 2 bzw. 3, aber mit TBytes, 8/9= wie 3 bzw. 7, aber mit 2 Nachkommastellen.
SizeStyle=0 Stil der Größenanzeige in der Dateiliste:
0=Bytes, 1=kBytes, 2=dynamisch, 3=dynamisch mit 1 Nachkommastelle, 4/5= wie 2 bzw. 3, aber ohne GBytes (Dateien in GByte-Größe werden in MBytes angezeigt), 6/7= wie 2 bzw. 3, aber mit TBytes, 8/9= wie 3 bzw. 7, aber mit 2 Nachkommastellen.
SizeStyle1000=0 0: Binäre Einheiten benutzen: 1k=1024bytes, 1M=1024k, 1G=1024M, 1T=1024G
1: Dezimale Einheiten benutzen: 1k=1000bytes, 1M=1000k, 1G=1000M, 1T=1000G
Hinweis: Betrifft nicht den "Eigenschaften"-Dialog, welcher ein Teil von Windows ist, und immer binäre Einheiten verwendet.
SizeTransfer=1 Stil der Geschwindigkeitsanzeige im Kopieren-Fortschrittsdialog. Vorgabe ist der Wert von SizeFooter. Siehe dort für mögliche Werte. Aus Kompatibilitätsgründen werden die Werte 0 und 1 ignoriert, und stattdessen eine automatische Anzeige in Bytes und KBytes abhängig von der aktuellen Geschwindigkeit verwendet.
SkipCharOnCursor=1 Cursorbewegung in Textfeldern bei vorhandener Markierung:
0: Cursor wird vor/hinter Markierung gestellt
3: Cursor bewegt sich, als ob keine Markierung vorhanden war (Windows-Standard)
1/2: Wie 3, aber separat für Pfeiltaste links bzw. rechts
SkippedFileCopy=1 1: Erst alle Dateien kopieren, bei denen der Benutzer nicht wegen Überschreiben etc. gefragt werden muss, erst am Ende fragen
0: Alle Dateien in ihrer Reihenfolge kopieren, wenn nötig Benutzer fragen
>=100: Wie 1, aber setzt Länge in Millisekunden beim Start der Operation, während der der Benutzer auch gefragt wird (Vorgabe: 5000)
Small83names=0 Zeige DOS-Dateinamen (8 Name und 3 Erweiterung) in Kleinbuchstaben, wie beim Explorer von Win9x
SortDirExt=0 Erlaube die Sortierung von Verzeichnissen nach Erweiterung (nur wenn SortDirsByName=0)
SortDirsByName=1 Verzeichnisse immer nach Namen sort.
SortUpper=0 0: Standard-Sortiermethode
1: Beim Sortieren den Unterstrich _ zuletzt einsortieren
2: Verwende gemischte Suche, lexikalisch+numerisch, z. B. datei10.txt NACH datei1.txt
3: Wie 2, aber benutzt StrCmpLogicalW für den Vergleich. Benötigt IE 6.0!
SoundDelay=-10 Minimale Zeit (in Sekunden), die eine Dateioperation dauern muss, damit der Klang am Ende abgespielt wird. Negativ=deaktiviert
SpaceMovesDown=0 1= Beim Markieren mit der <LEERTASTE>, gehe zur nächsten Datei (wie mit <EINFÜGEN>)
SpecialCursorMovement=0 Neuer Cursorbewegungsmodus. Summe der folgenden Optionen:
1: Pfeil nach links springt zur ersten Datei, rechts zur letzten
2: Pfeil nach links wechselt 1 Verzeichnis höher, rechts öffnet Verzeichnis/Archiv unter Cursor
4: Benutze den neuen Cursorbewegmodus auch in benutzerdef. Ansichten mit horizontalem Rollbalken. Falls nicht gesetzt, springt Pfeil nach links nur dann zur ersten Datei, wenn sich der Rollbalken bereits ganz links befindet.
8: Springe um eine Seite nach oben/unten statt an Anfang/Ende
SpeedLimit=5.0 Zuletzt benutzte Geschwindigkeitslimite in kBytes/s im Hintergrund-Transfermanager
SpeedLimitEnabled=0 1: Limite sofort beim Öffnen des Hintergrund-Transfermanagers aktivieren
SplitBytesPerFile=0 Zuletzt benutzte Grösse (in Bytes) in Dateien - Datei aufspalten
StartupScreen=1 Splashscreen beim Start anzeigen
SubDirCopyOrder=4 Kopierreihenfolge von Dateien in Unterverz.
4:unsortiert
0..3: Aufsteigend nach Name/Erw./Größe/Datum
-1..-4: Absteigend nach " "
5: Wie im aktiven Fenster (ohne Plugins)
SyncButtons=63 Speichert Status der Buttons von 'Verz. synchronisieren', Summe von:
1: Links nach rechts
2: Gleiche Dateien
4: Ungleiche Dateien
8: Rechts nach links
16: Doppelte (auf beiden Seiten vorhanden)
32: Einzelne (nur auf einer Seite vorhanden)
SyncFlags=1 Behält die letzten Einstellungen von 'Verz. synchronisieren'. Folgende Werte werden addiert:
1: Unterverzeichnisse einschließen
2: Vergleich nach Inhalt
4: Datum der Dateien ignorieren
8: Asymmetrischer Modus
16: Leere Verzeichnisse
32: Plugin-Vergleichsfunktionen (2 muß auch gesetzt sein)
SyncHideHiddenSystem=0 Erlaubt es, versteckte und Systemdateien vom Synchronisieren auszuschließen:
0: versteckte und Systemdateien nicht ausschließen
1: Ausschließen, falls beide Dateien links+rechts mindestens eines der Attribute haben
2: Ausschließen, falls mindestens eine der Dateien eines der Attribute hat
4 addieren: Einstellungen für versteckte und Systemdateien im Hauptprogramm beachten
SyncIgnoreJunctions=0 0: Auch Verbindungen (Junctions, reparse points) zu Verzeichnissen folgen
1: Junctions vom Synchronisieren ausschließen
Warnung: Falls ein Verzeichnis mit demselben Namen wie der Link im Zielverzeichnis existiert, sieht es so aus, als würden die Dateien nur auf jener Seite existieren, weil die Junctions im Quellverzeichnis ausgeschlossen wurden!
SyncMatch=1 Optionen des Knopfes [1x]
SyncRecompareAfterCopy=1 1: Nach dem Synchronisieren die beiden Seiten wieder vergleichen
0: Vergleichsliste nur löschen. Der Benutzer muss selbst auf "Vergleichen" klicken
SyncWarnErrors=1 Synchronisieren: Legt fest, wann der Benutzer gewarnt wird, wenn der Zugriff auf Verzeichnisse fehlschlägt oder verweigert wird:
0: nie
1: wenn das Einlesen fehlschlägt (z. B. bei Verbindungsverlust)
2: wenn der Zugriff verweigert wird (Fehler 5, z. B. fehlende Rechte)
3: beides
TabDir= Ort merken, wo Ordnertabs zuletzt gespeichert/geladen wurden
TabEnterDirChange=1 Resultat wenn der Benutzer ENTER drückt bei einem Verzeichnis auf einem gesperrten Ordner-Tab:
0: nichts
1: neuen Tab öffnen
2: Benutzer fragen
TabFullColor=0 0: Tabreiterfarbe von Ansichtsmodus als Gradient anzeigen
1..100: Tabreiterfarbe als Vollfarbe angezeigen, mit der Tabfarbe gemischt mit 1% bis 100%
TabSeparator=: Trennzeichen zwischen Laufwerk und aktuellem Ordner in der Tabzeile
TabSwitchMode=0 0: Strg+Tab wechselt Tabs erst beim Loslassen der STRG-Taste
1: Strg+Tab wechselt Tabs bei jedem Drücken der Tabulatortaste
tcmatch= Ort der Datei tcmatch.dll. Muss den kompletten Pfad+Dateinamen enthalten, unterstützt Umgebungsvariablen. tcmatch.dll wird für benutzerdef. Schnellsuche benutzt, z. B. nach chinesischen Zeichen.
tcmatch64= Wie oben, für 64bit-Version.
Test= Test, ob die ini-Datei verändert werden kann (sonst Fehlermeldung).
TestIfSharedDir=1 Test, ob ein Verzeichnis im Netzwerk freigegeben ist ->.wird mit einer Hand unter dem Icon angezeigt
0: deaktiviert
1: neue Methode mit NetShareEnum in Hintergrund-Thread
2: alte, langsamere Methode (TC 8.50 und älter) via OLE2
ThreadFindFirst=1 1: Die Funktion FindFirstFile wird im Hintergrund ausgeführt, sodass man das Einlesen von Verzeichnissen bei einer hängenden Netzwerkverbindung abbrechen kann.
ThumbExplTypes=*.* | *.htm *.html Suchstring für Miniaturbilder, die mit der Explorermethode extrahiert werden. HTML-Dateien sicherheitshalber ausgeschlossen, da sie mit dem Internet Explorer extrahiert würden.
ThumbGdiplusTypes= Suchstring für Miniaturbilder, welche mit der internen Methode als Bilder über GDI+ geladen werden
ThumbHeightNoCache= Höhe der Miniaturbilder, falls kein Cache benutzt wird
ThumbIconSize=48 Grösse der Symbole im Modus "Miniaturansicht"
ThumbIrfXnTypes=*.* Suchstring für Miniaturbilder, welche mit Irfanview oder Xnview extrahiert werden
ThumbOptions=15 Summe der folgenden Optionen: Extrahiere:
1: Miniaturbilder mit der Explorermethode
2: Miniaturbilder mit Listerplugins
4: Miniaturbilder mit Irfanview/Xnview (Pfad im Lister konfiguriert)
8: Miniaturbilder als reinen Text
16: Umgekehrt: Addieren, um Bilder aus EXIF-Daten zu deaktivieren
ThumbPlgTypes=*.* Suchstring für Miniaturbilder, welche mit Listerplugins extrahiert werden.
ThumbsCopyDel=1 Kopiere/Lösche Miniaturbilder mit Dateien beim Kopieren/Löschen von Dateien
ThumbsCustomField= Benutzerdefinierte Felder, die unter den Miniaturbildern angezeigt werden sollen
ThumbsCustomFieldsEnabled=1 Zeige benutzerdef. Felder unter den Suchstrings
ThumbsInDlg=0 Zeige Miniaturbilder im Überschreiben-Dialog
ThumbsLocation= Ort des Miniaturbildercache
ThumbTxtTypes=*.txt *.ini Suchstring für Miniaturbilder, welche als reiner Text extrahiert werden.
ThumbnailMemoryLimit=500 Anzahl Vorschaubilder (für Miniaturansicht) im Speicher. Vorgabe: 200 unter Windows 9x/ME, 500 unter NT/200/XP, Minimum: 100.
ThumbnailPrealloc=100000 Anzahl Bytes, die beim Anlegen der Datenbank für die Miniaturansicht vorbelegt werden sollen (reduziert Fragmentierung).
ThumbWidthNoCache= Breite der Miniaturbilder, falls kein Cache benutzt wird
Tips=3 Tooltips 1=Buttons, 2=neben Laufwerk, 3=beide
TitleExtraText= Extra-Text in der Titelzeile anzeigen:
*text vor dem regulären Titel,
-text dasselbe, aber ohne Instanznummer (bei mehreren Programmen)
$text hinter dem Titel anzeigen
ToolTipDelay=500 Zeitverzögerung in Millisekunden, bis Erklärungen zu den Buttons im Buttonbar angezeigt werden
TranslateMessageButtons=1 1: Knöpfe im Standard MessageBox-Dialog übersetzen (z.B. beim Löschen mit Umsch+Entf)
0: Verwendet die Sprache des Systems. Im Dunkelodus wird immer übersetzt.
TrayIcon=0 Minimierten Total Commander in Systembereich (Tray) verschieben
Tree=0 Baum unsortiert/sortiert anzeigen
TreeFileLocation= Ort der Datei treeinfo.wc, z. B. treefilelocation=c:\somedir\treeinfo%D%.wc
%D% wird ersetzt durch den Laufwerksbuchstaben (bzw. Wurzelverzeichnis der Freigabe)
%R% wird ersetzt durch das Wurzelverzeichnis.
%L% wird ersetzt durch den Laufwerksnamen.
Achtung: Diese Variablen müssen GROSS geschrieben werden, sonst sucht TC nach so benannten Umgebungsvariablen!
TreeFileLocationE= Ort der Datei treeinfo nur für Laufwerk E. Funktioniert nur, falls treefilelocation= auch gesetzt ist!
TreeFileLocation__server_share= Ort der Datei treeinfo für \\server\share (treefilelocation= MUSS auch gesetzt sein).
TreeUpdateLimit=2048 Größe (in kBytes), bis zu welcher die Verzeichnisbaumdatei treeinfo.wc bei Dateioperationen wie Kopieren und Löschen automatisch nachgeführt werden soll. Bei sehr großen Verzeichnisbäumen würde dieses Update sehr lange dauern.
tsclient=\\tsclient Bestimmt den Namen des entfernten Hosts, von welchem Laufwerksbuchstaben in der Laufwerksliste und im Laufwerks-Buttonbar angezeigt werden sollen. Nur 1 Zeichen lange Freigaben werden angezeigt. Zum Deaktivieren auf leeren String setzen (tsclient=).
UnicodeListWarn= Diese Option wird in TC 7.5 oder neuer nicht mehr benutzt
UpdateEnv=3 Legt fest, ob die Umgebungsvariablen des Systems bei deren Änderung sofort in TC übernommen werden sollen (nur Windows NT/2000/XP/Vista..11). Summe von:
1: Schaltet Funktion ein/aus
2: Nimmt auch neu hinzugekommene Variablen auf (nicht nur bestehende anpassen)
UpdateTreeAtStartup=1 Legt fest, ob ein separater Verzeichnisbaum bereits beim Start bis zum aktuellen Verzeichnis geöffnet wird (1), oder erst beim ersten Verzeichniswechsel durch den Benutzer (0).
UsbBufSize=-1 Puffergröße für die USB-Verbindung in kBytes (-1=max. mögliche Größe verwenden, zzt. 64 kBytes)
UseChecksumCryptoApi=1 Manuelles Aktivieren/Deaktivieren der Krypto-API-Funktionen für Prüfsummen:
0: deaktiviert (langsame interne Funktionen verwenden),
1: aktiviert (außer wenn defekt auf XP / 2003),
2: erzwingen, auch wenn fehlerhaft
UseEverything=1 Das Programm "Everything" zum Suchen benutzen (-1=verstecken, 1=aktiviert, falls vorhanden, 0=deaktiviert)
UseEverythingInstance= Benannte "Everything"-Instanzen benutzen: gestartet via Everything.exe -instance "somename"
UseFastCtrlC=1 Wenn Strg+C oder Strg+X gedrückt wird, lädt TC das Kontextmenü und übergibt den Befehl.
1: Nur interne Befehle werden geladen
0: Komplettes Kontextmenü inkl. Explorer-Erweiterungen
UseFindForTime=1 Beim Kopieren FindFirstFile statt GetFileTime verwenden, um Dateidatum zu bestimmen
UseIniInProgramDir=0 Diese Variable wird nur gelesen, wenn sie sich in der Datei wincmd.ini im selben Verzeichnis wie das Programm befindet.
Sie ist die Summe der folgenden Werte:
1: Benutze wincmd.ini im Programmverzeichnis, falls kein anderer Ort über Registry oder Kommandozeilenparameter festgelegt wurde
2: Benutze wcx_ftp.ini im Programmverzeichnis (sonst wie 1)
4: Übergehe Einstellungen in der Registry
UseLongNames=1 Lange Dateinamen verwenden
UseNewDefFont=-1 1: Schrift "Segoe UI Halbfett" verwenden, falls verfügbar
0: Schrift "Microsoft Sans Serif" verwenden, bzw. "MS Sans Serif" falls erstere nicht verfügbar
-1: Falls Abschnitt [Configuration] nicht existiert, wie 1 (neue Installationen), sonst wie 0 (bisherige Installationen)
UseRightButton=1 Benutze rechte Maustaste zum Markieren
UseRubberBandSelection=1 Benutze Gummiband-Markierung im Modus "Linke Maustaste" (Rechteck aufziehen)
UseShellConnect=0 Falls =1, verwende alte Methode zum Verbinden mit Netzlaufwerken (Workaround für VINES)
Falls =-1, zeige separate Benutzer- und Passwort-Dialoge (bei Crash wegen NVIDIA-Treiber)
UseTrash=1 Benutze Papierkorb von Windows (falls aktiviert)
UseWindowsHello=0 Hauptpasswort sicher mit Windows Hello speichern bis TC beendet
VerifyCopy=0 Verifiziere Dateien nach dem Kopieren (alle Kopiermethoden außer "Explorer")
VerifyEnabled=1 0: Funktion "Verifiziere Dateien nach dem Kopieren" zu verstecken
Version= Version von Total Commander (nicht immer angepasst)
VersionInOverwrite=1 Zeigt Dateiversionsinfo im Überschreibendialog. Sollte bei langsamen Netzwerken auf 0 gesetzt werden.
Viewer=none Viewer für ALT+F3
Viewertype=1 0=Intern/aktuelle Datei 1=markierte 2=extern
VirtualFolderDetails=1 Anzeigen/Verstecken von Datei-Größe und Datum/Zeit in virtuellen Ordnern wie MTP-Geräten oder Bibliotheken (kann langsam sein)
VistaDelete=-1 1: Löschmethode von Windows Vista oder neuer benutzen, um Dateien in den Papierkorb zu löschen. Verschiebt komplette Verzeichnisse statt einzelne Dateien in den Papierkorb. Warnung: Diese Methode warnt nicht, wenn Dateien mit Attribut nur lesen, versteckt oder System oder nicht-leere Verzeichnisse gelöscht werden, genau wie im Explorer!
0: Die alte Löschmethode benutzen (langsam)
-1: Neue Methode benutzen, aber eigenen Bestätigungsdialog zeigen, falls im Explorer deaktiviert.
WantXPLook=1 Nur unter Windows >=XP, 32bit: Zeigt Buttons im Hauptfenster
0: im klassischen Stil
1: im XP-Stil.
WantZoneData=7 Speichert Zone-Transfer-Daten in NTFS-Stream:
1: aktiv
2: Internet-http
4: Anonymes ftp
8: ftp mit Login
16: Intranet-http
WarnMissingExtensions=1 Warnen, wenn in virtuellen Ordnern wie bei Android-Telefonen keine Dateierweiterungen angezeigt werden.
WarnSearchText=1 1: Warnen, wenn Suchtext nicht nach ANSI/ASCII konvertiert werden kann
0: Nicht warnen
-1: Betroffene Suchmethoden abschalten
2: Kombination aus 1 und -1
WatchDirs=0 Steuert die Funktion automatischer Verzeichnisupdates. Diese erkennt, wenn Programme außerhalb von Total Commander Dateien anlegen, verändern oder löschen. Summe folgender Zahlen:
1: Funktion einschalten
2: Auch Änderungen von Größe, Datum und Attributen erkennen.
4: Neue Dateien ans ENDE der Liste anfügen (sonst: einsortiert)
8: Nur auf Änderungen reagieren wenn im Vordergrund
16: Fußzeile updaten (totale Anzahl)
32: Kopfzeile updaten (freier Plattenplatz)
256: Erzeuge einen Standard-Piepton bei jedem Update
WatchDirsExclude=AB\ Diese Laufwerke nicht auf Änderungen überwachen, falls WatchDirs= eingeschaltet ist.
Nützlich z. B. um automatisches Einlesen bei langsamen Laufwerken zu deaktivieren.
Win32TipWindows=0 Zeige Win32-artige Tippfenster (mit Details). Wenn nicht festgelegt, wird standardmäßig der Wert von FileTipWindows verwendet.
Win95Delete= Benutzte Löschmethode:
0: Eigene Funktion zum Löschen von Dateien (am weitgehendsten konfigurierbar)
1: Benutze die Funktionen des Explorers zum Löschen
-1 (Standardeinstellung): Wenn Cleansweep läuft, verwende die Methode des Explorers, um einen Crash von Windows verhindern (verursacht durch eine Inkompatibilität zwischen Cleansweep und der Löschmethode von Total Commander). Wenn Cleansweep nicht läuft, verwendet Total Commander seine eigene Funktion.
Wsock32=c:\windows\wsock32.dll Ort der Windows-Socket-Bibliothek für FTP
WipeDir= Pfad zum TEMP-Verzeichnis von TC (zum Löschen wenn TC geöffnet wird)
Ignoriert, falls es nicht $wc oder (in TC7) \_tc enthält.
WmfAllowed=0 0: WMF-(Windows Metafile)-Dateianzeige ist deaktiviert. Deaktiviert auch die Anzeige von Ordner-Miniaturbildern.
1: Erlaube das Anzeigen von WMF-Bildern im Lister und der Miniaturansicht.
2: Erlaubt die Anzeige von Ordner-Miniaturbildern (können WMF-Dateien enthalten)
3: Zeigt WMF-Dateien und Ordner-Miniaturbilder
-1: Falls der Windows-Patch installiert ist, werden Ordner-Miniaturbilder wieder angezeigt. WMF-Dateien werden aber nicht angezeigt, weder im Lister noch als Miniaturbilder.
WMF wurde wegen eines schweren Sicherheitslochs in Windows deaktiviert.
x64DisableRedirection=0 1: Deaktiviert die Umleitung des Verzeichnisses windows\system32 auf windows\syswow64 unter 64-bit Windows-Versionen. Kann diverse negative Auswirkungen haben, etwa das Nicht-Funktionieren von bestimmten Plugins.
X64menu= 'x64'-Untermenü im Kontextmenü ('x32' in 64-bit-Version), Standard =1 nur in 32-bit
X64WaitTime=15 Max. Wartezeit in Sekunden, bis tcmdx64.exe das X64-Untermenü unter 64-bit Windows zurückliefern muss, bevor eine Fehlermeldung angezeigt wird.
XPMoveMethod= 1: Beim Verschieben innerhalb eines Laufwerks werden die Permissions des Zielordners genommen
2: Wie 1, aber die Permissions werden auch auf Dateien und Unterverzeichnisse in verschobenen Verzeichnissen übertragen
0: Die Permissions der Datei werden beibehalten
Voreinstellung: XP:1, andere Systeme: 0
XPMoveMethodAdmin=1 Wie XPMoveMethod, aber fürs Verschieben "Als Administrator" via tcmadmin.exe
Voreinstellung ist immer 1
ZipMagic=0 Überspringe ZipMagic-Erkennung beim Öffnen von ZIP-Dateien
Zu Teil 1: [Configuration] A-M
Zu Teil 3: Restliche Abschnitte


Ini-Datei Einstellungen - Teil 3

Aufbau der Datei wincmd.ini (Teil 3)
Zurück zur Übersicht
[shortcuts] Definiert Tastenkürzel, welche die Standard-Tastenkürzel ersetzen
CAS+F2=cm_renameonly In diesem Beispiel ruft ein Druck auf Strg+Alt+Umsch+F2 (Strg+Alt+Shift+F2) die interne Funktion cm_renameonly auf.
(C=Strg(Ctrl), A=Alt, S=Umschalt(Shift))
[shortcutswin] Wie [shortcuts], aber zusammen mit der Windows-Taste.
[packerplugins] Listet alle konfigurierten Packerweiterungen (siehe Konfigurieren - Packer)
bz2=27,c:\totalcmd\bzip2dll.dll Erweiterung für bzip2-Packer. 27 ist die Summe aller DLL-Fähigkeiten:
1: Kann neue Archive erzeugen
2: Kann bestehende Archive ändern
4: Mehrere Dateien in einem Archiv erlaubt
8: Kann Dateien aus Archiv löschen
16: Unterstützt den Optionendialog
32: Unterstützt Packen im Speicher
64: Erkenne Archivtyp nach Inhalt
128: Erlaubt die Suche nach Text in diesen Archiven
256: Archiv nicht mit Enter öffnen, nur mit Strg+BildAb
512: Unterstützt Verschlüsselung
Setzen Sie diese Zahl nicht von Hand - Total Commander setzt sie automatisch beim ersten Laden der DLL!
[Alias] Alias-Befehlsdefinitionen aus Konfigurieren - Diverses
[AllResolutions] Wird benutzt, falls ResolutionSpecific=0. Siehe Abschnitt [1024x768 (10x20)]
Wird auch dann für die aktuellen Schriften benutzt, falls es keinen Abschnitt für die aktuelle Auflösung gibt
[Associations] Erlaubt es, systemweite Dateiverknüpfung nur im Total Commander durch andere zu ersetzen, hauptsächlich gedacht für das Starten des Programms ab USB-Stick.
Filter1=*.txt Erster benutzerdefinierter Verknüpfungsfilter. Filter werden in der nummerierten Reihenfolge abgearbeitet, bis der erste zutrifft
Filter1_open=""%windir%\notepad.exe" "%1""
Das Standardverb (open) für diesen Filter. Wird benutzt, wenn der Benutzer ENTER drückt. Verben sind vom Filter durch einen Unterstrich "_" getrennt.
Filter1_Ansehen=""%commander_path%\totalcmd.exe" /S=L "%1""
Zusätzliches Verb (hier: Ansehen) welches im Rechtsklickmenü angezeigt wird
Filter1.icon=notepad.exe,-1 Setzt das Symbol für den ersten Filter. Negative Zahlen bedeuten den Symbolindex, positive die Ressourcennummer
Filter2=*.ini Der zweite benutzerdefinierte Filter
usw.
[1024x768 (10x20)] Bildschirmauflösungsabhängige Daten
x= x-Position von Total Commander beim Aufstarten
y= y-Position
dx= Größe (x) beim Aufstarten
dy= Größe (y) beim Aufstarten
Divider=500 Position der Fenstertrennlinie in Promille (0..1000)
DividerQuickView=500 Position der Fenstertrennlinie in Promille während der Darstellung der Schnellansicht (STRG+Q). Die beiden Werte lassen sich getrennt einstellen, indem man 'Position speichern' im jeweiligen Modus wählt (mit oder ohne Schnellansicht).
CompareDivider=500 Position der Fenstertrennlinie in Promille in "Vergleich nach Inhalt"
ExtraDriveHeight=0 Macht die die Schaltflächen der Laufwerksleiste um die angegebene Anzahl von Pixeln höher
ExtraDriveHeight_dpi= Bildschirmauflösung in Punkten pro Zoll, bei der ExtraDriveHeight gespeichert wurde. Wird verwendet, um die Extra-Breite der Laufwerksbuttons dynamisch zu skalieren, wenn das Fenster zwischen Bildschirmen mit unterschiedlichen dpi bewegt wird
ExtraDriveHeight_120=0 Wie ExtraDriveHeight, aber für sekundäre Bildschirme mit spezifischem DPI-Wert
ExtraDriveWidth=0 Macht die die Schaltflächen der Laufwerksleiste um die angegebene Anzahl von Pixeln breiter
ExtraDriveHeight_dpi= Bildschirmauflösung in Punkten pro Zoll, bei der ExtraDriveWidth gespeichert wurde. Wird verwendet, um die Extra-Höhe der Laufwerksbuttons dynamisch zu skalieren, wenn das Fenster zwischen Bildschirmen mit unterschiedlichen dpi bewegt wird
ExtraDriveWidth_120=0 Wie ExtraDriveWidth, aber für sekundäre Bildschirme mit spezifischem DPI-Wert
Fontname=(unterschiedlich) Schrift in der Dateilistbox. Standard:
Windows Vista oder neuer: Segoe UI Semibold
Ältere Windows NT-basierende Systeme: Microsoft Sans Serif
Windows 9x/ME: MS Sans Serif
Fontsize=8 Schriftgröße in der Dateilistbox. Standard bei Segoe UI Semibold: 9
FontWeight=700 Gewichtung (400=Normal, 600=Halbfett, 700=Fett)
FontNameWindow= Schrift im Rest des Fensters. Vorgabe: Fontname
FontCharset=1 Schrift-Zeichensatz (Western, Kyrillisch etc) der Listenschrift. Nicht benutzt unter NT-basierten Windows-Versionen.
FontSizewindow= Schriftgröße im Rest des Hauptfensters
FontWeightWindow= Gewichtung im Rest des Hauptfensters
FontCharsetWindow=1 Schrift-Zeichensatz im Rest des Hauptfenster. Nicht benutzt unter NT-basierten Windows-Versionen.
FontNameDialog= Schrift in Dialogboxen. Vorgabe: Microsoft Sans Serif fals vorhanden
FontSizeDialog= Schriftgröße in Dialogboxen
FontWeightDialog= Gewichtung in Dialogboxen
FontCharsetDialog=1 Schrift-Zeichensatz in Dialogboxen. Nicht benutzt unter NT-basierten Windows-Versionen.
FontNameTip= Schrift in Tipp-Fenstern
FontSizeTip= Schriftgröße in Tipp-Fenstern
FontWeightTip= Gewichtung in Tipp-Fenstern
FontCharsetTip= Schrift-Zeichensatz in Tipp-Fenstern. Nicht benutzt unter NT-basierten Windows-Versionen.
CompFontName= Schrift in "Vergleich nach Inhalt"
CompFontSize= Schriftgröße in "Vergleich nach Inhalt"
CompFontStyle= Gewichtung in "Vergleich nach Inhalt"
CompCharSet= Schrift-Zeichensatz in "Vergleich nach Inhalt". Nicht benutzt unter NT-basierten Windows-Versionen.
CursorPenWidth=0 Breite in Pixeln der Einfügemarke (aktueller Dateicursor) in Dateilisten festlegen:
0 = dünn,
> 0 Wert in Pixel, automatisch skaliert mit DPI
CursorPenWidth_96=0 Breite in Pixel der Einfügemarke (aktueller Dateicursor) in Dateilisten für sekundäre Bildschirme mit spezifischem DPI-Wert festlegen Creators-Update oder neuer von Windows 10 erforderlich)
IconsInMenus_<dpi>=0 Icon-Größe im Hauptmemü für einen bestimmten DPI-Wert:
0=16x16, 1=24x24, 2=32x32, 3=48x48 Bildpunkte
Iconsize=10 Icon-Größe für 16-bit Version (in Punkten)
Iconsize32=16 Icon-Größe für 32-bit+64-bit-Version (in Pixeln)
Iconsize32_dpi= Bildschirmauflösung in Punkten pro Zoll, bei der Iconsize32 gespeichert wurde. Wird verwendet, um Symbole (Icons) dynamisch zu skalieren, wenn das Fenster zwischen Bildschirmen mit unterschiedlichen dpi bewegt wird
Iconsize32_<dpi>=16 Icon-Größe für 32-bit+64-bit-Version (in Pixeln) für einen bestimmten DPI-Wert (mehrere Bildschirme)
IconWin95=0 Erzwingt kleine Symbole in Standardgröße
maximized=0 0=Normal, 1=maximale Größe beim Aufstarten
monitor(x,y,dx,dy;dpi)=x,y,dx,dy Position und Größe des Fensters, separat gespeichert für mehrere Monitore (im Abschnitt für den Hauptmonitor). Die Werte in Klammern sind Position, Größe und Punkte pro Zoll des Monitors.
RenameTabs=<5 Werte> Tabulatoren für das Mehrfach-Umbenenntool, durch Kommata getrennt: Erweiterung, Neuer Name, Größe, Datum, Verzeichnis
SyncTabs=<6 Werte> Tabulatoren für Verzeichnisse synchronisieren, durch Kommata getrennt: Größe, Datum, Richtung, Datum, Größe, rechter Name
Tabstops=104,109,158,58,374,93 Tab-Positionen: Größe, Datum/Zeit, Attribute, Erweiterung, Kommentar, Fensterbreite, Grösse minus Erweiterung (nur wenn Erweiterung direkt hinter Namen angezeigt wird)
ThumbScaleFactor=100 Vergrösserungsfaktor für Vorschaubilder in der Miniaturansicht in Prozenten, zwischen 10% und 200%. Veränderbar mit Strg+Mausrad oder internen Befehlen cm_ZoomIn und cm_ZoomOut
ThumbScaleFactor_dpi Bildschirmauflösung in Punkten pro Zoll, bei der ThumbScaleFactor gespeichert wurde. Wird verwendet, um Vorschaubilder dynamisch zu skalieren, wenn das Fenster zwischen Bildschirmen mit unterschiedlichen dpi bewegt wird
ThumbScaleFactor_<number> ThumbScaleFactor für einen Zweitbildschirm mit unterschiedlichen dpi, z.B. ThumbScaleFactor_120=50 skaliert die Thumbnails auf 50 % auf einem sekundären Bildschirm mit 120 dpi. Hat Vorrang vor ThumbScaleFactor_dpi.
Btm*= Koordinaten und weitere Angaben für den Hintergrund-Transfermanager (F5-F2)
CmdSel*= Koordinaten und weitere Angaben für das Fenster "Befehl wählen"
Compare*= Dasselbe für das Vergleichsfenster
Connect*= Dasselbe für "FTP verbinden"
CustColumn*= Dasselbe für den Dialog "Benutzerdefinierte Spalten"
DriveSel*= Dasselbe für den Dialog "Laufwerke auswählen" in der Suchfunktion. Hinweis: x und y sind relativ zur oberen linken Ecke des Suchdialogs.
MenuChange*= Startmenü-Dialog
PluginSel* Für Dialog 'Plugineingenschaft wählen', z.B. via Mehrfach-Umbenenntool, Klick auf '[=?] Plugin'
Print*= Druckansicht
Rename*= Umbenenndialog
Search*= Suchen-Dialog
SelectDuplicates*= Markieren-Dialog zum Markieren von doppelten Dateien
Sync*= Verzeichnisse synchronisieren
TreeDlg*= Baumansicht
[left] Linkes Fenster (analog rechtes Fenster)
path=D:\TPW\ Letztes aktives Verzeichnis
ShowAllDetails=1 0=Nur Dateinamen, 1=Alle Angaben, 2=Baum
show=1 1=Alle, 2=nur Programme, 3=Benutzerdefiniert
SpecialView= 1=Kommentare, 2=Miniaturansicht, oder Nummer der benutzerdefinierten Spaltenansicht+2, benutzt wenn der Wert von ShowAllDetails=1 ist. Wird separat gespeichert, um Probleme mit älteren Versionen von Total Commander zu vermeiden.
sortorder=0 Sortierung nach 0=Name, 1=Erweiterung, 2=Größe, 3=Datum, 4=Unsortiert
customsortorder=0 Sortierung nach benutzerdefinierter Spalte (im benutzerdef. Spaltenmodus), 100=erste benutzerdefinierte Spalte, 101=zweite etc.
Negative Sortorder=0 8Absteigend sortiert (1)
AddSortOrders= Zusätzliche Sortierreihenfolgen. Beispiel: 1,-3,2 bedeutet zusätzlich nach der 1. Spalte aufsteigend, 3. Spalte absteigend und 2. Spalte aufsteigend sortieren (Zählung beginnt bei 1).
userspec=*.wav Benutzergewählte Dateierweiterung
ViewMode=-1 Ansichtsmodus des aktiven Tabs. -1 oder 10001 bedeutet neu einlesen
AutoViewMode=-1 Automatisch ermittelter Ansichtsmodus (Auto Modus Wechseln), falls der Benutzer den Modus manuell geändert hat. Der vom Benutzer gesetzte Modus wird unter "ViewMode" gespeichert. Er wird beibehalten, solange der automatisch ermittelte Modus dem hier gespeicherten entspricht.
ActivePanelColor= Hintergrundfarbe des aktiven Ordner-Tabs (Dateiliste)
ActivePanelColorDark= Hintergrundfarbe des aktiven Ordner-Tabs (Dateiliste) für Dunkelmodus
ActivePanelColor2= Sekundäre Hintergrundfarbe des aktiven Ordner-Tabs (Dateiliste)
ActivePanelColorDark2= Sekundäre Hintergrundfarbe des aktiven Ordner-Tabs (Dateiliste) für Dunkelmodus
[Colors] Farben
InverseCursor=0 Zeige Cursor als ausgefülltes Rechteck (1)
InverseSelection=0 Zeige markierte Dateien als ausgefülltes Rechteck (1)
BackColor=-1 Hintergrundfarbe (RGB: Rot+256*Grün+65536*Blau, je im Bereich 0..255. Oder hex: $BBGGRR)
BackColor2=-1 Hintergrundfarbe 2, wenn Farben abwechselnd für gerade/ungerade Zeilen verwendet werden
ForeColor=-1 Vordergrundfarbe
MarkColor=255 Markierfarbe
ActiveTabColor=-1 Farbe des aktiven Tab festlegen, RGB-Wert, -1=deaktiviert
CursorColor=-1 Cursorfarbe
CursorText=-1 Cursortextfarbe (nur bei ausgefülltem Cursor)
ActiveTitle=-1 Farbe der Titelzeile des aktiven Dateipanels
ActiveTitleText=-1 Farbe des Texts in der Titelzeile des aktiven Dateipanels
InactiveTitle=-1 Farbe der Titelzeile des inaktiven Dateipanels
InactiveTitleText=-1 Farbe des Texts in der Titelzeile des inaktiven Dateipanels
ThemedCursor=-100 1: Benutze Windows-Thema für Cursor
0: Thema nicht verwenden
-100: Automatisch: Nur verwenden, wenn InverseCursor=0 und WindowBlinds nicht installiert
ThumbnailFrame=-1 Setzt die Farbe des Rahmens um Vorschaubilder: RGB-Wert, oder -1=Standard, oder -2=unsichtbar
TreeLineColor=-1 Farbe der Verbindungslinien im Verzeichnisbaum in den Dateifenstern, dem separaten Verzeichnisbaum, dem CD-Verzeichnisbaum (Alt+F10) und dem FTP-Verbindungsdialog.
RGB-Wert, oder -1=Standard, oder -2=unsichtbar
TreeTriangles=-1 Symbole zum Baum ein-/ausklappen
0: [+]
1: Dreieck
-1: Auto
ColorFilterN= Suchstring des Filters, etwa *.txt
ColorFilterNColor= Farbe des Filters (RGB: Rot+256*Grün+65536*Blau)
ColorFilterNColorDark= Farbe des Filters für den Dunkelmodus, gefolgt von der Farbe für den Normalmodus, durch Komma getrennt. Erlaubt das Finden von falschen Einträgen, falls die Farben mit einer älteren Version geändert wurden.
CompareText Dateivergleich, Textmodus: Farbe der Unterschiede
CompareTextSel dito, aber bei markiertem Text
CompareBinary Dateivergleich, Binärmodus: Farbe der Unterschiede
CompareBinarySel dito, aber bei markiertem Text
CompareDifferenceBack=-2 Hintergrundfarbe für Zeilen mit Unterschieden:
-1=Gleiche Farbe wie Zeilen ohne Unterschiede
-2=minimal heller bzw. dunkler (je nach Hintergrundfarbe)
sonst=RGB-Farbwert
CompareNormalBack=-1 Hintergrundfarbe für Zeilen ohne Unterschiede. -1=Standard: COLOR_WINDOW
CompareNormalText=-1 Textfarbe für Zeilen ohne Unterschiede. -1=Standard: COLOR_WINDOWTEXT
CompareSearchLine=-1 Farbe für unterstrichene Suchresultate
CompareSelBack=-1 Hintergrundfarbe für markierten Text. -1=Standard: COLOR_HIGHLIGHT
CompareSelText=-1 Textfarbe für markierten Text. -1=Standard: COLOR_HIGHLIGHTTEXT
SyncSelBack=-1 Synchronisieren: Hintergrund für markierte Zeilen
[ColorsDark] Farben für Dunkelmodus
DarkForeground Textfarbe für Buttons, Tabs usw.
DarkBackground Hintergrundfarbe für Fenster
DarkHighlight Hervorhebungsfarbe, u.a. für Tabs, Buttons usw.
DarkBorder Randfarbe für Eingabefelder und Rahmen
Die folgenden Einträge sind gleich wie im Abschnitt [Colors], aber für den Dunkelmodus:
InverseCursor, ThemedCursor, InverseSelection, BackColor, BackColor2, ForeColor, MarkColor, CursorColor, CursorText
[IgnoreMenuExtensions] Filtert gewisse Rechtsklickmenüerweiterungen aus beim Benutzen des x64- (64-bit) Untermenüs.
0=Erweiterung1
1=Erweiterung2
[Layout] Die Einträge unter diesem Titel bestimmen, welche Teile des Hauptprogramms angezeigt werden. Ein Wert von 1 aktiviert die Option, und 0 deaktiviert sie.
BreadCrumbBar=1 Anklickbare Pfadteile im aktuellen Pfad anzeigen
ButtonBar=1 Haupt-Buttonbar anzeigen (horizontal)
ButtonBarVertical=1 Zweit-Buttonbar anzeigen (vertikal)
CmdLine=1 Kommandozeile anzeigen
CurDir=1 Aktuellen Pfad für beide Dateifenster anzeigen
DarkListBorders=1 Schaltet Rand um Listboxen im Dunkelmodus an/aus
DirectoryTabs=1 Ordner-Tabs anzeigen (mit Strg+T Tab hinzufügen)
DriveBar1=0 Laufwerksbuttons anzeigen
DriveBar2=0 Zwei Laufwerksbuttons anzeigen (nur wenn DriveBar1=1)
DriveBarFlat=1 Flache Laufwerksbuttons anzeigen
DriveCombo=1 Laufwerksliste anzeigen
HistoryHotlistButtons=1 Buttons für Verzeichnisliste und Verlauf anzeigen
InterfaceFlat=1 Flache Benutzeroberfläche benutzen
KeyButtons=1 Funktionstastenknöpfe anzeigen: F3, F4 usw. (unten)
StatusBar=1 Statusinformationen unter der Dateiliste anzeigen
TabHeader=1 Tabulatorenzeile zum Sortieren oberhalb der Dateifenster anzeigen
TabHeaderBoldArrow=1 Schaltet fette Pfeile in Tabulatorenzeile an/aus (Vorgabe: gleich wie TabHeaderThemed)
TabHeaderThemed=1 Schaltet XP-Thema für die Tabulatorenzeile an/aus (Name/Erw./Größe/Datum/Attr.)
XPthemeBg=1 Benutzt Themenhintergrund unter Windows XP und neuer
[Packer] Alles was Packer betrifft
ZIP=C:\UTILS\ZIP\pkzip.exe Pfad zu PKzip
UnZIP=c:\utils\zip\pkunzip.exe Pfad zu PKunzip
ACE=c:\utils\ace\ace.exe Pfad zum Packer ACE
ARJ=c:\utils\arj\arj.exe Pfad zu ARJ
LHA=c:\utils\lha\lha.exe Pfad zu LHA
RAR=E:\utils\rar\rar.exe -c- Pfad zu RAR
UC2=E:\utils\uc2\uc.exe Pfad zu UC2
ARJlongnames=0 Übergebe beim Packen lange Dateinamen an ARJ (geht nur unter Win95/Win98)
DefPlugin=cab Zuletzt benutztes Packer-Plugin
ExpertMode=1 1: startet Dateien in ZIP-Datei sofort nach ENTER; 0: zeigt Eigenschaften-Dialog
ExtractPathInZIP=1 Pfade mit entpacken
InternalUnzip=1 Internes Unzip verwenden
InternalUnarj=1 Dito für ARJ
InternalUnlzh=1 Dito für LHA
InternalUnace=1 Dito für ACE
InternalUnrar=1 Dito für RAR
InternalZip=1 Benutze internen ZIP-Packer
InternalZipRate=6 Packrate für internen ZIP-Packer (0=ohne Kompression, 1=schnellste, 9=beste) (0-9)
InternalzipTemp=c:\temp Pfad für temporäre Dateien für internen ZIP-Packer
KeepPackerPassword=0 Wird zusammen mit der Option "RememberLastPassword" benutzt. Erlaubt es, das zuletzt eingegebene Archivpasswort zu erhalten, selbst wenn:
1: das Programm minimiert wird
2: der Bildschirmschoner startet
3: beides
LastUsedPacker=1 Zuletzt benutzter Packer
LastUsedPacker64=1 Wie LastUsedPacker, aber für 64-bit Total Commander. Nötig weil nicht alle Packerplugins auch in 64-bit vorhanden sind.
LinuxCompatible=1 1: Erzeuge Linux-kompatible TAR-Archive
0: Erzeuge SunOS-kompatible TAR-Archive
LzmaAllowed=0 1: ZIP-Packer: Erlaubt LZMA-Kompression (nicht empfohlen, nur Winzip >=12 kann das entpacken). Falls aktiv, kann als Packrate 10 für LZMA eingestellt werden.
NoDelete=0 1: Entpackte Dateien mit falscher CRC-Prüfsumme nicht löschen
OpenPartial=0 1: Öffne partielle ZIP-Archive, z. B. teilweise heruntergeladene
OverrideCodepage=-1 Andere Codepage für Dateinamen in Archiv festlegen (nur Entpacken)
PackEncrypted=1 Legt fest, ob die Option "Verschlüsseln" im Packen-Dialog markiert werden soll:
0: nie
1: wenn das Ziel vorhanden ist, und eine oder mehrere verschlüsselte Dateien enthält
2: immer
PluginOverrideZip=0 1: Erlaubt die Benutzung eines Packer-Plugins für ZIP-Dateien
0: Die interne Unzip-Funktion hat immer Vorrang
PreferUtf8ForZip=1 Wenn ein Name in einem ZIP-Archiv sowohl als UTF-8 als auch als ANSI interpretiert werden kann, UTF-8 bevorzugen, auch wenn das UTF-8-Flag nicht gesetzt ist.
RememberLastPassword=0 Auf 1 setzen, um das zuletzt benutzte Archivpasswort auch für andere Archive zu verwenden (Packen+Entpacken), bis TC beendet oder minimiert wird, oder Windows in den Schlafmodus versetzt
RemovableInTemp=0 1: Total Commander verändert ZIP-Dateien auf Wechselplatten so:
erzeuge neues Archiv im TEMP-Verzeichnis, lösche altes Archiv, kopiere neues auf Wechselplatte
0: Für Disketten wie 1, für größere Platten (ZIP, JAZ) direkt auf der Platte ohne TEMP-Verzeichnis
SkipFirstDir=0 Setzt den Anfangswert der Option "Beim Packen von Ordnern das Basisverzeichnis weglassen". Die Option wird nicht automatisch gespeichert, aber der Wert wird beibehalten, während TC läuft
UnZIPOverwrite=0 Beim Entpacken immer überschreiben
UnZIPSeparateSubdirs=-1 Speichert Option "Jedes Archiv in separates Verzeichnis entpacken":
0: Option aus, Benutzeränderungen werden gespeichert
1: Option ein, Benutzeränderungen werden gespeichert
-1: Option aus, Benutzeränderungen werden NICHT gespeichert (Standard)
-2: Option ein, Benutzeränderungen werden NICHT gespeichert
-3: Wie -2, aber nur, wenn mehr als ein Archiv markiert ist
VerifyZIP=1 1=ZIP-Datei testen nach packen, 0=nicht testen
WarnTooBig=1 Warnen, dass einige Packer die ZIP/TAR-Datei nicht entpacken können, falls sie größer als 2GB wird
WipeEncrypted=1 Wenn eine Datei aus einem verschlüsselten Archiv angezeigt/bearbeitet/geöffnet/verglichen wird, muss sie dafür temporär ins TEMP-Verzeichnis entpackt werden. Mit WipeEncrypted=1 wird diese temporäre Datei aus Sicherheitsgründen vor dem Löschen mit Nullen überschrieben, mit =0 nicht.
Zip83Name=0 Packe Dateien mit ihren alternativen Dateinamen (DOS, 8 Name und 3 Erweiterung), anstelle der langen Dateinamen.
ZipAES=0 Setzt das Verschlüsselungsformat für ZIP:
0: ZIP2.0-Verschlüsselung
1: AES mit 128 bit-Schlüssel
2: AES 192 bit
3: AES 256 bit
ZipAnsiNames=0 1: Speichere Namen in ZIP-Archiven mit dem ANSI (Windows)-Zeichensatz statt OEM (DOS). Hinweis: Einige Entpacker können dann Archive mit Umlauten nicht richtig entpacken.
ZIPDirectoryOfFile=1 Verzeichnis mit packen
ZIPlikeDirectory=1 Gepackte Dateien wie Verzeichnisse behandeln
zipnt=0 Benutze Info-ZIP für NT (0=nein, 1 = Version 2.0.1 (erfolgreich angepasst), 2= unerkannte Version)
ZIPRecurseSubdirs=1 Verzeichnisse in Verzeichnissen packen
ZipSetDateToNewest=0 Setze beim Packen mit dem internen Packer das Datum der ZIP-Datei auf das Datum der jüngsten Datei in dieser ZIP-Datei.
ZipUnicode=0 Legt fest, wie Unicode-Dateinamen in ZIP-Archive gepackt werden:
0: Jedes Mal fragen, wenn ein Unicode-Name auftritt
1: Namen als UTF-8 (Pkzip 4.5/Winzip 11.2-Methode)
2: Alle als UTF-8, falls mindestens einer Unicode enthält
3: Alle als UTF-8, falls mindestens einer nicht englische Zeichen enthält
4: Unicode-Name in Extra-Feld (Info-Zip-Methode)
5: Alle Namen mit nicht-englischen Zeichen in Extra-Feld
6: Unicode-Zeichen als '?'
[Buttonbar]
BarLimitLines=0 Begrenzt die Anzahl Zeilen im Buttonbar. 0 bedeutet keine Begrenzung
Buttonbar=c:\totalcmd\default.bar Voreingestellter Buttonbar
Buttonheight=29 Höhe
Buttonheight96=29 Höhe für spezifischen DPI-Wert (Punkte pro Zoll)
DefaultDpi= DPI-Wert beim Speichern von Buttonheight und SmallIconSize, benutzt für Skalierung
DefaultLib=wcmicons.dll Standard-Bibliothek für Symbole in beiden Buttonbars und dem Hauptmenü
FlatIcons=1 1: Symbole ohne 3d-Effekt 0: mit 3d-Effekt
PopupIconSize= Symbolgröße im Menü, wenn Buttonbardatei als Menü angezeigt wird. Standard: Gleich wie Symbolgröße im Buttonbar selbst
PopupOverlay=1 1: Zeigt kleines Pfeilsymbol über Buttons, die ein Untermenü öffnen
SmallIcons=1 1: Benutzt kleine 16x16-Icons 0: Icons haben eingestellte Größe
SmallIconSize=16 Größe falls SmallIcons=1
SmallIconSize96=16 Größe falls SmallIcons=1 für spezifischen DPI-Wert
XPstyle=1 Thema für Buttons verwenden
[ButtonbarCache]
IconDll_default.bar= Zuletzt benutzte Symbolbibliothek beim Laden der Buttonbar-Datei default.bar
IconDll_vertical.bar= Zuletzt benutzte Symbolbibliothek beim Laden der Buttonbar-Datei vertical.bar
[ButtonbarVertical] Diverse Optionen spezifisch für den 2. (vertikalen) Buttonbar
ButtonHeight=, FlatIcons=, Siehe Abschnitt [Buttonbar]
SmallIcons=, SmallIconSize=,
XPstyle=, Buttonbar=, usw.
[Command line history] Liste der zuletzt aufgerufenen Befehle
0=regedit 0 letzter Befehl, etc.
1=calc
[DriveHints] Benutzerdefinierte Laufwerksbeschreibung für Laufwerksauswahl
E=ZIP drive Für jedes Laufwerk, das Sie umbenennen wollen, eine Zeile
[Lister] Einstellungen des Listers
Maximized=0 Volle Bildschirmgröße
QuickMaximized=0 Volle Bildschirmgröße für die separate Schnellansicht (Strg+Umsch+Q)
x=54 Position (x)
y=-1 Position (y)
dx=587 Breite
dy=483 Höhe
QuickX,QuickY,QuickDx,QuickDy Wie oben, aber für die separate Schnellansicht (Strg+Umsch+Q)
TextWidth=81 Textbreite (in Zeichen)
binwidth=80 Breite binäre Anzeige
AlbumArt=1 Titelbilder von Tracks in der internen Medienwiedergabe anzeigen
AutoRotate=1 Bild automatisch drehen (gemäss EXIF-Daten)
BmpStartup=1 1: Versucht immer Bilder zu laden und anzuzeigen
0: Lädt als Binärdatei, aber zeigt als Bild falls der User Modus 'Bild' wählt
Caret=1 Zeige Caret (Textcursor), z. B. zum Markieren von Text mit der Tastatur.
CenterBitmap=0 Zentriere angezeigtes Bitmap im Lister
Codepage=-1 Benutzerdefinierte Codeseite vom Untermenü "Codierung". -1: Festgelegt durch aktuelle Schrift
Contextmenu1= Mit Google nach dem markierten Text suchen|http://www.google.com/search?q=%s
Benutzerdefinierte Rechtsklickmenüeinträge im Lister festlegen. %s wird durch den markierten Text ersetzt. Falls der Teil hinter dem |-Zeichen "http://" oder "https://" enthält, werden in URLs verbotene Zeichen durch %Hexwert ersetzt. Es können auch Programme mit Parametern gestartet werden. Falls der Programmname Leerzeichen enthält, muss er in "" geschrieben werden.
FgColor= Textfarbe. Vorgabe ist die Standard-Textfarbe von Windows (Systemsteuerung).
BgColor= Hintergrundfarbe. Vorgabe ist die Standard-Hintergrundfarbe von Windows.
FgSelColor= Textfarbe von Markierungen. Vorgabe ist die Hintergrundfarbe.
BgSelColor= Hintergrundfarbe von Markierungen. Vorgabe ist die Vordergrundfarbe.
MediaFgColor= Textfarbe für Steuerelemente in der Medienwiedergabe. Vorgabe ist die Buttontextfarbe.
MediaBgColor= Hintergrundfarbe für Steuerelemente in der Medienwiedergabe. Vorgabe ist die Buttonfarbe.
LinkColor=8388608 Farbe von Verknüpfungen (Links). Vorgabe ist Dunkelblau (128*65536)
Font1=Arial,-15,b ANSI-Schrift (falls nicht voreingestellte Schrift)
Schriftname, Größe, Attribute: b=fett, i=kursiv, Nummer=Codeseite, Wnummer=Gewichtung
Font2=Arial,-15,b ASCII-Schrift
Font3=Arial,-15,b Schrift variabler Breite
Font4=Courier New,18,b Druckerschrift (feste Breite)
Font5=Arial,20 Druckerschrift (variable Breite)
GifMinDelay=80 Minimale Zeit zwischen Bildern in ms (animierte GIF)
HTMLAsText=1 Automatische Konvertierung von HTML in Text mit Links
IView=1 Benutze Irfanview zum Laden anderer Bilder wie JPG etc.
IviewAdditionalTypes= Zusätzliche Dateitypen, die an Irfanview/Xnview zur Umwandlung geschickt werden sollen
Beispiel: *.xyz *.abc
Falls hier ein bereits unterstützter Typ angegeben wird, z.B. *.tif, dann wird die Datei nicht noch zusätzlich nach Inhalt erkannt. Die folgenden Dateitypen werden ohne diese Option and Irfanview/Xnview geschickt:
jfif, tga, tif, tiff, pcx, ani, acr, cam, clp, cpt, cur, dcx, dib, eps, g3, iff, img, lbm, lwf, pbm, pgm, pcd, ppm, psd, psp, ps, ras, rle, sfw, iw44, djvu, rgb, dcm, acr, wbmp, mos, kdc, xbm, xpm, swf, fpx, sgi, jp2, j2k
Neu in Total Commander 10: Es ist nun auch möglich, intern erkannte Dateitypen zu verbieten. Um z.B. jpg-Dateien einzuschließen, aber tga- und tiff-Dateien auszuschließen, benutzt man:
*.jpg | *.tga *.tif *.tiff
IViewPath= Pfad zur Irfanview/Xnview EXE-Datei.
LinkBraces=1 HTML-Ansicht: Zeige geschweifte Klammern {} um Links
ModeByfileType=1 Option "Ansichtsmethode nach Dateityp definieren"
MediaAdditionalTypes= Zusätzliche Dateitypen, die mit der internen Medienwiedergabe abgespielt werden sollen.
Beispiel: *.mkv *.wmv
Erlaubt es auch, intern erkannte Dateitypen auszuschließen. Um z.B. mkv- und wmv-Dateien einzuschließen, aber mp3- und mp4-Dateien auszuschließen, benutzt man:
*.mkv *.wmv | *.mp3 *.mp4
Multimedia=1 1: Versucht immer Sound+Videos zu laden und abzuspielen
0: Lädt als Binärdatei, aber spielt ab falls der User Modus 'Bild' wählt
NoMediaFileTypes= Die angegebenen Dateitypen nicht als Video, Audio, Bild oder mit Plugin laden, ausser wenn man explizit Menü Optionen - 4 wählt.
Beispiel: NoMediaFileTypes=*.jpg *.avi
NoPluginFileTypes= Die angegebenen Dateitypen nicht mit Plugin laden (aber u.U. mit interner Bildanzeige), ausser wenn man explizit Menü Optionen - 4 wählt.
PlayDelta0..PlayDelta3 Media Player: Anzahl Sekunden, um die gesprungen werden soll. 4 Buttons, Standardwerte sind -60,-10,10,60
PlayerVolume=100 Letzte Lautstärke (0..100), die im internen Media Player eingestellt war
PreferFiltersFromFile=1 Legt fest, ob DirectShow-Filter aus dem Verzeichnis filter32/64 oder in Windows registrierte Filter bevorzugt werden
PreloadFilterType32=1 Standard für Videofilter festlegen:
-1: alten Video für Windows Player verwenden
0: Das System wählen lassen
1: Empfohlene Filter (LAV-Filter, ffdshow),
2: Benutzerdefiniert über PreloadInputFilters32 und PreloadFilters32, siehe unten
PreloadFilterType64=1 Wie PreloadFilterType32, jedoch für 64-Bit
PreloadFilters32= Legt die CLSIDs der Filter fest, die bevorzugt geladen werden sollen. Verwenden Sie | für Alternativen (die erste, die geladen werden kann, wird verwendet) und , für mehrere Gruppen (z.B. video1|video2,audio1|audio2). Standard sind LAV Video/Audio, oder FFDShow video/audio falls die vorher genannten nicht vorhanden sind
PreloadFilters64= Gleich wie PreloadFilters32, aber für 64-bit
PreloadInputFilters32= Legt die CLSIDs der Eingabefilter fest, die bevorzugt geladen werden sollen. Standard ist der LAV-Input-Filter, falls installiert. Alternativ kann hier auch eine grf-Datei von GraphEdit angegeben werden.
PreloadInputFilters64= Gleich wie PreloadInputFilters64, aber für 64-bit
PreviewHandlers=0 Option "Vorschau-Handler vom Explorer benutzen"
RTF=1 Automatische Erkennung von RTF-Dateien
SavePositionLimit=600 Ab der angegebenen Länge in Sekunden speichert die Medienwiedergabe die letzte Position im abgespielten Stück (Audio oder Video). Standard sind 10 Minuten (600 Sekunden).
-1 schaltet das Speichern der Position komplett ab.
SearchGoBack=3 Anzahl Zeilen, die der Lister beim Suchen oberhalb des Suchbegriffs anzeigen soll
ShrinkBitmap=0 1: Verkleinere/Vergrößere Bild auf Fenstergröße
2: Nur zu große verkleinern, zu kleine nicht vergrößern
Startup=0 Speichert Modus und Schrift wenn Lister gestartet wird:
0=Automatisch, 1=Text, 2=Binär, 3=Hex
0=Automatisch, 16=ANSI, 32=Ascii, 48=Variabel
TabWidth=8 Breite der Tabulatoren (Voreinstellung: 8)
ThumbnailProviders=1 Option "Miniaturbildanbieter benutzen"
Uniscribe=1 1: Benutze Uniscribe für Unicode und fremde Codeseiten im Lister. Uniscribe ist eine Bibliothek, welche die korrekte Anzeige von rechts-nach-links-Texten (Arabisch, Hebräisch) erlaubt.
2: Uniscribe immer verwenden, auch für Sprachen, wo es nicht erforderlich ist.
UnwrapWidth=1024 Maximale Textbreite, wenn Zeilenumbruch ausgeschaltet ist (max 16384 Zeichen).
UserEncodings= Benutzerdefinierte Codierungen, gespeichert in der Form "Kodierungsname (Kodierungsnummer)", getrennt durch vertikale Linie |
Wrap=1 Schalte Zeilenumbruch ein (1) oder aus (0)
LeftMargin=200 Ränder für den Druck (in 1/10-mm)
RightMargin=0
TopMargin=200
BottomMargin=200
[ListerDark] Lister-Farben für den Dunkelmodus, siehe Abschnitt [Lister] für die Beschreibung der Felder:
BgColor, FgColor, BgSelColor, FgSelColor, LinkColor
[ListerModes] Optionen für "Ansichtsmethode nach Dateityp definieren"
0exts=*.ext Erster vom Benutzer definierter Ansichtsmethodenfilter. Filter werden in der nummerierten Reihenfolge abgearbeitet, bis der erste zutrifft
0fields=4i Zu nutzende Methode(n), falls der Filter zutrifft. Eine oder mehrere der folgenden Optionen, getrennt durch Kommas:
1..8: Ansichtsmodus wie im Lister-Menü "Optionen" angezeigt
4: Multimedia, automatische Erkennung
4i: Multimedia, internen Viewer benutzen (keine Plugins)
Pluginname: das angegebene Plugin verwenden
Hinweis: Wenn nur eine Methode angegeben wurde, wechselt das Drücken auf '4' durch alle Multimedia-Methoden. Bei der Angabe von 2 oder mehr Methoden wechselt '4' nur durch diese Methoden.
[Confirmation] Bestätigungen
deleteDirs=1 Nicht leere Verzeichnisse löschen
MouseActions=1 Bei Drag&Drop nachfragen
OverwriteFiles=1 Dateien überschreiben
OverwriteReadonly=1 Als 'nur lesen' markierte Dateien überschreiben
OverwriteHidSys=1 Als versteckt/system markierte Dateien überschreiben
OverwriteHidSysNotReadonly=0 Als versteckt/system markierte Dateien ohne Attribut 'nur lesen' überschreiben (nur Standardkopiermethode)
SyncConfirmOverwrite=1 Auf 0 setzen, um Überschreibbestätigungen im Synchronisiertool zu deaktivieren
[ContentPlugins] Installierte Inhaltsplugins
0=<pluginpath> Pfad zum ersten Plugin
0_detect=<detect string> Optionaler Detektionsstring für das erste Plugin. Erlaubt TC herauszufinden, ob ein Plugin eine Datei unterstützt, ohne das Plugin laden zu müssen.
0_flags= Zwischengespeicherter Wert, der von der Funktion ContentGetSupportedFieldFlags zurückgeliefert wurde
0_date= DOS-Zeitstempel des Plugins zum Zeitpunkt als der Wert von 0_flags ermittelt wurde, damit der Wert beim Update des Plugins neu eingelesen wird.
[CustomFields] Gespeicherte benutzerdef. Spalten
Titles= Titel der benutzerdefinierten Spalten, getrennt durch |
Headersx= Kopfzeilen (Spaltentitel), getrennt durch Text "\n"
Contentsx= Die Spaltenwerte, getrennt durch "\n"
Widthsx= Breite der Spalten. Negativ falls rechtsbündig
Optionsx= Fensterbreite für automatische Breitenanpassung | 1 für horizontale Laufleiste | dpi des Bildschirms
[CustomFields_PluginName] Gespeicherte benutzerdef. Spalten für Dateisystem-Plugins
Die Felder sind dieselben wie im Abschnitt [CustomFields], mit Ausnahme der unten aufgeführten:
AutoLoad=1 Wenn nicht 0, wird die angegebene benutzerdefinierte Ansicht automatisch geladen, wenn Sie zu einem Pfad dieses Plugins wechseln
Contentsx= Es gibt einen kleinen Unterschied: Um auf Felder des Dateisystem-Plugins "PluginName" selbst zuzugreifen, wird anstelle des Namens des Plugins der Name "<fs>" verwendet, z.B. [=<fs>.creationdate].
[Extensions] Verknüpfungen für ALT+F3
pif=c:\windows\pifedit.exe ^.pif z. B. Pifeditor mit .PIF
[FileSystemPlugins] Installierte Dateisystemplugins
<pluginname>=<pluginpath> Pfad zu einem Dateisystemplugin (gespeichert nach Namen)
[HintsCustomField] Benutzerdef. Felder im Tipp-Fenster von Dateien
[CompareCustomField] Benutzerdef. Felder im Dialog 'Verzeichnisse Synchronisieren'
[OverwriteCustomField] Benutzerdef. Felder für Überschreiben-Dialog.
[ThumbsCustomField] Benutzerdef. Felder unter Miniaturbildern
[SearchCustomField] Benutzerdef. Felder in der Suche: Allgemeines - Textsuche - Plugins
xexts= Wildcards für Dateinamen
xfields= Anzuzeigende Pluginfelder, falls Übereinstimmung
[LeftHistory], [RightHistory] Liste der zuletzt besuchten Verzeichnisse links bzw. rechts. Speichern deaktivieren via SaveHistory=0
[LeftTabs], [RightTabs] Konfiguration der Ordnertabs des linken bzw. rechten Dateifensters. Die Konfiguration des aktiven Tabs wird im Abschnitt [left] / [right] gespeichert.
0_caption= Text, der im Tabreiter angezeigt wird, wenn er vom Benutzer geändert wurde
0_filter= Bei Benutzung der Option "Angezeigte Dateitypen separat pro Tab speichern" wird hier der Anzeigefilter des Tabs gespeichert
0_path= Verzeichnis des ersten Tabs (0-basiert)
0_options=1|3|1|0|0|1 Optionen des ersten Tabs, durch | getrennt:
Ansichtsmodus, Sortierreihenfolge, Sortierrichtung, Packer: Start Archivname, Packer: Archivtyp, Gesperrt-Flag, Sortierung für Benutzeransicht, zusätzliche Sortierreihenfolgen, benutzerdef. Hintergrundfarben (Reiter/Hintergrund/Hintergrund2 plus Hintergrund/Hintergrund2 für Dunkelmodus), Ansichtsmodus, Ansichtsmodus automatisch wechseln
activetab=1 Derzeit aktiver Tab, der NICHT hier sondern unter [Left] oder [Right] gespeichert ist
activelocked=2 Auf 1 (gesperrt) bzw. 2 (gesperrt mit Verzeichniswechsel erlaubt) gesetzt, falls der aktive Tab gesperrt ist
activecaption= Text, der im aktiven Tabreiter angezeigt wird, wenn er vom Benutzer geändert wurde
[ListerPlugins] Installierte Listerplugins
0=<pluginpath> Pfad zum ersten Plugin
0_detect=<detect string> Optionaler Detektionsstring für das erste Plugin. Erlaubt TC herauszufinden, ob ein Plugin eine Datei unterstützt, ohne das Plugin laden zu müssen.
[MkDirHistory] Liste der zuletzt angelegten Verzeichnisse (mit F7)
[NewFileHistory] Liste der zuletzt angelegten neuen Dateien (mit Umsch+F4)
[SyncOptions] Gespeicherte Optionen für "Verzeichnisse synchronisieren"
<name>_L=D:\ Linker Pfad
<name>_R=E:\ Rechter Pfad
<name>_Wcs=*.* Dateiauswahl
<name>_Flags=11|63|-8 Optionen. Die Blöcke bedeuten:
Block 1: Vergleichsoptionen. Summe von
1: Unterverzeichnisse
2: Nach Inhalt
4: Datum ignorieren
8: Asymmetrischer Modus
16: Leere Verzeichnisse
Block 2: Anzeigeoptionen. Summe von
1: Links nach rechts
2: Gleiche
4: Ungleiche
8: Rechts nach links
16: Doppelte
32: Einzelne
Block 3: Sortierreihenfolge (negativ falls absteigend sortiert)
Block 4: Option wie reguläre Ausrücke und gespeicherte Suchen angewendet werden sollen. Negative Zahlen bedeuten, dass Dateien versteckt werden sollen, die den Kriterien entsprechen. Suche muss wo übereinstimmen:
1: auf mindestens einer Seite
2: auf beiden Seiten (falls vorhanden)
3: auf der linken Seite, nur rechts vorhandene weglassen
4: auf der linken Seite, falls nicht vorhanden rechts suchen
5: auf der rechten Seite, nur links vorhandene weglassen
6: auf der rechten Seite, falls nicht vorhanden links suchen
[Tabstops] Tabulatoren für Dateifenster
0=90 Größe
1=93 Datum
2= unbenutzt
3=152 Attribute
4=42 Erweiterung
5=93 Kommentar
6=<Fensterbreite> Referenzbreite (benutzt im Modus "AdjustWidth")
AdjustWidth=1 Breite des Namensfeldes automatisch an Fensterbreite anpassen
[user] Benutzerdefiniertes Menü
menu1=Verz: Root von C Titel
cmd1=cd c:\ Kommando
param1= Parameter
path1= Startverzeichnis
iconic1= 1=Starte als Symbol
key1= Tastenkombination
[attrplugin] Attribut-Dialog: Gespeicherte Plugin-Optionen
[dirmenu] Benutzerdefinierte Verzeichnisliste (STRG+D)
Untereinträge sind dieselben wie bei [user]
[DirSelection] Zuletzt benutzte Muster im Dialog "Doppelte Dateien markieren" unter "Markieren nach Ordner" - "Ordner mit Muster markieren"
[LastTracks] Zuletzt gespielte Titel im neuen Media-Player des Listers, in der Form
Datum-Zeit=Offset in Sekunden,Dateiname des Titels
[PluginDuplicates] Verlauf der Option "gleiche Pluginfelder" im Dialog "Befehle" - "Suchen" (Seite "Erweitert")
[rename] Optionen für das Mehrfach-Umbenenntool
[Searches] Optionen für den Suchen-Dialog
[SearchName] Suchparameter früherer Suchen
[SearchIn]
[SearchText]
[Selection] Parameter der Dateiauswahl (Num +)
[SplitPerFile] Speichert die vom Benutzer eingegebenen Größen der Funktion Dateien - Aufspalten sowie der Funktion Dateien - Packen für mehrteilige Archive.
[RenameTemplates] Zuletzt benutzte Zeichenketten im Mehrfachumbenenntool
[RenameSearchFind] Zuletzt benutzte Suchstrings für Suchen+Ersetzen
[RenameSearchReplace] Zuletzt benutzte Ersetzstrings
[ReplaceIniLocation] Legt einen anderen Ort für die ini-Datei eines bestimmten Plugins fest, via Funktion *SetDefaultParams, Parameter DefaultIniName, via Zeile pluginfile.ext=c:\pfad\newinifile.ini oder pluginfile.ext=c:\pfad\ - das Plugin kann u.U. den Namen ignorieren, und nur den Pfad verwenden.
pluginname.ext= Neuer Ort der ini-Datei, der an das angegebene Plugin gesendet wird. Der Plugindateiname muss dabei ohne Verzeichnis angegeben werden, und die Dateierweiterung so wie in der wincmd.ini eingetagen, z.B. sftpplug.wfx
Spezialwerte:
* sende Standardnamen, aber leite Zugriffe in Benutzerprofil um, falls das Schreiben in die Datei fehlschlägt (Standard für Packer-, Dateisystem- und Listerplugins)
- sende Standardnamen, aber leite Zugriffe nicht in Benutzerprofil um (Standard für Inhaltsplugins)
[TargetList] Liste der Zielverzeichnisse, die im F5-Kopierdialog angezeigt werden (Kombinationsliste)
[PrintDir] Automatisch gespeicherte Einstellungen des Drucken-Dialogs
[ViewModes] Gespeicherte benutzerdefinierte Ansichtsmodi
x_name= Name des Modus
x_icon= Symbol des Modus für Tab
x_options= Optionen: Ansicht, Sortiermethode, Absteigend, zusätzliche Sortierungen, Tab-Farbe, Hintergrund, Hintergrund 2.
x_commands= Befehle auto-starten
[ViewModeSwitch] Einstellungen für Auto Modus wechseln
Enabled=1 Aktiviert/deaktiviert
x_rules= Regeln: Unterregeln kombiniert mit |& (UND) und || (ODER)
x_mode= Zu setzender Modus, falls Regel zutrifft
[packerplugins64], Index aller Plugins, für die es auch ein 64-bit-Plugin gibt
[ContentPlugins64],
[FileSystemPlugins64],
[ListerPlugins64]
$checksum$ Prüfsumme des zugehörigen Abschnitts ohne "64"-Namensteil. Benutzt den Adler32-Prüfsummenalgorithmus auf dem gesamten Abschnitt, geladen via GetPrivateProfileSection. Wird benutzt um festzustellen, wenn Plugins installiert oder entfernt wurden, so dass der zugehörige 64-bit-Abschnitt neu erzeugt werden kann
exts= Nur in [packerplugins64]: Liste aller Erweiterungen mit 64-bit-Plugin
0=1 Nur in [ContentPlugins64] und [ListerPlugins64]: Plugins nach Index mit 64-bit-Version
name=1 Nur in [FileSystemPlugins64]: Plugins nach Name mit 64-bit-Version
Zurück zur Übersicht


Dialogbox: Interne Verknüpfungen
Mit dieser Dialogbox können Sie für verschiedene Dateitypen interne Verknüpfungen definieren, welche nur innerhalb von Total Commander funktionieren. Dies ist vor allem nützlich, wenn Sie Total Commander von einem USB-Stick auf verschiedenen Systemen starten möchten. So können Sie Dateien mit Programmen auf dem Stick verknüpfen, ohne die Verknüpfungen des Zielrechners ändern zu müssen. Verwenden Sie die Umgebungsvariablen %commander_drive% oder %commander_path% , um unabhängig vom benutzten Laufwerksbuchstaben des Sticks zu werden.
Hinweis: Exe-, com-, bat-, cmd- und lnk-Dateien werden anders behandelt als andere Dateien: Das Standardverb kann nicht über interne Verknüpfungen überschrieben werden.
Feld Beschreibung
Dateitypen Diese Liste zeigt alle bereits definierten Dateitypen an. Die Sortierung entscheidet dabei über die Priorität der einzelnen Filter. Wenn Sie z. B. eine Verknüpfung für ZIP-Dateien und eine für Dateien mit Attribut 'nur lesen' festgelegt haben, so wird bei ZIP-Dateien mit Attribut 'nur lesen' jene Verknüpfung verwendet, deren Definition höher in der Liste steht.
Durch Doppelklick oder Drücken der Leertaste können Sie einen bereits definierten Dateityp sowie die zugeordnete Verknüpfung ändern.
Interne Verknüpfungen, die mit einem * beginnen, z.B. *.ext, können durch einen Klick auf den * deaktiviert werden (das ändert den * in einen -, so dass eine Datei namens -.ext weiterhin gefunden wird).
Hinweis:
Falls mehrere Dateien unterschiedlichen Typs markiert sind, funktionieren interne Verknüpfungen unterschiedlich für die Standardaktion "Öffnen" und andere Aktionen:
1. Bei der Standardaktion "Öffnen" wird jede Datei separat geöffnet, und zwar mit der ersten passenden internen Verknüpfung für die jeweilige Datei
Beispiel für 1: *.txt -> Öffnen=notepad.exe "%1", *.txt *.rtf -> Öffnen=Winword.exe "%1"
Markiert: test.txt, test.rtf -> Kontextmenü, Öffnen -> Öffnet test.txt mit notepad und test.rtf mit Winword
- 2. Bei zusätzlichen Aktionen wird die erste interne Verknüpfung benutzt, deren Filter für ALLE markierten Dateien passt
Beispiel für 2: *.txt -> Editor=notepad.exe "%1", *.txt *.rtf -> Alle bearbeiten=Winword.exe "%1"
Markiert: test.txt, test.rtf -> Kontextmenü -> "Alle bearbeiten" wird angezeigt, öffnet beide Dateien mit Winword
Lade Extra-Befehle von allen passenden Typen
Standardmässig werden nur die Befehle (Aktionen) vom ersten gefundenen Dateityp im Kontextmenü angezeigt. Wird diese Option gesetzt, zeigt Total Commander zusätzlich alle Extra-Aktionen (ausser Öffnen) von allen weiteren passenden Dateitypen an.
Beispiel:
*.txt Bearbeiten: notepad.exe
*.* Wordpad: wordpad.exe
Resultat:
1. Option nicht gesetzt: Für Textdateien wird nur "Bearbeiten" im Kontextmenü angezeigt.
2. Option gesetzt: Für Textdateien werden im Kontextmenü beide Befehle "Bearbeiten" und "Wordpad" angezeigt.
Hinzufügen... Erzeugt einen neuen Eintrag in der Liste. Dabei werden Sie erst nach dem Dateityp gefragt, und können danach die Verknüpfung ändern.
Bearbeiten... Erlaubt es, einen bestimmten Eintrag in der Liste abzuändern. Dies bringt Sie direkt zur Dialogbox Verknüpfungsdetails.
Löschen Löscht einen Eintrag aus der Liste.
OK Speichert die Änderungen und schließt die Dialogbox.
Abbrechen Schließt die Dialogbox, ohne die Änderungen zu behalten.


Lister: Menü Bearbeiten
Als Text kopieren Kopiert den mit der Maus selektierten Bereich in die Zwischenablage. Alle Zeichen #0 werden dabei in Leerzeichen #32 verwandelt, da das Zeichen #0 als Ende der Zeichenkette interpretiert würde. Tastenkombination: STRG+C.
Alles markieren Markiert den ganzen Text zum Kopieren in die Zwischenablage. Tastenkombination: STRG+A.
Suchen Über eine Dialogbox kann eine Zeichenkette eingegeben werden, nach der ab der aktuellen Position (oberste Zeile des Textes) gesucht werden soll. Die Option "Nur ganze Wörter" sucht spezifisch nur nach Wörtern (ohne Buchstaben vor oder hinter dem Suchbegriff), die Option "Groß-/Kleinschreibung" achtet auf die Großschreibung der Buchstaben. "Suche hexadezimalen String" erlaubt die Eingabe von Suchtexten im Hexadezimalformat, also z. B. 00 FF 12, oder gemischt, wie z. B. "PK"0102. Eine Suche kann auch über F7 gestartet werden. Der gefundene Suchbegriff wird in der vom Benutzer konfigurierten Zeile angezeigt und hervorgehoben.
Spezialzeichen bei der Suche:
\t Tabulator
\n Neue Zeile
\\ Einzelner Rückwärts-Schrägstrich (Backslash)
Neu werden auch reguläre Ausdrücke unterstützt.
Weitersuchen Setzt eine begonnene Suche fort. Sowohl im Total Commander wie im Lister wird das jeweils letzte Suchwort gespeichert (in beiden dasselbe), ebenso wie die letzten Suchoptionen. Taste: F5 oder F3. Strg+F5 oder Strg+F3 dreht die Suchrichtung um. Umsch+F5 bzw. Umsch+F3 suchen stets rückwärts.


Lister: Menü Codierung
Festgelegt durch aktuelle Schrift
Die aktuelle Schrift, gewählt über die Option ANSI/Ascii/Variabel bestimmt die Codierung.
ANSI (lokale Codeseite) (0)
Setzt die Codierung auf die lokale Codeseite, z. B. Russisch auf einem System, wo Russisch als Codeseite für nicht-Unicode-Programme eingestellt wurde.
ASCII/DOS (lokale Codeseite) (1)
Wie die Option ANSI, aber mit der lokalen OEM (DOS)-Codeseite.
MacOS (2) Benutze MacOS-Codierung. Dies scheint mit Windows 9x/ME nicht zu funktionieren.
Osteuropa (1250)..
Kyrillisch KOI8-R (20866)
Benutze die angegebene Codeseite. Die Nummer in Klammern ist die Codeseitennummer, wie sie von Windows benutzt wird..
Andere Codeseite (manuell eingeben)
Hier können Sie entweder nur die Codeseitennummer eingeben, um sie temporär einzustellen, oder einen selbst gewählten Namen gefolgt von der Nummer in Klammern, um die Codeseite zum Menü hinzuzufügen. Sie finden die installierten Codeseitennummern in der Systemsteuerung: Regions- und Sprachoptionen - Erweitert.
Beispiel: Kyrillisch DOS (866)


Lister: Menü Datei
Öffnen: Erlaubt es, eine Datei in den Betrachter zu laden.
Speichern unter... Speichert die Datei unter einem anderen Namen, nützlich z. B. bei Dateien, die man via FTP oder aus einer ZIP-Datei mit F3 geladen hat und lokal speichern möchte.
Nächste Datei: Sind mehrere Dateien übergeben worden, so kann über diesen Menüpunkt zur jeweils nächsten Datei geblättert werden. Alternativ kann die Taste n gedrückt werden.
Vorhergehende: Blättert zur jeweils vorangegangenen Datei. Die Taste p bewirkt dasselbe wie dieser Menüpunkt.
Drucken... Druckt die angezeigte Datei im Text-, Binär oder Hex-Modus, je nach gewählter Anzeigeoption. Außerdem können Grafiken gedruckt werden. Im Modus 'Bild der Fenstergröße anpassen' wird die Grafik auf die Größe des vorhandenen Druckbereichs verkleinert bzw. auch vergrößert. Im Modus 'Nur größere Bilder anpassen' wird die Grafik nur dann auf die Größe des vorhandenen Druckbereichs verkleinert, wenn sie grösser ist. Ansonsten wird im Verhältnis 1:1 gedruckt. Die Zoomfunktion wird z.Zt. nicht unterstützt.
Im Text-, Binär- oder Hexmodus können Sie entweder die ganze Datei, den markierten Text, oder eine gegebene Anzahl Seiten drucken.
Druckoptionen... Öffnet einen Dialog zum Einstellen von Druckerschrift und Seitenrändern.
Datei neu laden Lädt die aktuell angezeigte Datei neu. Taste: F2.
Beenden Schließt den Dateibetrachter. Tasten: ESC oder q oder ALT+F4


Lister: Menü Optionen
1. Nur Text: Hier wird versucht, die aktuelle Datei als Text zu interpretieren. Dabei werden die Zeichen #13 (Wagenrücklauf) und #10 (Zeilenvorschub) getrennt oder zusammen als Zeilenumbruch erkannt. Weiter wird bei Zeilen länger als 80 Zeichen (Voreinstellung) automatisch ein Zeilenumbruch durchgeführt.
2. Binär: Hier wird eine fixe Zeilenlänge von 74 Zeichen (Voreinstellung) eingestellt, sodass der Text inklusive Rollbalken auf einem Standard-Bildschirm (EGA oder VGA mit 640 Pixeln Breite) exakt Platz hat.
3. Hexadezimal: Es wird folgendes angezeigt (von links nach rechts): 32-Bit-Offset (Abstand in Bytes vom Dateianfang), 16 Zeichen in Hexadezimaldarstellung, dieselben 16 Zeichen als Text.
4. Bild/Multimedia Wenn möglich, wird die Datei als Grafik angezeigt. Dabei wird je nach Dateiendung der eingebaute BMP-Viewer verwendet, oder die Datei mithilfe von Irfanview geladen.
5. HTML-Text (entferne Tags)
Versucht, die Datei als HTML zu interpretieren: Alle Tags entfernen und Links anzeigen. Relative Links öffnen Lister mit der gelinkten Datei, während absolute Links (mit http:// im Link) den Standard-Browser starten. Bei externen Links ändert sich der Mauszeiger in einen Pfeil mit kleinem 'e'. Unterstützt auch UTF-8- und UTF-16-kodiertes HTML, falls die Datei den entsprechenden Header META HTTP-EQUIV enthält.
6. Unicode Zeige Unicode-Dateien. Unicode ist ein Dateiformat, bei welchem jedes Zeichen 2 Bytes benötigt. Dieses Format wird z. B. vom Windows-NT Regedit oder Editor verwendet.
7. UTF8 Zeige UTF-8-Dateien. UTF-8 ist ein spezielles Unicode-Dateiformat, das bis zu 6 byte pro Zeichen verwendet. Der Windows-Editor notepad kann solche Dateien erzeugen.
8. Explorer-Vorschau
Die Vorschaufunktion (IPreviewHandler) aus dem Explorer verwenden, oder die Miniaturansichtsfunktion (IThumbnailProvider), wenn kein Preview-Handler vorhanden ist. Die Titelzeile des Listers zeigt <Explorer> an, wenn die Vorschaufunktion des Explorers verwendet wird.
ANSI-Zeichensatz: Dies sollte für Windows-Dateien eingestellt werden, sofern diese Umlaute enthalten. Das Programm versucht selbst zu erkennen, in welchem Zeichensatz der Text vorliegt. Der ANSI-Zeichensatz kann auch mit der Taste a gewählt werden.
ASCII-Zeichensatz: Dieser Zeichensatz ist für DOS-Texte gedacht, die Umlaute oder DOS-Grafikzeichen (wie z. B. Linien) enthalten. Er kann durch Drücken von s gewählt werden.
Variable Buchstabenbreite:
Dieser Zeichensatz ist für Windows-Dateien gedacht, die Fließtext ohne Tabellen oder sonstige auszurichtende Textteile enthalten. Taste: v.
Zeilenumbruch: Bewirkt einen Zeilenumbruch spätestens nach der in Konfigurieren angegebenen Anzahl Zeichen. Dabei wird an Wortgrenzen umgebrochen. Ansonsten wird erst nach 1024 Zeichen bei Text und 512 bei Unicode umgebrochen (maximal mögliche Zeilenlänge).
Zeige Textcursor Zeigt einen Textcursor zum Markieren und Kopieren von Text. Taste: F6
Bild der Fenstergröße anpassen
Vergrößert bzw. verkleinert das angezeigte Bild auf die aktuelle Größe des Listerfensters. Das richtige Seitenverhältnis bleibt erhalten. Wenn Sie die Datei in diesem Modus drucken, wird sie auf die Größe des gewählten Druckbereichs vergrößert bzw. verkleinert (Fenstergröße ohne Ränder). Taste: f. Neu wirkt diese Option auch auf Video-Fenster.
Nur größere Bilder anpassen
Verkleinert das angezeigte Bild auf die aktuelle Größe des Listerfensters - eine Vergrößerung kleinerer Bilder findet nicht statt.
Bilder zentrieren Zeigt die Bilder zentriert statt in der linken oberen Ecke an.
Konfigurieren: Ruft einen Dialog zur Konfiguration des Listers auf.
Position speichern: Speichert die aktuelle Position des Listers in der Datei wincmd.ini. Beim nächsten Starten des Betrachters wird wiederum diese Position eingenommen.


Lister: Menüpunkt xxx%
Hier wird angezeigt, bei wie viel Prozent der Datei der angezeigte Ausschnitt liegt. Es wird dabei der Ort der letzten Zeile auf dem Bildschirm angegeben. Durch Klick auf den Menüpunkt kann direkt zu einer beliebigen Stelle (Angabe in %) gesprungen werden. Unterstützt jetzt die Eingabe von Nachkommastellen wie 50.5 oder 20,7, abgetrennt durch Punkt oder Komma.


Lister: Menü Plugins
Intern (ohne Plugins) Wechselt zum internen Viewer, z.B. für Bilder oder Multimedia
<Pluginnamen> Versucht, die Datei mit dem ausgewählten Plugin zu öffnen. Es ändert sich nichts, wenn das Plugin die Datei nicht anzeigen kann
Das Plugins-Menü ist in bis zu 3 Abschnitte aufgeteilt:
1. Zusammen mit "Intern" werden Plugins angezeigt, welche über den Menüpunkt
Optionen - Konfigurieren - Multimedia - Ansichtsmethode nach Dateityp definieren
festgelegt wurden.
2. Als nächstes werden Plugins aufgelistet, deren Erkennungs-String das Plugin für diesen Dateityp als passend erkennen lässt
3. Zuletzt werden alle restlichen Plugins aufgeführt. Hier ist die Wahrscheinlichkeit am geringsten, dass sich die Datei damit öffnen lässt.


Menü: Hilfe
Index - Hilfe-Index anzeigen
Tastatur - Tastaturbelegung (Hotkeys)
Registrier-Info - Wie bestellen/registrieren
Webseite von Totalcmd besuchen - unsere Homepage öffnen: www.ghisler.com
Jetzt nach Updates suchen - Sofort nach einer neuen Version suchen. Falls es keine gibt, kann der automatische Update-Check aktiviert/deaktiviert werden.
Über Total Commander - Versionsinformationen und Ort der Einstellungsdateien und Programmdatei anzeigen.


Nur markierte Dateien
Blendet alle Dateien aus, die beim Aufruf der Funktion nicht markiert sind. Praktisch z. B. bei Verzeichnissen mit tausenden von Dateien, um nur die interessanten Dateien anzuzeigen.


Verknüpfen
Dieser Menüpunkt ruft eine Dialogbox auf, in der Dateien mit Programmen verknüpft werden können.
Zum Verständnis:
Das Verknüpfen erlaubt es, allen Datendateien mit einer bestimmten Dateierweiterung, z. B. .txt, ein Programm zuzuordnen, z. B. den Editor notepad.exe. Wird eine Datei mit dieser Endung doppelt angeklickt (oder ENTER gedrückt), so wird das mit ihr verknüpfte Programm gestartet und die Datei geladen. Die Verknüpfung gilt Windows-weit, d.h. funktioniert auch im Explorer und Startmenü.
Die Verknüpfungen werden in der Windows-Registrierdatenbank gespeichert, die zusätzliche Informationen enthält, etwa zum Drag&Drop-Drucken. Unter Windows 2000 und neuer gibt es zusätzlich zu den Verknüpfungen unter HKEY_CLASSES_ROOT private Verknüpfungen des Explorers unter
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts
Diese werden erzeugt, wenn man im Explorer "öffnen mit" verwendet. Total Commander kann diese zwar auslesen, aber nicht selbst erzeugen oder ändern.
Sofern die entsprechende Option in den allgemeinen Einstellungen aktiviert ist, wird das Icon des mit der Datei verknüpften Programms links vom Dateinamen angezeigt.


Hintergrund-Transfermanager...
Öffnet ein separates Fenster, mit welchem Sie Dateien im Hintergrund kopieren, verschieben und herunterladen können.
Um Operationen zum Hintergrund-Transfermanager hinzuzufügen, markieren Sie die Dateien, die Sie kopieren, verschieben oder herunterladen wollen, und klicken Sie auf den "+"-Knopf oder drücken die "+"-Taste auf dem numerischen Tastenblock. Dies öffnet ein Kontextmenü, um die entsprechende Operation hinzuzufügen. Sie können auch direkt eine URL einfügen, z. B. von Ihrem Webbrowser. Mit Strg+V oder Umsch+Einf beginnen Sie direkt einen Download ins aktuelle Verzeichnis des aktiven Dateifensters.
Hier eine Beschreibung der einzelnen Dialogelemente:
<Fortschrittsbalken> Zeigt den Fortschritt der gerade transferierten Datei
<Fortschrittsbalken 2>
Zeigt den Totalforschritt sofern verfügbar. Geht nicht beim Download von Ordnern via FTP.
<Listbox> Zeigt die Warteschlange der zu transferierenden Dateien, mit der gerade transferierten zuoberst. Einzelne Einträge lassen sich per Drag&Drop umsortieren, während die Operation pausiert.
+ Knopf zum Hinzufügen von neuen Operationen.
- Knopf zum Entfernen der markierten Operationen. Die aktive Operation kann nicht entfernt werden.
Pause Pausiert die aktuelle Operation, z. B. wenn die Internetverbindung für andere Aufgaben benötigt wird.
Max. Geschwind. Erlaubt es, die Transfergeschwindigkeit für FTP- und HTTP-Transfers sowie bei Kopieroperationen zu begrenzen. Nützlich, wenn Sie das Internet oder Firmennetz während eines längeren Transfers noch für andere Dinge verwenden wollen.
Das Menü des "+"-Knopfes kann folgende Befehle enthalten:
Füge URL hinzu zum Herunterladen
Hier können Sie eine URL der Form http://www.server.com/datei.zip einfügen. Diese erhalten Sie z. B. durch einen Rechtsklick im Webbrowser auf eine Verknüpfung (Link) und Wahl von "Verknüpfung kopieren".
Füge markierte Dateien hinzu, zum Herunterladen
Falls Sie mit einem FTP-Server verbunden sind und Dateien markiert haben, erhalten Sie diesen Menüpunkt. Er erlaubt das Herunterladen der markierten Dateien im Hintergrund. Dasselbe erreichen Sie via "Im Hintergrund laden" im Herunterladen-Dialog, nur wird dann ein separater Transfermanager geöffnet.
Füge markierte Dateien hinzu, zum Kopieren
Erlaubt das Kopieren (Disk->Disk) der markierten Dateien im Hintergrund
Füge markierte Dateien hinzu, zum Verschieben
Erlaubt das Verschieben (Disk->Disk) der markierten Dateien im Hintergrund
Listendatei bearbeiten
Falls Sie den Befehl "FTP Dateien aus Liste herunterladen" verwendet haben, liest der Hintergrund-Transfermanager die herunterzuladenden Dateien aus einer Listendatei. Mit diesem Befehl können Sie weitere Operationen zur Listendatei hinzufügen. Sofern Sie diese am Ende anhängen, werden Sie vom Hintergrund-Transfermanager automatisch in die Warteschlange übernommen. Die Listendatei muss entweder als reiner Text (ANSI) oder als UTF-8 mit Byte-Reihenfolge-Marker (BOM) gespeichert werden.
Der "-"-Knopf dient 2 verschiedenen Zwecken:
1. Falls der erste Eintrag in der Liste markiert ist, bietet Total Commander an, den aktuellen Transfer abzubrechen und mit dem nächsten fortzufahren.
2. Falls andere Einträge markiert sind, so werden diese aus der Liste entfernt.


Zweigansicht (mit Unterverzeichnissen)

Zweigansicht
Zeigt alle Dateien im aktuellen Verzeichnis und allen Unterverzeichnissen in einem einzigen Listenfenster an. Dies ist nützlich zur schnellen Dateisuche nach Namen, oder zum Anwenden von Programmteilen wie dem Mehrfach-Umbenenntool auf alle Dateien inkl. Unterverzeichnissen. Sie sollten diesen Befehl nicht im Stammverzeichnis einer großen Platte verwenden, da er dann sehr lange brauchen kann. Der Befehl kann mit ESC abgebrochen werden. Tastenkürzel: Strg+B.
Wenn Sie die Zweigansicht mit Strg+B verlassen, während der Cursor auf einer Datei in einem Unterverzeichnis steht, so wechselt Total Commander in dieses Unterverzeichnis statt ins Basisverzeichnis der Zweigansicht (benutzen Sie F2 oder Strg+R, um ins Basisverzeichnis der Zweigansicht zu wechseln).
Ein ähnlicher Tastaturbefehl ist "Ausgewählte Zweigansicht" (cm_DirBranchSel), der die Zweigansicht nur für die ausgewählten Ordner anzeigt. Tastenkürzel: Strg+Umschalt+B.


CD-Verzeichnisbaum
Öffnet eine Dialogbox mit dem Verzeichnisbaum des aktuellen Laufwerks. Wählen Sie ein Verzeichnis aus (durch OK oder Doppelklick), dann wird im Quellverzeichnis in dieses Verzeichnis gewechselt.
Siehe auch Dialogbox Verzeichnisbaum


Verzeichnisse vergleichen
Vergleicht die Einträge im Quellverzeichnis mit denen im Zielverzeichnis. Bei voneinander abweichenden Dateien werden die jeweils neueren markiert. Dateien, die in einem Verzeichnis fehlen, werden im anderen ebenfalls markiert. Dieses Verhalten entspricht nun dem Verhalten eines bekannten Commanders für DOS. (In älteren Versionen wurden jeweils auch die älteren Dateien markiert).


Konfigurieren - Allgemeine Einstellungen

Konfigurieren - Einstellungen...
Dies ist der wichtigste Konfigurationsdialog von Total Commander. Die meisten Einstellungen werden auf den Seiten dieses Dialogs gemacht.
Bitte wählen Sie eine Seite:
Layout
Ansicht
Symbole (Icons)
Schrift
Farben
Tabulatoren
Ordner-Tabs (Register)
Benutzerdef. Spalten
Ansichtsmodus
Auto Modus wechseln
Sprache (Language)
Operation
Viewer/Editor
Kopieren/Löschen
Neu-Einlesen (Refresh)
Schnellsuche
FTP
Plugins
Miniaturansicht
Log-Datei
Ignorierliste
Packer
Zip-Packer
Diverses
Die folgenden Knöpfe sind auf allen Seiten des Dialogs verfügbar:
Feld Beschreibung
OK Speichert die gemachten Änderungen in der Datei wincmd.ini
Abbrechen Verwirft die gemachten Änderungen und kehrt zum Total Commander zurück.
Hilfe Startet die Windows-Hilfe mit dieser Seite
Anwenden Wendet die momentanen Einstellungen an, ohne die Dialogbox zu schließen. So können Sie sich ein Bild über das Aussehen machen.


Konfigurieren - Buttonbar aendern

Konfigurieren - Buttonbar ändern...
Erlaubt das Ändern des Buttonbar (Knopfleiste am oberen Bildrand)
Siehe auch Dialogbox Konfigurieren - Buttonbar ändern.


Konfigurieren - Position speichern
Mit dieser Option lässt sich die momentane Position (Fenstergröße und obere linke Ecke) des Total Commander speichern. Außerdem werden die aktuellen Tabulatorpositionen gespeichert. Die Position wird für jede Bildschirmauflösung separat gespeichert, was beim Wechsel zwischen verschiedenen Auflösungen praktisch ist.


Netzlaufwerke verbinden
Sofern ein von Windows unterstütztes Netzwerk installiert ist, wird eine Dialogbox des Netzwerktreibers zum Verbinden von Netzlaufwerken angezeigt. Der zugehörige Menüpunkt unter "Netz" ist nur sichtbar, wenn tatsächlich ein Netzwerk vorhanden ist.
Siehe auch Netzlaufwerke trennen


Netzlaufwerke trennen
Sofern ein von Windows unterstütztes Netzwerk installiert ist, wird eine Dialogbox des Netzwerktreibers zum Trennen von Netzlaufwerken angezeigt. Der zugehörige Menüpunkt unter "Netz" ist nur sichtbar, wenn tatsächlich ein Netzwerk vorhanden ist und dieses den Dialog "Netzlaufwerke trennen" auch unterstützt. Gewisse Netzwerke erlauben es, in der Dialogbox "Netzlaufwerke verbinden" auch Netzlaufwerke abzuhängen.
Siehe auch Netzlaufwerke verbinden


Exit
Dieser Menüpunkt beendet Total Commander und speichert die momentanen Einstellungen in wincmd.ini.


Markieren
Diverse Menüpunkte, die ein Markieren von einer oder mehreren Dateien erlauben:
Gruppe markieren
Gruppenauswahl rückgängig
Alle Dateien markieren
Keine Datei markieren
Auswahl umkehren
Alle Dateien mit gleicher Erweiterung markieren
Auswahl merken
Auswahl wiederherstellen
Auswahl in Datei speichern
Auswahl aus Datei laden
Kopiere markierte Namen in Zwischenablage
Kopiere Namen mit Pfad in Zwischenablage
Kopiere Namen mit allen Details
Kopiere Namen mit Pfad+Details
Siehe Dateien wählen


Neue markieren, gleiche verstecken
Vergleicht die Einträge im Quellverzeichnis mit denen im Zielverzeichnis. Übereinstimmende Dateien werden versteckt (nicht mehr angezeigt, jedoch NICHT gelöscht!) Von den voneinander abweichenden Dateien werden nur die jeweils neueren markiert. Dateien, die in einem Verzeichnis fehlen, werden im anderen ebenfalls markiert.
Nach dem Vergleich erhalten die Pfade auf beiden Panels das Präfix "Vergleich:", dessen Vorhandensein bedeutet, dass der Inhalt nur teilweise angezeigt wird.
Um zur normalen Ansicht zurückzukehren, können Sie entweder
- von Total Commander weg und zurück wechseln
- Total Commander minimieren und wiederherstellen
- jedes Panel mit "Neu einlesen", F2 oder Strg+R auffrischen
- zu einem anderen Verzeichnis oder Laufwerk wechseln


Ziel=Quelle

Fenster angleichen
Gleicht den Inhalt des Zielverzeichnisses dem Quellverzeichnis an.
Durch Drücken von STRG+Pfeil rechts (bzw. Pfeil links) wird das Verzeichnis bzw. Archiv unter dem Cursor im anderen Dateifenster geöffnet. Falls keine Datei/kein Archiv unter dem Cursor steht, bewirkt diese Tastenkombination dasselbe wie Fenster angleichen.


Speicherbedarf ermitteln
Ermittelt den Speicherbedarf der markierten Dateien und kompletter Unterverzeichnisse. Ist keine Datei markiert, wird der Platzbedarf der Datei oder des Unterverzeichnisses unter dem Cursorbalken errechnet. Außerdem wird die Dateigröße auf die Clustergröße des Quell- und Ziellaufwerks aufgerundet, um den tatsächlichen Platzbedarf zu schließen. Allerdings wird der Platzbedarf der Verzeichnisinformation selbst nicht mitberechnet.
Hinweis: Wenn das Quellverzeichnis einen Verzeichnisbaum (Tree) anzeigt, wird nur der Inhalt der tatsächlich markierten Verzeichnisse aufaddiert!
Mit ALT+ENTER auf einem Verzeichnis können sie auch direkt den Speicherbedarf nur dieses Verzeichnisses anzeigen lassen. Mit ALT+Umschalt+ENTER zeigen Sie zudem den Speicherbedarf ALLER Verzeichnisse dieses Verzeichnisses an.


Öffne Desktop-Verzeichnis
Öffnet das virtuelle Desktop-Verzeichnis. Dies erlaubt das Durchsuchen von Orten wie dem Arbeitsplatz, oder das Starten von Links auf dem Desktop.
Wichtig: Dies ist kein richtiges Verzeichnis! Deshalb können Sie von und zum Desktop auch keine Dateien packen oder entpacken, und auch F3 und F4 gehen nicht. Nur Operationen, die auch im Explorer gehen sind erlaubt, wie z. B. Kopieren, Umbenennen oder das Rechtsklickmenü.


Dateien packen

Packen
Ermöglicht das Packen von Dateien und Verzeichnissen mit den externen Packern pkZIP, ARJ, LHA, RAR, UC2 und ACE. Wählen Sie die Dateien und Verzeichnisse aus, die gepackt werden sollen, und wählen Sie anschließend Packen aus dem Menü Dateien, oder drücken Sie ALT+F5.
Darauf erscheint eine Dialogbox zur Angabe der Packer-Parameter.
Wichtig: In der Dialogbox muss unbedingt der Name des Packers (zip, arj, lha, rar, uc2 oder ace) mit einem Doppelpunkt vor dem Dateinamen stehen, ansonsten wird normal kopiert!!!
Bitte beachten Sie, dass die meisten Packer eine maximale Größe von 2 GB erlauben! Der interne ZIP-Packer erlaubt auch größere Archive (kompatibel mit Winzip und PKZIP), doch können diese nicht von allen ZIP-Packgrogrammen entpackt werden.
Hinweis: Zum Entpacken der gepackten Dateien brauchen Sie bloß auf das Archiv mit den gepackten Dateien doppelt zu klicken. Dies öffnet das Archiv und zeigt seinen Inhalt an. Sie können dann die Dateien einfach ins gewünschte Verzeichnis kopieren. Enthält die Archivdatei Unterverzeichnisse, so können Sie ganz normal in diese wechseln und Dateien daraus entpacken. Sie können jedoch nicht Dateien gezielt in ein Unterverzeichnis packen, außer mit dem internen ZIP-Packer sowie mit UC2. Trennen Sie dazu den internen Pfad durch einen Vorwärtsbruchstrich / vom Dateinamen!
Beispiel: zip:c:\test.zip/Dies/ist/ein/Pfad
CAB-Dateien können nicht erzeugt werden, nur entpackt!
Die Pack-/Entpack- (ZIP, TAR, RAR, externe Packer und bestimmte Plugins) und Kopieroperationen können in den Hintergrund verschoben werden, indem man im Fortschrittsdialog auf den "Hintergrund"-Knopf drückt. Dies erlaubt es, während der Operation andere Dinge mit Total Commander zu erledigen. Nach Beenden der Hintergrundoperation müssen Sie u.U. F2 oder STRG+R drücken, um das aktuelle Verzeichnis neu einzulesen, damit veränderte Dateien angezeigt werden.


Drucken
Öffnet ein Untermenü mit 3 Befehlen:
Dateiliste Öffnet eine Dialogbox mit der Druckvorschau zum Drucken einer Liste aller markierten Dateien. Je nach eingestelltem Darstellungsmodus werden nur die Dateinamen, alle Details oder der Verzeichnisbaum gedruckt. Bei den Dateilisten werden nur die markierten Dateien gedruckt, beim Verzeichnisbaum dagegen immer der ganze sichtbare Baum.
Dateiliste mit Unterverzeichnissen
Erlaubt das Drucken der markierten Dateien und Verzeichnisse inklusive Unterverzeichnisse. Dabei werden Sie aufgefordert, die Tiefe der zu druckenden Unterverzeichnisse anzugeben. -1 bedeutet alle Unterverzeichnisse (unbegrenzte Tiefe). Außerdem können Sie die zu druckenden Dateitypen festlegen, z. B. *.txt *.doc für alle Dokumente, oder *.* | *.bak *.~* zum Ausschluss von Sicherheitskopien. Funktioniert nicht mit FTP und Parallelport-Verbindungen.
Datei-Inhalt Erlaubt es, eine oder mehrere ewählte Dateien zu drucken. Dies geht allerdings nur, wenn die Dateien mit einer Anwendung zum Drucken verknüpft sind. Für nicht verknüpfte Dateien öffnen Sie die Datei mit einem passenden Editor und drucken sie mit diesem aus.
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so ist diese Funktion nicht verfügbar.


Suchen
Sucht nach bestimmten Dateien oder Verzeichnissen. Erlaubt zudem die Suche nach bestimmten Dateiinhalten.
Siehe auch Dialogbox Suchen
Search in separatem Prozess: Öffnet den selben Dialog wie oben, aber als separates Programm. Dies erlaubt die weitere Benutzung von Total Commander während der Suche, sowie den Start von mehreren gleichzeitigen Suchen. Hinweis: Die Suche auf FTP-Servern kann im separaten Suchdialog nicht benutzt werden. In der Titelleiste wird "Dateien suchen (separat)" angezeigt, damit es von der internen Suche unterschieden werden kann.


Dateiattribute setzen

Dateiattribute ändern
Ermöglicht das Setzen oder Löschen der Dateiattribute nur lesen (r), Archiv (a), Versteckt (h) und System (s). Wählen Sie die Dateien aus, deren Attribute geändert werden sollen, und wählen Sie anschließend Dateiattribute ändern aus dem Menü Dateien.
Außerdem können Sie mit diesem Befehl Datum und Zeit von Dateien ändern.
Dieser Befehl kann auch auf Dateien in den markierten Unterverzeichnissen wirken, sofern die entsprechende Option markiert ist.
Siehe Dialogbox Dateiattribute ändern
Falls Total Commander mit einem FTP-Server verbunden ist, wird die Dialogbox UNIX-Attribute ändern geöffnet.
Der Dialog kann direkt mit dem Befehl OPENATTRIBUTES mit bestimmten Parametern geöffnet werden:
= (am Anfang der Parameter): Attribute sofort anwenden
+a Archiv-Bit setzen
-a Archiv-Bit entfernen
+r Nur-Lesen-Bit setzen
-r Nur-Lesen-Bit entfernen
+h Versteckt-Bit setzen
-h Versteckt-Bit entfernen
+s System-Bit setzen
-s System-Bit entfernen
+f Auf Unterordener anwenden
-f Nicht auf Unterordener anwenden
+d Datumfeld setzen (muss mit Leerzeichen oder dem Ende des Befehls enden)
+t Zeitfeld setzen (muss mit Leerzeichen oder dem Ende des Befehls enden)
+c Aktuelles Datum und aktuelle Zeit setzen (+c +t verwenden, um nur das Datum zu ändern)
+L oder +L1 Lade von Datei unter Cursor (großes oder kleines L)
+L2 Lade von Datei unter Cursor im anderen Fenster
<Einstellungen> (am Ende der Parameter): Gespeicherte Pluginoptionen laden


Freigeben als
Unter neueren Windows-Versionen ist diese Funktion im Eigenschaften-Dialog enthalten. Sie öffnen diesen Dialog durch Drücken von ALT+ENTER auf einem Verzeichnis.
Sofern Sie Windows for Workgroups oder Windows NT 3.51 einsetzen, können Sie mit dieser Funktion das markierte Verzeichnis anderen Teilnehmern im Netz zur Verfügung stellen. Diese Funktion verhält sich gleich wie die gleichnamige Funktion im Windows Dateimanager. Freigegebene Verzeichnisse werden mit einer Hand unter dem Verzeichnissymbol markiert. Das Quellverzeichnis c:\ können Sie in der Baumdarstellung freigeben.
Siehe auch Freigabe beenden


DOS starten

Kommandozeilenfenster öffnen
Startet den Kommandointerpreter, auf den die Variable COMSPEC zeigt. Dies ist üblicherweise cmd.exe auf NT-basierten Systemen, bzw. command.com bei Win95-basierten Systemen, es kann aber auch ein benutzerdefinierter Interpreter wie etwa 4DOS/4NT sein. Der Kommandointerpreter startet mit dem Verzeichnis im Quellfenster.


Ziel<->Quelle

Fenster tauschen
Vertauscht den Inhalt des linken und rechten Dateifensters. Die Einstellungen des jeweiligen Dateifensters wie Sortierreihenfolge oder Dateityp werden beibehalten.
Diese Funktion erreichen sie auch über STRG+U.


System-Information
Öffnet eine Dialogbox mit diversen System-Informationen über Hardware und Software.


Teste Archive
Diese Option testet alle markierten Archive auf Fehler durch Entpacken in den Speicher und Berechnen der CRC-Prüfsumme. Falls diese nicht übereinstimmen oder sonst ein Fehler auftritt, zeigt Total Commander eine entsprechende Warnung. Da TAR-Archive nicht durch eine CRC-Prüfsumme geschützt sind, können TAR-Dateien nicht getestet werden.


Dateien entpacken

Entpacken
Ermöglicht das Entpacken aller oder spezifischer Dateien und Verzeichnisse aus einer Archivdatei. Bewegen Sie den Cursorbalken auf eine Archivdatei, und wählen Sie anschließend Entpacken aus dem Menü Dateien oder drücken Sie ALT+F9.
Darauf erscheint eine Dialogbox zur Angabe des Zielverzeichnisses und zur Eingabe der Namen der zu entpackenden Dateien. Diese Namen dürfen die Jokerzeichen * und ? enthalten. Die Eingabe von *.bmp entpackt z. B. alle Bitmap-Grafiken. Falls Sie einen Namen eingeben wollen, der Leerzeichen enthält, so müssen Sie diesen in doppelten Anführungszeichen schreiben, z. B. "Brief an Herrn Meier.doc".
Hinweis: Zum Entpacken einzelner Dateien brauchen Sie bloß auf das Archiv mit den gepackten Dateien doppelt zu klicken. Dies öffnet das Archiv und zeigt seinen Inhalt an. Sie können dann die Dateien einfach ins gewünschte Verzeichnis kopieren. Enthält die Archivdatei Unterverzeichnisse, so können Sie ganz normal in diese wechseln und Dateien daraus entpacken. Bitte beachten Sie, dass in gewissen RAR-Archiven auch die Dateinamen verschlüsselt sind. Total Commander zeigt in diesem Fall den Text <Verschlüsselt -> F5> an. Solche Archive können nur mit Alt+F9 oder F5 komplett entpackt werden.


Freigabe beenden
Unter neueren Windows-Versionen ist diese Funktion im Eigenschaften-Dialog enthalten. Sie öffnen diesen Dialog durch Drücken von ALT+ENTER auf einem Verzeichnis.
Sofern Sie Windows for Workgroups oder Windows NT 3.51 einsetzen, können Sie mit dieser Funktion für andere Teilnehmer im Netz freigegebene Verzeichnisse wieder sperren. Diese Funktion verhält sich gleich wie die gleichnamige im Windows Dateimanager.
Siehe auch Freigeben als


Eigenschaften

Eigenschaften (Versions-Information)
Diese Option zeigt den standardmäßigen "Eigenschaften"-Dialog des Systems an, den gleichen wie im Windows Explorer.
Der Dialog "Eigenschaften" zeigt Informationen auf mehreren Seiten an. Außerdem werden Versionsinformationen auf der Seite "Details" angezeigt, sofern die Datei diese enthält.
Er kann auch durch Drücken von ALT+ENTER geöffnet werden.


Datentraeger benennen

Datenträger benennen
Ermöglicht das Erzeugen oder Ändern der Datenträgerbezeichnung (Volumenname) für das aktive Fenster. Der Datenträgername darf aus maximal 11 Zeichen bestehen (NTFS: 32). Die folgenden Zeichen sind nicht erlaubt:
? / | ¦ . , ; : + = < > [ ] ( ) & ^ * " \


Registrieren

Bestellung Total Commander
Bitte bestellen Sie über unsere Homepage: www.ghisler.com


PC-Direktverbindung via USB oder Parallelport

PORT-Verbindung via USB- oder Parallelport zu anderem PC
Total Commander unterstützt den Datenaustausch zwischen 2 PCs über eine USB- oder Parallelport-Verbindung:
Verbindung über USB
Verbindung über den Parallelport


Dialogbox: Drucken

Druckdialog
Erlaubt das Drucken der markierten Dateinamen. Derselbe Dialog wird verwendet zum Drucken eines Verzeichnisbaums oder des Resultats eines Vergleichs in 'Verzeichnisse synchronisieren'. Der Dialog enthält die folgenden Elemente:
Schrift: Wählt die Schrift zum Drucken der Dateiliste. Die Druckvorschau wird bei jeder Auswahl eines anderen Schriftnamens, einer anderen Schriftgröße oder anderer Schriftparameter neu berechnet.
Hinweis: Einige Druckerschriften existieren nicht auf dem Bildschirm, und werden durch andere Ersatzschriften dargestellt. Dies bedeutet, dass die Anzeige anders als der Ausdruck aussieht. Der Buchstabenabstand dagegen ist identisch, da jeder Buchstabe einzeln auf dem Bildschirm dargestellt wird.
Ansicht: Bestimmt die Anzeige im Preview-Fenster. Diese Einstellungen haben keine Auswirkungen auf den eigentlichen Druck. In der oberen Combobox wählen Sie die anzuzeigende Seite, in der unteren die Darstellungsgröße im Vorschaufenster.
<Druckername> Wählen Sie hier den Druckernamen, falls Sie mehrere Drucker besitzen. Je nach Drucker sind die vorhandenen Schriften, der Buchstabenabstand und die Seitenränder verschieden. Wählen Sie deshalb unbedingt VOR dem eigentlichen Druck den gewünschten Drucker, nicht erst nach Betätigung des Knopfs 'Drucken'. Ansonsten stimmen Vorschau und eigentlicher Druck nicht überein.
Einstellungen Stellen Sie hier Seitenformat, Auflösung und weitere Druckparameter ein. Auch diese Einstellungen sollten Sie am Anfang machen, da sie Auswirkungen auf die Druckparameter haben können. Falls Sie immer dieselben Einstellungen verwenden, so können Sie diese in der Systemsteuerung - Drucker als Voreinstellung wählen.
Ränder Hier stellen Sie die Seitenränder sowie den Inhalt der Kopfzeile ein. Wenn Sie die Ränder auf 0 stellen, verwendet Total Commander automatisch die kleinstmöglichen Rändereinstellungen. Sie können die Ränder auch direkt durch Verschieben der Randmarkierungen in der Druckvorschau ändern. Außerdem können Sie eine Kopfzeile mit folgenden Parametern festlegen:
%p Aktuelle Seite
%t Totale Anzahl Seiten
%d Basisverzeichnis der Liste
%D Aktuelles Datum
%T Aktuelle Zeit (im Moment des Drucks)
%% Das Prozentzeichen
Drucken Öffnet eine Dialogbox zum Start des eigentlichen Drucks. Diese erlaubt auch die Auswahl des Druckbereichs:
Alles Alle Seiten drucken
Seiten Gewisse Seiten drucken
Markierung Druckt die aktuelle Seite.
Duplex Ein spezieller Druckmodus zum beidseitigen Bedrucken der Seiten, um Papier zu sparen. Total Commander druckt dabei zuerst jede zweite Seite und fordert dann zum Einlegen des soeben bedruckten Papiers auf, um noch die Rückseite zu bedrucken. Dabei muss das Papier so eingelegt werden, dass die im ersten Durchgang zuerst bedruckte Seite auch wieder als erste bedruckt wird, diesmal aber auf der Rückseite!
<Vorschaufenster>
Zeigt die Druckvorschau und erlaubt die Rändereinstellung per Maus. Wenn Sie keine Kopfzeile wollen, so müssen Sie den Kopfzeilentext per Dialogbox 'Ränder' löschen.


Kopieren

F5: Kopieren
Dieser Befehl kopiert Dateien und gesamte Verzeichnisse aus dem Quellverzeichnis in ein anderes Verzeichnis.
Wählen Sie die zu kopierenden Dateien und Verzeichnisse aus und drücken Sie F5.
Wenn nur eine Datei im selben Verzeichnis auf einen anderen Namen kopiert werden soll, so kann mit Umsch+F5 deren Dateiname als Ziel angezeigt werden. Dies geht auch mit mehreren Dateien: Sie können die Option Jede Datei einzeln umbenennen wählen, dann werden Sie bei jeder einzelnen Datei nach dem neuen Namen gefragt.
Sie können mit STRG+Umsch+F5 Verknüpfungen (Shortcuts, Dateien mit Endung .lnk) erzeugen!
Kopierdialog
Es erscheint eine Dialogbox, in der Sie den gewünschten Zielpfad und eine Dateimaske angeben können. Angeboten wird der Pfad des Ziel-Dateifensters sowie *.* als Dateimaske. Sie können eine beliebige Dateimaske wie z. B. *.neu angeben, dann wird die Datei beim Kopieren auch umbenannt. Wenn Sie kein Zielverzeichnis mit angeben, wird ins aktuelle Verzeichnis kopiert. Drücken Sie erneut F5, um nur den Dateinamen zu markieren, und ein drittes Mal, um auch dessen Erweiterung zu markieren. Strg+Pos1 positioniert den Cursor direkt an den Anfang des Dateinamens (hinter den letzten "\"). Die Kombinationsliste (Alt+Pfeil nach unten) bietet alle offenen Tabs und Unterverzeichnis zur Auswahl an.
Mit dem Button "+ F7" können Sie das aktuelle Zielverzeichnis zur Liste (Alt+Pfeil ab) hinzufügen oder es wieder entfernen. Ausserdem können Sie die oft benutzten Verzeichnisse (Verzeichnisliste, Lesezeichen) öffnen, um daraus einen Zielpfad zu wählen.
Im Feld Nur Dateien dieses Typs können Sie bestimmen, dass nur gewisse Dateien kopiert werden sollen.
Beispiele:
*.txt *.doc kopiert nur .txt und .doc-Dateien (gilt auch für Dateien in Unterverzeichnissen!).
*.* | *.bak *.old kopiert alles außer .bak und .old-Dateien
*.* | somedir1\ somedir2\ kopiert keine Unterverzeichnisse mit Namen somedir1 oder somedir2
Mit dem "+ F8"-Button oder der Taste F8 können Sie Suchfilter definieren, die mehr Optionen bietet, welche Dateien kopiert werden sollen - z. B. nach Größe, Datum oder über Inhaltsplugins. Sie können auch zusammengehörige Dateien kopieren. Beispiel: Sie möchten alle JPG-Bilddateien kopieren, sowie RAW-Bilddateien (.cr2), aber nur, wenn eine jpg-Datei gleichen Namens mit kopiert wird. Dies geht mit folgendem Markierstring: *.jpg>*.cr2 Bitte beachten Sie, dass diese Option nur auf markierte Dateien sowie auf Dateien in markierten Unterverzeichnissen andgewendet wird! Durch Anfügen von |**\ werden leere Verzeichnisse übersprungen.
Mit dem Knopf Baum (Tree) können Sie den Verzeichnisbaum des Ziellaufwerks anzeigen lassen, um das Zielverzeichnis bequem auswählen zu können. Wollen Sie ein anderes Laufwerk angezeigt bekommen, können Sie in der Dialogbox den Laufwerksbuchstaben mit Doppelpunkt angeben, bevor Sie Baum auswählen.
Mit dem Knopf F2 Warteschlange werden die Dateien in den zuletzt geöffneten Hintergrund-Transfermanager gestellt - praktisch, wenn man viele große Dateien aus mehreren Verzeichnissen kopieren will. Die Dateien werden so alle nacheinander kopiert, was viel effizienter ist als mehrere parallel.
Wenn Sie mit der rechten Maustaste auf den Knopf OK oder F2 Warteschlange klicken, können Sie einen Verschiebungsvorgang ausführen, anstatt zu kopieren (und umgekehrt, kopieren statt verschieben, wenn Sie das Dialogfeld F6-Verschieben geöffnet haben).
Sie können auch eine Datei an eine andere Datei anhängen. Stellen Sie erst sicher, dass die Bestätigungen zum Überschreiben nicht deaktiviert sind, dann kopieren Sie einfach die anzuhängende Datei auf die Datei, an welche Sie sie anhängen wollen. Total Commander zeigt nun den Überschreib-Bestätigungsdialog, in welchem Sie "Anhängen" wählen können.
Die Option Kopiere NTFS-Permissions erlaubt das Kopieren von NTFS-spezifischen Dateirechten wie Lese- und Schreibrechte sowie den Besitzer der Datei. Kopiert auch Auditing-Infos, sofern die Rechte dafür bestehen.
Falls die Option Verifizieren markiert ist, liest Total Commander die kopierte Datei nach dem Kopiervorgang erneut ein, und vergleicht die MD5-Prüfsumme mit dem Original. Dabei wird der Disk-Cache umgangen.
Beim Kopieren von Dateien in der Zweigansicht (Strg+B) gibt es die Option Relative Pfade beibehalten. Ist diese aktiv, werden Dateien inklusive Pfad relativ zum aktuellen Verzeichnis kopiert. Dadurch bleibt beim Kopieren die Verzeichnisstuktur erhalten.
Der Knopf Optionen erlaubt das Setzen von Optionen für unbeaufsichtigtes Kopieren: Standardmäßig fragt Total Commander vor dem Überschreiben von Dateien nach. Dieser Knopf erlaubt es, als Standard "Alle überschreiben", "Alle Überspringen" oder "Nur ältere Überschreiben" einzustellen. Klicken Sie auf den Button rechts davon, um die Standard-Überschreibmethode zu speichern.
Unter Optionen kann man ausserdem einstellen, die Attribute nur Lesen, versteckt oder System beim Überschreiben oder Bewegen von Dateien zu ignorieren. Der Optionen-Erweiterungsdialog kann nun festgepinnt werden, um offen zu bleiben.
Wenn Sie mehrere Verzeichnisse und/oder Links im Zielfenster markieren, erscheint eine zusätzliche Option zum Kopieren in ALLE diese Verzeichnisse. Dies passiert über den Hintergrund-Transfermanager. Falls Sie normale Dateien im Zielfenster markieren, z. B. nach Suchen - Anwenden, wird in die Verzeichnisse dieser Dateien kopiert.
Hinweis: Wenn die Option "Benutze Kopieren+Einfügen via Explorer" aktiviert ist, wird ein vereinfachter Kopierdialog verwendet, in dem nur Optionen zum Bestätigen oder Abbrechen des Vorgangs angezeigt werden.
Packen und Entpacken
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so erscheint die Dialogbox zum Entpacken der selektierten Dateien. Sie können Dateien auch direkt aus einem Archiv auf einen FTP-Server hochladen! Dabei werden die Dateien zuerst in ein temporäres Verzeichnis entpackt, und anschließend hochgeladen. Der umgekehrte Weg (FTP nach Archiv) geht dagegen nicht. Die Gefahr ist zu groß, dass nach einem langen Download das Packen schief geht, und damit alle heruntergeladenen Dateien verloren sind.
Wenn hingegen das Zielverzeichnis eine Archivdatei (gepackte Datei) anzeigt (und das Quellverzeichnis ein normales Verzeichnis), so erscheint die Dialogbox zum Packen der selektierten Dateien.
Möchten Sie ein neues Archiv anlegen und die selektierten Dateien dorthin packen, so drücken Sie einfach ALT+F5. Daraufhin erscheint wiederum die Dialogbox zum Packen der Dateien. Mit Umsch+ALT+F5 werden die Dateien nach dem Packen gelöscht. Neu können Sie Dateien direkt von einer Archivdatei in eine andere packen!
Möchten Sie die Archivdatei unter dem Cursorbalken (oder alle markierten Archive) komplett entpacken, so drücken Sie ALT+F9. Nach Eingabe des Zielverzeichnisses und eventuell einer Dateimaske werden alle Dateien aus dem Archiv entpackt (inkl. aller Unterverzeichnisse).
Kopierfortschrittsdialog
Im Kopierfortschrittsdialog werden, sofern verfügbar, dia Anzahl kopierten und insgesamt markierten Dateien sowie die kopierten und markierten Bytes angezeigt. Durch Klick auf die Anzeige kann auf die Anzahl verbleibenden Dateien/Bytes umgeschaltet werden (angezeigt durch ein Minuszeichen).
Die Pack-/Entpack- (ZIP, TAR, RAR, 7Z, externe Packer und einige Plugins) und Kopieroperationen können in den Hintergrund verschoben werden, indem man während des laufenden Kopiervorgangs auf den "Hintergrund"-Knopf drückt. Dies erlaubt es, während der Operation andere Dinge mit Total Commander zu erledigen. Die kompletten Dateinamen werden angezeigt, wenn man mit der Maus auf die Namen zeigt.
Es ist nun auch möglich, eine Hintergrund-Operation zurück in den Vordergrund zu holen, falls kein anderer Dialog offen ist.
Nach Beenden der Hintergrundoperation müssen Sie u.U. F2 oder STRG+R drücken, um das aktuelle Verzeichnis neu einzulesen, damit veränderte Dateien angezeigt werden.
Überschreibdialog
Dieser Dialog wird angezeigt, wenn eine Datei im Zielverzeichnis bereits existiert.
Dialog "Als Administrator"
Falls eine Dateioperation unter Windows XP/2000/NT/Vista/7..11 wegen fehlender Rechte misslingt, so werden Sie gefragt, ob Sie die Datei "Als Administrator" kopieren möchten. Dies startet ein kleines Programm, tcmadmin.exe, welches die gewünschte Operation als anderer Benutzer ausführt (bzw. mit erhöhten Rechten unter Vista/7..11, falls Sie bereits als Administrator angemeldet waren). Das Programm beendet sich nach einer benutzerdefinierten Zeitspanne, definiert durch die Zeile AdminTimeout in der Datei wincmd.ini. Während es läuft, werden Sie nicht erneut nach Ihrem Administratorpasswort gefragt. Tcmadmin beendet sich nicht, während es aktiv ist, etwa wenn Sie im Hintergrund Dateien als Administrator kopieren oder löschen.


Löschen

F8: Löschen
Wählen Sie die Dateien und Verzeichnisse aus, die gelöscht werden sollen, und drücken Sie F8 oder ENTF, oder ziehen Sie die Dateien per Drag&Drop auf den F8-Button.
Nach Bestätigen der Nachfrage werden die Dateien gelöscht. Der Vorgang kann jederzeit mithilfe der erscheinenden Dialogbox unterbrochen werden. Bei jedem zu löschenden Verzeichnis erscheint zusätzlich eine Nachfrage.
Die Dateien werden nicht sofort gelöscht, sondern in den Papierkorb verschoben. Doppelklicken Sie auf den Papierkorb auf dem Desktop, um diese Dateien wirklich zu löschen. Um die Dateien direkt ohne Umweg über den Papierkorb zu löschen, müssen Sie zum Löschen die Umsch (SHIFT)-Taste gedrückt halten. Sie können in 'Konfigurieren - Kopieren/Löschen' die entsprechende Einstellung ändern, um direkt mit F8/ENTF zu löschen.
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so wird der entsprechende Packer aufgerufen und angewiesen, die markierten Dateien zu löschen.
Die Löschoperation kann in den Hintergrund verschoben werden, indem man während des laufenden Löschvorgangs auf den "Hintergrund"-Knopf drückt.
Falls das Löschen unter Windows XP/2000/NT/Vista/7..11 wegen fehlenden Rechten misslingt, so werden Sie gefragt, ob Sie die Datei "Als Administrator" löschen möchten. Siehe F5: Kopieren für Details.


Editieren

F4: Editieren
Zeigen Sie auf die zu bearbeitende Datei und drücken Sie F4. Darauf wird der unter Einstellungen im Menü Konfigurieren gewählte Editor gestartet, mit dem Sie die Datei bearbeiten können. Das funktioniert allerdings nur mit Textdateien. Wollen Sie andere Dateien bearbeiten, doppelklicken Sie die Datei oder drücken Sie ENTER. Darauf wird das mit dieser Datei verknüpfte Programm gestartet.
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so wird die Datei unter dem Cursor automatisch entpackt und in den Editor geladen. Wenn Sie die Datei ändern und den Editor schließen, werden Sie gefragt, ob die Datei wieder ins Archiv zurückgepackt werden soll. Wählen Sie ja, so wird sie ins Archiv gepackt (mit korrektem Pfad) und anschließend gelöscht. Ansonsten wird sie nur gelöscht und das Archiv bleibt unverändert.
Falls Sie einen Editor für mehrere gleichzeitig geöffnete Dokumente benutzen, und dieser beim Drücken auf F4 innerhalb des Archivs bereits lief, so wird Total Commander nicht informiert, wenn dieser Editor geschlossen wird. Total Commander zeigt deshalb eine kleine Dialogbox mit dem Namen der geöffneten Datei an. In dieser können Sie bestätigen, wenn Sie mit der Datei fertig sind. Nach dem Klick auf Schließen fährt Total Commander so wie oben beschrieben fort.


Umsch+F4: Neue Textdatei
Nach dem Drücken auf Umschalt+F4 wird nach dem Namen der neuen Textdatei gefragt. Darauf wird die Datei angelegt, und der unter Einstellungen im Menü Konfigurieren gewählte Editor gestartet, mit dem Sie die Datei bearbeiten können, ausser wenn explizit kein Editor gesetzt wurde. Standard ist der Windows-Editor notepad. Das funktioniert allerdings nur mit Textdateien. Andere Dateien können Sie via (langen) Rechtsklick auf den Dateifensterhintergund anlegen (Untermenü "Neu" im Kontextmenü).
Es können auch Dateien in Archiven, auf FTP-Servern sowie in Dateisystem-Plugins mit Umsch+F4 angelegt werden. Dazu wird eine leere Datei im TEMP-Verzeichnis angelegt und im Editor geöffnet. Nach dem Speichern der Datei wird angeboten, diese ins Archiv zu packen bzw. zum Server hochzuladen.
Wenn der neue Name mit dem Zeichen '<' anfängt, können dieselben Platzhalter wie im Mehrfach-Umbenenntool verwendet werden. Sie können einige der Platzhalter über den [+]-Knopf neben dem Texteingabefeld einfügen.
Standardmässig fügen alle Platzhalter für Datum und Zeit das Datum und die Zeit von dem Moment ein, als die Dialogbox geöffnet wurde. Siehe Platzhalter [T1], [T2] und [T3] im Mehrfach-Umbenenntool.
Falls Sie mehrere Dateien gleichzeitig anlegen (mit der neuen Funktion "<1-10>[C]"), wird der Editor nicht gestartet.
Beispiele für Platzhalter: Resultat:
<[Y]-[M]-[D] todo notes.txt 2017-09-22 todo notes.txt
Beispiele: Erzeugung mehrerer Dateien: Resultat:
<1-10>[C].txt 1.txt, 2.txt ... 10.txt
<1-250>Aufgabe Nr [C:3].txt Aufgabe Nr 001.txt, Aufgabe Nr 002.txt ... Aufgabe Nr 250.txt
<5-8>Beispieldatei [C].txt Beispieldatei 5.txt, Beispieldatei 6.txt .. Beispieldatei 8.txt
<1-3>[Y]-[M]-[D] Notizen [C].txt 2017-09-22 Notizen 1.txt, 2017-09-22 Notizen 2.txt, 2017-09-22 Notizen 3.txt


Verzeichnis erstellen

F7: Verzeichnis erstellen
Dieser Befehl erstellt im Quellverzeichnis ein neues Unterverzeichnis. Dazu geben Sie in der nach Drücken von F7 erscheinenden Dialogbox den gewünschten Verzeichnisnamen ein. Falls sich der Cursor auf einem anderen Verzeichnis oder auf einer Datei befand, so wird der Name für das neue Verzeichnis vorgeschlagen (um mehrere ähnliche Verzeichnisnamen anzulegen). Mit Umsch+F7 erzeugen Sie das Unterverzeichnis im Zielfenster. Sie können nun auch mehrere Unterverzeichnisse auf einmal erzeugen. Geben Sie einfach alle Verzeichnisse durch \ getrennt ein, z. B. Verzeichnis1\Verzeichnis2\Verzeichnis3. Außerdem können Sie mehrere Unterverzeichnisse im selben Verzeichnis (oder verschiedenen) anlegen. Die Syntax dazu lautet:
dir1|dir2|dir3 oder c:\dir1|c:\dir2|c:\dir3
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so ist diese Funktion nicht verfügbar, außer bei ZIP-, RAR- und TAR-Archiven.
Wenn der neue Name mit dem Zeichen '<' anfängt, können dieselben Platzhalter wie im Mehrfach-Umbenenntool verwendet werden. Sie können einige der Platzhalter über den [+]-Knopf neben dem Texteingabefeld einfügen.
Standardmässig fügen alle Platzhalter für Datum und Zeit das Datum und die Zeit von dem Moment ein, als die Dialogbox geöffnet wurde. Siehe Platzhalter [T1], [T2] und [T3] im Mehrfach-Umbenenntool.
Falls das Verzeichnis unter Windows ab XP wegen fehlenden Rechten nicht angelegt werden konnte, so werden Sie gefragt, ob Sie das Verzeichnis "Als Administrator" anlegen möchten. Siehe F5: Kopieren für Details.
Beispiele für Platzhalter: Resultat:
<[Y]-[M]-[D] Downloads 2017-09-22 Downloads
<Kopie von [N] Kopie von Name (mit "Name" dem Namen der Datei/des Ordners unter dem Cursor)
Beispiele: Erzeugung mehrerer Ordner: Resultat:
<1-10>[C] 1, 2 ... 10
<1-250>Projekt Nr [C:3] Projekt Nr 001, Projekt Nr 002 ... Projekt Nr 250
<5-8>Beispielordner [C] Beispielordner 5, Beispielordner 6 ... Beispielordner 8
<1-30>[Y]-[M]-[C:2] Fotos 2017-09-01 Fotos, 2017-09-02 Fotos ... 2017-09-30 Fotos


Verzeichnis neu einlesen

F2: Quellverzeichnis neu einlesen
Drücken Sie F2 oder STRG+R. oder wählen Sie Quelle neu einlesen im Menü Befehle. Daraufhin wird das Verzeichnis, das eingerahmt ist, neu eingelesen.
Dies ist dann nötig, wenn Sie eine Diskette gewechselt haben, oder wenn Sie mit einem externen Programm ein neues Verzeichnis angelegt haben und den Verzeichnisbaum (Tree) auf den neuesten Stand bringen wollen.


Beenden

ALT+F4: Beenden
Beendet die Ausführung des Total Commanders und speichert die momentan gesetzten Verzeichnispfade in der Datei wincmd.ini.


Umbenennen

F6: Umbenennen/Verschieben
Dieser Befehl benennt Dateien und gesamte Verzeichnisse im Quellverzeichnis um oder verschiebt sie in ein anderes Verzeichnis. Außerdem können Sie Dateien in eine ZIP-Datei verschieben (d.h. packen und anschließend löschen).
Vorgehen:
Wählen Sie die Dateien und Verzeichnisse aus, die umbenannt oder verschoben werden sollen, und drücken Sie F6.
Verschiebedialog
Darauf erscheint eine Dialogbox, in der Sie den gewünschten Zielpfad und eine Dateimaske angeben können. Verschieben funktioniert analog zu Kopieren (F5). Drücken Sie ein zweites Mal F6, um nur den Dateinamen ohne Pfad zu markieren, und ein drittes Mal, um auch dessen Erweiterung zu markieren.
Wollen Sie die Datei(en) nur umbenennen, so geben Sie nur eine Dateimaske (z. B. *.txt) ohne einen Zielpfad ein. Daraufhin bleiben die gewählten Dateien im Quellverzeichnis und ändern bloß ihre Namen. Zum Verschieben geben Sie zusätzlich das Zielverzeichnis an. Sie können das Zielverzeichnis auch mit dem Verzeichnisbaum auswählen. Siehe dazu Kopieren (F5).
Durch Drücken von Umsch+F6 erhalten Sie ein lokales Editierfenster, mit dem Sie die Datei umbenennen können. Durch nochmaliges Drücken von Umsch+F6 wird nur der Dateiname markiert (ohne Erweiterung). Wichtig: Das Umbenennen müssen Sie mit ENTER bestätigen! Dasselbe Umbenennfenster erhalten Sie auch durch zweimaliges, langsames Klicken auf dieselbe Datei (kein Doppelklick). Möchten Sie dies verhindern, so fügen Sie den Eintrag InplaceRename=0 zum Abschnitt [Configuration] in der wincmd.ini hinzu. Sie können die Option Jede Datei einzeln umbenennen wählen, dann werden Sie bei jeder einzelnen Datei nach dem neuen Namen gefragt.
Nach Drücken von Umsch+F6 bei nur einer markierten Datei können Sie mit Pfeil auf/ab zur vorherigen bzw. nächsten Datei springen. Falls der Name geändert wurde, wird die Datei dabei umbenannt.
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so ist diese Funktion nicht verfügbar. Ausnahme: Mit Umsch+F6 können Sie neu einzelne Dateien/Verzeichnisse innerhalb einer ZIP-Datei umbenennen!
Zum Umbenennen ganzer Reihen von Dateien nach einem gewissen Schema eignet sich besonders das separate Mehrfach-Umbenenn-Tool (Strg+M).
Hinweis: Wenn die Option "Benutze Kopieren+Einfügen via Explorer" aktiviert ist, wird ein vereinfachter Verschiebedialog verwendet, in dem nur Optionen zum Bestätigen oder Abbrechen des Vorgangs angezeigt werden.
Falls das Umbenennen unter Windows XP/2000/NT und Windows Vista/7..11 wegen fehlenden Rechten misslingt, so werden Sie gefragt, ob Sie die Datei "Als Administrator" umbenennen möchten. Siehe F5: Kopieren für Details.


Dateien wählen
Dateien selektieren Sie einfach durch Anklicken mit der Maus oder Anwählen mit den Cursortasten und drücken der Taste Insert (Einf). Haben Sie die entsprechende Option (rechte Maustaste) unter Konfigurieren gewählt, so können Sie die Dateien auch mit der rechten Maustaste durch Anklicken auswählen. Wenn Sie ein Verzeichnis mit der Leertaste markieren, so wird automatisch der Speicherbedarf dieses Verzeichnisses aufsummiert!
Ab Version 8.5 können Sie einzelne Dateien durch Linksklick auf deren Symbol (Icon) markieren.
Mehrere aufeinanderfolgende Dateien selektieren
Klicken Sie auf die erste zu wählende Datei, drücken Sie die Umsch-Taste und anschließend klicken Sie auf die letzte zu markierende Datei. Wenn die Option rechte Maustaste eingeschaltet ist, so klicken sie die rechte Maustaste und ziehen Sie über die zu markierenden Dateien. Bei einem Touchscreen können Sie in diesem Modus Dateien markieren, indem Sie den Finger gedrückt halten, bis ein Rechteck erscheint. Ziehen Sie dann den Finger über die Dateien. Falls Sie den Bildschirm nur loslassen, wird das Kontextmenü angezeigt.
Neu in TC9: Wenn die Option linke Maustaste eingeschaltet ist, kann man wie im Explorer markieren: Hinter einen Dateinamen klicken, der noch nicht markiert ist, dann ein Rechteck zum Markieren aufziehen.
Neu in TC 9.1:
Neu können Wildcards auf bestimmte Verzeichnisse begrenzt werden, z.B. bei der Zweigansicht:
1. Relativ zum Basisverzeichnis: \subdir1\subdir2\*.ext oder \*.ext
2. Relative zu irgend einem Unterverzeichnis: subdir1\subdir2\*.ext (beachten Sie den fehlenden Backslash am Anfang)
3. Die Wildcard ** kann benutzt werden ,um eine beliebige Anzahl Verzeichnisse zu finden, z.B. findet subdir\**\*.txt Textdateien, wenn der Pfad den Verzeichnisnamen "subdir" irgendwo im Pfad enthält, wie subdir\subdir2\subdir3\test.txt.
Bestimmte Dateitypen selektieren/deselektieren
Drücken Sie Num + (bzw. Num -) auf dem numerischen Zahlenblock, oder wählen Sie eine der Markieroptionen aus dem Menü Markieren. Dann geben Sie den gewünschten Dateityp an (z. B. *.doc). Sie können auch mehrere Dateitypen angeben, und sogar Dateitypen, die nicht angezeigt werden sollen! Diese müssen Sie durch das Pipe-Symbol | abtrennen. Dieses Symbol wird verwendet, weil es kein gültiges Zeichen für Dateinamen ist.
Beispiel 1: w*.*|*.bak *.old markiert alle Dateien, die mit w beginnen und nicht mit .bak oder .old enden.
Beispiel 2: |*.exe markiert alle Dateien außer Programmen.
Als Alternative können Sie einen vordefinierten Filter wählen, welchen Sie über den Knopf 'Definieren' in derselben Dialogbox erzeugen können. Dieser Filter erlaubt dieselben Optionen wie der Suchen-Dialog, und wird auch über diesen konfiguriert!
Es lässt sich konfigurieren, ob Num + nur Dateien selektiert, oder auch Verzeichnisse. Mit Umsch+Num + wird die jeweils andere Option ausgewählt. Num - entfernt die Markierung aus Sicherheitsgründen IMMER von Dateien und Verzeichnissen, Umsch+Num - dagegen nur von den Dateien.
Sie können auch reguläre Ausdrücke verwenden: Diese müssen durch ein "<"-Zeichen eingeleitet werden, um sie von normalen Suchstrings unterscheiden zu können.
Sie können auch zusammengehörige Dateien markieren. Beispiel: Sie möchten alle JPG-Dateien markieren, sowie alle RAW-Bilddateien (.cr2), aber nur, wenn es eine jpg-Datei gleichen Namens im selben Verzeichnis gibt. Dies geht mit folgendem Markierstring:
*.jpg>*.cr2
Dies unterstützt auch komplexere Namensschemata. Beispiel: Falls die jpg-Datei IMG_1057.JPG heisst und die raw-Datei CRW_1057.CR2, dann verwenden Sie folgenden Markierstring:
*.jpg>crw*.cr2
Nicht mehr erwünschte Einträge können Sie mit Umsch+Entf aus der Liste löschen.
Alle/Keine Dateien selektieren
Wählen Sie Alle Dateien markieren bzw. Keine Dateien markieren aus dem Menü Markieren oder drücken sie die Strg-Taste zusammen mit Num + bzw. Num -. Es lässt sich konfigurieren, ob Strg+Num + nur alle Dateien selektiert, oder auch alle Verzeichnisse. Mit Strg+Umsch+Num + wird die jeweils andere Option ausgewählt. Strg+Num - entfernt die Markierung aus Sicherheitsgründen IMMER von allen Dateien und Verzeichnissen, Strg+Umsch+Num - dagegen nur von den Dateien.
Auswahl umkehren
Markiert alle noch nicht markierten Dateien im Quellverzeichnis und hebt die Markierung für die bisher markierten Dateien wieder auf. Drücken Sie dazu Num * (das Multiplikationszeichen) auf dem numerischen Tastenblock. Es lässt sich konfigurieren, ob die Markierung nur bei den Dateien umgekehrt werden soll, oder auch bei Verzeichnissen. Mit Umsch+Num * wird die jeweils andere Option ausgewählt (Dateien+Verzeichnisse falls Num * nur die Markierung von Dateien umkehrt).
Alle Dateien mit gleicher Erweiterung markieren
Dies markiert alle Dateien mit der selben Erweiterung (z.g. .doc) wie die Datei unter dem Cursor (bzw. entfernt die Markierung). Drücken Sie dazu Alt und Num + (oder Num -) auf dem numerischen Tastenblock, oder wählen Sie Alle Dateien mit gleicher Erweiterung markieren aus dem Menü Markieren.
Auswahl merken
Merkt sich die aktuelle Markierung intern. Kann mit dem nächsten Menüpunkt wiederhergestellt werden. Wird bei jeder Dateioperation automatisch aufgerufen.
Auswahl wiederherstellen
Stellt die Markierung wieder her, welche vor der letzten Dateioperation aktiv war. Taste: / (Divisionszeichen) auf dem numerischen Tastenblock.
Auswahl in Datei speichern
Merkt sich die aktuelle Markierung in einer reinen Textdatei.
Auswahl aus Datei laden
Stellt die Markierung aus einer Textdatei wieder her.


Dateiinhalte zeigen

F3: Dateiinhalte anzeigen
Wählen Sie die anzuzeigenden Dateien aus und drücken Sie F3, oder ziehen Sie die Dateien per Drag&Drop auf den F3-Button. Der eingebaute File-Lister des Total Commander zeigt darauf die gewählten Dateien an. Mit n schalten Sie weiter zur nächsten Datei, mit ESC kehren Sie zum Total-Commander zurück. Unter Einstellungen im Menü Konfigurieren kann gewählt werden, ob alle selektierten Dateien oder nur die Datei unter dem Cursor angezeigt werden sollen. Sie können Total Commander auch so konfigurieren, dass mit F3 ein externer Dateibetrachter aufgerufen wird.
Mit ALT schalten Sie dabei zwischen externem und internem Viewer um, mit Umsch zwischen einer und mehreren Dateien (mehrere nur intern). Mit Alt+Umsch lädt der Lister Dateien ohne Plugins oder Multimedia-Anzeige.
Wenn das Quellverzeichnis eine Archivdatei (gepackte Datei) anzeigt, so werden die markierte(n) Datei(en) automatisch entpackt und angezeigt. Die Datei(en) werden daraufhin in das Verzeichnis _tc\ unterhalb des Verzeichnisses entpackt, auf das die Umgebungsvariable temp zeigt. Sie können diese in der Systemsteuerung setzen, z. B. auf c:\temp Daraufhin werden alle temporären Dateien nach c:\temp\_tc entpackt. Beim Beenden von Total Commander wird das Verzeichnis _tc automatisch gelöscht (sofern es leer ist).


Schnellansicht
Dieser Befehl aktiviert den Schnellansichtsmodus, in dem der Inhalt der Datei unter dem Cursor anstelle des anderen Dateifensters angezeigt wird. Die Leiste über dem Dateiinhalt zeigt den Namen der Datei gefolgt vom Namen des verwendeten Lister-Plugins oder bei Musiktiteln den Namen des Titels und des Interpreten. Wenn sich der Cursor auf einem Ordner befindet, werden Informationen über den belegten Speicherplatz angezeigt.
Die Tastenkombination zum Aktivieren der Schnellansicht ist STRG+Q. Um die Schnellansicht zu deaktivieren, drücken Sie erneut STRG+Q oder wählen Sie ein anderes Laufwerk im Bereich der Schnellansicht aus.
Das Schnellansichtsfenster ist eigentlich ein Lister-Fenster. Wenn das Schnellansichtsfenster also aktiv ist, können Sie die gleichen Tastaturkürzel wie in Lister verwenden. Zum Beispiel STRG+F (oder F7) zum Suchen.
Wenn Sie das Schnellansichtsfenster vergrößern und die Menüoption Konfiguration/Position speichern wählen, verwendet Total Commander diese Breite für das Schnellansichtsfenster, unabhängig von den Fenstergrößen, wenn der Schnellansichtsmodus deaktiviert ist.
STRG+UMSCHALT+Q zeigt ein separates Schnellansichtsfenster an, das ebenfalls auf Lister basiert. In der Titelleiste eines separaten Schnellansichtsfensters wird nach dem Text "Lister" ein Sternchen (*) angezeigt, um es von normalen Lister-Fenstern zu unterscheiden. Sie können die Fensterposition speichern, indem Sie den Menüpunkt Optionen/Position speichern wählen. Dadurch wird die Fensterposition nur für separate Schnellansichtsfenster und nicht für normale Lister-Fenster gespeichert.


Quelle neu einlesen
Liest den Inhalt des aktiven Dateifensters neu ein, ebenso wie die Laufwerksbuttons. Diese Funktion wird in den folgenden Situationen benötigt:
- Sie haben eine Diskette oder Wechselplatte ausgetauscht
- Ein anderes Programm oder ein anderer Computer hat ins aktuelle Verzeichnis geschrieben
- Ein anderer Benutzer hat Daten auf dem FTP-Server verändert, mit dem Sie verbunden sind
Tastenkombination: F2 oder STRG+R


Reseller Info

Informationen für Wiederverkäufer
Als Wiederverkäufer können Sie Total Commander für Ihre Kunden bestellen. Bitte beachten Sie folgende Punkte:
- Bitte bestellen Sie Online über www.ghisler.com/dresellkey.htm
- Bitte geben Sie Ihre Reselleranschrit und Mailadresse unter Rechnungsinformationen an
- Bitte geben Sie Namen/Firmennamen und Adresse des Endkunden unter Zusätzliche Informationen an. Diese Informationen fließen in den Registrierschlüssel ein und werden nicht anderweitig verwendet.
- Leider können wir Ihnen keinen Händlerrabatt gewähren, da unsere Preise sehr knapp auf den Endkunden kalkuliert sind. Es steht Ihnen jedoch frei, Ihre Kosten dem Kunden weiter zu verrechnen. Wir geben keine unverb. Preisempfehlung.


Konfigurieren - Einstellungen speichern
Mit dieser Option werden die aktuellen Anzeigeoptionen und Verzeichnisse gespeichert, auch wenn die automatische Speicherung beim Beenden abgeschaltet ist. Außerdem werden die momentane Position (Fenstergröße und obere linke Ecke) sowie die aktuellen Tabulatorpositionen gespeichert. Die Position wird für jede Bildschirmauflösung separat gespeichert, was beim Wechsel zwischen verschiedenen Auflösungen praktisch ist.


Zeige administrative Freigaben
Zeigt administrative Freigaben wie C$ auf dem entfernten Rechner. Normalerweise müssen Sie dafür ein Administratorpasswort eingeben. Falls der Zielrechner mit Win9x oder ME läuft, so müssen Sie zuvor auf diesem via Systemsteuerung entfernte Administration erlauben.


Benutzerdefinierte Spalten
Hier können Sie eine von 29 verschiedenen Anzeigevarianten mit benutzerdefinierten Spalten wählen. Die angezeigten Felder können Sie via Konfigurieren - Benutzerdef. Spalten festlegen. Diese Anzeigevarianten sind nützlich für spezielle Dateien, etwa zum Anzeigen von Erstelldatum und -zeit oder der Programmversionsnummer, oder (via Plugins) von mp3-Tags wie Künstler, Titel usw.


Benutzerdefinierte Ansichten

Benutzerdefinierte Ansichtsmodi
Hier können Sie einen benutzerdefinierten Ansichtsmodus einstellen. Die Ansichten können Sie via Konfigurieren - Einstellungen - Ansichtsmodus festlegen. Sie ermöglichen eine andere Hintergrundfarbe für Dateifenster, eine Farbe und ein Symbol für die Tab-Reiter, und die Einstellung der Spaltenansicht und Sortierung.


Dateien anzeigen
Zeigt die spezifizierten Dateitypen an:
Alles Zeigt alle Dateien.
Programme Zeigt Programme (*.exe;*.com;*.bat;*.pif;*.cmd) an.
(benutzergewählt) Zeigt Dateien mit der vom Benutzer zuletzt gewählten Spezifikation an.
Benutzerdefiniert Ruft eine Dialogbox auf, in der die darzustellenden Dateitypen angegeben werden können, getrennt durch ein Leerzeichen " ". Sie können auch Dateien und Verzeichnisse ausschließen, indem Sie einen senkrechten Strich | als Trennzeichen verwenden.
Beispiele:
*.bmp *.gif *.jpg Zeigt Grafikdateien dieser Typen an.
*.* | *.bmp *.gif *.jpg Zeigt alles AUßER diesen Grafikdateien an.
*.* | .cvs\ Zeige keine Verzeichnisse mit Namen ".cvs"
*.txt | *\ Zeigt nur Textdateien an, versteckt alle Verzeichnisse


Separaten Verzeichnisbaum anzeigen
Die Option Separater Verzeichnisbaum erlaubt die Anzeige von einem, zwei oder keinem separaten Verzeichnisbaum. Das Fenster für den separaten Verzeichnisbaum wird zusätzlich zu den normalen Dateifenstern angezeigt, und kann nur den dynamisch erweiterbaren Verzeichnisbaum anzeigen. Sie können tieferliegende Äste durch Drücken der Tasten + und - auf der numerischen Tastatur anzeigen, oder durch Klicken mit der Maus auf das +/- Zeichen links neben dem Verzeichnissymbol.
Falls Sie sich für einen separaten Verzeichnisbaum entscheiden, so zeigt dieser das aktuelle Verzeichnis im aktiven Dateifenster an, und rollt dieses in den sichtbaren Bereich. Falls Sie sich dagegen für zwei Verzeichnisbaumfenster entscheiden sollten, erhält jedes Dateifenster seinen eigenen Verzeichnisbaum.
Der Baum wird anfänglich nicht geöffnet, um das Starten von Total Commander zu beschleunigen. Erst beim ersten Verzeichniswechsel oder Fensterwechsel wird das dann aktive Verzeichnis im Baum angezeigt.
Sie können die folgenden Dateioperationen im separaten Verzeichnisbaum ausführen: Kopieren/Ausschneiden/Einfügen, Löschen, Umbenennen (Umschalt+F6), Eigenschaften (Alt+Eingabetaste), Kontextmenü mit der rechten Maustaste, Drag & Drop.


Dateianzeige kurz oder lang

Dateianzeige kurz, lang, Kommentare
Kurz zeigt nur die Dateinamen an. Lang hingegen zeigt zusätzlich Größe, Datum und Zeit der letzten Änderung sowie Attribute an. Kommentare zeigt den Dateinamen plus einen eventuell vorhandenen Kommentar aus einer der Dateien descript.ion oder files.bbs. Falls beide Dateien im selben Verzeichnis existieren, so nimmt er die Kommentare aus der bevorzugten Datei. Diese lässt sich via Konfigurieren - Operation festlegen.


Dateien sortieren

Sortieren
Sortiert die angezeigten Dateien nach dem spezifizierten Kriterium:
Nach Name sortiert die Dateien nach ihrem Namen (vor dem Punkt)
Nach Erweiterung sortiert die Dateien nach dem Typ (die 3 Zeichen nach dem Punkt)
Nach Größe sortiert die Dateien nach ihrem Platzbedarf auf dem Datenträger
Nach Datum/Zeit sortiert die Dateien nach ihrem Erstelldatum
Unsortiert trennt nur Verzeichnisse und Dateien, sonst Reihenfolge wie auf dem Datenträger (oder wie beim DIR-Kommando)
absteigend sortiert sortiert rückwärts, d.h. Z vor A, bzw. die größte oder jüngste Datei zuerst
Hinweis: Bei der Wahl Sortierreihenfolgen Nach Name und Nach Erweiterung wird automatisch aufsteigend sortiert, bei der Wahl von Nach Größe und Nach Datum/Zeit wird absteigend sortiert gewählt, da diese Kombinationen die gängigsten sind.


Miniaturansicht
Miniaturansicht zeigt Vorschaubilder für diverse Dateitypen an. Diese können über verschiedene Funktionen extrahiert werden, u.a. über eine Betriebssystemfunktion, via Irfanview/Xnview, oder über neuere Lister-Plugins. Die Größe der Vorschaubilder kann über Konfigurieren - Miniaturansicht verändert werden, ebenso wie diverse andere Optionen. Außer dem Bild und dem Dateinamen können Sie diverse andere Felder anzeigen lassen, etwa die Dateigröße, oder (über Plugins) Infos von Digitalkameras wie die Belichtungszeit.
Vorschaubilder funktionieren zzt. im normalen Dateimodus, nicht jedoch mit Archiven oder FTP-Verbindungen. Gewisse Plugins können neu auch Vorschaubilder unterstützen. In virtuellen Ordnen können Vorschaubilder nicht via Lister-Plugins oder Irfanview/XNView geladen werden.


Verzeichnisbaum anzeigen
Diese Option zeigt den Verzeichnisbaum an. Standardmäßig zeigt Total Commander nur die Verzeichnisse im Hauptverzeichnis der Festplatte an. Sie können tieferliegende Äste dann durch Drücken der Tasten + und - auf der numerischen Tastatur anzeigen, oder durch Klicken mit der Maus auf das +/- Zeichen links neben dem Verzeichnissymbol.
Falls Sie den alten Verzeichnisbaum bevorzugen, so können Sie ihn in Konfigurieren - Einstellungen - Ansicht einstellen (Immer vollständigen Verzeichnisbaum laden). Total Commander zeigt dann immer alle Verzeichnisse und Unterverzeichnisse des aktuellen Laufwerks. Nach dem ersten Einlesen wird die Baumstruktur in der Datei treeinfo.wc im Hauptverzeichnis des Laufwerks abgelegt - falls beschreibbar - sonst in %LOCALAPPDATA%\GHISLER\ auf NT-basierten Systemen. Werden neue Verzeichnisse erzeugt, bzw. bestehende gelöscht oder verschoben, so wird nur noch diese Datei geändert. Dies ist viel schneller, als wenn jedes Mal der komplette Baum eingelesen werden müsste.
Wenn Sie Verzeichnisbaum im Menü links wählen, so wird der Baum zum rechts dargestellten Laufwerk angezeigt, und umgekehrt.
Haben Sie außerhalb von Total Commander (mit anderen Programmen) Verzeichnisse gelöscht oder hinzugefügt, müssen Sie den Baum mit STRG+R wieder neu einlesen (falls der vollständige Baum gewählt wurde).
Sie können einen neuen Ort festlegen für die Datei treeinfo.wc, via wincmd.ini, Eintrag TreeFileLocation= unter [Configuration]. Die Details dazu entnehmen sie bitte der Seite Aufbau der Datei wincmd.ini!


Verzeichnisse synchronisieren und FTP-Server
1. Zweck
Mit dieser Funktion können Sie einen Internet-Server wie z. B. eine persönliche Homepage aktuell halten. Sie bearbeiten die einzelnen Seiten lokal mit einem Editor, und laden jeweils nur die geänderten zum Server hoch. Sie müssen vorsichtig vorgehen, damit das richtig funktioniert! Deshalb lesen Sie bitte das folgende gründlich durch:
2. Das Problem mit Dateidatum/-zeit und FTP
Normalerweise, wenn Sie eine Datei von einem Verzeichnis in ein anderes kopieren, behält die Datei ihr Datum der letzten Änderung bei. Wenn Sie eine Datei jedoch zu einem FTP-Server hochladen, so gibt es nicht immer eine Möglichkeit dem Server mitzuteilen, welches Datum/welche Zeit die Datei hat! Deshalb erhält die Datei das aktuelle Datum und die aktuelle Zeit des FTP-Servers! Dies ist ein Problem, da selbst nach dem Synchronisieren lokales und entferntes Verzeichnis verschieden wären! Nur einige neuere Server unterstützen einen der Befehle MDTM, MFMT oder SITE UTIME, um das Datum zu setzen.
3. Wie wird das in Total Commander gelöst?
Direkt nach dem erfolgreichen Upload versucht Total Commander, das Datum via MDTM, MFMT oder SITE UTIME zu setzen. Schlägt das fehl, dann setzt die Synchronisier-Funktion Datum und Zeit der lokalen Datei auf Datum/Zeit der entfernten Datei. Nun sehen die 2 Dateien identisch aus! Dies kann jedoch andere Probleme hervorrufen: Sie können dieses Verzeichnis nicht mit einem anderen Verzeichnis oder einem zweiten FTP-Server synchronisieren, weil sich bei jedem Upload Datum/Zeit der lokalen Datei ändern! Deshalb ist es wichtig, falls Sie Synchronisieren mit einem FTP-Server verwenden, dass Sie die Funktion nicht mit mehreren Zielverzeichnissen verwenden! Total Commander ändert das Datum der lokalen Dateien NICHT, wenn die Option "Datum ignorieren" markiert ist! Ausserdem kann das Ändern des Datums der lokalen Dateien via wcx_ftp.ini deaktiviert werden: SyncAllowChangeLocalTime=0.
4. Andere Probleme und ihre Lösungen
Problem: Der FTP-Server kann in einer anderen Zeitzone liegen als Ihr Computer! Beispiel: Der Server könnte in Kalifornien oder New York stehen, während Sie in Europa sind!
Lösung: Bevor Sie den Vergleich starten, wählen Sie den Zeitzonenunterschied in Stunden zwischen Ihrer Position und dem Server. Falls der Server westlich liegt, so ist die Zeitzonendifferenz positiv. Beispiel: Von Deutschland nach Kalifornien sind es 9 Stunden, von Deutschland nach New York 6 Stunden Unterschied. Achtung: Wird der Befehl MLSD zum Lesen des Verzeichnisses verwendet, so melden die meisten Server Datum und Zeit in UTC (Standardzeit), welche zeitzonenunabhängig ist. In diesem Fall muss die Zeitzonendifferenz auf 0 gesetzt werden!
Problem: Bevor Sie Verzeichnisse synchronisieren gestartet haben, haben Sie gewisse Dateien direkt mit Total Commander hochgeladen, oder einem anderen FTP-Programm. Nun werden sogar gleiche Dateien als verschieden angezeigt!
Lösung: Damit Sie sowieso identische Dateien nicht nochmals hoch- oder herunterladen müssen, so wählen Sie alle Dateien, von welchen Sie wissen, dass sie identisch sind. Klicken Sie mit der rechten Maustaste darauf, dann wählen Sie 'Setze lokales Dateidatum auf entferntes Datum'. Danach werden die entsprechenden Dateien als identisch angezeigt.
Problem: Unix-Rechner unterscheiden zwischen Groß- und Kleinschreibung bei Dateinamen. Windows-Rechner dagegen können zwar unterschiedliche Großschreibung darstellen, nicht jedoch zwischen mehreren Dateien mit unterschiedlicher Schreibung unterscheiden.
Lösung: Wenn Total Commander eine Datei auf den FTP-Server hochlädt und dort bereits eine Datei mit demselben Namen, aber anderer Schreibung findet, so erhält die hochgeladene Datei denselben Namen wie die bereits vorhandene Datei. Dies verhindert, dass zwei Dateien mit demselben Namen im gleichen Verzeichnis stehen. Falls Sie den Namen der Datei mit hochladen wollen, so müssen Sie die entfernte Datei vorher löschen (markieren+Rechtsklickmenü->Löschen). Bei noch nicht vorhandenen Dateien können Sie wählen, ob die Datei ohne Namensänderung oder mit Kleinbuchstaben hochgeladen werden soll.
Problem: Unix-Rechner speichern Textdateien auf andere Art als DOS/Windows-Rechner. Unix-Rechner speichern das Zeilenende als einzelnes Zeichen, während DOS/Windows zwei Zeichen verwenden (Wagenrücklauf / Zeilenvorschub). Deshalb sind Textdateien (inkl. HTML) auf Unix-Rechnern kleiner als auf DOS/Windows-Rechnern!
Lösung: Wenn Total Commander zwei Dateien mit demselben Datumsstempel findet, aber mit verschiedener Größe, so zählt er die Zeilenenden der lokalen Datei, und berechnet daraus die entsprechende Größe der Datei auf dem Unix-Rechner. Sind die Größen identisch, so zeigt die Synchronisieren-Funktion folgendes Symbol:
Für weitere Informationen siehe die Dialogbox Verzeichnisse synchronisieren.


Verzeichnisse synchronisieren
Mit diesem Befehl können Sie 2 Verzeichnisse inkl. Unterverzeichnissen vergleichen, und die neueren Dateien ins jeweils andere Verzeichnis (oder ein beliebiges anderes Verzeichnis) kopieren. Außerdem können Sie ein Verzeichnis mit einer ZIP-Datei oder mit einem Verzeichnis auf einem FTP-Server vergleichen.
Diese Funktion ist auch sehr nützlich, um nach dem Brennen einer CD-R das Resultat mit den Originalen zu vergleichen. Dazu müssen Sie die Option "nach Inhalt" markieren.
Wichtiger Hinweis: Beim Abgleich eines FTP-Servers mit einem lokalen Verzeichnis mit dem Synchronisieren-Knopf werden beim Hochladen (Upload) von Dateien das Datum und die Zeit der lokalen Dateien verändert! Lesen Sie dazu bitte unbedingt den Abschnitt Verzeichnisse synchronisieren und FTP-Server und Synchronisieren mit FTP und MLSD!
Siehe Dialogbox Verzeichnisse synchronisieren.


Verzeichnisse synchronisieren mit FTP und MLSD
========================================================
============ WICHTIGER HINWEIS, BITTE LESEN! ===========
========================================================
Total Commander benutzt wenn möglich den MLSD-Befehl zum Einlesen von Dateilisten
Total Commander benutzt nun den Befehl MLSD (machine list directory) anstelle von LIST, um die Liste der Dateien in einem Verzeichnis zu ermitteln. Dies hat mehrere Vorteile:
1. Die gelistete Zeit hat eine Auflösung von 1 Sekunde, während der LIST-Befehl oft nur Stunden und Minuten meldet
2. Die Zeit wird in UTC (Standardzeit, früher Greenwich Mean Time genannt) angezeigt, was es leicht macht, Dateien mit einem Server in einer anderen Zeitzone zu synchronisieren
3. Das Format des MLSD-Listings ist standardisiert, deshalb gibt es weniger die Gefahr, dass Angaben falsch interpretiert werden
Das Problem mit MLSD und älteren Synchronisierungen:
Es gibt ein paar Probleme mit MLSD, die Sie kennen sollten:
1. Falls Sie ältere Versionen von Total Commander benutzt haben, um Verzeichnisse via FTP zu synchronisieren, könnte diese Synchronisierung auf sehr ungenauen Zeitangaben basieren: LIST auf Unix-Servern gibt die Zeit ohne Sekunden zurück. Für ältere Dateien (aus früheren Jahren) wird sogar nur das Datum ohne Zeit gemeldet!
Deshalb werden viele Dateien, die unter TC 7.50a und älter noch als gleich gemeldet wurden, neu als neuer oder älter gemeldet. Wenn Sie sicher sind, dass die Dateien identisch sind, können Sie deren Datum+Zeit via Rechtsklickmenü von den Dateien auf dem Server auf die lokalen Dateien übertragen.
2. Einige ältere Server melden symbolische Links als Dateien oder Verzeichnisse, statt sie als Links zu melden, wie es der LIST-Befehl normalerweise macht. Verzeichnisse Synchronisieren ignoriert Links, um Schleifen zu vermeiden, wo ein Link auf dasselbe Verzeichnis oder ein Vaterverzeichnis zeigt. Falls Sie auf einen solchen Server zugreifen und in den zu synchronisierenden Verzeichnissen symbolische Links verwenden, sollten Sie den MLSD-Befehl abschalten. Das geht via Strg+F - Bearbeiten - Erweitert. Schalten Sie dort die Option MLSD für Listings benutzen ab.
Bitte lesen Sie auch die Seite Verzeichnisse synchronisieren und FTP-Server !


Vertikale Anordnung
Zeigt die 2 Fenster übereinander statt nebeneinander.


Was ist neu (Fortsetzung)

KWas ist neu (Fortsetzung)?
Neue Funktionen und Korrekturen in Total Commander 8.52a (Betas und Release-Version):
- Diese Versionen korrigieren Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.52 (Betas und Release-Version):
- Diese Versionen korrigieren Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.51a (Release-Version):
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.51 (Release-Version):
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.51 Release-Kandidat 2+3:
- Diese Versionen korrigieren Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.51 Release-Kandidat 1:
- Weitere Geschwindigkeitsoptimierungen bei Windows-Freigaben und Symbolanzeige
Neue Funktionen und Korrekturen in Total Commander 8.51 beta 5:
- F5 Kopieren: Rechtsklick auf OK- bzw. Warteschlange-Knopf erlaubt das Verschieben der Dateien (und umgekehrt für F6)
- Laden von Symbolen für interne Verknüpfungen ebenfalls über einen Hintergrund-Thread
Neue Funktionen und Korrekturen in Total Commander 8.51 beta 4:
- Laden von verknüpfungsspezifischen Symbolen (z. B. für *.txt) wurde in Hintergrund-Tread verschoben
- Neue Methode zum Ermitteln, welche Ordner freigegeben sind (durch Anlegen einer Liste mittels NetShareEnum)
Neue Funktionen und Korrekturen in Total Commander 8.51 beta 3:
- FTP, Dateien hochladen: Blockgröße je nach Geschwindigkeit dynamisch zwischen 512 Byte und 32 kByte wählen
- FTP, Umbenennen einer Datei (Umsch+F6): Überschreiben-Dialog zeigen, falls Datei existiert
Neue Funktionen und Korrekturen in Total Commander 8.51 beta 2:
- Mehrfach-Umbenenntool: Zähler [C] unterstützt nun Bruchzahlen, z. B. [C+1/100]
Neue Funktionen und Korrekturen in Total Commander 8.51 beta 1:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.50 (Release-Version):
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.50 Release-Kandidat 2+3:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.50 Release-Kandidat 1:
- F5, F6, Umsch+F6: Entfernen von Zeichen #00-#31 wie z. B. Umbrüchen (LF) beim Einfügen des Namens aus der Zwischenablage
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 15:
- Miniaturansicht auch in virtuellen Ordnern wie den "Bibliotheken" von Windows 7/8
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 14:
- Schnelleres Einlesen von Verzeichnissen mit vielen Unterverzeichnissen, wenn Overlay-Symbole deaktiviert sind
- Funktion zum Verifizieren nach dem Kopieren auf vielfachen Wunsch wieder eingebaut
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 13:
- Schnelleres Laden von Miniaturbildern aus dem Cache bei der Benutzung eines langsamen Virenscanners: Cachedatei für mehrere Bilder offen behalten
- Verhindern, dass TC beim Einlesen von Netzwerkverzeichnissen hängt, wenn das Netzwerk unerreichbar ist
- Funktion zum Verifizieren nach dem Kopieren wurde wegen ungelöster Probleme entfernt
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 12:
- Weniger Hänger beim Zugriff auf Netzwerklaufwerke, wenn diese nicht mehr verfügbar sind
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 11:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
- Kein Verfalldatum mehr, stabil genug für tägliche Benutzung
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 8-10:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 7:
- Festlegen, wie der Hintergrund-Transfermanager beim Überschreiben vorgehen soll, wenn weitere Dateien in die Liste übernommen werden (BackgroundCopyFlags in wincmd.ini)
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 6:
- Rückkehr zur Schrift "Microsoft Sans Serif" bei bestehenden Installationen. Die neue Schrift "Segoe UI Halbfett" kann manuell eingestellt werden.
- Entpacken von mehrteiligen 7zip-Archiven
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 5:
- Markieren von Dateien durch Klick auf das Symbol kann nun über die Einstellungen konfiguriert werden
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 4:
- Schrift "Segoe UI Semibold" als neue Standardschrift für Hauptfenster und Dateilisten verwenden, falls verfügbar (Windows Vista oder neuer)
- "Verifizieren" wird nun direkt im F5-Kopieren-Dialog angezeigt. Die Option im Konfigurationsdialog legt fest, ob die Option beim Start von Total Commander gesetzt ist.
- Hintergrund-Transfermanager (F5-F2): Position+Größe können gespeichert werden (via Systemmenü)
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 3:
- Separate Befehle zum Anzeigen/Verstecken von versteckten und Systemdateien: cm_SwitchHid und cm_SwitchSys
- Automatisches Wieder-Hochladen von Dateien zu FTP-Servern und Dateisystem-Plugins ist nun deaktiviert. Der Benutzer wird beim ersten Bearbeiten gefragt, ob er es aktivieren möchte
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 2:
- Laufwerksauswahlbox: Kontextmenü auch mit Umsch+F10 oder spezieller Kontextmenütaste öffnen
- Einige der neuen Funktionen sind nun konfigurierbar, z. B. das Markieren von Dateien durch Klick auf ihr Symbol
Neue Funktionen und Korrekturen in Total Commander 8.50 beta 1:
- Entpacken von mehr Archivformaten: 7zip, neues RAR5-Format, sowie -lh6- und -lh7- (LHA)
- RAR mit verschlüsselten Dateinamen: Anzeigen des Archivinhalts nach Eingabe des Passworts
- Dateien packen/entpacken: Option, das zuletzt eingegebene Passwort zu behalten, bis TC minimiert wird, Windows in den Standbymodus wechselt, oder der Bildschirmschoner startet
- Unterstützung für Fingerbedienung auf Tabletts: Markieren durch Tippen auf Symbole, Rechtsklick durch langes Tippen
- Unterstützung für Displays mit hoher Auflösung (high DPI)
- Verzeichnisliste (Alt+F1/Alt+F2): Links zu "Computer" und "Eigene Dateien". Konfigurierbar via ShowExtraDrives in wincmd.ini
- Verzeichnisliste (Alt+F1/Alt+F2): Kontextmenü direkt in der Liste öffnen, ohne vorher ein Laufwerk wählen zu müssen
- Ein Ausrufezeichen links von einigen Optionen anzeigen als Warnung, z. B. dass Dateien nicht dorthin kopiert werden, wo das der Benutzer erwartet, etwa beim Kopieren aus der Zweigansicht, sowie beim Packen+Entpacken
- Anzeige von Dateigröße und Datum/Zeit auch in virtuellen Geräten, die über MTP verbunden sind, wie z. B. Android-Telefonen/Tablets
- Markieren und Kopieren von zugehörigen Dateien. Beispiel: *.jpg > crw*.cr2 markiert/kopiert RAW-Dateien nur dann, wenn es zugehörige JPG-Dateien gibt
- F5 Kopieren: Erst alle Dateien kopieren, bei denen der Benutzer nicht wegen Überschreiben usw. gefragt werden muss, erst am Ende fragen
- F5 Kopieren: Option, Dateien nach dem Kopieren zu verifizieren
- F5 Kopieren: Option zum behalten von Pfaden relativ zum aktuellen Verzeichnis wenn in Zweigansicht (Strg+B)
- Alt+F5 packen: Neue Option, beim Packen von Ordnern in separate Archive den Namen des markieren Ordners weg zu lassen
- F8 Löschen: Erst am Ende warnen, wenn Verzeichnisse nicht gelöscht werden konnten
- F8 Löschen: Immer die neue Löschmethode benutzen, auch wenn VistaDelete nicht gesetzt ist. Falls die Windows-Löschbestätigungen deaktiviert sind, eigenen Dialog anzeigen
- Suchen-Funktion: Suche nach Text unterstützt jede Kombination von ANSI, ASCII, UTF-16, UTF-8 Unicode und Office XML/EPUB zur gleichen Zeit
- Suchen-Funktion: Verzeichnis überspringen durch Klick auf seinen Namen in der Statuszeile (mit Rückfrage). Erlaubt es auch, die Suche zu pausieren
- Suchen-Funktion: Öffnen in separatem Prozess via Alt+Umsch+F7, sodass TC während der Suche weiter benutzt werden kann
- Suchen-Funktion: "Anwenden" auch bei Suche in Archiven, FTP-Servern und in Dateisystem-Plugins
- Suche nach doppelten Dateien: Suche nach Pluginfeldern, z. B. Namensteilen, Erweiterung usw.
- Suche nach doppelten Dateien, Anwenden: Neue Dialogbox speziell zum Markieren von Dateien innerhalb der gefundenen Dateigruppen mit als doppelt erkannten Dateien, z. B. nach neuester, ältester usw.
- Vergleich nach Inhalt: "Resynchronisiere Vergleich ab hier" nun auch möglich, nachdem eine Datei bearbeitet wurde
- FTP/Dateisystem-Plugins: Beim Bearbeiten einer Datei mit F4 wird diese automatisch zum Server hochgeladen, sobald sie im Editor gespeichert wird. Es ist nicht mehr nötig, den Editor zu schließen. Ändern via Einstellungen für Viewer/Editor.
- Buttonbar: Unterstützung für mehrere interne oder benutzerdefinierte Befehle auf einem Button, z. B. cm_SelectAll,cm_Copy
- Neue wincm.ini-Optionen CopyLinks und IgnoreLinks zum Festlegen, wie mit Dateisystem-Links umgegangen werden soll
- Verifiziere CRC-Prüfsummen: Unterstützt nun auch SHA512
- Fortschrittsdialog: Zeige Anzahl Dateien/Bytes in mehr Funktionen. Wechseln zu verbleibenden Dateien/Bytes durch Klick auf die Nummern
- Verbesserter Hintergrund-Fortschrittsdialog: Zeige Anzahl kopierte und total markierte Dateien+Dateigrößen, "Vordergrund"-Knopf
- Option "Zeige versteckte und Systemdateien" in 2 separate Optionen für versteckte bzw. Systemdateien aufgetrennt
- Option für mehr Einträge in diversen Verlaufslisten, setzen via wincmd.ini: HistoryLen für Verzeichnisliste, OldCmdLineCount für Kommandozeile, MaxItemsInComboBox für Komboboxen in F7 Neuer Ordner, Alt+F7 Suchen, Num+ Dateien markieren usw.
- Lister, Rechtsklickmenü: Direkt nach markiertem Text via Google suchen (konfigurierbar)
Neue Funktionen und Korrekturen in Total Commander 8.01 (Release-Version):
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.01 Release-Kandidat 5:
- Mehrfach-Umbenenntool: Neuer Platzhalter [A] fügt kompletten Dateinamen inkl. Erweiterung, aber ohne Pfad ein
Neue Funktionen und Korrekturen in Total Commander 8.01 Release-Kandidat 1-4:
- Diese Versionen korrigieren Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 (Release-Version):
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 Release-Kandidat 2:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 Release-Kandidat 1:
- Erzeugen von Dateiverknüpfungen (*.lnk) mit Strg+Umsch+F5: Namen von Verzeichnissen nicht nach letztem Punkt abschneiden (AppendLnk=2 in wincmd.ini)
- wincmd.ini, SelectionFocus=Farbe: Datei im Fokus mit andersfarbigem Rahmen umgeben, falls Dateien im aktiven Fenster markiert sind. Als Warnung bei sehr langen Dateilisten gedacht.
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 25:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 24:
- SubdirCopyOrder-Option in wincmd.ini erlaubt es, die Kopierreihenfolge von Dateien in Unterverzeichnissen festzulegen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 23:
- HideRemovableNoMedia-Option in wincmd.ini nun auch für Dialog "Laufwerk nicht gefunden" und "Suchen" - "Laufwerke" benutzen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 22:
- GetTextMode-Option in wincmd.ini für Bildschirmleser (für Sehbehinderte)
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 20 und 21:
- Diese Versionen korrigieren Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 19:
- Suchen mit Suchliste im Feld "Suchen in" (z. B. @c:\pfad\suchdatei.txt) unterstützt nun Platzhalter */? und reguläre Ausdrücke
- Festplatten, die via FireWire verbunden sind, mit dem gleichen Symbol anzeigen wie USB-Disks
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 18:
- Verzeichnisse synchronisieren: Dateien links (F6) oder rechts (Umsch+F6) in der Liste umbenennen, auch mit langsamem Doppelklick
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 17a:
- Verzeichnisliste (Strg+D): Korrektur eines kritischen Fehlers bei der Option zum direkten Hinzufügen eines Verzeichnisses zu einem Untermenü, welcher zum Verlust von Menüpunkten führen konnte
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 17:
- Verzeichnisliste (Strg+D): Option zum direkten Hinzufügen eines Verzeichnisses zu einem Untermenü in der Liste
- Festplatten, die via USB verbunden sind, mit dem gleichen Symbol anzeigen wie USB-Speichersticks
- Suchfunktion: Beim Wiederherstellen des letzten Suchresultats auch die Cursorposition und die Listenposition wiederherstellen
- Weitere Farben können nun über Konfigurieren - Einstellungen - Farben geändert werden
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 16:
- Diese Version korrigiert Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 15:
- Kopierfunktion: Benutzer fragen, wenn ein Verzeichnis nicht geöffnet werden kann (einstellbar mit Option CopyDirsAsAdmin wincmd.ini)
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 14:
- Verzeichnisse synchronisieren: Schnelleres Löschen in den Papierkorb unter Vista oder neuer durch Löschen ganzer Verzeichnisse auf einmal
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 13:
- Verzeichnisse synchronisieren: F2 öffnet nun die Liste der gespeicherten Einstellungen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 12:
- Vergleich nach Inhalt: CompareDeleteBak=1 in wincmd.ini gesetzt: Beim Beenden des Tools .bak-Dateien löschen
- Steuern von TC mit einer Windows Media Center-Fernbedienung (Einschalten mit MediaRemote=1 in wincmd.ini)
- Setzen der Anzeigeart der Netzwerkumgebung mit NethoodStyle-Option in wincmd.ini
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 11:
- Verzeichnisse synchronisieren: Statuszeile mit mehr Details (angezeigte und totale Anzahl gefundene Dateien)
- InplaceOkButton=2 zeigt Bestätigungsschaltfläche links neben der Umbenennbox
- Windows Vista und neuer: Anzeige eines Unterordners in der Network Neighborhood mit Ordner "Gesamtes Netzwerk" (wie unter XP)
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 10:
- Vergleich nach Inhalt: Beim Vergleichen Fortschrittsbalken und Fortschritt in Prozent in Fußzeile anzeigen
- Verzeichnisse synchronisieren: Zeige Zahl der herausgefilterten Dateien in der Fußzeile
- Verbinden zu FTP oder HTTP: Immer alle IP-Adressen (IPv4 und IPv6) durchprobieren, solange Verbindungen fehlschlagen
- Unterstützung von SSL-verschlüsselten Server zu Server-Übertragungen
- Zeige Schaltfläche rechts neben der Umbenennbox (Umsch+F6), um die Umbenennung zu bestätigen
- Alt+F10 Baum: Falls TreeFileLocation nicht gesetzt ist, den Baum am gleichen Ort wie den Miniaturansichtscache speichern (Systemlaufwerk und UNC-Pfade)
- AlwaysAsAdmin=1 in wincmd.ini: Automatisch "Als Administrator" ausführen, nachdem man einmalig "Alle als Administrator" gewählt hat
- Standardmäßig TC mit größerem Hauptfenster starten
- Neue Umgebungsvariable %COMMANDER_EXE%, die auf das Total Commander-Programm zeigt
- Neue WM_COPYDATA-Optionen für Skripte
- CRC-Prüfsumme verifizieren für Datei unter dem Cursor mit Prüfsumme aus der Zwischenablage
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 9:
- Vergleich nach Inhalt (nur 64-bit): Unterstützung von Dateien > 2 GB
- Lister: JPG-Bilder, die über GDI+ geladen wurden, automatisch drehen (Orientierung wie in EXIF-Daten gespeichert)
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 8:
- Neue Optionen im Dialog des Mehrfach-Umbenenn-Tools, Suchen+Ersetzen: 1x (nur erstes Auftreten ersetzen) und [E] (in Erweiterung ersetzen oder nicht)
- Lister: F3: funktioniert nun auch mit Ordnern, vor allem interessant mit Plugins
- Verzeichnisse synchronisieren: Die Option "nach Inhalt" unterstützt nun auch Packer-Plugins, sofern diese die Suche nach Text unterstützen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 2-7:
- Diese Versionen korrigieren Fehler, es gibt keine größeren neuen Funktionen
Neue Funktionen und Korrekturen in Total Commander 8.0 beta 1:
- Dies ist die erste 64-bit-Version von Total Commander. Zu einem späteren Zeitpunkt wird es auch eine 32-bit-Version geben. 64-bit-Programme können nur 64-bit-Bibliotheken (dlls) laden. Da alle Plugins dlls sind, müssen diese auch nach 64-bit konvertiert werden. Deshalb ist es nicht empfehlenswert, diese Version für die tägliche Arbeit zu verwenden, bis die meisten Plugins ebenfalls nach 64 bit konvertiert wurden.
- Verbesserte Fortschrittsdialogbehandlung: Der Fortschritt wird nun asynchron angezeigt, sodass er keine Dateioperationen mehr bremsen kann. Besonders das Kopieren, Verschieben und Löschen von vielen kleinen Dateien sollte nun viel schneller ablaufen. Außerdem wird neu die Anzahl und Größe der Kopierten sowie aller zu kopierenden Dateien angezeigt.
- Lister: Anzeigen von jpg-, gif- und png-Bildern ohne Plugins
- Suchfunktion: Im Feld "Suchen in" kann eine Listendatei angegeben werden, und zwar wie folgt: @c:\path\searchfile.txt. Die Datei muss einen Datei- oder Verzeichnisnamen pro Zeile enthalten, absolut oder relativ zum Ort der Listendatei.
- Verbesserungen im Mehrfach-Umbenenntool: Erlaubnis von Verzeichnistrennzeichen (Backslash) im Namensfeld, erzeugt direkt Unterordner zum Verschieben von Dateien
- Anzeigen der neuen Symbole von Windows Vista oder neuer im Baum zum Auf-/Zuklappen von Verzeichnissen
- Direktes Kopieren von Dateien von FTP-Verbindungen oder virtuellen Ordnern (wie dem Desktop) auf Dateisystem-Plugins
- "Alle überspringen" in der Funktion "Kopieren als Administrator"
- Neue Explorermethode von Windows 7 zur Anzeige von Dateidatum und -zeit benutzen (keine Änderung bei Wechsel zwischen Sommer- und Winterzeit). Kann via wincmd.ini (NewTimeZoneMethod) geändert werden.
Neue Funktionen und Korrekturen in Total Commander 7.56a:
- Diese Version korrigiert Fehler, die erst nach dem Release von Total Commander 7.56 final gefunden wurden, z. B. dass die Funktion "Senden an" - "E-Mail-Empfänger" mit Outlook 2003 nicht mehr funktioniert hat.
Neue Funktionen und Korrekturen in Total Commander 7.56:
- Button bar, Rechtsklickmenü: Menüeintrag "Als Administrator" startet Programm mit Administratorrechten
- Suchen: Letztes Suchergebnis beim Schließen des Suchen-Dialogs behalten (außer bei "Anwenden")
- Windows 7: Anzeige eines Pause-Buttons in "Aero-Peek"-Fenstern (die angezeigt werden, wenn man mit dem Mauszeiger über einem Taskbar-Symbol stehen bleibt) während Dateioperationen, um diese zu pausieren
- Lister: UTF-8-codierten Text anhand von gültigen UTF-8-Mehrbytesequenzen erkennen
- Vergleich nach Inhalt: UTF-8-codierte html-, xml- und css-Dateien automatisch erkennen anhand der entsprechenden Header
- Vergleich nach Inhalt: Doppelklick auf ein Wort markiert dieses
- MinimizeOnClose-Option in wincmd.ini
Neue Funktionen und Korrekturen in Total Commander 7.55a:
- Diese Version korrigiert Fehler, die erst nach dem Release von Total Commander 7.55 final gefunden wurden, insbesondere in der FTP-Funktion (unendliche Download-Wiederholungen bei bestimmter Art von Verbindungsverlust, Probleme mit XCRC-Befehl) und mit x64DisableRedirection.
Neue Funktionen und Korrekturen in Total Commander 7.55:
- MLSD-Befehl bei FTP-Verbindungen für Dateilistings verwenden (genauere Zeitauflösung, Zeit in UTC)
- Dateien zwischen 2 Computern per USB-Kabelverbindung übertragen
- Verbesserungen zur Funktion Verzeichnisse Synchronisieren: Vergleichen mit Plugins und via FTP, Optionen zum Überspringen von versteckten Dateien und Junctions (SyncIgnoreJunctions in wincmd.ini), SITE UTIME in ftp sync
- Vergleich nach Inhalt zeigt unterschiedliche Zeilen und solche mit Änderungen mit einer leicht unterschiedlichen Hintergrundfarbe (konfigurierbar via wincmd.ini)
- FTP-Verbindungsdetails-Dialog auf 2 Tabs aufgeteilt
- "cd" Befehl in Buttonbar und Startmenü akzeptiert jetzt den Parameter /user: (Benutzername für Netzwerkverbindung)
- Archive auch in virtuellen Ordnern wie dem Desktop öffnen
- Neue interne Befehle mit Parametern: SELECTFILES, OPENTABSL und OPENTABSR, z. B. für Buttonbar
- Benutzerdefinierter Browsertyp (user agent) für HTTP-Verbindungen
- Entpacken des Verzeichnisdatums aus Archiven
- Lister: Erhöhung der maximalen Zeilenlänge auf 1024 Zeichen (Unicode: 512)
- Verifiziere CRC-Prüfsummen: Unterstützt nun auch CRC-Dateien im UTF16-Unicode-Format, sowie SHA256
- Anzeigen von Terminal-Server- und Win7 XP-Modus-Laufwerken in Laufwerksliste und Laufwerksbuttonbar
- Strg+Umsch+B und cm_DirBranchSel zeigen Zweigansicht mit nur den markierten Verzeichnissen und Dateien
- Farben nach Dateityp: Lade Plugindaten im Hintergrund bei langsamen Plugins
- F5 Kopieren-Dialog: "Optionen"-Dialogerweiterung kann nun festgepinnt werden, um offen zu bleiben
- RAR mit verschlüsselten Dateinamen: Anzeigen von Pseudo-Datei <Verschlüsselt -> F5> , lässt Benutzer die Datei mit F5 entpacken
- Kommandozeile: Befehl "cd Dateiname" stellt Cursor direkt auf Datei mit Namen "Dateiname"
- Suchen in Suchresultat nach Klick auf "Anwenden": Unterstützte Option "Unterverzeichnisse durchsuchen", z. B. nur 3 Ebenen tief
- Zeige eine Dialogbox, wenn das Einlesen eines Verzeichnisses länger als 5 Sekunden dauert
- CRC-Prüfsummern erzeugen: Unterstützung von Unterverzeichnissen (rekursiv), Berechnen im Hintergrund
- Mehrfach-Umbenenntool: Felder können vorangestellte Leerzeichen oder Nullen erhalten
- Verknüpfungen (LNK-Dateien) auch in geschützten Systemverzeichnissen anlegen
- Berechnen des belegten Speicherplatzes im Hintergrund (beim Drücken der Leertaste oder von Alt+Umsch+Enter)
- Interner RAR-Enpacker via unrar.dll: Unterstützung von Zieldateinamen länger als 259 Zeichen
- Dateisystem-Plugins: Unterstützung von Hintergrund-Transfers (bedingt Änderungen am jeweiligen Plugin)
- Diverse neue Hintergrund-Operationen: Entpacken: RAR, TAR, Packer-Plugins (Änderungen nötig), Packen: TAR, Packer-Plugins
- Parallelportverbindung nun auch unter Windows XP/Vista/7..11 64-bit möglich dank 64-bit-Treiber
Neue Funktionen und Korrekturen in Total Commander 7.50a:
- Diese Version korrigiert Fehler, die erst nach dem Release von Total Commander 7.50 final gefunden wurden, insbesondere beim Drucken von Unicode-Text im Lister, dem Entpacken spezieller verschlüsselter ZIP-Dateien, und langsamem Verschieben von großen Ordnern auf demselben Laufwerk.
Neue Funktionen und Korrekturen in Total Commander 7.50:
- Volle Unicode-Unterstützung in den meisten Funktionen, wo das möglich ist, inkl. FTP, ZIP und Plugins
- Hilfedatei neu im HTML-Hilfeformat (CHM). Die alte HLP-Hilfe ist weiterhin auf www.ghisler.com verfügbar
- Unterstützung für Dateinamen länger als 259 Zeichen (bis zu 1022) in den meisten Dateioperationen
- Vergleich nach Inhalt erlaubt es neu, Dateien verschiedenen Typs zu vergleichen, z. B. ANSI mit UTF-8
- Das aktuelle Verzeichnis über den Dateilisten kann als anklickbare Leiste funktionieren ("breadcrumb bar")
- Option, *.bar-Dateien im Buttonbar als herunterklappbare Menüs anzuzeigen, statt den Buttonbar zu wechseln
- Zeige Symbole und Unterordner im FTP-Verbindungsdialog
- Schützen der gespeicherten FTP-Passwörter mit einem Hauptpasswort (AES256-Verschlüsselung)
- FTP, PORT-Modus: Erlaubt es neu, die externe IP-Adresse des Internet-Routers anzugeben
- Starten des Listers, Vergleich nach Inhalt oder Verzeichnisse synchronisieren direkt über Kommandozeilenparameter
- Kommentare (Strg+Z) können neu bis zu 4095 Zeichen lang sein, und Zeilenumbrüche enthalten
- Verzeichnisse synchronisieren: Option zum Synchronisieren leerer Verzeichnisse, Option zum Kopieren von Dateieigenschaften
- Die Funktion "Erzeuge CRC-Prüfsummen" unterstützt neu das SHA1-Format
- Die Windows-Taste kann nun für benutzerdefinierte Tastenkombinationen benutzt werden
- Unter 64-bit Windows können neu 64-bit-Explorererweiterungen im Rechtsklickmenü benutzt werden
- Neuer interner Befehl cm_SwitchX64Redirection schaltet die Umleitung des system32-Verzeichnisses unter 64-bit Windows an/aus
- Internes Entpacken von mehrteiligen RAR-Archiven sowie von RAR-Archiven mit verschlüsselten Dateinamen (nur ganzes Archiv)
- Kopieren von Dateien/Verzeichnissen in mehrere Zielverzeichnisse (oder lnk-Dateien, die auf Verzeichnisse zeigen) in 1 Operation
- Schnellsuche mit Suchen-Dialog: Anzeige eines Knopfes, mit dem alle nicht passenden Dateien ausgeblendet werden können
- Schriftcodierung im Lister wechseln
- Interne Verknüpfungen, z. B. für die Benutzung von Total Commander auf einem USB-Stick
Neue Funktionen und Korrekturen in Total Commander 7.04a:
- Diese Version korrigiert in erster Linie einen Fehler in der Löschfunktion: Diese konnte die Datei unter dem Cursor statt der markierten Dateien löschen, wenn sich das aktuelle Verzeichnis im Hintergrund änderte, während der Löschen-Dialog angezeigt wurde (Nur bei Benutzung der Funktion "Automatisches Neu-Einlesen wenn sich das Dateisystem ändert").
- Außerdem behebt sie Probleme mit dem Entpacken von mehrteiligen RAR-Archiven, nicht funktionierende AES-Verschlüsselung unter Windows NT4 sowie einer Zugriffsverletzung beim minimierten Start in den Systembereich (Tray).
Neue Funktionen und Korrekturen in Total Commander 7.04:
- Unterstützung für Standard- und AES-ZIP-Verschlüsselung.
Neue Funktionen und Korrekturen in Total Commander 7.03:
- Diese Version korrigiert in erster Linie diverse Sicherheitsprobleme mit Unpackern und weitere Fehler
Neue Funktionen und Korrekturen in Total Commander 7.02a:
- Diese Version enthält in erster Linie Korrekturen bei FTP-Uploads und beim Ändern von Umgebungsvariablen
Neue Funktionen und Korrekturen in Total Commander 7.02:
- FTP-Downloads: Datei konnte beim Download in falsches Verzeichnis geraten, wenn ein FTP-Server Dateien mit Backslash im Dateinamen zurückmeldete
- Download von FTP-Servern: F5 - F2 hängt die Dateien an den zuletzt aktiven Hintergrundtransfermanager an
- FTP-Transfers: Überprüfe nach dem Transfer, ob die resultierende Datei kleiner ist als erwartet, und zeige wenn nötig eine Warnung
Kann deaktiviert werden via wcx_ftp.ini, Option SepcialFlags= in Sektion [General] oder separat pro Verbindung
- Die Umgebungsvariablen von Total Commander anpassen, falls sich die des Systems ändern
- FTP über SSL/TLS: falls der Server auf AUTH TLS antwortet, verbinde mit TLSv1 statt mit SSLv23
- Aliasbefehle unterstützen neue Parameter %A1..%A9
Neue Funktionen und Korrekturen in Total Commander 7.01:
- Diese Version enthält nur Korrekturen.
Neue Funktionen und Korrekturen in Total Commander 7.0:
- Erneuertes Benutzerinterface: Flache Buttons auch unter Windows XP, neue Symbole für Dateiliste, Laufwerke und Buttonbar, Symbole im Hauptmenü (optional)
- Separate Hintergrundfarbe einstellbar für gerade und ungerade Zeilen
- Vergleich nach Inhalt erlaubt nun das Bearbeiten von Dateien sowie die manuelle Neusynchronisation
- Separater Verzeichnisbaum: Entweder für beide Dateifenster zusammen oder einer pro Dateifenster
- Lister unterstützt nun einen Textcursor, kann Bilder zentriert anzeigen, und nur größere Bilder an die Fenstergröße anpassen
- Dateiattribute ändern kann nun Inhaltsplugins benutzen und deren Werte ändern
- Erzeugen einer Logdatei für Dateioperationen
- Laufwerksbuchstaben in Ordner-Tabs anzeigen
- Dateisystemplugins können nun benutzerdefinierte Spalten und Vorschaubilder unterstützen
- 32-bit-Version des selbstentpackenden ZIP-Moduls sfxhead.sfx, da Windows Vista keine 16-bit-Programme mehr unterstützt
- %COMMANDER_DRIVE% zeigt nun auf das Laufwerk, wo Totalcmd installiert ist, z. B. C: (ohne Backslash)
- Mehrfach-Umbenenntool: Zieldateinamen bearbeiten
- Mehr Optionen im Überschreibdialog: Vergleich nach Inhalt, Ziel umbenennen, automat. Umbenennoptionen, alle kleineren oder größeren Dateien kopieren
- Verzeichnisse ausschließen in "Ansicht" - "Benutzerdefiniert...", z. B. *.* | .cvs\
- Maximale Länge der Kommandozeile erhöht auf 8191 (XP) bzw. 2047 Zeichen (Windows 2000)
- Sortieren nach zusätzlichen Spalten, z. B. nach Größe, dann nach Datum/Zeit: Strg+Klick auf zusätzliche Spalten
- Pfad automatisch vervollständigen in Kommandozeile, aktuellem Verzeichnis, Kopierdialog usw.
- Umsch+Entf benutzen, um nicht mehr benötigte Einträge aus Comboboxen zu entfernen: Kommandozeile, Umbenenntool usw.
- Sicheres FTP über SSL/TLS: Servername wie folgt angeben: ftps://ftp.servername.com .
Benötigt OpenSSL-DLLs von www.ghisler.com/openssl/ im Totalcmd-Verzeichnis.
- Benutzerdefinierte Befehle für Hauptmenü und Tastenkombinationen
- Alias-Befehle für die Kommandozeile zum Aufruf von internen Befehlen und externen Programmen
- Überschreiben-Dialog erlaubt die Anzeige von Vorschaubildern und benutzerdefinierten Feldern
- Wenn eine Kopier-/Verschieb-/Löschoperation oder das Anlegen eines neuen Verzeichnisses misslingt, so werden Sie gefragt, ob Sie die Operation als Administrator durchführen möchten. Außerdem können Sie lesend auf ein Verzeichnis zugreifen, für welches Sie selbst keine Rechte besitzen, sofern Sie das Administratorpasswort kennen.
- Suchen auf FTP-Servern
Neue Funktionen und Korrekturen in Total Commander 6.56:
- Version 6.56 korrigiert in erster Linie einen Fehler beim Umpacken von RAR-Archiven in andere Formate, der unter ganz bestimmten Bedingungen (externer RAR-Entpacker, Unterverzeichnisse) zu Datenverlust führen kann
Neue Funktionen und Korrekturen in Total Commander 6.55:
- Version 6.55 enthält fast nur Korrekturen.
- Unterstützung für CHM (kompiliertes html)-Hilfedateien
- Das selbstentpackende Modul des ZIP-Packers ist nun 32-bittig (da Windows Vista keine 16-bit-Programme unterstützt), funktioniert aber trotzdem noch unter Windows 3.1 mit Win32s.
- Weitere Anpassungen für Windows VISTA
Neue Funktionen und Korrekturen in Total Commander 6.54a:
- Version 6.54a enthält nur Korrekturen.
Neue Funktionen und Korrekturen in Total Commander 6.54:
- Version 6.54 enthält fast nur Korrekturen.
- Der interne ZIP-Entpacker unterstützt nun die neuen Methoden BZIP2 und PPMd.
- Die Anzeige von WMF-Bildern wurde aus Sicherheitsgründen (Sicherheitslücke in Windows) deaktiviert.
Reaktivierung über wincmd.ini [Configuration] WmfAllowed=3
- Kommandozeilenparameter für Uninstaller tcuninst.exe: /r reparieren, /0../7 Summe von:
1=Desktop-Symbol, 2=Startmenüeinträge, 4=Einstellungsdateien
Neue Funktionen und Korrekturen in Total Commander 6.53:
- Version 6.53 enthält fast nur Korrekturen.
- Neuer Kommandozeilenparameter /P= zum Setzen des aktiven Dateipanels.
Neue Funktionen und Korrekturen in Total Commander 6.52:
- Version 6.52 enthält vor allem Korrekturen.
- Experimentelle IPv6-Unterstützung für FTP und HTTP, einschaltbar über wcx_ftp.ini
- Automatische Erkennung von USB-Sticks, Schreiben darauf mit Kompatibilitätsmodus (schneller)
Neue Funktionen und Korrekturen in Total Commander 6.51:
- Version 6.51 enthält keine neuen Funktionen.
Neu in Total Commander 6.50:
- Miniaturansicht: Anzeige von Vorschaubildern für Grafiken und andere Dateitypen
- Benutzerdefinierte Spalten: Bis zu 29 verschiedene Ansichtsvarianten
- Inhalts-Plugins: Anzeigen+Suchen von zusätzlichen Dateieigenschaften
- Overlay-Symbole für spezielle Dateien wie LNK-Dateien anzeigen
- Automatische Installation von Plugins und Sprachen beim Öffnen des Plugin-Archivs (falls von diesem unterstützt)
- Neue Konfigurationsseite für alle Plugintypen
- Alt+Umsch+F3 lädt Lister ohne Plugins und irgendwelche Multimedia-Erweiterungen
- Umsch+Klick auf das aktuelle Verzeichnis wechselt zum angeklickten Verzeichnisteil
- Umsch+Klick in der Suchfunktion auf 'gehe zu' oder 'anwenden' öffnet Verzeichnis in neuem Tab
- Suchen nach NTFS-verschlüsselten Dateien
- Anderen Ort festlegen für Verzeichnisbaum-Inhalt (treeinfo.wc)
- Zeige Kopiergeschwindigkeit auch in der Funktion Verzeichnisse synchronisieren
- FTP: Unterstützt MOE Z zum komprimierten Hoch- und Herunterladen
- Neuer Typ von gesperrtem Tab: erlaubt Verzeichniswechsel, aber wechselt zurück ins Tab-Wurzelverzeichnis beim Drücken von "\" oder beim Wechsel auf ein anderes Tab
- Mehrfach-Umbenenn-Tool: Mehrfaches Suchen+Ersetzen, Verlauf bei Suchen+Ersetzen, Button um Resultat neu zu laden für nächsten Schritt
- F5 - F2 transferiert nun auch bei FTP im Hintergrund.
- Neue Pseudo-Umgebungsvariablen für Dateinamen, welche auf virtuelle Folder zeigen:
%$APPDATA%, %$DESKTOP%, %$PERSONAL% (Eigene Dateien), %$PROGRAMS%, %$STARTMENU%, %$FONTS%, %$STARTUP% (benutzen Sie Kleinbuchstaben für Umgebungsvariablen mit diesen Namen)
- Neue interne Befehle (für Buttonbar, Startermenü und benutzerdefinierte Hotkeys) zum Laufwerkswechsel:
cm_GotoDriveA..cm_GotoDriveZ, cm_GotoNextDrive und cm_GotoPreviousDrive
- Neue interne Befehle cm_srcactivatetab1..10 aktiviert Tab 1-10 im Quellpanel, ähnlich auch im Zielpanel.
- Unterverzeichnisfilter arbeiten nun auch in der Kopierfunktion.
- Verzeichnisse synchronisieren: Erlaubt nun auch das Setzen der Kopierrichtung für gleiche Dateien (nur via Rechtsklickmenü!), etwa zum Kopieren der Dateien in ein anderes Verzeichnis.
- Spezielle Anzeigemodes (Miniaturansicht, Kommentare, benutzerdef. Spalten) separat pro Tab merken sowie beim Beenden
Neue Funktionen und Korrekturen in Total Commander 6.03:
- Version 6.03 enthält keine neuen Funktionen.
Neue Funktionen und Korrekturen in Total Commander 6.02:
- Version 6.02 enthält keine wichtigen neuen Funktionen.
Neue Funktionen und Korrekturen in Total Commander 6.01:
- Version 6.01 enthält keine neuen Funktionen.
Neue Funktionen und Korrekturen in Total Commander 6.0:
- Unterstützung von Unicode-Dateinamen beim Kopieren/Verschieben/Umbenennen von Dateien
- Vergleichen von Unicode-Textdateien in "Vergleich nach Inhalt"
- Ordner-Tabs (Register) zum schnellen Wechsel zwischen Verzeichnissen
- Strg+T nun für neuen Tab benutzt, Strg+M für Mehrfach-Umbenenntool
- Reguläre Ausdrücke beim Suchen, Mehrfach-Umbenenntool, Kopieren usw.
- Eigene Buttons für Verzeichnisliste und Verlauf
- Geschwindigkeitsanzeige beim Kopieren
- Kopierfunktion via Einstellungsdialog konfigurierbar
- F2 im Kopieren-Dialog fügt zu kopierende Dateien zu Hintergrund-Transfermanager hinzu
- Optionen-Button im Kopieren-Dialog erlaubt automatisches Umbenennen der kopierten oder Zieldatei bei Übereinstimmung
- Speedlimit im Hintergrund-Transfermanager nun auch beim Kopieren
- Verzeichnisse synchronisieren versucht via MDTM-Befehl Datum von FTP-Dateien zu setzen (geht leider nicht mit allen Servern)
- Verzeichnisse synchronisieren: Nun auch mit anderen Archiven als ZIP
- Unterstützung für Domains mit Umlauten bei FTP und HTTP
- Mehrere neue interne Befehle, u.a. cm_copySamepanel, cm_copyOtherpanel, cm_createShortcuts, cm_SaveSelection, cm_ShowHint
- Im Titel fortlaufende Nummer anzeigen, falls mehrere Total Commander geöffnet
- Laufwerksbutton-Symbole können via externe DLL ausgetauscht werden
- Konfigurationsdialog mit Liste statt Karteireitern
- FTP: Alle fortsetzen
- Warten auf externe Packer im Hintergrund
- Doppelklick auf [..] im Hauptverzeichnis führt zum "Arbeitsplatz" (abschaltbar)
- Umgebungsvariable COMMANDER_PATH zeigt auf Verzeichnis von Total Commander
Neue Funktionen und Korrekturen in Total Commander 5.51:
- Anklicken des aktuellen Verzeichnisses erlaubt, dieses zu ändern, oder den Namen zu kopieren
- Einschließen/Ausschließen bestimmter Verzeichnisse bei der Suchfunktion
- Suchen und Verzeichnisse Synchronisieren funktionieren nun auch mit Dateisystem-Plugins
- Unterstützung für Lister-Plugins
- Anzeige von dateispezifischen Symbolen in Dateisystem-Plugins
- Löschen von nicht-leeren Verzeichnissen auf Samba-Laufwerken ging manchmal nicht
- Abfrage der OLE-Kommentare im Hintergrund (separater Thread), da bei gewissen Dateitypen langsam
- In Word geöffnete RTF-Dateien ließen sich nicht anzeigen
- Unterstützung für interne Befehle im Strg+D Menü (Verzeichnisliste), z. B. cm_OpenDesktop
- Begrenzte Unterstützung für Unicode-Dateinamen: Umbenennen, Löschen, Anzeigen, Bearbeiten und Eigenschaften anzeigen
Neue Funktionen in Total Commander 5.50:
- Änderung des Namens in "Total Commander" - siehe unsere Homepage für die Gründe
- Ändern der Größenanzeige (total/markiert) in der Fußzeile unter den Dateilisten (Bytes, k oder dynamisch)
- Kopieren von zusätzlichen NTFS-Streams beim Kopieren von Dateien
- Kopieren von Dateikommentaren mit den Dateien mit F5 (optional, muss erst eingeschaltet werden)
- Erzeugen CRC-Prüfsummen: Die Funktion kann nun auch MD5-Prüfsummen erzeugen
- Ziehen eines Links aus dem Internet Explorer auf den Total Commander (mit gedrückter Umsch-Taste) öffnet den URL-Dialog zum Herunterladen
- Dateisystem-Plugininterface zum Zugriff auf externe Geräte oder andere Partitionen
- Optionen-Knopf im Kopieren-Dialog, erlaubt das Setzen von "Alle überschreiben" usw. vor dem Start des Kopiervorgangs
- Lister: Im Modus "Bild der Fenstergröße anpassen": Vergrößern des Video-Fensters mit dem Lister-Fenster
- Lister: RTF-Viewer (kann abgeschaltet werden)
- Mehrfach-Umbenenntool: Laden/Speichern der Einstellungen für oft benutzte Parameter
- Mehrfach-Umbenenntool: Suchen und Ersetzen: Unterstützung für Platzhalterzeichen * und ?
- Öffnen von teilweise heruntergeladenen ZIP-Dateien, sogar während ihres Downloads
- Option: Neue FTP-Verbindungen immer im linken oder rechten Fenster öffnen statt wie bisher im gerade aktiven
- Zeige Dateikommentare im Dateifenster und als Tippfenster an
- Zeige Namen des Benutzers, unter dessen Namen Total Commander gestartet wurde (falls anders als Standarduser)
- Verzeichnisse synchronisieren, asymmetrischer Modus: Option zum Löschen aller leeren Verzeichnisse rechts
- Der HTML-Viewer im Lister unterstützt einige neue Tags
Neue Funktionen in Commander 5.10:
- Unterstützung für RAR 3-Archive (Entpacken)
- OTP-MD4, -MD5, und SHA1-Authentifizierung bei FTP
- yEnc-Decoder (Dateien - Datei decodieren)
Neue Funktionen in Commander 5.01:
- Unterstützung für RAR 3-Archive (Entpacken)
- OTP-MD4 und -MD5-Authentifizierung bei FTP
Neue Funktionen in Commander 5.00:
- Unterstützung für Windows XP Themen unter XP
- Menü "Befehle" aufgeteilt in "Befehle" und "Netz"
- FTP: Unterstützung von mehr als 2 Definitionsstrings beim Definieren eines neuen Servertyps
- FTP+HTTP: Herunterladen automatisch wieder aufnehmen falls Verbindung unterbrochen
- FTP: Unterstützung für SOCKS4 und SOCKS5-Proxy-Server.
- Mehrfach-Umbenenn-Tool: Platzhalter [P] platziert den Namen des Vaterverzeichnisses in den Dateinamen
- Interner Befehl cm_SyncChangeDir lässt Commander auch im anderen Fenster in das Verzeichnis des gleichen Namens wechseln
- Suchen: Start der Suche innerhalb einer Archivdatei
- FTP: Option zum Senden von Befehlen zur Aufrechterhaltung der Verbindung (z. B. NOOP) an den Server (für max. 1 Stunde Inaktivität)
- Unterstützt das Packen von TAR/GZ/TGZ-Archiven. Wählen Sie das korrekte Zielbetriebssystem (Linux oder SunOS).
- Direktes Packen von TAR.Plugin Archiven, erfordert erneuten Download des Plugins (z. B. BZIP2)
- Inhalte vergleichen: Suchen nach Text in beiden Dateien gleichzeitig, Resultat wird unterstrichen
- Inhalte vergleichen: Anzeige der zwei Dateien übereinander, z. B. für breite Texte
- Rechtsklickmenü im Lister: Funktion "alle URLs kopieren" hinzugefügt im Modus "HTML-Viewer"
- Packen: Option zum Erzeugen von separaten Archiven, eines pro markierte(s) Datei/Verzeichnis. Falls kein Zielverzeichnis angegeben wird, so wird das Archiv im Verzeichnis der ungepackten Datei angelegt.
- "Zweigansicht" zum "Befehle"-Menü hinzugefügt
- Erzeuge CRC-Prüfsummendateien im SFV-Format
- FTP+HTTP im Hintergrund: Setze Geschwindigkeitslimite für Hoch- und Herunterladen
- Pausenknopf für Hintergrundoperationen: FTP, HTTP, Kopieren, Packen, Entpacken
- FTP Dateien aus Liste herunterladen: Entdecken, falls Liste verändert wurde, und Dateien zum Dnownload hinzufügen
- Downloadliste kann neu auch Dateien Kopieren+Verschieben.
Syntax: copy:Quellname -> Zielname oder move:Quellname -> Zielname
- Hintergrund-Transfermanager kann nun auch separat ohne eine Listendatei gestartet werden